diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 0799fb8..41005c6 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -311,6 +311,7 @@ in the bootstrap set. Thus,
 \chapter{Chapter A}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain AFFPL AffinePlane}
+
 <<AffinePlane.input>>=
 )set break resume
 )sys rm -f AffinePlane.output
@@ -388,6 +389,7 @@ AffinePlane(K):Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain AFFPLPS AffinePlaneOverPseudoAlgebraicClosureOfFiniteField}
+
 <<AffinePlaneOverPseudoAlgebraicClosureOfFiniteField.input>>=
 )set break resume
 )sys rm -f AffinePlaneOverPseudoAlgebraicClosureOfFiniteField.output
@@ -487,6 +489,7 @@ AffinePlaneOverPseudoAlgebraicClosureOfFiniteField(K):Exports == Impl where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain AFFSP AffineSpace}
+
 <<AffineSpace.input>>=
 )set break resume
 )sys rm -f AffineSpace.output
@@ -668,6 +671,102 @@ AffineSpace(dim,K):Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ALGSC AlgebraGivenByStructuralConstants}
+
+<<AlgebraGivenByStructuralConstants.input>>=
+)set break resume
+)sys rm -f AlgebraGivenByStructuralConstants.output
+)spool AlgebraGivenByStructuralConstants.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AlgebraGivenByStructuralConstants
+--R AlgebraGivenByStructuralConstants(R: Field,n: PositiveInteger,ls: List Symbol,gamma: Vector Matrix R)  is a domain constructor
+--R Abbreviation for AlgebraGivenByStructuralConstants is ALGSC 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ALGSC 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (SquareMatrix(n,R),%) -> %      ?*? : (R,%) -> %
+--R ?*? : (%,R) -> %                      ?*? : (%,%) -> %
+--R ?*? : (Integer,%) -> %                ?*? : (PositiveInteger,%) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?=? : (%,%) -> Boolean                0 : () -> %
+--R alternative? : () -> Boolean          antiAssociative? : () -> Boolean
+--R antiCommutative? : () -> Boolean      antiCommutator : (%,%) -> %
+--R apply : (Matrix R,%) -> %             associative? : () -> Boolean
+--R associator : (%,%,%) -> %             basis : () -> Vector %
+--R coerce : Vector R -> %                coerce : % -> OutputForm
+--R commutative? : () -> Boolean          commutator : (%,%) -> %
+--R convert : Vector R -> %               convert : % -> Vector R
+--R coordinates : % -> Vector R           ?.? : (%,Integer) -> R
+--R flexible? : () -> Boolean             hash : % -> SingleInteger
+--R jacobiIdentity? : () -> Boolean       jordanAdmissible? : () -> Boolean
+--R jordanAlgebra? : () -> Boolean        latex : % -> String
+--R leftAlternative? : () -> Boolean      leftDiscriminant : () -> R
+--R leftDiscriminant : Vector % -> R      leftNorm : % -> R
+--R leftTrace : % -> R                    leftTraceMatrix : () -> Matrix R
+--R lieAdmissible? : () -> Boolean        lieAlgebra? : () -> Boolean
+--R powerAssociative? : () -> Boolean     rank : () -> PositiveInteger
+--R represents : Vector R -> %            rightAlternative? : () -> Boolean
+--R rightDiscriminant : () -> R           rightDiscriminant : Vector % -> R
+--R rightNorm : % -> R                    rightTrace : % -> R
+--R rightTraceMatrix : () -> Matrix R     sample : () -> %
+--R someBasis : () -> Vector %            zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R associatorDependence : () -> List Vector R if R has INTDOM
+--R conditionsForIdempotents : () -> List Polynomial R
+--R conditionsForIdempotents : Vector % -> List Polynomial R
+--R coordinates : Vector % -> Matrix R
+--R coordinates : (Vector %,Vector %) -> Matrix R
+--R coordinates : (%,Vector %) -> Vector R
+--R leftCharacteristicPolynomial : % -> SparseUnivariatePolynomial R
+--R leftMinimalPolynomial : % -> SparseUnivariatePolynomial R if R has INTDOM
+--R leftPower : (%,PositiveInteger) -> %
+--R leftRankPolynomial : () -> SparseUnivariatePolynomial Polynomial R if R has FIELD
+--R leftRecip : % -> Union(%,"failed") if R has INTDOM
+--R leftRegularRepresentation : % -> Matrix R
+--R leftRegularRepresentation : (%,Vector %) -> Matrix R
+--R leftTraceMatrix : Vector % -> Matrix R
+--R leftUnit : () -> Union(%,"failed") if R has INTDOM
+--R leftUnits : () -> Union(Record(particular: %,basis: List %),"failed") if R has INTDOM
+--R noncommutativeJordanAlgebra? : () -> Boolean
+--R plenaryPower : (%,PositiveInteger) -> %
+--R recip : % -> Union(%,"failed") if R has INTDOM
+--R represents : (Vector R,Vector %) -> %
+--R rightCharacteristicPolynomial : % -> SparseUnivariatePolynomial R
+--R rightMinimalPolynomial : % -> SparseUnivariatePolynomial R if R has INTDOM
+--R rightPower : (%,PositiveInteger) -> %
+--R rightRankPolynomial : () -> SparseUnivariatePolynomial Polynomial R if R has FIELD
+--R rightRecip : % -> Union(%,"failed") if R has INTDOM
+--R rightRegularRepresentation : % -> Matrix R
+--R rightRegularRepresentation : (%,Vector %) -> Matrix R
+--R rightTraceMatrix : Vector % -> Matrix R
+--R rightUnit : () -> Union(%,"failed") if R has INTDOM
+--R rightUnits : () -> Union(Record(particular: %,basis: List %),"failed") if R has INTDOM
+--R structuralConstants : () -> Vector Matrix R
+--R structuralConstants : Vector % -> Vector Matrix R
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unit : () -> Union(%,"failed") if R has INTDOM
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<AlgebraGivenByStructuralConstants.help>>=
+====================================================================
+AlgebraGivenByStructuralConstants examples
+====================================================================
+
+See Also:
+o )show AlgebraGivenByStructuralConstants
+
+@
+
 \pagehead{AlgebraGivenByStructuralConstants}{ALGSC}
 \pagepic{ps/v103algebragivenbystructuralconstants.ps}{ALGSC}{1.00}
 
@@ -1144,6 +1243,188 @@ AlgebraGivenByStructuralConstants(R:Field, n : PositiveInteger,_
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ALGFF AlgebraicFunctionField}
+
+<<AlgebraicFunctionField.input>>=
+)set break resume
+)sys rm -f AlgebraicFunctionField.output
+)spool AlgebraicFunctionField.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AlgebraicFunctionField
+--R AlgebraicFunctionField(F: Field,UP: UnivariatePolynomialCategory F,UPUP: UnivariatePolynomialCategory Fraction UP,modulus: UPUP)  is a domain constructor
+--R Abbreviation for AlgebraicFunctionField is ALGFF 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ALGFF 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Fraction UP,%) -> %            ?*? : (%,Fraction UP) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        basis : () -> Vector %
+--R branchPoint? : UP -> Boolean          branchPoint? : F -> Boolean
+--R coerce : Fraction UP -> %             coerce : Integer -> %
+--R coerce : % -> OutputForm              convert : UPUP -> %
+--R convert : % -> UPUP                   convert : Vector Fraction UP -> %
+--R convert : % -> Vector Fraction UP     definingPolynomial : () -> UPUP
+--R discriminant : () -> Fraction UP      elt : (%,F,F) -> F
+--R generator : () -> %                   genus : () -> NonNegativeInteger
+--R hash : % -> SingleInteger             integral? : (%,UP) -> Boolean
+--R integral? : (%,F) -> Boolean          integral? : % -> Boolean
+--R integralBasis : () -> Vector %        latex : % -> String
+--R lift : % -> UPUP                      norm : % -> Fraction UP
+--R one? : % -> Boolean                   primitivePart : % -> %
+--R ramified? : UP -> Boolean             ramified? : F -> Boolean
+--R rank : () -> PositiveInteger          rationalPoint? : (F,F) -> Boolean
+--R recip : % -> Union(%,"failed")        reduce : UPUP -> %
+--R represents : (Vector UP,UP) -> %      retract : % -> Fraction UP
+--R sample : () -> %                      singular? : UP -> Boolean
+--R singular? : F -> Boolean              trace : % -> Fraction UP
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (%,Fraction Integer) -> % if Fraction UP has FIELD
+--R ?*? : (Fraction Integer,%) -> % if Fraction UP has FIELD
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,Integer) -> % if Fraction UP has FIELD
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,%) -> % if Fraction UP has FIELD
+--R D : % -> % if Fraction UP has DIFRING and Fraction UP has FIELD or Fraction UP has FFIELDC
+--R D : (%,NonNegativeInteger) -> % if Fraction UP has DIFRING and Fraction UP has FIELD or Fraction UP has FFIELDC
+--R D : (%,Symbol) -> % if Fraction UP has FIELD and Fraction UP has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if Fraction UP has FIELD and Fraction UP has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if Fraction UP has FIELD and Fraction UP has PDRING SYMBOL
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if Fraction UP has FIELD and Fraction UP has PDRING SYMBOL
+--R D : (%,(Fraction UP -> Fraction UP)) -> % if Fraction UP has FIELD
+--R D : (%,(Fraction UP -> Fraction UP),NonNegativeInteger) -> % if Fraction UP has FIELD
+--R ?^? : (%,Integer) -> % if Fraction UP has FIELD
+--R ?^? : (%,NonNegativeInteger) -> %
+--R absolutelyIrreducible? : () -> Boolean
+--R algSplitSimple : (%,(UP -> UP)) -> Record(num: %,den: UP,derivden: UP,gd: UP)
+--R associates? : (%,%) -> Boolean if Fraction UP has FIELD
+--R branchPointAtInfinity? : () -> Boolean
+--R characteristic : () -> NonNegativeInteger
+--R characteristicPolynomial : % -> UPUP
+--R charthRoot : % -> Union(%,"failed") if Fraction UP has CHARNZ
+--R charthRoot : % -> % if Fraction UP has FFIELDC
+--R coerce : % -> % if Fraction UP has FIELD
+--R coerce : Fraction Integer -> % if Fraction UP has FIELD or Fraction UP has RETRACT FRAC INT
+--R complementaryBasis : Vector % -> Vector %
+--R conditionP : Matrix % -> Union(Vector %,"failed") if Fraction UP has FFIELDC
+--R coordinates : Vector % -> Matrix Fraction UP
+--R coordinates : % -> Vector Fraction UP
+--R coordinates : (Vector %,Vector %) -> Matrix Fraction UP
+--R coordinates : (%,Vector %) -> Vector Fraction UP
+--R createPrimitiveElement : () -> % if Fraction UP has FFIELDC
+--R derivationCoordinates : (Vector %,(Fraction UP -> Fraction UP)) -> Matrix Fraction UP if Fraction UP has FIELD
+--R differentiate : % -> % if Fraction UP has DIFRING and Fraction UP has FIELD or Fraction UP has FFIELDC
+--R differentiate : (%,NonNegativeInteger) -> % if Fraction UP has DIFRING and Fraction UP has FIELD or Fraction UP has FFIELDC
+--R differentiate : (%,Symbol) -> % if Fraction UP has FIELD and Fraction UP has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if Fraction UP has FIELD and Fraction UP has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if Fraction UP has FIELD and Fraction UP has PDRING SYMBOL
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if Fraction UP has FIELD and Fraction UP has PDRING SYMBOL
+--R differentiate : (%,(UP -> UP)) -> %
+--R differentiate : (%,(Fraction UP -> Fraction UP)) -> % if Fraction UP has FIELD
+--R differentiate : (%,(Fraction UP -> Fraction UP),NonNegativeInteger) -> % if Fraction UP has FIELD
+--R discreteLog : (%,%) -> Union(NonNegativeInteger,"failed") if Fraction UP has FFIELDC
+--R discreteLog : % -> NonNegativeInteger if Fraction UP has FFIELDC
+--R discriminant : Vector % -> Fraction UP
+--R divide : (%,%) -> Record(quotient: %,remainder: %) if Fraction UP has FIELD
+--R elliptic : () -> Union(UP,"failed")
+--R euclideanSize : % -> NonNegativeInteger if Fraction UP has FIELD
+--R expressIdealMember : (List %,%) -> Union(List %,"failed") if Fraction UP has FIELD
+--R exquo : (%,%) -> Union(%,"failed") if Fraction UP has FIELD
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %) if Fraction UP has FIELD
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed") if Fraction UP has FIELD
+--R factor : % -> Factored % if Fraction UP has FIELD
+--R factorsOfCyclicGroupSize : () -> List Record(factor: Integer,exponent: Integer) if Fraction UP has FFIELDC
+--R gcd : (%,%) -> % if Fraction UP has FIELD
+--R gcd : List % -> % if Fraction UP has FIELD
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if Fraction UP has FIELD
+--R hyperelliptic : () -> Union(UP,"failed")
+--R index : PositiveInteger -> % if Fraction UP has FINITE
+--R init : () -> % if Fraction UP has FFIELDC
+--R integralAtInfinity? : % -> Boolean
+--R integralBasisAtInfinity : () -> Vector %
+--R integralCoordinates : % -> Record(num: Vector UP,den: UP)
+--R integralDerivationMatrix : (UP -> UP) -> Record(num: Matrix UP,den: UP)
+--R integralMatrix : () -> Matrix Fraction UP
+--R integralMatrixAtInfinity : () -> Matrix Fraction UP
+--R integralRepresents : (Vector UP,UP) -> %
+--R inv : % -> % if Fraction UP has FIELD
+--R inverseIntegralMatrix : () -> Matrix Fraction UP
+--R inverseIntegralMatrixAtInfinity : () -> Matrix Fraction UP
+--R knownInfBasis : NonNegativeInteger -> Void
+--R lcm : (%,%) -> % if Fraction UP has FIELD
+--R lcm : List % -> % if Fraction UP has FIELD
+--R lookup : % -> PositiveInteger if Fraction UP has FINITE
+--R minimalPolynomial : % -> UPUP if Fraction UP has FIELD
+--R multiEuclidean : (List %,%) -> Union(List %,"failed") if Fraction UP has FIELD
+--R nextItem : % -> Union(%,"failed") if Fraction UP has FFIELDC
+--R nonSingularModel : Symbol -> List Polynomial F if F has FIELD
+--R normalizeAtInfinity : Vector % -> Vector %
+--R numberOfComponents : () -> NonNegativeInteger
+--R order : % -> OnePointCompletion PositiveInteger if Fraction UP has FFIELDC
+--R order : % -> PositiveInteger if Fraction UP has FFIELDC
+--R prime? : % -> Boolean if Fraction UP has FIELD
+--R primeFrobenius : % -> % if Fraction UP has FFIELDC
+--R primeFrobenius : (%,NonNegativeInteger) -> % if Fraction UP has FFIELDC
+--R primitive? : % -> Boolean if Fraction UP has FFIELDC
+--R primitiveElement : () -> % if Fraction UP has FFIELDC
+--R principalIdeal : List % -> Record(coef: List %,generator: %) if Fraction UP has FIELD
+--R ?quo? : (%,%) -> % if Fraction UP has FIELD
+--R ramifiedAtInfinity? : () -> Boolean
+--R random : () -> % if Fraction UP has FINITE
+--R rationalPoints : () -> List List F if F has FINITE
+--R reduce : Fraction UPUP -> Union(%,"failed") if Fraction UP has FIELD
+--R reduceBasisAtInfinity : Vector % -> Vector %
+--R reducedSystem : Matrix % -> Matrix Fraction UP
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Fraction UP,vec: Vector Fraction UP)
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if Fraction UP has LINEXP INT
+--R reducedSystem : Matrix % -> Matrix Integer if Fraction UP has LINEXP INT
+--R regularRepresentation : % -> Matrix Fraction UP
+--R regularRepresentation : (%,Vector %) -> Matrix Fraction UP
+--R ?rem? : (%,%) -> % if Fraction UP has FIELD
+--R representationType : () -> Union("prime",polynomial,normal,cyclic) if Fraction UP has FFIELDC
+--R represents : Vector Fraction UP -> %
+--R represents : (Vector Fraction UP,Vector %) -> %
+--R retract : % -> Fraction Integer if Fraction UP has RETRACT FRAC INT
+--R retract : % -> Integer if Fraction UP has RETRACT INT
+--R retractIfCan : % -> Union(Fraction UP,"failed")
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if Fraction UP has RETRACT FRAC INT
+--R retractIfCan : % -> Union(Integer,"failed") if Fraction UP has RETRACT INT
+--R singularAtInfinity? : () -> Boolean
+--R size : () -> NonNegativeInteger if Fraction UP has FINITE
+--R sizeLess? : (%,%) -> Boolean if Fraction UP has FIELD
+--R squareFree : % -> Factored % if Fraction UP has FIELD
+--R squareFreePart : % -> % if Fraction UP has FIELD
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tableForDiscreteLogarithm : Integer -> Table(PositiveInteger,NonNegativeInteger) if Fraction UP has FFIELDC
+--R traceMatrix : () -> Matrix Fraction UP
+--R traceMatrix : Vector % -> Matrix Fraction UP
+--R unit? : % -> Boolean if Fraction UP has FIELD
+--R unitCanonical : % -> % if Fraction UP has FIELD
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if Fraction UP has FIELD
+--R yCoordinates : % -> Record(num: Vector UP,den: UP)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<AlgebraicFunctionField.help>>=
+====================================================================
+AlgebraicFunctionField examples
+====================================================================
+
+See Also:
+o )show AlgebraicFunctionField
+
+@
+
 \pagehead{AlgebraicFunctionField}{ALGFF}
 \pagepic{ps/v103algebraicfunctionfield.ps}{ALGFF}{1.00}
 {\bf See}\\
@@ -1414,6 +1695,144 @@ AlgebraicFunctionField(F, UP, UPUP, modulus): Exports == Impl where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain AN AlgebraicNumber}
+
+<<AlgebraicNumber.input>>=
+)set break resume
+)sys rm -f AlgebraicNumber.output
+)spool AlgebraicNumber.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AlgebraicNumber
+--R AlgebraicNumber  is a domain constructor
+--R Abbreviation for AlgebraicNumber is AN 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for AN 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (PositiveInteger,%) -> %        ?*? : (Integer,%) -> %
+--R ?*? : (%,%) -> %                      ?*? : (%,Fraction Integer) -> %
+--R ?*? : (Fraction Integer,%) -> %       ?**? : (%,PositiveInteger) -> %
+--R ?**? : (%,Integer) -> %               ?**? : (%,Fraction Integer) -> %
+--R ?+? : (%,%) -> %                      -? : % -> %
+--R ?-? : (%,%) -> %                      ?/? : (%,%) -> %
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               D : % -> %
+--R D : (%,NonNegativeInteger) -> %       1 : () -> %
+--R 0 : () -> %                           ?^? : (%,PositiveInteger) -> %
+--R ?^? : (%,Integer) -> %                associates? : (%,%) -> Boolean
+--R belong? : BasicOperator -> Boolean    box : List % -> %
+--R box : % -> %                          coerce : Integer -> %
+--R coerce : % -> %                       coerce : Fraction Integer -> %
+--R coerce : Kernel % -> %                coerce : % -> OutputForm
+--R convert : % -> Complex Float          convert : % -> DoubleFloat
+--R convert : % -> Float                  differentiate : % -> %
+--R distribute : (%,%) -> %               distribute : % -> %
+--R elt : (BasicOperator,%,%) -> %        elt : (BasicOperator,%) -> %
+--R eval : (%,List %,List %) -> %         eval : (%,%,%) -> %
+--R eval : (%,Equation %) -> %            eval : (%,List Equation %) -> %
+--R eval : (%,Kernel %,%) -> %            factor : % -> Factored %
+--R freeOf? : (%,Symbol) -> Boolean       freeOf? : (%,%) -> Boolean
+--R gcd : (%,%) -> %                      gcd : List % -> %
+--R hash : % -> SingleInteger             height : % -> NonNegativeInteger
+--R inv : % -> %                          is? : (%,Symbol) -> Boolean
+--R kernel : (BasicOperator,%) -> %       kernels : % -> List Kernel %
+--R latex : % -> String                   lcm : (%,%) -> %
+--R lcm : List % -> %                     map : ((% -> %),Kernel %) -> %
+--R max : (%,%) -> %                      min : (%,%) -> %
+--R norm : (%,List Kernel %) -> %         norm : (%,Kernel %) -> %
+--R nthRoot : (%,Integer) -> %            one? : % -> Boolean
+--R paren : List % -> %                   paren : % -> %
+--R prime? : % -> Boolean                 ?quo? : (%,%) -> %
+--R recip : % -> Union(%,"failed")        reduce : % -> %
+--R ?rem? : (%,%) -> %                    retract : % -> Fraction Integer
+--R retract : % -> Integer                retract : % -> Kernel %
+--R rootOf : Polynomial % -> %            rootsOf : Polynomial % -> List %
+--R sample : () -> %                      sizeLess? : (%,%) -> Boolean
+--R sqrt : % -> %                         squareFree : % -> Factored %
+--R squareFreePart : % -> %               subst : (%,Equation %) -> %
+--R tower : % -> List Kernel %            unit? : % -> Boolean
+--R unitCanonical : % -> %                zero? : % -> Boolean
+--R zeroOf : Polynomial % -> %            zerosOf : Polynomial % -> List %
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R coerce : SparseMultivariatePolynomial(Integer,Kernel %) -> %
+--R definingPolynomial : % -> % if $ has RING
+--R denom : % -> SparseMultivariatePolynomial(Integer,Kernel %)
+--R differentiate : (%,NonNegativeInteger) -> %
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R elt : (BasicOperator,List %) -> %
+--R elt : (BasicOperator,%,%,%,%) -> %
+--R elt : (BasicOperator,%,%,%) -> %
+--R euclideanSize : % -> NonNegativeInteger
+--R eval : (%,BasicOperator,(% -> %)) -> %
+--R eval : (%,BasicOperator,(List % -> %)) -> %
+--R eval : (%,List BasicOperator,List (List % -> %)) -> %
+--R eval : (%,List BasicOperator,List (% -> %)) -> %
+--R eval : (%,Symbol,(% -> %)) -> %
+--R eval : (%,Symbol,(List % -> %)) -> %
+--R eval : (%,List Symbol,List (List % -> %)) -> %
+--R eval : (%,List Symbol,List (% -> %)) -> %
+--R eval : (%,List Kernel %,List %) -> %
+--R even? : % -> Boolean if $ has RETRACT INT
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R is? : (%,BasicOperator) -> Boolean
+--R kernel : (BasicOperator,List %) -> %
+--R mainKernel : % -> Union(Kernel %,"failed")
+--R minPoly : Kernel % -> SparseUnivariatePolynomial % if $ has RING
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R norm : (SparseUnivariatePolynomial %,List Kernel %) -> SparseUnivariatePolynomial %
+--R norm : (SparseUnivariatePolynomial %,Kernel %) -> SparseUnivariatePolynomial %
+--R numer : % -> SparseMultivariatePolynomial(Integer,Kernel %)
+--R odd? : % -> Boolean if $ has RETRACT INT
+--R operator : BasicOperator -> BasicOperator
+--R operators : % -> List BasicOperator
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R reducedSystem : Matrix % -> Matrix Fraction Integer
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Fraction Integer,vec: Vector Fraction Integer)
+--R reducedSystem : Matrix % -> Matrix Integer
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer)
+--R retractIfCan : % -> Union(Fraction Integer,"failed")
+--R retractIfCan : % -> Union(Integer,"failed")
+--R retractIfCan : % -> Union(Kernel %,"failed")
+--R rootOf : SparseUnivariatePolynomial % -> %
+--R rootOf : (SparseUnivariatePolynomial %,Symbol) -> %
+--R rootsOf : SparseUnivariatePolynomial % -> List %
+--R rootsOf : (SparseUnivariatePolynomial %,Symbol) -> List %
+--R subst : (%,List Kernel %,List %) -> %
+--R subst : (%,List Equation %) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R zeroOf : SparseUnivariatePolynomial % -> %
+--R zeroOf : (SparseUnivariatePolynomial %,Symbol) -> %
+--R zerosOf : SparseUnivariatePolynomial % -> List %
+--R zerosOf : (SparseUnivariatePolynomial %,Symbol) -> List %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<AlgebraicNumber.help>>=
+====================================================================
+AlgebraicNumber examples
+====================================================================
+
+See Also:
+o )show AlgebraicNumber
+
+@
+
 \pagehead{AlgebraicNumber}{AN}
 \pagepic{ps/v103algebraicnumber.ps}{AN}{1.00}
 {\bf See}\\
@@ -1567,6 +1986,42 @@ AlgebraicNumber(): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ANON AnonymousFunction}
+
+<<AnonymousFunction.input>>=
+)set break resume
+)sys rm -f AnonymousFunction.output
+)spool AnonymousFunction.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AnonymousFunction
+--R AnonymousFunction  is a domain constructor
+--R Abbreviation for AnonymousFunction is ANON 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ANON 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<AnonymousFunction.help>>=
+====================================================================
+AnonymousFunction examples
+====================================================================
+
+See Also:
+o )show AnonymousFunction
+
+@
+
 \pagehead{AnonymousFunction}{ANON}
 \pagepic{ps/v103anonymousfunction.ps}{ANON}{1.00}
 
@@ -1599,6 +2054,62 @@ AnonymousFunction():SetCategory == add
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ANTISYM AntiSymm}
+
+<<AntiSymm.input>>=
+)set break resume
+)sys rm -f AntiSymm.output
+)spool AntiSymm.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AntiSymm
+--R AntiSymm(R: Ring,lVar: List Symbol)  is a domain constructor
+--R Abbreviation for AntiSymm is ANTISYM 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ANTISYM 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,%) -> %                      ?*? : (%,%) -> %
+--R ?*? : (Integer,%) -> %                ?*? : (PositiveInteger,%) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?=? : (%,%) -> Boolean                1 : () -> %
+--R 0 : () -> %                           ?^? : (%,PositiveInteger) -> %
+--R coefficient : (%,%) -> R              coerce : R -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R degree : % -> NonNegativeInteger      exp : List Integer -> %
+--R hash : % -> SingleInteger             homogeneous? : % -> Boolean
+--R latex : % -> String                   leadingBasisTerm : % -> %
+--R leadingCoefficient : % -> R           map : ((R -> R),%) -> %
+--R one? : % -> Boolean                   recip : % -> Union(%,"failed")
+--R reductum : % -> %                     retract : % -> R
+--R retractable? : % -> Boolean           sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R generator : NonNegativeInteger -> %
+--R retractIfCan : % -> Union(R,"failed")
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<AntiSymm.help>>=
+====================================================================
+AntiSymm examples
+====================================================================
+
+See Also:
+o )show AntiSymm
+
+@
+
 \pagehead{AntiSymm}{ANTISYM}
 \pagepic{ps/v103antisymm.ps}{ANTISYM}{1.00}
 {\bf See}\\
@@ -1843,6 +2354,7 @@ AntiSymm(R:Ring, lVar:List Symbol): Export == Implement where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ANY Any}
+
 <<Any.input>>=
 )set break resume
 )sys rm -f Any.output
@@ -2197,6 +2709,7 @@ Any(): SetCategory with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASTACK ArrayStack}
+
 <<ArrayStack.input>>=
 )set break resume
 )sys rm -f ArrayStack.output
@@ -3068,6 +3581,53 @@ ArrayStack(S:SetCategory): StackAggregate(S) with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP1 Asp1}
+
+<<Asp1.input>>=
+)set break resume
+)sys rm -f Asp1.output
+)spool Asp1.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Asp1
+--R Asp1 name: Symbol  is a domain constructor
+--R Abbreviation for Asp1 is ASP1 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ASP1 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : % -> OutputForm              outputAsFortran : % -> Void
+--R retract : Polynomial Integer -> %     retract : Polynomial Float -> %
+--R retract : Expression Integer -> %     retract : Expression Float -> %
+--R coerce : FortranExpression([construct,QUOTEX],[construct],MachineFloat) -> %
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R retract : Fraction Polynomial Integer -> %
+--R retract : Fraction Polynomial Float -> %
+--R retractIfCan : Fraction Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Fraction Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Expression Integer -> Union(%,"failed")
+--R retractIfCan : Expression Float -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Asp1.help>>=
+====================================================================
+Asp1 examples
+====================================================================
+
+See Also:
+o )show Asp1
+
+@
+
 \pagehead{Asp1}{ASP1}
 \pagepic{ps/v103asp1.ps}{ASP1}{1.00}
 
@@ -3191,6 +3751,55 @@ Asp1(name): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP10 Asp10}
+
+<<Asp10.input>>=
+)set break resume
+)sys rm -f Asp10.output
+)spool Asp10.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Asp10
+--R Asp10 name: Symbol  is a domain constructor
+--R Abbreviation for Asp10 is ASP10 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ASP10 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : % -> OutputForm              outputAsFortran : % -> Void
+--R coerce : Vector FortranExpression([construct,QUOTEJINT,QUOTEX,QUOTEELAM],[construct],MachineFloat) -> %
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R retract : Vector Fraction Polynomial Integer -> %
+--R retract : Vector Fraction Polynomial Float -> %
+--R retract : Vector Polynomial Integer -> %
+--R retract : Vector Polynomial Float -> %
+--R retract : Vector Expression Integer -> %
+--R retract : Vector Expression Float -> %
+--R retractIfCan : Vector Fraction Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Vector Fraction Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Vector Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Vector Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Vector Expression Integer -> Union(%,"failed")
+--R retractIfCan : Vector Expression Float -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Asp10.help>>=
+====================================================================
+Asp10 examples
+====================================================================
+
+See Also:
+o )show Asp10
+
+@
+
 \pagehead{Asp10}{ASP10}
 \pagepic{ps/v103asp10.ps}{ASP10}{1.00}
 
@@ -3346,6 +3955,41 @@ Asp10(name): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP12 Asp12}
+
+<<Asp12.input>>=
+)set break resume
+)sys rm -f Asp12.output
+)spool Asp12.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Asp12
+--R Asp12 name: Symbol  is a domain constructor
+--R Abbreviation for Asp12 is ASP12 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ASP12 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : % -> OutputForm              outputAsFortran : () -> Void
+--R outputAsFortran : % -> Void          
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Asp12.help>>=
+====================================================================
+Asp12 examples
+====================================================================
+
+See Also:
+o )show Asp12
+
+@
+
 \pagehead{Asp12}{ASP12}
 \pagepic{ps/v103asp12.ps}{ASP12}{1.00}
 
@@ -3429,6 +4073,55 @@ Asp12(name): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP19 Asp19}
+
+<<Asp19.input>>=
+)set break resume
+)sys rm -f Asp19.output
+)spool Asp19.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Asp19
+--R Asp19 name: Symbol  is a domain constructor
+--R Abbreviation for Asp19 is ASP19 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ASP19 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : % -> OutputForm              outputAsFortran : % -> Void
+--R coerce : Vector FortranExpression([construct],[construct,QUOTEXC],MachineFloat) -> %
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R retract : Vector Fraction Polynomial Integer -> %
+--R retract : Vector Fraction Polynomial Float -> %
+--R retract : Vector Polynomial Integer -> %
+--R retract : Vector Polynomial Float -> %
+--R retract : Vector Expression Integer -> %
+--R retract : Vector Expression Float -> %
+--R retractIfCan : Vector Fraction Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Vector Fraction Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Vector Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Vector Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Vector Expression Integer -> Union(%,"failed")
+--R retractIfCan : Vector Expression Float -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Asp19.help>>=
+====================================================================
+Asp19 examples
+====================================================================
+
+See Also:
+o )show Asp19
+
+@
+
 \pagehead{Asp19}{ASP19}
 \pagepic{ps/v103asp19.ps}{ASP19}{1.00}
 
@@ -3718,6 +4411,55 @@ Asp19(name): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP20 Asp20}
+
+<<Asp20.input>>=
+)set break resume
+)sys rm -f Asp20.output
+)spool Asp20.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Asp20
+--R Asp20 name: Symbol  is a domain constructor
+--R Abbreviation for Asp20 is ASP20 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ASP20 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : % -> OutputForm              outputAsFortran : % -> Void
+--R coerce : Matrix FortranExpression([construct],[construct,QUOTEX,QUOTEHESS],MachineFloat) -> %
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R retract : Matrix Fraction Polynomial Integer -> %
+--R retract : Matrix Fraction Polynomial Float -> %
+--R retract : Matrix Polynomial Integer -> %
+--R retract : Matrix Polynomial Float -> %
+--R retract : Matrix Expression Integer -> %
+--R retract : Matrix Expression Float -> %
+--R retractIfCan : Matrix Fraction Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Matrix Fraction Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Matrix Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Matrix Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Matrix Expression Integer -> Union(%,"failed")
+--R retractIfCan : Matrix Expression Float -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Asp20.help>>=
+====================================================================
+Asp20 examples
+====================================================================
+
+See Also:
+o )show Asp20
+
+@
+
 \pagehead{Asp20}{ASP20}
 \pagepic{ps/v103asp20.ps}{ASP20}{1.00}
 
@@ -3899,6 +4641,53 @@ Asp20(name): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP24 Asp24}
+
+<<Asp24.input>>=
+)set break resume
+)sys rm -f Asp24.output
+)spool Asp24.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Asp24
+--R Asp24 name: Symbol  is a domain constructor
+--R Abbreviation for Asp24 is ASP24 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ASP24 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : % -> OutputForm              outputAsFortran : % -> Void
+--R retract : Polynomial Integer -> %     retract : Polynomial Float -> %
+--R retract : Expression Integer -> %     retract : Expression Float -> %
+--R coerce : FortranExpression([construct],[construct,QUOTEXC],MachineFloat) -> %
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R retract : Fraction Polynomial Integer -> %
+--R retract : Fraction Polynomial Float -> %
+--R retractIfCan : Fraction Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Fraction Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Expression Integer -> Union(%,"failed")
+--R retractIfCan : Expression Float -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Asp24.help>>=
+====================================================================
+Asp24 examples
+====================================================================
+
+See Also:
+o )show Asp24
+
+@
+
 \pagehead{Asp24}{ASP24}
 \pagepic{ps/v103asp24.ps}{ASP24}{1.00}
 
@@ -4032,6 +4821,43 @@ Asp24(name): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP27 Asp27}
+
+<<Asp27.input>>=
+)set break resume
+)sys rm -f Asp27.output
+)spool Asp27.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Asp27
+--R Asp27 name: Symbol  is a domain constructor
+--R Abbreviation for Asp27 is ASP27 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ASP27 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : Matrix MachineFloat -> %     coerce : % -> OutputForm
+--R outputAsFortran : % -> Void          
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Asp27.help>>=
+====================================================================
+Asp27 examples
+====================================================================
+
+See Also:
+o )show Asp27
+
+@
+
 \pagehead{Asp27}{ASP27}
 \pagepic{ps/v103asp27.ps}{ASP27}{1.00}
 
@@ -4144,6 +4970,43 @@ Asp27(name): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP28 Asp28}
+
+<<Asp28.input>>=
+)set break resume
+)sys rm -f Asp28.output
+)spool Asp28.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Asp28
+--R Asp28 name: Symbol  is a domain constructor
+--R Abbreviation for Asp28 is ASP28 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ASP28 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : Matrix MachineFloat -> %     coerce : % -> OutputForm
+--R outputAsFortran : % -> Void          
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Asp28.help>>=
+====================================================================
+Asp28 examples
+====================================================================
+
+See Also:
+o )show Asp28
+
+@
+
 \pagehead{Asp28}{ASP28}
 \pagepic{ps/v103asp28.ps}{ASP28}{1.00}
 
@@ -4367,6 +5230,41 @@ Asp28(name): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP29 Asp29}
+
+<<Asp29.input>>=
+)set break resume
+)sys rm -f Asp29.output
+)spool Asp29.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Asp29
+--R Asp29 name: Symbol  is a domain constructor
+--R Abbreviation for Asp29 is ASP29 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ASP29 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : % -> OutputForm              outputAsFortran : () -> Void
+--R outputAsFortran : % -> Void          
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Asp29.help>>=
+====================================================================
+Asp29 examples
+====================================================================
+
+See Also:
+o )show Asp29
+
+@
+
 \pagehead{Asp29}{ASP29}
 \pagepic{ps/v103asp29.ps}{ASP29}{1.00}
 
@@ -4453,6 +5351,43 @@ Asp29(name): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP30 Asp30}
+
+<<Asp30.input>>=
+)set break resume
+)sys rm -f Asp30.output
+)spool Asp30.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Asp30
+--R Asp30 name: Symbol  is a domain constructor
+--R Abbreviation for Asp30 is ASP30 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ASP30 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : Matrix MachineFloat -> %     coerce : % -> OutputForm
+--R outputAsFortran : % -> Void          
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Asp30.help>>=
+====================================================================
+Asp30 examples
+====================================================================
+
+See Also:
+o )show Asp30
+
+@
+
 \pagehead{Asp30}{ASP30}
 \pagepic{ps/v103asp30.ps}{ASP30}{1.00}
 
@@ -4595,6 +5530,55 @@ Asp30(name): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP31 Asp31}
+
+<<Asp31.input>>=
+)set break resume
+)sys rm -f Asp31.output
+)spool Asp31.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Asp31
+--R Asp31 name: Symbol  is a domain constructor
+--R Abbreviation for Asp31 is ASP31 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ASP31 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : % -> OutputForm              outputAsFortran : % -> Void
+--R coerce : Vector FortranExpression([construct,QUOTEX],[construct,QUOTEY],MachineFloat) -> %
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R retract : Vector Fraction Polynomial Integer -> %
+--R retract : Vector Fraction Polynomial Float -> %
+--R retract : Vector Polynomial Integer -> %
+--R retract : Vector Polynomial Float -> %
+--R retract : Vector Expression Integer -> %
+--R retract : Vector Expression Float -> %
+--R retractIfCan : Vector Fraction Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Vector Fraction Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Vector Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Vector Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Vector Expression Integer -> Union(%,"failed")
+--R retractIfCan : Vector Expression Float -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Asp31.help>>=
+====================================================================
+Asp31 examples
+====================================================================
+
+See Also:
+o )show Asp31
+
+@
+
 \pagehead{Asp31}{ASP31}
 \pagepic{ps/v103asp31.ps}{ASP31}{1.00}
 
@@ -4773,6 +5757,41 @@ Asp31(name): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP33 Asp33}
+
+<<Asp33.input>>=
+)set break resume
+)sys rm -f Asp33.output
+)spool Asp33.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Asp33
+--R Asp33 name: Symbol  is a domain constructor
+--R Abbreviation for Asp33 is ASP33 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ASP33 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : % -> OutputForm              outputAsFortran : () -> Void
+--R outputAsFortran : % -> Void          
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Asp33.help>>=
+====================================================================
+Asp33 examples
+====================================================================
+
+See Also:
+o )show Asp33
+
+@
+
 \pagehead{Asp33}{ASP33}
 \pagepic{ps/v103asp33.ps}{ASP33}{1.00}
 
@@ -4839,6 +5858,43 @@ Asp33(name): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP34 Asp34}
+
+<<Asp34.input>>=
+)set break resume
+)sys rm -f Asp34.output
+)spool Asp34.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Asp34
+--R Asp34 name: Symbol  is a domain constructor
+--R Abbreviation for Asp34 is ASP34 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ASP34 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : Matrix MachineFloat -> %     coerce : % -> OutputForm
+--R outputAsFortran : % -> Void          
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Asp34.help>>=
+====================================================================
+Asp34 examples
+====================================================================
+
+See Also:
+o )show Asp34
+
+@
+
 \pagehead{Asp34}{ASP34}
 \pagepic{ps/v103asp34.ps}{ASP34}{1.00}
 
@@ -4953,6 +6009,55 @@ Asp34(name): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP35 Asp35}
+
+<<Asp35.input>>=
+)set break resume
+)sys rm -f Asp35.output
+)spool Asp35.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Asp35
+--R Asp35 name: Symbol  is a domain constructor
+--R Abbreviation for Asp35 is ASP35 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ASP35 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : % -> OutputForm              outputAsFortran : % -> Void
+--R coerce : Vector FortranExpression([construct],[construct,QUOTEX],MachineFloat) -> %
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R retract : Vector Fraction Polynomial Integer -> %
+--R retract : Vector Fraction Polynomial Float -> %
+--R retract : Vector Polynomial Integer -> %
+--R retract : Vector Polynomial Float -> %
+--R retract : Vector Expression Integer -> %
+--R retract : Vector Expression Float -> %
+--R retractIfCan : Vector Fraction Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Vector Fraction Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Vector Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Vector Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Vector Expression Integer -> Union(%,"failed")
+--R retractIfCan : Vector Expression Float -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Asp35.help>>=
+====================================================================
+Asp35 examples
+====================================================================
+
+See Also:
+o )show Asp35
+
+@
+
 \pagehead{Asp35}{ASP35}
 \pagepic{ps/v103asp35.ps}{ASP35}{1.00}
 
@@ -5141,6 +6246,53 @@ Asp35(name): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP4 Asp4}
+
+<<Asp4.input>>=
+)set break resume
+)sys rm -f Asp4.output
+)spool Asp4.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Asp4
+--R Asp4 name: Symbol  is a domain constructor
+--R Abbreviation for Asp4 is ASP4 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ASP4 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : % -> OutputForm              outputAsFortran : % -> Void
+--R retract : Polynomial Integer -> %     retract : Polynomial Float -> %
+--R retract : Expression Integer -> %     retract : Expression Float -> %
+--R coerce : FortranExpression([construct],[construct,QUOTEX],MachineFloat) -> %
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R retract : Fraction Polynomial Integer -> %
+--R retract : Fraction Polynomial Float -> %
+--R retractIfCan : Fraction Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Fraction Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Expression Integer -> Union(%,"failed")
+--R retractIfCan : Expression Float -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Asp4.help>>=
+====================================================================
+Asp4 examples
+====================================================================
+
+See Also:
+o )show Asp4
+
+@
+
 \pagehead{Asp4}{ASP4}
 \pagepic{ps/v103asp4.ps}{ASP4}{1.00}
 
@@ -5267,6 +6419,55 @@ Asp4(name): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP41 Asp41}
+
+<<Asp41.input>>=
+)set break resume
+)sys rm -f Asp41.output
+)spool Asp41.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Asp41
+--R Asp41(nameOne: Symbol,nameTwo: Symbol,nameThree: Symbol)  is a domain constructor
+--R Abbreviation for Asp41 is ASP41 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ASP41 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : % -> OutputForm              outputAsFortran : % -> Void
+--R coerce : Vector FortranExpression([construct,QUOTEX,QUOTEEPS],[construct,QUOTEY],MachineFloat) -> %
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R retract : Vector Fraction Polynomial Integer -> %
+--R retract : Vector Fraction Polynomial Float -> %
+--R retract : Vector Polynomial Integer -> %
+--R retract : Vector Polynomial Float -> %
+--R retract : Vector Expression Integer -> %
+--R retract : Vector Expression Float -> %
+--R retractIfCan : Vector Fraction Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Vector Fraction Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Vector Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Vector Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Vector Expression Integer -> Union(%,"failed")
+--R retractIfCan : Vector Expression Float -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Asp41.help>>=
+====================================================================
+Asp41 examples
+====================================================================
+
+See Also:
+o )show Asp41
+
+@
+
 \pagehead{Asp41}{ASP41}
 \pagepic{ps/v103asp41.ps}{ASP41}{1.00}
 
@@ -5501,6 +6702,55 @@ Asp41(nameOne,nameTwo,nameThree): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP42 Asp42}
+
+<<Asp42.input>>=
+)set break resume
+)sys rm -f Asp42.output
+)spool Asp42.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Asp42
+--R Asp42(nameOne: Symbol,nameTwo: Symbol,nameThree: Symbol)  is a domain constructor
+--R Abbreviation for Asp42 is ASP42 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ASP42 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : % -> OutputForm              outputAsFortran : % -> Void
+--R coerce : Vector FortranExpression([construct,QUOTEEPS],[construct,QUOTEYA,QUOTEYB],MachineFloat) -> %
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R retract : Vector Fraction Polynomial Integer -> %
+--R retract : Vector Fraction Polynomial Float -> %
+--R retract : Vector Polynomial Integer -> %
+--R retract : Vector Polynomial Float -> %
+--R retract : Vector Expression Integer -> %
+--R retract : Vector Expression Float -> %
+--R retractIfCan : Vector Fraction Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Vector Fraction Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Vector Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Vector Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Vector Expression Integer -> Union(%,"failed")
+--R retractIfCan : Vector Expression Float -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Asp42.help>>=
+====================================================================
+Asp42 examples
+====================================================================
+
+See Also:
+o )show Asp42
+
+@
+
 \pagehead{Asp42}{ASP42}
 \pagepic{ps/v103asp42.ps}{ASP42}{1.00}
 
@@ -5757,6 +7007,53 @@ Asp42(nameOne,nameTwo,nameThree): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP49 Asp49}
+
+<<Asp49.input>>=
+)set break resume
+)sys rm -f Asp49.output
+)spool Asp49.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Asp49
+--R Asp49 name: Symbol  is a domain constructor
+--R Abbreviation for Asp49 is ASP49 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ASP49 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : % -> OutputForm              outputAsFortran : % -> Void
+--R retract : Polynomial Integer -> %     retract : Polynomial Float -> %
+--R retract : Expression Integer -> %     retract : Expression Float -> %
+--R coerce : FortranExpression([construct],[construct,QUOTEX],MachineFloat) -> %
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R retract : Fraction Polynomial Integer -> %
+--R retract : Fraction Polynomial Float -> %
+--R retractIfCan : Fraction Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Fraction Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Expression Integer -> Union(%,"failed")
+--R retractIfCan : Expression Float -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Asp49.help>>=
+====================================================================
+Asp49 examples
+====================================================================
+
+See Also:
+o )show Asp49
+
+@
+
 \pagehead{Asp49}{ASP49}
 \pagepic{ps/v103asp49.ps}{ASP49}{1.00}
 
@@ -5919,6 +7216,55 @@ Asp49(name): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP50 Asp50}
+
+<<Asp50.input>>=
+)set break resume
+)sys rm -f Asp50.output
+)spool Asp50.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Asp50
+--R Asp50 name: Symbol  is a domain constructor
+--R Abbreviation for Asp50 is ASP50 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ASP50 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : % -> OutputForm              outputAsFortran : % -> Void
+--R coerce : Vector FortranExpression([construct],[construct,QUOTEXC],MachineFloat) -> %
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R retract : Vector Fraction Polynomial Integer -> %
+--R retract : Vector Fraction Polynomial Float -> %
+--R retract : Vector Polynomial Integer -> %
+--R retract : Vector Polynomial Float -> %
+--R retract : Vector Expression Integer -> %
+--R retract : Vector Expression Float -> %
+--R retractIfCan : Vector Fraction Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Vector Fraction Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Vector Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Vector Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Vector Expression Integer -> Union(%,"failed")
+--R retractIfCan : Vector Expression Float -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Asp50.help>>=
+====================================================================
+Asp50 examples
+====================================================================
+
+See Also:
+o )show Asp50
+
+@
+
 \pagehead{Asp50}{ASP50}
 \pagepic{ps/v103asp50.ps}{ASP50}{1.00}
 
@@ -6097,6 +7443,55 @@ Asp50(name): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP55 Asp55}
+
+<<Asp55.input>>=
+)set break resume
+)sys rm -f Asp55.output
+)spool Asp55.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Asp55
+--R Asp55 name: Symbol  is a domain constructor
+--R Abbreviation for Asp55 is ASP55 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ASP55 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : % -> OutputForm              outputAsFortran : % -> Void
+--R coerce : Vector FortranExpression([construct],[construct,QUOTEX],MachineFloat) -> %
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R retract : Vector Fraction Polynomial Integer -> %
+--R retract : Vector Fraction Polynomial Float -> %
+--R retract : Vector Polynomial Integer -> %
+--R retract : Vector Polynomial Float -> %
+--R retract : Vector Expression Integer -> %
+--R retract : Vector Expression Float -> %
+--R retractIfCan : Vector Fraction Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Vector Fraction Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Vector Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Vector Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Vector Expression Integer -> Union(%,"failed")
+--R retractIfCan : Vector Expression Float -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Asp55.help>>=
+====================================================================
+Asp55 examples
+====================================================================
+
+See Also:
+o )show Asp55
+
+@
+
 \pagehead{Asp55}{ASP55}
 \pagepic{ps/v103asp55.ps}{ASP55}{1.00}
 
@@ -6318,6 +7713,55 @@ Asp55(name): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP6 Asp6}
+
+<<Asp6.input>>=
+)set break resume
+)sys rm -f Asp6.output
+)spool Asp6.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Asp6
+--R Asp6 name: Symbol  is a domain constructor
+--R Abbreviation for Asp6 is ASP6 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ASP6 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : % -> OutputForm              outputAsFortran : % -> Void
+--R coerce : Vector FortranExpression([construct],[construct,QUOTEX],MachineFloat) -> %
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R retract : Vector Fraction Polynomial Integer -> %
+--R retract : Vector Fraction Polynomial Float -> %
+--R retract : Vector Polynomial Integer -> %
+--R retract : Vector Polynomial Float -> %
+--R retract : Vector Expression Integer -> %
+--R retract : Vector Expression Float -> %
+--R retractIfCan : Vector Fraction Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Vector Fraction Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Vector Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Vector Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Vector Expression Integer -> Union(%,"failed")
+--R retractIfCan : Vector Expression Float -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Asp6.help>>=
+====================================================================
+Asp6 examples
+====================================================================
+
+See Also:
+o )show Asp6
+
+@
+
 \pagehead{Asp6}{ASP6}
 \pagepic{ps/v103asp6.ps}{ASP6}{1.00}
 
@@ -6482,6 +7926,55 @@ Asp6(name): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP7 Asp7}
+
+<<Asp7.input>>=
+)set break resume
+)sys rm -f Asp7.output
+)spool Asp7.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Asp7
+--R Asp7 name: Symbol  is a domain constructor
+--R Abbreviation for Asp7 is ASP7 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ASP7 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : % -> OutputForm              outputAsFortran : % -> Void
+--R coerce : Vector FortranExpression([construct,QUOTEX],[construct,QUOTEY],MachineFloat) -> %
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R retract : Vector Fraction Polynomial Integer -> %
+--R retract : Vector Fraction Polynomial Float -> %
+--R retract : Vector Polynomial Integer -> %
+--R retract : Vector Polynomial Float -> %
+--R retract : Vector Expression Integer -> %
+--R retract : Vector Expression Float -> %
+--R retractIfCan : Vector Fraction Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Vector Fraction Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Vector Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Vector Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Vector Expression Integer -> Union(%,"failed")
+--R retractIfCan : Vector Expression Float -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Asp7.help>>=
+====================================================================
+Asp7 examples
+====================================================================
+
+See Also:
+o )show Asp7
+
+@
+
 \pagehead{Asp7}{ASP7}
 \pagepic{ps/v103asp7.ps}{ASP7}{1.00}
 
@@ -6631,6 +8124,55 @@ Asp7(name): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP73 Asp73}
+
+<<Asp73.input>>=
+)set break resume
+)sys rm -f Asp73.output
+)spool Asp73.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Asp73
+--R Asp73 name: Symbol  is a domain constructor
+--R Abbreviation for Asp73 is ASP73 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ASP73 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : % -> OutputForm              outputAsFortran : % -> Void
+--R coerce : Vector FortranExpression([construct,QUOTEX,QUOTEY],[construct],MachineFloat) -> %
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R retract : Vector Fraction Polynomial Integer -> %
+--R retract : Vector Fraction Polynomial Float -> %
+--R retract : Vector Polynomial Integer -> %
+--R retract : Vector Polynomial Float -> %
+--R retract : Vector Expression Integer -> %
+--R retract : Vector Expression Float -> %
+--R retractIfCan : Vector Fraction Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Vector Fraction Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Vector Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Vector Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Vector Expression Integer -> Union(%,"failed")
+--R retractIfCan : Vector Expression Float -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Asp73.help>>=
+====================================================================
+Asp73 examples
+====================================================================
+
+See Also:
+o )show Asp73
+
+@
+
 \pagehead{Asp73}{ASP73}
 \pagepic{ps/v103asp73.ps}{ASP73}{1.00}
 
@@ -6792,6 +8334,55 @@ Asp73(name): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP74 Asp74}
+
+<<Asp74.input>>=
+)set break resume
+)sys rm -f Asp74.output
+)spool Asp74.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Asp74
+--R Asp74 name: Symbol  is a domain constructor
+--R Abbreviation for Asp74 is ASP74 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ASP74 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : % -> OutputForm              outputAsFortran : % -> Void
+--R coerce : Matrix FortranExpression([construct,QUOTEX,QUOTEY],[construct],MachineFloat) -> %
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R retract : Matrix Fraction Polynomial Integer -> %
+--R retract : Matrix Fraction Polynomial Float -> %
+--R retract : Matrix Polynomial Integer -> %
+--R retract : Matrix Polynomial Float -> %
+--R retract : Matrix Expression Integer -> %
+--R retract : Matrix Expression Float -> %
+--R retractIfCan : Matrix Fraction Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Matrix Fraction Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Matrix Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Matrix Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Matrix Expression Integer -> Union(%,"failed")
+--R retractIfCan : Matrix Expression Float -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Asp74.help>>=
+====================================================================
+Asp74 examples
+====================================================================
+
+See Also:
+o )show Asp74
+
+@
+
 \pagehead{Asp74}{ASP74}
 \pagepic{ps/v103asp74.ps}{ASP74}{1.00}
 
@@ -6995,6 +8586,55 @@ Asp74(name): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP77 Asp77}
+
+<<Asp77.input>>=
+)set break resume
+)sys rm -f Asp77.output
+)spool Asp77.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Asp77
+--R Asp77 name: Symbol  is a domain constructor
+--R Abbreviation for Asp77 is ASP77 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ASP77 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : % -> OutputForm              outputAsFortran : % -> Void
+--R coerce : Matrix FortranExpression([construct,QUOTEX],[construct],MachineFloat) -> %
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R retract : Matrix Fraction Polynomial Integer -> %
+--R retract : Matrix Fraction Polynomial Float -> %
+--R retract : Matrix Polynomial Integer -> %
+--R retract : Matrix Polynomial Float -> %
+--R retract : Matrix Expression Integer -> %
+--R retract : Matrix Expression Float -> %
+--R retractIfCan : Matrix Fraction Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Matrix Fraction Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Matrix Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Matrix Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Matrix Expression Integer -> Union(%,"failed")
+--R retractIfCan : Matrix Expression Float -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Asp77.help>>=
+====================================================================
+Asp77 examples
+====================================================================
+
+See Also:
+o )show Asp77
+
+@
+
 \pagehead{Asp77}{ASP77}
 \pagepic{ps/v103asp77.ps}{ASP77}{1.00}
 
@@ -7163,6 +8803,55 @@ Asp77(name): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP78 Asp78}
+
+<<Asp78.input>>=
+)set break resume
+)sys rm -f Asp78.output
+)spool Asp78.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Asp78
+--R Asp78 name: Symbol  is a domain constructor
+--R Abbreviation for Asp78 is ASP78 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ASP78 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : % -> OutputForm              outputAsFortran : % -> Void
+--R coerce : Vector FortranExpression([construct,QUOTEX],[construct],MachineFloat) -> %
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R retract : Vector Fraction Polynomial Integer -> %
+--R retract : Vector Fraction Polynomial Float -> %
+--R retract : Vector Polynomial Integer -> %
+--R retract : Vector Polynomial Float -> %
+--R retract : Vector Expression Integer -> %
+--R retract : Vector Expression Float -> %
+--R retractIfCan : Vector Fraction Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Vector Fraction Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Vector Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Vector Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Vector Expression Integer -> Union(%,"failed")
+--R retractIfCan : Vector Expression Float -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Asp78.help>>=
+====================================================================
+Asp78 examples
+====================================================================
+
+See Also:
+o )show Asp78
+
+@
+
 \pagehead{Asp78}{ASP78}
 \pagepic{ps/v103asp78.ps}{ASP78}{1.00}
 
@@ -7306,6 +8995,43 @@ Asp78(name): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP8 Asp8}
+
+<<Asp8.input>>=
+)set break resume
+)sys rm -f Asp8.output
+)spool Asp8.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Asp8
+--R Asp8 name: Symbol  is a domain constructor
+--R Abbreviation for Asp8 is ASP8 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ASP8 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : Vector MachineFloat -> %     coerce : % -> OutputForm
+--R outputAsFortran : % -> Void          
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Asp8.help>>=
+====================================================================
+Asp8 examples
+====================================================================
+
+See Also:
+o )show Asp8
+
+@
+
 \pagehead{Asp8}{ASP8}
 \pagepic{ps/v103asp8.ps}{ASP8}{1.00}
 
@@ -7449,6 +9175,55 @@ Asp8(name): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP80 Asp80}
+
+<<Asp80.input>>=
+)set break resume
+)sys rm -f Asp80.output
+)spool Asp80.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Asp80
+--R Asp80 name: Symbol  is a domain constructor
+--R Abbreviation for Asp80 is ASP80 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ASP80 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : % -> OutputForm              outputAsFortran : % -> Void
+--R coerce : Matrix FortranExpression([construct,QUOTEXL,QUOTEXR,QUOTEELAM],[construct],MachineFloat) -> %
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R retract : Matrix Fraction Polynomial Integer -> %
+--R retract : Matrix Fraction Polynomial Float -> %
+--R retract : Matrix Polynomial Integer -> %
+--R retract : Matrix Polynomial Float -> %
+--R retract : Matrix Expression Integer -> %
+--R retract : Matrix Expression Float -> %
+--R retractIfCan : Matrix Fraction Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Matrix Fraction Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Matrix Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Matrix Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Matrix Expression Integer -> Union(%,"failed")
+--R retractIfCan : Matrix Expression Float -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Asp80.help>>=
+====================================================================
+Asp80 examples
+====================================================================
+
+See Also:
+o )show Asp80
+
+@
+
 \pagehead{Asp80}{ASP80}
 \pagepic{ps/v103asp80.ps}{ASP80}{1.00}
 
@@ -7615,6 +9390,53 @@ Asp80(name): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ASP9 Asp9}
+
+<<Asp9.input>>=
+)set break resume
+)sys rm -f Asp9.output
+)spool Asp9.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Asp9
+--R Asp9 name: Symbol  is a domain constructor
+--R Abbreviation for Asp9 is ASP9 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ASP9 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : FortranCode -> %             coerce : List FortranCode -> %
+--R coerce : % -> OutputForm              outputAsFortran : % -> Void
+--R retract : Polynomial Integer -> %     retract : Polynomial Float -> %
+--R retract : Expression Integer -> %     retract : Expression Float -> %
+--R coerce : FortranExpression([construct,QUOTEX],[construct,QUOTEY],MachineFloat) -> %
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R retract : Fraction Polynomial Integer -> %
+--R retract : Fraction Polynomial Float -> %
+--R retractIfCan : Fraction Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Fraction Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Polynomial Integer -> Union(%,"failed")
+--R retractIfCan : Polynomial Float -> Union(%,"failed")
+--R retractIfCan : Expression Integer -> Union(%,"failed")
+--R retractIfCan : Expression Float -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Asp9.help>>=
+====================================================================
+Asp9 examples
+====================================================================
+
+See Also:
+o )show Asp9
+
+@
+
 \pagehead{Asp9}{ASP9}
 \pagepic{ps/v103asp9.ps}{ASP9}{1.00}
 
@@ -7759,6 +9581,118 @@ Asp9(name): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain JORDAN AssociatedJordanAlgebra}
+
+<<AssociatedJordanAlgebra.input>>=
+)set break resume
+)sys rm -f AssociatedJordanAlgebra.output
+)spool AssociatedJordanAlgebra.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AssociatedJordanAlgebra
+--R AssociatedJordanAlgebra(R: CommutativeRing,A: NonAssociativeAlgebra R)  is a domain constructor
+--R Abbreviation for AssociatedJordanAlgebra is JORDAN 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for JORDAN 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 0 : () -> %                           antiCommutator : (%,%) -> %
+--R associator : (%,%,%) -> %             coerce : A -> %
+--R coerce : % -> A                       coerce : % -> OutputForm
+--R commutator : (%,%) -> %               hash : % -> SingleInteger
+--R latex : % -> String                   sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R alternative? : () -> Boolean if A has FINAALG R
+--R antiAssociative? : () -> Boolean if A has FINAALG R
+--R antiCommutative? : () -> Boolean if A has FINAALG R
+--R apply : (Matrix R,%) -> % if A has FRNAALG R
+--R associative? : () -> Boolean if A has FINAALG R
+--R associatorDependence : () -> List Vector R if A has FINAALG R and R has INTDOM or A has FRNAALG R and R has INTDOM
+--R basis : () -> Vector % if A has FRNAALG R
+--R commutative? : () -> Boolean if A has FINAALG R
+--R conditionsForIdempotents : Vector % -> List Polynomial R if A has FINAALG R
+--R conditionsForIdempotents : () -> List Polynomial R if A has FRNAALG R
+--R convert : % -> Vector R if A has FRNAALG R
+--R convert : Vector R -> % if A has FRNAALG R
+--R coordinates : (%,Vector %) -> Vector R if A has FINAALG R
+--R coordinates : (Vector %,Vector %) -> Matrix R if A has FINAALG R
+--R coordinates : % -> Vector R if A has FRNAALG R
+--R coordinates : Vector % -> Matrix R if A has FRNAALG R
+--R ?.? : (%,Integer) -> R if A has FRNAALG R
+--R flexible? : () -> Boolean if A has FINAALG R
+--R jacobiIdentity? : () -> Boolean if A has FINAALG R
+--R jordanAdmissible? : () -> Boolean if A has FINAALG R
+--R jordanAlgebra? : () -> Boolean if A has FINAALG R
+--R leftAlternative? : () -> Boolean if A has FINAALG R
+--R leftCharacteristicPolynomial : % -> SparseUnivariatePolynomial R if A has FINAALG R
+--R leftDiscriminant : Vector % -> R if A has FINAALG R
+--R leftDiscriminant : () -> R if A has FRNAALG R
+--R leftMinimalPolynomial : % -> SparseUnivariatePolynomial R if A has FINAALG R and R has INTDOM or A has FRNAALG R and R has INTDOM
+--R leftNorm : % -> R if A has FINAALG R
+--R leftPower : (%,PositiveInteger) -> %
+--R leftRankPolynomial : () -> SparseUnivariatePolynomial Polynomial R if A has FRNAALG R and R has FIELD
+--R leftRecip : % -> Union(%,"failed") if A has FINAALG R and R has INTDOM or A has FRNAALG R and R has INTDOM
+--R leftRegularRepresentation : (%,Vector %) -> Matrix R if A has FINAALG R
+--R leftRegularRepresentation : % -> Matrix R if A has FRNAALG R
+--R leftTrace : % -> R if A has FINAALG R
+--R leftTraceMatrix : Vector % -> Matrix R if A has FINAALG R
+--R leftTraceMatrix : () -> Matrix R if A has FRNAALG R
+--R leftUnit : () -> Union(%,"failed") if A has FINAALG R and R has INTDOM or A has FRNAALG R and R has INTDOM
+--R leftUnits : () -> Union(Record(particular: %,basis: List %),"failed") if A has FINAALG R and R has INTDOM or A has FRNAALG R and R has INTDOM
+--R lieAdmissible? : () -> Boolean if A has FINAALG R
+--R lieAlgebra? : () -> Boolean if A has FINAALG R
+--R noncommutativeJordanAlgebra? : () -> Boolean if A has FINAALG R
+--R plenaryPower : (%,PositiveInteger) -> %
+--R powerAssociative? : () -> Boolean if A has FINAALG R
+--R rank : () -> PositiveInteger if A has FINAALG R
+--R recip : % -> Union(%,"failed") if A has FINAALG R and R has INTDOM or A has FRNAALG R and R has INTDOM
+--R represents : (Vector R,Vector %) -> % if A has FINAALG R
+--R represents : Vector R -> % if A has FRNAALG R
+--R rightAlternative? : () -> Boolean if A has FINAALG R
+--R rightCharacteristicPolynomial : % -> SparseUnivariatePolynomial R if A has FINAALG R
+--R rightDiscriminant : Vector % -> R if A has FINAALG R
+--R rightDiscriminant : () -> R if A has FRNAALG R
+--R rightMinimalPolynomial : % -> SparseUnivariatePolynomial R if A has FINAALG R and R has INTDOM or A has FRNAALG R and R has INTDOM
+--R rightNorm : % -> R if A has FINAALG R
+--R rightPower : (%,PositiveInteger) -> %
+--R rightRankPolynomial : () -> SparseUnivariatePolynomial Polynomial R if A has FRNAALG R and R has FIELD
+--R rightRecip : % -> Union(%,"failed") if A has FINAALG R and R has INTDOM or A has FRNAALG R and R has INTDOM
+--R rightRegularRepresentation : (%,Vector %) -> Matrix R if A has FINAALG R
+--R rightRegularRepresentation : % -> Matrix R if A has FRNAALG R
+--R rightTrace : % -> R if A has FINAALG R
+--R rightTraceMatrix : Vector % -> Matrix R if A has FINAALG R
+--R rightTraceMatrix : () -> Matrix R if A has FRNAALG R
+--R rightUnit : () -> Union(%,"failed") if A has FINAALG R and R has INTDOM or A has FRNAALG R and R has INTDOM
+--R rightUnits : () -> Union(Record(particular: %,basis: List %),"failed") if A has FINAALG R and R has INTDOM or A has FRNAALG R and R has INTDOM
+--R someBasis : () -> Vector % if A has FINAALG R
+--R structuralConstants : Vector % -> Vector Matrix R if A has FINAALG R
+--R structuralConstants : () -> Vector Matrix R if A has FRNAALG R
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unit : () -> Union(%,"failed") if A has FINAALG R and R has INTDOM or A has FRNAALG R and R has INTDOM
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<AssociatedJordanAlgebra.help>>=
+====================================================================
+AssociatedJordanAlgebra examples
+====================================================================
+
+See Also:
+o )show AssociatedJordanAlgebra
+
+@
+
 \pagehead{AssociatedJordanAlgebra}{JORDAN}
 \pagepic{ps/v103associatedjordanalgebra.ps}{JORDAN}{1.00}
 {\bf See}\\
@@ -7906,6 +9840,118 @@ AssociatedJordanAlgebra(R:CommutativeRing,A:NonAssociativeAlgebra R):
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain LIE AssociatedLieAlgebra}
+
+<<AssociatedLieAlgebra.input>>=
+)set break resume
+)sys rm -f AssociatedLieAlgebra.output
+)spool AssociatedLieAlgebra.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AssociatedLieAlgebra
+--R AssociatedLieAlgebra(R: CommutativeRing,A: NonAssociativeAlgebra R)  is a domain constructor
+--R Abbreviation for AssociatedLieAlgebra is LIE 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for LIE 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 0 : () -> %                           antiCommutator : (%,%) -> %
+--R associator : (%,%,%) -> %             coerce : A -> %
+--R coerce : % -> A                       coerce : % -> OutputForm
+--R commutator : (%,%) -> %               hash : % -> SingleInteger
+--R latex : % -> String                   sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R alternative? : () -> Boolean if A has FINAALG R
+--R antiAssociative? : () -> Boolean if A has FINAALG R
+--R antiCommutative? : () -> Boolean if A has FINAALG R
+--R apply : (Matrix R,%) -> % if A has FRNAALG R
+--R associative? : () -> Boolean if A has FINAALG R
+--R associatorDependence : () -> List Vector R if A has FINAALG R and R has INTDOM or A has FRNAALG R and R has INTDOM
+--R basis : () -> Vector % if A has FRNAALG R
+--R commutative? : () -> Boolean if A has FINAALG R
+--R conditionsForIdempotents : Vector % -> List Polynomial R if A has FINAALG R
+--R conditionsForIdempotents : () -> List Polynomial R if A has FRNAALG R
+--R convert : % -> Vector R if A has FRNAALG R
+--R convert : Vector R -> % if A has FRNAALG R
+--R coordinates : (%,Vector %) -> Vector R if A has FINAALG R
+--R coordinates : (Vector %,Vector %) -> Matrix R if A has FINAALG R
+--R coordinates : % -> Vector R if A has FRNAALG R
+--R coordinates : Vector % -> Matrix R if A has FRNAALG R
+--R ?.? : (%,Integer) -> R if A has FRNAALG R
+--R flexible? : () -> Boolean if A has FINAALG R
+--R jacobiIdentity? : () -> Boolean if A has FINAALG R
+--R jordanAdmissible? : () -> Boolean if A has FINAALG R
+--R jordanAlgebra? : () -> Boolean if A has FINAALG R
+--R leftAlternative? : () -> Boolean if A has FINAALG R
+--R leftCharacteristicPolynomial : % -> SparseUnivariatePolynomial R if A has FINAALG R
+--R leftDiscriminant : Vector % -> R if A has FINAALG R
+--R leftDiscriminant : () -> R if A has FRNAALG R
+--R leftMinimalPolynomial : % -> SparseUnivariatePolynomial R if A has FINAALG R and R has INTDOM or A has FRNAALG R and R has INTDOM
+--R leftNorm : % -> R if A has FINAALG R
+--R leftPower : (%,PositiveInteger) -> %
+--R leftRankPolynomial : () -> SparseUnivariatePolynomial Polynomial R if A has FRNAALG R and R has FIELD
+--R leftRecip : % -> Union(%,"failed") if A has FINAALG R and R has INTDOM or A has FRNAALG R and R has INTDOM
+--R leftRegularRepresentation : (%,Vector %) -> Matrix R if A has FINAALG R
+--R leftRegularRepresentation : % -> Matrix R if A has FRNAALG R
+--R leftTrace : % -> R if A has FINAALG R
+--R leftTraceMatrix : Vector % -> Matrix R if A has FINAALG R
+--R leftTraceMatrix : () -> Matrix R if A has FRNAALG R
+--R leftUnit : () -> Union(%,"failed") if A has FINAALG R and R has INTDOM or A has FRNAALG R and R has INTDOM
+--R leftUnits : () -> Union(Record(particular: %,basis: List %),"failed") if A has FINAALG R and R has INTDOM or A has FRNAALG R and R has INTDOM
+--R lieAdmissible? : () -> Boolean if A has FINAALG R
+--R lieAlgebra? : () -> Boolean if A has FINAALG R
+--R noncommutativeJordanAlgebra? : () -> Boolean if A has FINAALG R
+--R plenaryPower : (%,PositiveInteger) -> %
+--R powerAssociative? : () -> Boolean if A has FINAALG R
+--R rank : () -> PositiveInteger if A has FINAALG R
+--R recip : % -> Union(%,"failed") if A has FINAALG R and R has INTDOM or A has FRNAALG R and R has INTDOM
+--R represents : (Vector R,Vector %) -> % if A has FINAALG R
+--R represents : Vector R -> % if A has FRNAALG R
+--R rightAlternative? : () -> Boolean if A has FINAALG R
+--R rightCharacteristicPolynomial : % -> SparseUnivariatePolynomial R if A has FINAALG R
+--R rightDiscriminant : Vector % -> R if A has FINAALG R
+--R rightDiscriminant : () -> R if A has FRNAALG R
+--R rightMinimalPolynomial : % -> SparseUnivariatePolynomial R if A has FINAALG R and R has INTDOM or A has FRNAALG R and R has INTDOM
+--R rightNorm : % -> R if A has FINAALG R
+--R rightPower : (%,PositiveInteger) -> %
+--R rightRankPolynomial : () -> SparseUnivariatePolynomial Polynomial R if A has FRNAALG R and R has FIELD
+--R rightRecip : % -> Union(%,"failed") if A has FINAALG R and R has INTDOM or A has FRNAALG R and R has INTDOM
+--R rightRegularRepresentation : (%,Vector %) -> Matrix R if A has FINAALG R
+--R rightRegularRepresentation : % -> Matrix R if A has FRNAALG R
+--R rightTrace : % -> R if A has FINAALG R
+--R rightTraceMatrix : Vector % -> Matrix R if A has FINAALG R
+--R rightTraceMatrix : () -> Matrix R if A has FRNAALG R
+--R rightUnit : () -> Union(%,"failed") if A has FINAALG R and R has INTDOM or A has FRNAALG R and R has INTDOM
+--R rightUnits : () -> Union(Record(particular: %,basis: List %),"failed") if A has FINAALG R and R has INTDOM or A has FRNAALG R and R has INTDOM
+--R someBasis : () -> Vector % if A has FINAALG R
+--R structuralConstants : Vector % -> Vector Matrix R if A has FINAALG R
+--R structuralConstants : () -> Vector Matrix R if A has FRNAALG R
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unit : () -> Union(%,"failed") if A has FINAALG R and R has INTDOM or A has FRNAALG R and R has INTDOM
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<AssociatedLieAlgebra.help>>=
+====================================================================
+AssociatedLieAlgebra examples
+====================================================================
+
+See Also:
+o )show AssociatedLieAlgebra
+
+@
+
 \pagehead{AssociatedLieAlgebra}{LIE}
 \pagepic{ps/v103associatedliealgebra.ps}{LIE}{1.00}
 {\bf See}\\
@@ -8051,6 +10097,7 @@ AssociatedLieAlgebra(R:CommutativeRing,A:NonAssociativeAlgebra R):
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ALIST AssociationList}
+
 <<AssociationList.input>>=
 )set break resume
 )sys rm -f AssociationList.output
@@ -8448,6 +10495,49 @@ AssociationList(Key:SetCategory, Entry:SetCategory):
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ATTRBUT AttributeButtons}
+
+<<AttributeButtons.input>>=
+)set break resume
+)sys rm -f AttributeButtons.output
+)spool AttributeButtons.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show AttributeButtons
+--R AttributeButtons  is a domain constructor
+--R Abbreviation for AttributeButtons is ATTRBUT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ATTRBUT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R decrease : String -> Float            hash : % -> SingleInteger
+--R increase : String -> Float            latex : % -> String
+--R resetAttributeButtons : () -> Void    ?~=? : (%,%) -> Boolean
+--R decrease : (String,String) -> Float
+--R getButtonValue : (String,String) -> Float
+--R increase : (String,String) -> Float
+--R setAttributeButtonStep : Float -> Float
+--R setButtonValue : (String,String,Float) -> Float
+--R setButtonValue : (String,Float) -> Float
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<AttributeButtons.help>>=
+====================================================================
+AttributeButtons examples
+====================================================================
+
+See Also:
+o )show AttributeButtons
+
+@
+
 \pagehead{AttributeButtons}{ATTRBUT}
 \pagepic{ps/v103attributebuttons.ps}{ATTRBUT}{1.00}
 
@@ -8686,6 +10776,53 @@ AttributeButtons(): E == I where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain AUTOMOR Automorphism}
+
+<<Automorphism.input>>=
+)set break resume
+)sys rm -f Automorphism.output
+)spool Automorphism.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Automorphism
+--R Automorphism R: Ring  is a domain constructor
+--R Abbreviation for Automorphism is AUTOMOR 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for AUTOMOR 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?/? : (%,%) -> %
+--R ?=? : (%,%) -> Boolean                1 : () -> %
+--R ?^? : (%,Integer) -> %                ?^? : (%,PositiveInteger) -> %
+--R coerce : % -> OutputForm              commutator : (%,%) -> %
+--R conjugate : (%,%) -> %                ?.? : (%,R) -> R
+--R hash : % -> SingleInteger             inv : % -> %
+--R latex : % -> String                   morphism : (R -> R) -> %
+--R one? : % -> Boolean                   recip : % -> Union(%,"failed")
+--R sample : () -> %                      ?~=? : (%,%) -> Boolean
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R morphism : ((R,Integer) -> R) -> %
+--R morphism : ((R -> R),(R -> R)) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Automorphism.help>>=
+====================================================================
+Automorphism examples
+====================================================================
+
+See Also:
+o )show Automorphism
+
+@
+
 \pagehead{Automorphism}{AUTOMOR}
 \pagepic{ps/v103automorphism.ps}{AUTOMOR}{1.00}
 {\bf See}\\
@@ -8782,6 +10919,7 @@ Automorphism(R:Ring): Join(Group, Eltable(R, R)) with
 \chapter{Chapter B}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain BBTREE BalancedBinaryTree}
+
 <<BalancedBinaryTree.input>>=
 )set break resume
 )sys rm -f BalancedBinaryTree.output
@@ -9146,6 +11284,76 @@ BalancedBinaryTree(S: SetCategory): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain BPADIC BalancedPAdicInteger}
+
+<<BalancedPAdicInteger.input>>=
+)set break resume
+)sys rm -f BalancedPAdicInteger.output
+)spool BalancedPAdicInteger.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show BalancedPAdicInteger
+--R BalancedPAdicInteger p: Integer  is a domain constructor
+--R Abbreviation for BalancedPAdicInteger is BPADIC 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for BPADIC 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        associates? : (%,%) -> Boolean
+--R coerce : % -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              complete : % -> %
+--R digits : % -> Stream Integer          extend : (%,Integer) -> %
+--R gcd : List % -> %                     gcd : (%,%) -> %
+--R hash : % -> SingleInteger             latex : % -> String
+--R lcm : List % -> %                     lcm : (%,%) -> %
+--R moduloP : % -> Integer                modulus : () -> Integer
+--R one? : % -> Boolean                   order : % -> NonNegativeInteger
+--R ?quo? : (%,%) -> %                    quotientByP : % -> %
+--R recip : % -> Union(%,"failed")        ?rem? : (%,%) -> %
+--R sample : () -> %                      sizeLess? : (%,%) -> Boolean
+--R sqrt : (%,Integer) -> %               unit? : % -> Boolean
+--R unitCanonical : % -> %                zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R approximate : (%,Integer) -> Integer
+--R characteristic : () -> NonNegativeInteger
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R root : (SparseUnivariatePolynomial Integer,Integer) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<BalancedPAdicInteger.help>>=
+====================================================================
+BalancedPAdicInteger examples
+====================================================================
+
+See Also:
+o )show BalancedPAdicInteger
+
+@
+
 \pagehead{BalancedPAdicInteger}{BPADIC}
 \pagepic{ps/v103balancedpadicinteger.ps}{BPADIC}{1.00}
 {\bf See}\\
@@ -9232,6 +11440,152 @@ BalancedPAdicInteger(p:Integer) == InnerPAdicInteger(p,false$Boolean)
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain BPADICRT BalancedPAdicRational}
+
+<<BalancedPAdicRational.input>>=
+)set break resume
+)sys rm -f BalancedPAdicRational.output
+)spool BalancedPAdicRational.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show BalancedPAdicRational
+--R BalancedPAdicRational p: Integer  is a domain constructor
+--R Abbreviation for BalancedPAdicRational is BPADICRT 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for BPADICRT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Fraction Integer,%) -> %       ?*? : (%,Fraction Integer) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?/? : (%,%) -> %                      ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,Integer) -> %                ?^? : (%,PositiveInteger) -> %
+--R associates? : (%,%) -> Boolean        coerce : Fraction Integer -> %
+--R coerce : % -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              denominator : % -> %
+--R factor : % -> Factored %              gcd : List % -> %
+--R gcd : (%,%) -> %                      hash : % -> SingleInteger
+--R inv : % -> %                          latex : % -> String
+--R lcm : List % -> %                     lcm : (%,%) -> %
+--R numerator : % -> %                    one? : % -> Boolean
+--R prime? : % -> Boolean                 ?quo? : (%,%) -> %
+--R recip : % -> Union(%,"failed")        ?rem? : (%,%) -> %
+--R removeZeroes : (Integer,%) -> %       removeZeroes : % -> %
+--R sample : () -> %                      sizeLess? : (%,%) -> Boolean
+--R squareFree : % -> Factored %          squareFreePart : % -> %
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (%,BalancedPAdicInteger p) -> %
+--R ?*? : (BalancedPAdicInteger p,%) -> %
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (BalancedPAdicInteger p,BalancedPAdicInteger p) -> %
+--R ?<? : (%,%) -> Boolean if BalancedPAdicInteger p has ORDSET
+--R ?<=? : (%,%) -> Boolean if BalancedPAdicInteger p has ORDSET
+--R ?>? : (%,%) -> Boolean if BalancedPAdicInteger p has ORDSET
+--R ?>=? : (%,%) -> Boolean if BalancedPAdicInteger p has ORDSET
+--R D : (%,(BalancedPAdicInteger p -> BalancedPAdicInteger p)) -> %
+--R D : (%,(BalancedPAdicInteger p -> BalancedPAdicInteger p),NonNegativeInteger) -> %
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if BalancedPAdicInteger p has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if BalancedPAdicInteger p has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if BalancedPAdicInteger p has PDRING SYMBOL
+--R D : (%,Symbol) -> % if BalancedPAdicInteger p has PDRING SYMBOL
+--R D : (%,NonNegativeInteger) -> % if BalancedPAdicInteger p has DIFRING
+--R D : % -> % if BalancedPAdicInteger p has DIFRING
+--R ?^? : (%,NonNegativeInteger) -> %
+--R abs : % -> % if BalancedPAdicInteger p has OINTDOM
+--R approximate : (%,Integer) -> Fraction Integer
+--R ceiling : % -> BalancedPAdicInteger p if BalancedPAdicInteger p has INS
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if $ has CHARNZ and BalancedPAdicInteger p has PFECAT or BalancedPAdicInteger p has CHARNZ
+--R coerce : Symbol -> % if BalancedPAdicInteger p has RETRACT SYMBOL
+--R coerce : BalancedPAdicInteger p -> %
+--R conditionP : Matrix % -> Union(Vector %,"failed") if $ has CHARNZ and BalancedPAdicInteger p has PFECAT
+--R continuedFraction : % -> ContinuedFraction Fraction Integer
+--R convert : % -> DoubleFloat if BalancedPAdicInteger p has REAL
+--R convert : % -> Float if BalancedPAdicInteger p has REAL
+--R convert : % -> InputForm if BalancedPAdicInteger p has KONVERT INFORM
+--R convert : % -> Pattern Float if BalancedPAdicInteger p has KONVERT PATTERN FLOAT
+--R convert : % -> Pattern Integer if BalancedPAdicInteger p has KONVERT PATTERN INT
+--R denom : % -> BalancedPAdicInteger p
+--R differentiate : (%,(BalancedPAdicInteger p -> BalancedPAdicInteger p)) -> %
+--R differentiate : (%,(BalancedPAdicInteger p -> BalancedPAdicInteger p),NonNegativeInteger) -> %
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if BalancedPAdicInteger p has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if BalancedPAdicInteger p has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if BalancedPAdicInteger p has PDRING SYMBOL
+--R differentiate : (%,Symbol) -> % if BalancedPAdicInteger p has PDRING SYMBOL
+--R differentiate : (%,NonNegativeInteger) -> % if BalancedPAdicInteger p has DIFRING
+--R differentiate : % -> % if BalancedPAdicInteger p has DIFRING
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R ?.? : (%,BalancedPAdicInteger p) -> % if BalancedPAdicInteger p has ELTAB(BPADIC p,BPADIC p)
+--R euclideanSize : % -> NonNegativeInteger
+--R eval : (%,Symbol,BalancedPAdicInteger p) -> % if BalancedPAdicInteger p has IEVALAB(SYMBOL,BPADIC p)
+--R eval : (%,List Symbol,List BalancedPAdicInteger p) -> % if BalancedPAdicInteger p has IEVALAB(SYMBOL,BPADIC p)
+--R eval : (%,List Equation BalancedPAdicInteger p) -> % if BalancedPAdicInteger p has EVALAB BPADIC p
+--R eval : (%,Equation BalancedPAdicInteger p) -> % if BalancedPAdicInteger p has EVALAB BPADIC p
+--R eval : (%,BalancedPAdicInteger p,BalancedPAdicInteger p) -> % if BalancedPAdicInteger p has EVALAB BPADIC p
+--R eval : (%,List BalancedPAdicInteger p,List BalancedPAdicInteger p) -> % if BalancedPAdicInteger p has EVALAB BPADIC p
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R factorPolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if BalancedPAdicInteger p has PFECAT
+--R factorSquareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if BalancedPAdicInteger p has PFECAT
+--R floor : % -> BalancedPAdicInteger p if BalancedPAdicInteger p has INS
+--R fractionPart : % -> % if BalancedPAdicInteger p has EUCDOM
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R init : () -> % if BalancedPAdicInteger p has STEP
+--R map : ((BalancedPAdicInteger p -> BalancedPAdicInteger p),%) -> %
+--R max : (%,%) -> % if BalancedPAdicInteger p has ORDSET
+--R min : (%,%) -> % if BalancedPAdicInteger p has ORDSET
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R negative? : % -> Boolean if BalancedPAdicInteger p has OINTDOM
+--R nextItem : % -> Union(%,"failed") if BalancedPAdicInteger p has STEP
+--R numer : % -> BalancedPAdicInteger p
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%) if BalancedPAdicInteger p has PATMAB FLOAT
+--R patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%) if BalancedPAdicInteger p has PATMAB INT
+--R positive? : % -> Boolean if BalancedPAdicInteger p has OINTDOM
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R random : () -> % if BalancedPAdicInteger p has INS
+--R reducedSystem : Matrix % -> Matrix BalancedPAdicInteger p
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix BalancedPAdicInteger p,vec: Vector BalancedPAdicInteger p)
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if BalancedPAdicInteger p has LINEXP INT
+--R reducedSystem : Matrix % -> Matrix Integer if BalancedPAdicInteger p has LINEXP INT
+--R retract : % -> Integer if BalancedPAdicInteger p has RETRACT INT
+--R retract : % -> Fraction Integer if BalancedPAdicInteger p has RETRACT INT
+--R retract : % -> Symbol if BalancedPAdicInteger p has RETRACT SYMBOL
+--R retract : % -> BalancedPAdicInteger p
+--R retractIfCan : % -> Union(Integer,"failed") if BalancedPAdicInteger p has RETRACT INT
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if BalancedPAdicInteger p has RETRACT INT
+--R retractIfCan : % -> Union(Symbol,"failed") if BalancedPAdicInteger p has RETRACT SYMBOL
+--R retractIfCan : % -> Union(BalancedPAdicInteger p,"failed")
+--R sign : % -> Integer if BalancedPAdicInteger p has OINTDOM
+--R solveLinearPolynomialEquation : (List SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> Union(List SparseUnivariatePolynomial %,"failed") if BalancedPAdicInteger p has PFECAT
+--R squareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if BalancedPAdicInteger p has PFECAT
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R wholePart : % -> BalancedPAdicInteger p if BalancedPAdicInteger p has EUCDOM
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<BalancedPAdicRational.help>>=
+====================================================================
+BalancedPAdicRational examples
+====================================================================
+
+See Also:
+o )show BalancedPAdicRational
+
+@
+
 \pagehead{BalancedPAdicRational}{BPADICRT}
 \pagepic{ps/v103balancedpadicrational.ps}{BPADICRT}{1.00}
 {\bf See}\\
@@ -9356,6 +11710,43 @@ BalancedPAdicRational(p:Integer) ==
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain BFUNCT BasicFunctions}
+
+<<BasicFunctions.input>>=
+)set break resume
+)sys rm -f BasicFunctions.output
+)spool BasicFunctions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show BasicFunctions
+--R BasicFunctions  is a domain constructor
+--R Abbreviation for BasicFunctions is BFUNCT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for BFUNCT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                bfKeys : () -> List Symbol
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   ?~=? : (%,%) -> Boolean
+--R bfEntry : Symbol -> Record(zeros: Stream DoubleFloat,ones: Stream DoubleFloat,singularities: Stream DoubleFloat)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<BasicFunctions.help>>=
+====================================================================
+BasicFunctions examples
+====================================================================
+
+See Also:
+o )show BasicFunctions
+
+@
+
 \pagehead{BasicFunctions}{BFUNCT}
 \pagepic{ps/v103basicfunctions.ps}{BFUNCT}{1.00}
 
@@ -9445,6 +11836,7 @@ BasicFunctions():  E == I where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain BOP BasicOperator}
+
 <<BasicOperator.input>>=
 )set break resume
 )sys rm -f BasicOperator.output
@@ -9981,6 +12373,7 @@ BasicOperator(): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain BINARY BinaryExpansion}
+
 <<BinaryExpansion.input>>=
 )set break resume
 )sys rm -f BinaryExpansion.output
@@ -10276,6 +12669,49 @@ BinaryExpansion(): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain BINFILE BinaryFile}
+
+<<BinaryFile.input>>=
+)set break resume
+)sys rm -f BinaryFile.output
+)spool BinaryFile.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show BinaryFile
+--R BinaryFile  is a domain constructor
+--R Abbreviation for BinaryFile is BINFILE 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for BINFILE 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                close! : % -> %
+--R coerce : % -> OutputForm              flush : % -> Void
+--R hash : % -> SingleInteger             iomode : % -> String
+--R latex : % -> String                   name : % -> FileName
+--R open : (FileName,String) -> %         open : FileName -> %
+--R position : % -> SingleInteger         read! : % -> SingleInteger
+--R reopen! : (%,String) -> %             ?~=? : (%,%) -> Boolean
+--R position! : (%,SingleInteger) -> SingleInteger
+--R readIfCan! : % -> Union(SingleInteger,"failed")
+--R write! : (%,SingleInteger) -> SingleInteger
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<BinaryFile.help>>=
+====================================================================
+BinaryFile examples
+====================================================================
+
+See Also:
+o )show BinaryFile
+
+@
+
 \pagehead{BinaryFile}{BINFILE}
 \pagepic{ps/v103binaryfile.ps}{BINFILE}{1.00}
 {\bf See}\\
@@ -10416,6 +12852,7 @@ BinaryFile: Cat == Def where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain BSTREE BinarySearchTree}
+
 <<BinarySearchTree.input>>=
 )set break resume
 )sys rm -f BinarySearchTree.output
@@ -10759,10 +13196,85 @@ BinarySearchTree(S: OrderedSet): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain BTOURN BinaryTournament}
+
 A BinaryTournament(S) is the domain of binary trees where elements are
 ordered down the tree.  A binary search tree is either empty or is a
 node containing a value of type S, and a right and a left which are
 both BinaryTree(S)
+
+<<BinaryTournament.input>>=
+)set break resume
+)sys rm -f BinaryTournament.output
+)spool BinaryTournament.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show BinaryTournament
+--R BinaryTournament S: OrderedSet  is a domain constructor
+--R Abbreviation for BinaryTournament is BTOURN 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for BTOURN 
+--R
+--R------------------------------- Operations --------------------------------
+--R binaryTournament : List S -> %        children : % -> List %
+--R copy : % -> %                         cyclic? : % -> Boolean
+--R distance : (%,%) -> Integer           ?.right : (%,right) -> %
+--R ?.left : (%,left) -> %                ?.value : (%,value) -> S
+--R empty : () -> %                       empty? : % -> Boolean
+--R eq? : (%,%) -> Boolean                insert! : (S,%) -> %
+--R leaf? : % -> Boolean                  leaves : % -> List S
+--R left : % -> %                         map : ((S -> S),%) -> %
+--R node : (%,S,%) -> %                   nodes : % -> List %
+--R right : % -> %                        sample : () -> %
+--R value : % -> S                       
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R child? : (%,%) -> Boolean if S has SETCAT
+--R coerce : % -> OutputForm if S has SETCAT
+--R count : (S,%) -> NonNegativeInteger if $ has finiteAggregate and S has SETCAT
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R hash : % -> SingleInteger if S has SETCAT
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R member? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R members : % -> List S if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R node? : (%,%) -> Boolean if S has SETCAT
+--R parts : % -> List S if $ has finiteAggregate
+--R setchildren! : (%,List %) -> % if $ has shallowlyMutable
+--R setelt : (%,right,%) -> % if $ has shallowlyMutable
+--R setelt : (%,left,%) -> % if $ has shallowlyMutable
+--R setelt : (%,value,S) -> S if $ has shallowlyMutable
+--R setleft! : (%,%) -> % if $ has shallowlyMutable
+--R setright! : (%,%) -> % if $ has shallowlyMutable
+--R setvalue! : (%,S) -> S if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<BinaryTournament.help>>=
+====================================================================
+BinaryTournament examples
+====================================================================
+
+See Also:
+o )show BinaryTournament
+
+@
+
 \pagehead{BinaryTournament}{BTOURN}
 \pagepic{ps/v103binarytournament.ps}{BTOURN}{1.00}
 {\bf See}\\
@@ -10869,6 +13381,80 @@ BinaryTournament(S: OrderedSet): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain BTREE BinaryTree}
+
+<<BinaryTree.input>>=
+)set break resume
+)sys rm -f BinaryTree.output
+)spool BinaryTree.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show BinaryTree
+--R BinaryTree S: SetCategory  is a domain constructor
+--R Abbreviation for BinaryTree is BTREE 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for BTREE 
+--R
+--R------------------------------- Operations --------------------------------
+--R binaryTree : (%,S,%) -> %             binaryTree : S -> %
+--R children : % -> List %                copy : % -> %
+--R cyclic? : % -> Boolean                distance : (%,%) -> Integer
+--R ?.right : (%,right) -> %              ?.left : (%,left) -> %
+--R ?.value : (%,value) -> S              empty : () -> %
+--R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
+--R leaf? : % -> Boolean                  leaves : % -> List S
+--R left : % -> %                         map : ((S -> S),%) -> %
+--R node : (%,S,%) -> %                   nodes : % -> List %
+--R right : % -> %                        sample : () -> %
+--R value : % -> S                       
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R child? : (%,%) -> Boolean if S has SETCAT
+--R coerce : % -> OutputForm if S has SETCAT
+--R count : (S,%) -> NonNegativeInteger if $ has finiteAggregate and S has SETCAT
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R hash : % -> SingleInteger if S has SETCAT
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R member? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R members : % -> List S if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R node? : (%,%) -> Boolean if S has SETCAT
+--R parts : % -> List S if $ has finiteAggregate
+--R setchildren! : (%,List %) -> % if $ has shallowlyMutable
+--R setelt : (%,right,%) -> % if $ has shallowlyMutable
+--R setelt : (%,left,%) -> % if $ has shallowlyMutable
+--R setelt : (%,value,S) -> S if $ has shallowlyMutable
+--R setleft! : (%,%) -> % if $ has shallowlyMutable
+--R setright! : (%,%) -> % if $ has shallowlyMutable
+--R setvalue! : (%,S) -> S if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<BinaryTree.help>>=
+====================================================================
+BinaryTree examples
+====================================================================
+
+See Also:
+o )show BinaryTree
+
+@
+
 \pagehead{BinaryTree}{BTREE}
 \pagepic{ps/v103binarytree.ps}{BTREE}{1.00}
 {\bf See}\\
@@ -10991,6 +13577,114 @@ BinaryTree(S: SetCategory): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain BITS Bits}
+
+<<Bits.input>>=
+)set break resume
+)sys rm -f Bits.output
+)spool Bits.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Bits
+--R Bits  is a domain constructor
+--R Abbreviation for Bits is BITS 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for BITS 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?/\? : (%,%) -> %                     ?<? : (%,%) -> Boolean
+--R ?<=? : (%,%) -> Boolean               ?=? : (%,%) -> Boolean
+--R ?>? : (%,%) -> Boolean                ?>=? : (%,%) -> Boolean
+--R ?\/? : (%,%) -> %                     ^? : % -> %
+--R ?and? : (%,%) -> %                    coerce : % -> OutputForm
+--R concat : (%,Boolean) -> %             concat : (Boolean,%) -> %
+--R concat : (%,%) -> %                   concat : List % -> %
+--R construct : List Boolean -> %         copy : % -> %
+--R delete : (%,Integer) -> %             ?.? : (%,Integer) -> Boolean
+--R empty : () -> %                       empty? : % -> Boolean
+--R entries : % -> List Boolean           eq? : (%,%) -> Boolean
+--R hash : % -> SingleInteger             index? : (Integer,%) -> Boolean
+--R indices : % -> List Integer           insert : (%,%,Integer) -> %
+--R latex : % -> String                   max : (%,%) -> %
+--R min : (%,%) -> %                      nand : (%,%) -> %
+--R nor : (%,%) -> %                      not? : % -> %
+--R ?or? : (%,%) -> %                     qelt : (%,Integer) -> Boolean
+--R reverse : % -> %                      sample : () -> %
+--R xor : (%,%) -> %                      ~? : % -> %
+--R ?~=? : (%,%) -> Boolean              
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R any? : ((Boolean -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R bits : (NonNegativeInteger,Boolean) -> %
+--R convert : % -> InputForm if Boolean has KONVERT INFORM
+--R copyInto! : (%,%,Integer) -> % if $ has shallowlyMutable
+--R count : ((Boolean -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R count : (Boolean,%) -> NonNegativeInteger if $ has finiteAggregate and Boolean has SETCAT
+--R delete : (%,UniversalSegment Integer) -> %
+--R elt : (%,Integer,Boolean) -> Boolean
+--R ?.? : (%,UniversalSegment Integer) -> %
+--R entry? : (Boolean,%) -> Boolean if $ has finiteAggregate and Boolean has SETCAT
+--R eval : (%,List Equation Boolean) -> % if Boolean has EVALAB BOOLEAN and Boolean has SETCAT
+--R eval : (%,Equation Boolean) -> % if Boolean has EVALAB BOOLEAN and Boolean has SETCAT
+--R eval : (%,Boolean,Boolean) -> % if Boolean has EVALAB BOOLEAN and Boolean has SETCAT
+--R eval : (%,List Boolean,List Boolean) -> % if Boolean has EVALAB BOOLEAN and Boolean has SETCAT
+--R every? : ((Boolean -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R fill! : (%,Boolean) -> % if $ has shallowlyMutable
+--R find : ((Boolean -> Boolean),%) -> Union(Boolean,"failed")
+--R first : % -> Boolean if Integer has ORDSET
+--R insert : (Boolean,%,Integer) -> %
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map : ((Boolean -> Boolean),%) -> %
+--R map : (((Boolean,Boolean) -> Boolean),%,%) -> %
+--R map! : ((Boolean -> Boolean),%) -> % if $ has shallowlyMutable
+--R maxIndex : % -> Integer if Integer has ORDSET
+--R member? : (Boolean,%) -> Boolean if $ has finiteAggregate and Boolean has SETCAT
+--R members : % -> List Boolean if $ has finiteAggregate
+--R merge : (((Boolean,Boolean) -> Boolean),%,%) -> %
+--R merge : (%,%) -> % if Boolean has ORDSET
+--R minIndex : % -> Integer if Integer has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R new : (NonNegativeInteger,Boolean) -> %
+--R parts : % -> List Boolean if $ has finiteAggregate
+--R position : ((Boolean -> Boolean),%) -> Integer
+--R position : (Boolean,%) -> Integer if Boolean has SETCAT
+--R position : (Boolean,%,Integer) -> Integer if Boolean has SETCAT
+--R qsetelt! : (%,Integer,Boolean) -> Boolean if $ has shallowlyMutable
+--R reduce : (((Boolean,Boolean) -> Boolean),%,Boolean,Boolean) -> Boolean if $ has finiteAggregate and Boolean has SETCAT
+--R reduce : (((Boolean,Boolean) -> Boolean),%,Boolean) -> Boolean if $ has finiteAggregate
+--R reduce : (((Boolean,Boolean) -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R remove : (Boolean,%) -> % if $ has finiteAggregate and Boolean has SETCAT
+--R remove : ((Boolean -> Boolean),%) -> % if $ has finiteAggregate
+--R removeDuplicates : % -> % if $ has finiteAggregate and Boolean has SETCAT
+--R reverse! : % -> % if $ has shallowlyMutable
+--R select : ((Boolean -> Boolean),%) -> % if $ has finiteAggregate
+--R setelt : (%,Integer,Boolean) -> Boolean if $ has shallowlyMutable
+--R setelt : (%,UniversalSegment Integer,Boolean) -> Boolean if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R sort : (((Boolean,Boolean) -> Boolean),%) -> %
+--R sort : % -> % if Boolean has ORDSET
+--R sort! : (((Boolean,Boolean) -> Boolean),%) -> % if $ has shallowlyMutable
+--R sort! : % -> % if $ has shallowlyMutable and Boolean has ORDSET
+--R sorted? : (((Boolean,Boolean) -> Boolean),%) -> Boolean
+--R sorted? : % -> Boolean if Boolean has ORDSET
+--R swap! : (%,Integer,Integer) -> Void if $ has shallowlyMutable
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Bits.help>>=
+====================================================================
+Bits examples
+====================================================================
+
+See Also:
+o )show Bits
+
+@
+
 \pagehead{Bits}{BITS}
 \pagepic{ps/v103bits.ps}{BITS}{1.00}
 {\bf See}\\
@@ -11102,6 +13796,7 @@ Bits(): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain BLHN BlowUpWithHamburgerNoether}
+
 <<BlowUpWithHamburgerNoether.input>>=
 )set break resume
 )sys rm -f BlowUpWithHamburgerNoether.output
@@ -11207,6 +13902,7 @@ BlowUpWithHamburgerNoether: Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain BLQT BlowUpWithQuadTrans}
+
 <<BlowUpWithQuadTrans.input>>=
 )set break resume
 )sys rm -f BlowUpWithQuadTrans.output
@@ -11313,6 +14009,54 @@ BlowUpWithQuadTrans: Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain BOOLEAN Boolean}
+
+<<Boolean.input>>=
+)set break resume
+)sys rm -f Boolean.output
+)spool Boolean.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Boolean
+--R Boolean  is a domain constructor
+--R Abbreviation for Boolean is BOOLEAN 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for BOOLEAN 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?/\? : (%,%) -> %                     ?<? : (%,%) -> Boolean
+--R ?<=? : (%,%) -> Boolean               ?=? : (%,%) -> Boolean
+--R ?>? : (%,%) -> Boolean                ?>=? : (%,%) -> Boolean
+--R ?\/? : (%,%) -> %                     ^? : % -> %
+--R ?and? : (%,%) -> %                    coerce : % -> OutputForm
+--R convert : % -> InputForm              false : () -> %
+--R hash : % -> SingleInteger             implies : (%,%) -> %
+--R index : PositiveInteger -> %          latex : % -> String
+--R lookup : % -> PositiveInteger         max : (%,%) -> %
+--R min : (%,%) -> %                      nand : (%,%) -> %
+--R nor : (%,%) -> %                      not? : % -> %
+--R ?or? : (%,%) -> %                     random : () -> %
+--R size : () -> NonNegativeInteger       test : % -> Boolean
+--R true : () -> %                        xor : (%,%) -> %
+--R ~? : % -> %                           ?~=? : (%,%) -> Boolean
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Boolean.help>>=
+====================================================================
+Boolean examples
+====================================================================
+
+See Also:
+o )show Boolean
+
+@
+
 \pagehead{Boolean}{BOOLEAN}
 \pagepic{ps/v103boolean.ps}{BOOLEAN}{1.00}
 {\bf See}\\
@@ -11447,6 +14191,7 @@ Boolean(): Join(OrderedSet, Finite, Logic, ConvertibleTo InputForm) with
 \chapter{Chapter C}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain CARD CardinalNumber}
+
 <<CardinalNumber.input>>=
 )set break resume
 )sys rm -f CardinalNumber.output
@@ -11995,6 +14740,7 @@ CardinalNumber: Join(OrderedSet, AbelianMonoid, Monoid,
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain CARTEN CartesianTensor}
+
 <<CartesianTensor.input>>=
 )set break resume
 )sys rm -f CartesianTensor.output
@@ -13590,6 +16336,7 @@ CartesianTensor(minix, dim, R): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain CHAR Character}
+
 <<Character.input>>=
 )set break resume
 )sys rm -f Character.output
@@ -13981,6 +16728,7 @@ Character: OrderedFinite() with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain CCLASS CharacterClass}
+
 <<CharacterClass.input>>=
 )set break resume
 )sys rm -f CharacterClass.output
@@ -15457,6 +18205,47 @@ CliffordAlgebra(n, K, Q): T == Impl where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain COLOR Color}
+
+<<Color.input>>=
+)set break resume
+)sys rm -f Color.output
+)spool Color.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Color
+--R Color  is a domain constructor
+--R Abbreviation for Color is COLOR 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for COLOR 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (DoubleFloat,%) -> %            ?*? : (PositiveInteger,%) -> %
+--R ?+? : (%,%) -> %                      ?=? : (%,%) -> Boolean
+--R blue : () -> %                        coerce : % -> OutputForm
+--R color : Integer -> %                  green : () -> %
+--R hash : % -> SingleInteger             hue : % -> Integer
+--R latex : % -> String                   red : () -> %
+--R yellow : () -> %                      ?~=? : (%,%) -> Boolean
+--R numberOfHues : () -> PositiveInteger
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Color.help>>=
+====================================================================
+Color examples
+====================================================================
+
+See Also:
+o )show Color
+
+@
+
 \pagehead{Color}{COLOR}
 \pagepic{ps/v103color.ps}{COLOR}{1.00}
 {\bf See}\\
@@ -15582,6 +18371,43 @@ Color(): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain COMM Commutator}
+
+<<Commutator.input>>=
+)set break resume
+)sys rm -f Commutator.output
+)spool Commutator.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Commutator
+--R Commutator  is a domain constructor
+--R Abbreviation for Commutator is COMM 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for COMM 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R mkcomm : (%,%) -> %                   mkcomm : Integer -> %
+--R ?~=? : (%,%) -> Boolean              
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Commutator.help>>=
+====================================================================
+Commutator examples
+====================================================================
+
+See Also:
+o )show Commutator
+
+@
+
 \pagehead{Commutator}{COMM}
 \pagepic{ps/v103commutator.ps}{COMM}{1.00}
 {\bf See}\\
@@ -15650,6 +18476,7 @@ Commutator: Export == Implement where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain COMPLEX Complex}
+
 <<Complex.input>>=
 )set break resume
 )sys rm -f Complex.output
@@ -16168,6 +18995,7 @@ Complex(R:CommutativeRing): ComplexCategory(R) with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain CONTFRAC ContinuedFraction}
+
 <<ContinuedFraction.input>>=
 )set break resume
 )sys rm -f ContinuedFraction.output
@@ -17115,6 +19943,51 @@ ContinuedFraction(R): Exports == Implementation where
 \chapter{Chapter D}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain DBASE Database}
+
+<<Database.input>>=
+)set break resume
+)sys rm -f Database.output
+)spool Database.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Database
+--R Database S where 
+--R   S: OrderedSet with 
+--R       ?.? : (%,Symbol) -> String
+--R       display : % -> Void
+--R       fullDisplay : % -> Void  is a domain constructor
+--R Abbreviation for Database is DBASE 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for DBASE 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R ?=? : (%,%) -> Boolean                coerce : List S -> %
+--R coerce : % -> OutputForm              display : % -> Void
+--R ?.? : (%,QueryEquation) -> %          fullDisplay : % -> Void
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R ?.? : (%,Symbol) -> DataList String
+--R fullDisplay : (%,PositiveInteger,PositiveInteger) -> Void
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Database.help>>=
+====================================================================
+Database examples
+====================================================================
+
+See Also:
+o )show Database
+
+@
+
 \pagehead{Database}{DBASE}
 \pagepic{ps/v103database.ps}{DBASE}{1.00}
 {\bf See}\\
@@ -17196,6 +20069,151 @@ Database(S): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain DLIST DataList}
+
+<<DataList.input>>=
+)set break resume
+)sys rm -f DataList.output
+)spool DataList.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show DataList
+--R DataList S: OrderedSet  is a domain constructor
+--R Abbreviation for DataList is DLIST 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for DLIST 
+--R
+--R------------------------------- Operations --------------------------------
+--R children : % -> List %                coerce : % -> List S
+--R coerce : List S -> %                  concat : (%,S) -> %
+--R concat : List % -> %                  concat : (S,%) -> %
+--R concat : (%,%) -> %                   concat! : (%,S) -> %
+--R concat! : (%,%) -> %                  construct : List S -> %
+--R copy : % -> %                         cycleEntry : % -> %
+--R cycleTail : % -> %                    cyclic? : % -> Boolean
+--R datalist : List S -> %                delete : (%,Integer) -> %
+--R delete! : (%,Integer) -> %            distance : (%,%) -> Integer
+--R ?.sort : (%,sort) -> %                ?.unique : (%,unique) -> %
+--R elt : (%,Integer,S) -> S              ?.? : (%,Integer) -> S
+--R ?.last : (%,last) -> S                ?.rest : (%,rest) -> %
+--R ?.first : (%,first) -> S              ?.value : (%,value) -> S
+--R empty : () -> %                       empty? : % -> Boolean
+--R entries : % -> List S                 eq? : (%,%) -> Boolean
+--R explicitlyFinite? : % -> Boolean      first : % -> S
+--R index? : (Integer,%) -> Boolean       indices : % -> List Integer
+--R insert : (S,%,Integer) -> %           insert : (%,%,Integer) -> %
+--R insert! : (S,%,Integer) -> %          insert! : (%,%,Integer) -> %
+--R last : % -> S                         leaf? : % -> Boolean
+--R leaves : % -> List S                  list : S -> %
+--R map : (((S,S) -> S),%,%) -> %         map : ((S -> S),%) -> %
+--R new : (NonNegativeInteger,S) -> %     nodes : % -> List %
+--R possiblyInfinite? : % -> Boolean      qelt : (%,Integer) -> S
+--R rest : % -> %                         reverse : % -> %
+--R sample : () -> %                      second : % -> S
+--R tail : % -> %                         third : % -> S
+--R value : % -> S                       
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?<? : (%,%) -> Boolean if S has ORDSET
+--R ?<=? : (%,%) -> Boolean if S has ORDSET
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R ?>? : (%,%) -> Boolean if S has ORDSET
+--R ?>=? : (%,%) -> Boolean if S has ORDSET
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R child? : (%,%) -> Boolean if S has SETCAT
+--R coerce : % -> OutputForm if S has SETCAT
+--R convert : % -> InputForm if S has KONVERT INFORM
+--R copyInto! : (%,%,Integer) -> % if $ has shallowlyMutable
+--R count : (S,%) -> NonNegativeInteger if $ has finiteAggregate and S has SETCAT
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R cycleLength : % -> NonNegativeInteger
+--R cycleSplit! : % -> % if $ has shallowlyMutable
+--R delete : (%,UniversalSegment Integer) -> %
+--R delete! : (%,UniversalSegment Integer) -> %
+--R ?.count : (%,count) -> NonNegativeInteger
+--R ?.? : (%,UniversalSegment Integer) -> %
+--R entry? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R fill! : (%,S) -> % if $ has shallowlyMutable
+--R find : ((S -> Boolean),%) -> Union(S,"failed")
+--R first : (%,NonNegativeInteger) -> %
+--R hash : % -> SingleInteger if S has SETCAT
+--R last : (%,NonNegativeInteger) -> %
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R max : (%,%) -> % if S has ORDSET
+--R maxIndex : % -> Integer if Integer has ORDSET
+--R member? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R members : % -> List S if $ has finiteAggregate
+--R merge : (((S,S) -> Boolean),%,%) -> %
+--R merge : (%,%) -> % if S has ORDSET
+--R merge! : (((S,S) -> Boolean),%,%) -> %
+--R merge! : (%,%) -> % if S has ORDSET
+--R min : (%,%) -> % if S has ORDSET
+--R minIndex : % -> Integer if Integer has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R node? : (%,%) -> Boolean if S has SETCAT
+--R parts : % -> List S if $ has finiteAggregate
+--R position : ((S -> Boolean),%) -> Integer
+--R position : (S,%) -> Integer if S has SETCAT
+--R position : (S,%,Integer) -> Integer if S has SETCAT
+--R qsetelt! : (%,Integer,S) -> S if $ has shallowlyMutable
+--R reduce : (((S,S) -> S),%,S,S) -> S if $ has finiteAggregate and S has SETCAT
+--R reduce : (((S,S) -> S),%,S) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%) -> S if $ has finiteAggregate
+--R remove : (S,%) -> % if $ has finiteAggregate and S has SETCAT
+--R remove : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R remove! : ((S -> Boolean),%) -> %
+--R remove! : (S,%) -> % if S has SETCAT
+--R removeDuplicates : % -> % if $ has finiteAggregate and S has SETCAT
+--R removeDuplicates! : % -> % if S has SETCAT
+--R rest : (%,NonNegativeInteger) -> %
+--R reverse! : % -> % if $ has shallowlyMutable
+--R select : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R select! : ((S -> Boolean),%) -> %
+--R setchildren! : (%,List %) -> % if $ has shallowlyMutable
+--R setelt : (%,Integer,S) -> S if $ has shallowlyMutable
+--R setelt : (%,UniversalSegment Integer,S) -> S if $ has shallowlyMutable
+--R setelt : (%,last,S) -> S if $ has shallowlyMutable
+--R setelt : (%,rest,%) -> % if $ has shallowlyMutable
+--R setelt : (%,first,S) -> S if $ has shallowlyMutable
+--R setelt : (%,value,S) -> S if $ has shallowlyMutable
+--R setfirst! : (%,S) -> S if $ has shallowlyMutable
+--R setlast! : (%,S) -> S if $ has shallowlyMutable
+--R setrest! : (%,%) -> % if $ has shallowlyMutable
+--R setvalue! : (%,S) -> S if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R sort : (((S,S) -> Boolean),%) -> %
+--R sort : % -> % if S has ORDSET
+--R sort! : (((S,S) -> Boolean),%) -> % if $ has shallowlyMutable
+--R sort! : % -> % if $ has shallowlyMutable and S has ORDSET
+--R sorted? : (((S,S) -> Boolean),%) -> Boolean
+--R sorted? : % -> Boolean if S has ORDSET
+--R split! : (%,Integer) -> % if $ has shallowlyMutable
+--R swap! : (%,Integer,Integer) -> Void if $ has shallowlyMutable
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<DataList.help>>=
+====================================================================
+DataList examples
+====================================================================
+
+See Also:
+o )show DataList
+
+@
+
 \pagehead{DataList}{DLIST}
 \pagepic{ps/v103datalist.ps}{DLIST}{1.00}
 {\bf See}\\
@@ -17351,6 +20369,7 @@ DataList(S:OrderedSet) : Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain DECIMAL DecimalExpansion}
+
 <<DecimalExpansion.input>>=
 )set break resume
 )sys rm -f DecimalExpansion.output
@@ -17634,6 +20653,7 @@ DecimalExpansion(): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{Denavit-Hartenberg Matrices}
+
 \subsection{Homogeneous Transformations}
 The study of robot manipulation is concerned with the relationship between
 objects, and between objects and manipulators. In this chapter we will
@@ -19402,6 +22422,7 @@ DenavitHartenbergMatrix(R): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain DEQUEUE Dequeue}
+
 <<Dequeue.input>>=
 )set break resume
 )sys rm -f Dequeue.output
@@ -20611,6 +23632,7 @@ Dequeue(S:SetCategory): DequeueAggregate S with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain DERHAM DeRhamComplex}
+
 <<DeRhamComplex.input>>=
 )set break resume
 )sys rm -f DeRhamComplex.output
@@ -21352,8 +24374,8 @@ DeRhamComplex(CoefRing,listIndVar:List Symbol): Export == Implement where
 
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-DSTREE DesingTree
 \section{domain DSTREE DesingTree}
+
 <<DesingTree.input>>=
 )set break resume
 )sys rm -f DesingTree.output
@@ -21551,6 +24573,187 @@ DesingTree(S: SetCategory): T==C where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain DSMP DifferentialSparseMultivariatePolynomial}
+
+<<DifferentialSparseMultivariatePolynomial.input>>=
+)set break resume
+)sys rm -f DifferentialSparseMultivariatePolynomial.output
+)spool DifferentialSparseMultivariatePolynomial.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show DifferentialSparseMultivariatePolynomial
+--R DifferentialSparseMultivariatePolynomial(R: Ring,S: OrderedSet,V: DifferentialVariableCategory S)  is a domain constructor
+--R Abbreviation for DifferentialSparseMultivariatePolynomial is DSMP 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for DSMP 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,R) -> %                      ?*? : (R,%) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R D : (%,(R -> R)) -> %                 D : % -> % if R has DIFRING
+--R D : (%,List V) -> %                   D : (%,V) -> %
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coefficients : % -> List R
+--R coerce : S -> %                       coerce : V -> %
+--R coerce : R -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              degree : % -> IndexedExponents V
+--R differentiate : (%,List V) -> %       differentiate : (%,V) -> %
+--R eval : (%,List V,List %) -> %         eval : (%,V,%) -> %
+--R eval : (%,List V,List R) -> %         eval : (%,V,R) -> %
+--R eval : (%,List %,List %) -> %         eval : (%,%,%) -> %
+--R eval : (%,Equation %) -> %            eval : (%,List Equation %) -> %
+--R ground : % -> R                       ground? : % -> Boolean
+--R hash : % -> SingleInteger             initial : % -> %
+--R isobaric? : % -> Boolean              latex : % -> String
+--R leader : % -> V                       leadingCoefficient : % -> R
+--R leadingMonomial : % -> %              map : ((R -> R),%) -> %
+--R monomial? : % -> Boolean              monomials : % -> List %
+--R one? : % -> Boolean                   order : % -> NonNegativeInteger
+--R primitiveMonomials : % -> List %      recip : % -> Union(%,"failed")
+--R reductum : % -> %                     retract : % -> S
+--R retract : % -> V                      retract : % -> R
+--R sample : () -> %                      separant : % -> %
+--R variables : % -> List V               weight : % -> NonNegativeInteger
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (Fraction Integer,%) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (%,Fraction Integer) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,R) -> % if R has FIELD
+--R ?<? : (%,%) -> Boolean if R has ORDSET
+--R ?<=? : (%,%) -> Boolean if R has ORDSET
+--R ?>? : (%,%) -> Boolean if R has ORDSET
+--R ?>=? : (%,%) -> Boolean if R has ORDSET
+--R D : (%,(R -> R),NonNegativeInteger) -> %
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if R has PDRING SYMBOL
+--R D : (%,Symbol) -> % if R has PDRING SYMBOL
+--R D : (%,NonNegativeInteger) -> % if R has DIFRING
+--R D : (%,List V,List NonNegativeInteger) -> %
+--R D : (%,V,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R associates? : (%,%) -> Boolean if R has INTDOM
+--R binomThmExpt : (%,%,NonNegativeInteger) -> % if R has COMRING
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if $ has CHARNZ and R has PFECAT or R has CHARNZ
+--R coefficient : (%,List V,List NonNegativeInteger) -> %
+--R coefficient : (%,V,NonNegativeInteger) -> %
+--R coefficient : (%,IndexedExponents V) -> R
+--R coerce : % -> % if R has INTDOM
+--R coerce : Fraction Integer -> % if R has ALGEBRA FRAC INT or R has RETRACT FRAC INT
+--R coerce : SparseMultivariatePolynomial(R,S) -> %
+--R conditionP : Matrix % -> Union(Vector %,"failed") if $ has CHARNZ and R has PFECAT
+--R content : (%,V) -> % if R has GCDDOM
+--R content : % -> R if R has GCDDOM
+--R convert : % -> InputForm if R has KONVERT INFORM and V has KONVERT INFORM
+--R convert : % -> Pattern Integer if R has KONVERT PATTERN INT and V has KONVERT PATTERN INT
+--R convert : % -> Pattern Float if R has KONVERT PATTERN FLOAT and V has KONVERT PATTERN FLOAT
+--R degree : (%,S) -> NonNegativeInteger
+--R degree : (%,List V) -> List NonNegativeInteger
+--R degree : (%,V) -> NonNegativeInteger
+--R differentialVariables : % -> List S
+--R differentiate : (%,(R -> R)) -> %
+--R differentiate : (%,(R -> R),NonNegativeInteger) -> %
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if R has PDRING SYMBOL
+--R differentiate : (%,Symbol) -> % if R has PDRING SYMBOL
+--R differentiate : (%,NonNegativeInteger) -> % if R has DIFRING
+--R differentiate : % -> % if R has DIFRING
+--R differentiate : (%,List V,List NonNegativeInteger) -> %
+--R differentiate : (%,V,NonNegativeInteger) -> %
+--R discriminant : (%,V) -> % if R has COMRING
+--R eval : (%,List S,List R) -> % if R has DIFRING
+--R eval : (%,S,R) -> % if R has DIFRING
+--R eval : (%,List S,List %) -> % if R has DIFRING
+--R eval : (%,S,%) -> % if R has DIFRING
+--R exquo : (%,%) -> Union(%,"failed") if R has INTDOM
+--R exquo : (%,R) -> Union(%,"failed") if R has INTDOM
+--R factor : % -> Factored % if R has PFECAT
+--R factorPolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R factorSquareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R gcd : (%,%) -> % if R has GCDDOM
+--R gcd : List % -> % if R has GCDDOM
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if R has GCDDOM
+--R isExpt : % -> Union(Record(var: V,exponent: NonNegativeInteger),"failed")
+--R isPlus : % -> Union(List %,"failed")
+--R isTimes : % -> Union(List %,"failed")
+--R lcm : (%,%) -> % if R has GCDDOM
+--R lcm : List % -> % if R has GCDDOM
+--R mainVariable : % -> Union(V,"failed")
+--R makeVariable : % -> (NonNegativeInteger -> %) if R has DIFRING
+--R makeVariable : S -> (NonNegativeInteger -> %)
+--R mapExponents : ((IndexedExponents V -> IndexedExponents V),%) -> %
+--R max : (%,%) -> % if R has ORDSET
+--R min : (%,%) -> % if R has ORDSET
+--R minimumDegree : (%,List V) -> List NonNegativeInteger
+--R minimumDegree : (%,V) -> NonNegativeInteger
+--R minimumDegree : % -> IndexedExponents V
+--R monicDivide : (%,%,V) -> Record(quotient: %,remainder: %)
+--R monomial : (%,List V,List NonNegativeInteger) -> %
+--R monomial : (%,V,NonNegativeInteger) -> %
+--R monomial : (R,IndexedExponents V) -> %
+--R multivariate : (SparseUnivariatePolynomial %,V) -> %
+--R multivariate : (SparseUnivariatePolynomial R,V) -> %
+--R numberOfMonomials : % -> NonNegativeInteger
+--R order : (%,S) -> NonNegativeInteger
+--R patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%) if R has PATMAB INT and V has PATMAB INT
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%) if R has PATMAB FLOAT and V has PATMAB FLOAT
+--R pomopo! : (%,R,IndexedExponents V,%) -> %
+--R prime? : % -> Boolean if R has PFECAT
+--R primitivePart : (%,V) -> % if R has GCDDOM
+--R primitivePart : % -> % if R has GCDDOM
+--R reducedSystem : Matrix % -> Matrix R
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix R,vec: Vector R)
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if R has LINEXP INT
+--R reducedSystem : Matrix % -> Matrix Integer if R has LINEXP INT
+--R resultant : (%,%,V) -> % if R has COMRING
+--R retract : % -> SparseMultivariatePolynomial(R,S)
+--R retract : % -> Integer if R has RETRACT INT
+--R retract : % -> Fraction Integer if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(SparseMultivariatePolynomial(R,S),"failed")
+--R retractIfCan : % -> Union(S,"failed")
+--R retractIfCan : % -> Union(V,"failed")
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(R,"failed")
+--R solveLinearPolynomialEquation : (List SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> Union(List SparseUnivariatePolynomial %,"failed") if R has PFECAT
+--R squareFree : % -> Factored % if R has GCDDOM
+--R squareFreePart : % -> % if R has GCDDOM
+--R squareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R totalDegree : (%,List V) -> NonNegativeInteger
+--R totalDegree : % -> NonNegativeInteger
+--R unit? : % -> Boolean if R has INTDOM
+--R unitCanonical : % -> % if R has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if R has INTDOM
+--R univariate : % -> SparseUnivariatePolynomial R
+--R univariate : (%,V) -> SparseUnivariatePolynomial %
+--R weight : (%,S) -> NonNegativeInteger
+--R weights : (%,S) -> List NonNegativeInteger
+--R weights : % -> List NonNegativeInteger
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<DifferentialSparseMultivariatePolynomial.help>>=
+====================================================================
+DifferentialSparseMultivariatePolynomial examples
+====================================================================
+
+See Also:
+o )show DifferentialSparseMultivariatePolynomial
+
+@
+
 \pagehead{DifferentialSparseMultivariatePolynomial}{DSMP}
 \pagepic{ps/v103differentialsparsemultivariatepolynomial.ps}{DSMP}{1.00}
 {\bf See}\\
@@ -21707,6 +24910,142 @@ DifferentialSparseMultivariatePolynomial(R, S, V):
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain DIRPROD DirectProduct}
+
+<<DirectProduct.input>>=
+)set break resume
+)sys rm -f DirectProduct.output
+)spool DirectProduct.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show DirectProduct
+--R DirectProduct(dim: NonNegativeInteger,R: Type)  is a domain constructor
+--R Abbreviation for DirectProduct is DIRPROD 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for DIRPROD 
+--R
+--R------------------------------- Operations --------------------------------
+--R -? : % -> % if R has RING             1 : () -> % if R has MONOID
+--R 0 : () -> % if R has CABMON           coerce : % -> Vector R
+--R copy : % -> %                         directProduct : Vector R -> %
+--R ?.? : (%,Integer) -> R                elt : (%,Integer,R) -> R
+--R empty : () -> %                       empty? : % -> Boolean
+--R entries : % -> List R                 eq? : (%,%) -> Boolean
+--R index? : (Integer,%) -> Boolean       indices : % -> List Integer
+--R map : ((R -> R),%) -> %               qelt : (%,Integer) -> R
+--R sample : () -> %                     
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?*? : (PositiveInteger,%) -> % if R has ABELSG
+--R ?*? : (NonNegativeInteger,%) -> % if R has CABMON
+--R ?*? : (R,%) -> % if R has RING
+--R ?*? : (%,R) -> % if R has RING
+--R ?*? : (%,%) -> % if R has MONOID
+--R ?*? : (Integer,%) -> % if R has RING
+--R ?**? : (%,PositiveInteger) -> % if R has MONOID
+--R ?**? : (%,NonNegativeInteger) -> % if R has MONOID
+--R ?+? : (%,%) -> % if R has ABELSG
+--R ?-? : (%,%) -> % if R has RING
+--R ?/? : (%,R) -> % if R has FIELD
+--R ?<? : (%,%) -> Boolean if R has OAMONS or R has ORDRING
+--R ?<=? : (%,%) -> Boolean if R has OAMONS or R has ORDRING
+--R ?=? : (%,%) -> Boolean if R has SETCAT
+--R ?>? : (%,%) -> Boolean if R has OAMONS or R has ORDRING
+--R ?>=? : (%,%) -> Boolean if R has OAMONS or R has ORDRING
+--R D : (%,(R -> R)) -> % if R has RING
+--R D : (%,(R -> R),NonNegativeInteger) -> % if R has RING
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL and R has RING
+--R D : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL and R has RING
+--R D : (%,List Symbol) -> % if R has PDRING SYMBOL and R has RING
+--R D : (%,Symbol) -> % if R has PDRING SYMBOL and R has RING
+--R D : (%,NonNegativeInteger) -> % if R has DIFRING and R has RING
+--R D : % -> % if R has DIFRING and R has RING
+--R ?^? : (%,PositiveInteger) -> % if R has MONOID
+--R ?^? : (%,NonNegativeInteger) -> % if R has MONOID
+--R abs : % -> % if R has ORDRING
+--R any? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R characteristic : () -> NonNegativeInteger if R has RING
+--R coerce : R -> % if R has SETCAT
+--R coerce : Fraction Integer -> % if R has RETRACT FRAC INT and R has SETCAT
+--R coerce : Integer -> % if R has RETRACT INT and R has SETCAT or R has RING
+--R coerce : % -> OutputForm if R has SETCAT
+--R count : (R,%) -> NonNegativeInteger if $ has finiteAggregate and R has SETCAT
+--R count : ((R -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R differentiate : (%,(R -> R)) -> % if R has RING
+--R differentiate : (%,(R -> R),NonNegativeInteger) -> % if R has RING
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL and R has RING
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL and R has RING
+--R differentiate : (%,List Symbol) -> % if R has PDRING SYMBOL and R has RING
+--R differentiate : (%,Symbol) -> % if R has PDRING SYMBOL and R has RING
+--R differentiate : (%,NonNegativeInteger) -> % if R has DIFRING and R has RING
+--R differentiate : % -> % if R has DIFRING and R has RING
+--R dimension : () -> CardinalNumber if R has FIELD
+--R dot : (%,%) -> R if R has RING
+--R entry? : (R,%) -> Boolean if $ has finiteAggregate and R has SETCAT
+--R eval : (%,List R,List R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,R,R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,Equation R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,List Equation R) -> % if R has EVALAB R and R has SETCAT
+--R every? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R fill! : (%,R) -> % if $ has shallowlyMutable
+--R first : % -> R if Integer has ORDSET
+--R hash : % -> SingleInteger if R has SETCAT
+--R index : PositiveInteger -> % if R has FINITE
+--R latex : % -> String if R has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R lookup : % -> PositiveInteger if R has FINITE
+--R map! : ((R -> R),%) -> % if $ has shallowlyMutable
+--R max : (%,%) -> % if R has OAMONS or R has ORDRING
+--R maxIndex : % -> Integer if Integer has ORDSET
+--R member? : (R,%) -> Boolean if $ has finiteAggregate and R has SETCAT
+--R members : % -> List R if $ has finiteAggregate
+--R min : (%,%) -> % if R has OAMONS or R has ORDRING
+--R minIndex : % -> Integer if Integer has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R negative? : % -> Boolean if R has ORDRING
+--R one? : % -> Boolean if R has MONOID
+--R parts : % -> List R if $ has finiteAggregate
+--R positive? : % -> Boolean if R has ORDRING
+--R qsetelt! : (%,Integer,R) -> R if $ has shallowlyMutable
+--R random : () -> % if R has FINITE
+--R recip : % -> Union(%,"failed") if R has MONOID
+--R reducedSystem : Matrix % -> Matrix R if R has RING
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix R,vec: Vector R) if R has RING
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if R has LINEXP INT and R has RING
+--R reducedSystem : Matrix % -> Matrix Integer if R has LINEXP INT and R has RING
+--R retract : % -> R if R has SETCAT
+--R retract : % -> Fraction Integer if R has RETRACT FRAC INT and R has SETCAT
+--R retract : % -> Integer if R has RETRACT INT and R has SETCAT
+--R retractIfCan : % -> Union(R,"failed") if R has SETCAT
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT and R has SETCAT
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT and R has SETCAT
+--R setelt : (%,Integer,R) -> R if $ has shallowlyMutable
+--R sign : % -> Integer if R has ORDRING
+--R size : () -> NonNegativeInteger if R has FINITE
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R subtractIfCan : (%,%) -> Union(%,"failed") if R has CABMON
+--R sup : (%,%) -> % if R has OAMONS
+--R swap! : (%,Integer,Integer) -> Void if $ has shallowlyMutable
+--R unitVector : PositiveInteger -> % if R has RING
+--R zero? : % -> Boolean if R has CABMON
+--R ?~=? : (%,%) -> Boolean if R has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<DirectProduct.help>>=
+====================================================================
+DirectProduct examples
+====================================================================
+
+See Also:
+o )show DirectProduct
+
+@
+
 \pagehead{DirectProduct}{DIRPROD}
 \pagepic{ps/v103directproduct.ps}{DIRPROD}{1.00}
 
@@ -21898,6 +25237,138 @@ DirectProduct(dim:NonNegativeInteger, R:Type):
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain DPMM DirectProductMatrixModule}
+
+<<DirectProductMatrixModule.input>>=
+)set break resume
+)sys rm -f DirectProductMatrixModule.output
+)spool DirectProductMatrixModule.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show DirectProductMatrixModule
+--R DirectProductMatrixModule(n: PositiveInteger,R: Ring,M: SquareMatrixCategory(n,R,DirectProduct(n,R),DirectProduct(n,R)),S: LeftModule R)  is a domain constructor
+--R Abbreviation for DirectProductMatrixModule is DPMM 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for DPMM 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (M,%) -> %                      ?*? : (PositiveInteger,%) -> %
+--R ?*? : (Integer,%) -> %                ?*? : (R,%) -> %
+--R ?+? : (%,%) -> %                      -? : % -> %
+--R ?-? : (%,%) -> %                      ?=? : (%,%) -> Boolean
+--R 0 : () -> %                           coerce : % -> OutputForm
+--R coerce : % -> Vector S                copy : % -> %
+--R directProduct : Vector S -> %         ?.? : (%,Integer) -> S
+--R elt : (%,Integer,S) -> S              empty : () -> %
+--R empty? : % -> Boolean                 entries : % -> List S
+--R eq? : (%,%) -> Boolean                hash : % -> SingleInteger
+--R index? : (Integer,%) -> Boolean       indices : % -> List Integer
+--R latex : % -> String                   map : ((S -> S),%) -> %
+--R qelt : (%,Integer) -> S               sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?*? : (%,%) -> % if S has DIFRING and S has RING or S has LINEXP INT and S has RING or S has MONOID or S has PDRING SYMBOL and S has RING
+--R ?*? : (S,%) -> % if S has RING
+--R ?*? : (%,S) -> % if S has RING
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,PositiveInteger) -> % if S has DIFRING and S has RING or S has LINEXP INT and S has RING or S has MONOID or S has PDRING SYMBOL and S has RING
+--R ?**? : (%,NonNegativeInteger) -> % if S has DIFRING and S has RING or S has LINEXP INT and S has RING or S has MONOID or S has PDRING SYMBOL and S has RING
+--R ?/? : (%,S) -> % if S has FIELD
+--R ?<? : (%,%) -> Boolean if S has OAMONS or S has ORDRING
+--R ?<=? : (%,%) -> Boolean if S has OAMONS or S has ORDRING
+--R ?>? : (%,%) -> Boolean if S has OAMONS or S has ORDRING
+--R ?>=? : (%,%) -> Boolean if S has OAMONS or S has ORDRING
+--R D : % -> % if S has DIFRING and S has RING
+--R D : (%,NonNegativeInteger) -> % if S has DIFRING and S has RING
+--R D : (%,Symbol) -> % if S has PDRING SYMBOL and S has RING
+--R D : (%,List Symbol) -> % if S has PDRING SYMBOL and S has RING
+--R D : (%,Symbol,NonNegativeInteger) -> % if S has PDRING SYMBOL and S has RING
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if S has PDRING SYMBOL and S has RING
+--R D : (%,(S -> S)) -> % if S has RING
+--R D : (%,(S -> S),NonNegativeInteger) -> % if S has RING
+--R 1 : () -> % if S has DIFRING and S has RING or S has LINEXP INT and S has RING or S has MONOID or S has PDRING SYMBOL and S has RING
+--R ?^? : (%,PositiveInteger) -> % if S has DIFRING and S has RING or S has LINEXP INT and S has RING or S has MONOID or S has PDRING SYMBOL and S has RING
+--R ?^? : (%,NonNegativeInteger) -> % if S has DIFRING and S has RING or S has LINEXP INT and S has RING or S has MONOID or S has PDRING SYMBOL and S has RING
+--R abs : % -> % if S has ORDRING
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R characteristic : () -> NonNegativeInteger if S has RING
+--R coerce : Fraction Integer -> % if S has RETRACT FRAC INT and S has SETCAT
+--R coerce : Integer -> % if S has RETRACT INT and S has SETCAT or S has RING
+--R coerce : S -> % if S has SETCAT
+--R count : (S,%) -> NonNegativeInteger if $ has finiteAggregate and S has SETCAT
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R differentiate : % -> % if S has DIFRING and S has RING
+--R differentiate : (%,NonNegativeInteger) -> % if S has DIFRING and S has RING
+--R differentiate : (%,Symbol) -> % if S has PDRING SYMBOL and S has RING
+--R differentiate : (%,List Symbol) -> % if S has PDRING SYMBOL and S has RING
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if S has PDRING SYMBOL and S has RING
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if S has PDRING SYMBOL and S has RING
+--R differentiate : (%,(S -> S)) -> % if S has RING
+--R differentiate : (%,(S -> S),NonNegativeInteger) -> % if S has RING
+--R dimension : () -> CardinalNumber if S has FIELD
+--R dot : (%,%) -> S if S has RING
+--R entry? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R fill! : (%,S) -> % if $ has shallowlyMutable
+--R first : % -> S if Integer has ORDSET
+--R index : PositiveInteger -> % if S has FINITE
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R lookup : % -> PositiveInteger if S has FINITE
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R max : (%,%) -> % if S has OAMONS or S has ORDRING
+--R maxIndex : % -> Integer if Integer has ORDSET
+--R member? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R members : % -> List S if $ has finiteAggregate
+--R min : (%,%) -> % if S has OAMONS or S has ORDRING
+--R minIndex : % -> Integer if Integer has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R negative? : % -> Boolean if S has ORDRING
+--R one? : % -> Boolean if S has DIFRING and S has RING or S has LINEXP INT and S has RING or S has MONOID or S has PDRING SYMBOL and S has RING
+--R parts : % -> List S if $ has finiteAggregate
+--R positive? : % -> Boolean if S has ORDRING
+--R qsetelt! : (%,Integer,S) -> S if $ has shallowlyMutable
+--R random : () -> % if S has FINITE
+--R recip : % -> Union(%,"failed") if S has DIFRING and S has RING or S has LINEXP INT and S has RING or S has MONOID or S has PDRING SYMBOL and S has RING
+--R reducedSystem : Matrix % -> Matrix Integer if S has LINEXP INT and S has RING
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if S has LINEXP INT and S has RING
+--R reducedSystem : Matrix % -> Matrix S if S has RING
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix S,vec: Vector S) if S has RING
+--R retract : % -> Fraction Integer if S has RETRACT FRAC INT and S has SETCAT
+--R retract : % -> Integer if S has RETRACT INT and S has SETCAT
+--R retract : % -> S if S has SETCAT
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if S has RETRACT FRAC INT and S has SETCAT
+--R retractIfCan : % -> Union(Integer,"failed") if S has RETRACT INT and S has SETCAT
+--R retractIfCan : % -> Union(S,"failed") if S has SETCAT
+--R setelt : (%,Integer,S) -> S if $ has shallowlyMutable
+--R sign : % -> Integer if S has ORDRING
+--R size : () -> NonNegativeInteger if S has FINITE
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R sup : (%,%) -> % if S has OAMONS
+--R swap! : (%,Integer,Integer) -> Void if $ has shallowlyMutable
+--R unitVector : PositiveInteger -> % if S has RING
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<DirectProductMatrixModule.help>>=
+====================================================================
+DirectProductMatrixModule examples
+====================================================================
+
+See Also:
+o )show DirectProductMatrixModule
+
+@
+
 \pagehead{DirectProductMatrixModule}{DPMM}
 \pagepic{ps/v103directproductmatrixmodule.ps}{DPMM}{1.00}
 {\bf See}\\
@@ -22024,6 +25495,138 @@ DirectProductMatrixModule(n, R, M, S): DPcategory == DPcapsule where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain DPMO DirectProductModule}
+
+<<DirectProductModule.input>>=
+)set break resume
+)sys rm -f DirectProductModule.output
+)spool DirectProductModule.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show DirectProductModule
+--R DirectProductModule(n: NonNegativeInteger,R: Ring,S: LeftModule R)  is a domain constructor
+--R Abbreviation for DirectProductModule is DPMO 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for DPMO 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (PositiveInteger,%) -> %        ?*? : (Integer,%) -> %
+--R ?*? : (R,%) -> %                      ?+? : (%,%) -> %
+--R -? : % -> %                           ?-? : (%,%) -> %
+--R ?=? : (%,%) -> Boolean                0 : () -> %
+--R coerce : % -> OutputForm              coerce : % -> Vector S
+--R copy : % -> %                         directProduct : Vector S -> %
+--R ?.? : (%,Integer) -> S                elt : (%,Integer,S) -> S
+--R empty : () -> %                       empty? : % -> Boolean
+--R entries : % -> List S                 eq? : (%,%) -> Boolean
+--R hash : % -> SingleInteger             index? : (Integer,%) -> Boolean
+--R indices : % -> List Integer           latex : % -> String
+--R map : ((S -> S),%) -> %               qelt : (%,Integer) -> S
+--R sample : () -> %                      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?*? : (%,%) -> % if S has DIFRING and S has RING or S has LINEXP INT and S has RING or S has MONOID or S has PDRING SYMBOL and S has RING
+--R ?*? : (S,%) -> % if S has RING
+--R ?*? : (%,S) -> % if S has RING
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,PositiveInteger) -> % if S has DIFRING and S has RING or S has LINEXP INT and S has RING or S has MONOID or S has PDRING SYMBOL and S has RING
+--R ?**? : (%,NonNegativeInteger) -> % if S has DIFRING and S has RING or S has LINEXP INT and S has RING or S has MONOID or S has PDRING SYMBOL and S has RING
+--R ?/? : (%,S) -> % if S has FIELD
+--R ?<? : (%,%) -> Boolean if S has OAMONS or S has ORDRING
+--R ?<=? : (%,%) -> Boolean if S has OAMONS or S has ORDRING
+--R ?>? : (%,%) -> Boolean if S has OAMONS or S has ORDRING
+--R ?>=? : (%,%) -> Boolean if S has OAMONS or S has ORDRING
+--R D : % -> % if S has DIFRING and S has RING
+--R D : (%,NonNegativeInteger) -> % if S has DIFRING and S has RING
+--R D : (%,Symbol) -> % if S has PDRING SYMBOL and S has RING
+--R D : (%,List Symbol) -> % if S has PDRING SYMBOL and S has RING
+--R D : (%,Symbol,NonNegativeInteger) -> % if S has PDRING SYMBOL and S has RING
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if S has PDRING SYMBOL and S has RING
+--R D : (%,(S -> S)) -> % if S has RING
+--R D : (%,(S -> S),NonNegativeInteger) -> % if S has RING
+--R 1 : () -> % if S has DIFRING and S has RING or S has LINEXP INT and S has RING or S has MONOID or S has PDRING SYMBOL and S has RING
+--R ?^? : (%,PositiveInteger) -> % if S has DIFRING and S has RING or S has LINEXP INT and S has RING or S has MONOID or S has PDRING SYMBOL and S has RING
+--R ?^? : (%,NonNegativeInteger) -> % if S has DIFRING and S has RING or S has LINEXP INT and S has RING or S has MONOID or S has PDRING SYMBOL and S has RING
+--R abs : % -> % if S has ORDRING
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R characteristic : () -> NonNegativeInteger if S has RING
+--R coerce : Fraction Integer -> % if S has RETRACT FRAC INT and S has SETCAT
+--R coerce : Integer -> % if S has RETRACT INT and S has SETCAT or S has RING
+--R coerce : S -> % if S has SETCAT
+--R count : (S,%) -> NonNegativeInteger if $ has finiteAggregate and S has SETCAT
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R differentiate : % -> % if S has DIFRING and S has RING
+--R differentiate : (%,NonNegativeInteger) -> % if S has DIFRING and S has RING
+--R differentiate : (%,Symbol) -> % if S has PDRING SYMBOL and S has RING
+--R differentiate : (%,List Symbol) -> % if S has PDRING SYMBOL and S has RING
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if S has PDRING SYMBOL and S has RING
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if S has PDRING SYMBOL and S has RING
+--R differentiate : (%,(S -> S)) -> % if S has RING
+--R differentiate : (%,(S -> S),NonNegativeInteger) -> % if S has RING
+--R dimension : () -> CardinalNumber if S has FIELD
+--R dot : (%,%) -> S if S has RING
+--R entry? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R fill! : (%,S) -> % if $ has shallowlyMutable
+--R first : % -> S if Integer has ORDSET
+--R index : PositiveInteger -> % if S has FINITE
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R lookup : % -> PositiveInteger if S has FINITE
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R max : (%,%) -> % if S has OAMONS or S has ORDRING
+--R maxIndex : % -> Integer if Integer has ORDSET
+--R member? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R members : % -> List S if $ has finiteAggregate
+--R min : (%,%) -> % if S has OAMONS or S has ORDRING
+--R minIndex : % -> Integer if Integer has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R negative? : % -> Boolean if S has ORDRING
+--R one? : % -> Boolean if S has DIFRING and S has RING or S has LINEXP INT and S has RING or S has MONOID or S has PDRING SYMBOL and S has RING
+--R parts : % -> List S if $ has finiteAggregate
+--R positive? : % -> Boolean if S has ORDRING
+--R qsetelt! : (%,Integer,S) -> S if $ has shallowlyMutable
+--R random : () -> % if S has FINITE
+--R recip : % -> Union(%,"failed") if S has DIFRING and S has RING or S has LINEXP INT and S has RING or S has MONOID or S has PDRING SYMBOL and S has RING
+--R reducedSystem : Matrix % -> Matrix Integer if S has LINEXP INT and S has RING
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if S has LINEXP INT and S has RING
+--R reducedSystem : Matrix % -> Matrix S if S has RING
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix S,vec: Vector S) if S has RING
+--R retract : % -> Fraction Integer if S has RETRACT FRAC INT and S has SETCAT
+--R retract : % -> Integer if S has RETRACT INT and S has SETCAT
+--R retract : % -> S if S has SETCAT
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if S has RETRACT FRAC INT and S has SETCAT
+--R retractIfCan : % -> Union(Integer,"failed") if S has RETRACT INT and S has SETCAT
+--R retractIfCan : % -> Union(S,"failed") if S has SETCAT
+--R setelt : (%,Integer,S) -> S if $ has shallowlyMutable
+--R sign : % -> Integer if S has ORDRING
+--R size : () -> NonNegativeInteger if S has FINITE
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R sup : (%,%) -> % if S has OAMONS
+--R swap! : (%,Integer,Integer) -> Void if $ has shallowlyMutable
+--R unitVector : PositiveInteger -> % if S has RING
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<DirectProductModule.help>>=
+====================================================================
+DirectProductModule examples
+====================================================================
+
+See Also:
+o )show DirectProductModule
+
+@
+
 \pagehead{DirectProductModule}{DPMO}
 \pagepic{ps/v103directproductmodule.ps}{DPMO}{1.00}
 {\bf See}\\
@@ -22148,6 +25751,7 @@ DirectProductModule(n, R, S): DPcategory == DPcapsule where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain DMP DistributedMultivariatePolynomial}
+
 <<DistributedMultivariatePolynomial.input>>=
 )set break resume
 )sys rm -f DistributedMultivariatePolynomial.output
@@ -22497,6 +26101,7 @@ DistributedMultivariatePolynomial(vl,R): public == private where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain DIV Divisor}
+
 <<Divisor.input>>=
 )set break resume
 )sys rm -f Divisor.output
@@ -23613,6 +27218,60 @@ DoubleFloat(): Join(FloatingPointSystem, DifferentialRing, OpenMath,
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain DROPT DrawOption}
+
+<<DrawOption.input>>=
+)set break resume
+)sys rm -f DrawOption.output
+)spool DrawOption.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show DrawOption
+--R DrawOption  is a domain constructor
+--R Abbreviation for DrawOption is DROPT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for DROPT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                adaptive : Boolean -> %
+--R clip : List Segment Float -> %        clip : Boolean -> %
+--R coerce : % -> OutputForm              curveColor : Palette -> %
+--R curveColor : Float -> %               hash : % -> SingleInteger
+--R latex : % -> String                   pointColor : Palette -> %
+--R pointColor : Float -> %               range : List Segment Float -> %
+--R ranges : List Segment Float -> %      style : String -> %
+--R title : String -> %                   toScale : Boolean -> %
+--R tubePoints : PositiveInteger -> %     tubeRadius : Float -> %
+--R unit : List Float -> %                var1Steps : PositiveInteger -> %
+--R var2Steps : PositiveInteger -> %      ?~=? : (%,%) -> Boolean
+--R colorFunction : ((DoubleFloat,DoubleFloat,DoubleFloat) -> DoubleFloat) -> %
+--R colorFunction : ((DoubleFloat,DoubleFloat) -> DoubleFloat) -> %
+--R colorFunction : (DoubleFloat -> DoubleFloat) -> %
+--R coord : (Point DoubleFloat -> Point DoubleFloat) -> %
+--R coordinates : (Point DoubleFloat -> Point DoubleFloat) -> %
+--R option : (List %,Symbol) -> Union(Any,"failed")
+--R option? : (List %,Symbol) -> Boolean
+--R range : List Segment Fraction Integer -> %
+--R space : ThreeSpace DoubleFloat -> %
+--R viewpoint : Record(theta: DoubleFloat,phi: DoubleFloat,scale: DoubleFloat,scaleX: DoubleFloat,scaleY: DoubleFloat,scaleZ: DoubleFloat,deltaX: DoubleFloat,deltaY: DoubleFloat) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<DrawOption.help>>=
+====================================================================
+DrawOption examples
+====================================================================
+
+See Also:
+o )show DrawOption
+
+@
+
 \pagehead{DrawOption}{DROPT}
 \pagepic{ps/v103drawoption.ps}{DROPT}{1.00}
 
@@ -23867,6 +27526,46 @@ DrawOption(): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D01AJFA d01ajfAnnaType}
+
+<<d01ajfAnnaType.input>>=
+)set break resume
+)sys rm -f d01ajfAnnaType.output
+)spool d01ajfAnnaType.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show d01ajfAnnaType
+--R d01ajfAnnaType  is a domain constructor
+--R Abbreviation for d01ajfAnnaType is D01AJFA 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for D01AJFA 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R measure : (RoutinesTable,Record(fn: Expression DoubleFloat,range: List Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)) -> Record(measure: Float,explanations: String,extra: Result)
+--R measure : (RoutinesTable,Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)) -> Record(measure: Float,explanations: String,extra: Result)
+--R numericalIntegration : (Record(fn: Expression DoubleFloat,range: List Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),Result) -> Result
+--R numericalIntegration : (Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),Result) -> Result
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<d01ajfAnnaType.help>>=
+====================================================================
+d01ajfAnnaType examples
+====================================================================
+
+See Also:
+o )show d01ajfAnnaType
+
+@
+
 \pagehead{d01ajfAnnaType}{D01AJFA}
 \pagepic{ps/v103d01ajfannatype.ps}{D01AJFA}{1.00}
 
@@ -23944,6 +27643,46 @@ d01ajfAnnaType(): NumericalIntegrationCategory == Result add
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D01AKFA d01akfAnnaType}
+
+<<d01akfAnnaType.input>>=
+)set break resume
+)sys rm -f d01akfAnnaType.output
+)spool d01akfAnnaType.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show d01akfAnnaType
+--R d01akfAnnaType  is a domain constructor
+--R Abbreviation for d01akfAnnaType is D01AKFA 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for D01AKFA 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R measure : (RoutinesTable,Record(fn: Expression DoubleFloat,range: List Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)) -> Record(measure: Float,explanations: String,extra: Result)
+--R measure : (RoutinesTable,Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)) -> Record(measure: Float,explanations: String,extra: Result)
+--R numericalIntegration : (Record(fn: Expression DoubleFloat,range: List Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),Result) -> Result
+--R numericalIntegration : (Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),Result) -> Result
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<d01akfAnnaType.help>>=
+====================================================================
+d01akfAnnaType examples
+====================================================================
+
+See Also:
+o )show d01akfAnnaType
+
+@
+
 \pagehead{d01akfAnnaType}{D01AKFA}
 \pagepic{ps/v103d01akfannatype.ps}{D01AKFA}{1.00}
 
@@ -24026,6 +27765,46 @@ d01akfAnnaType(): NumericalIntegrationCategory == Result add
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D01ALFA d01alfAnnaType}
+
+<<d01alfAnnaType.input>>=
+)set break resume
+)sys rm -f d01alfAnnaType.output
+)spool d01alfAnnaType.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show d01alfAnnaType
+--R d01alfAnnaType  is a domain constructor
+--R Abbreviation for d01alfAnnaType is D01ALFA 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for D01ALFA 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R measure : (RoutinesTable,Record(fn: Expression DoubleFloat,range: List Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)) -> Record(measure: Float,explanations: String,extra: Result)
+--R measure : (RoutinesTable,Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)) -> Record(measure: Float,explanations: String,extra: Result)
+--R numericalIntegration : (Record(fn: Expression DoubleFloat,range: List Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),Result) -> Result
+--R numericalIntegration : (Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),Result) -> Result
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<d01alfAnnaType.help>>=
+====================================================================
+d01alfAnnaType examples
+====================================================================
+
+See Also:
+o )show d01alfAnnaType
+
+@
+
 \pagehead{d01alfAnnaType}{D01ALFA}
 \pagepic{ps/v103d01alfannatype.ps}{D01ALFA}{1.00}
 
@@ -24120,6 +27899,46 @@ d01alfAnnaType(): NumericalIntegrationCategory == Result add
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D01AMFA d01amfAnnaType}
+
+<<d01amfAnnaType.input>>=
+)set break resume
+)sys rm -f d01amfAnnaType.output
+)spool d01amfAnnaType.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show d01amfAnnaType
+--R d01amfAnnaType  is a domain constructor
+--R Abbreviation for d01amfAnnaType is D01AMFA 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for D01AMFA 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R measure : (RoutinesTable,Record(fn: Expression DoubleFloat,range: List Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)) -> Record(measure: Float,explanations: String,extra: Result)
+--R measure : (RoutinesTable,Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)) -> Record(measure: Float,explanations: String,extra: Result)
+--R numericalIntegration : (Record(fn: Expression DoubleFloat,range: List Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),Result) -> Result
+--R numericalIntegration : (Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),Result) -> Result
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<d01amfAnnaType.help>>=
+====================================================================
+d01amfAnnaType examples
+====================================================================
+
+See Also:
+o )show d01amfAnnaType
+
+@
+
 \pagehead{d01amfAnnaType}{D01AMFA}
 \pagepic{ps/v103d01amfannatype.ps}{D01AMFA}{1.00}
 
@@ -24210,6 +28029,46 @@ d01amfAnnaType(): NumericalIntegrationCategory == Result add
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D01ANFA d01anfAnnaType}
+
+<<d01anfAnnaType.input>>=
+)set break resume
+)sys rm -f d01anfAnnaType.output
+)spool d01anfAnnaType.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show d01anfAnnaType
+--R d01anfAnnaType  is a domain constructor
+--R Abbreviation for d01anfAnnaType is D01ANFA 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for D01ANFA 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R measure : (RoutinesTable,Record(fn: Expression DoubleFloat,range: List Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)) -> Record(measure: Float,explanations: String,extra: Result)
+--R measure : (RoutinesTable,Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)) -> Record(measure: Float,explanations: String,extra: Result)
+--R numericalIntegration : (Record(fn: Expression DoubleFloat,range: List Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),Result) -> Result
+--R numericalIntegration : (Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),Result) -> Result
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<d01anfAnnaType.help>>=
+====================================================================
+d01anfAnnaType examples
+====================================================================
+
+See Also:
+o )show d01anfAnnaType
+
+@
+
 \pagehead{d01anfAnnaType}{D01ANFA}
 \pagepic{ps/v103d01anfannatype.ps}{D01ANFA}{1.00}
 
@@ -24302,6 +28161,46 @@ d01anfAnnaType(): NumericalIntegrationCategory == Result add
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D01APFA d01apfAnnaType}
+
+<<d01apfAnnaType.input>>=
+)set break resume
+)sys rm -f d01apfAnnaType.output
+)spool d01apfAnnaType.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show d01apfAnnaType
+--R d01apfAnnaType  is a domain constructor
+--R Abbreviation for d01apfAnnaType is D01APFA 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for D01APFA 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R measure : (RoutinesTable,Record(fn: Expression DoubleFloat,range: List Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)) -> Record(measure: Float,explanations: String,extra: Result)
+--R measure : (RoutinesTable,Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)) -> Record(measure: Float,explanations: String,extra: Result)
+--R numericalIntegration : (Record(fn: Expression DoubleFloat,range: List Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),Result) -> Result
+--R numericalIntegration : (Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),Result) -> Result
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<d01apfAnnaType.help>>=
+====================================================================
+d01apfAnnaType examples
+====================================================================
+
+See Also:
+o )show d01apfAnnaType
+
+@
+
 \pagehead{d01apfAnnaType}{D01APFA}
 \pagepic{ps/v103d01apfannatype.ps}{D01APFA}{1.00}
 
@@ -24407,6 +28306,46 @@ d01apfAnnaType(): NumericalIntegrationCategory == Result add
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D01AQFA d01aqfAnnaType}
+
+<<d01aqfAnnaType.input>>=
+)set break resume
+)sys rm -f d01aqfAnnaType.output
+)spool d01aqfAnnaType.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show d01aqfAnnaType
+--R d01aqfAnnaType  is a domain constructor
+--R Abbreviation for d01aqfAnnaType is D01AQFA 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for D01AQFA 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R measure : (RoutinesTable,Record(fn: Expression DoubleFloat,range: List Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)) -> Record(measure: Float,explanations: String,extra: Result)
+--R measure : (RoutinesTable,Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)) -> Record(measure: Float,explanations: String,extra: Result)
+--R numericalIntegration : (Record(fn: Expression DoubleFloat,range: List Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),Result) -> Result
+--R numericalIntegration : (Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),Result) -> Result
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<d01aqfAnnaType.help>>=
+====================================================================
+d01aqfAnnaType examples
+====================================================================
+
+See Also:
+o )show d01aqfAnnaType
+
+@
+
 \pagehead{d01aqfAnnaType}{D01AQFA}
 \pagepic{ps/v103d01aqfannatype.ps}{D01AQFA}{1.00}
 
@@ -24508,6 +28447,46 @@ d01aqfAnnaType(): NumericalIntegrationCategory == Result add
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D01ASFA d01asfAnnaType}
+
+<<d01asfAnnaType.input>>=
+)set break resume
+)sys rm -f d01asfAnnaType.output
+)spool d01asfAnnaType.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show d01asfAnnaType
+--R d01asfAnnaType  is a domain constructor
+--R Abbreviation for d01asfAnnaType is D01ASFA 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for D01ASFA 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R measure : (RoutinesTable,Record(fn: Expression DoubleFloat,range: List Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)) -> Record(measure: Float,explanations: String,extra: Result)
+--R measure : (RoutinesTable,Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)) -> Record(measure: Float,explanations: String,extra: Result)
+--R numericalIntegration : (Record(fn: Expression DoubleFloat,range: List Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),Result) -> Result
+--R numericalIntegration : (Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),Result) -> Result
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<d01asfAnnaType.help>>=
+====================================================================
+d01asfAnnaType examples
+====================================================================
+
+See Also:
+o )show d01asfAnnaType
+
+@
+
 \pagehead{d01asfAnnaType}{D01ASFA}
 \pagepic{ps/v103d01asfannatype.ps}{D01ASFA}{1.00}
 
@@ -24606,6 +28585,46 @@ d01asfAnnaType(): NumericalIntegrationCategory == Result add
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D01FCFA d01fcfAnnaType}
+
+<<d01fcfAnnaType.input>>=
+)set break resume
+)sys rm -f d01fcfAnnaType.output
+)spool d01fcfAnnaType.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show d01fcfAnnaType
+--R d01fcfAnnaType  is a domain constructor
+--R Abbreviation for d01fcfAnnaType is D01FCFA 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for D01FCFA 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R measure : (RoutinesTable,Record(fn: Expression DoubleFloat,range: List Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)) -> Record(measure: Float,explanations: String,extra: Result)
+--R measure : (RoutinesTable,Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)) -> Record(measure: Float,explanations: String,extra: Result)
+--R numericalIntegration : (Record(fn: Expression DoubleFloat,range: List Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),Result) -> Result
+--R numericalIntegration : (Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),Result) -> Result
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<d01fcfAnnaType.help>>=
+====================================================================
+d01fcfAnnaType examples
+====================================================================
+
+See Also:
+o )show d01fcfAnnaType
+
+@
+
 \pagehead{d01fcfAnnaType}{D01FCFA}
 \pagepic{ps/v103d01fcfannatype.ps}{D01FCFA}{1.00}
 
@@ -24694,6 +28713,46 @@ d01fcfAnnaType(): NumericalIntegrationCategory == Result add
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D01GBFA d01gbfAnnaType}
+
+<<d01gbfAnnaType.input>>=
+)set break resume
+)sys rm -f d01gbfAnnaType.output
+)spool d01gbfAnnaType.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show d01gbfAnnaType
+--R d01gbfAnnaType  is a domain constructor
+--R Abbreviation for d01gbfAnnaType is D01GBFA 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for D01GBFA 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R measure : (RoutinesTable,Record(fn: Expression DoubleFloat,range: List Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)) -> Record(measure: Float,explanations: String,extra: Result)
+--R measure : (RoutinesTable,Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)) -> Record(measure: Float,explanations: String,extra: Result)
+--R numericalIntegration : (Record(fn: Expression DoubleFloat,range: List Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),Result) -> Result
+--R numericalIntegration : (Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),Result) -> Result
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<d01gbfAnnaType.help>>=
+====================================================================
+d01gbfAnnaType examples
+====================================================================
+
+See Also:
+o )show d01gbfAnnaType
+
+@
+
 \pagehead{d01gbfAnnaType}{D01GBFA}
 \pagepic{ps/v103d01gbfannatype.ps}{D01GBFA}{1.00}
 
@@ -24788,6 +28847,46 @@ d01gbfAnnaType(): NumericalIntegrationCategory == Result add
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D01TRNS d01TransformFunctionType}
+
+<<d01TransformFunctionType.input>>=
+)set break resume
+)sys rm -f d01TransformFunctionType.output
+)spool d01TransformFunctionType.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show d01TransformFunctionType
+--R d01TransformFunctionType  is a domain constructor
+--R Abbreviation for d01TransformFunctionType is D01TRNS 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for D01TRNS 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R measure : (RoutinesTable,Record(fn: Expression DoubleFloat,range: List Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)) -> Record(measure: Float,explanations: String,extra: Result)
+--R measure : (RoutinesTable,Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)) -> Record(measure: Float,explanations: String,extra: Result)
+--R numericalIntegration : (Record(fn: Expression DoubleFloat,range: List Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),Result) -> Result
+--R numericalIntegration : (Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),Result) -> Result
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<d01TransformFunctionType.help>>=
+====================================================================
+d01TransformFunctionType examples
+====================================================================
+
+See Also:
+o )show d01TransformFunctionType
+
+@
+
 \pagehead{d01TransformFunctionType}{D01TRNS}
 \pagepic{ps/v103d01transformfunctiontype.ps}{D01TRNS}{1.00}
 
@@ -24968,6 +29067,44 @@ d01TransformFunctionType():NumericalIntegrationCategory == Result add
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D02BBFA d02bbfAnnaType}
+
+<<d02bbfAnnaType.input>>=
+)set break resume
+)sys rm -f d02bbfAnnaType.output
+)spool d02bbfAnnaType.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show d02bbfAnnaType
+--R d02bbfAnnaType  is a domain constructor
+--R Abbreviation for d02bbfAnnaType is D02BBFA 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for D02BBFA 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R ODESolve : Record(xinit: DoubleFloat,xend: DoubleFloat,fn: Vector Expression DoubleFloat,yinit: List DoubleFloat,intvals: List DoubleFloat,g: Expression DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat) -> Result
+--R measure : (RoutinesTable,Record(xinit: DoubleFloat,xend: DoubleFloat,fn: Vector Expression DoubleFloat,yinit: List DoubleFloat,intvals: List DoubleFloat,g: Expression DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)) -> Record(measure: Float,explanations: String)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<d02bbfAnnaType.help>>=
+====================================================================
+d02bbfAnnaType examples
+====================================================================
+
+See Also:
+o )show d02bbfAnnaType
+
+@
+
 \pagehead{d02bbfAnnaType}{D02BBFA}
 \pagepic{ps/v103d02bbfannatype.ps}{D02BBFA}{1.00}
 
@@ -25081,6 +29218,44 @@ d02bbfAnnaType():OrdinaryDifferentialEquationsSolverCategory == Result add
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D02BHFA d02bhfAnnaType}
+
+<<d02bhfAnnaType.input>>=
+)set break resume
+)sys rm -f d02bhfAnnaType.output
+)spool d02bhfAnnaType.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show d02bhfAnnaType
+--R d02bhfAnnaType  is a domain constructor
+--R Abbreviation for d02bhfAnnaType is D02BHFA 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for D02BHFA 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R ODESolve : Record(xinit: DoubleFloat,xend: DoubleFloat,fn: Vector Expression DoubleFloat,yinit: List DoubleFloat,intvals: List DoubleFloat,g: Expression DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat) -> Result
+--R measure : (RoutinesTable,Record(xinit: DoubleFloat,xend: DoubleFloat,fn: Vector Expression DoubleFloat,yinit: List DoubleFloat,intvals: List DoubleFloat,g: Expression DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)) -> Record(measure: Float,explanations: String)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<d02bhfAnnaType.help>>=
+====================================================================
+d02bhfAnnaType examples
+====================================================================
+
+See Also:
+o )show d02bhfAnnaType
+
+@
+
 \pagehead{d02bhfAnnaType}{D02BHFA}
 \pagepic{ps/v103d02bhfannatype.ps}{D02BHFA}{1.00}
 
@@ -25191,6 +29366,44 @@ d02bhfAnnaType():OrdinaryDifferentialEquationsSolverCategory == Result add
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D02CJFA d02cjfAnnaType}
+
+<<d02cjfAnnaType.input>>=
+)set break resume
+)sys rm -f d02cjfAnnaType.output
+)spool d02cjfAnnaType.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show d02cjfAnnaType
+--R d02cjfAnnaType  is a domain constructor
+--R Abbreviation for d02cjfAnnaType is D02CJFA 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for D02CJFA 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R ODESolve : Record(xinit: DoubleFloat,xend: DoubleFloat,fn: Vector Expression DoubleFloat,yinit: List DoubleFloat,intvals: List DoubleFloat,g: Expression DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat) -> Result
+--R measure : (RoutinesTable,Record(xinit: DoubleFloat,xend: DoubleFloat,fn: Vector Expression DoubleFloat,yinit: List DoubleFloat,intvals: List DoubleFloat,g: Expression DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)) -> Record(measure: Float,explanations: String)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<d02cjfAnnaType.help>>=
+====================================================================
+d02cjfAnnaType examples
+====================================================================
+
+See Also:
+o )show d02cjfAnnaType
+
+@
+
 \pagehead{d02cjfAnnaType}{D02CJFA}
 \pagepic{ps/v103d02cjfannatype.ps}{D02CJFA}{1.00}
 
@@ -25294,6 +29507,44 @@ d02cjfAnnaType():OrdinaryDifferentialEquationsSolverCategory == Result add
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D02EJFA d02ejfAnnaType}
+
+<<d02ejfAnnaType.input>>=
+)set break resume
+)sys rm -f d02ejfAnnaType.output
+)spool d02ejfAnnaType.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show d02ejfAnnaType
+--R d02ejfAnnaType  is a domain constructor
+--R Abbreviation for d02ejfAnnaType is D02EJFA 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for D02EJFA 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R ODESolve : Record(xinit: DoubleFloat,xend: DoubleFloat,fn: Vector Expression DoubleFloat,yinit: List DoubleFloat,intvals: List DoubleFloat,g: Expression DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat) -> Result
+--R measure : (RoutinesTable,Record(xinit: DoubleFloat,xend: DoubleFloat,fn: Vector Expression DoubleFloat,yinit: List DoubleFloat,intvals: List DoubleFloat,g: Expression DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)) -> Record(measure: Float,explanations: String)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<d02ejfAnnaType.help>>=
+====================================================================
+d02ejfAnnaType examples
+====================================================================
+
+See Also:
+o )show d02ejfAnnaType
+
+@
+
 \pagehead{d02ejfAnnaType}{D02EJFA}
 \pagepic{ps/v103d02ejfannatype.ps}{D02EJFA}{1.00}
 
@@ -25428,6 +29679,44 @@ d02ejfAnnaType():OrdinaryDifferentialEquationsSolverCategory == Result add
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D03EEFA d03eefAnnaType}
+
+<<d03eefAnnaType.input>>=
+)set break resume
+)sys rm -f d03eefAnnaType.output
+)spool d03eefAnnaType.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show d03eefAnnaType
+--R d03eefAnnaType  is a domain constructor
+--R Abbreviation for d03eefAnnaType is D03EEFA 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for D03EEFA 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R PDESolve : Record(pde: List Expression DoubleFloat,constraints: List Record(start: DoubleFloat,finish: DoubleFloat,grid: NonNegativeInteger,boundaryType: Integer,dStart: Matrix DoubleFloat,dFinish: Matrix DoubleFloat),f: List List Expression DoubleFloat,st: String,tol: DoubleFloat) -> Result
+--R measure : (RoutinesTable,Record(pde: List Expression DoubleFloat,constraints: List Record(start: DoubleFloat,finish: DoubleFloat,grid: NonNegativeInteger,boundaryType: Integer,dStart: Matrix DoubleFloat,dFinish: Matrix DoubleFloat),f: List List Expression DoubleFloat,st: String,tol: DoubleFloat)) -> Record(measure: Float,explanations: String)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<d03eefAnnaType.help>>=
+====================================================================
+d03eefAnnaType examples
+====================================================================
+
+See Also:
+o )show d03eefAnnaType
+
+@
+
 \pagehead{d03eefAnnaType}{D03EEFA}
 \pagepic{ps/v103d03eefannatype.ps}{D03EEFA}{1.00}
 
@@ -25522,6 +29811,44 @@ d03eefAnnaType():PartialDifferentialEquationsSolverCategory == Result add
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain D03FAFA d03fafAnnaType}
+
+<<d03fafAnnaType.input>>=
+)set break resume
+)sys rm -f d03fafAnnaType.output
+)spool d03fafAnnaType.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show d03fafAnnaType
+--R d03fafAnnaType  is a domain constructor
+--R Abbreviation for d03fafAnnaType is D03FAFA 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for D03FAFA 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R PDESolve : Record(pde: List Expression DoubleFloat,constraints: List Record(start: DoubleFloat,finish: DoubleFloat,grid: NonNegativeInteger,boundaryType: Integer,dStart: Matrix DoubleFloat,dFinish: Matrix DoubleFloat),f: List List Expression DoubleFloat,st: String,tol: DoubleFloat) -> Result
+--R measure : (RoutinesTable,Record(pde: List Expression DoubleFloat,constraints: List Record(start: DoubleFloat,finish: DoubleFloat,grid: NonNegativeInteger,boundaryType: Integer,dStart: Matrix DoubleFloat,dFinish: Matrix DoubleFloat),f: List List Expression DoubleFloat,st: String,tol: DoubleFloat)) -> Record(measure: Float,explanations: String)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<d03fafAnnaType.help>>=
+====================================================================
+d03fafAnnaType examples
+====================================================================
+
+See Also:
+o )show d03fafAnnaType
+
+@
+
 \pagehead{d03fafAnnaType}{D03FAFA}
 \pagepic{ps/v103d03fafannatype.ps}{D03FAFA}{1.00}
 
@@ -25585,6 +29912,7 @@ d03fafAnnaType():PartialDifferentialEquationsSolverCategory == Result add
 \chapter{Chapter E}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain EQ Equation}
+
 <<Equation.input>>=
 )set break resume
 )sys rm -f Equation.output
@@ -26042,6 +30370,7 @@ Equation(S: Type): public == private where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain EQTBL EqTable}
+
 <<EqTable.input>>=
 )set break resume
 )sys rm -f EqTable.output
@@ -26244,6 +30573,73 @@ EqTable(Key: SetCategory, Entry: SetCategory) ==
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain EMR EuclideanModularRing}
+
+<<EuclideanModularRing.input>>=
+)set break resume
+)sys rm -f EuclideanModularRing.output
+)spool EuclideanModularRing.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show EuclideanModularRing
+--R EuclideanModularRing(S: CommutativeRing,R: UnivariatePolynomialCategory S,Mod: AbelianMonoid,reduction: ((R,Mod) -> R),merge: ((Mod,Mod) -> Union(Mod,"failed")),exactQuo: ((R,R,Mod) -> Union(R,"failed")))  is a domain constructor
+--R Abbreviation for EuclideanModularRing is EMR 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for EMR 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        associates? : (%,%) -> Boolean
+--R coerce : % -> R                       coerce : % -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R ?.? : (%,R) -> R                      gcd : List % -> %
+--R gcd : (%,%) -> %                      hash : % -> SingleInteger
+--R inv : % -> %                          latex : % -> String
+--R lcm : List % -> %                     lcm : (%,%) -> %
+--R modulus : % -> Mod                    one? : % -> Boolean
+--R ?quo? : (%,%) -> %                    recip : % -> Union(%,"failed")
+--R reduce : (R,Mod) -> %                 ?rem? : (%,%) -> %
+--R sample : () -> %                      sizeLess? : (%,%) -> Boolean
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R exQuo : (%,%) -> Union(%,"failed")
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<EuclideanModularRing.help>>=
+====================================================================
+EuclideanModularRing examples
+====================================================================
+
+See Also:
+o )show EuclideanModularRing
+
+@
+
 \pagehead{EuclideanModularRing}{EMR}
 \pagepic{ps/v103euclideanmodularring.ps}{EMR}{1.00}
 {\bf See}\\
@@ -26409,6 +30805,7 @@ EuclideanModularRing(S,R,Mod,reduction:(R,Mod) -> R,
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain EXIT Exit}
+
 <<Exit.input>>=
 )set break resume
 )sys rm -f Exit.output
@@ -26557,6 +30954,153 @@ Exit: SetCategory == add
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain EXPEXPAN ExponentialExpansion}
+
+<<ExponentialExpansion.input>>=
+)set break resume
+)sys rm -f ExponentialExpansion.output
+)spool ExponentialExpansion.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ExponentialExpansion
+--R ExponentialExpansion(R: Join(OrderedSet,RetractableTo Integer,LinearlyExplicitRingOver Integer,GcdDomain),FE: Join(AlgebraicallyClosedField,TranscendentalFunctionCategory,FunctionSpace R),var: Symbol,cen: FE)  is a domain constructor
+--R Abbreviation for ExponentialExpansion is EXPEXPAN 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for EXPEXPAN 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Fraction Integer,%) -> %       ?*? : (%,Fraction Integer) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?/? : (%,%) -> %                      ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,Integer) -> %                ?^? : (%,PositiveInteger) -> %
+--R associates? : (%,%) -> Boolean        coerce : Fraction Integer -> %
+--R coerce : % -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              denominator : % -> %
+--R factor : % -> Factored %              gcd : List % -> %
+--R gcd : (%,%) -> %                      hash : % -> SingleInteger
+--R inv : % -> %                          latex : % -> String
+--R lcm : List % -> %                     lcm : (%,%) -> %
+--R numerator : % -> %                    one? : % -> Boolean
+--R prime? : % -> Boolean                 ?quo? : (%,%) -> %
+--R recip : % -> Union(%,"failed")        ?rem? : (%,%) -> %
+--R sample : () -> %                      sizeLess? : (%,%) -> Boolean
+--R squareFree : % -> Factored %          squareFreePart : % -> %
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (%,UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen)) -> %
+--R ?*? : (UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen),%) -> %
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen),UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen)) -> %
+--R ?<? : (%,%) -> Boolean if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has ORDSET
+--R ?<=? : (%,%) -> Boolean if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has ORDSET
+--R ?>? : (%,%) -> Boolean if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has ORDSET
+--R ?>=? : (%,%) -> Boolean if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has ORDSET
+--R D : (%,(UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) -> UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen))) -> %
+--R D : (%,(UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) -> UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen)),NonNegativeInteger) -> %
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has PDRING SYMBOL
+--R D : (%,Symbol) -> % if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has PDRING SYMBOL
+--R D : (%,NonNegativeInteger) -> % if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has DIFRING
+--R D : % -> % if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has DIFRING
+--R ?^? : (%,NonNegativeInteger) -> %
+--R abs : % -> % if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has OINTDOM
+--R ceiling : % -> UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has INS
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if $ has CHARNZ and UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has PFECAT or UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has CHARNZ
+--R coerce : UnivariatePuiseuxSeries(FE,var,cen) -> %
+--R coerce : Symbol -> % if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has RETRACT SYMBOL
+--R coerce : UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) -> %
+--R conditionP : Matrix % -> Union(Vector %,"failed") if $ has CHARNZ and UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has PFECAT
+--R convert : % -> DoubleFloat if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has REAL
+--R convert : % -> Float if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has REAL
+--R convert : % -> InputForm if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has KONVERT INFORM
+--R convert : % -> Pattern Float if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has KONVERT PATTERN FLOAT
+--R convert : % -> Pattern Integer if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has KONVERT PATTERN INT
+--R denom : % -> UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen)
+--R differentiate : (%,(UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) -> UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen))) -> %
+--R differentiate : (%,(UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) -> UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen)),NonNegativeInteger) -> %
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has PDRING SYMBOL
+--R differentiate : (%,Symbol) -> % if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has PDRING SYMBOL
+--R differentiate : (%,NonNegativeInteger) -> % if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has DIFRING
+--R differentiate : % -> % if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has DIFRING
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R ?.? : (%,UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen)) -> % if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has ELTAB(UPXSSING(R,FE,var,cen),UPXSSING(R,FE,var,cen))
+--R euclideanSize : % -> NonNegativeInteger
+--R eval : (%,Symbol,UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen)) -> % if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has IEVALAB(SYMBOL,UPXSSING(R,FE,var,cen))
+--R eval : (%,List Symbol,List UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen)) -> % if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has IEVALAB(SYMBOL,UPXSSING(R,FE,var,cen))
+--R eval : (%,List Equation UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen)) -> % if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has EVALAB UPXSSING(R,FE,var,cen)
+--R eval : (%,Equation UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen)) -> % if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has EVALAB UPXSSING(R,FE,var,cen)
+--R eval : (%,UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen),UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen)) -> % if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has EVALAB UPXSSING(R,FE,var,cen)
+--R eval : (%,List UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen),List UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen)) -> % if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has EVALAB UPXSSING(R,FE,var,cen)
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R factorPolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has PFECAT
+--R factorSquareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has PFECAT
+--R floor : % -> UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has INS
+--R fractionPart : % -> % if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has EUCDOM
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R init : () -> % if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has STEP
+--R limitPlus : % -> Union(OrderedCompletion FE,"failed")
+--R map : ((UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) -> UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen)),%) -> %
+--R max : (%,%) -> % if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has ORDSET
+--R min : (%,%) -> % if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has ORDSET
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R negative? : % -> Boolean if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has OINTDOM
+--R nextItem : % -> Union(%,"failed") if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has STEP
+--R numer : % -> UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen)
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%) if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has PATMAB FLOAT
+--R patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%) if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has PATMAB INT
+--R positive? : % -> Boolean if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has OINTDOM
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R random : () -> % if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has INS
+--R reducedSystem : Matrix % -> Matrix UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen)
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen),vec: Vector UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen))
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has LINEXP INT
+--R reducedSystem : Matrix % -> Matrix Integer if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has LINEXP INT
+--R retract : % -> UnivariatePuiseuxSeries(FE,var,cen)
+--R retract : % -> Integer if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has RETRACT INT
+--R retract : % -> Fraction Integer if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has RETRACT INT
+--R retract : % -> Symbol if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has RETRACT SYMBOL
+--R retract : % -> UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen)
+--R retractIfCan : % -> Union(UnivariatePuiseuxSeries(FE,var,cen),"failed")
+--R retractIfCan : % -> Union(Integer,"failed") if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has RETRACT INT
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has RETRACT INT
+--R retractIfCan : % -> Union(Symbol,"failed") if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has RETRACT SYMBOL
+--R retractIfCan : % -> Union(UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen),"failed")
+--R sign : % -> Integer if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has OINTDOM
+--R solveLinearPolynomialEquation : (List SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> Union(List SparseUnivariatePolynomial %,"failed") if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has PFECAT
+--R squareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has PFECAT
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R wholePart : % -> UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) if UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen) has EUCDOM
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<ExponentialExpansion.help>>=
+====================================================================
+ExponentialExpansion examples
+====================================================================
+
+See Also:
+o )show ExponentialExpansion
+
+@
+
 \pagehead{ExponentialExpansion}{EXPEXPAN}
 \pagepic{ps/v103exponentialexpansion.ps}{EXPEXPAN}{1.00}
 {\bf See}\\
@@ -26804,6 +31348,7 @@ ExponentialExpansion(R,FE,var,cen): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain EXPR Expression}
+
 <<Expression.input>>=
 )set break resume
 )sys rm -f Expression.output
@@ -27880,6 +32425,163 @@ Expression(R:OrderedSet): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain EXPUPXS ExponentialOfUnivariatePuiseuxSeries}
+
+<<ExponentialOfUnivariatePuiseuxSeries.input>>=
+)set break resume
+)sys rm -f ExponentialOfUnivariatePuiseuxSeries.output
+)spool ExponentialOfUnivariatePuiseuxSeries.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ExponentialOfUnivariatePuiseuxSeries
+--R ExponentialOfUnivariatePuiseuxSeries(FE: Join(Field,OrderedSet),var: Symbol,cen: FE)  is a domain constructor
+--R Abbreviation for ExponentialOfUnivariatePuiseuxSeries is EXPUPXS 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for EXPUPXS 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (FE,%) -> %                     ?*? : (%,FE) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?<? : (%,%) -> Boolean
+--R ?<=? : (%,%) -> Boolean               ?=? : (%,%) -> Boolean
+--R ?>? : (%,%) -> Boolean                ?>=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        center : % -> FE
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R complete : % -> %                     degree : % -> Fraction Integer
+--R ?.? : (%,Fraction Integer) -> FE      hash : % -> SingleInteger
+--R inv : % -> % if FE has FIELD          latex : % -> String
+--R leadingCoefficient : % -> FE          leadingMonomial : % -> %
+--R map : ((FE -> FE),%) -> %             max : (%,%) -> %
+--R min : (%,%) -> %                      monomial? : % -> Boolean
+--R one? : % -> Boolean                   order : % -> Fraction Integer
+--R pole? : % -> Boolean                  recip : % -> Union(%,"failed")
+--R reductum : % -> %                     sample : () -> %
+--R variable : % -> Symbol                zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (%,Fraction Integer) -> % if FE has ALGEBRA FRAC INT
+--R ?*? : (Fraction Integer,%) -> % if FE has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,Fraction Integer) -> % if FE has ALGEBRA FRAC INT
+--R ?**? : (%,%) -> % if FE has ALGEBRA FRAC INT
+--R ?**? : (%,Integer) -> % if FE has FIELD
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,%) -> % if FE has FIELD
+--R ?/? : (%,FE) -> % if FE has FIELD
+--R D : % -> % if FE has *: (Fraction Integer,FE) -> FE
+--R D : (%,NonNegativeInteger) -> % if FE has *: (Fraction Integer,FE) -> FE
+--R D : (%,Symbol) -> % if FE has *: (Fraction Integer,FE) -> FE and FE has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if FE has *: (Fraction Integer,FE) -> FE and FE has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if FE has *: (Fraction Integer,FE) -> FE and FE has PDRING SYMBOL
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if FE has *: (Fraction Integer,FE) -> FE and FE has PDRING SYMBOL
+--R ?^? : (%,Integer) -> % if FE has FIELD
+--R ?^? : (%,NonNegativeInteger) -> %
+--R acos : % -> % if FE has ALGEBRA FRAC INT
+--R acosh : % -> % if FE has ALGEBRA FRAC INT
+--R acot : % -> % if FE has ALGEBRA FRAC INT
+--R acoth : % -> % if FE has ALGEBRA FRAC INT
+--R acsc : % -> % if FE has ALGEBRA FRAC INT
+--R acsch : % -> % if FE has ALGEBRA FRAC INT
+--R approximate : (%,Fraction Integer) -> FE if FE has **: (FE,Fraction Integer) -> FE and FE has coerce: Symbol -> FE
+--R asec : % -> % if FE has ALGEBRA FRAC INT
+--R asech : % -> % if FE has ALGEBRA FRAC INT
+--R asin : % -> % if FE has ALGEBRA FRAC INT
+--R asinh : % -> % if FE has ALGEBRA FRAC INT
+--R associates? : (%,%) -> Boolean if FE has INTDOM
+--R atan : % -> % if FE has ALGEBRA FRAC INT
+--R atanh : % -> % if FE has ALGEBRA FRAC INT
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if FE has CHARNZ
+--R coefficient : (%,Fraction Integer) -> FE
+--R coerce : % -> % if FE has INTDOM
+--R coerce : Fraction Integer -> % if FE has ALGEBRA FRAC INT
+--R coerce : FE -> % if FE has COMRING
+--R cos : % -> % if FE has ALGEBRA FRAC INT
+--R cosh : % -> % if FE has ALGEBRA FRAC INT
+--R cot : % -> % if FE has ALGEBRA FRAC INT
+--R coth : % -> % if FE has ALGEBRA FRAC INT
+--R csc : % -> % if FE has ALGEBRA FRAC INT
+--R csch : % -> % if FE has ALGEBRA FRAC INT
+--R differentiate : % -> % if FE has *: (Fraction Integer,FE) -> FE
+--R differentiate : (%,NonNegativeInteger) -> % if FE has *: (Fraction Integer,FE) -> FE
+--R differentiate : (%,Symbol) -> % if FE has *: (Fraction Integer,FE) -> FE and FE has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if FE has *: (Fraction Integer,FE) -> FE and FE has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if FE has *: (Fraction Integer,FE) -> FE and FE has PDRING SYMBOL
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if FE has *: (Fraction Integer,FE) -> FE and FE has PDRING SYMBOL
+--R divide : (%,%) -> Record(quotient: %,remainder: %) if FE has FIELD
+--R ?.? : (%,%) -> % if Fraction Integer has SGROUP
+--R euclideanSize : % -> NonNegativeInteger if FE has FIELD
+--R eval : (%,FE) -> Stream FE if FE has **: (FE,Fraction Integer) -> FE
+--R exp : % -> % if FE has ALGEBRA FRAC INT
+--R exponent : % -> UnivariatePuiseuxSeries(FE,var,cen)
+--R exponential : UnivariatePuiseuxSeries(FE,var,cen) -> %
+--R exponentialOrder : % -> Fraction Integer
+--R expressIdealMember : (List %,%) -> Union(List %,"failed") if FE has FIELD
+--R exquo : (%,%) -> Union(%,"failed") if FE has INTDOM
+--R extend : (%,Fraction Integer) -> %
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %) if FE has FIELD
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed") if FE has FIELD
+--R factor : % -> Factored % if FE has FIELD
+--R gcd : (%,%) -> % if FE has FIELD
+--R gcd : List % -> % if FE has FIELD
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if FE has FIELD
+--R integrate : (%,Symbol) -> % if FE has integrate: (FE,Symbol) -> FE and FE has variables: FE -> List Symbol and FE has ALGEBRA FRAC INT or FE has ACFS INT and FE has ALGEBRA FRAC INT and FE has PRIMCAT and FE has TRANFUN
+--R integrate : % -> % if FE has ALGEBRA FRAC INT
+--R lcm : (%,%) -> % if FE has FIELD
+--R lcm : List % -> % if FE has FIELD
+--R log : % -> % if FE has ALGEBRA FRAC INT
+--R monomial : (%,List SingletonAsOrderedSet,List Fraction Integer) -> %
+--R monomial : (%,SingletonAsOrderedSet,Fraction Integer) -> %
+--R monomial : (FE,Fraction Integer) -> %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed") if FE has FIELD
+--R multiplyExponents : (%,Fraction Integer) -> %
+--R multiplyExponents : (%,PositiveInteger) -> %
+--R nthRoot : (%,Integer) -> % if FE has ALGEBRA FRAC INT
+--R order : (%,Fraction Integer) -> Fraction Integer
+--R pi : () -> % if FE has ALGEBRA FRAC INT
+--R prime? : % -> Boolean if FE has FIELD
+--R principalIdeal : List % -> Record(coef: List %,generator: %) if FE has FIELD
+--R ?quo? : (%,%) -> % if FE has FIELD
+--R ?rem? : (%,%) -> % if FE has FIELD
+--R sec : % -> % if FE has ALGEBRA FRAC INT
+--R sech : % -> % if FE has ALGEBRA FRAC INT
+--R series : (NonNegativeInteger,Stream Record(k: Fraction Integer,c: FE)) -> %
+--R sin : % -> % if FE has ALGEBRA FRAC INT
+--R sinh : % -> % if FE has ALGEBRA FRAC INT
+--R sizeLess? : (%,%) -> Boolean if FE has FIELD
+--R sqrt : % -> % if FE has ALGEBRA FRAC INT
+--R squareFree : % -> Factored % if FE has FIELD
+--R squareFreePart : % -> % if FE has FIELD
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tan : % -> % if FE has ALGEBRA FRAC INT
+--R tanh : % -> % if FE has ALGEBRA FRAC INT
+--R terms : % -> Stream Record(k: Fraction Integer,c: FE)
+--R truncate : (%,Fraction Integer,Fraction Integer) -> %
+--R truncate : (%,Fraction Integer) -> %
+--R unit? : % -> Boolean if FE has INTDOM
+--R unitCanonical : % -> % if FE has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if FE has INTDOM
+--R variables : % -> List SingletonAsOrderedSet
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<ExponentialOfUnivariatePuiseuxSeries.help>>=
+====================================================================
+ExponentialOfUnivariatePuiseuxSeries examples
+====================================================================
+
+See Also:
+o )show ExponentialOfUnivariatePuiseuxSeries
+
+@
+
 \pagehead{ExponentialOfUnivariatePuiseuxSeries}{EXPUPXS}
 \pagepic{ps/v103exponentialofunivariatepuiseuxseries.ps}{EXPUPXS}{1.00}
 {\bf See}\\
@@ -28077,6 +32779,47 @@ ExponentialOfUnivariatePuiseuxSeries(FE,var,cen):_
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain EAB ExtAlgBasis}
+
+<<ExtAlgBasis.input>>=
+)set break resume
+)sys rm -f ExtAlgBasis.output
+)spool ExtAlgBasis.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ExtAlgBasis
+--R ExtAlgBasis  is a domain constructor
+--R Abbreviation for ExtAlgBasis is EAB 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for EAB 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               Nul : NonNegativeInteger -> %
+--R coerce : List Integer -> %            coerce : % -> OutputForm
+--R degree : % -> NonNegativeInteger      exponents : % -> List Integer
+--R hash : % -> SingleInteger             latex : % -> String
+--R max : (%,%) -> %                      min : (%,%) -> %
+--R ?~=? : (%,%) -> Boolean              
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<ExtAlgBasis.help>>=
+====================================================================
+ExtAlgBasis examples
+====================================================================
+
+See Also:
+o )show ExtAlgBasis
+
+@
+
 \pagehead{ExtAlgBasis}{EAB}
 \pagepic{ps/v103extalgbasis.ps}{EAB}{1.00}
 {\bf See}\\
@@ -28191,6 +32934,46 @@ ExtAlgBasis(): Export == Implement where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain E04DGFA e04dgfAnnaType}
+
+<<e04dgfAnnaType.input>>=
+)set break resume
+)sys rm -f e04dgfAnnaType.output
+)spool e04dgfAnnaType.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show e04dgfAnnaType
+--R e04dgfAnnaType  is a domain constructor
+--R Abbreviation for e04dgfAnnaType is E04DGFA 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for E04DGFA 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R measure : (RoutinesTable,Record(lfn: List Expression DoubleFloat,init: List DoubleFloat)) -> Record(measure: Float,explanations: String)
+--R measure : (RoutinesTable,Record(fn: Expression DoubleFloat,init: List DoubleFloat,lb: List OrderedCompletion DoubleFloat,cf: List Expression DoubleFloat,ub: List OrderedCompletion DoubleFloat)) -> Record(measure: Float,explanations: String)
+--R numericalOptimization : Record(fn: Expression DoubleFloat,init: List DoubleFloat,lb: List OrderedCompletion DoubleFloat,cf: List Expression DoubleFloat,ub: List OrderedCompletion DoubleFloat) -> Result
+--R numericalOptimization : Record(lfn: List Expression DoubleFloat,init: List DoubleFloat) -> Result
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<e04dgfAnnaType.help>>=
+====================================================================
+e04dgfAnnaType examples
+====================================================================
+
+See Also:
+o )show e04dgfAnnaType
+
+@
+
 \pagehead{e04dgfAnnaType}{E04DGFA}
 \pagepic{ps/v103e04dgfannatype.ps}{E04DGFA}{1.00}
 {\bf See}\\
@@ -28290,6 +33073,46 @@ e04dgfAnnaType(): NumericalOptimizationCategory == Result add
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain E04FDFA e04fdfAnnaType}
+
+<<e04fdfAnnaType.input>>=
+)set break resume
+)sys rm -f e04fdfAnnaType.output
+)spool e04fdfAnnaType.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show e04fdfAnnaType
+--R e04fdfAnnaType  is a domain constructor
+--R Abbreviation for e04fdfAnnaType is E04FDFA 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for E04FDFA 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R measure : (RoutinesTable,Record(lfn: List Expression DoubleFloat,init: List DoubleFloat)) -> Record(measure: Float,explanations: String)
+--R measure : (RoutinesTable,Record(fn: Expression DoubleFloat,init: List DoubleFloat,lb: List OrderedCompletion DoubleFloat,cf: List Expression DoubleFloat,ub: List OrderedCompletion DoubleFloat)) -> Record(measure: Float,explanations: String)
+--R numericalOptimization : Record(fn: Expression DoubleFloat,init: List DoubleFloat,lb: List OrderedCompletion DoubleFloat,cf: List Expression DoubleFloat,ub: List OrderedCompletion DoubleFloat) -> Result
+--R numericalOptimization : Record(lfn: List Expression DoubleFloat,init: List DoubleFloat) -> Result
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<e04fdfAnnaType.help>>=
+====================================================================
+e04fdfAnnaType examples
+====================================================================
+
+See Also:
+o )show e04fdfAnnaType
+
+@
+
 \pagehead{e04fdfAnnaType}{E04FDFA}
 \pagepic{ps/v103e04fdfannatype.ps}{E04FDFA}{1.00}
 {\bf See}\\
@@ -28415,6 +33238,46 @@ e04fdfAnnaType(): NumericalOptimizationCategory == Result add
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain E04GCFA e04gcfAnnaType}
+
+<<e04gcfAnnaType.input>>=
+)set break resume
+)sys rm -f e04gcfAnnaType.output
+)spool e04gcfAnnaType.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show e04gcfAnnaType
+--R e04gcfAnnaType  is a domain constructor
+--R Abbreviation for e04gcfAnnaType is E04GCFA 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for E04GCFA 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R measure : (RoutinesTable,Record(lfn: List Expression DoubleFloat,init: List DoubleFloat)) -> Record(measure: Float,explanations: String)
+--R measure : (RoutinesTable,Record(fn: Expression DoubleFloat,init: List DoubleFloat,lb: List OrderedCompletion DoubleFloat,cf: List Expression DoubleFloat,ub: List OrderedCompletion DoubleFloat)) -> Record(measure: Float,explanations: String)
+--R numericalOptimization : Record(fn: Expression DoubleFloat,init: List DoubleFloat,lb: List OrderedCompletion DoubleFloat,cf: List Expression DoubleFloat,ub: List OrderedCompletion DoubleFloat) -> Result
+--R numericalOptimization : Record(lfn: List Expression DoubleFloat,init: List DoubleFloat) -> Result
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<e04gcfAnnaType.help>>=
+====================================================================
+e04gcfAnnaType examples
+====================================================================
+
+See Also:
+o )show e04gcfAnnaType
+
+@
+
 \pagehead{e04gcfAnnaType}{E04GCFA}
 \pagepic{ps/v103e04gcfannatype.ps}{E04GCFA}{1.00}
 {\bf See}\\
@@ -28556,6 +33419,46 @@ e04gcfAnnaType(): NumericalOptimizationCategory == Result add
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain E04JAFA e04jafAnnaType}
+
+<<e04jafAnnaType.input>>=
+)set break resume
+)sys rm -f e04jafAnnaType.output
+)spool e04jafAnnaType.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show e04jafAnnaType
+--R e04jafAnnaType  is a domain constructor
+--R Abbreviation for e04jafAnnaType is E04JAFA 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for E04JAFA 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R measure : (RoutinesTable,Record(lfn: List Expression DoubleFloat,init: List DoubleFloat)) -> Record(measure: Float,explanations: String)
+--R measure : (RoutinesTable,Record(fn: Expression DoubleFloat,init: List DoubleFloat,lb: List OrderedCompletion DoubleFloat,cf: List Expression DoubleFloat,ub: List OrderedCompletion DoubleFloat)) -> Record(measure: Float,explanations: String)
+--R numericalOptimization : Record(fn: Expression DoubleFloat,init: List DoubleFloat,lb: List OrderedCompletion DoubleFloat,cf: List Expression DoubleFloat,ub: List OrderedCompletion DoubleFloat) -> Result
+--R numericalOptimization : Record(lfn: List Expression DoubleFloat,init: List DoubleFloat) -> Result
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<e04jafAnnaType.help>>=
+====================================================================
+e04jafAnnaType examples
+====================================================================
+
+See Also:
+o )show e04jafAnnaType
+
+@
+
 \pagehead{e04jafAnnaType}{E04JAFA}
 \pagepic{ps/v103e04jafannatype.ps}{E04JAFA}{1.00}
 {\bf See}\\
@@ -28672,6 +33575,46 @@ e04jafAnnaType(): NumericalOptimizationCategory == Result add
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain E04MBFA e04mbfAnnaType}
+
+<<e04mbfAnnaType.input>>=
+)set break resume
+)sys rm -f e04mbfAnnaType.output
+)spool e04mbfAnnaType.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show e04mbfAnnaType
+--R e04mbfAnnaType  is a domain constructor
+--R Abbreviation for e04mbfAnnaType is E04MBFA 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for E04MBFA 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R measure : (RoutinesTable,Record(lfn: List Expression DoubleFloat,init: List DoubleFloat)) -> Record(measure: Float,explanations: String)
+--R measure : (RoutinesTable,Record(fn: Expression DoubleFloat,init: List DoubleFloat,lb: List OrderedCompletion DoubleFloat,cf: List Expression DoubleFloat,ub: List OrderedCompletion DoubleFloat)) -> Record(measure: Float,explanations: String)
+--R numericalOptimization : Record(fn: Expression DoubleFloat,init: List DoubleFloat,lb: List OrderedCompletion DoubleFloat,cf: List Expression DoubleFloat,ub: List OrderedCompletion DoubleFloat) -> Result
+--R numericalOptimization : Record(lfn: List Expression DoubleFloat,init: List DoubleFloat) -> Result
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<e04mbfAnnaType.help>>=
+====================================================================
+e04mbfAnnaType examples
+====================================================================
+
+See Also:
+o )show e04mbfAnnaType
+
+@
+
 \pagehead{e04mbfAnnaType}{E04MBFA}
 \pagepic{ps/v103e04mbfannatype.ps}{E04MBFA}{1.00}
 {\bf See}\\
@@ -28774,6 +33717,46 @@ e04mbfAnnaType(): NumericalOptimizationCategory == Result add
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain E04NAFA e04nafAnnaType}
+
+<<e04nafAnnaType.input>>=
+)set break resume
+)sys rm -f e04nafAnnaType.output
+)spool e04nafAnnaType.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show e04nafAnnaType
+--R e04nafAnnaType  is a domain constructor
+--R Abbreviation for e04nafAnnaType is E04NAFA 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for E04NAFA 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R measure : (RoutinesTable,Record(lfn: List Expression DoubleFloat,init: List DoubleFloat)) -> Record(measure: Float,explanations: String)
+--R measure : (RoutinesTable,Record(fn: Expression DoubleFloat,init: List DoubleFloat,lb: List OrderedCompletion DoubleFloat,cf: List Expression DoubleFloat,ub: List OrderedCompletion DoubleFloat)) -> Record(measure: Float,explanations: String)
+--R numericalOptimization : Record(fn: Expression DoubleFloat,init: List DoubleFloat,lb: List OrderedCompletion DoubleFloat,cf: List Expression DoubleFloat,ub: List OrderedCompletion DoubleFloat) -> Result
+--R numericalOptimization : Record(lfn: List Expression DoubleFloat,init: List DoubleFloat) -> Result
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<e04nafAnnaType.help>>=
+====================================================================
+e04nafAnnaType examples
+====================================================================
+
+See Also:
+o )show e04nafAnnaType
+
+@
+
 \pagehead{e04nafAnnaType}{E04NAFA}
 \pagepic{ps/v103e04nafannatype.ps}{E04NAFA}{1.00}
 {\bf See}\\
@@ -28891,6 +33874,46 @@ e04nafAnnaType(): NumericalOptimizationCategory == Result add
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain E04UCFA e04ucfAnnaType}
+
+<<e04ucfAnnaType.input>>=
+)set break resume
+)sys rm -f e04ucfAnnaType.output
+)spool e04ucfAnnaType.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show e04ucfAnnaType
+--R e04ucfAnnaType  is a domain constructor
+--R Abbreviation for e04ucfAnnaType is E04UCFA 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for E04UCFA 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R measure : (RoutinesTable,Record(lfn: List Expression DoubleFloat,init: List DoubleFloat)) -> Record(measure: Float,explanations: String)
+--R measure : (RoutinesTable,Record(fn: Expression DoubleFloat,init: List DoubleFloat,lb: List OrderedCompletion DoubleFloat,cf: List Expression DoubleFloat,ub: List OrderedCompletion DoubleFloat)) -> Record(measure: Float,explanations: String)
+--R numericalOptimization : Record(fn: Expression DoubleFloat,init: List DoubleFloat,lb: List OrderedCompletion DoubleFloat,cf: List Expression DoubleFloat,ub: List OrderedCompletion DoubleFloat) -> Result
+--R numericalOptimization : Record(lfn: List Expression DoubleFloat,init: List DoubleFloat) -> Result
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<e04ucfAnnaType.help>>=
+====================================================================
+e04ucfAnnaType examples
+====================================================================
+
+See Also:
+o )show e04ucfAnnaType
+
+@
+
 \pagehead{e04ucfAnnaType}{E04UCFA}
 \pagepic{ps/v103e04ucfannatype.ps}{E04UCFA}{1.00}
 {\bf See}\\
@@ -29026,6 +34049,7 @@ e04ucfAnnaType(): NumericalOptimizationCategory == Result add
 \chapter{Chapter F}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FR Factored}
+
 <<Factored.input>>=
 )set break resume
 )sys rm -f Factored.output
@@ -30267,6 +35291,7 @@ Factored(R: IntegralDomain): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FILE File}
+
 <<File.input>>=
 )set break resume
 )sys rm -f File.output
@@ -30584,6 +35609,7 @@ File(S:SetCategory): FileCategory(FileName, S) with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FNAME FileName}
+
 <<FileName.input>>=
 )set break resume
 )sys rm -f FileName.output
@@ -30927,6 +35953,56 @@ FileName(): FileNameCategory == add
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FDIV FiniteDivisor}
+
+<<FiniteDivisor.input>>=
+)set break resume
+)sys rm -f FiniteDivisor.output
+)spool FiniteDivisor.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FiniteDivisor
+--R FiniteDivisor(F: Field,UP: UnivariatePolynomialCategory F,UPUP: UnivariatePolynomialCategory Fraction UP,R: FunctionFieldCategory(F,UP,UPUP))  is a domain constructor
+--R Abbreviation for FiniteDivisor is FDIV 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for FDIV 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Integer,%) -> %                ?*? : (PositiveInteger,%) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 0 : () -> %                           coerce : % -> OutputForm
+--R divisor : (R,UP,UP,UP,F) -> %         divisor : (F,F,Integer) -> %
+--R divisor : (F,F) -> %                  divisor : R -> %
+--R finiteBasis : % -> Vector R           hash : % -> SingleInteger
+--R lSpaceBasis : % -> Vector R           latex : % -> String
+--R principal? : % -> Boolean             reduce : % -> %
+--R sample : () -> %                      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R decompose : % -> Record(id: FractionalIdeal(UP,Fraction UP,UPUP,R),principalPart: R)
+--R divisor : FractionalIdeal(UP,Fraction UP,UPUP,R) -> %
+--R generator : % -> Union(R,"failed")
+--R ideal : % -> FractionalIdeal(UP,Fraction UP,UPUP,R)
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FiniteDivisor.help>>=
+====================================================================
+FiniteDivisor examples
+====================================================================
+
+See Also:
+o )show FiniteDivisor
+
+@
+
 \pagehead{FiniteDivisor}{FDIV}
 \pagepic{ps/v103finitedivisor.ps}{FDIV}{1.00}
 {\bf See}\\
@@ -31096,6 +36172,131 @@ FiniteDivisor(F, UP, UPUP, R): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FF FiniteField}
+
+<<FiniteField.input>>=
+)set break resume
+)sys rm -f FiniteField.output
+)spool FiniteField.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FiniteField
+--R FiniteField(p: PositiveInteger,n: PositiveInteger)  is a domain constructor
+--R Abbreviation for FiniteField is FF 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for FF 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (PrimeField p,%) -> %           ?*? : (%,PrimeField p) -> %
+--R ?*? : (Fraction Integer,%) -> %       ?*? : (%,Fraction Integer) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?/? : (%,PrimeField p) -> %           ?/? : (%,%) -> %
+--R ?=? : (%,%) -> Boolean                1 : () -> %
+--R 0 : () -> %                           ?^? : (%,Integer) -> %
+--R ?^? : (%,PositiveInteger) -> %        algebraic? : % -> Boolean
+--R associates? : (%,%) -> Boolean        basis : () -> Vector %
+--R coerce : PrimeField p -> %            coerce : Fraction Integer -> %
+--R coerce : % -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              degree : % -> PositiveInteger
+--R dimension : () -> CardinalNumber      factor : % -> Factored %
+--R gcd : List % -> %                     gcd : (%,%) -> %
+--R hash : % -> SingleInteger             inGroundField? : % -> Boolean
+--R inv : % -> %                          latex : % -> String
+--R lcm : List % -> %                     lcm : (%,%) -> %
+--R norm : % -> PrimeField p              one? : % -> Boolean
+--R prime? : % -> Boolean                 ?quo? : (%,%) -> %
+--R recip : % -> Union(%,"failed")        ?rem? : (%,%) -> %
+--R retract : % -> PrimeField p           sample : () -> %
+--R sizeLess? : (%,%) -> Boolean          squareFree : % -> Factored %
+--R squareFreePart : % -> %               trace : % -> PrimeField p
+--R transcendent? : % -> Boolean          unit? : % -> Boolean
+--R unitCanonical : % -> %                zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R D : (%,NonNegativeInteger) -> % if PrimeField p has FINITE
+--R D : % -> % if PrimeField p has FINITE
+--R Frobenius : (%,NonNegativeInteger) -> % if PrimeField p has FINITE
+--R Frobenius : % -> % if PrimeField p has FINITE
+--R ?^? : (%,NonNegativeInteger) -> %
+--R basis : PositiveInteger -> Vector %
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if PrimeField p has CHARNZ or PrimeField p has FINITE
+--R charthRoot : % -> % if PrimeField p has FINITE
+--R conditionP : Matrix % -> Union(Vector %,"failed") if PrimeField p has FINITE
+--R coordinates : Vector % -> Matrix PrimeField p
+--R coordinates : % -> Vector PrimeField p
+--R createNormalElement : () -> % if PrimeField p has FINITE
+--R createPrimitiveElement : () -> % if PrimeField p has FINITE
+--R definingPolynomial : () -> SparseUnivariatePolynomial PrimeField p
+--R degree : % -> OnePointCompletion PositiveInteger
+--R differentiate : (%,NonNegativeInteger) -> % if PrimeField p has FINITE
+--R differentiate : % -> % if PrimeField p has FINITE
+--R discreteLog : (%,%) -> Union(NonNegativeInteger,"failed") if PrimeField p has CHARNZ or PrimeField p has FINITE
+--R discreteLog : % -> NonNegativeInteger if PrimeField p has FINITE
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R extensionDegree : () -> PositiveInteger
+--R extensionDegree : () -> OnePointCompletion PositiveInteger
+--R factorsOfCyclicGroupSize : () -> List Record(factor: Integer,exponent: Integer) if PrimeField p has FINITE
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R generator : () -> % if PrimeField p has FINITE
+--R index : PositiveInteger -> % if PrimeField p has FINITE
+--R init : () -> % if PrimeField p has FINITE
+--R linearAssociatedExp : (%,SparseUnivariatePolynomial PrimeField p) -> % if PrimeField p has FINITE
+--R linearAssociatedLog : (%,%) -> Union(SparseUnivariatePolynomial PrimeField p,"failed") if PrimeField p has FINITE
+--R linearAssociatedLog : % -> SparseUnivariatePolynomial PrimeField p if PrimeField p has FINITE
+--R linearAssociatedOrder : % -> SparseUnivariatePolynomial PrimeField p if PrimeField p has FINITE
+--R lookup : % -> PositiveInteger if PrimeField p has FINITE
+--R minimalPolynomial : (%,PositiveInteger) -> SparseUnivariatePolynomial % if PrimeField p has FINITE
+--R minimalPolynomial : % -> SparseUnivariatePolynomial PrimeField p
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R nextItem : % -> Union(%,"failed") if PrimeField p has FINITE
+--R norm : (%,PositiveInteger) -> % if PrimeField p has FINITE
+--R normal? : % -> Boolean if PrimeField p has FINITE
+--R normalElement : () -> % if PrimeField p has FINITE
+--R order : % -> OnePointCompletion PositiveInteger if PrimeField p has CHARNZ or PrimeField p has FINITE
+--R order : % -> PositiveInteger if PrimeField p has FINITE
+--R primeFrobenius : % -> % if PrimeField p has CHARNZ or PrimeField p has FINITE
+--R primeFrobenius : (%,NonNegativeInteger) -> % if PrimeField p has CHARNZ or PrimeField p has FINITE
+--R primitive? : % -> Boolean if PrimeField p has FINITE
+--R primitiveElement : () -> % if PrimeField p has FINITE
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R random : () -> % if PrimeField p has FINITE
+--R representationType : () -> Union("prime",polynomial,normal,cyclic) if PrimeField p has FINITE
+--R represents : Vector PrimeField p -> %
+--R retractIfCan : % -> Union(PrimeField p,"failed")
+--R size : () -> NonNegativeInteger if PrimeField p has FINITE
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tableForDiscreteLogarithm : Integer -> Table(PositiveInteger,NonNegativeInteger) if PrimeField p has FINITE
+--R trace : (%,PositiveInteger) -> % if PrimeField p has FINITE
+--R transcendenceDegree : () -> NonNegativeInteger
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FiniteField.help>>=
+====================================================================
+FiniteField examples
+====================================================================
+
+See Also:
+o )show FiniteField
+
+@
+
 \pagehead{FiniteField}{FF}
 \pagepic{ps/v103finitefield.ps}{FF}{1.00}
 {\bf See}\\
@@ -31230,6 +36431,132 @@ FiniteField(p:PositiveInteger, n:PositiveInteger): _
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FFCG FiniteFieldCyclicGroup}
+
+<<FiniteFieldCyclicGroup.input>>=
+)set break resume
+)sys rm -f FiniteFieldCyclicGroup.output
+)spool FiniteFieldCyclicGroup.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FiniteFieldCyclicGroup
+--R FiniteFieldCyclicGroup(p: PositiveInteger,extdeg: PositiveInteger)  is a domain constructor
+--R Abbreviation for FiniteFieldCyclicGroup is FFCG 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for FFCG 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (PrimeField p,%) -> %           ?*? : (%,PrimeField p) -> %
+--R ?*? : (Fraction Integer,%) -> %       ?*? : (%,Fraction Integer) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?/? : (%,PrimeField p) -> %           ?/? : (%,%) -> %
+--R ?=? : (%,%) -> Boolean                1 : () -> %
+--R 0 : () -> %                           ?^? : (%,Integer) -> %
+--R ?^? : (%,PositiveInteger) -> %        algebraic? : % -> Boolean
+--R associates? : (%,%) -> Boolean        basis : () -> Vector %
+--R coerce : PrimeField p -> %            coerce : Fraction Integer -> %
+--R coerce : % -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              degree : % -> PositiveInteger
+--R dimension : () -> CardinalNumber      factor : % -> Factored %
+--R gcd : List % -> %                     gcd : (%,%) -> %
+--R hash : % -> SingleInteger             inGroundField? : % -> Boolean
+--R inv : % -> %                          latex : % -> String
+--R lcm : List % -> %                     lcm : (%,%) -> %
+--R norm : % -> PrimeField p              one? : % -> Boolean
+--R prime? : % -> Boolean                 ?quo? : (%,%) -> %
+--R recip : % -> Union(%,"failed")        ?rem? : (%,%) -> %
+--R retract : % -> PrimeField p           sample : () -> %
+--R sizeLess? : (%,%) -> Boolean          squareFree : % -> Factored %
+--R squareFreePart : % -> %               trace : % -> PrimeField p
+--R transcendent? : % -> Boolean          unit? : % -> Boolean
+--R unitCanonical : % -> %                zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R D : (%,NonNegativeInteger) -> % if PrimeField p has FINITE
+--R D : % -> % if PrimeField p has FINITE
+--R Frobenius : (%,NonNegativeInteger) -> % if PrimeField p has FINITE
+--R Frobenius : % -> % if PrimeField p has FINITE
+--R ?^? : (%,NonNegativeInteger) -> %
+--R basis : PositiveInteger -> Vector %
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if PrimeField p has CHARNZ or PrimeField p has FINITE
+--R charthRoot : % -> % if PrimeField p has FINITE
+--R conditionP : Matrix % -> Union(Vector %,"failed") if PrimeField p has FINITE
+--R coordinates : Vector % -> Matrix PrimeField p
+--R coordinates : % -> Vector PrimeField p
+--R createNormalElement : () -> % if PrimeField p has FINITE
+--R createPrimitiveElement : () -> % if PrimeField p has FINITE
+--R definingPolynomial : () -> SparseUnivariatePolynomial PrimeField p
+--R degree : % -> OnePointCompletion PositiveInteger
+--R differentiate : (%,NonNegativeInteger) -> % if PrimeField p has FINITE
+--R differentiate : % -> % if PrimeField p has FINITE
+--R discreteLog : (%,%) -> Union(NonNegativeInteger,"failed") if PrimeField p has CHARNZ or PrimeField p has FINITE
+--R discreteLog : % -> NonNegativeInteger if PrimeField p has FINITE
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R extensionDegree : () -> PositiveInteger
+--R extensionDegree : () -> OnePointCompletion PositiveInteger
+--R factorsOfCyclicGroupSize : () -> List Record(factor: Integer,exponent: Integer) if PrimeField p has FINITE
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R generator : () -> % if PrimeField p has FINITE
+--R getZechTable : () -> PrimitiveArray SingleInteger
+--R index : PositiveInteger -> % if PrimeField p has FINITE
+--R init : () -> % if PrimeField p has FINITE
+--R linearAssociatedExp : (%,SparseUnivariatePolynomial PrimeField p) -> % if PrimeField p has FINITE
+--R linearAssociatedLog : (%,%) -> Union(SparseUnivariatePolynomial PrimeField p,"failed") if PrimeField p has FINITE
+--R linearAssociatedLog : % -> SparseUnivariatePolynomial PrimeField p if PrimeField p has FINITE
+--R linearAssociatedOrder : % -> SparseUnivariatePolynomial PrimeField p if PrimeField p has FINITE
+--R lookup : % -> PositiveInteger if PrimeField p has FINITE
+--R minimalPolynomial : (%,PositiveInteger) -> SparseUnivariatePolynomial % if PrimeField p has FINITE
+--R minimalPolynomial : % -> SparseUnivariatePolynomial PrimeField p
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R nextItem : % -> Union(%,"failed") if PrimeField p has FINITE
+--R norm : (%,PositiveInteger) -> % if PrimeField p has FINITE
+--R normal? : % -> Boolean if PrimeField p has FINITE
+--R normalElement : () -> % if PrimeField p has FINITE
+--R order : % -> OnePointCompletion PositiveInteger if PrimeField p has CHARNZ or PrimeField p has FINITE
+--R order : % -> PositiveInteger if PrimeField p has FINITE
+--R primeFrobenius : % -> % if PrimeField p has CHARNZ or PrimeField p has FINITE
+--R primeFrobenius : (%,NonNegativeInteger) -> % if PrimeField p has CHARNZ or PrimeField p has FINITE
+--R primitive? : % -> Boolean if PrimeField p has FINITE
+--R primitiveElement : () -> % if PrimeField p has FINITE
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R random : () -> % if PrimeField p has FINITE
+--R representationType : () -> Union("prime",polynomial,normal,cyclic) if PrimeField p has FINITE
+--R represents : Vector PrimeField p -> %
+--R retractIfCan : % -> Union(PrimeField p,"failed")
+--R size : () -> NonNegativeInteger if PrimeField p has FINITE
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tableForDiscreteLogarithm : Integer -> Table(PositiveInteger,NonNegativeInteger) if PrimeField p has FINITE
+--R trace : (%,PositiveInteger) -> % if PrimeField p has FINITE
+--R transcendenceDegree : () -> NonNegativeInteger
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FiniteFieldCyclicGroup.help>>=
+====================================================================
+FiniteFieldCyclicGroup examples
+====================================================================
+
+See Also:
+o )show FiniteFieldCyclicGroup
+
+@
+
 \pagehead{FiniteFieldCyclicGroup}{FFCG}
 \pagepic{ps/v103finitefieldcyclicgroup.ps}{FFCG}{1.00}
 {\bf See}\\
@@ -31374,6 +36701,130 @@ FiniteFieldCyclicGroup(p,extdeg):_
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FFCGX FiniteFieldCyclicGroupExtension}
+
+<<FiniteFieldCyclicGroupExtension.input>>=
+)set break resume
+)sys rm -f FiniteFieldCyclicGroupExtension.output
+)spool FiniteFieldCyclicGroupExtension.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FiniteFieldCyclicGroupExtension
+--R FiniteFieldCyclicGroupExtension(GF: FiniteFieldCategory,extdeg: PositiveInteger)  is a domain constructor
+--R Abbreviation for FiniteFieldCyclicGroupExtension is FFCGX 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for FFCGX 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (GF,%) -> %                     ?*? : (%,GF) -> %
+--R ?*? : (Fraction Integer,%) -> %       ?*? : (%,Fraction Integer) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?/? : (%,GF) -> %                     ?/? : (%,%) -> %
+--R ?=? : (%,%) -> Boolean                D : % -> % if GF has FINITE
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,Integer) -> %                ?^? : (%,PositiveInteger) -> %
+--R algebraic? : % -> Boolean             associates? : (%,%) -> Boolean
+--R basis : () -> Vector %                coerce : GF -> %
+--R coerce : Fraction Integer -> %        coerce : % -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R coordinates : % -> Vector GF          degree : % -> PositiveInteger
+--R dimension : () -> CardinalNumber      factor : % -> Factored %
+--R gcd : List % -> %                     gcd : (%,%) -> %
+--R hash : % -> SingleInteger             inGroundField? : % -> Boolean
+--R inv : % -> %                          latex : % -> String
+--R lcm : List % -> %                     lcm : (%,%) -> %
+--R norm : % -> GF                        one? : % -> Boolean
+--R prime? : % -> Boolean                 ?quo? : (%,%) -> %
+--R recip : % -> Union(%,"failed")        ?rem? : (%,%) -> %
+--R represents : Vector GF -> %           retract : % -> GF
+--R sample : () -> %                      sizeLess? : (%,%) -> Boolean
+--R squareFree : % -> Factored %          squareFreePart : % -> %
+--R trace : % -> GF                       transcendent? : % -> Boolean
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R D : (%,NonNegativeInteger) -> % if GF has FINITE
+--R Frobenius : (%,NonNegativeInteger) -> % if GF has FINITE
+--R Frobenius : % -> % if GF has FINITE
+--R ?^? : (%,NonNegativeInteger) -> %
+--R basis : PositiveInteger -> Vector %
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if GF has CHARNZ or GF has FINITE
+--R charthRoot : % -> % if GF has FINITE
+--R conditionP : Matrix % -> Union(Vector %,"failed") if GF has FINITE
+--R coordinates : Vector % -> Matrix GF
+--R createNormalElement : () -> % if GF has FINITE
+--R createPrimitiveElement : () -> % if GF has FINITE
+--R definingPolynomial : () -> SparseUnivariatePolynomial GF
+--R degree : % -> OnePointCompletion PositiveInteger
+--R differentiate : (%,NonNegativeInteger) -> % if GF has FINITE
+--R differentiate : % -> % if GF has FINITE
+--R discreteLog : (%,%) -> Union(NonNegativeInteger,"failed") if GF has CHARNZ or GF has FINITE
+--R discreteLog : % -> NonNegativeInteger if GF has FINITE
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R extensionDegree : () -> PositiveInteger
+--R extensionDegree : () -> OnePointCompletion PositiveInteger
+--R factorsOfCyclicGroupSize : () -> List Record(factor: Integer,exponent: Integer) if GF has FINITE
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R generator : () -> % if GF has FINITE
+--R getZechTable : () -> PrimitiveArray SingleInteger
+--R index : PositiveInteger -> % if GF has FINITE
+--R init : () -> % if GF has FINITE
+--R linearAssociatedExp : (%,SparseUnivariatePolynomial GF) -> % if GF has FINITE
+--R linearAssociatedLog : (%,%) -> Union(SparseUnivariatePolynomial GF,"failed") if GF has FINITE
+--R linearAssociatedLog : % -> SparseUnivariatePolynomial GF if GF has FINITE
+--R linearAssociatedOrder : % -> SparseUnivariatePolynomial GF if GF has FINITE
+--R lookup : % -> PositiveInteger if GF has FINITE
+--R minimalPolynomial : (%,PositiveInteger) -> SparseUnivariatePolynomial % if GF has FINITE
+--R minimalPolynomial : % -> SparseUnivariatePolynomial GF
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R nextItem : % -> Union(%,"failed") if GF has FINITE
+--R norm : (%,PositiveInteger) -> % if GF has FINITE
+--R normal? : % -> Boolean if GF has FINITE
+--R normalElement : () -> % if GF has FINITE
+--R order : % -> OnePointCompletion PositiveInteger if GF has CHARNZ or GF has FINITE
+--R order : % -> PositiveInteger if GF has FINITE
+--R primeFrobenius : % -> % if GF has CHARNZ or GF has FINITE
+--R primeFrobenius : (%,NonNegativeInteger) -> % if GF has CHARNZ or GF has FINITE
+--R primitive? : % -> Boolean if GF has FINITE
+--R primitiveElement : () -> % if GF has FINITE
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R random : () -> % if GF has FINITE
+--R representationType : () -> Union("prime",polynomial,normal,cyclic) if GF has FINITE
+--R retractIfCan : % -> Union(GF,"failed")
+--R size : () -> NonNegativeInteger if GF has FINITE
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tableForDiscreteLogarithm : Integer -> Table(PositiveInteger,NonNegativeInteger) if GF has FINITE
+--R trace : (%,PositiveInteger) -> % if GF has FINITE
+--R transcendenceDegree : () -> NonNegativeInteger
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FiniteFieldCyclicGroupExtension.help>>=
+====================================================================
+FiniteFieldCyclicGroupExtension examples
+====================================================================
+
+See Also:
+o )show FiniteFieldCyclicGroupExtension
+
+@
+
 \pagehead{FiniteFieldCyclicGroupExtension}{FFCGX}
 \pagepic{ps/v103finitefieldcyclicgroupextension.ps}{FFCGX}{1.00}
 {\bf See}\\
@@ -31520,6 +36971,130 @@ FiniteFieldCyclicGroupExtension(GF,extdeg):_
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FFCGP FiniteFieldCyclicGroupExtensionByPolynomial}
+
+<<FiniteFieldCyclicGroupExtensionByPolynomial.input>>=
+)set break resume
+)sys rm -f FiniteFieldCyclicGroupExtensionByPolynomial.output
+)spool FiniteFieldCyclicGroupExtensionByPolynomial.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FiniteFieldCyclicGroupExtensionByPolynomial
+--R FiniteFieldCyclicGroupExtensionByPolynomial(GF: FiniteFieldCategory,defpol: SparseUnivariatePolynomial GF)  is a domain constructor
+--R Abbreviation for FiniteFieldCyclicGroupExtensionByPolynomial is FFCGP 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for FFCGP 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (GF,%) -> %                     ?*? : (%,GF) -> %
+--R ?*? : (Fraction Integer,%) -> %       ?*? : (%,Fraction Integer) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?/? : (%,GF) -> %                     ?/? : (%,%) -> %
+--R ?=? : (%,%) -> Boolean                D : % -> % if GF has FINITE
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,Integer) -> %                ?^? : (%,PositiveInteger) -> %
+--R algebraic? : % -> Boolean             associates? : (%,%) -> Boolean
+--R basis : () -> Vector %                coerce : GF -> %
+--R coerce : Fraction Integer -> %        coerce : % -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R coordinates : % -> Vector GF          degree : % -> PositiveInteger
+--R dimension : () -> CardinalNumber      factor : % -> Factored %
+--R gcd : List % -> %                     gcd : (%,%) -> %
+--R hash : % -> SingleInteger             inGroundField? : % -> Boolean
+--R inv : % -> %                          latex : % -> String
+--R lcm : List % -> %                     lcm : (%,%) -> %
+--R norm : % -> GF                        one? : % -> Boolean
+--R prime? : % -> Boolean                 ?quo? : (%,%) -> %
+--R recip : % -> Union(%,"failed")        ?rem? : (%,%) -> %
+--R represents : Vector GF -> %           retract : % -> GF
+--R sample : () -> %                      sizeLess? : (%,%) -> Boolean
+--R squareFree : % -> Factored %          squareFreePart : % -> %
+--R trace : % -> GF                       transcendent? : % -> Boolean
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R D : (%,NonNegativeInteger) -> % if GF has FINITE
+--R Frobenius : (%,NonNegativeInteger) -> % if GF has FINITE
+--R Frobenius : % -> % if GF has FINITE
+--R ?^? : (%,NonNegativeInteger) -> %
+--R basis : PositiveInteger -> Vector %
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if GF has CHARNZ or GF has FINITE
+--R charthRoot : % -> % if GF has FINITE
+--R conditionP : Matrix % -> Union(Vector %,"failed") if GF has FINITE
+--R coordinates : Vector % -> Matrix GF
+--R createNormalElement : () -> % if GF has FINITE
+--R createPrimitiveElement : () -> % if GF has FINITE
+--R definingPolynomial : () -> SparseUnivariatePolynomial GF
+--R degree : % -> OnePointCompletion PositiveInteger
+--R differentiate : (%,NonNegativeInteger) -> % if GF has FINITE
+--R differentiate : % -> % if GF has FINITE
+--R discreteLog : (%,%) -> Union(NonNegativeInteger,"failed") if GF has CHARNZ or GF has FINITE
+--R discreteLog : % -> NonNegativeInteger if GF has FINITE
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R extensionDegree : () -> PositiveInteger
+--R extensionDegree : () -> OnePointCompletion PositiveInteger
+--R factorsOfCyclicGroupSize : () -> List Record(factor: Integer,exponent: Integer) if GF has FINITE
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R generator : () -> % if GF has FINITE
+--R getZechTable : () -> PrimitiveArray SingleInteger
+--R index : PositiveInteger -> % if GF has FINITE
+--R init : () -> % if GF has FINITE
+--R linearAssociatedExp : (%,SparseUnivariatePolynomial GF) -> % if GF has FINITE
+--R linearAssociatedLog : (%,%) -> Union(SparseUnivariatePolynomial GF,"failed") if GF has FINITE
+--R linearAssociatedLog : % -> SparseUnivariatePolynomial GF if GF has FINITE
+--R linearAssociatedOrder : % -> SparseUnivariatePolynomial GF if GF has FINITE
+--R lookup : % -> PositiveInteger if GF has FINITE
+--R minimalPolynomial : (%,PositiveInteger) -> SparseUnivariatePolynomial % if GF has FINITE
+--R minimalPolynomial : % -> SparseUnivariatePolynomial GF
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R nextItem : % -> Union(%,"failed") if GF has FINITE
+--R norm : (%,PositiveInteger) -> % if GF has FINITE
+--R normal? : % -> Boolean if GF has FINITE
+--R normalElement : () -> % if GF has FINITE
+--R order : % -> OnePointCompletion PositiveInteger if GF has CHARNZ or GF has FINITE
+--R order : % -> PositiveInteger if GF has FINITE
+--R primeFrobenius : % -> % if GF has CHARNZ or GF has FINITE
+--R primeFrobenius : (%,NonNegativeInteger) -> % if GF has CHARNZ or GF has FINITE
+--R primitive? : % -> Boolean if GF has FINITE
+--R primitiveElement : () -> % if GF has FINITE
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R random : () -> % if GF has FINITE
+--R representationType : () -> Union("prime",polynomial,normal,cyclic) if GF has FINITE
+--R retractIfCan : % -> Union(GF,"failed")
+--R size : () -> NonNegativeInteger if GF has FINITE
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tableForDiscreteLogarithm : Integer -> Table(PositiveInteger,NonNegativeInteger) if GF has FINITE
+--R trace : (%,PositiveInteger) -> % if GF has FINITE
+--R transcendenceDegree : () -> NonNegativeInteger
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FiniteFieldCyclicGroupExtensionByPolynomial.help>>=
+====================================================================
+FiniteFieldCyclicGroupExtensionByPolynomial examples
+====================================================================
+
+See Also:
+o )show FiniteFieldCyclicGroupExtensionByPolynomial
+
+@
+
 \pagehead{FiniteFieldCyclicGroupExtensionByPolynomial}{FFCGP}
 \pagepic{ps/v103finitefieldcyclicgroupextensionbypolynomial.ps}{FFCGP}{1.00}
 {\bf See}\\
@@ -31932,6 +37507,129 @@ FiniteFieldCyclicGroupExtensionByPolynomial(GF,defpol):_
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FFX FiniteFieldExtension}
+
+<<FiniteFieldExtension.input>>=
+)set break resume
+)sys rm -f FiniteFieldExtension.output
+)spool FiniteFieldExtension.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FiniteFieldExtension
+--R FiniteFieldExtension(GF: FiniteFieldCategory,n: PositiveInteger)  is a domain constructor
+--R Abbreviation for FiniteFieldExtension is FFX 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for FFX 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (GF,%) -> %                     ?*? : (%,GF) -> %
+--R ?*? : (Fraction Integer,%) -> %       ?*? : (%,Fraction Integer) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?/? : (%,GF) -> %                     ?/? : (%,%) -> %
+--R ?=? : (%,%) -> Boolean                D : % -> % if GF has FINITE
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,Integer) -> %                ?^? : (%,PositiveInteger) -> %
+--R algebraic? : % -> Boolean             associates? : (%,%) -> Boolean
+--R basis : () -> Vector %                coerce : GF -> %
+--R coerce : Fraction Integer -> %        coerce : % -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R coordinates : % -> Vector GF          degree : % -> PositiveInteger
+--R dimension : () -> CardinalNumber      factor : % -> Factored %
+--R gcd : List % -> %                     gcd : (%,%) -> %
+--R hash : % -> SingleInteger             inGroundField? : % -> Boolean
+--R inv : % -> %                          latex : % -> String
+--R lcm : List % -> %                     lcm : (%,%) -> %
+--R norm : % -> GF                        one? : % -> Boolean
+--R prime? : % -> Boolean                 ?quo? : (%,%) -> %
+--R recip : % -> Union(%,"failed")        ?rem? : (%,%) -> %
+--R represents : Vector GF -> %           retract : % -> GF
+--R sample : () -> %                      sizeLess? : (%,%) -> Boolean
+--R squareFree : % -> Factored %          squareFreePart : % -> %
+--R trace : % -> GF                       transcendent? : % -> Boolean
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R D : (%,NonNegativeInteger) -> % if GF has FINITE
+--R Frobenius : (%,NonNegativeInteger) -> % if GF has FINITE
+--R Frobenius : % -> % if GF has FINITE
+--R ?^? : (%,NonNegativeInteger) -> %
+--R basis : PositiveInteger -> Vector %
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if GF has CHARNZ or GF has FINITE
+--R charthRoot : % -> % if GF has FINITE
+--R conditionP : Matrix % -> Union(Vector %,"failed") if GF has FINITE
+--R coordinates : Vector % -> Matrix GF
+--R createNormalElement : () -> % if GF has FINITE
+--R createPrimitiveElement : () -> % if GF has FINITE
+--R definingPolynomial : () -> SparseUnivariatePolynomial GF
+--R degree : % -> OnePointCompletion PositiveInteger
+--R differentiate : (%,NonNegativeInteger) -> % if GF has FINITE
+--R differentiate : % -> % if GF has FINITE
+--R discreteLog : (%,%) -> Union(NonNegativeInteger,"failed") if GF has CHARNZ or GF has FINITE
+--R discreteLog : % -> NonNegativeInteger if GF has FINITE
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R extensionDegree : () -> PositiveInteger
+--R extensionDegree : () -> OnePointCompletion PositiveInteger
+--R factorsOfCyclicGroupSize : () -> List Record(factor: Integer,exponent: Integer) if GF has FINITE
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R generator : () -> % if GF has FINITE
+--R index : PositiveInteger -> % if GF has FINITE
+--R init : () -> % if GF has FINITE
+--R linearAssociatedExp : (%,SparseUnivariatePolynomial GF) -> % if GF has FINITE
+--R linearAssociatedLog : (%,%) -> Union(SparseUnivariatePolynomial GF,"failed") if GF has FINITE
+--R linearAssociatedLog : % -> SparseUnivariatePolynomial GF if GF has FINITE
+--R linearAssociatedOrder : % -> SparseUnivariatePolynomial GF if GF has FINITE
+--R lookup : % -> PositiveInteger if GF has FINITE
+--R minimalPolynomial : (%,PositiveInteger) -> SparseUnivariatePolynomial % if GF has FINITE
+--R minimalPolynomial : % -> SparseUnivariatePolynomial GF
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R nextItem : % -> Union(%,"failed") if GF has FINITE
+--R norm : (%,PositiveInteger) -> % if GF has FINITE
+--R normal? : % -> Boolean if GF has FINITE
+--R normalElement : () -> % if GF has FINITE
+--R order : % -> OnePointCompletion PositiveInteger if GF has CHARNZ or GF has FINITE
+--R order : % -> PositiveInteger if GF has FINITE
+--R primeFrobenius : % -> % if GF has CHARNZ or GF has FINITE
+--R primeFrobenius : (%,NonNegativeInteger) -> % if GF has CHARNZ or GF has FINITE
+--R primitive? : % -> Boolean if GF has FINITE
+--R primitiveElement : () -> % if GF has FINITE
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R random : () -> % if GF has FINITE
+--R representationType : () -> Union("prime",polynomial,normal,cyclic) if GF has FINITE
+--R retractIfCan : % -> Union(GF,"failed")
+--R size : () -> NonNegativeInteger if GF has FINITE
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tableForDiscreteLogarithm : Integer -> Table(PositiveInteger,NonNegativeInteger) if GF has FINITE
+--R trace : (%,PositiveInteger) -> % if GF has FINITE
+--R transcendenceDegree : () -> NonNegativeInteger
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FiniteFieldExtension.help>>=
+====================================================================
+FiniteFieldExtension examples
+====================================================================
+
+See Also:
+o )show FiniteFieldExtension
+
+@
+
 \pagehead{FiniteFieldExtension}{FFX}
 \pagepic{ps/v103finitefieldextension.ps}{FFX}{1.00}
 {\bf See}\\
@@ -32072,6 +37770,129 @@ FiniteFieldExtension(GF, n): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FFP FiniteFieldExtensionByPolynomial}
+
+<<FiniteFieldExtensionByPolynomial.input>>=
+)set break resume
+)sys rm -f FiniteFieldExtensionByPolynomial.output
+)spool FiniteFieldExtensionByPolynomial.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FiniteFieldExtensionByPolynomial
+--R FiniteFieldExtensionByPolynomial(GF: FiniteFieldCategory,defpol: SparseUnivariatePolynomial GF)  is a domain constructor
+--R Abbreviation for FiniteFieldExtensionByPolynomial is FFP 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for FFP 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (GF,%) -> %                     ?*? : (%,GF) -> %
+--R ?*? : (Fraction Integer,%) -> %       ?*? : (%,Fraction Integer) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?/? : (%,GF) -> %                     ?/? : (%,%) -> %
+--R ?=? : (%,%) -> Boolean                D : % -> % if GF has FINITE
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,Integer) -> %                ?^? : (%,PositiveInteger) -> %
+--R algebraic? : % -> Boolean             associates? : (%,%) -> Boolean
+--R basis : () -> Vector %                coerce : GF -> %
+--R coerce : Fraction Integer -> %        coerce : % -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R coordinates : % -> Vector GF          degree : % -> PositiveInteger
+--R dimension : () -> CardinalNumber      factor : % -> Factored %
+--R gcd : List % -> %                     gcd : (%,%) -> %
+--R hash : % -> SingleInteger             inGroundField? : % -> Boolean
+--R inv : % -> %                          latex : % -> String
+--R lcm : List % -> %                     lcm : (%,%) -> %
+--R norm : % -> GF                        one? : % -> Boolean
+--R prime? : % -> Boolean                 ?quo? : (%,%) -> %
+--R recip : % -> Union(%,"failed")        ?rem? : (%,%) -> %
+--R represents : Vector GF -> %           retract : % -> GF
+--R sample : () -> %                      sizeLess? : (%,%) -> Boolean
+--R squareFree : % -> Factored %          squareFreePart : % -> %
+--R trace : % -> GF                       transcendent? : % -> Boolean
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R D : (%,NonNegativeInteger) -> % if GF has FINITE
+--R Frobenius : (%,NonNegativeInteger) -> % if GF has FINITE
+--R Frobenius : % -> % if GF has FINITE
+--R ?^? : (%,NonNegativeInteger) -> %
+--R basis : PositiveInteger -> Vector %
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if GF has CHARNZ or GF has FINITE
+--R charthRoot : % -> % if GF has FINITE
+--R conditionP : Matrix % -> Union(Vector %,"failed") if GF has FINITE
+--R coordinates : Vector % -> Matrix GF
+--R createNormalElement : () -> % if GF has FINITE
+--R createPrimitiveElement : () -> % if GF has FINITE
+--R definingPolynomial : () -> SparseUnivariatePolynomial GF
+--R degree : % -> OnePointCompletion PositiveInteger
+--R differentiate : (%,NonNegativeInteger) -> % if GF has FINITE
+--R differentiate : % -> % if GF has FINITE
+--R discreteLog : (%,%) -> Union(NonNegativeInteger,"failed") if GF has CHARNZ or GF has FINITE
+--R discreteLog : % -> NonNegativeInteger if GF has FINITE
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R extensionDegree : () -> PositiveInteger
+--R extensionDegree : () -> OnePointCompletion PositiveInteger
+--R factorsOfCyclicGroupSize : () -> List Record(factor: Integer,exponent: Integer) if GF has FINITE
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R generator : () -> % if GF has FINITE
+--R index : PositiveInteger -> % if GF has FINITE
+--R init : () -> % if GF has FINITE
+--R linearAssociatedExp : (%,SparseUnivariatePolynomial GF) -> % if GF has FINITE
+--R linearAssociatedLog : (%,%) -> Union(SparseUnivariatePolynomial GF,"failed") if GF has FINITE
+--R linearAssociatedLog : % -> SparseUnivariatePolynomial GF if GF has FINITE
+--R linearAssociatedOrder : % -> SparseUnivariatePolynomial GF if GF has FINITE
+--R lookup : % -> PositiveInteger if GF has FINITE
+--R minimalPolynomial : (%,PositiveInteger) -> SparseUnivariatePolynomial % if GF has FINITE
+--R minimalPolynomial : % -> SparseUnivariatePolynomial GF
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R nextItem : % -> Union(%,"failed") if GF has FINITE
+--R norm : (%,PositiveInteger) -> % if GF has FINITE
+--R normal? : % -> Boolean if GF has FINITE
+--R normalElement : () -> % if GF has FINITE
+--R order : % -> OnePointCompletion PositiveInteger if GF has CHARNZ or GF has FINITE
+--R order : % -> PositiveInteger if GF has FINITE
+--R primeFrobenius : % -> % if GF has CHARNZ or GF has FINITE
+--R primeFrobenius : (%,NonNegativeInteger) -> % if GF has CHARNZ or GF has FINITE
+--R primitive? : % -> Boolean if GF has FINITE
+--R primitiveElement : () -> % if GF has FINITE
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R random : () -> % if GF has FINITE
+--R representationType : () -> Union("prime",polynomial,normal,cyclic) if GF has FINITE
+--R retractIfCan : % -> Union(GF,"failed")
+--R size : () -> NonNegativeInteger if GF has FINITE
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tableForDiscreteLogarithm : Integer -> Table(PositiveInteger,NonNegativeInteger) if GF has FINITE
+--R trace : (%,PositiveInteger) -> % if GF has FINITE
+--R transcendenceDegree : () -> NonNegativeInteger
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FiniteFieldExtensionByPolynomial.help>>=
+====================================================================
+FiniteFieldExtensionByPolynomial examples
+====================================================================
+
+See Also:
+o )show FiniteFieldExtensionByPolynomial
+
+@
+
 \pagehead{FiniteFieldExtensionByPolynomial}{FFP}
 \pagepic{ps/v103finitefieldextensionbypolynomial.ps}{FFP}{1.00}
 {\bf See}\\
@@ -32410,6 +38231,134 @@ FiniteFieldExtensionByPolynomial(GF:FiniteFieldCategory,_
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FFNB FiniteFieldNormalBasis}
+
+<<FiniteFieldNormalBasis.input>>=
+)set break resume
+)sys rm -f FiniteFieldNormalBasis.output
+)spool FiniteFieldNormalBasis.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FiniteFieldNormalBasis
+--R FiniteFieldNormalBasis(p: PositiveInteger,extdeg: PositiveInteger)  is a domain constructor
+--R Abbreviation for FiniteFieldNormalBasis is FFNB 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for FFNB 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (PrimeField p,%) -> %           ?*? : (%,PrimeField p) -> %
+--R ?*? : (Fraction Integer,%) -> %       ?*? : (%,Fraction Integer) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?/? : (%,PrimeField p) -> %           ?/? : (%,%) -> %
+--R ?=? : (%,%) -> Boolean                1 : () -> %
+--R 0 : () -> %                           ?^? : (%,Integer) -> %
+--R ?^? : (%,PositiveInteger) -> %        algebraic? : % -> Boolean
+--R associates? : (%,%) -> Boolean        basis : () -> Vector %
+--R coerce : PrimeField p -> %            coerce : Fraction Integer -> %
+--R coerce : % -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              degree : % -> PositiveInteger
+--R dimension : () -> CardinalNumber      factor : % -> Factored %
+--R gcd : List % -> %                     gcd : (%,%) -> %
+--R hash : % -> SingleInteger             inGroundField? : % -> Boolean
+--R inv : % -> %                          latex : % -> String
+--R lcm : List % -> %                     lcm : (%,%) -> %
+--R norm : % -> PrimeField p              one? : % -> Boolean
+--R prime? : % -> Boolean                 ?quo? : (%,%) -> %
+--R recip : % -> Union(%,"failed")        ?rem? : (%,%) -> %
+--R retract : % -> PrimeField p           sample : () -> %
+--R sizeLess? : (%,%) -> Boolean          squareFree : % -> Factored %
+--R squareFreePart : % -> %               trace : % -> PrimeField p
+--R transcendent? : % -> Boolean          unit? : % -> Boolean
+--R unitCanonical : % -> %                zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R D : (%,NonNegativeInteger) -> % if PrimeField p has FINITE
+--R D : % -> % if PrimeField p has FINITE
+--R Frobenius : (%,NonNegativeInteger) -> % if PrimeField p has FINITE
+--R Frobenius : % -> % if PrimeField p has FINITE
+--R ?^? : (%,NonNegativeInteger) -> %
+--R basis : PositiveInteger -> Vector %
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if PrimeField p has CHARNZ or PrimeField p has FINITE
+--R charthRoot : % -> % if PrimeField p has FINITE
+--R conditionP : Matrix % -> Union(Vector %,"failed") if PrimeField p has FINITE
+--R coordinates : Vector % -> Matrix PrimeField p
+--R coordinates : % -> Vector PrimeField p
+--R createNormalElement : () -> % if PrimeField p has FINITE
+--R createPrimitiveElement : () -> % if PrimeField p has FINITE
+--R definingPolynomial : () -> SparseUnivariatePolynomial PrimeField p
+--R degree : % -> OnePointCompletion PositiveInteger
+--R differentiate : (%,NonNegativeInteger) -> % if PrimeField p has FINITE
+--R differentiate : % -> % if PrimeField p has FINITE
+--R discreteLog : (%,%) -> Union(NonNegativeInteger,"failed") if PrimeField p has CHARNZ or PrimeField p has FINITE
+--R discreteLog : % -> NonNegativeInteger if PrimeField p has FINITE
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R extensionDegree : () -> PositiveInteger
+--R extensionDegree : () -> OnePointCompletion PositiveInteger
+--R factorsOfCyclicGroupSize : () -> List Record(factor: Integer,exponent: Integer) if PrimeField p has FINITE
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R generator : () -> % if PrimeField p has FINITE
+--R getMultiplicationMatrix : () -> Matrix PrimeField p
+--R getMultiplicationTable : () -> Vector List Record(value: PrimeField p,index: SingleInteger)
+--R index : PositiveInteger -> % if PrimeField p has FINITE
+--R init : () -> % if PrimeField p has FINITE
+--R linearAssociatedExp : (%,SparseUnivariatePolynomial PrimeField p) -> % if PrimeField p has FINITE
+--R linearAssociatedLog : (%,%) -> Union(SparseUnivariatePolynomial PrimeField p,"failed") if PrimeField p has FINITE
+--R linearAssociatedLog : % -> SparseUnivariatePolynomial PrimeField p if PrimeField p has FINITE
+--R linearAssociatedOrder : % -> SparseUnivariatePolynomial PrimeField p if PrimeField p has FINITE
+--R lookup : % -> PositiveInteger if PrimeField p has FINITE
+--R minimalPolynomial : (%,PositiveInteger) -> SparseUnivariatePolynomial % if PrimeField p has FINITE
+--R minimalPolynomial : % -> SparseUnivariatePolynomial PrimeField p
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R nextItem : % -> Union(%,"failed") if PrimeField p has FINITE
+--R norm : (%,PositiveInteger) -> % if PrimeField p has FINITE
+--R normal? : % -> Boolean if PrimeField p has FINITE
+--R normalElement : () -> % if PrimeField p has FINITE
+--R order : % -> OnePointCompletion PositiveInteger if PrimeField p has CHARNZ or PrimeField p has FINITE
+--R order : % -> PositiveInteger if PrimeField p has FINITE
+--R primeFrobenius : % -> % if PrimeField p has CHARNZ or PrimeField p has FINITE
+--R primeFrobenius : (%,NonNegativeInteger) -> % if PrimeField p has CHARNZ or PrimeField p has FINITE
+--R primitive? : % -> Boolean if PrimeField p has FINITE
+--R primitiveElement : () -> % if PrimeField p has FINITE
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R random : () -> % if PrimeField p has FINITE
+--R representationType : () -> Union("prime",polynomial,normal,cyclic) if PrimeField p has FINITE
+--R represents : Vector PrimeField p -> %
+--R retractIfCan : % -> Union(PrimeField p,"failed")
+--R size : () -> NonNegativeInteger if PrimeField p has FINITE
+--R sizeMultiplication : () -> NonNegativeInteger
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tableForDiscreteLogarithm : Integer -> Table(PositiveInteger,NonNegativeInteger) if PrimeField p has FINITE
+--R trace : (%,PositiveInteger) -> % if PrimeField p has FINITE
+--R transcendenceDegree : () -> NonNegativeInteger
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FiniteFieldNormalBasis.help>>=
+====================================================================
+FiniteFieldNormalBasis examples
+====================================================================
+
+See Also:
+o )show FiniteFieldNormalBasis
+
+@
+
 \pagehead{FiniteFieldNormalBasis}{FFNB}
 \pagepic{ps/v103finitefieldnormalbasis.ps}{FFNB}{1.00}
 {\bf See}\\
@@ -32566,6 +38515,132 @@ FiniteFieldNormalBasis(p,extdeg):_
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FFNBX FiniteFieldNormalBasisExtension}
+
+<<FiniteFieldNormalBasisExtension.input>>=
+)set break resume
+)sys rm -f FiniteFieldNormalBasisExtension.output
+)spool FiniteFieldNormalBasisExtension.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FiniteFieldNormalBasisExtension
+--R FiniteFieldNormalBasisExtension(GF: FiniteFieldCategory,extdeg: PositiveInteger)  is a domain constructor
+--R Abbreviation for FiniteFieldNormalBasisExtension is FFNBX 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for FFNBX 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (GF,%) -> %                     ?*? : (%,GF) -> %
+--R ?*? : (Fraction Integer,%) -> %       ?*? : (%,Fraction Integer) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?/? : (%,GF) -> %                     ?/? : (%,%) -> %
+--R ?=? : (%,%) -> Boolean                D : % -> % if GF has FINITE
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,Integer) -> %                ?^? : (%,PositiveInteger) -> %
+--R algebraic? : % -> Boolean             associates? : (%,%) -> Boolean
+--R basis : () -> Vector %                coerce : GF -> %
+--R coerce : Fraction Integer -> %        coerce : % -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R coordinates : % -> Vector GF          degree : % -> PositiveInteger
+--R dimension : () -> CardinalNumber      factor : % -> Factored %
+--R gcd : List % -> %                     gcd : (%,%) -> %
+--R hash : % -> SingleInteger             inGroundField? : % -> Boolean
+--R inv : % -> %                          latex : % -> String
+--R lcm : List % -> %                     lcm : (%,%) -> %
+--R norm : % -> GF                        one? : % -> Boolean
+--R prime? : % -> Boolean                 ?quo? : (%,%) -> %
+--R recip : % -> Union(%,"failed")        ?rem? : (%,%) -> %
+--R represents : Vector GF -> %           retract : % -> GF
+--R sample : () -> %                      sizeLess? : (%,%) -> Boolean
+--R squareFree : % -> Factored %          squareFreePart : % -> %
+--R trace : % -> GF                       transcendent? : % -> Boolean
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R D : (%,NonNegativeInteger) -> % if GF has FINITE
+--R Frobenius : (%,NonNegativeInteger) -> % if GF has FINITE
+--R Frobenius : % -> % if GF has FINITE
+--R ?^? : (%,NonNegativeInteger) -> %
+--R basis : PositiveInteger -> Vector %
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if GF has CHARNZ or GF has FINITE
+--R charthRoot : % -> % if GF has FINITE
+--R conditionP : Matrix % -> Union(Vector %,"failed") if GF has FINITE
+--R coordinates : Vector % -> Matrix GF
+--R createNormalElement : () -> % if GF has FINITE
+--R createPrimitiveElement : () -> % if GF has FINITE
+--R definingPolynomial : () -> SparseUnivariatePolynomial GF
+--R degree : % -> OnePointCompletion PositiveInteger
+--R differentiate : (%,NonNegativeInteger) -> % if GF has FINITE
+--R differentiate : % -> % if GF has FINITE
+--R discreteLog : (%,%) -> Union(NonNegativeInteger,"failed") if GF has CHARNZ or GF has FINITE
+--R discreteLog : % -> NonNegativeInteger if GF has FINITE
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R extensionDegree : () -> PositiveInteger
+--R extensionDegree : () -> OnePointCompletion PositiveInteger
+--R factorsOfCyclicGroupSize : () -> List Record(factor: Integer,exponent: Integer) if GF has FINITE
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R generator : () -> % if GF has FINITE
+--R getMultiplicationMatrix : () -> Matrix GF
+--R getMultiplicationTable : () -> Vector List Record(value: GF,index: SingleInteger)
+--R index : PositiveInteger -> % if GF has FINITE
+--R init : () -> % if GF has FINITE
+--R linearAssociatedExp : (%,SparseUnivariatePolynomial GF) -> % if GF has FINITE
+--R linearAssociatedLog : (%,%) -> Union(SparseUnivariatePolynomial GF,"failed") if GF has FINITE
+--R linearAssociatedLog : % -> SparseUnivariatePolynomial GF if GF has FINITE
+--R linearAssociatedOrder : % -> SparseUnivariatePolynomial GF if GF has FINITE
+--R lookup : % -> PositiveInteger if GF has FINITE
+--R minimalPolynomial : (%,PositiveInteger) -> SparseUnivariatePolynomial % if GF has FINITE
+--R minimalPolynomial : % -> SparseUnivariatePolynomial GF
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R nextItem : % -> Union(%,"failed") if GF has FINITE
+--R norm : (%,PositiveInteger) -> % if GF has FINITE
+--R normal? : % -> Boolean if GF has FINITE
+--R normalElement : () -> % if GF has FINITE
+--R order : % -> OnePointCompletion PositiveInteger if GF has CHARNZ or GF has FINITE
+--R order : % -> PositiveInteger if GF has FINITE
+--R primeFrobenius : % -> % if GF has CHARNZ or GF has FINITE
+--R primeFrobenius : (%,NonNegativeInteger) -> % if GF has CHARNZ or GF has FINITE
+--R primitive? : % -> Boolean if GF has FINITE
+--R primitiveElement : () -> % if GF has FINITE
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R random : () -> % if GF has FINITE
+--R representationType : () -> Union("prime",polynomial,normal,cyclic) if GF has FINITE
+--R retractIfCan : % -> Union(GF,"failed")
+--R size : () -> NonNegativeInteger if GF has FINITE
+--R sizeMultiplication : () -> NonNegativeInteger
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tableForDiscreteLogarithm : Integer -> Table(PositiveInteger,NonNegativeInteger) if GF has FINITE
+--R trace : (%,PositiveInteger) -> % if GF has FINITE
+--R transcendenceDegree : () -> NonNegativeInteger
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FiniteFieldNormalBasisExtension.help>>=
+====================================================================
+FiniteFieldNormalBasisExtension examples
+====================================================================
+
+See Also:
+o )show FiniteFieldNormalBasisExtension
+
+@
+
 \pagehead{FiniteFieldNormalBasisExtension}{FFNBX}
 \pagepic{ps/v103finitefieldnormalbasisextension.ps}{FFNBX}{1.00}
 {\bf See}\\
@@ -32722,6 +38797,132 @@ FiniteFieldNormalBasisExtension(GF,extdeg):_
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FFNBP FiniteFieldNormalBasisExtensionByPolynomial}
+
+<<FiniteFieldNormalBasisExtensionByPolynomial.input>>=
+)set break resume
+)sys rm -f FiniteFieldNormalBasisExtensionByPolynomial.output
+)spool FiniteFieldNormalBasisExtensionByPolynomial.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FiniteFieldNormalBasisExtensionByPolynomial
+--R FiniteFieldNormalBasisExtensionByPolynomial(GF: FiniteFieldCategory,uni: Union(SparseUnivariatePolynomial GF,Vector List Record(value: GF,index: SingleInteger)))  is a domain constructor
+--R Abbreviation for FiniteFieldNormalBasisExtensionByPolynomial is FFNBP 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for FFNBP 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (GF,%) -> %                     ?*? : (%,GF) -> %
+--R ?*? : (Fraction Integer,%) -> %       ?*? : (%,Fraction Integer) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?/? : (%,GF) -> %                     ?/? : (%,%) -> %
+--R ?=? : (%,%) -> Boolean                D : % -> % if GF has FINITE
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,Integer) -> %                ?^? : (%,PositiveInteger) -> %
+--R algebraic? : % -> Boolean             associates? : (%,%) -> Boolean
+--R basis : () -> Vector %                coerce : GF -> %
+--R coerce : Fraction Integer -> %        coerce : % -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R coordinates : % -> Vector GF          degree : % -> PositiveInteger
+--R dimension : () -> CardinalNumber      factor : % -> Factored %
+--R gcd : List % -> %                     gcd : (%,%) -> %
+--R hash : % -> SingleInteger             inGroundField? : % -> Boolean
+--R inv : % -> %                          latex : % -> String
+--R lcm : List % -> %                     lcm : (%,%) -> %
+--R norm : % -> GF                        one? : % -> Boolean
+--R prime? : % -> Boolean                 ?quo? : (%,%) -> %
+--R recip : % -> Union(%,"failed")        ?rem? : (%,%) -> %
+--R represents : Vector GF -> %           retract : % -> GF
+--R sample : () -> %                      sizeLess? : (%,%) -> Boolean
+--R squareFree : % -> Factored %          squareFreePart : % -> %
+--R trace : % -> GF                       transcendent? : % -> Boolean
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R D : (%,NonNegativeInteger) -> % if GF has FINITE
+--R Frobenius : (%,NonNegativeInteger) -> % if GF has FINITE
+--R Frobenius : % -> % if GF has FINITE
+--R ?^? : (%,NonNegativeInteger) -> %
+--R basis : PositiveInteger -> Vector %
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if GF has CHARNZ or GF has FINITE
+--R charthRoot : % -> % if GF has FINITE
+--R conditionP : Matrix % -> Union(Vector %,"failed") if GF has FINITE
+--R coordinates : Vector % -> Matrix GF
+--R createNormalElement : () -> % if GF has FINITE
+--R createPrimitiveElement : () -> % if GF has FINITE
+--R definingPolynomial : () -> SparseUnivariatePolynomial GF
+--R degree : % -> OnePointCompletion PositiveInteger
+--R differentiate : (%,NonNegativeInteger) -> % if GF has FINITE
+--R differentiate : % -> % if GF has FINITE
+--R discreteLog : (%,%) -> Union(NonNegativeInteger,"failed") if GF has CHARNZ or GF has FINITE
+--R discreteLog : % -> NonNegativeInteger if GF has FINITE
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R extensionDegree : () -> PositiveInteger
+--R extensionDegree : () -> OnePointCompletion PositiveInteger
+--R factorsOfCyclicGroupSize : () -> List Record(factor: Integer,exponent: Integer) if GF has FINITE
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R generator : () -> % if GF has FINITE
+--R getMultiplicationMatrix : () -> Matrix GF
+--R getMultiplicationTable : () -> Vector List Record(value: GF,index: SingleInteger)
+--R index : PositiveInteger -> % if GF has FINITE
+--R init : () -> % if GF has FINITE
+--R linearAssociatedExp : (%,SparseUnivariatePolynomial GF) -> % if GF has FINITE
+--R linearAssociatedLog : (%,%) -> Union(SparseUnivariatePolynomial GF,"failed") if GF has FINITE
+--R linearAssociatedLog : % -> SparseUnivariatePolynomial GF if GF has FINITE
+--R linearAssociatedOrder : % -> SparseUnivariatePolynomial GF if GF has FINITE
+--R lookup : % -> PositiveInteger if GF has FINITE
+--R minimalPolynomial : (%,PositiveInteger) -> SparseUnivariatePolynomial % if GF has FINITE
+--R minimalPolynomial : % -> SparseUnivariatePolynomial GF
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R nextItem : % -> Union(%,"failed") if GF has FINITE
+--R norm : (%,PositiveInteger) -> % if GF has FINITE
+--R normal? : % -> Boolean if GF has FINITE
+--R normalElement : () -> % if GF has FINITE
+--R order : % -> OnePointCompletion PositiveInteger if GF has CHARNZ or GF has FINITE
+--R order : % -> PositiveInteger if GF has FINITE
+--R primeFrobenius : % -> % if GF has CHARNZ or GF has FINITE
+--R primeFrobenius : (%,NonNegativeInteger) -> % if GF has CHARNZ or GF has FINITE
+--R primitive? : % -> Boolean if GF has FINITE
+--R primitiveElement : () -> % if GF has FINITE
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R random : () -> % if GF has FINITE
+--R representationType : () -> Union("prime",polynomial,normal,cyclic) if GF has FINITE
+--R retractIfCan : % -> Union(GF,"failed")
+--R size : () -> NonNegativeInteger if GF has FINITE
+--R sizeMultiplication : () -> NonNegativeInteger
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tableForDiscreteLogarithm : Integer -> Table(PositiveInteger,NonNegativeInteger) if GF has FINITE
+--R trace : (%,PositiveInteger) -> % if GF has FINITE
+--R transcendenceDegree : () -> NonNegativeInteger
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FiniteFieldNormalBasisExtensionByPolynomial.help>>=
+====================================================================
+FiniteFieldNormalBasisExtensionByPolynomial examples
+====================================================================
+
+See Also:
+o )show FiniteFieldNormalBasisExtensionByPolynomial
+
+@
+
 \pagehead{FiniteFieldNormalBasisExtensionByPolynomial}{FFNBP}
 \pagepic{ps/v103finitefieldnormalbasisextensionbypolynomial.ps}{FFNBP}{1.00}
 {\bf See}\\
@@ -33188,6 +39389,7 @@ divisor of the order of the multiplicative group"
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FARRAY FlexibleArray}
+
 <<FlexibleArray.input>>=
 )set break resume
 )sys rm -f FlexibleArray.output
@@ -35725,6 +41927,92 @@ Float():
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FC FortranCode}
+
+<<FortranCode.input>>=
+)set break resume
+)sys rm -f FortranCode.output
+)spool FortranCode.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FortranCode
+--R FortranCode  is a domain constructor
+--R Abbreviation for FortranCode is FC 
+--R This constructor is exposed in this frame.
+--R Issue )edit NIL to see algebra source code for FC 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                assign : (Symbol,String) -> %
+--R block : List % -> %                   call : String -> %
+--R coerce : % -> OutputForm              comment : List String -> %
+--R comment : String -> %                 cond : (Switch,%,%) -> %
+--R cond : (Switch,%) -> %                continue : SingleInteger -> %
+--R getCode : % -> SExpression            goto : SingleInteger -> %
+--R hash : % -> SingleInteger             latex : % -> String
+--R printCode : % -> Void                 returns : Expression Integer -> %
+--R returns : Expression Float -> %       returns : () -> %
+--R save : () -> %                        stop : () -> %
+--R whileLoop : (Switch,%) -> %           ?~=? : (%,%) -> Boolean
+--R assign : (Symbol,List Polynomial Integer,Expression Complex Float) -> %
+--R assign : (Symbol,List Polynomial Integer,Expression Float) -> %
+--R assign : (Symbol,List Polynomial Integer,Expression Integer) -> %
+--R assign : (Symbol,Vector Expression Complex Float) -> %
+--R assign : (Symbol,Vector Expression Float) -> %
+--R assign : (Symbol,Vector Expression Integer) -> %
+--R assign : (Symbol,Matrix Expression Complex Float) -> %
+--R assign : (Symbol,Matrix Expression Float) -> %
+--R assign : (Symbol,Matrix Expression Integer) -> %
+--R assign : (Symbol,Expression Complex Float) -> %
+--R assign : (Symbol,Expression Float) -> %
+--R assign : (Symbol,Expression Integer) -> %
+--R assign : (Symbol,List Polynomial Integer,Expression MachineComplex) -> %
+--R assign : (Symbol,List Polynomial Integer,Expression MachineFloat) -> %
+--R assign : (Symbol,List Polynomial Integer,Expression MachineInteger) -> %
+--R assign : (Symbol,Vector Expression MachineComplex) -> %
+--R assign : (Symbol,Vector Expression MachineFloat) -> %
+--R assign : (Symbol,Vector Expression MachineInteger) -> %
+--R assign : (Symbol,Matrix Expression MachineComplex) -> %
+--R assign : (Symbol,Matrix Expression MachineFloat) -> %
+--R assign : (Symbol,Matrix Expression MachineInteger) -> %
+--R assign : (Symbol,Vector MachineComplex) -> %
+--R assign : (Symbol,Vector MachineFloat) -> %
+--R assign : (Symbol,Vector MachineInteger) -> %
+--R assign : (Symbol,Matrix MachineComplex) -> %
+--R assign : (Symbol,Matrix MachineFloat) -> %
+--R assign : (Symbol,Matrix MachineInteger) -> %
+--R assign : (Symbol,Expression MachineComplex) -> %
+--R assign : (Symbol,Expression MachineFloat) -> %
+--R assign : (Symbol,Expression MachineInteger) -> %
+--R code : % -> Union(nullBranch: null,assignmentBranch: Record(var: Symbol,arrayIndex: List Polynomial Integer,rand: Record(ints2Floats?: Boolean,expr: OutputForm)),arrayAssignmentBranch: Record(var: Symbol,rand: OutputForm,ints2Floats?: Boolean),conditionalBranch: Record(switch: Switch,thenClause: %,elseClause: %),returnBranch: Record(empty?: Boolean,value: Record(ints2Floats?: Boolean,expr: OutputForm)),blockBranch: List %,commentBranch: List String,callBranch: String,forBranch: Record(range: SegmentBinding Polynomial Integer,span: Polynomial Integer,body: %),labelBranch: SingleInteger,loopBranch: Record(switch: Switch,body: %),commonBranch: Record(name: Symbol,contents: List Symbol),printBranch: List OutputForm)
+--R common : (Symbol,List Symbol) -> %
+--R forLoop : (SegmentBinding Polynomial Integer,Polynomial Integer,%) -> %
+--R forLoop : (SegmentBinding Polynomial Integer,%) -> %
+--R operation : % -> Union(Null: null,Assignment: assignment,Conditional: conditional,Return: return,Block: block,Comment: comment,Call: call,For: for,While: while,Repeat: repeat,Goto: goto,Continue: continue,ArrayAssignment: arrayAssignment,Save: save,Stop: stop,Common: common,Print: print)
+--R printStatement : List OutputForm -> %
+--R repeatUntilLoop : (Switch,%) -> %
+--R returns : Expression Complex Float -> %
+--R returns : Expression MachineComplex -> %
+--R returns : Expression MachineInteger -> %
+--R returns : Expression MachineFloat -> %
+--R setLabelValue : SingleInteger -> SingleInteger
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FortranCode.help>>=
+====================================================================
+FortranCode examples
+====================================================================
+
+See Also:
+o )show FortranCode
+
+@
+
 \pagehead{FortranCode}{FC}
 \pagepic{ps/v103fortrancode.ps}{FC}{1.00}
 {\bf See}\\
@@ -36365,6 +42653,128 @@ FortranCode(): public == private where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FEXPR FortranExpression}
+
+<<FortranExpression.input>>=
+)set break resume
+)sys rm -f FortranExpression.output
+)spool FortranExpression.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FortranExpression
+--R FortranExpression(basicSymbols: List Symbol,subscriptedSymbols: List Symbol,R: FortranMachineTypeCategory)  is a domain constructor
+--R Abbreviation for FortranExpression is FEXPR 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for FEXPR 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (PositiveInteger,%) -> %        ?*? : (Integer,%) -> %
+--R ?*? : (%,%) -> %                      ?*? : (%,R) -> %
+--R ?*? : (R,%) -> %                      ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      -? : % -> %
+--R ?-? : (%,%) -> %                      ?<? : (%,%) -> Boolean
+--R ?<=? : (%,%) -> Boolean               ?=? : (%,%) -> Boolean
+--R ?>? : (%,%) -> Boolean                ?>=? : (%,%) -> Boolean
+--R D : (%,Symbol) -> %                   D : (%,List Symbol) -> %
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        abs : % -> %
+--R acos : % -> %                         asin : % -> %
+--R atan : % -> %                         belong? : BasicOperator -> Boolean
+--R box : List % -> %                     box : % -> %
+--R coerce : % -> Expression R            coerce : Integer -> %
+--R coerce : R -> %                       coerce : Kernel % -> %
+--R coerce : % -> OutputForm              cos : % -> %
+--R cosh : % -> %                         differentiate : (%,Symbol) -> %
+--R distribute : (%,%) -> %               distribute : % -> %
+--R elt : (BasicOperator,%,%) -> %        elt : (BasicOperator,%) -> %
+--R eval : (%,List %,List %) -> %         eval : (%,%,%) -> %
+--R eval : (%,Equation %) -> %            eval : (%,List Equation %) -> %
+--R eval : (%,Kernel %,%) -> %            exp : % -> %
+--R freeOf? : (%,Symbol) -> Boolean       freeOf? : (%,%) -> Boolean
+--R hash : % -> SingleInteger             height : % -> NonNegativeInteger
+--R is? : (%,Symbol) -> Boolean           kernel : (BasicOperator,%) -> %
+--R kernels : % -> List Kernel %          latex : % -> String
+--R log : % -> %                          log10 : % -> %
+--R map : ((% -> %),Kernel %) -> %        max : (%,%) -> %
+--R min : (%,%) -> %                      one? : % -> Boolean
+--R paren : List % -> %                   paren : % -> %
+--R pi : () -> %                          recip : % -> Union(%,"failed")
+--R retract : Symbol -> %                 retract : Expression R -> %
+--R retract : % -> R                      retract : % -> Kernel %
+--R sample : () -> %                      sin : % -> %
+--R sinh : % -> %                         sqrt : % -> %
+--R subst : (%,Equation %) -> %           tan : % -> %
+--R tanh : % -> %                         tower : % -> List Kernel %
+--R useNagFunctions : () -> Boolean       variables : % -> List Symbol
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R D : (%,Symbol,NonNegativeInteger) -> %
+--R D : (%,List Symbol,List NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R definingPolynomial : % -> % if $ has RING
+--R differentiate : (%,List Symbol) -> %
+--R differentiate : (%,Symbol,NonNegativeInteger) -> %
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> %
+--R elt : (BasicOperator,List %) -> %
+--R elt : (BasicOperator,%,%,%,%) -> %
+--R elt : (BasicOperator,%,%,%) -> %
+--R eval : (%,BasicOperator,(% -> %)) -> %
+--R eval : (%,BasicOperator,(List % -> %)) -> %
+--R eval : (%,List BasicOperator,List (List % -> %)) -> %
+--R eval : (%,List BasicOperator,List (% -> %)) -> %
+--R eval : (%,Symbol,(% -> %)) -> %
+--R eval : (%,Symbol,(List % -> %)) -> %
+--R eval : (%,List Symbol,List (List % -> %)) -> %
+--R eval : (%,List Symbol,List (% -> %)) -> %
+--R eval : (%,List Kernel %,List %) -> %
+--R even? : % -> Boolean if $ has RETRACT INT
+--R is? : (%,BasicOperator) -> Boolean
+--R kernel : (BasicOperator,List %) -> %
+--R mainKernel : % -> Union(Kernel %,"failed")
+--R minPoly : Kernel % -> SparseUnivariatePolynomial % if $ has RING
+--R odd? : % -> Boolean if $ has RETRACT INT
+--R operator : BasicOperator -> BasicOperator
+--R operators : % -> List BasicOperator
+--R retract : Polynomial Float -> % if R has RETRACT FLOAT
+--R retract : Fraction Polynomial Float -> % if R has RETRACT FLOAT
+--R retract : Expression Float -> % if R has RETRACT FLOAT
+--R retract : Polynomial Integer -> % if R has RETRACT INT
+--R retract : Fraction Polynomial Integer -> % if R has RETRACT INT
+--R retract : Expression Integer -> % if R has RETRACT INT
+--R retractIfCan : Polynomial Float -> Union(%,"failed") if R has RETRACT FLOAT
+--R retractIfCan : Fraction Polynomial Float -> Union(%,"failed") if R has RETRACT FLOAT
+--R retractIfCan : Expression Float -> Union(%,"failed") if R has RETRACT FLOAT
+--R retractIfCan : Polynomial Integer -> Union(%,"failed") if R has RETRACT INT
+--R retractIfCan : Fraction Polynomial Integer -> Union(%,"failed") if R has RETRACT INT
+--R retractIfCan : Expression Integer -> Union(%,"failed") if R has RETRACT INT
+--R retractIfCan : Symbol -> Union(%,"failed")
+--R retractIfCan : Expression R -> Union(%,"failed")
+--R retractIfCan : % -> Union(R,"failed")
+--R retractIfCan : % -> Union(Kernel %,"failed")
+--R subst : (%,List Kernel %,List %) -> %
+--R subst : (%,List Equation %) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R useNagFunctions : Boolean -> Boolean
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FortranExpression.help>>=
+====================================================================
+FortranExpression examples
+====================================================================
+
+See Also:
+o )show FortranExpression
+
+@
+
 \pagehead{FortranExpression}{FEXPR}
 \pagepic{ps/v103fortranexpression.ps}{FEXPR}{1.00}
 {\bf See}\\
@@ -36801,6 +43211,53 @@ FortranExpression(basicSymbols,subscriptedSymbols,R):
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FORTRAN FortranProgram}
+
+<<FortranProgram.input>>=
+)set break resume
+)sys rm -f FortranProgram.output
+)spool FortranProgram.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FortranProgram
+--R FortranProgram(name: Symbol,returnType: Union(fst: FortranScalarType,void: void),arguments: List Symbol,symbols: SymbolTable)  is a domain constructor
+--R Abbreviation for FortranProgram is FORTRAN 
+--R This constructor is exposed in this frame.
+--R Issue )edit NIL to see algebra source code for FORTRAN 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : Expression Float -> %        coerce : Expression Integer -> %
+--R coerce : List FortranCode -> %        coerce : FortranCode -> %
+--R coerce : % -> OutputForm              outputAsFortran : % -> Void
+--R coerce : Equation Expression Complex Float -> %
+--R coerce : Equation Expression Float -> %
+--R coerce : Equation Expression Integer -> %
+--R coerce : Expression Complex Float -> %
+--R coerce : Equation Expression MachineComplex -> %
+--R coerce : Equation Expression MachineFloat -> %
+--R coerce : Equation Expression MachineInteger -> %
+--R coerce : Expression MachineComplex -> %
+--R coerce : Expression MachineFloat -> %
+--R coerce : Expression MachineInteger -> %
+--R coerce : Record(localSymbols: SymbolTable,code: List FortranCode) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FortranProgram.help>>=
+====================================================================
+FortranProgram examples
+====================================================================
+
+See Also:
+o )show FortranProgram
+
+@
+
 \pagehead{FortranProgram}{FORTRAN}
 \pagepic{ps/v103fortranprogram.ps}{FORTRAN}{1.00}
 {\bf See}\\
@@ -37052,6 +43509,46 @@ FortranProgram(name,returnType,arguments,symbols): Exports == Implement where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FST FortranScalarType}
+
+<<FortranScalarType.input>>=
+)set break resume
+)sys rm -f FortranScalarType.output
+)spool FortranScalarType.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FortranScalarType
+--R FortranScalarType  is a domain constructor
+--R Abbreviation for FortranScalarType is FST 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for FST 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                character? : % -> Boolean
+--R coerce : % -> SExpression             coerce : % -> Symbol
+--R coerce : Symbol -> %                  coerce : String -> %
+--R coerce : % -> OutputForm              complex? : % -> Boolean
+--R double? : % -> Boolean                doubleComplex? : % -> Boolean
+--R integer? : % -> Boolean               logical? : % -> Boolean
+--R real? : % -> Boolean                 
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FortranScalarType.help>>=
+====================================================================
+FortranScalarType examples
+====================================================================
+
+See Also:
+o )show FortranScalarType
+
+@
+
 \pagehead{FortranScalarType}{FST}
 \pagepic{ps/v103fortranscalartype.ps}{FST}{1.00}
 {\bf See}\\
@@ -37235,6 +43732,50 @@ FortranScalarType() : exports == implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FTEM FortranTemplate}
+
+<<FortranTemplate.input>>=
+)set break resume
+)sys rm -f FortranTemplate.output
+)spool FortranTemplate.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FortranTemplate
+--R FortranTemplate  is a domain constructor
+--R Abbreviation for FortranTemplate is FTEM 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for FTEM 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                close! : % -> %
+--R coerce : % -> OutputForm              flush : % -> Void
+--R fortranCarriageReturn : () -> Void    fortranLiteral : String -> Void
+--R hash : % -> SingleInteger             iomode : % -> String
+--R latex : % -> String                   name : % -> FileName
+--R open : (FileName,String) -> %         open : FileName -> %
+--R read! : % -> String                   reopen! : (%,String) -> %
+--R write! : (%,String) -> String         ?~=? : (%,%) -> Boolean
+--R fortranLiteralLine : String -> Void
+--R processTemplate : FileName -> FileName
+--R processTemplate : (FileName,FileName) -> FileName
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FortranTemplate.help>>=
+====================================================================
+FortranTemplate examples
+====================================================================
+
+See Also:
+o )show FortranTemplate
+
+@
+
 \pagehead{FortranTemplate}{FTEM}
 \pagepic{ps/v103fortrantemplate.ps}{FTEM}{1.00}
 {\bf See}\\
@@ -37367,6 +43908,50 @@ FortranTemplate() : specification == implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FT FortranType}
+
+<<FortranType.input>>=
+)set break resume
+)sys rm -f FortranType.output
+)spool FortranType.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FortranType
+--R FortranType  is a domain constructor
+--R Abbreviation for FortranType is FT 
+--R This constructor is exposed in this frame.
+--R Issue )edit NIL to see algebra source code for FT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : FortranScalarType -> %
+--R coerce : % -> OutputForm              external? : % -> Boolean
+--R fortranCharacter : () -> %            fortranComplex : () -> %
+--R fortranDouble : () -> %               fortranDoubleComplex : () -> %
+--R fortranInteger : () -> %              fortranLogical : () -> %
+--R fortranReal : () -> %                 hash : % -> SingleInteger
+--R latex : % -> String                   ?~=? : (%,%) -> Boolean
+--R construct : (Union(fst: FortranScalarType,void: void),List Polynomial Integer,Boolean) -> %
+--R construct : (Union(fst: FortranScalarType,void: void),List Symbol,Boolean) -> %
+--R dimensionsOf : % -> List Polynomial Integer
+--R scalarTypeOf : % -> Union(fst: FortranScalarType,void: void)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FortranType.help>>=
+====================================================================
+FortranType examples
+====================================================================
+
+See Also:
+o )show FortranType
+
+@
+
 \pagehead{FortranType}{FT}
 \pagepic{ps/v103fortrantype.ps}{FT}{1.00}
 {\bf See}\\
@@ -37512,6 +44097,47 @@ FortranType() : exports == implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FCOMP FourierComponent}
+
+<<FourierComponent.input>>=
+)set break resume
+)sys rm -f FourierComponent.output
+)spool FourierComponent.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FourierComponent
+--R FourierComponent E: OrderedSet  is a domain constructor
+--R Abbreviation for FourierComponent is FCOMP 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for FCOMP 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               argument : % -> E
+--R coerce : % -> OutputForm              cos : E -> %
+--R hash : % -> SingleInteger             latex : % -> String
+--R max : (%,%) -> %                      min : (%,%) -> %
+--R sin : E -> %                          sin? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FourierComponent.help>>=
+====================================================================
+FourierComponent examples
+====================================================================
+
+See Also:
+o )show FourierComponent
+
+@
+
 \pagehead{FourierComponent}{FCOMP}
 \pagepic{ps/v103fouriercomponent.ps}{FCOMP}{1.00}
 {\bf See}\\
@@ -37588,6 +44214,57 @@ FourierComponent(E:OrderedSet):
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FSERIES FourierSeries}
+
+<<FourierSeries.input>>=
+)set break resume
+)sys rm -f FourierSeries.output
+)spool FourierSeries.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FourierSeries
+--R FourierSeries(R: Join(CommutativeRing,Algebra Fraction Integer),E: Join(OrderedSet,AbelianGroup))  is a domain constructor
+--R Abbreviation for FourierSeries is FSERIES 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for FSERIES 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : FourierComponent E -> %
+--R coerce : R -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   makeCos : (E,R) -> %
+--R makeSin : (E,R) -> %                  one? : % -> Boolean
+--R recip : % -> Union(%,"failed")        sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FourierSeries.help>>=
+====================================================================
+FourierSeries examples
+====================================================================
+
+See Also:
+o )show FourierSeries
+
+@
+
 \pagehead{FourierSeries}{FSERIES}
 \pagepic{ps/v103fourierseries.ps}{FSERIES}{1.00}
 {\bf See}\\
@@ -37702,6 +44379,7 @@ FourierSeries(R:Join(CommutativeRing,Algebra(Fraction Integer)),
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FRAC Fraction}
+
 <<Fraction.input>>=
 )set break resume
 )sys rm -f Fraction.output
@@ -38384,6 +45062,54 @@ Fraction(S: IntegralDomain): QuotientFieldCategory S with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FRIDEAL FractionalIdeal}
+
+<<FractionalIdeal.input>>=
+)set break resume
+)sys rm -f FractionalIdeal.output
+)spool FractionalIdeal.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FractionalIdeal
+--R FractionalIdeal(R: EuclideanDomain,F: QuotientFieldCategory R,UP: UnivariatePolynomialCategory F,A: Join(FramedAlgebra(F,UP),RetractableTo F))  is a domain constructor
+--R Abbreviation for FractionalIdeal is FRIDEAL 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for FRIDEAL 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?/? : (%,%) -> %
+--R ?=? : (%,%) -> Boolean                1 : () -> %
+--R ?^? : (%,Integer) -> %                ?^? : (%,PositiveInteger) -> %
+--R basis : % -> Vector A                 coerce : % -> OutputForm
+--R commutator : (%,%) -> %               conjugate : (%,%) -> %
+--R denom : % -> R                        hash : % -> SingleInteger
+--R ideal : Vector A -> %                 inv : % -> %
+--R latex : % -> String                   minimize : % -> %
+--R norm : % -> F                         numer : % -> Vector A
+--R one? : % -> Boolean                   recip : % -> Union(%,"failed")
+--R sample : () -> %                      ?~=? : (%,%) -> Boolean
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R randomLC : (NonNegativeInteger,Vector A) -> A
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FractionalIdeal.help>>=
+====================================================================
+FractionalIdeal examples
+====================================================================
+
+See Also:
+o )show FractionalIdeal
+
+@
+
 \pagehead{FractionalIdeal}{FRIDEAL}
 \pagepic{ps/v103fractionalideal.ps}{FRIDEAL}{1.00}
 {\bf See}\\
@@ -38598,6 +45324,50 @@ FractionalIdeal(R, F, UP, A): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FRMOD FramedModule}
+
+<<FramedModule.input>>=
+)set break resume
+)sys rm -f FramedModule.output
+)spool FramedModule.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FramedModule
+--R FramedModule(R: EuclideanDomain,F: QuotientFieldCategory R,UP: UnivariatePolynomialCategory F,A: FramedAlgebra(F,UP),ibasis: Vector A)  is a domain constructor
+--R Abbreviation for FramedModule is FRMOD 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for FRMOD 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?**? : (%,PositiveInteger) -> %
+--R ?=? : (%,%) -> Boolean                1 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        basis : % -> Vector A
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   module : Vector A -> %
+--R norm : % -> F                         one? : % -> Boolean
+--R recip : % -> Union(%,"failed")        sample : () -> %
+--R ?~=? : (%,%) -> Boolean              
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R module : FractionalIdeal(R,F,UP,A) -> % if A has RETRACT F
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FramedModule.help>>=
+====================================================================
+FramedModule examples
+====================================================================
+
+See Also:
+o )show FramedModule
+
+@
+
 \pagehead{FramedModule}{FRMOD}
 \pagepic{ps/v103framedmodule.ps}{FRMOD}{1.00}
 {\bf See}\\
@@ -38739,6 +45509,63 @@ FramedModule(R, F, UP, A, ibasis): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FAGROUP FreeAbelianGroup}
+
+<<FreeAbelianGroup.input>>=
+)set break resume
+)sys rm -f FreeAbelianGroup.output
+)spool FreeAbelianGroup.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FreeAbelianGroup
+--R FreeAbelianGroup S: SetCategory  is a domain constructor
+--R Abbreviation for FreeAbelianGroup is FAGROUP 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for FAGROUP 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Integer,S) -> %                ?*? : (%,Integer) -> %
+--R ?*? : (Integer,%) -> %                ?*? : (PositiveInteger,%) -> %
+--R ?+? : (S,%) -> %                      ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?=? : (%,%) -> Boolean                0 : () -> %
+--R coefficient : (S,%) -> Integer        coerce : S -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   mapGen : ((S -> S),%) -> %
+--R nthCoef : (%,Integer) -> Integer      nthFactor : (%,Integer) -> S
+--R retract : % -> S                      sample : () -> %
+--R size : % -> NonNegativeInteger        zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?<? : (%,%) -> Boolean if S has ORDSET
+--R ?<=? : (%,%) -> Boolean if S has ORDSET
+--R ?>? : (%,%) -> Boolean if S has ORDSET
+--R ?>=? : (%,%) -> Boolean if S has ORDSET
+--R highCommonTerms : (%,%) -> % if Integer has OAMON
+--R mapCoef : ((Integer -> Integer),%) -> %
+--R max : (%,%) -> % if S has ORDSET
+--R min : (%,%) -> % if S has ORDSET
+--R retractIfCan : % -> Union(S,"failed")
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R terms : % -> List Record(gen: S,exp: Integer)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FreeAbelianGroup.help>>=
+====================================================================
+FreeAbelianGroup examples
+====================================================================
+
+See Also:
+o )show FreeAbelianGroup
+
+@
+
 \pagehead{FreeAbelianGroup}{FAGROUP}
 \pagepic{ps/v103freeabeliangroup.ps}{FAGROUP}{1.00}
 {\bf See}\\
@@ -38835,6 +45662,56 @@ FreeAbelianGroup(S:SetCategory): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FAMONOID FreeAbelianMonoid}
+
+<<FreeAbelianMonoid.input>>=
+)set break resume
+)sys rm -f FreeAbelianMonoid.output
+)spool FreeAbelianMonoid.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FreeAbelianMonoid
+--R FreeAbelianMonoid S: SetCategory  is a domain constructor
+--R Abbreviation for FreeAbelianMonoid is FAMONOID 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for FAMONOID 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (NonNegativeInteger,S) -> %     ?*? : (PositiveInteger,%) -> %
+--R ?+? : (S,%) -> %                      ?+? : (%,%) -> %
+--R ?=? : (%,%) -> Boolean                0 : () -> %
+--R coerce : S -> %                       coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R mapGen : ((S -> S),%) -> %            nthFactor : (%,Integer) -> S
+--R retract : % -> S                      sample : () -> %
+--R size : % -> NonNegativeInteger        zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R coefficient : (S,%) -> NonNegativeInteger
+--R highCommonTerms : (%,%) -> % if NonNegativeInteger has OAMON
+--R mapCoef : ((NonNegativeInteger -> NonNegativeInteger),%) -> %
+--R nthCoef : (%,Integer) -> NonNegativeInteger
+--R retractIfCan : % -> Union(S,"failed")
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R terms : % -> List Record(gen: S,exp: NonNegativeInteger)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FreeAbelianMonoid.help>>=
+====================================================================
+FreeAbelianMonoid examples
+====================================================================
+
+See Also:
+o )show FreeAbelianMonoid
+
+@
+
 \pagehead{FreeAbelianMonoid}{FAMONOID}
 \pagepic{ps/v103freeabelianmonoid.ps}{FAMONOID}{1.00}
 {\bf See}\\
@@ -38893,6 +45770,58 @@ FreeAbelianMonoid(S: SetCategory):
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FGROUP FreeGroup}
+
+<<FreeGroup.input>>=
+)set break resume
+)sys rm -f FreeGroup.output
+)spool FreeGroup.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FreeGroup
+--R FreeGroup S: SetCategory  is a domain constructor
+--R Abbreviation for FreeGroup is FGROUP 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for FGROUP 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,S) -> %                      ?*? : (S,%) -> %
+--R ?*? : (%,%) -> %                      ?**? : (S,Integer) -> %
+--R ?**? : (%,Integer) -> %               ?**? : (%,PositiveInteger) -> %
+--R ?/? : (%,%) -> %                      ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           ?^? : (%,Integer) -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : S -> %
+--R coerce : % -> OutputForm              commutator : (%,%) -> %
+--R conjugate : (%,%) -> %                hash : % -> SingleInteger
+--R inv : % -> %                          latex : % -> String
+--R mapGen : ((S -> S),%) -> %            nthExpon : (%,Integer) -> Integer
+--R nthFactor : (%,Integer) -> S          one? : % -> Boolean
+--R recip : % -> Union(%,"failed")        retract : % -> S
+--R sample : () -> %                      size : % -> NonNegativeInteger
+--R ?~=? : (%,%) -> Boolean              
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R factors : % -> List Record(gen: S,exp: Integer)
+--R mapExpon : ((Integer -> Integer),%) -> %
+--R retractIfCan : % -> Union(S,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FreeGroup.help>>=
+====================================================================
+FreeGroup examples
+====================================================================
+
+See Also:
+o )show FreeGroup
+
+@
+
 \pagehead{FreeGroup}{FGROUP}
 \pagepic{ps/v103freegroup.ps}{FGROUP}{1.00}
 {\bf See}\\
@@ -39004,6 +45933,51 @@ FreeGroup(S: SetCategory): Join(Group, RetractableTo S) with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FM FreeModule}
+
+<<FreeModule.input>>=
+)set break resume
+)sys rm -f FreeModule.output
+)spool FreeModule.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FreeModule
+--R FreeModule(R: Ring,S: OrderedSet)  is a domain constructor
+--R Abbreviation for FreeModule is FM 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for FM 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,R) -> %                      ?*? : (R,%) -> %
+--R ?*? : (Integer,%) -> %                ?*? : (PositiveInteger,%) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 0 : () -> %                           coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R leadingCoefficient : % -> R           leadingSupport : % -> S
+--R map : ((R -> R),%) -> %               monomial : (R,S) -> %
+--R reductum : % -> %                     sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FreeModule.help>>=
+====================================================================
+FreeModule examples
+====================================================================
+
+See Also:
+o )show FreeModule
+
+@
+
 \pagehead{FreeModule}{FM}
 \pagepic{ps/v103freemodule.ps}{FM}{1.00}
 {\bf See}\\
@@ -39110,6 +46084,59 @@ FreeModule(R:Ring,S:OrderedSet):
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FM1 FreeModule1}
+
+<<FreeModule1.input>>=
+)set break resume
+)sys rm -f FreeModule1.output
+)spool FreeModule1.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FreeModule1
+--R FreeModule1(R: Ring,S: OrderedSet)  is a domain constructor
+--R Abbreviation for FreeModule1 is FM1 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for FM1 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (S,R) -> %                      ?*? : (R,S) -> %
+--R ?*? : (%,R) -> %                      ?*? : (R,%) -> %
+--R ?*? : (Integer,%) -> %                ?*? : (PositiveInteger,%) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 0 : () -> %                           coefficient : (%,S) -> R
+--R coefficients : % -> List R            coerce : S -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   leadingCoefficient : % -> R
+--R leadingMonomial : % -> S              map : ((R -> R),%) -> %
+--R monom : (S,R) -> %                    monomial? : % -> Boolean
+--R monomials : % -> List %               reductum : % -> %
+--R retract : % -> S                      sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R leadingTerm : % -> Record(k: S,c: R)
+--R listOfTerms : % -> List Record(k: S,c: R)
+--R numberOfMonomials : % -> NonNegativeInteger
+--R retractIfCan : % -> Union(S,"failed")
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FreeModule1.help>>=
+====================================================================
+FreeModule1 examples
+====================================================================
+
+See Also:
+o )show FreeModule1
+
+@
+
 \pagehead{FreeModule1}{FM1}
 \pagepic{ps/v103freemodule1.ps}{FM1}{1.00}
 
@@ -39251,6 +46278,67 @@ FreeModule1(R:Ring,S:OrderedSet): FMcat == FMdef where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FMONOID FreeMonoid}
+
+<<FreeMonoid.input>>=
+)set break resume
+)sys rm -f FreeMonoid.output
+)spool FreeMonoid.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FreeMonoid
+--R FreeMonoid S: SetCategory  is a domain constructor
+--R Abbreviation for FreeMonoid is FMONOID 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for FMONOID 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,S) -> %                      ?*? : (S,%) -> %
+--R ?*? : (%,%) -> %                      ?**? : (%,PositiveInteger) -> %
+--R ?=? : (%,%) -> Boolean                1 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : S -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R hclf : (%,%) -> %                     hcrf : (%,%) -> %
+--R latex : % -> String                   mapGen : ((S -> S),%) -> %
+--R nthFactor : (%,Integer) -> S          one? : % -> Boolean
+--R recip : % -> Union(%,"failed")        retract : % -> S
+--R sample : () -> %                      size : % -> NonNegativeInteger
+--R ?~=? : (%,%) -> Boolean              
+--R ?**? : (S,NonNegativeInteger) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?<? : (%,%) -> Boolean if S has ORDSET
+--R ?<=? : (%,%) -> Boolean if S has ORDSET
+--R ?>? : (%,%) -> Boolean if S has ORDSET
+--R ?>=? : (%,%) -> Boolean if S has ORDSET
+--R ?^? : (%,NonNegativeInteger) -> %
+--R divide : (%,%) -> Union(Record(lm: %,rm: %),"failed")
+--R factors : % -> List Record(gen: S,exp: NonNegativeInteger)
+--R lquo : (%,%) -> Union(%,"failed")
+--R mapExpon : ((NonNegativeInteger -> NonNegativeInteger),%) -> %
+--R max : (%,%) -> % if S has ORDSET
+--R min : (%,%) -> % if S has ORDSET
+--R nthExpon : (%,Integer) -> NonNegativeInteger
+--R overlap : (%,%) -> Record(lm: %,mm: %,rm: %)
+--R retractIfCan : % -> Union(S,"failed")
+--R rquo : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FreeMonoid.help>>=
+====================================================================
+FreeMonoid examples
+====================================================================
+
+See Also:
+o )show FreeMonoid
+
+@
+
 \pagehead{FreeMonoid}{FMONOID}
 \pagepic{ps/v103freemonoid.ps}{FMONOID}{1.00}
 {\bf See}\\
@@ -39489,6 +46577,57 @@ FreeMonoid(S: SetCategory): FMcategory == FMdefinition where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FNLA FreeNilpotentLie}
+
+<<FreeNilpotentLie.input>>=
+)set break resume
+)sys rm -f FreeNilpotentLie.output
+)spool FreeNilpotentLie.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FreeNilpotentLie
+--R FreeNilpotentLie(n: NonNegativeInteger,class: NonNegativeInteger,R: CommutativeRing)  is a domain constructor
+--R Abbreviation for FreeNilpotentLie is FNLA 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for FNLA 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 0 : () -> %                           antiCommutator : (%,%) -> %
+--R associator : (%,%,%) -> %             coerce : % -> OutputForm
+--R commutator : (%,%) -> %               deepExpand : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R sample : () -> %                      shallowExpand : % -> OutputForm
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R dimension : () -> NonNegativeInteger
+--R generator : NonNegativeInteger -> %
+--R leftPower : (%,PositiveInteger) -> %
+--R plenaryPower : (%,PositiveInteger) -> %
+--R rightPower : (%,PositiveInteger) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FreeNilpotentLie.help>>=
+====================================================================
+FreeNilpotentLie examples
+====================================================================
+
+See Also:
+o )show FreeNilpotentLie
+
+@
+
 \pagehead{FreeNilpotentLie}{FNLA}
 \pagepic{ps/v103freenilpotentlie.ps}{FNLA}{1.00}
 {\bf See}\\
@@ -39649,6 +46788,7 @@ FreeNilpotentLie(n:NNI,class:NNI,R: CommutativeRing): Export == Implement where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FPARFRAC FullPartialFractionExpansion}
+
 <<FullPartialFractionExpansion.input>>=
 )set break resume
 )sys rm -f FullPartialFractionExpansion.output
@@ -40330,6 +47470,42 @@ FullPartialFractionExpansion(F, UP): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FUNCTION FunctionCalled}
+
+<<FunctionCalled.input>>=
+)set break resume
+)sys rm -f FunctionCalled.output
+)spool FunctionCalled.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show FunctionCalled
+--R FunctionCalled f: Symbol  is a domain constructor
+--R Abbreviation for FunctionCalled is FUNCTION 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for FUNCTION 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R name : % -> Symbol                    ?~=? : (%,%) -> Boolean
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<FunctionCalled.help>>=
+====================================================================
+FunctionCalled examples
+====================================================================
+
+See Also:
+o )show FunctionCalled
+
+@
+
 \pagehead{FunctionCalled}{FUNCTION}
 \pagepic{ps/v103functioncalled.ps}{FUNCTION}{1.00}
 
@@ -40369,6 +47545,7 @@ FunctionCalled(f:Symbol): SetCategory with
 \chapter{Chapter G}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain GDMP GeneralDistributedMultivariatePolynomial}
+
 <<GeneralDistributedMultivariatePolynomial.input>>=
 )set break resume
 )sys rm -f GeneralDistributedMultivariatePolynomial.output
@@ -40931,6 +48108,55 @@ GeneralDistributedMultivariatePolynomial(vl,R,E): public == private where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain GMODPOL GeneralModulePolynomial}
+
+<<GeneralModulePolynomial.input>>=
+)set break resume
+)sys rm -f GeneralModulePolynomial.output
+)spool GeneralModulePolynomial.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GeneralModulePolynomial
+--R GeneralModulePolynomial(vl: List Symbol,R: CommutativeRing,IS: OrderedSet,E: DirectProductCategory(# vl,NonNegativeInteger),ff: ((Record(index: IS,exponent: E),Record(index: IS,exponent: E)) -> Boolean),P: PolynomialCategory(R,E,OrderedVariableList vl))  is a domain constructor
+--R Abbreviation for GeneralModulePolynomial is GMODPOL 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for GMODPOL 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
+--R ?*? : (%,P) -> %                      ?*? : (P,%) -> %
+--R ?*? : (Integer,%) -> %                ?*? : (PositiveInteger,%) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 0 : () -> %                           build : (R,IS,E) -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   leadingCoefficient : % -> R
+--R leadingExponent : % -> E              leadingIndex : % -> IS
+--R multMonom : (R,E,%) -> %              reductum : % -> %
+--R sample : () -> %                      unitVector : IS -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R leadingMonomial : % -> ModuleMonomial(IS,E,ff)
+--R monomial : (R,ModuleMonomial(IS,E,ff)) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<GeneralModulePolynomial.help>>=
+====================================================================
+GeneralModulePolynomial examples
+====================================================================
+
+See Also:
+o )show GeneralModulePolynomial
+
+@
+
 \pagehead{GeneralModulePolynomial}{GMODPOL}
 \pagepic{ps/v103generalmodulepolynomial.ps}{GMODPOL}{1.00}
 {\bf See}\\
@@ -41044,6 +48270,129 @@ GeneralModulePolynomial(vl, R, IS, E, ff, P): public  ==  private where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain GCNAALG GenericNonAssociativeAlgebra}
+
+<<GenericNonAssociativeAlgebra.input>>=
+)set break resume
+)sys rm -f GenericNonAssociativeAlgebra.output
+)spool GenericNonAssociativeAlgebra.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GenericNonAssociativeAlgebra
+--R GenericNonAssociativeAlgebra(R: CommutativeRing,n: PositiveInteger,ls: List Symbol,gamma: Vector Matrix R)  is a domain constructor
+--R Abbreviation for GenericNonAssociativeAlgebra is GCNAALG 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for GCNAALG 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 0 : () -> %                           alternative? : () -> Boolean
+--R antiAssociative? : () -> Boolean      antiCommutative? : () -> Boolean
+--R antiCommutator : (%,%) -> %           associative? : () -> Boolean
+--R associator : (%,%,%) -> %             basis : () -> Vector %
+--R coerce : % -> OutputForm              commutative? : () -> Boolean
+--R commutator : (%,%) -> %               flexible? : () -> Boolean
+--R generic : (Symbol,Vector %) -> %      generic : Vector % -> %
+--R generic : Vector Symbol -> %          generic : Symbol -> %
+--R generic : () -> %                     hash : % -> SingleInteger
+--R jacobiIdentity? : () -> Boolean       jordanAdmissible? : () -> Boolean
+--R jordanAlgebra? : () -> Boolean        latex : % -> String
+--R leftAlternative? : () -> Boolean      lieAdmissible? : () -> Boolean
+--R lieAlgebra? : () -> Boolean           powerAssociative? : () -> Boolean
+--R rank : () -> PositiveInteger          rightAlternative? : () -> Boolean
+--R sample : () -> %                      someBasis : () -> Vector %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (SquareMatrix(n,Fraction Polynomial R),%) -> %
+--R ?*? : (Fraction Polynomial R,%) -> %
+--R ?*? : (%,Fraction Polynomial R) -> %
+--R ?*? : (NonNegativeInteger,%) -> %
+--R apply : (Matrix Fraction Polynomial R,%) -> %
+--R associatorDependence : () -> List Vector Fraction Polynomial R if Fraction Polynomial R has INTDOM
+--R coerce : Vector Fraction Polynomial R -> %
+--R conditionsForIdempotents : () -> List Polynomial R if R has INTDOM
+--R conditionsForIdempotents : Vector % -> List Polynomial R if R has INTDOM
+--R conditionsForIdempotents : () -> List Polynomial Fraction Polynomial R
+--R conditionsForIdempotents : Vector % -> List Polynomial Fraction Polynomial R
+--R convert : Vector Fraction Polynomial R -> %
+--R convert : % -> Vector Fraction Polynomial R
+--R coordinates : Vector % -> Matrix Fraction Polynomial R
+--R coordinates : % -> Vector Fraction Polynomial R
+--R coordinates : (Vector %,Vector %) -> Matrix Fraction Polynomial R
+--R coordinates : (%,Vector %) -> Vector Fraction Polynomial R
+--R ?.? : (%,Integer) -> Fraction Polynomial R
+--R generic : (Vector Symbol,Vector %) -> %
+--R genericLeftDiscriminant : () -> Fraction Polynomial R if R has INTDOM
+--R genericLeftMinimalPolynomial : % -> SparseUnivariatePolynomial Fraction Polynomial R if R has INTDOM
+--R genericLeftNorm : % -> Fraction Polynomial R if R has INTDOM
+--R genericLeftTrace : % -> Fraction Polynomial R if R has INTDOM
+--R genericLeftTraceForm : (%,%) -> Fraction Polynomial R if R has INTDOM
+--R genericRightDiscriminant : () -> Fraction Polynomial R if R has INTDOM
+--R genericRightMinimalPolynomial : % -> SparseUnivariatePolynomial Fraction Polynomial R if R has INTDOM
+--R genericRightNorm : % -> Fraction Polynomial R if R has INTDOM
+--R genericRightTrace : % -> Fraction Polynomial R if R has INTDOM
+--R genericRightTraceForm : (%,%) -> Fraction Polynomial R if R has INTDOM
+--R leftCharacteristicPolynomial : % -> SparseUnivariatePolynomial Fraction Polynomial R
+--R leftDiscriminant : () -> Fraction Polynomial R
+--R leftDiscriminant : Vector % -> Fraction Polynomial R
+--R leftMinimalPolynomial : % -> SparseUnivariatePolynomial Fraction Polynomial R if Fraction Polynomial R has INTDOM
+--R leftNorm : % -> Fraction Polynomial R
+--R leftPower : (%,PositiveInteger) -> %
+--R leftRankPolynomial : () -> SparseUnivariatePolynomial Fraction Polynomial R if R has INTDOM
+--R leftRankPolynomial : () -> SparseUnivariatePolynomial Polynomial Fraction Polynomial R if Fraction Polynomial R has FIELD
+--R leftRecip : % -> Union(%,"failed") if Fraction Polynomial R has INTDOM
+--R leftRegularRepresentation : % -> Matrix Fraction Polynomial R
+--R leftRegularRepresentation : (%,Vector %) -> Matrix Fraction Polynomial R
+--R leftTrace : % -> Fraction Polynomial R
+--R leftTraceMatrix : () -> Matrix Fraction Polynomial R
+--R leftTraceMatrix : Vector % -> Matrix Fraction Polynomial R
+--R leftUnit : () -> Union(%,"failed") if Fraction Polynomial R has INTDOM
+--R leftUnits : () -> Union(Record(particular: %,basis: List %),"failed")
+--R noncommutativeJordanAlgebra? : () -> Boolean
+--R plenaryPower : (%,PositiveInteger) -> %
+--R recip : % -> Union(%,"failed") if Fraction Polynomial R has INTDOM
+--R represents : Vector Fraction Polynomial R -> %
+--R represents : (Vector Fraction Polynomial R,Vector %) -> %
+--R rightCharacteristicPolynomial : % -> SparseUnivariatePolynomial Fraction Polynomial R
+--R rightDiscriminant : () -> Fraction Polynomial R
+--R rightDiscriminant : Vector % -> Fraction Polynomial R
+--R rightMinimalPolynomial : % -> SparseUnivariatePolynomial Fraction Polynomial R if Fraction Polynomial R has INTDOM
+--R rightNorm : % -> Fraction Polynomial R
+--R rightPower : (%,PositiveInteger) -> %
+--R rightRankPolynomial : () -> SparseUnivariatePolynomial Fraction Polynomial R if R has INTDOM
+--R rightRankPolynomial : () -> SparseUnivariatePolynomial Polynomial Fraction Polynomial R if Fraction Polynomial R has FIELD
+--R rightRecip : % -> Union(%,"failed") if Fraction Polynomial R has INTDOM
+--R rightRegularRepresentation : % -> Matrix Fraction Polynomial R
+--R rightRegularRepresentation : (%,Vector %) -> Matrix Fraction Polynomial R
+--R rightTrace : % -> Fraction Polynomial R
+--R rightTraceMatrix : () -> Matrix Fraction Polynomial R
+--R rightTraceMatrix : Vector % -> Matrix Fraction Polynomial R
+--R rightUnit : () -> Union(%,"failed") if Fraction Polynomial R has INTDOM
+--R rightUnits : () -> Union(Record(particular: %,basis: List %),"failed")
+--R structuralConstants : () -> Vector Matrix Fraction Polynomial R
+--R structuralConstants : Vector % -> Vector Matrix Fraction Polynomial R
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unit : () -> Union(%,"failed") if Fraction Polynomial R has INTDOM
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<GenericNonAssociativeAlgebra.help>>=
+====================================================================
+GenericNonAssociativeAlgebra examples
+====================================================================
+
+See Also:
+o )show GenericNonAssociativeAlgebra
+
+@
+
 \pagehead{GenericNonAssociativeAlgebra}{GCNAALG}
 \pagepic{ps/v103genericnonassociativealgebra.ps}{GCNAALG}{1.00}
 
@@ -41448,6 +48797,87 @@ GenericNonAssociativeAlgebra(R : CommutativeRing, n : PositiveInteger,_
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain GPOLSET GeneralPolynomialSet}
+
+<<GeneralPolynomialSet.input>>=
+)set break resume
+)sys rm -f GeneralPolynomialSet.output
+)spool GeneralPolynomialSet.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GeneralPolynomialSet
+--R GeneralPolynomialSet(R: Ring,E: OrderedAbelianMonoidSup,VarSet: OrderedSet,P: RecursivePolynomialCategory(R,E,VarSet))  is a domain constructor
+--R Abbreviation for GeneralPolynomialSet is GPOLSET 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for GPOLSET 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> List P
+--R coerce : % -> OutputForm              collect : (%,VarSet) -> %
+--R collectUnder : (%,VarSet) -> %        collectUpper : (%,VarSet) -> %
+--R construct : List P -> %               convert : List P -> %
+--R copy : % -> %                         empty : () -> %
+--R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
+--R hash : % -> SingleInteger             latex : % -> String
+--R mainVariables : % -> List VarSet      map : ((P -> P),%) -> %
+--R mvar : % -> VarSet                    retract : List P -> %
+--R sample : () -> %                      trivialIdeal? : % -> Boolean
+--R variables : % -> List VarSet          ?~=? : (%,%) -> Boolean
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R any? : ((P -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R convert : % -> InputForm if P has KONVERT INFORM
+--R count : ((P -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R count : (P,%) -> NonNegativeInteger if $ has finiteAggregate and P has SETCAT
+--R eval : (%,List Equation P) -> % if P has EVALAB P and P has SETCAT
+--R eval : (%,Equation P) -> % if P has EVALAB P and P has SETCAT
+--R eval : (%,P,P) -> % if P has EVALAB P and P has SETCAT
+--R eval : (%,List P,List P) -> % if P has EVALAB P and P has SETCAT
+--R every? : ((P -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R find : ((P -> Boolean),%) -> Union(P,"failed")
+--R headRemainder : (P,%) -> Record(num: P,den: R) if R has INTDOM
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R mainVariable? : (VarSet,%) -> Boolean
+--R map! : ((P -> P),%) -> % if $ has shallowlyMutable
+--R member? : (P,%) -> Boolean if $ has finiteAggregate and P has SETCAT
+--R members : % -> List P if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List P if $ has finiteAggregate
+--R reduce : (((P,P) -> P),%) -> P if $ has finiteAggregate
+--R reduce : (((P,P) -> P),%,P) -> P if $ has finiteAggregate
+--R reduce : (((P,P) -> P),%,P,P) -> P if $ has finiteAggregate and P has SETCAT
+--R remainder : (P,%) -> Record(rnum: R,polnum: P,den: R) if R has INTDOM
+--R remove : ((P -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (P,%) -> % if $ has finiteAggregate and P has SETCAT
+--R removeDuplicates : % -> % if $ has finiteAggregate and P has SETCAT
+--R retractIfCan : List P -> Union(%,"failed")
+--R rewriteIdealWithHeadRemainder : (List P,%) -> List P if R has INTDOM
+--R rewriteIdealWithRemainder : (List P,%) -> List P if R has INTDOM
+--R roughBase? : % -> Boolean if R has INTDOM
+--R roughEqualIdeals? : (%,%) -> Boolean if R has INTDOM
+--R roughSubIdeal? : (%,%) -> Boolean if R has INTDOM
+--R roughUnitIdeal? : % -> Boolean if R has INTDOM
+--R select : ((P -> Boolean),%) -> % if $ has finiteAggregate
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R sort : (%,VarSet) -> Record(under: %,floor: %,upper: %)
+--R triangular? : % -> Boolean if R has INTDOM
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<GeneralPolynomialSet.help>>=
+====================================================================
+GeneralPolynomialSet examples
+====================================================================
+
+See Also:
+o )show GeneralPolynomialSet
+
+@
+
 \pagehead{GeneralPolynomialSet}{GPOLSET}
 \pagepic{ps/v103generalpolynomialset.ps}{GPOLSET}{1.00}
 
@@ -41594,6 +49024,7 @@ GeneralPolynomialSet(R,E,VarSet,P) : Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain GSTBL GeneralSparseTable}
+
 <<GeneralSparseTable.input>>=
 )set break resume
 )sys rm -f GeneralSparseTable.output
@@ -41792,6 +49223,110 @@ GeneralSparseTable(Key, Entry, Tbl, dent): TableAggregate(Key, Entry) == Impl
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain GTSET GeneralTriangularSet}
+
+<<GeneralTriangularSet.input>>=
+)set break resume
+)sys rm -f GeneralTriangularSet.output
+)spool GeneralTriangularSet.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GeneralTriangularSet
+--R GeneralTriangularSet(R: IntegralDomain,E: OrderedAbelianMonoidSup,V: OrderedSet,P: RecursivePolynomialCategory(R,E,V))  is a domain constructor
+--R Abbreviation for GeneralTriangularSet is GTSET 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for GTSET 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                algebraic? : (V,%) -> Boolean
+--R algebraicVariables : % -> List V      coerce : % -> List P
+--R coerce : % -> OutputForm              collect : (%,V) -> %
+--R collectQuasiMonic : % -> %            collectUnder : (%,V) -> %
+--R collectUpper : (%,V) -> %             construct : List P -> %
+--R copy : % -> %                         degree : % -> NonNegativeInteger
+--R empty : () -> %                       empty? : % -> Boolean
+--R eq? : (%,%) -> Boolean                extend : (%,P) -> %
+--R first : % -> Union(P,"failed")        hash : % -> SingleInteger
+--R headReduce : (P,%) -> P               headReduced? : % -> Boolean
+--R headReduced? : (P,%) -> Boolean       infRittWu? : (%,%) -> Boolean
+--R initiallyReduce : (P,%) -> P          initiallyReduced? : % -> Boolean
+--R initials : % -> List P                last : % -> Union(P,"failed")
+--R latex : % -> String                   mainVariable? : (V,%) -> Boolean
+--R mainVariables : % -> List V           map : ((P -> P),%) -> %
+--R mvar : % -> V                         normalized? : % -> Boolean
+--R normalized? : (P,%) -> Boolean        reduceByQuasiMonic : (P,%) -> P
+--R removeZero : (P,%) -> P               rest : % -> Union(%,"failed")
+--R retract : List P -> %                 sample : () -> %
+--R stronglyReduce : (P,%) -> P           stronglyReduced? : % -> Boolean
+--R trivialIdeal? : % -> Boolean          variables : % -> List V
+--R zeroSetSplit : List P -> List %       ?~=? : (%,%) -> Boolean
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R any? : ((P -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R autoReduced? : (%,((P,List P) -> Boolean)) -> Boolean
+--R basicSet : (List P,(P -> Boolean),((P,P) -> Boolean)) -> Union(Record(bas: %,top: List P),"failed")
+--R basicSet : (List P,((P,P) -> Boolean)) -> Union(Record(bas: %,top: List P),"failed")
+--R coHeight : % -> NonNegativeInteger if V has FINITE
+--R convert : % -> InputForm if P has KONVERT INFORM
+--R count : ((P -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R count : (P,%) -> NonNegativeInteger if $ has finiteAggregate and P has SETCAT
+--R eval : (%,List Equation P) -> % if P has EVALAB P and P has SETCAT
+--R eval : (%,Equation P) -> % if P has EVALAB P and P has SETCAT
+--R eval : (%,P,P) -> % if P has EVALAB P and P has SETCAT
+--R eval : (%,List P,List P) -> % if P has EVALAB P and P has SETCAT
+--R every? : ((P -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R extendIfCan : (%,P) -> Union(%,"failed")
+--R find : ((P -> Boolean),%) -> Union(P,"failed")
+--R headRemainder : (P,%) -> Record(num: P,den: R) if R has INTDOM
+--R initiallyReduced? : (P,%) -> Boolean
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((P -> P),%) -> % if $ has shallowlyMutable
+--R member? : (P,%) -> Boolean if $ has finiteAggregate and P has SETCAT
+--R members : % -> List P if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List P if $ has finiteAggregate
+--R quasiComponent : % -> Record(close: List P,open: List P)
+--R reduce : (P,%,((P,P) -> P),((P,P) -> Boolean)) -> P
+--R reduce : (((P,P) -> P),%) -> P if $ has finiteAggregate
+--R reduce : (((P,P) -> P),%,P) -> P if $ has finiteAggregate
+--R reduce : (((P,P) -> P),%,P,P) -> P if $ has finiteAggregate and P has SETCAT
+--R reduced? : (P,%,((P,P) -> Boolean)) -> Boolean
+--R remainder : (P,%) -> Record(rnum: R,polnum: P,den: R) if R has INTDOM
+--R remove : ((P -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (P,%) -> % if $ has finiteAggregate and P has SETCAT
+--R removeDuplicates : % -> % if $ has finiteAggregate and P has SETCAT
+--R retractIfCan : List P -> Union(%,"failed")
+--R rewriteIdealWithHeadRemainder : (List P,%) -> List P if R has INTDOM
+--R rewriteIdealWithRemainder : (List P,%) -> List P if R has INTDOM
+--R rewriteSetWithReduction : (List P,%,((P,P) -> P),((P,P) -> Boolean)) -> List P
+--R roughBase? : % -> Boolean if R has INTDOM
+--R roughEqualIdeals? : (%,%) -> Boolean if R has INTDOM
+--R roughSubIdeal? : (%,%) -> Boolean if R has INTDOM
+--R roughUnitIdeal? : % -> Boolean if R has INTDOM
+--R select : (%,V) -> Union(P,"failed")
+--R select : ((P -> Boolean),%) -> % if $ has finiteAggregate
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R sort : (%,V) -> Record(under: %,floor: %,upper: %)
+--R stronglyReduced? : (P,%) -> Boolean
+--R triangular? : % -> Boolean if R has INTDOM
+--R zeroSetSplitIntoTriangularSystems : List P -> List Record(close: %,open: List P)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<GeneralTriangularSet.help>>=
+====================================================================
+GeneralTriangularSet examples
+====================================================================
+
+See Also:
+o )show GeneralTriangularSet
+
+@
+
 \pagehead{GeneralTriangularSet}{GTSET}
 \pagepic{ps/v103generaltriangularset.ps}{GTSET}{1.00}
 {\bf See}\\
@@ -41997,6 +49532,161 @@ GeneralTriangularSet(R,E,V,P) : Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain GSERIES GeneralUnivariatePowerSeries}
+
+<<GeneralUnivariatePowerSeries.input>>=
+)set break resume
+)sys rm -f GeneralUnivariatePowerSeries.output
+)spool GeneralUnivariatePowerSeries.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GeneralUnivariatePowerSeries
+--R GeneralUnivariatePowerSeries(Coef: Ring,var: Symbol,cen: Coef)  is a domain constructor
+--R Abbreviation for GeneralUnivariatePowerSeries is GSERIES 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for GSERIES 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Coef,%) -> %                   ?*? : (%,Coef) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        center : % -> Coef
+--R coerce : Variable var -> %            coerce : Integer -> %
+--R coerce : % -> OutputForm              complete : % -> %
+--R degree : % -> Fraction Integer        hash : % -> SingleInteger
+--R latex : % -> String                   leadingCoefficient : % -> Coef
+--R leadingMonomial : % -> %              map : ((Coef -> Coef),%) -> %
+--R monomial? : % -> Boolean              one? : % -> Boolean
+--R order : % -> Fraction Integer         pole? : % -> Boolean
+--R recip : % -> Union(%,"failed")        reductum : % -> %
+--R sample : () -> %                      variable : % -> Symbol
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (Fraction Integer,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,Integer) -> % if Coef has FIELD
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,%) -> % if Coef has FIELD
+--R ?/? : (%,Coef) -> % if Coef has FIELD
+--R D : % -> % if Coef has *: (Fraction Integer,Coef) -> Coef
+--R D : (%,NonNegativeInteger) -> % if Coef has *: (Fraction Integer,Coef) -> Coef
+--R D : (%,Symbol) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R ?^? : (%,Integer) -> % if Coef has FIELD
+--R ?^? : (%,NonNegativeInteger) -> %
+--R acos : % -> % if Coef has ALGEBRA FRAC INT
+--R acosh : % -> % if Coef has ALGEBRA FRAC INT
+--R acot : % -> % if Coef has ALGEBRA FRAC INT
+--R acoth : % -> % if Coef has ALGEBRA FRAC INT
+--R acsc : % -> % if Coef has ALGEBRA FRAC INT
+--R acsch : % -> % if Coef has ALGEBRA FRAC INT
+--R approximate : (%,Fraction Integer) -> Coef if Coef has **: (Coef,Fraction Integer) -> Coef and Coef has coerce: Symbol -> Coef
+--R asec : % -> % if Coef has ALGEBRA FRAC INT
+--R asech : % -> % if Coef has ALGEBRA FRAC INT
+--R asin : % -> % if Coef has ALGEBRA FRAC INT
+--R asinh : % -> % if Coef has ALGEBRA FRAC INT
+--R associates? : (%,%) -> Boolean if Coef has INTDOM
+--R atan : % -> % if Coef has ALGEBRA FRAC INT
+--R atanh : % -> % if Coef has ALGEBRA FRAC INT
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if Coef has CHARNZ
+--R coefficient : (%,Fraction Integer) -> Coef
+--R coerce : % -> % if Coef has INTDOM
+--R coerce : Fraction Integer -> % if Coef has ALGEBRA FRAC INT
+--R coerce : UnivariatePuiseuxSeries(Coef,var,cen) -> %
+--R coerce : Coef -> % if Coef has COMRING
+--R cos : % -> % if Coef has ALGEBRA FRAC INT
+--R cosh : % -> % if Coef has ALGEBRA FRAC INT
+--R cot : % -> % if Coef has ALGEBRA FRAC INT
+--R coth : % -> % if Coef has ALGEBRA FRAC INT
+--R csc : % -> % if Coef has ALGEBRA FRAC INT
+--R csch : % -> % if Coef has ALGEBRA FRAC INT
+--R differentiate : (%,Variable var) -> %
+--R differentiate : % -> % if Coef has *: (Fraction Integer,Coef) -> Coef
+--R differentiate : (%,NonNegativeInteger) -> % if Coef has *: (Fraction Integer,Coef) -> Coef
+--R differentiate : (%,Symbol) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R divide : (%,%) -> Record(quotient: %,remainder: %) if Coef has FIELD
+--R ?.? : (%,%) -> % if Fraction Integer has SGROUP
+--R ?.? : (%,Fraction Integer) -> Coef
+--R euclideanSize : % -> NonNegativeInteger if Coef has FIELD
+--R eval : (%,Coef) -> Stream Coef if Coef has **: (Coef,Fraction Integer) -> Coef
+--R exp : % -> % if Coef has ALGEBRA FRAC INT
+--R expressIdealMember : (List %,%) -> Union(List %,"failed") if Coef has FIELD
+--R exquo : (%,%) -> Union(%,"failed") if Coef has INTDOM
+--R extend : (%,Fraction Integer) -> %
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %) if Coef has FIELD
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed") if Coef has FIELD
+--R factor : % -> Factored % if Coef has FIELD
+--R gcd : (%,%) -> % if Coef has FIELD
+--R gcd : List % -> % if Coef has FIELD
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if Coef has FIELD
+--R integrate : (%,Variable var) -> % if Coef has ALGEBRA FRAC INT
+--R integrate : (%,Symbol) -> % if Coef has integrate: (Coef,Symbol) -> Coef and Coef has variables: Coef -> List Symbol and Coef has ALGEBRA FRAC INT or Coef has ACFS INT and Coef has ALGEBRA FRAC INT and Coef has PRIMCAT and Coef has TRANFUN
+--R integrate : % -> % if Coef has ALGEBRA FRAC INT
+--R inv : % -> % if Coef has FIELD
+--R lcm : (%,%) -> % if Coef has FIELD
+--R lcm : List % -> % if Coef has FIELD
+--R log : % -> % if Coef has ALGEBRA FRAC INT
+--R monomial : (%,List SingletonAsOrderedSet,List Fraction Integer) -> %
+--R monomial : (%,SingletonAsOrderedSet,Fraction Integer) -> %
+--R monomial : (Coef,Fraction Integer) -> %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed") if Coef has FIELD
+--R multiplyExponents : (%,Fraction Integer) -> %
+--R multiplyExponents : (%,PositiveInteger) -> %
+--R nthRoot : (%,Integer) -> % if Coef has ALGEBRA FRAC INT
+--R order : (%,Fraction Integer) -> Fraction Integer
+--R pi : () -> % if Coef has ALGEBRA FRAC INT
+--R prime? : % -> Boolean if Coef has FIELD
+--R principalIdeal : List % -> Record(coef: List %,generator: %) if Coef has FIELD
+--R ?quo? : (%,%) -> % if Coef has FIELD
+--R ?rem? : (%,%) -> % if Coef has FIELD
+--R sec : % -> % if Coef has ALGEBRA FRAC INT
+--R sech : % -> % if Coef has ALGEBRA FRAC INT
+--R series : (NonNegativeInteger,Stream Record(k: Fraction Integer,c: Coef)) -> %
+--R sin : % -> % if Coef has ALGEBRA FRAC INT
+--R sinh : % -> % if Coef has ALGEBRA FRAC INT
+--R sizeLess? : (%,%) -> Boolean if Coef has FIELD
+--R sqrt : % -> % if Coef has ALGEBRA FRAC INT
+--R squareFree : % -> Factored % if Coef has FIELD
+--R squareFreePart : % -> % if Coef has FIELD
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tan : % -> % if Coef has ALGEBRA FRAC INT
+--R tanh : % -> % if Coef has ALGEBRA FRAC INT
+--R terms : % -> Stream Record(k: Fraction Integer,c: Coef)
+--R truncate : (%,Fraction Integer,Fraction Integer) -> %
+--R truncate : (%,Fraction Integer) -> %
+--R unit? : % -> Boolean if Coef has INTDOM
+--R unitCanonical : % -> % if Coef has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if Coef has INTDOM
+--R variables : % -> List SingletonAsOrderedSet
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<GeneralUnivariatePowerSeries.help>>=
+====================================================================
+GeneralUnivariatePowerSeries examples
+====================================================================
+
+See Also:
+o )show GeneralUnivariatePowerSeries
+
+@
+
 \pagehead{GeneralUnivariatePowerSeries}{GSERIES}
 \pagepic{ps/v103generalunivariatepowerseries.ps}{GSERIES}{1.00}
 
@@ -42220,6 +49910,58 @@ GeneralUnivariatePowerSeries(Coef,var,cen): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain GRIMAGE GraphImage}
+
+<<GraphImage.input>>=
+)set break resume
+)sys rm -f GraphImage.output
+)spool GraphImage.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GraphImage
+--R GraphImage  is a domain constructor
+--R Abbreviation for GraphImage is GRIMAGE 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for GRIMAGE 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R graphImage : () -> %                  hash : % -> SingleInteger
+--R key : % -> Integer                    latex : % -> String
+--R makeGraphImage : % -> %               ranges : % -> List Segment Float
+--R units : % -> List Float               ?~=? : (%,%) -> Boolean
+--R appendPoint : (%,Point DoubleFloat) -> Void
+--R coerce : List List Point DoubleFloat -> %
+--R component : (%,Point DoubleFloat,Palette,Palette,PositiveInteger) -> Void
+--R component : (%,Point DoubleFloat) -> Void
+--R component : (%,List Point DoubleFloat,Palette,Palette,PositiveInteger) -> Void
+--R figureUnits : List List Point DoubleFloat -> List DoubleFloat
+--R makeGraphImage : (List List Point DoubleFloat,List Palette,List Palette,List PositiveInteger,List DrawOption) -> %
+--R makeGraphImage : (List List Point DoubleFloat,List Palette,List Palette,List PositiveInteger) -> %
+--R makeGraphImage : List List Point DoubleFloat -> %
+--R point : (%,Point DoubleFloat,Palette) -> Void
+--R pointLists : % -> List List Point DoubleFloat
+--R putColorInfo : (List List Point DoubleFloat,List Palette) -> List List Point DoubleFloat
+--R ranges : (%,List Segment Float) -> List Segment Float
+--R units : (%,List Float) -> List Float
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<GraphImage.help>>=
+====================================================================
+GraphImage examples
+====================================================================
+
+See Also:
+o )show GraphImage
+
+@
+
 \pagehead{GraphImage}{GRIMAGE}
 \pagepic{ps/v103graphimage.ps}{GRIMAGE}{1.00}
 
@@ -42659,6 +50401,51 @@ GraphImage (): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain GOPT GuessOption}
+
+<<GuessOption.input>>=
+)set break resume
+)sys rm -f GuessOption.output
+)spool GuessOption.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show GuessOption
+--R GuessOption  is a domain constructor
+--R Abbreviation for GuessOption is GOPT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for GOPT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                allDegrees : Boolean -> %
+--R checkOptions : List % -> Void         coerce : % -> OutputForm
+--R debug : Boolean -> %                  displayAsGF : Boolean -> %
+--R functionName : Symbol -> %            hash : % -> SingleInteger
+--R homogeneous : Boolean -> %            indexName : Symbol -> %
+--R latex : % -> String                   maxDegree : Integer -> %
+--R maxDerivative : Integer -> %          maxLevel : Integer -> %
+--R maxPower : Integer -> %               maxShift : Integer -> %
+--R one : Boolean -> %                    safety : NonNegativeInteger -> %
+--R variableName : Symbol -> %            ?~=? : (%,%) -> Boolean
+--R option : (List %,Symbol) -> Union(Any,"failed")
+--R option? : (List %,Symbol) -> Boolean
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<GuessOption.help>>=
+====================================================================
+GuessOption examples
+====================================================================
+
+See Also:
+o )show GuessOption
+
+@
+
 \pagehead{GuessOption}{GOPT}
 \pagepic{ps/v103guessoption.ps}{GOPT}{1.00}
 
@@ -42842,6 +50629,111 @@ GuessOption(): Exports == Implementation where
 \chapter{Chapter H}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain HASHTBL HashTable}
+
+<<HashTable.input>>=
+)set break resume
+)sys rm -f HashTable.output
+)spool HashTable.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show HashTable
+--R HashTable(Key: SetCategory,Entry: SetCategory,hashfn: String)  is a domain constructor
+--R Abbreviation for HashTable is HASHTBL 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for HASHTBL 
+--R
+--R------------------------------- Operations --------------------------------
+--R copy : % -> %                         dictionary : () -> %
+--R elt : (%,Key,Entry) -> Entry          ?.? : (%,Key) -> Entry
+--R empty : () -> %                       empty? : % -> Boolean
+--R entries : % -> List Entry             eq? : (%,%) -> Boolean
+--R index? : (Key,%) -> Boolean           indices : % -> List Key
+--R key? : (Key,%) -> Boolean             keys : % -> List Key
+--R map : ((Entry -> Entry),%) -> %       qelt : (%,Key) -> Entry
+--R sample : () -> %                      setelt : (%,Key,Entry) -> Entry
+--R table : () -> %                      
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if Record(key: Key,entry: Entry) has SETCAT or Entry has SETCAT
+--R any? : ((Entry -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R any? : ((Record(key: Key,entry: Entry) -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R bag : List Record(key: Key,entry: Entry) -> %
+--R coerce : % -> OutputForm if Record(key: Key,entry: Entry) has SETCAT or Entry has SETCAT
+--R construct : List Record(key: Key,entry: Entry) -> %
+--R convert : % -> InputForm if Record(key: Key,entry: Entry) has KONVERT INFORM
+--R count : ((Entry -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R count : (Entry,%) -> NonNegativeInteger if $ has finiteAggregate and Entry has SETCAT
+--R count : (Record(key: Key,entry: Entry),%) -> NonNegativeInteger if $ has finiteAggregate and Record(key: Key,entry: Entry) has SETCAT
+--R count : ((Record(key: Key,entry: Entry) -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R dictionary : List Record(key: Key,entry: Entry) -> %
+--R entry? : (Entry,%) -> Boolean if $ has finiteAggregate and Entry has SETCAT
+--R eval : (%,List Equation Entry) -> % if Entry has EVALAB Entry and Entry has SETCAT
+--R eval : (%,Equation Entry) -> % if Entry has EVALAB Entry and Entry has SETCAT
+--R eval : (%,Entry,Entry) -> % if Entry has EVALAB Entry and Entry has SETCAT
+--R eval : (%,List Entry,List Entry) -> % if Entry has EVALAB Entry and Entry has SETCAT
+--R eval : (%,List Record(key: Key,entry: Entry),List Record(key: Key,entry: Entry)) -> % if Record(key: Key,entry: Entry) has EVALAB Record(key: Key,entry: Entry) and Record(key: Key,entry: Entry) has SETCAT
+--R eval : (%,Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> % if Record(key: Key,entry: Entry) has EVALAB Record(key: Key,entry: Entry) and Record(key: Key,entry: Entry) has SETCAT
+--R eval : (%,Equation Record(key: Key,entry: Entry)) -> % if Record(key: Key,entry: Entry) has EVALAB Record(key: Key,entry: Entry) and Record(key: Key,entry: Entry) has SETCAT
+--R eval : (%,List Equation Record(key: Key,entry: Entry)) -> % if Record(key: Key,entry: Entry) has EVALAB Record(key: Key,entry: Entry) and Record(key: Key,entry: Entry) has SETCAT
+--R every? : ((Entry -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R every? : ((Record(key: Key,entry: Entry) -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R extract! : % -> Record(key: Key,entry: Entry)
+--R fill! : (%,Entry) -> % if $ has shallowlyMutable
+--R find : ((Record(key: Key,entry: Entry) -> Boolean),%) -> Union(Record(key: Key,entry: Entry),"failed")
+--R first : % -> Entry if Key has ORDSET
+--R hash : % -> SingleInteger if Record(key: Key,entry: Entry) has SETCAT or Entry has SETCAT
+--R insert! : (Record(key: Key,entry: Entry),%) -> %
+--R inspect : % -> Record(key: Key,entry: Entry)
+--R latex : % -> String if Record(key: Key,entry: Entry) has SETCAT or Entry has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map : (((Entry,Entry) -> Entry),%,%) -> %
+--R map : ((Record(key: Key,entry: Entry) -> Record(key: Key,entry: Entry)),%) -> %
+--R map! : ((Entry -> Entry),%) -> % if $ has shallowlyMutable
+--R map! : ((Record(key: Key,entry: Entry) -> Record(key: Key,entry: Entry)),%) -> % if $ has shallowlyMutable
+--R maxIndex : % -> Key if Key has ORDSET
+--R member? : (Entry,%) -> Boolean if $ has finiteAggregate and Entry has SETCAT
+--R member? : (Record(key: Key,entry: Entry),%) -> Boolean if $ has finiteAggregate and Record(key: Key,entry: Entry) has SETCAT
+--R members : % -> List Entry if $ has finiteAggregate
+--R members : % -> List Record(key: Key,entry: Entry) if $ has finiteAggregate
+--R minIndex : % -> Key if Key has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List Entry if $ has finiteAggregate
+--R parts : % -> List Record(key: Key,entry: Entry) if $ has finiteAggregate
+--R qsetelt! : (%,Key,Entry) -> Entry if $ has shallowlyMutable
+--R reduce : (((Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry)),%) -> Record(key: Key,entry: Entry) if $ has finiteAggregate
+--R reduce : (((Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry)),%,Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry) if $ has finiteAggregate
+--R reduce : (((Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry)),%,Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry) if $ has finiteAggregate and Record(key: Key,entry: Entry) has SETCAT
+--R remove : ((Record(key: Key,entry: Entry) -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (Record(key: Key,entry: Entry),%) -> % if $ has finiteAggregate and Record(key: Key,entry: Entry) has SETCAT
+--R remove! : (Key,%) -> Union(Entry,"failed")
+--R remove! : ((Record(key: Key,entry: Entry) -> Boolean),%) -> % if $ has finiteAggregate
+--R remove! : (Record(key: Key,entry: Entry),%) -> % if $ has finiteAggregate
+--R removeDuplicates : % -> % if $ has finiteAggregate and Record(key: Key,entry: Entry) has SETCAT
+--R search : (Key,%) -> Union(Entry,"failed")
+--R select : ((Record(key: Key,entry: Entry) -> Boolean),%) -> % if $ has finiteAggregate
+--R select! : ((Record(key: Key,entry: Entry) -> Boolean),%) -> % if $ has finiteAggregate
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R swap! : (%,Key,Key) -> Void if $ has shallowlyMutable
+--R table : List Record(key: Key,entry: Entry) -> %
+--R ?~=? : (%,%) -> Boolean if Record(key: Key,entry: Entry) has SETCAT or Entry has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<HashTable.help>>=
+====================================================================
+HashTable examples
+====================================================================
+
+See Also:
+o )show HashTable
+
+@
+
 \pagehead{HashTable}{HASHTBL}
 \pagepic{ps/v103hashtable.ps}{HASHTBL}{1.00}
 {\bf See}\\
@@ -42969,6 +50861,7 @@ HashTable(Key, Entry, hashfn): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain HEAP Heap}
+
 <<Heap.input>>=
 )set break resume
 )sys rm -f Heap.output
@@ -43841,6 +51734,7 @@ Heap(S:OrderedSet): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain HEXADEC HexadecimalExpansion}
+
 <<HexadecimalExpansion.input>>=
 )set break resume
 )sys rm -f HexadecimalExpansion.output
@@ -44117,6 +52011,142 @@ HexadecimalExpansion(): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain HDP HomogeneousDirectProduct}
+
+<<HomogeneousDirectProduct.input>>=
+)set break resume
+)sys rm -f HomogeneousDirectProduct.output
+)spool HomogeneousDirectProduct.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show HomogeneousDirectProduct
+--R HomogeneousDirectProduct(dim: NonNegativeInteger,S: OrderedAbelianMonoidSup)  is a domain constructor
+--R Abbreviation for HomogeneousDirectProduct is HDP 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for HDP 
+--R
+--R------------------------------- Operations --------------------------------
+--R -? : % -> % if S has RING             1 : () -> % if S has MONOID
+--R 0 : () -> % if S has CABMON           coerce : % -> Vector S
+--R copy : % -> %                         directProduct : Vector S -> %
+--R ?.? : (%,Integer) -> S                elt : (%,Integer,S) -> S
+--R empty : () -> %                       empty? : % -> Boolean
+--R entries : % -> List S                 eq? : (%,%) -> Boolean
+--R index? : (Integer,%) -> Boolean       indices : % -> List Integer
+--R map : ((S -> S),%) -> %               qelt : (%,Integer) -> S
+--R sample : () -> %                     
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?*? : (PositiveInteger,%) -> % if S has ABELSG
+--R ?*? : (NonNegativeInteger,%) -> % if S has CABMON
+--R ?*? : (S,%) -> % if S has RING
+--R ?*? : (%,S) -> % if S has RING
+--R ?*? : (%,%) -> % if S has MONOID
+--R ?*? : (Integer,%) -> % if S has RING
+--R ?**? : (%,PositiveInteger) -> % if S has MONOID
+--R ?**? : (%,NonNegativeInteger) -> % if S has MONOID
+--R ?+? : (%,%) -> % if S has ABELSG
+--R ?-? : (%,%) -> % if S has RING
+--R ?/? : (%,S) -> % if S has FIELD
+--R ?<? : (%,%) -> Boolean if S has OAMONS or S has ORDRING
+--R ?<=? : (%,%) -> Boolean if S has OAMONS or S has ORDRING
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R ?>? : (%,%) -> Boolean if S has OAMONS or S has ORDRING
+--R ?>=? : (%,%) -> Boolean if S has OAMONS or S has ORDRING
+--R D : (%,(S -> S)) -> % if S has RING
+--R D : (%,(S -> S),NonNegativeInteger) -> % if S has RING
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if S has PDRING SYMBOL and S has RING
+--R D : (%,Symbol,NonNegativeInteger) -> % if S has PDRING SYMBOL and S has RING
+--R D : (%,List Symbol) -> % if S has PDRING SYMBOL and S has RING
+--R D : (%,Symbol) -> % if S has PDRING SYMBOL and S has RING
+--R D : (%,NonNegativeInteger) -> % if S has DIFRING and S has RING
+--R D : % -> % if S has DIFRING and S has RING
+--R ?^? : (%,PositiveInteger) -> % if S has MONOID
+--R ?^? : (%,NonNegativeInteger) -> % if S has MONOID
+--R abs : % -> % if S has ORDRING
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R characteristic : () -> NonNegativeInteger if S has RING
+--R coerce : S -> % if S has SETCAT
+--R coerce : Fraction Integer -> % if S has RETRACT FRAC INT and S has SETCAT
+--R coerce : Integer -> % if S has RETRACT INT and S has SETCAT or S has RING
+--R coerce : % -> OutputForm if S has SETCAT
+--R count : (S,%) -> NonNegativeInteger if $ has finiteAggregate and S has SETCAT
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R differentiate : (%,(S -> S)) -> % if S has RING
+--R differentiate : (%,(S -> S),NonNegativeInteger) -> % if S has RING
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if S has PDRING SYMBOL and S has RING
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if S has PDRING SYMBOL and S has RING
+--R differentiate : (%,List Symbol) -> % if S has PDRING SYMBOL and S has RING
+--R differentiate : (%,Symbol) -> % if S has PDRING SYMBOL and S has RING
+--R differentiate : (%,NonNegativeInteger) -> % if S has DIFRING and S has RING
+--R differentiate : % -> % if S has DIFRING and S has RING
+--R dimension : () -> CardinalNumber if S has FIELD
+--R dot : (%,%) -> S if S has RING
+--R entry? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R fill! : (%,S) -> % if $ has shallowlyMutable
+--R first : % -> S if Integer has ORDSET
+--R hash : % -> SingleInteger if S has SETCAT
+--R index : PositiveInteger -> % if S has FINITE
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R lookup : % -> PositiveInteger if S has FINITE
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R max : (%,%) -> % if S has OAMONS or S has ORDRING
+--R maxIndex : % -> Integer if Integer has ORDSET
+--R member? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R members : % -> List S if $ has finiteAggregate
+--R min : (%,%) -> % if S has OAMONS or S has ORDRING
+--R minIndex : % -> Integer if Integer has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R negative? : % -> Boolean if S has ORDRING
+--R one? : % -> Boolean if S has MONOID
+--R parts : % -> List S if $ has finiteAggregate
+--R positive? : % -> Boolean if S has ORDRING
+--R qsetelt! : (%,Integer,S) -> S if $ has shallowlyMutable
+--R random : () -> % if S has FINITE
+--R recip : % -> Union(%,"failed") if S has MONOID
+--R reducedSystem : Matrix % -> Matrix S if S has RING
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix S,vec: Vector S) if S has RING
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if S has LINEXP INT and S has RING
+--R reducedSystem : Matrix % -> Matrix Integer if S has LINEXP INT and S has RING
+--R retract : % -> S if S has SETCAT
+--R retract : % -> Fraction Integer if S has RETRACT FRAC INT and S has SETCAT
+--R retract : % -> Integer if S has RETRACT INT and S has SETCAT
+--R retractIfCan : % -> Union(S,"failed") if S has SETCAT
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if S has RETRACT FRAC INT and S has SETCAT
+--R retractIfCan : % -> Union(Integer,"failed") if S has RETRACT INT and S has SETCAT
+--R setelt : (%,Integer,S) -> S if $ has shallowlyMutable
+--R sign : % -> Integer if S has ORDRING
+--R size : () -> NonNegativeInteger if S has FINITE
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R subtractIfCan : (%,%) -> Union(%,"failed") if S has CABMON
+--R sup : (%,%) -> % if S has OAMONS
+--R swap! : (%,Integer,Integer) -> Void if $ has shallowlyMutable
+--R unitVector : PositiveInteger -> % if S has RING
+--R zero? : % -> Boolean if S has CABMON
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<HomogeneousDirectProduct.help>>=
+====================================================================
+HomogeneousDirectProduct examples
+====================================================================
+
+See Also:
+o )show HomogeneousDirectProduct
+
+@
+
 \pagehead{HomogeneousDirectProduct}{HDP}
 \pagepic{ps/v103homogeneousdirectproduct.ps}{HDP}{1.00}
 {\bf See}\\
@@ -44250,6 +52280,7 @@ HomogeneousDirectProduct(dim,S) : T == C where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain HDMP HomogeneousDistributedMultivariatePolynomial}
+
 <<HomogeneousDistributedMultivariatePolynomial.input>>=
 )set break resume
 )sys rm -f HomogeneousDistributedMultivariatePolynomial.output
@@ -44600,6 +52631,55 @@ HomogeneousDistributedMultivariatePolynomial(vl,R): public == private where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain HELLFDIV HyperellipticFiniteDivisor}
+
+<<HyperellipticFiniteDivisor.input>>=
+)set break resume
+)sys rm -f HyperellipticFiniteDivisor.output
+)spool HyperellipticFiniteDivisor.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show HyperellipticFiniteDivisor
+--R HyperellipticFiniteDivisor(F: Field,UP: UnivariatePolynomialCategory F,UPUP: UnivariatePolynomialCategory Fraction UP,R: FunctionFieldCategory(F,UP,UPUP))  is a domain constructor
+--R Abbreviation for HyperellipticFiniteDivisor is HELLFDIV 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for HELLFDIV 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Integer,%) -> %                ?*? : (PositiveInteger,%) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 0 : () -> %                           coerce : % -> OutputForm
+--R divisor : (R,UP,UP,UP,F) -> %         divisor : (F,F,Integer) -> %
+--R divisor : (F,F) -> %                  divisor : R -> %
+--R hash : % -> SingleInteger             latex : % -> String
+--R principal? : % -> Boolean             reduce : % -> %
+--R sample : () -> %                      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R decompose : % -> Record(id: FractionalIdeal(UP,Fraction UP,UPUP,R),principalPart: R)
+--R divisor : FractionalIdeal(UP,Fraction UP,UPUP,R) -> %
+--R generator : % -> Union(R,"failed")
+--R ideal : % -> FractionalIdeal(UP,Fraction UP,UPUP,R)
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<HyperellipticFiniteDivisor.help>>=
+====================================================================
+HyperellipticFiniteDivisor examples
+====================================================================
+
+See Also:
+o )show HyperellipticFiniteDivisor
+
+@
+
 \pagehead{HyperellipticFiniteDivisor}{HELLFDIV}
 \pagepic{ps/v103hyperellipticfinitedivisor.ps}{HELLFDIV}{1.00}
 {\bf See}\\
@@ -44807,6 +52887,7 @@ HyperellipticFiniteDivisor(F, UP, UPUP, R): Exports == Implementation where
 \chapter{Chapter I}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ICP InfClsPt}
+
 <<InfClsPt.input>>=
 )set break resume
 )sys rm -f InfClsPt.output
@@ -44943,6 +53024,47 @@ InfClsPt(K,symb,BLMET):Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ICARD IndexCard}
+
+<<IndexCard.input>>=
+)set break resume
+)sys rm -f IndexCard.output
+)spool IndexCard.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IndexCard
+--R IndexCard  is a domain constructor
+--R Abbreviation for IndexCard is ICARD 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ICARD 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               coerce : String -> %
+--R coerce : % -> OutputForm              display : % -> Void
+--R ?.? : (%,Symbol) -> String            fullDisplay : % -> Void
+--R hash : % -> SingleInteger             latex : % -> String
+--R max : (%,%) -> %                      min : (%,%) -> %
+--R ?~=? : (%,%) -> Boolean              
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<IndexCard.help>>=
+====================================================================
+IndexCard examples
+====================================================================
+
+See Also:
+o )show IndexCard
+
+@
+
 \pagehead{IndexCard}{ICARD}
 \pagepic{ps/v103indexcard.ps}{ICARD}{1.00}
 {\bf See}\\
@@ -45036,6 +53158,7 @@ IndexCard() : Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IBITS IndexedBits}
+
 <<IndexedBits.input>>=
 )set break resume
 )sys rm -f IndexedBits.output
@@ -45352,6 +53475,50 @@ IndexedBits(mn:Integer): BitAggregate() with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IDPAG IndexedDirectProductAbelianGroup}
+
+<<IndexedDirectProductAbelianGroup.input>>=
+)set break resume
+)sys rm -f IndexedDirectProductAbelianGroup.output
+)spool IndexedDirectProductAbelianGroup.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IndexedDirectProductAbelianGroup
+--R IndexedDirectProductAbelianGroup(A: AbelianGroup,S: OrderedSet)  is a domain constructor
+--R Abbreviation for IndexedDirectProductAbelianGroup is IDPAG 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for IDPAG 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Integer,%) -> %                ?*? : (PositiveInteger,%) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 0 : () -> %                           coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R leadingCoefficient : % -> A           leadingSupport : % -> S
+--R map : ((A -> A),%) -> %               monomial : (A,S) -> %
+--R reductum : % -> %                     sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<IndexedDirectProductAbelianGroup.help>>=
+====================================================================
+IndexedDirectProductAbelianGroup examples
+====================================================================
+
+See Also:
+o )show IndexedDirectProductAbelianGroup
+
+@
+
 \pagehead{IndexedDirectProductAbelianGroup}{IDPAG}
 \pagepic{ps/v103indexeddirectproductabeliangroup.ps}{IDPAG}{1.00}
 {\bf See}\\
@@ -45462,6 +53629,48 @@ IndexedDirectProductAbelianGroup(A:AbelianGroup,S:OrderedSet):
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IDPAM IndexedDirectProductAbelianMonoid}
+
+<<IndexedDirectProductAbelianMonoid.input>>=
+)set break resume
+)sys rm -f IndexedDirectProductAbelianMonoid.output
+)spool IndexedDirectProductAbelianMonoid.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IndexedDirectProductAbelianMonoid
+--R IndexedDirectProductAbelianMonoid(A: AbelianMonoid,S: OrderedSet)  is a domain constructor
+--R Abbreviation for IndexedDirectProductAbelianMonoid is IDPAM 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for IDPAM 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (PositiveInteger,%) -> %        ?+? : (%,%) -> %
+--R ?=? : (%,%) -> Boolean                0 : () -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   leadingCoefficient : % -> A
+--R leadingSupport : % -> S               map : ((A -> A),%) -> %
+--R monomial : (A,S) -> %                 reductum : % -> %
+--R sample : () -> %                      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<IndexedDirectProductAbelianMonoid.help>>=
+====================================================================
+IndexedDirectProductAbelianMonoid examples
+====================================================================
+
+See Also:
+o )show IndexedDirectProductAbelianMonoid
+
+@
+
 \pagehead{IndexedDirectProductAbelianMonoid}{IDPAM}
 \pagepic{ps/v103indexeddirectproductabelianmonoid.ps}{IDPAM}{1.00}
 {\bf See}\\
@@ -45580,6 +53789,44 @@ IndexedDirectProductAbelianMonoid(A:AbelianMonoid,S:OrderedSet):
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IDPO IndexedDirectProductObject}
+
+<<IndexedDirectProductObject.input>>=
+)set break resume
+)sys rm -f IndexedDirectProductObject.output
+)spool IndexedDirectProductObject.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IndexedDirectProductObject
+--R IndexedDirectProductObject(A: SetCategory,S: OrderedSet)  is a domain constructor
+--R Abbreviation for IndexedDirectProductObject is IDPO 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for IDPO 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R leadingCoefficient : % -> A           leadingSupport : % -> S
+--R map : ((A -> A),%) -> %               monomial : (A,S) -> %
+--R reductum : % -> %                     ?~=? : (%,%) -> Boolean
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<IndexedDirectProductObject.help>>=
+====================================================================
+IndexedDirectProductObject examples
+====================================================================
+
+See Also:
+o )show IndexedDirectProductObject
+
+@
+
 \pagehead{IndexedDirectProductObject}{IDPO}
 \pagepic{ps/v103indexeddirectproductobject.ps}{IDPO}{1.00}
 {\bf See}\\
@@ -45656,6 +53903,51 @@ IndexedDirectProductObject(A:SetCategory,S:OrderedSet): _
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IDPOAM IndexedDirectProductOrderedAbelianMonoid}
+
+<<IndexedDirectProductOrderedAbelianMonoid.input>>=
+)set break resume
+)sys rm -f IndexedDirectProductOrderedAbelianMonoid.output
+)spool IndexedDirectProductOrderedAbelianMonoid.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IndexedDirectProductOrderedAbelianMonoid
+--R IndexedDirectProductOrderedAbelianMonoid(A: OrderedAbelianMonoid,S: OrderedSet)  is a domain constructor
+--R Abbreviation for IndexedDirectProductOrderedAbelianMonoid is IDPOAM 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for IDPOAM 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (PositiveInteger,%) -> %        ?+? : (%,%) -> %
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               0 : () -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   leadingCoefficient : % -> A
+--R leadingSupport : % -> S               map : ((A -> A),%) -> %
+--R max : (%,%) -> %                      min : (%,%) -> %
+--R monomial : (A,S) -> %                 reductum : % -> %
+--R sample : () -> %                      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<IndexedDirectProductOrderedAbelianMonoid.help>>=
+====================================================================
+IndexedDirectProductOrderedAbelianMonoid examples
+====================================================================
+
+See Also:
+o )show IndexedDirectProductOrderedAbelianMonoid
+
+@
+
 \pagehead{IndexedDirectProductOrderedAbelianMonoid}{IDPOAM}
 \pagepic{ps/v103indexeddirectproductorderedabelianmonoid.ps}{IDPOAM}{1.00}
 {\bf See}\\
@@ -45723,6 +54015,52 @@ IndexedDirectProductOrderedAbelianMonoid(A:OrderedAbelianMonoid,S:OrderedSet):
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IDPOAMS IndexedDirectProductOrderedAbelianMonoidSup}
+
+<<IndexedDirectProductOrderedAbelianMonoidSup.input>>=
+)set break resume
+)sys rm -f IndexedDirectProductOrderedAbelianMonoidSup.output
+)spool IndexedDirectProductOrderedAbelianMonoidSup.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IndexedDirectProductOrderedAbelianMonoidSup
+--R IndexedDirectProductOrderedAbelianMonoidSup(A: OrderedAbelianMonoidSup,S: OrderedSet)  is a domain constructor
+--R Abbreviation for IndexedDirectProductOrderedAbelianMonoidSup is IDPOAMS 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for IDPOAMS 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (PositiveInteger,%) -> %        ?+? : (%,%) -> %
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               0 : () -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   leadingCoefficient : % -> A
+--R leadingSupport : % -> S               map : ((A -> A),%) -> %
+--R max : (%,%) -> %                      min : (%,%) -> %
+--R monomial : (A,S) -> %                 reductum : % -> %
+--R sample : () -> %                      sup : (%,%) -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<IndexedDirectProductOrderedAbelianMonoidSup.help>>=
+====================================================================
+IndexedDirectProductOrderedAbelianMonoidSup examples
+====================================================================
+
+See Also:
+o )show IndexedDirectProductOrderedAbelianMonoidSup
+
+@
+
 \pagehead{IndexedDirectProductOrderedAbelianMonoidSup}{IDPOAMS}
 \pagepic{ps/v103indexeddirectproductorderedabelianmonoidsup.ps}{IDPOAMS}{1.00}
 {\bf See}\\
@@ -45808,6 +54146,54 @@ IndexedDirectProductOrderedAbelianMonoidSup(A:OrderedAbelianMonoidSup,S:OrderedS
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain INDE IndexedExponents}
+
+<<IndexedExponents.input>>=
+)set break resume
+)sys rm -f IndexedExponents.output
+)spool IndexedExponents.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IndexedExponents
+--R IndexedExponents Varset: OrderedSet  is a domain constructor
+--R Abbreviation for IndexedExponents is INDE 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for INDE 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (PositiveInteger,%) -> %        ?+? : (%,%) -> %
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               0 : () -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   leadingSupport : % -> Varset
+--R max : (%,%) -> %                      min : (%,%) -> %
+--R reductum : % -> %                     sample : () -> %
+--R sup : (%,%) -> %                      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R leadingCoefficient : % -> NonNegativeInteger
+--R map : ((NonNegativeInteger -> NonNegativeInteger),%) -> %
+--R monomial : (NonNegativeInteger,Varset) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<IndexedExponents.help>>=
+====================================================================
+IndexedExponents examples
+====================================================================
+
+See Also:
+o )show IndexedExponents
+
+@
+
 \pagehead{IndexedExponents}{INDE}
 \pagepic{ps/v103indexedexponents.ps}{INDE}{1.00}
 {\bf See}\\
@@ -45883,6 +54269,123 @@ IndexedExponents(Varset:OrderedSet): C == T where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IFARRAY IndexedFlexibleArray}
+
+<<IndexedFlexibleArray.input>>=
+)set break resume
+)sys rm -f IndexedFlexibleArray.output
+)spool IndexedFlexibleArray.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IndexedFlexibleArray
+--R IndexedFlexibleArray(S: Type,mn: Integer)  is a domain constructor
+--R Abbreviation for IndexedFlexibleArray is IFARRAY 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for IFARRAY 
+--R
+--R------------------------------- Operations --------------------------------
+--R concat : List % -> %                  concat : (%,%) -> %
+--R concat : (S,%) -> %                   concat : (%,S) -> %
+--R concat! : (%,S) -> %                  concat! : (%,%) -> %
+--R construct : List S -> %               copy : % -> %
+--R delete : (%,Integer) -> %             delete! : (%,Integer) -> %
+--R ?.? : (%,Integer) -> S                elt : (%,Integer,S) -> S
+--R empty : () -> %                       empty? : % -> Boolean
+--R entries : % -> List S                 eq? : (%,%) -> Boolean
+--R flexibleArray : List S -> %           index? : (Integer,%) -> Boolean
+--R indices : % -> List Integer           insert : (%,%,Integer) -> %
+--R insert : (S,%,Integer) -> %           insert! : (S,%,Integer) -> %
+--R insert! : (%,%,Integer) -> %          map : (((S,S) -> S),%,%) -> %
+--R map : ((S -> S),%) -> %               new : (NonNegativeInteger,S) -> %
+--R qelt : (%,Integer) -> S               reverse : % -> %
+--R sample : () -> %                      shrinkable : Boolean -> Boolean
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?<? : (%,%) -> Boolean if S has ORDSET
+--R ?<=? : (%,%) -> Boolean if S has ORDSET
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R ?>? : (%,%) -> Boolean if S has ORDSET
+--R ?>=? : (%,%) -> Boolean if S has ORDSET
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if S has SETCAT
+--R convert : % -> InputForm if S has KONVERT INFORM
+--R copyInto! : (%,%,Integer) -> % if $ has shallowlyMutable
+--R count : (S,%) -> NonNegativeInteger if $ has finiteAggregate and S has SETCAT
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R delete : (%,UniversalSegment Integer) -> %
+--R delete! : (%,UniversalSegment Integer) -> %
+--R ?.? : (%,UniversalSegment Integer) -> %
+--R entry? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R fill! : (%,S) -> % if $ has shallowlyMutable
+--R find : ((S -> Boolean),%) -> Union(S,"failed")
+--R first : % -> S if Integer has ORDSET
+--R hash : % -> SingleInteger if S has SETCAT
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R max : (%,%) -> % if S has ORDSET
+--R maxIndex : % -> Integer if Integer has ORDSET
+--R member? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R members : % -> List S if $ has finiteAggregate
+--R merge : (%,%) -> % if S has ORDSET
+--R merge : (((S,S) -> Boolean),%,%) -> %
+--R merge! : (((S,S) -> Boolean),%,%) -> %
+--R merge! : (%,%) -> % if S has ORDSET
+--R min : (%,%) -> % if S has ORDSET
+--R minIndex : % -> Integer if Integer has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List S if $ has finiteAggregate
+--R physicalLength : % -> NonNegativeInteger
+--R physicalLength! : (%,Integer) -> %
+--R position : (S,%,Integer) -> Integer if S has SETCAT
+--R position : (S,%) -> Integer if S has SETCAT
+--R position : ((S -> Boolean),%) -> Integer
+--R qsetelt! : (%,Integer,S) -> S if $ has shallowlyMutable
+--R reduce : (((S,S) -> S),%) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S,S) -> S if $ has finiteAggregate and S has SETCAT
+--R remove : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (S,%) -> % if $ has finiteAggregate and S has SETCAT
+--R remove! : ((S -> Boolean),%) -> %
+--R remove! : (S,%) -> % if S has SETCAT
+--R removeDuplicates : % -> % if $ has finiteAggregate and S has SETCAT
+--R removeDuplicates! : % -> % if S has SETCAT
+--R reverse! : % -> % if $ has shallowlyMutable
+--R select : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R select! : ((S -> Boolean),%) -> %
+--R setelt : (%,UniversalSegment Integer,S) -> S if $ has shallowlyMutable
+--R setelt : (%,Integer,S) -> S if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R sort : % -> % if S has ORDSET
+--R sort : (((S,S) -> Boolean),%) -> %
+--R sort! : % -> % if $ has shallowlyMutable and S has ORDSET
+--R sort! : (((S,S) -> Boolean),%) -> % if $ has shallowlyMutable
+--R sorted? : % -> Boolean if S has ORDSET
+--R sorted? : (((S,S) -> Boolean),%) -> Boolean
+--R swap! : (%,Integer,Integer) -> Void if $ has shallowlyMutable
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<IndexedFlexibleArray.help>>=
+====================================================================
+IndexedFlexibleArray examples
+====================================================================
+
+See Also:
+o )show IndexedFlexibleArray
+
+@
+
 \pagehead{IndexedFlexibleArray}{IFARRAY}
 \pagepic{ps/v103indexedflexiblearray.ps}{IFARRAY}{1.00}
 {\bf See}\\
@@ -46214,6 +54717,147 @@ IndexedFlexibleArray(S:Type, mn: Integer): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ILIST IndexedList}
+
+<<IndexedList.input>>=
+)set break resume
+)sys rm -f IndexedList.output
+)spool IndexedList.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IndexedList
+--R IndexedList(S: Type,mn: Integer)  is a domain constructor
+--R Abbreviation for IndexedList is ILIST 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ILIST 
+--R
+--R------------------------------- Operations --------------------------------
+--R children : % -> List %                concat : (%,S) -> %
+--R concat : List % -> %                  concat : (S,%) -> %
+--R concat : (%,%) -> %                   concat! : (%,S) -> %
+--R concat! : (%,%) -> %                  construct : List S -> %
+--R copy : % -> %                         cycleEntry : % -> %
+--R cycleTail : % -> %                    cyclic? : % -> Boolean
+--R delete : (%,Integer) -> %             delete! : (%,Integer) -> %
+--R distance : (%,%) -> Integer           elt : (%,Integer,S) -> S
+--R ?.? : (%,Integer) -> S                ?.last : (%,last) -> S
+--R ?.rest : (%,rest) -> %                ?.first : (%,first) -> S
+--R ?.value : (%,value) -> S              empty : () -> %
+--R empty? : % -> Boolean                 entries : % -> List S
+--R eq? : (%,%) -> Boolean                explicitlyFinite? : % -> Boolean
+--R first : % -> S                        index? : (Integer,%) -> Boolean
+--R indices : % -> List Integer           insert : (S,%,Integer) -> %
+--R insert : (%,%,Integer) -> %           insert! : (S,%,Integer) -> %
+--R insert! : (%,%,Integer) -> %          last : % -> S
+--R leaf? : % -> Boolean                  leaves : % -> List S
+--R list : S -> %                         map : (((S,S) -> S),%,%) -> %
+--R map : ((S -> S),%) -> %               new : (NonNegativeInteger,S) -> %
+--R nodes : % -> List %                   possiblyInfinite? : % -> Boolean
+--R qelt : (%,Integer) -> S               rest : % -> %
+--R reverse : % -> %                      sample : () -> %
+--R second : % -> S                       tail : % -> %
+--R third : % -> S                        value : % -> S
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?<? : (%,%) -> Boolean if S has ORDSET
+--R ?<=? : (%,%) -> Boolean if S has ORDSET
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R ?>? : (%,%) -> Boolean if S has ORDSET
+--R ?>=? : (%,%) -> Boolean if S has ORDSET
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R child? : (%,%) -> Boolean if S has SETCAT
+--R coerce : % -> OutputForm if S has SETCAT
+--R convert : % -> InputForm if S has KONVERT INFORM
+--R copyInto! : (%,%,Integer) -> % if $ has shallowlyMutable
+--R count : (S,%) -> NonNegativeInteger if $ has finiteAggregate and S has SETCAT
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R cycleLength : % -> NonNegativeInteger
+--R cycleSplit! : % -> % if $ has shallowlyMutable
+--R delete : (%,UniversalSegment Integer) -> %
+--R delete! : (%,UniversalSegment Integer) -> %
+--R ?.? : (%,UniversalSegment Integer) -> %
+--R entry? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R fill! : (%,S) -> % if $ has shallowlyMutable
+--R find : ((S -> Boolean),%) -> Union(S,"failed")
+--R first : (%,NonNegativeInteger) -> %
+--R hash : % -> SingleInteger if S has SETCAT
+--R last : (%,NonNegativeInteger) -> %
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R max : (%,%) -> % if S has ORDSET
+--R maxIndex : % -> Integer if Integer has ORDSET
+--R member? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R members : % -> List S if $ has finiteAggregate
+--R merge : (((S,S) -> Boolean),%,%) -> %
+--R merge : (%,%) -> % if S has ORDSET
+--R merge! : (((S,S) -> Boolean),%,%) -> %
+--R merge! : (%,%) -> % if S has ORDSET
+--R min : (%,%) -> % if S has ORDSET
+--R minIndex : % -> Integer if Integer has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R node? : (%,%) -> Boolean if S has SETCAT
+--R parts : % -> List S if $ has finiteAggregate
+--R position : ((S -> Boolean),%) -> Integer
+--R position : (S,%) -> Integer if S has SETCAT
+--R position : (S,%,Integer) -> Integer if S has SETCAT
+--R qsetelt! : (%,Integer,S) -> S if $ has shallowlyMutable
+--R reduce : (((S,S) -> S),%,S,S) -> S if $ has finiteAggregate and S has SETCAT
+--R reduce : (((S,S) -> S),%,S) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%) -> S if $ has finiteAggregate
+--R remove : (S,%) -> % if $ has finiteAggregate and S has SETCAT
+--R remove : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R remove! : ((S -> Boolean),%) -> %
+--R remove! : (S,%) -> % if S has SETCAT
+--R removeDuplicates : % -> % if $ has finiteAggregate and S has SETCAT
+--R removeDuplicates! : % -> % if S has SETCAT
+--R rest : (%,NonNegativeInteger) -> %
+--R reverse! : % -> % if $ has shallowlyMutable
+--R select : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R select! : ((S -> Boolean),%) -> %
+--R setchildren! : (%,List %) -> % if $ has shallowlyMutable
+--R setelt : (%,Integer,S) -> S if $ has shallowlyMutable
+--R setelt : (%,UniversalSegment Integer,S) -> S if $ has shallowlyMutable
+--R setelt : (%,last,S) -> S if $ has shallowlyMutable
+--R setelt : (%,rest,%) -> % if $ has shallowlyMutable
+--R setelt : (%,first,S) -> S if $ has shallowlyMutable
+--R setelt : (%,value,S) -> S if $ has shallowlyMutable
+--R setfirst! : (%,S) -> S if $ has shallowlyMutable
+--R setlast! : (%,S) -> S if $ has shallowlyMutable
+--R setrest! : (%,%) -> % if $ has shallowlyMutable
+--R setvalue! : (%,S) -> S if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R sort : (((S,S) -> Boolean),%) -> %
+--R sort : % -> % if S has ORDSET
+--R sort! : (((S,S) -> Boolean),%) -> % if $ has shallowlyMutable
+--R sort! : % -> % if $ has shallowlyMutable and S has ORDSET
+--R sorted? : (((S,S) -> Boolean),%) -> Boolean
+--R sorted? : % -> Boolean if S has ORDSET
+--R split! : (%,Integer) -> % if $ has shallowlyMutable
+--R swap! : (%,Integer,Integer) -> Void if $ has shallowlyMutable
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<IndexedList.help>>=
+====================================================================
+IndexedList examples
+====================================================================
+
+See Also:
+o )show IndexedList
+
+@
+
 \pagehead{IndexedList}{ILIST}
 \pagepic{ps/v103indexedlist.ps}{ILIST}{1.00}
 {\bf See}\\
@@ -46524,6 +55168,110 @@ IndexedList(S:Type, mn:Integer): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IMATRIX IndexedMatrix}
+
+<<IndexedMatrix.input>>=
+)set break resume
+)sys rm -f IndexedMatrix.output
+)spool IndexedMatrix.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IndexedMatrix
+--R IndexedMatrix(R: Ring,mnRow: Integer,mnCol: Integer)  is a domain constructor
+--R Abbreviation for IndexedMatrix is IMATRIX 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for IMATRIX 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Integer,%) -> %                ?*? : (%,R) -> %
+--R ?*? : (R,%) -> %                      ?*? : (%,%) -> %
+--R ?+? : (%,%) -> %                      -? : % -> %
+--R ?-? : (%,%) -> %                      antisymmetric? : % -> Boolean
+--R copy : % -> %                         diagonal? : % -> Boolean
+--R diagonalMatrix : List % -> %          diagonalMatrix : List R -> %
+--R elt : (%,Integer,Integer,R) -> R      elt : (%,Integer,Integer) -> R
+--R empty : () -> %                       empty? : % -> Boolean
+--R eq? : (%,%) -> Boolean                fill! : (%,R) -> %
+--R horizConcat : (%,%) -> %              listOfLists : % -> List List R
+--R map : (((R,R) -> R),%,%,R) -> %       map : (((R,R) -> R),%,%) -> %
+--R map : ((R -> R),%) -> %               map! : ((R -> R),%) -> %
+--R matrix : List List R -> %             maxColIndex : % -> Integer
+--R maxRowIndex : % -> Integer            minColIndex : % -> Integer
+--R minRowIndex : % -> Integer            ncols : % -> NonNegativeInteger
+--R nrows : % -> NonNegativeInteger       parts : % -> List R
+--R qelt : (%,Integer,Integer) -> R       sample : () -> %
+--R square? : % -> Boolean                squareTop : % -> %
+--R symmetric? : % -> Boolean             transpose : % -> %
+--R vertConcat : (%,%) -> %              
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?*? : (IndexedVector(R,mnCol),%) -> IndexedVector(R,mnCol)
+--R ?*? : (%,IndexedVector(R,mnRow)) -> IndexedVector(R,mnRow)
+--R ?**? : (%,Integer) -> % if R has FIELD
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,R) -> % if R has FIELD
+--R ?=? : (%,%) -> Boolean if R has SETCAT
+--R any? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : IndexedVector(R,mnRow) -> %
+--R coerce : % -> OutputForm if R has SETCAT
+--R column : (%,Integer) -> IndexedVector(R,mnRow)
+--R columnSpace : % -> List IndexedVector(R,mnRow) if R has EUCDOM
+--R count : (R,%) -> NonNegativeInteger if $ has finiteAggregate and R has SETCAT
+--R count : ((R -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R determinant : % -> R if R has commutative *
+--R elt : (%,List Integer,List Integer) -> %
+--R eval : (%,List R,List R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,R,R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,Equation R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,List Equation R) -> % if R has EVALAB R and R has SETCAT
+--R every? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R exquo : (%,R) -> Union(%,"failed") if R has INTDOM
+--R hash : % -> SingleInteger if R has SETCAT
+--R inverse : % -> Union(%,"failed") if R has FIELD
+--R latex : % -> String if R has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R member? : (R,%) -> Boolean if $ has finiteAggregate and R has SETCAT
+--R members : % -> List R if $ has finiteAggregate
+--R minordet : % -> R if R has commutative *
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R new : (NonNegativeInteger,NonNegativeInteger,R) -> %
+--R nullSpace : % -> List IndexedVector(R,mnRow) if R has INTDOM
+--R nullity : % -> NonNegativeInteger if R has INTDOM
+--R pfaffian : % -> R if R has COMRING
+--R qsetelt! : (%,Integer,Integer,R) -> R
+--R rank : % -> NonNegativeInteger if R has INTDOM
+--R row : (%,Integer) -> IndexedVector(R,mnCol)
+--R rowEchelon : % -> % if R has EUCDOM
+--R scalarMatrix : (NonNegativeInteger,R) -> %
+--R setColumn! : (%,Integer,IndexedVector(R,mnRow)) -> %
+--R setRow! : (%,Integer,IndexedVector(R,mnCol)) -> %
+--R setelt : (%,List Integer,List Integer,%) -> %
+--R setelt : (%,Integer,Integer,R) -> R
+--R setsubMatrix! : (%,Integer,Integer,%) -> %
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R subMatrix : (%,Integer,Integer,Integer,Integer) -> %
+--R swapColumns! : (%,Integer,Integer) -> %
+--R swapRows! : (%,Integer,Integer) -> %
+--R transpose : IndexedVector(R,mnCol) -> %
+--R zero : (NonNegativeInteger,NonNegativeInteger) -> %
+--R ?~=? : (%,%) -> Boolean if R has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<IndexedMatrix.help>>=
+====================================================================
+IndexedMatrix examples
+====================================================================
+
+See Also:
+o )show IndexedMatrix
+
+@
+
 \pagehead{IndexedMatrix}{IMATRIX}
 \pagepic{ps/v103indexedmatrix.ps}{IMATRIX}{1.00}
 {\bf See}\\
@@ -46683,6 +55431,111 @@ IndexedMatrix(R,mnRow,mnCol): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IARRAY1 IndexedOneDimensionalArray}
+
+<<IndexedOneDimensionalArray.input>>=
+)set break resume
+)sys rm -f IndexedOneDimensionalArray.output
+)spool IndexedOneDimensionalArray.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IndexedOneDimensionalArray
+--R IndexedOneDimensionalArray(S: Type,mn: Integer)  is a domain constructor
+--R Abbreviation for IndexedOneDimensionalArray is IARRAY1 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for IARRAY1 
+--R
+--R------------------------------- Operations --------------------------------
+--R concat : List % -> %                  concat : (%,%) -> %
+--R concat : (S,%) -> %                   concat : (%,S) -> %
+--R construct : List S -> %               copy : % -> %
+--R delete : (%,Integer) -> %             ?.? : (%,Integer) -> S
+--R elt : (%,Integer,S) -> S              empty : () -> %
+--R empty? : % -> Boolean                 entries : % -> List S
+--R eq? : (%,%) -> Boolean                index? : (Integer,%) -> Boolean
+--R indices : % -> List Integer           insert : (%,%,Integer) -> %
+--R insert : (S,%,Integer) -> %           map : (((S,S) -> S),%,%) -> %
+--R map : ((S -> S),%) -> %               new : (NonNegativeInteger,S) -> %
+--R qelt : (%,Integer) -> S               reverse : % -> %
+--R sample : () -> %                     
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?<? : (%,%) -> Boolean if S has ORDSET
+--R ?<=? : (%,%) -> Boolean if S has ORDSET
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R ?>? : (%,%) -> Boolean if S has ORDSET
+--R ?>=? : (%,%) -> Boolean if S has ORDSET
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if S has SETCAT
+--R convert : % -> InputForm if S has KONVERT INFORM
+--R copyInto! : (%,%,Integer) -> % if $ has shallowlyMutable
+--R count : (S,%) -> NonNegativeInteger if $ has finiteAggregate and S has SETCAT
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R delete : (%,UniversalSegment Integer) -> %
+--R ?.? : (%,UniversalSegment Integer) -> %
+--R entry? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R fill! : (%,S) -> % if $ has shallowlyMutable
+--R find : ((S -> Boolean),%) -> Union(S,"failed")
+--R first : % -> S if Integer has ORDSET
+--R hash : % -> SingleInteger if S has SETCAT
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R max : (%,%) -> % if S has ORDSET
+--R maxIndex : % -> Integer if Integer has ORDSET
+--R member? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R members : % -> List S if $ has finiteAggregate
+--R merge : (%,%) -> % if S has ORDSET
+--R merge : (((S,S) -> Boolean),%,%) -> %
+--R min : (%,%) -> % if S has ORDSET
+--R minIndex : % -> Integer if Integer has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List S if $ has finiteAggregate
+--R position : (S,%,Integer) -> Integer if S has SETCAT
+--R position : (S,%) -> Integer if S has SETCAT
+--R position : ((S -> Boolean),%) -> Integer
+--R qsetelt! : (%,Integer,S) -> S if $ has shallowlyMutable
+--R reduce : (((S,S) -> S),%) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S,S) -> S if $ has finiteAggregate and S has SETCAT
+--R remove : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (S,%) -> % if $ has finiteAggregate and S has SETCAT
+--R removeDuplicates : % -> % if $ has finiteAggregate and S has SETCAT
+--R reverse! : % -> % if $ has shallowlyMutable
+--R select : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R setelt : (%,UniversalSegment Integer,S) -> S if $ has shallowlyMutable
+--R setelt : (%,Integer,S) -> S if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R sort : % -> % if S has ORDSET
+--R sort : (((S,S) -> Boolean),%) -> %
+--R sort! : % -> % if $ has shallowlyMutable and S has ORDSET
+--R sort! : (((S,S) -> Boolean),%) -> % if $ has shallowlyMutable
+--R sorted? : % -> Boolean if S has ORDSET
+--R sorted? : (((S,S) -> Boolean),%) -> Boolean
+--R swap! : (%,Integer,Integer) -> Void if $ has shallowlyMutable
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<IndexedOneDimensionalArray.help>>=
+====================================================================
+IndexedOneDimensionalArray examples
+====================================================================
+
+See Also:
+o )show IndexedOneDimensionalArray
+
+@
+
 \pagehead{IndexedOneDimensionalArray}{IARRAY1}
 \pagepic{ps/v103indexedonedimensionalarray.ps}{IARRAY1}{1.00}
 {\bf See}\\
@@ -46871,6 +55724,129 @@ IndexedOneDimensionalArray(S:Type, mn:Integer):
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ISTRING IndexedString}
+
+<<IndexedString.input>>=
+)set break resume
+)sys rm -f IndexedString.output
+)spool IndexedString.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IndexedString
+--R IndexedString mn: Integer  is a domain constructor
+--R Abbreviation for IndexedString is ISTRING 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ISTRING 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : Character -> %               concat : List % -> %
+--R concat : (%,%) -> %                   concat : (Character,%) -> %
+--R concat : (%,Character) -> %           construct : List Character -> %
+--R copy : % -> %                         delete : (%,Integer) -> %
+--R ?.? : (%,%) -> %                      ?.? : (%,Integer) -> Character
+--R empty : () -> %                       empty? : % -> Boolean
+--R entries : % -> List Character         eq? : (%,%) -> Boolean
+--R hash : % -> Integer                   index? : (Integer,%) -> Boolean
+--R indices : % -> List Integer           insert : (%,%,Integer) -> %
+--R leftTrim : (%,Character) -> %         lowerCase : % -> %
+--R lowerCase! : % -> %                   prefix? : (%,%) -> Boolean
+--R qelt : (%,Integer) -> Character       reverse : % -> %
+--R rightTrim : (%,Character) -> %        sample : () -> %
+--R split : (%,Character) -> List %       suffix? : (%,%) -> Boolean
+--R trim : (%,CharacterClass) -> %        trim : (%,Character) -> %
+--R upperCase : % -> %                    upperCase! : % -> %
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?<? : (%,%) -> Boolean if Character has ORDSET
+--R ?<=? : (%,%) -> Boolean if Character has ORDSET
+--R ?=? : (%,%) -> Boolean if Character has SETCAT
+--R ?>? : (%,%) -> Boolean if Character has ORDSET
+--R ?>=? : (%,%) -> Boolean if Character has ORDSET
+--R any? : ((Character -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if Character has SETCAT
+--R convert : % -> InputForm if Character has KONVERT INFORM
+--R copyInto! : (%,%,Integer) -> % if $ has shallowlyMutable
+--R count : (Character,%) -> NonNegativeInteger if $ has finiteAggregate and Character has SETCAT
+--R count : ((Character -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R delete : (%,UniversalSegment Integer) -> %
+--R ?.? : (%,UniversalSegment Integer) -> %
+--R elt : (%,Integer,Character) -> Character
+--R entry? : (Character,%) -> Boolean if $ has finiteAggregate and Character has SETCAT
+--R eval : (%,List Character,List Character) -> % if Character has EVALAB CHAR and Character has SETCAT
+--R eval : (%,Character,Character) -> % if Character has EVALAB CHAR and Character has SETCAT
+--R eval : (%,Equation Character) -> % if Character has EVALAB CHAR and Character has SETCAT
+--R eval : (%,List Equation Character) -> % if Character has EVALAB CHAR and Character has SETCAT
+--R every? : ((Character -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R fill! : (%,Character) -> % if $ has shallowlyMutable
+--R find : ((Character -> Boolean),%) -> Union(Character,"failed")
+--R first : % -> Character if Integer has ORDSET
+--R hash : % -> SingleInteger if Character has SETCAT
+--R insert : (Character,%,Integer) -> %
+--R latex : % -> String if Character has SETCAT
+--R leftTrim : (%,CharacterClass) -> %
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map : (((Character,Character) -> Character),%,%) -> %
+--R map : ((Character -> Character),%) -> %
+--R map! : ((Character -> Character),%) -> % if $ has shallowlyMutable
+--R match : (%,%,Character) -> NonNegativeInteger
+--R match? : (%,%,Character) -> Boolean
+--R max : (%,%) -> % if Character has ORDSET
+--R maxIndex : % -> Integer if Integer has ORDSET
+--R member? : (Character,%) -> Boolean if $ has finiteAggregate and Character has SETCAT
+--R members : % -> List Character if $ has finiteAggregate
+--R merge : (%,%) -> % if Character has ORDSET
+--R merge : (((Character,Character) -> Boolean),%,%) -> %
+--R min : (%,%) -> % if Character has ORDSET
+--R minIndex : % -> Integer if Integer has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R new : (NonNegativeInteger,Character) -> %
+--R parts : % -> List Character if $ has finiteAggregate
+--R position : (CharacterClass,%,Integer) -> Integer
+--R position : (%,%,Integer) -> Integer
+--R position : (Character,%,Integer) -> Integer if Character has SETCAT
+--R position : (Character,%) -> Integer if Character has SETCAT
+--R position : ((Character -> Boolean),%) -> Integer
+--R qsetelt! : (%,Integer,Character) -> Character if $ has shallowlyMutable
+--R reduce : (((Character,Character) -> Character),%) -> Character if $ has finiteAggregate
+--R reduce : (((Character,Character) -> Character),%,Character) -> Character if $ has finiteAggregate
+--R reduce : (((Character,Character) -> Character),%,Character,Character) -> Character if $ has finiteAggregate and Character has SETCAT
+--R remove : ((Character -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (Character,%) -> % if $ has finiteAggregate and Character has SETCAT
+--R removeDuplicates : % -> % if $ has finiteAggregate and Character has SETCAT
+--R replace : (%,UniversalSegment Integer,%) -> %
+--R reverse! : % -> % if $ has shallowlyMutable
+--R rightTrim : (%,CharacterClass) -> %
+--R select : ((Character -> Boolean),%) -> % if $ has finiteAggregate
+--R setelt : (%,UniversalSegment Integer,Character) -> Character if $ has shallowlyMutable
+--R setelt : (%,Integer,Character) -> Character if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R sort : % -> % if Character has ORDSET
+--R sort : (((Character,Character) -> Boolean),%) -> %
+--R sort! : % -> % if $ has shallowlyMutable and Character has ORDSET
+--R sort! : (((Character,Character) -> Boolean),%) -> % if $ has shallowlyMutable
+--R sorted? : % -> Boolean if Character has ORDSET
+--R sorted? : (((Character,Character) -> Boolean),%) -> Boolean
+--R split : (%,CharacterClass) -> List %
+--R substring? : (%,%,Integer) -> Boolean
+--R swap! : (%,Integer,Integer) -> Void if $ has shallowlyMutable
+--R ?~=? : (%,%) -> Boolean if Character has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<IndexedString.help>>=
+====================================================================
+IndexedString examples
+====================================================================
+
+See Also:
+o )show IndexedString
+
+@
+
 \pagehead{IndexedString}{ISTRING}
 \pagepic{ps/v103indexedstring.ps}{ISTRING}{1.00}
 {\bf See}\\
@@ -47164,6 +56140,7 @@ IndexedString(mn:Integer): Export == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IARRAY2 IndexedTwoDimensionalArray}
+
 An IndexedTwoDimensionalArray is a 2-dimensional array where
 the minimal row and column indices are parameters of the type.
 Rows and columns are returned as IndexedOneDimensionalArray's with
@@ -47173,6 +56150,75 @@ function 'minRowIndex'.  The index of the 'first' column may
 be obtained by calling the function 'minColIndex'.  The index of
 the first element of a 'Row' is the same as the index of the
 first column in an array and vice versa.
+
+<<IndexedTwoDimensionalArray.input>>=
+)set break resume
+)sys rm -f IndexedTwoDimensionalArray.output
+)spool IndexedTwoDimensionalArray.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IndexedTwoDimensionalArray
+--R IndexedTwoDimensionalArray(R: Type,mnRow: Integer,mnCol: Integer)  is a domain constructor
+--R Abbreviation for IndexedTwoDimensionalArray is IARRAY2 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for IARRAY2 
+--R
+--R------------------------------- Operations --------------------------------
+--R copy : % -> %                         elt : (%,Integer,Integer,R) -> R
+--R elt : (%,Integer,Integer) -> R        empty : () -> %
+--R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
+--R fill! : (%,R) -> %                    map : (((R,R) -> R),%,%,R) -> %
+--R map : (((R,R) -> R),%,%) -> %         map : ((R -> R),%) -> %
+--R map! : ((R -> R),%) -> %              maxColIndex : % -> Integer
+--R maxRowIndex : % -> Integer            minColIndex : % -> Integer
+--R minRowIndex : % -> Integer            ncols : % -> NonNegativeInteger
+--R nrows : % -> NonNegativeInteger       parts : % -> List R
+--R qelt : (%,Integer,Integer) -> R       sample : () -> %
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if R has SETCAT
+--R any? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if R has SETCAT
+--R column : (%,Integer) -> IndexedOneDimensionalArray(R,mnRow)
+--R count : (R,%) -> NonNegativeInteger if $ has finiteAggregate and R has SETCAT
+--R count : ((R -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R eval : (%,List R,List R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,R,R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,Equation R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,List Equation R) -> % if R has EVALAB R and R has SETCAT
+--R every? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R hash : % -> SingleInteger if R has SETCAT
+--R latex : % -> String if R has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R member? : (R,%) -> Boolean if $ has finiteAggregate and R has SETCAT
+--R members : % -> List R if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R new : (NonNegativeInteger,NonNegativeInteger,R) -> %
+--R qsetelt! : (%,Integer,Integer,R) -> R
+--R row : (%,Integer) -> IndexedOneDimensionalArray(R,mnCol)
+--R setColumn! : (%,Integer,IndexedOneDimensionalArray(R,mnRow)) -> %
+--R setRow! : (%,Integer,IndexedOneDimensionalArray(R,mnCol)) -> %
+--R setelt : (%,Integer,Integer,R) -> R
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R ?~=? : (%,%) -> Boolean if R has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<IndexedTwoDimensionalArray.help>>=
+====================================================================
+IndexedTwoDimensionalArray examples
+====================================================================
+
+See Also:
+o )show IndexedTwoDimensionalArray
+
+@
+
 \pagehead{IndexedTwoDimensionalArray}{IARRAY2}
 \pagepic{ps/v103indexedtwodimensionalarray.ps}{IARRAY2}{1.00}
 {\bf See}\\
@@ -47251,6 +56297,122 @@ IndexedTwoDimensionalArray(R,mnRow,mnCol):Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IVECTOR IndexedVector}
+
+<<IndexedVector.input>>=
+)set break resume
+)sys rm -f IndexedVector.output
+)spool IndexedVector.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IndexedVector
+--R IndexedVector(R: Type,mn: Integer)  is a domain constructor
+--R Abbreviation for IndexedVector is IVECTOR 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for IVECTOR 
+--R
+--R------------------------------- Operations --------------------------------
+--R -? : % -> % if R has ABELGRP          concat : List % -> %
+--R concat : (%,%) -> %                   concat : (R,%) -> %
+--R concat : (%,R) -> %                   construct : List R -> %
+--R copy : % -> %                         delete : (%,Integer) -> %
+--R ?.? : (%,Integer) -> R                elt : (%,Integer,R) -> R
+--R empty : () -> %                       empty? : % -> Boolean
+--R entries : % -> List R                 eq? : (%,%) -> Boolean
+--R index? : (Integer,%) -> Boolean       indices : % -> List Integer
+--R insert : (%,%,Integer) -> %           insert : (R,%,Integer) -> %
+--R map : (((R,R) -> R),%,%) -> %         map : ((R -> R),%) -> %
+--R new : (NonNegativeInteger,R) -> %     qelt : (%,Integer) -> R
+--R reverse : % -> %                      sample : () -> %
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?*? : (%,R) -> % if R has MONOID
+--R ?*? : (R,%) -> % if R has MONOID
+--R ?*? : (Integer,%) -> % if R has ABELGRP
+--R ?+? : (%,%) -> % if R has ABELSG
+--R ?-? : (%,%) -> % if R has ABELGRP
+--R ?<? : (%,%) -> Boolean if R has ORDSET
+--R ?<=? : (%,%) -> Boolean if R has ORDSET
+--R ?=? : (%,%) -> Boolean if R has SETCAT
+--R ?>? : (%,%) -> Boolean if R has ORDSET
+--R ?>=? : (%,%) -> Boolean if R has ORDSET
+--R any? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if R has SETCAT
+--R convert : % -> InputForm if R has KONVERT INFORM
+--R copyInto! : (%,%,Integer) -> % if $ has shallowlyMutable
+--R count : (R,%) -> NonNegativeInteger if $ has finiteAggregate and R has SETCAT
+--R count : ((R -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R cross : (%,%) -> % if R has RING
+--R delete : (%,UniversalSegment Integer) -> %
+--R dot : (%,%) -> R if R has RING
+--R ?.? : (%,UniversalSegment Integer) -> %
+--R entry? : (R,%) -> Boolean if $ has finiteAggregate and R has SETCAT
+--R eval : (%,List R,List R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,R,R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,Equation R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,List Equation R) -> % if R has EVALAB R and R has SETCAT
+--R every? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R fill! : (%,R) -> % if $ has shallowlyMutable
+--R find : ((R -> Boolean),%) -> Union(R,"failed")
+--R first : % -> R if Integer has ORDSET
+--R hash : % -> SingleInteger if R has SETCAT
+--R latex : % -> String if R has SETCAT
+--R length : % -> R if R has RADCAT and R has RING
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R magnitude : % -> R if R has RADCAT and R has RING
+--R map! : ((R -> R),%) -> % if $ has shallowlyMutable
+--R max : (%,%) -> % if R has ORDSET
+--R maxIndex : % -> Integer if Integer has ORDSET
+--R member? : (R,%) -> Boolean if $ has finiteAggregate and R has SETCAT
+--R members : % -> List R if $ has finiteAggregate
+--R merge : (%,%) -> % if R has ORDSET
+--R merge : (((R,R) -> Boolean),%,%) -> %
+--R min : (%,%) -> % if R has ORDSET
+--R minIndex : % -> Integer if Integer has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R outerProduct : (%,%) -> Matrix R if R has RING
+--R parts : % -> List R if $ has finiteAggregate
+--R position : (R,%,Integer) -> Integer if R has SETCAT
+--R position : (R,%) -> Integer if R has SETCAT
+--R position : ((R -> Boolean),%) -> Integer
+--R qsetelt! : (%,Integer,R) -> R if $ has shallowlyMutable
+--R reduce : (((R,R) -> R),%) -> R if $ has finiteAggregate
+--R reduce : (((R,R) -> R),%,R) -> R if $ has finiteAggregate
+--R reduce : (((R,R) -> R),%,R,R) -> R if $ has finiteAggregate and R has SETCAT
+--R remove : ((R -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (R,%) -> % if $ has finiteAggregate and R has SETCAT
+--R removeDuplicates : % -> % if $ has finiteAggregate and R has SETCAT
+--R reverse! : % -> % if $ has shallowlyMutable
+--R select : ((R -> Boolean),%) -> % if $ has finiteAggregate
+--R setelt : (%,UniversalSegment Integer,R) -> R if $ has shallowlyMutable
+--R setelt : (%,Integer,R) -> R if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R sort : % -> % if R has ORDSET
+--R sort : (((R,R) -> Boolean),%) -> %
+--R sort! : % -> % if $ has shallowlyMutable and R has ORDSET
+--R sort! : (((R,R) -> Boolean),%) -> % if $ has shallowlyMutable
+--R sorted? : % -> Boolean if R has ORDSET
+--R sorted? : (((R,R) -> Boolean),%) -> Boolean
+--R swap! : (%,Integer,Integer) -> Void if $ has shallowlyMutable
+--R zero : NonNegativeInteger -> % if R has ABELMON
+--R ?~=? : (%,%) -> Boolean if R has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<IndexedVector.help>>=
+====================================================================
+IndexedVector examples
+====================================================================
+
+See Also:
+o )show IndexedVector
+
+@
+
 \pagehead{IndexedVector}{IVECTOR}
 \pagepic{ps/v103indexedvector.ps}{IVECTOR}{1.00}
 
@@ -47356,6 +56518,44 @@ IndexedVector(R:Type, mn:Integer):
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ITUPLE InfiniteTuple}
+
+<<InfiniteTuple.input>>=
+)set break resume
+)sys rm -f InfiniteTuple.output
+)spool InfiniteTuple.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InfiniteTuple
+--R InfiniteTuple S: Type  is a domain constructor
+--R Abbreviation for InfiniteTuple is ITUPLE 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ITUPLE 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : % -> OutputForm              construct : % -> Stream S
+--R generate : ((S -> S),S) -> %          map : ((S -> S),%) -> %
+--R select : ((S -> Boolean),%) -> %     
+--R filterUntil : ((S -> Boolean),%) -> %
+--R filterWhile : ((S -> Boolean),%) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<InfiniteTuple.help>>=
+====================================================================
+InfiniteTuple examples
+====================================================================
+
+See Also:
+o )show InfiniteTuple
+
+@
+
 \pagehead{InfiniteTuple}{ITUPLE}
 \pagepic{ps/v103infinitetuple.ps}{ITUPLE}{1.00}
 
@@ -47417,6 +56617,7 @@ InfiniteTuple(S:Type): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain INFCLSPT InfinitlyClosePoint} 
+
 <<InfinitlyClosePoint.input>>=
 )set break resume
 )sys rm -f InfinitlyClosePoint.output
@@ -47685,6 +56886,7 @@ InfinitlyClosePoint(K,symb,PolyRing,E,ProjPt,PCS,Plc,DIVISOR,BLMET):Exports == I
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain INFCLSPS InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField}
+
 <<InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField.input>>=
 )set break resume
 )sys rm -f InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField.output
@@ -47824,6 +57026,144 @@ InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField(K,symb,BLMET):_
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IAN InnerAlgebraicNumber}
+
+<<InnerAlgebraicNumber.input>>=
+)set break resume
+)sys rm -f InnerAlgebraicNumber.output
+)spool InnerAlgebraicNumber.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InnerAlgebraicNumber
+--R InnerAlgebraicNumber  is a domain constructor
+--R Abbreviation for InnerAlgebraicNumber is IAN 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for IAN 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (PositiveInteger,%) -> %        ?*? : (Integer,%) -> %
+--R ?*? : (%,%) -> %                      ?*? : (%,Fraction Integer) -> %
+--R ?*? : (Fraction Integer,%) -> %       ?**? : (%,PositiveInteger) -> %
+--R ?**? : (%,Integer) -> %               ?**? : (%,Fraction Integer) -> %
+--R ?+? : (%,%) -> %                      -? : % -> %
+--R ?-? : (%,%) -> %                      ?/? : (%,%) -> %
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               D : % -> %
+--R D : (%,NonNegativeInteger) -> %       1 : () -> %
+--R 0 : () -> %                           ?^? : (%,PositiveInteger) -> %
+--R ?^? : (%,Integer) -> %                associates? : (%,%) -> Boolean
+--R belong? : BasicOperator -> Boolean    box : List % -> %
+--R box : % -> %                          coerce : Integer -> %
+--R coerce : % -> %                       coerce : Fraction Integer -> %
+--R coerce : Kernel % -> %                coerce : % -> OutputForm
+--R convert : % -> Complex Float          convert : % -> DoubleFloat
+--R convert : % -> Float                  differentiate : % -> %
+--R distribute : (%,%) -> %               distribute : % -> %
+--R elt : (BasicOperator,%,%) -> %        elt : (BasicOperator,%) -> %
+--R eval : (%,List %,List %) -> %         eval : (%,%,%) -> %
+--R eval : (%,Equation %) -> %            eval : (%,List Equation %) -> %
+--R eval : (%,Kernel %,%) -> %            factor : % -> Factored %
+--R freeOf? : (%,Symbol) -> Boolean       freeOf? : (%,%) -> Boolean
+--R gcd : (%,%) -> %                      gcd : List % -> %
+--R hash : % -> SingleInteger             height : % -> NonNegativeInteger
+--R inv : % -> %                          is? : (%,Symbol) -> Boolean
+--R kernel : (BasicOperator,%) -> %       kernels : % -> List Kernel %
+--R latex : % -> String                   lcm : (%,%) -> %
+--R lcm : List % -> %                     map : ((% -> %),Kernel %) -> %
+--R max : (%,%) -> %                      min : (%,%) -> %
+--R norm : (%,List Kernel %) -> %         norm : (%,Kernel %) -> %
+--R nthRoot : (%,Integer) -> %            one? : % -> Boolean
+--R paren : List % -> %                   paren : % -> %
+--R prime? : % -> Boolean                 ?quo? : (%,%) -> %
+--R recip : % -> Union(%,"failed")        reduce : % -> %
+--R ?rem? : (%,%) -> %                    retract : % -> Fraction Integer
+--R retract : % -> Integer                retract : % -> Kernel %
+--R rootOf : Polynomial % -> %            rootsOf : Polynomial % -> List %
+--R sample : () -> %                      sizeLess? : (%,%) -> Boolean
+--R sqrt : % -> %                         squareFree : % -> Factored %
+--R squareFreePart : % -> %               subst : (%,Equation %) -> %
+--R tower : % -> List Kernel %            trueEqual : (%,%) -> Boolean
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R zero? : % -> Boolean                  zeroOf : Polynomial % -> %
+--R zerosOf : Polynomial % -> List %      ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R coerce : SparseMultivariatePolynomial(Integer,Kernel %) -> %
+--R definingPolynomial : % -> % if $ has RING
+--R denom : % -> SparseMultivariatePolynomial(Integer,Kernel %)
+--R differentiate : (%,NonNegativeInteger) -> %
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R elt : (BasicOperator,List %) -> %
+--R elt : (BasicOperator,%,%,%,%) -> %
+--R elt : (BasicOperator,%,%,%) -> %
+--R euclideanSize : % -> NonNegativeInteger
+--R eval : (%,BasicOperator,(% -> %)) -> %
+--R eval : (%,BasicOperator,(List % -> %)) -> %
+--R eval : (%,List BasicOperator,List (List % -> %)) -> %
+--R eval : (%,List BasicOperator,List (% -> %)) -> %
+--R eval : (%,Symbol,(% -> %)) -> %
+--R eval : (%,Symbol,(List % -> %)) -> %
+--R eval : (%,List Symbol,List (List % -> %)) -> %
+--R eval : (%,List Symbol,List (% -> %)) -> %
+--R eval : (%,List Kernel %,List %) -> %
+--R even? : % -> Boolean if $ has RETRACT INT
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R is? : (%,BasicOperator) -> Boolean
+--R kernel : (BasicOperator,List %) -> %
+--R mainKernel : % -> Union(Kernel %,"failed")
+--R minPoly : Kernel % -> SparseUnivariatePolynomial % if $ has RING
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R norm : (SparseUnivariatePolynomial %,List Kernel %) -> SparseUnivariatePolynomial %
+--R norm : (SparseUnivariatePolynomial %,Kernel %) -> SparseUnivariatePolynomial %
+--R numer : % -> SparseMultivariatePolynomial(Integer,Kernel %)
+--R odd? : % -> Boolean if $ has RETRACT INT
+--R operator : BasicOperator -> BasicOperator
+--R operators : % -> List BasicOperator
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R reducedSystem : Matrix % -> Matrix Fraction Integer
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Fraction Integer,vec: Vector Fraction Integer)
+--R reducedSystem : Matrix % -> Matrix Integer
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer)
+--R retractIfCan : % -> Union(Fraction Integer,"failed")
+--R retractIfCan : % -> Union(Integer,"failed")
+--R retractIfCan : % -> Union(Kernel %,"failed")
+--R rootOf : SparseUnivariatePolynomial % -> %
+--R rootOf : (SparseUnivariatePolynomial %,Symbol) -> %
+--R rootsOf : SparseUnivariatePolynomial % -> List %
+--R rootsOf : (SparseUnivariatePolynomial %,Symbol) -> List %
+--R subst : (%,List Kernel %,List %) -> %
+--R subst : (%,List Equation %) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R zeroOf : SparseUnivariatePolynomial % -> %
+--R zeroOf : (SparseUnivariatePolynomial %,Symbol) -> %
+--R zerosOf : SparseUnivariatePolynomial % -> List %
+--R zerosOf : (SparseUnivariatePolynomial %,Symbol) -> List %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<InnerAlgebraicNumber.help>>=
+====================================================================
+InnerAlgebraicNumber examples
+====================================================================
+
+See Also:
+o )show InnerAlgebraicNumber
+
+@
+
 \pagehead{InnerAlgebraicNumber}{IAN}
 \pagepic{ps/v103inneralgebraicnumber.ps}{IAN}{1.00}
 {\bf See}\\
@@ -48075,6 +57415,131 @@ InnerAlgebraicNumber(): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IFF InnerFiniteField}
+
+<<InnerFiniteField.input>>=
+)set break resume
+)sys rm -f InnerFiniteField.output
+)spool InnerFiniteField.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InnerFiniteField
+--R InnerFiniteField(p: PositiveInteger,n: PositiveInteger)  is a domain constructor
+--R Abbreviation for InnerFiniteField is IFF 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for IFF 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (InnerPrimeField p,%) -> %      ?*? : (%,InnerPrimeField p) -> %
+--R ?*? : (Fraction Integer,%) -> %       ?*? : (%,Fraction Integer) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?/? : (%,InnerPrimeField p) -> %      ?/? : (%,%) -> %
+--R ?=? : (%,%) -> Boolean                1 : () -> %
+--R 0 : () -> %                           ?^? : (%,Integer) -> %
+--R ?^? : (%,PositiveInteger) -> %        algebraic? : % -> Boolean
+--R associates? : (%,%) -> Boolean        basis : () -> Vector %
+--R coerce : InnerPrimeField p -> %       coerce : Fraction Integer -> %
+--R coerce : % -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              degree : % -> PositiveInteger
+--R dimension : () -> CardinalNumber      factor : % -> Factored %
+--R gcd : List % -> %                     gcd : (%,%) -> %
+--R hash : % -> SingleInteger             inGroundField? : % -> Boolean
+--R inv : % -> %                          latex : % -> String
+--R lcm : List % -> %                     lcm : (%,%) -> %
+--R norm : % -> InnerPrimeField p         one? : % -> Boolean
+--R prime? : % -> Boolean                 ?quo? : (%,%) -> %
+--R recip : % -> Union(%,"failed")        ?rem? : (%,%) -> %
+--R retract : % -> InnerPrimeField p      sample : () -> %
+--R sizeLess? : (%,%) -> Boolean          squareFree : % -> Factored %
+--R squareFreePart : % -> %               trace : % -> InnerPrimeField p
+--R transcendent? : % -> Boolean          unit? : % -> Boolean
+--R unitCanonical : % -> %                zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R D : (%,NonNegativeInteger) -> % if InnerPrimeField p has FINITE
+--R D : % -> % if InnerPrimeField p has FINITE
+--R Frobenius : (%,NonNegativeInteger) -> % if InnerPrimeField p has FINITE
+--R Frobenius : % -> % if InnerPrimeField p has FINITE
+--R ?^? : (%,NonNegativeInteger) -> %
+--R basis : PositiveInteger -> Vector %
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if InnerPrimeField p has CHARNZ or InnerPrimeField p has FINITE
+--R charthRoot : % -> % if InnerPrimeField p has FINITE
+--R conditionP : Matrix % -> Union(Vector %,"failed") if InnerPrimeField p has FINITE
+--R coordinates : Vector % -> Matrix InnerPrimeField p
+--R coordinates : % -> Vector InnerPrimeField p
+--R createNormalElement : () -> % if InnerPrimeField p has FINITE
+--R createPrimitiveElement : () -> % if InnerPrimeField p has FINITE
+--R definingPolynomial : () -> SparseUnivariatePolynomial InnerPrimeField p
+--R degree : % -> OnePointCompletion PositiveInteger
+--R differentiate : (%,NonNegativeInteger) -> % if InnerPrimeField p has FINITE
+--R differentiate : % -> % if InnerPrimeField p has FINITE
+--R discreteLog : (%,%) -> Union(NonNegativeInteger,"failed") if InnerPrimeField p has CHARNZ or InnerPrimeField p has FINITE
+--R discreteLog : % -> NonNegativeInteger if InnerPrimeField p has FINITE
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R extensionDegree : () -> PositiveInteger
+--R extensionDegree : () -> OnePointCompletion PositiveInteger
+--R factorsOfCyclicGroupSize : () -> List Record(factor: Integer,exponent: Integer) if InnerPrimeField p has FINITE
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R generator : () -> % if InnerPrimeField p has FINITE
+--R index : PositiveInteger -> % if InnerPrimeField p has FINITE
+--R init : () -> % if InnerPrimeField p has FINITE
+--R linearAssociatedExp : (%,SparseUnivariatePolynomial InnerPrimeField p) -> % if InnerPrimeField p has FINITE
+--R linearAssociatedLog : (%,%) -> Union(SparseUnivariatePolynomial InnerPrimeField p,"failed") if InnerPrimeField p has FINITE
+--R linearAssociatedLog : % -> SparseUnivariatePolynomial InnerPrimeField p if InnerPrimeField p has FINITE
+--R linearAssociatedOrder : % -> SparseUnivariatePolynomial InnerPrimeField p if InnerPrimeField p has FINITE
+--R lookup : % -> PositiveInteger if InnerPrimeField p has FINITE
+--R minimalPolynomial : (%,PositiveInteger) -> SparseUnivariatePolynomial % if InnerPrimeField p has FINITE
+--R minimalPolynomial : % -> SparseUnivariatePolynomial InnerPrimeField p
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R nextItem : % -> Union(%,"failed") if InnerPrimeField p has FINITE
+--R norm : (%,PositiveInteger) -> % if InnerPrimeField p has FINITE
+--R normal? : % -> Boolean if InnerPrimeField p has FINITE
+--R normalElement : () -> % if InnerPrimeField p has FINITE
+--R order : % -> OnePointCompletion PositiveInteger if InnerPrimeField p has CHARNZ or InnerPrimeField p has FINITE
+--R order : % -> PositiveInteger if InnerPrimeField p has FINITE
+--R primeFrobenius : % -> % if InnerPrimeField p has CHARNZ or InnerPrimeField p has FINITE
+--R primeFrobenius : (%,NonNegativeInteger) -> % if InnerPrimeField p has CHARNZ or InnerPrimeField p has FINITE
+--R primitive? : % -> Boolean if InnerPrimeField p has FINITE
+--R primitiveElement : () -> % if InnerPrimeField p has FINITE
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R random : () -> % if InnerPrimeField p has FINITE
+--R representationType : () -> Union("prime",polynomial,normal,cyclic) if InnerPrimeField p has FINITE
+--R represents : Vector InnerPrimeField p -> %
+--R retractIfCan : % -> Union(InnerPrimeField p,"failed")
+--R size : () -> NonNegativeInteger if InnerPrimeField p has FINITE
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tableForDiscreteLogarithm : Integer -> Table(PositiveInteger,NonNegativeInteger) if InnerPrimeField p has FINITE
+--R trace : (%,PositiveInteger) -> % if InnerPrimeField p has FINITE
+--R transcendenceDegree : () -> NonNegativeInteger
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<InnerFiniteField.help>>=
+====================================================================
+InnerFiniteField examples
+====================================================================
+
+See Also:
+o )show InnerFiniteField
+
+@
+
 \pagehead{InnerFiniteField}{IFF}
 \pagepic{ps/v103innerfinitefield.ps}{IFF}{1.00}
 {\bf See}\\
@@ -48205,6 +57670,54 @@ InnerFiniteField(p:PositiveInteger, n:PositiveInteger) ==
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IFAMON InnerFreeAbelianMonoid}
+
+<<InnerFreeAbelianMonoid.input>>=
+)set break resume
+)sys rm -f InnerFreeAbelianMonoid.output
+)spool InnerFreeAbelianMonoid.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InnerFreeAbelianMonoid
+--R InnerFreeAbelianMonoid(S: SetCategory,E: CancellationAbelianMonoid,un: E)  is a domain constructor
+--R Abbreviation for InnerFreeAbelianMonoid is IFAMON 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for IFAMON 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (E,S) -> %                      ?*? : (PositiveInteger,%) -> %
+--R ?+? : (S,%) -> %                      ?+? : (%,%) -> %
+--R ?=? : (%,%) -> Boolean                0 : () -> %
+--R coefficient : (S,%) -> E              coerce : S -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   mapCoef : ((E -> E),%) -> %
+--R mapGen : ((S -> S),%) -> %            nthCoef : (%,Integer) -> E
+--R nthFactor : (%,Integer) -> S          retract : % -> S
+--R sample : () -> %                      size : % -> NonNegativeInteger
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R highCommonTerms : (%,%) -> % if E has OAMON
+--R retractIfCan : % -> Union(S,"failed")
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R terms : % -> List Record(gen: S,exp: E)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<InnerFreeAbelianMonoid.help>>=
+====================================================================
+InnerFreeAbelianMonoid examples
+====================================================================
+
+See Also:
+o )show InnerFreeAbelianMonoid
+
+@
+
 \pagehead{InnerFreeAbelianMonoid}{IFAMON}
 \pagepic{ps/v103innerfreeabelianmonoid.ps}{IFAMON}{1.00}
 {\bf See}\\
@@ -48284,8 +57797,77 @@ InnerFreeAbelianMonoid(S: SetCategory, E:CancellationAbelianMonoid, un:E):
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IIARRAY2 InnerIndexedTwoDimensionalArray}
+
 This is an internal type which provides an implementation of
 2-dimensional arrays as PrimitiveArray's of PrimitiveArray's.
+
+<<InnerIndexedTwoDimensionalArray.input>>=
+)set break resume
+)sys rm -f InnerIndexedTwoDimensionalArray.output
+)spool InnerIndexedTwoDimensionalArray.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InnerIndexedTwoDimensionalArray
+--R InnerIndexedTwoDimensionalArray(R: Type,mnRow: Integer,mnCol: Integer,Row: FiniteLinearAggregate R,Col: FiniteLinearAggregate R)  is a domain constructor
+--R Abbreviation for InnerIndexedTwoDimensionalArray is IIARRAY2 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for IIARRAY2 
+--R
+--R------------------------------- Operations --------------------------------
+--R column : (%,Integer) -> Col           copy : % -> %
+--R elt : (%,Integer,Integer,R) -> R      elt : (%,Integer,Integer) -> R
+--R empty : () -> %                       empty? : % -> Boolean
+--R eq? : (%,%) -> Boolean                fill! : (%,R) -> %
+--R map : (((R,R) -> R),%,%,R) -> %       map : (((R,R) -> R),%,%) -> %
+--R map : ((R -> R),%) -> %               map! : ((R -> R),%) -> %
+--R maxColIndex : % -> Integer            maxRowIndex : % -> Integer
+--R minColIndex : % -> Integer            minRowIndex : % -> Integer
+--R ncols : % -> NonNegativeInteger       nrows : % -> NonNegativeInteger
+--R parts : % -> List R                   qelt : (%,Integer,Integer) -> R
+--R row : (%,Integer) -> Row              sample : () -> %
+--R setRow! : (%,Integer,Row) -> %       
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if R has SETCAT
+--R any? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if R has SETCAT
+--R count : (R,%) -> NonNegativeInteger if $ has finiteAggregate and R has SETCAT
+--R count : ((R -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R eval : (%,List R,List R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,R,R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,Equation R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,List Equation R) -> % if R has EVALAB R and R has SETCAT
+--R every? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R hash : % -> SingleInteger if R has SETCAT
+--R latex : % -> String if R has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R member? : (R,%) -> Boolean if $ has finiteAggregate and R has SETCAT
+--R members : % -> List R if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R new : (NonNegativeInteger,NonNegativeInteger,R) -> %
+--R qsetelt! : (%,Integer,Integer,R) -> R
+--R setColumn! : (%,Integer,Col) -> %
+--R setelt : (%,Integer,Integer,R) -> R
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R ?~=? : (%,%) -> Boolean if R has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<InnerIndexedTwoDimensionalArray.help>>=
+====================================================================
+InnerIndexedTwoDimensionalArray examples
+====================================================================
+
+See Also:
+o )show InnerIndexedTwoDimensionalArray
+
+@
+
 \pagehead{InnerIndexedTwoDimensionalArray}{IIARRAY2}
 \pagepic{ps/v103innerindexedtwodimensionalarray.ps}{IIARRAY2}{1.00}
 {\bf See}\\
@@ -48431,6 +58013,76 @@ InnerIndexedTwoDimensionalArray(R,mnRow,mnCol,Row,Col):_
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IPADIC InnerPAdicInteger}
+
+<<InnerPAdicInteger.input>>=
+)set break resume
+)sys rm -f InnerPAdicInteger.output
+)spool InnerPAdicInteger.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InnerPAdicInteger
+--R InnerPAdicInteger(p: Integer,unBalanced?: Boolean)  is a domain constructor
+--R Abbreviation for InnerPAdicInteger is IPADIC 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for IPADIC 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        associates? : (%,%) -> Boolean
+--R coerce : % -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              complete : % -> %
+--R digits : % -> Stream Integer          extend : (%,Integer) -> %
+--R gcd : List % -> %                     gcd : (%,%) -> %
+--R hash : % -> SingleInteger             latex : % -> String
+--R lcm : List % -> %                     lcm : (%,%) -> %
+--R moduloP : % -> Integer                modulus : () -> Integer
+--R one? : % -> Boolean                   order : % -> NonNegativeInteger
+--R ?quo? : (%,%) -> %                    quotientByP : % -> %
+--R recip : % -> Union(%,"failed")        ?rem? : (%,%) -> %
+--R sample : () -> %                      sizeLess? : (%,%) -> Boolean
+--R sqrt : (%,Integer) -> %               unit? : % -> Boolean
+--R unitCanonical : % -> %                zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R approximate : (%,Integer) -> Integer
+--R characteristic : () -> NonNegativeInteger
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R root : (SparseUnivariatePolynomial Integer,Integer) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<InnerPAdicInteger.help>>=
+====================================================================
+InnerPAdicInteger examples
+====================================================================
+
+See Also:
+o )show InnerPAdicInteger
+
+@
+
 \pagehead{InnerPAdicInteger}{IPADIC}
 \pagepic{ps/v103innerpadicinteger.ps}{IPADIC}{1.00}
 {\bf See}\\
@@ -48751,6 +58403,121 @@ InnerPAdicInteger(p,unBalanced?): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IPF InnerPrimeField}
+
+<<InnerPrimeField.input>>=
+)set break resume
+)sys rm -f InnerPrimeField.output
+)spool InnerPrimeField.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InnerPrimeField
+--R InnerPrimeField p: PositiveInteger  is a domain constructor
+--R Abbreviation for InnerPrimeField is IPF 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for IPF 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Fraction Integer,%) -> %       ?*? : (%,Fraction Integer) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?/? : (%,%) -> %                      ?=? : (%,%) -> Boolean
+--R D : % -> %                            D : (%,NonNegativeInteger) -> %
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,Integer) -> %                ?^? : (%,PositiveInteger) -> %
+--R algebraic? : % -> Boolean             associates? : (%,%) -> Boolean
+--R basis : () -> Vector %                charthRoot : % -> %
+--R coerce : Fraction Integer -> %        coerce : % -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R convert : % -> Integer                coordinates : % -> Vector %
+--R createPrimitiveElement : () -> %      degree : % -> PositiveInteger
+--R differentiate : % -> %                dimension : () -> CardinalNumber
+--R factor : % -> Factored %              gcd : List % -> %
+--R gcd : (%,%) -> %                      hash : % -> SingleInteger
+--R inGroundField? : % -> Boolean         index : PositiveInteger -> %
+--R init : () -> %                        inv : % -> %
+--R latex : % -> String                   lcm : List % -> %
+--R lcm : (%,%) -> %                      lookup : % -> PositiveInteger
+--R norm : % -> %                         one? : % -> Boolean
+--R order : % -> PositiveInteger          prime? : % -> Boolean
+--R primeFrobenius : % -> %               primitive? : % -> Boolean
+--R primitiveElement : () -> %            ?quo? : (%,%) -> %
+--R random : () -> %                      recip : % -> Union(%,"failed")
+--R ?rem? : (%,%) -> %                    represents : Vector % -> %
+--R retract : % -> %                      sample : () -> %
+--R size : () -> NonNegativeInteger       sizeLess? : (%,%) -> Boolean
+--R squareFree : % -> Factored %          squareFreePart : % -> %
+--R trace : % -> %                        transcendent? : % -> Boolean
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R Frobenius : % -> % if $ has FINITE
+--R Frobenius : (%,NonNegativeInteger) -> % if $ has FINITE
+--R ?^? : (%,NonNegativeInteger) -> %
+--R basis : PositiveInteger -> Vector %
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed")
+--R conditionP : Matrix % -> Union(Vector %,"failed")
+--R coordinates : Vector % -> Matrix %
+--R createNormalElement : () -> % if $ has FINITE
+--R definingPolynomial : () -> SparseUnivariatePolynomial %
+--R degree : % -> OnePointCompletion PositiveInteger
+--R differentiate : (%,NonNegativeInteger) -> %
+--R discreteLog : % -> NonNegativeInteger
+--R discreteLog : (%,%) -> Union(NonNegativeInteger,"failed")
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R extensionDegree : () -> OnePointCompletion PositiveInteger
+--R extensionDegree : () -> PositiveInteger
+--R factorsOfCyclicGroupSize : () -> List Record(factor: Integer,exponent: Integer)
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R generator : () -> % if $ has FINITE
+--R linearAssociatedExp : (%,SparseUnivariatePolynomial %) -> % if $ has FINITE
+--R linearAssociatedLog : % -> SparseUnivariatePolynomial % if $ has FINITE
+--R linearAssociatedLog : (%,%) -> Union(SparseUnivariatePolynomial %,"failed") if $ has FINITE
+--R linearAssociatedOrder : % -> SparseUnivariatePolynomial % if $ has FINITE
+--R minimalPolynomial : % -> SparseUnivariatePolynomial %
+--R minimalPolynomial : (%,PositiveInteger) -> SparseUnivariatePolynomial % if $ has FINITE
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R nextItem : % -> Union(%,"failed")
+--R norm : (%,PositiveInteger) -> % if $ has FINITE
+--R normal? : % -> Boolean if $ has FINITE
+--R normalElement : () -> % if $ has FINITE
+--R order : % -> OnePointCompletion PositiveInteger
+--R primeFrobenius : (%,NonNegativeInteger) -> %
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R representationType : () -> Union("prime",polynomial,normal,cyclic)
+--R retractIfCan : % -> Union(%,"failed")
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tableForDiscreteLogarithm : Integer -> Table(PositiveInteger,NonNegativeInteger)
+--R trace : (%,PositiveInteger) -> % if $ has FINITE
+--R transcendenceDegree : () -> NonNegativeInteger
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<InnerPrimeField.help>>=
+====================================================================
+InnerPrimeField examples
+====================================================================
+
+See Also:
+o )show InnerPrimeField
+
+@
+
 \pagehead{InnerPrimeField}{IPF}
 \pagepic{ps/v103innerprimefield.ps}{IPF}{1.00}
 {\bf See}\\
@@ -49033,6 +58800,134 @@ InnerPrimeField(p:PositiveInteger): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ISUPS InnerSparseUnivariatePowerSeries}
+
+<<InnerSparseUnivariatePowerSeries.input>>=
+)set break resume
+)sys rm -f InnerSparseUnivariatePowerSeries.output
+)spool InnerSparseUnivariatePowerSeries.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InnerSparseUnivariatePowerSeries
+--R InnerSparseUnivariatePowerSeries Coef: Ring  is a domain constructor
+--R Abbreviation for InnerSparseUnivariatePowerSeries is ISUPS 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ISUPS 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Coef,%) -> %                   ?*? : (%,Coef) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        center : % -> Coef
+--R coefficient : (%,Integer) -> Coef     coerce : Integer -> %
+--R coerce : % -> OutputForm              complete : % -> %
+--R degree : % -> Integer                 ?.? : (%,Integer) -> Coef
+--R extend : (%,Integer) -> %             hash : % -> SingleInteger
+--R iCompose : (%,%) -> %                 latex : % -> String
+--R leadingCoefficient : % -> Coef        leadingMonomial : % -> %
+--R map : ((Coef -> Coef),%) -> %         monomial : (Coef,Integer) -> %
+--R monomial? : % -> Boolean              one? : % -> Boolean
+--R order : (%,Integer) -> Integer        order : % -> Integer
+--R pole? : % -> Boolean                  recip : % -> Union(%,"failed")
+--R reductum : % -> %                     sample : () -> %
+--R taylorQuoByVar : % -> %               truncate : (%,Integer) -> %
+--R variable : % -> Symbol                zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (Fraction Integer,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,Coef) -> % if Coef has FIELD
+--R D : % -> % if Coef has *: (Integer,Coef) -> Coef
+--R D : (%,NonNegativeInteger) -> % if Coef has *: (Integer,Coef) -> Coef
+--R D : (%,Symbol) -> % if Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R ?^? : (%,NonNegativeInteger) -> %
+--R approximate : (%,Integer) -> Coef if Coef has **: (Coef,Integer) -> Coef and Coef has coerce: Symbol -> Coef
+--R associates? : (%,%) -> Boolean if Coef has INTDOM
+--R cAcos : % -> % if Coef has ALGEBRA FRAC INT
+--R cAcosh : % -> % if Coef has ALGEBRA FRAC INT
+--R cAcot : % -> % if Coef has ALGEBRA FRAC INT
+--R cAcoth : % -> % if Coef has ALGEBRA FRAC INT
+--R cAcsc : % -> % if Coef has ALGEBRA FRAC INT
+--R cAcsch : % -> % if Coef has ALGEBRA FRAC INT
+--R cAsec : % -> % if Coef has ALGEBRA FRAC INT
+--R cAsech : % -> % if Coef has ALGEBRA FRAC INT
+--R cAsin : % -> % if Coef has ALGEBRA FRAC INT
+--R cAsinh : % -> % if Coef has ALGEBRA FRAC INT
+--R cAtan : % -> % if Coef has ALGEBRA FRAC INT
+--R cAtanh : % -> % if Coef has ALGEBRA FRAC INT
+--R cCos : % -> % if Coef has ALGEBRA FRAC INT
+--R cCosh : % -> % if Coef has ALGEBRA FRAC INT
+--R cCot : % -> % if Coef has ALGEBRA FRAC INT
+--R cCoth : % -> % if Coef has ALGEBRA FRAC INT
+--R cCsc : % -> % if Coef has ALGEBRA FRAC INT
+--R cCsch : % -> % if Coef has ALGEBRA FRAC INT
+--R cExp : % -> % if Coef has ALGEBRA FRAC INT
+--R cLog : % -> % if Coef has ALGEBRA FRAC INT
+--R cPower : (%,Coef) -> % if Coef has ALGEBRA FRAC INT
+--R cRationalPower : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R cSec : % -> % if Coef has ALGEBRA FRAC INT
+--R cSech : % -> % if Coef has ALGEBRA FRAC INT
+--R cSin : % -> % if Coef has ALGEBRA FRAC INT
+--R cSinh : % -> % if Coef has ALGEBRA FRAC INT
+--R cTan : % -> % if Coef has ALGEBRA FRAC INT
+--R cTanh : % -> % if Coef has ALGEBRA FRAC INT
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if Coef has CHARNZ
+--R coerce : Coef -> % if Coef has COMRING
+--R coerce : % -> % if Coef has INTDOM
+--R coerce : Fraction Integer -> % if Coef has ALGEBRA FRAC INT
+--R differentiate : % -> % if Coef has *: (Integer,Coef) -> Coef
+--R differentiate : (%,NonNegativeInteger) -> % if Coef has *: (Integer,Coef) -> Coef
+--R differentiate : (%,Symbol) -> % if Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R ?.? : (%,%) -> % if Integer has SGROUP
+--R eval : (%,Coef) -> Stream Coef if Coef has **: (Coef,Integer) -> Coef
+--R exquo : (%,%) -> Union(%,"failed") if Coef has INTDOM
+--R getRef : % -> Reference OrderedCompletion Integer
+--R getStream : % -> Stream Record(k: Integer,c: Coef)
+--R iExquo : (%,%,Boolean) -> Union(%,"failed")
+--R integrate : % -> % if Coef has ALGEBRA FRAC INT
+--R makeSeries : (Reference OrderedCompletion Integer,Stream Record(k: Integer,c: Coef)) -> %
+--R monomial : (%,List SingletonAsOrderedSet,List Integer) -> %
+--R monomial : (%,SingletonAsOrderedSet,Integer) -> %
+--R multiplyCoefficients : ((Integer -> Coef),%) -> %
+--R multiplyExponents : (%,PositiveInteger) -> %
+--R series : Stream Record(k: Integer,c: Coef) -> %
+--R seriesToOutputForm : (Stream Record(k: Integer,c: Coef),Reference OrderedCompletion Integer,Symbol,Coef,Fraction Integer) -> OutputForm
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R terms : % -> Stream Record(k: Integer,c: Coef)
+--R truncate : (%,Integer,Integer) -> %
+--R unit? : % -> Boolean if Coef has INTDOM
+--R unitCanonical : % -> % if Coef has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if Coef has INTDOM
+--R variables : % -> List SingletonAsOrderedSet
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<InnerSparseUnivariatePowerSeries.help>>=
+====================================================================
+InnerSparseUnivariatePowerSeries examples
+====================================================================
+
+See Also:
+o )show InnerSparseUnivariatePowerSeries
+
+@
+
 \pagehead{InnerSparseUnivariatePowerSeries}{ISUPS}
 \pagepic{ps/v103innersparseunivariatepowerseries.ps}{ISUPS}{1.00}
 
@@ -50203,6 +60098,113 @@ InnerSparseUnivariatePowerSeries(Coef): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain INTABL InnerTable}
+
+<<InnerTable.input>>=
+)set break resume
+)sys rm -f InnerTable.output
+)spool InnerTable.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InnerTable
+--R InnerTable(Key: SetCategory,Entry: SetCategory,addDom) where 
+--R   addDom: TableAggregate(Key,Entry) with 
+--R        finiteAggregate  is a domain constructor
+--R Abbreviation for InnerTable is INTABL 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for INTABL 
+--R
+--R------------------------------- Operations --------------------------------
+--R copy : % -> %                         dictionary : () -> %
+--R elt : (%,Key,Entry) -> Entry          ?.? : (%,Key) -> Entry
+--R empty : () -> %                       empty? : % -> Boolean
+--R entries : % -> List Entry             eq? : (%,%) -> Boolean
+--R index? : (Key,%) -> Boolean           indices : % -> List Key
+--R key? : (Key,%) -> Boolean             keys : % -> List Key
+--R map : ((Entry -> Entry),%) -> %       qelt : (%,Key) -> Entry
+--R sample : () -> %                      setelt : (%,Key,Entry) -> Entry
+--R table : () -> %                      
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if Record(key: Key,entry: Entry) has SETCAT or Entry has SETCAT
+--R any? : ((Entry -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R any? : ((Record(key: Key,entry: Entry) -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R bag : List Record(key: Key,entry: Entry) -> %
+--R coerce : % -> OutputForm if Record(key: Key,entry: Entry) has SETCAT or Entry has SETCAT
+--R construct : List Record(key: Key,entry: Entry) -> %
+--R convert : % -> InputForm if Record(key: Key,entry: Entry) has KONVERT INFORM
+--R count : ((Entry -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R count : (Entry,%) -> NonNegativeInteger if $ has finiteAggregate and Entry has SETCAT
+--R count : (Record(key: Key,entry: Entry),%) -> NonNegativeInteger if $ has finiteAggregate and Record(key: Key,entry: Entry) has SETCAT
+--R count : ((Record(key: Key,entry: Entry) -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R dictionary : List Record(key: Key,entry: Entry) -> %
+--R entry? : (Entry,%) -> Boolean if $ has finiteAggregate and Entry has SETCAT
+--R eval : (%,List Equation Entry) -> % if Entry has EVALAB Entry and Entry has SETCAT
+--R eval : (%,Equation Entry) -> % if Entry has EVALAB Entry and Entry has SETCAT
+--R eval : (%,Entry,Entry) -> % if Entry has EVALAB Entry and Entry has SETCAT
+--R eval : (%,List Entry,List Entry) -> % if Entry has EVALAB Entry and Entry has SETCAT
+--R eval : (%,List Record(key: Key,entry: Entry),List Record(key: Key,entry: Entry)) -> % if Record(key: Key,entry: Entry) has EVALAB Record(key: Key,entry: Entry) and Record(key: Key,entry: Entry) has SETCAT
+--R eval : (%,Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> % if Record(key: Key,entry: Entry) has EVALAB Record(key: Key,entry: Entry) and Record(key: Key,entry: Entry) has SETCAT
+--R eval : (%,Equation Record(key: Key,entry: Entry)) -> % if Record(key: Key,entry: Entry) has EVALAB Record(key: Key,entry: Entry) and Record(key: Key,entry: Entry) has SETCAT
+--R eval : (%,List Equation Record(key: Key,entry: Entry)) -> % if Record(key: Key,entry: Entry) has EVALAB Record(key: Key,entry: Entry) and Record(key: Key,entry: Entry) has SETCAT
+--R every? : ((Entry -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R every? : ((Record(key: Key,entry: Entry) -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R extract! : % -> Record(key: Key,entry: Entry)
+--R fill! : (%,Entry) -> % if $ has shallowlyMutable
+--R find : ((Record(key: Key,entry: Entry) -> Boolean),%) -> Union(Record(key: Key,entry: Entry),"failed")
+--R first : % -> Entry if Key has ORDSET
+--R hash : % -> SingleInteger if Record(key: Key,entry: Entry) has SETCAT or Entry has SETCAT
+--R insert! : (Record(key: Key,entry: Entry),%) -> %
+--R inspect : % -> Record(key: Key,entry: Entry)
+--R latex : % -> String if Record(key: Key,entry: Entry) has SETCAT or Entry has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map : (((Entry,Entry) -> Entry),%,%) -> %
+--R map : ((Record(key: Key,entry: Entry) -> Record(key: Key,entry: Entry)),%) -> %
+--R map! : ((Entry -> Entry),%) -> % if $ has shallowlyMutable
+--R map! : ((Record(key: Key,entry: Entry) -> Record(key: Key,entry: Entry)),%) -> % if $ has shallowlyMutable
+--R maxIndex : % -> Key if Key has ORDSET
+--R member? : (Entry,%) -> Boolean if $ has finiteAggregate and Entry has SETCAT
+--R member? : (Record(key: Key,entry: Entry),%) -> Boolean if $ has finiteAggregate and Record(key: Key,entry: Entry) has SETCAT
+--R members : % -> List Entry if $ has finiteAggregate
+--R members : % -> List Record(key: Key,entry: Entry) if $ has finiteAggregate
+--R minIndex : % -> Key if Key has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List Entry if $ has finiteAggregate
+--R parts : % -> List Record(key: Key,entry: Entry) if $ has finiteAggregate
+--R qsetelt! : (%,Key,Entry) -> Entry if $ has shallowlyMutable
+--R reduce : (((Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry)),%) -> Record(key: Key,entry: Entry) if $ has finiteAggregate
+--R reduce : (((Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry)),%,Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry) if $ has finiteAggregate
+--R reduce : (((Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry)),%,Record(key: Key,entry: Entry),Record(key: Key,entry: Entry)) -> Record(key: Key,entry: Entry) if $ has finiteAggregate and Record(key: Key,entry: Entry) has SETCAT
+--R remove : ((Record(key: Key,entry: Entry) -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (Record(key: Key,entry: Entry),%) -> % if $ has finiteAggregate and Record(key: Key,entry: Entry) has SETCAT
+--R remove! : (Key,%) -> Union(Entry,"failed")
+--R remove! : ((Record(key: Key,entry: Entry) -> Boolean),%) -> % if $ has finiteAggregate
+--R remove! : (Record(key: Key,entry: Entry),%) -> % if $ has finiteAggregate
+--R removeDuplicates : % -> % if $ has finiteAggregate and Record(key: Key,entry: Entry) has SETCAT
+--R search : (Key,%) -> Union(Entry,"failed")
+--R select : ((Record(key: Key,entry: Entry) -> Boolean),%) -> % if $ has finiteAggregate
+--R select! : ((Record(key: Key,entry: Entry) -> Boolean),%) -> % if $ has finiteAggregate
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R swap! : (%,Key,Key) -> Void if $ has shallowlyMutable
+--R table : List Record(key: Key,entry: Entry) -> %
+--R ?~=? : (%,%) -> Boolean if Record(key: Key,entry: Entry) has SETCAT or Entry has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<InnerTable.help>>=
+====================================================================
+InnerTable examples
+====================================================================
+
+See Also:
+o )show InnerTable
+
+@
+
 \pagehead{InnerTable}{INTABL}
 \pagepic{ps/v103innertable.ps}{INTABL}{1.00}
 {\bf See}\\
@@ -50305,6 +60307,65 @@ InnerTable(Key: SetCategory, Entry: SetCategory, addDom):Exports == Implementati
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ITAYLOR InnerTaylorSeries}
+
+<<InnerTaylorSeries.input>>=
+)set break resume
+)sys rm -f InnerTaylorSeries.output
+)spool InnerTaylorSeries.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InnerTaylorSeries
+--R InnerTaylorSeries Coef: Ring  is a domain constructor
+--R Abbreviation for InnerTaylorSeries is ITAYLOR 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ITAYLOR 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,Integer) -> %                ?*? : (%,Coef) -> %
+--R ?*? : (Coef,%) -> %                   ?*? : (%,%) -> %
+--R ?*? : (Integer,%) -> %                ?*? : (PositiveInteger,%) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?=? : (%,%) -> Boolean                1 : () -> %
+--R 0 : () -> %                           ?^? : (%,PositiveInteger) -> %
+--R coefficients : % -> Stream Coef       coerce : Integer -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   one? : % -> Boolean
+--R order : % -> NonNegativeInteger       pole? : % -> Boolean
+--R recip : % -> Union(%,"failed")        sample : () -> %
+--R series : Stream Coef -> %             zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R associates? : (%,%) -> Boolean if Coef has INTDOM
+--R characteristic : () -> NonNegativeInteger
+--R coerce : % -> % if Coef has INTDOM
+--R exquo : (%,%) -> Union(%,"failed") if Coef has INTDOM
+--R order : (%,NonNegativeInteger) -> NonNegativeInteger
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unit? : % -> Boolean if Coef has INTDOM
+--R unitCanonical : % -> % if Coef has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if Coef has INTDOM
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<InnerTaylorSeries.help>>=
+====================================================================
+InnerTaylorSeries examples
+====================================================================
+
+See Also:
+o )show InnerTaylorSeries
+
+@
+
 \pagehead{InnerTaylorSeries}{ITAYLOR}
 \pagepic{ps/v103innertaylorseries.ps}{ITAYLOR}{1.00}
 {\bf See}\\
@@ -50488,6 +60549,65 @@ InnerTaylorSeries(Coef): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain INFORM InputForm}
+
+<<InputForm.input>>=
+)set break resume
+)sys rm -f InputForm.output
+)spool InputForm.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show InputForm
+--R InputForm  is a domain constructor
+--R Abbreviation for InputForm is INFORM 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for INFORM 
+--R
+--R------------------------------- Operations --------------------------------
+--R #? : % -> Integer                     ?*? : (%,%) -> %
+--R ?**? : (%,Integer) -> %               ?+? : (%,%) -> %
+--R ?/? : (%,%) -> %                      ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R atom? : % -> Boolean                  binary : (%,List %) -> %
+--R car : % -> %                          cdr : % -> %
+--R coerce : % -> OutputForm              convert : SExpression -> %
+--R convert : % -> SExpression            convert : OutputForm -> %
+--R convert : DoubleFloat -> %            convert : Integer -> %
+--R convert : Symbol -> %                 convert : String -> %
+--R convert : List % -> %                 declare : List % -> Symbol
+--R destruct : % -> List %                ?.? : (%,List Integer) -> %
+--R ?.? : (%,Integer) -> %                eq : (%,%) -> Boolean
+--R expr : % -> OutputForm                flatten : % -> %
+--R float : % -> DoubleFloat              float? : % -> Boolean
+--R hash : % -> SingleInteger             integer : % -> Integer
+--R integer? : % -> Boolean               interpret : % -> Any
+--R lambda : (%,List Symbol) -> %         latex : % -> String
+--R list? : % -> Boolean                  null? : % -> Boolean
+--R pair? : % -> Boolean                  parse : String -> %
+--R string : % -> String                  string? : % -> Boolean
+--R symbol : % -> Symbol                  symbol? : % -> Boolean
+--R unparse : % -> String                 ?~=? : (%,%) -> Boolean
+--R ?**? : (%,NonNegativeInteger) -> %
+--R compile : (Symbol,List %) -> Symbol
+--R function : (%,List Symbol,Symbol) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<InputForm.help>>=
+====================================================================
+InputForm examples
+====================================================================
+
+See Also:
+o )show InputForm
+
+@
+
 \pagehead{InputForm}{INFORM}
 \pagepic{ps/v103inputform.ps}{INFORM}{1.00}
 
@@ -50733,6 +60853,7 @@ InputForm():
 The function {\bf one?} has been rewritten back to its original form.
 The NAG version called a lisp primitive that exists only in Codemist
 Common Lisp and is not defined in Common Lisp.
+
 <<Integer.input>>=
 )set break resume
 )sys rm -f Integer.output
@@ -51680,6 +61801,58 @@ Integer: Join(IntegerNumberSystem, ConvertibleTo String, OpenMath) with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ZMOD IntegerMod}
+
+<<IntegerMod.input>>=
+)set break resume
+)sys rm -f IntegerMod.output
+)spool IntegerMod.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IntegerMod
+--R IntegerMod p: PositiveInteger  is a domain constructor
+--R Abbreviation for IntegerMod is ZMOD 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ZMOD 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : Integer -> %
+--R coerce : % -> OutputForm              convert : % -> Integer
+--R hash : % -> SingleInteger             index : PositiveInteger -> %
+--R init : () -> %                        latex : % -> String
+--R lookup : % -> PositiveInteger         one? : % -> Boolean
+--R random : () -> %                      recip : % -> Union(%,"failed")
+--R sample : () -> %                      size : () -> NonNegativeInteger
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R nextItem : % -> Union(%,"failed")
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<IntegerMod.help>>=
+====================================================================
+IntegerMod examples
+====================================================================
+
+See Also:
+o )show IntegerMod
+
+@
+
 \pagehead{IntegerMod}{ZMOD}
 \pagepic{ps/v103integermod.ps}{ZMOD}{1.00}
 
@@ -51808,6 +61981,46 @@ IntegerMod(p:PositiveInteger):
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain INTFTBL IntegrationFunctionsTable}
+
+<<IntegrationFunctionsTable.input>>=
+)set break resume
+)sys rm -f IntegrationFunctionsTable.output
+)spool IntegrationFunctionsTable.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IntegrationFunctionsTable
+--R IntegrationFunctionsTable  is a domain constructor
+--R Abbreviation for IntegrationFunctionsTable is INTFTBL 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for INTFTBL 
+--R
+--R------------------------------- Operations --------------------------------
+--R clearTheFTable : () -> Void           showTheFTable : () -> %
+--R entries : % -> List Record(key: Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),entry: Record(endPointContinuity: Union(continuous: Continuous at the end points,lowerSingular: There is a singularity at the lower end point,upperSingular: There is a singularity at the upper end point,bothSingular: There are singularities at both end points,notEvaluated: End point continuity not yet evaluated),singularitiesStream: Union(str: Stream DoubleFloat,notEvaluated: Internal singularities not yet evaluated),range: Union(finite: The range is finite,lowerInfinite: The bottom of range is infinite,upperInfinite: The top of range is infinite,bothInfinite: Both top and bottom points are infinite,notEvaluated: Range not yet evaluated)))
+--R entry : Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat) -> Record(endPointContinuity: Union(continuous: Continuous at the end points,lowerSingular: There is a singularity at the lower end point,upperSingular: There is a singularity at the upper end point,bothSingular: There are singularities at both end points,notEvaluated: End point continuity not yet evaluated),singularitiesStream: Union(str: Stream DoubleFloat,notEvaluated: Internal singularities not yet evaluated),range: Union(finite: The range is finite,lowerInfinite: The bottom of range is infinite,upperInfinite: The top of range is infinite,bothInfinite: Both top and bottom points are infinite,notEvaluated: Range not yet evaluated))
+--R fTable : List Record(key: Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),entry: Record(endPointContinuity: Union(continuous: Continuous at the end points,lowerSingular: There is a singularity at the lower end point,upperSingular: There is a singularity at the upper end point,bothSingular: There are singularities at both end points,notEvaluated: End point continuity not yet evaluated),singularitiesStream: Union(str: Stream DoubleFloat,notEvaluated: Internal singularities not yet evaluated),range: Union(finite: The range is finite,lowerInfinite: The bottom of range is infinite,upperInfinite: The top of range is infinite,bothInfinite: Both top and bottom points are infinite,notEvaluated: Range not yet evaluated))) -> %
+--R insert! : Record(key: Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),entry: Record(endPointContinuity: Union(continuous: Continuous at the end points,lowerSingular: There is a singularity at the lower end point,upperSingular: There is a singularity at the upper end point,bothSingular: There are singularities at both end points,notEvaluated: End point continuity not yet evaluated),singularitiesStream: Union(str: Stream DoubleFloat,notEvaluated: Internal singularities not yet evaluated),range: Union(finite: The range is finite,lowerInfinite: The bottom of range is infinite,upperInfinite: The top of range is infinite,bothInfinite: Both top and bottom points are infinite,notEvaluated: Range not yet evaluated))) -> %
+--R keys : % -> List Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)
+--R showAttributes : Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat) -> Union(Record(endPointContinuity: Union(continuous: Continuous at the end points,lowerSingular: There is a singularity at the lower end point,upperSingular: There is a singularity at the upper end point,bothSingular: There are singularities at both end points,notEvaluated: End point continuity not yet evaluated),singularitiesStream: Union(str: Stream DoubleFloat,notEvaluated: Internal singularities not yet evaluated),range: Union(finite: The range is finite,lowerInfinite: The bottom of range is infinite,upperInfinite: The top of range is infinite,bothInfinite: Both top and bottom points are infinite,notEvaluated: Range not yet evaluated)),"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<IntegrationFunctionsTable.help>>=
+====================================================================
+IntegrationFunctionsTable examples
+====================================================================
+
+See Also:
+o )show IntegrationFunctionsTable
+
+@
+
 \pagehead{IntegrationFunctionsTable}{INTFTBL}
 \pagepic{ps/v103integrationfunctionstable.ps}{INTFTBL}{1.00}
 
@@ -51930,6 +62143,58 @@ IntegrationFunctionsTable(): E == I where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IR IntegrationResult}
+
+<<IntegrationResult.input>>=
+)set break resume
+)sys rm -f IntegrationResult.output
+)spool IntegrationResult.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show IntegrationResult
+--R IntegrationResult F: Field  is a domain constructor
+--R Abbreviation for IntegrationResult is IR 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for IR 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,Fraction Integer) -> %       ?*? : (Fraction Integer,%) -> %
+--R ?*? : (Integer,%) -> %                ?*? : (PositiveInteger,%) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 0 : () -> %                           coerce : F -> %
+--R coerce : % -> OutputForm              differentiate : (%,(F -> F)) -> F
+--R elem? : % -> Boolean                  hash : % -> SingleInteger
+--R integral : (F,F) -> %                 latex : % -> String
+--R ratpart : % -> F                      retract : % -> F
+--R sample : () -> %                      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R differentiate : (%,Symbol) -> F if F has PDRING SYMBOL
+--R integral : (F,Symbol) -> % if F has RETRACT SYMBOL
+--R logpart : % -> List Record(scalar: Fraction Integer,coeff: SparseUnivariatePolynomial F,logand: SparseUnivariatePolynomial F)
+--R mkAnswer : (F,List Record(scalar: Fraction Integer,coeff: SparseUnivariatePolynomial F,logand: SparseUnivariatePolynomial F),List Record(integrand: F,intvar: F)) -> %
+--R notelem : % -> List Record(integrand: F,intvar: F)
+--R retractIfCan : % -> Union(F,"failed")
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<IntegrationResult.help>>=
+====================================================================
+IntegrationResult examples
+====================================================================
+
+See Also:
+o )show IntegrationResult
+
+@
+
 \pagehead{IntegrationResult}{IR}
 \pagepic{ps/v103integrationresult.ps}{IR}{1.00}
 
@@ -52140,6 +62405,7 @@ IntegrationResult(F:Field): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain INTRVL Interval}
+
 <<Interval.input>>=
 )set break resume
 )sys rm -f Interval.output
@@ -52894,6 +63160,7 @@ Interval(R:Join(FloatingPointSystem,TranscendentalFunctionCategory)): IntervalCa
 \chapter{Chapter K}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain KERNEL Kernel}
+
 <<Kernel.input>>=
 )set break resume
 )sys rm -f Kernel.output
@@ -53383,6 +63650,7 @@ Kernel(S:OrderedSet): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain KAFILE KeyedAccessFile}
+
 <<KeyedAccessFile.input>>=
 )set break resume
 )sys rm -f KeyedAccessFile.output
@@ -53878,6 +64146,104 @@ KeyedAccessFile(Entry): KAFcategory == KAFcapsule where
 \chapter{Chapter L}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain LAUPOL LaurentPolynomial}
+
+<<LaurentPolynomial.input>>=
+)set break resume
+)sys rm -f LaurentPolynomial.output
+)spool LaurentPolynomial.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show LaurentPolynomial
+--R LaurentPolynomial(R: IntegralDomain,UP: UnivariatePolynomialCategory R)  is a domain constructor
+--R Abbreviation for LaurentPolynomial is LAUPOL 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for LAUPOL 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R D : % -> % if UP has DIFRING          D : (%,(UP -> UP)) -> %
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        associates? : (%,%) -> Boolean
+--R coefficient : (%,Integer) -> R        coerce : UP -> %
+--R coerce : R -> %                       coerce : % -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R convert : % -> Fraction UP            degree : % -> Integer
+--R hash : % -> SingleInteger             latex : % -> String
+--R leadingCoefficient : % -> R           monomial : (R,Integer) -> %
+--R monomial? : % -> Boolean              one? : % -> Boolean
+--R order : % -> Integer                  recip : % -> Union(%,"failed")
+--R reductum : % -> %                     retract : % -> UP
+--R retract : % -> R                      sample : () -> %
+--R trailingCoefficient : % -> R          unit? : % -> Boolean
+--R unitCanonical : % -> %                zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R D : (%,NonNegativeInteger) -> % if UP has DIFRING
+--R D : (%,Symbol) -> % if UP has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if UP has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if UP has PDRING SYMBOL
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if UP has PDRING SYMBOL
+--R D : (%,(UP -> UP),NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if R has CHARNZ
+--R coerce : Fraction Integer -> % if R has RETRACT FRAC INT
+--R differentiate : % -> % if UP has DIFRING
+--R differentiate : (%,NonNegativeInteger) -> % if UP has DIFRING
+--R differentiate : (%,Symbol) -> % if UP has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if UP has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if UP has PDRING SYMBOL
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if UP has PDRING SYMBOL
+--R differentiate : (%,(UP -> UP),NonNegativeInteger) -> %
+--R differentiate : (%,(UP -> UP)) -> %
+--R divide : (%,%) -> Record(quotient: %,remainder: %) if R has FIELD
+--R euclideanSize : % -> NonNegativeInteger if R has FIELD
+--R expressIdealMember : (List %,%) -> Union(List %,"failed") if R has FIELD
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %) if R has FIELD
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed") if R has FIELD
+--R gcd : (%,%) -> % if R has FIELD
+--R gcd : List % -> % if R has FIELD
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if R has FIELD
+--R lcm : (%,%) -> % if R has FIELD
+--R lcm : List % -> % if R has FIELD
+--R multiEuclidean : (List %,%) -> Union(List %,"failed") if R has FIELD
+--R principalIdeal : List % -> Record(coef: List %,generator: %) if R has FIELD
+--R ?quo? : (%,%) -> % if R has FIELD
+--R ?rem? : (%,%) -> % if R has FIELD
+--R retract : % -> Fraction Integer if R has RETRACT FRAC INT
+--R retract : % -> Integer if R has RETRACT INT
+--R retractIfCan : % -> Union(UP,"failed")
+--R retractIfCan : % -> Union(R,"failed")
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R separate : Fraction UP -> Record(polyPart: %,fracPart: Fraction UP) if R has FIELD
+--R sizeLess? : (%,%) -> Boolean if R has FIELD
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<LaurentPolynomial.help>>=
+====================================================================
+LaurentPolynomial examples
+====================================================================
+
+See Also:
+o )show LaurentPolynomial
+
+@
+
 \pagehead{LaurentPolynomial}{LAUPOL}
 \pagepic{ps/v103laurentpolynomial.ps}{LAUPOL}{1.00}
 
@@ -54105,6 +64471,7 @@ LaurentPolynomial(R, UP): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain LIB Library}
+
 <<Library.input>>=
 )set break resume
 )sys rm -f Library.output
@@ -54342,6 +64709,7 @@ Library(): TableAggregate(String, Any) with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain LEXP LieExponentials}
+
 <<LieExponentials.input>>=
 )set break resume
 )sys rm -f LieExponentials.output
@@ -54735,6 +65103,7 @@ LieExponentials(VarSet, R, Order): XDPcat == XDPdef where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain LPOLY LiePolynomial}
+
 <<LiePolynomial.input>>=
 )set break resume
 )sys rm -f LiePolynomial.output
@@ -55384,6 +65753,175 @@ LiePolynomial(VarSet:OrderedSet, R:CommutativeRing) : Public == Private where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain LSQM LieSquareMatrix}
+
+<<LieSquareMatrix.input>>=
+)set break resume
+)sys rm -f LieSquareMatrix.output
+)spool LieSquareMatrix.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show LieSquareMatrix
+--R LieSquareMatrix(n: PositiveInteger,R: CommutativeRing)  is a domain constructor
+--R Abbreviation for LieSquareMatrix is LSQM 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for LSQM 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R D : % -> % if R has DIFRING           D : (%,(R -> R)) -> %
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        alternative? : () -> Boolean
+--R antiAssociative? : () -> Boolean      antiCommutative? : () -> Boolean
+--R antiCommutator : (%,%) -> %           antisymmetric? : % -> Boolean
+--R apply : (Matrix R,%) -> %             associative? : () -> Boolean
+--R associator : (%,%,%) -> %             basis : () -> Vector %
+--R coerce : % -> Matrix R                coerce : R -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R commutative? : () -> Boolean          commutator : (%,%) -> %
+--R convert : % -> Vector R               convert : Vector R -> %
+--R coordinates : % -> Vector R           copy : % -> %
+--R diagonal? : % -> Boolean              diagonalMatrix : List R -> %
+--R diagonalProduct : % -> R              ?.? : (%,Integer) -> R
+--R elt : (%,Integer,Integer) -> R        elt : (%,Integer,Integer,R) -> R
+--R empty : () -> %                       empty? : % -> Boolean
+--R eq? : (%,%) -> Boolean                flexible? : () -> Boolean
+--R hash : % -> SingleInteger             jacobiIdentity? : () -> Boolean
+--R jordanAdmissible? : () -> Boolean     jordanAlgebra? : () -> Boolean
+--R latex : % -> String                   leftAlternative? : () -> Boolean
+--R leftDiscriminant : Vector % -> R      leftDiscriminant : () -> R
+--R leftNorm : % -> R                     leftTrace : % -> R
+--R leftTraceMatrix : () -> Matrix R      lieAdmissible? : () -> Boolean
+--R lieAlgebra? : () -> Boolean           listOfLists : % -> List List R
+--R map : ((R -> R),%) -> %               map : (((R,R) -> R),%,%) -> %
+--R matrix : List List R -> %             maxColIndex : % -> Integer
+--R maxRowIndex : % -> Integer            minColIndex : % -> Integer
+--R minRowIndex : % -> Integer            ncols : % -> NonNegativeInteger
+--R nrows : % -> NonNegativeInteger       one? : % -> Boolean
+--R powerAssociative? : () -> Boolean     qelt : (%,Integer,Integer) -> R
+--R rank : () -> PositiveInteger          recip : % -> Union(%,"failed")
+--R represents : Vector R -> %            retract : % -> R
+--R rightAlternative? : () -> Boolean     rightDiscriminant : Vector % -> R
+--R rightDiscriminant : () -> R           rightNorm : % -> R
+--R rightTrace : % -> R                   rightTraceMatrix : () -> Matrix R
+--R sample : () -> %                      scalarMatrix : R -> %
+--R someBasis : () -> Vector %            square? : % -> Boolean
+--R symmetric? : % -> Boolean             trace : % -> R
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?*? : (DirectProduct(n,R),%) -> DirectProduct(n,R)
+--R ?*? : (%,DirectProduct(n,R)) -> DirectProduct(n,R)
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,Integer) -> % if R has FIELD
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,R) -> % if R has FIELD
+--R D : (%,NonNegativeInteger) -> % if R has DIFRING
+--R D : (%,Symbol) -> % if R has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if R has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,(R -> R),NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R any? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R associatorDependence : () -> List Vector R if R has INTDOM
+--R characteristic : () -> NonNegativeInteger
+--R coerce : Fraction Integer -> % if R has RETRACT FRAC INT
+--R column : (%,Integer) -> DirectProduct(n,R)
+--R conditionsForIdempotents : Vector % -> List Polynomial R
+--R conditionsForIdempotents : () -> List Polynomial R
+--R coordinates : (%,Vector %) -> Vector R
+--R coordinates : (Vector %,Vector %) -> Matrix R
+--R coordinates : Vector % -> Matrix R
+--R count : (R,%) -> NonNegativeInteger if $ has finiteAggregate and R has SETCAT
+--R count : ((R -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R determinant : % -> R if R has commutative *
+--R diagonal : % -> DirectProduct(n,R)
+--R differentiate : % -> % if R has DIFRING
+--R differentiate : (%,NonNegativeInteger) -> % if R has DIFRING
+--R differentiate : (%,Symbol) -> % if R has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if R has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R differentiate : (%,(R -> R),NonNegativeInteger) -> %
+--R differentiate : (%,(R -> R)) -> %
+--R eval : (%,List R,List R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,R,R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,Equation R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,List Equation R) -> % if R has EVALAB R and R has SETCAT
+--R every? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R exquo : (%,R) -> Union(%,"failed") if R has INTDOM
+--R inverse : % -> Union(%,"failed") if R has FIELD
+--R leftCharacteristicPolynomial : % -> SparseUnivariatePolynomial R
+--R leftMinimalPolynomial : % -> SparseUnivariatePolynomial R if R has INTDOM
+--R leftPower : (%,PositiveInteger) -> %
+--R leftRankPolynomial : () -> SparseUnivariatePolynomial Polynomial R if R has FIELD
+--R leftRecip : % -> Union(%,"failed") if R has INTDOM
+--R leftRegularRepresentation : (%,Vector %) -> Matrix R
+--R leftRegularRepresentation : % -> Matrix R
+--R leftTraceMatrix : Vector % -> Matrix R
+--R leftUnit : () -> Union(%,"failed") if R has INTDOM
+--R leftUnits : () -> Union(Record(particular: %,basis: List %),"failed") if R has INTDOM
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((R -> R),%) -> % if $ has shallowlyMutable
+--R member? : (R,%) -> Boolean if $ has finiteAggregate and R has SETCAT
+--R members : % -> List R if $ has finiteAggregate
+--R minordet : % -> R if R has commutative *
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R noncommutativeJordanAlgebra? : () -> Boolean
+--R nullSpace : % -> List DirectProduct(n,R) if R has INTDOM
+--R nullity : % -> NonNegativeInteger if R has INTDOM
+--R parts : % -> List R if $ has finiteAggregate
+--R plenaryPower : (%,PositiveInteger) -> %
+--R rank : % -> NonNegativeInteger if R has INTDOM
+--R reducedSystem : Matrix % -> Matrix R
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix R,vec: Vector R)
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if R has LINEXP INT
+--R reducedSystem : Matrix % -> Matrix Integer if R has LINEXP INT
+--R represents : (Vector R,Vector %) -> %
+--R retract : % -> Fraction Integer if R has RETRACT FRAC INT
+--R retract : % -> Integer if R has RETRACT INT
+--R retractIfCan : % -> Union(R,"failed")
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R rightCharacteristicPolynomial : % -> SparseUnivariatePolynomial R
+--R rightMinimalPolynomial : % -> SparseUnivariatePolynomial R if R has INTDOM
+--R rightPower : (%,PositiveInteger) -> %
+--R rightRankPolynomial : () -> SparseUnivariatePolynomial Polynomial R if R has FIELD
+--R rightRecip : % -> Union(%,"failed") if R has INTDOM
+--R rightRegularRepresentation : (%,Vector %) -> Matrix R
+--R rightRegularRepresentation : % -> Matrix R
+--R rightTraceMatrix : Vector % -> Matrix R
+--R rightUnit : () -> Union(%,"failed") if R has INTDOM
+--R rightUnits : () -> Union(Record(particular: %,basis: List %),"failed") if R has INTDOM
+--R row : (%,Integer) -> DirectProduct(n,R)
+--R rowEchelon : % -> % if R has EUCDOM
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R structuralConstants : Vector % -> Vector Matrix R
+--R structuralConstants : () -> Vector Matrix R
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unit : () -> Union(%,"failed") if R has INTDOM
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<LieSquareMatrix.help>>=
+====================================================================
+LieSquareMatrix examples
+====================================================================
+
+See Also:
+o )show LieSquareMatrix
+
+@
+
 \pagehead{LieSquareMatrix}{LSQM}
 \pagepic{ps/v103liesquarematrix.ps}{LSQM}{1.00}
 {\bf See}\\
@@ -55616,6 +66154,7 @@ LieSquareMatrix(n,R): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain LODO LinearOrdinaryDifferentialOperator}
+
 <<LinearOrdinaryDifferentialOperator.input>>=
 )set break resume
 )sys rm -f LinearOrdinaryDifferentialOperator.output
@@ -56208,6 +66747,7 @@ LinearOrdinaryDifferentialOperator(A:Ring, diff: A -> A):
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain LODO1 LinearOrdinaryDifferentialOperator1}
+
 <<LinearOrdinaryDifferentialOperator1.input>>=
 )set break resume
 )sys rm -f LinearOrdinaryDifferentialOperator1.output
@@ -56689,6 +67229,7 @@ LinearOrdinaryDifferentialOperator1(A:DifferentialRing) ==
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain LODO2 LinearOrdinaryDifferentialOperator2}
+
 <<LinearOrdinaryDifferentialOperator2.input>>=
 )set break resume
 )sys rm -f LinearOrdinaryDifferentialOperator2.output
@@ -57309,6 +67850,7 @@ LinearOrdinaryDifferentialOperator2(A, M): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain LIST List}
+
 <<List.input>>=
 )set break resume
 )sys rm -f List.output
@@ -58126,6 +68668,54 @@ List(S:Type): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain LMOPS ListMonoidOps}
+
+<<ListMonoidOps.input>>=
+)set break resume
+)sys rm -f ListMonoidOps.output
+)spool ListMonoidOps.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ListMonoidOps
+--R ListMonoidOps(S: SetCategory,E: AbelianMonoid,un: E)  is a domain constructor
+--R Abbreviation for ListMonoidOps is LMOPS 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for LMOPS 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : S -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   leftMult : (S,%) -> %
+--R makeTerm : (S,E) -> %                 makeUnit : () -> %
+--R mapExpon : ((E -> E),%) -> %          mapGen : ((S -> S),%) -> %
+--R nthExpon : (%,Integer) -> E           nthFactor : (%,Integer) -> S
+--R plus : (%,%) -> %                     plus : (S,E,%) -> %
+--R retract : % -> S                      reverse : % -> %
+--R reverse! : % -> %                     rightMult : (%,S) -> %
+--R size : % -> NonNegativeInteger        ?~=? : (%,%) -> Boolean
+--R commutativeEquality : (%,%) -> Boolean
+--R listOfMonoms : % -> List Record(gen: S,exp: E)
+--R makeMulti : List Record(gen: S,exp: E) -> %
+--R outputForm : (%,((OutputForm,OutputForm) -> OutputForm),((OutputForm,OutputForm) -> OutputForm),Integer) -> OutputForm
+--R retractIfCan : % -> Union(S,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<ListMonoidOps.help>>=
+====================================================================
+ListMonoidOps examples
+====================================================================
+
+See Also:
+o )show ListMonoidOps
+
+@
+
 \pagehead{ListMonoidOps}{LMOPS}
 \pagepic{ps/v103listmonoidops.ps}{LMOPS}{1.00}
 {\bf See}\\
@@ -58326,6 +68916,82 @@ ListMonoidOps(S, E, un): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain LMDICT ListMultiDictionary}
+
+<<ListMultiDictionary.input>>=
+)set break resume
+)sys rm -f ListMultiDictionary.output
+)spool ListMultiDictionary.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ListMultiDictionary
+--R ListMultiDictionary S: SetCategory  is a domain constructor
+--R Abbreviation for ListMultiDictionary is LMDICT 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for LMDICT 
+--R
+--R------------------------------- Operations --------------------------------
+--R bag : List S -> %                     construct : List S -> %
+--R copy : % -> %                         dictionary : List S -> %
+--R dictionary : () -> %                  duplicates? : % -> Boolean
+--R empty : () -> %                       empty? : % -> Boolean
+--R eq? : (%,%) -> Boolean                extract! : % -> S
+--R insert! : (S,%) -> %                  inspect : % -> S
+--R map : ((S -> S),%) -> %               removeDuplicates! : % -> %
+--R sample : () -> %                      substitute : (S,S,%) -> %
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if S has SETCAT
+--R convert : % -> InputForm if S has KONVERT INFORM
+--R count : (S,%) -> NonNegativeInteger if $ has finiteAggregate and S has SETCAT
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R duplicates : % -> List Record(entry: S,count: NonNegativeInteger)
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R find : ((S -> Boolean),%) -> Union(S,"failed")
+--R hash : % -> SingleInteger if S has SETCAT
+--R insert! : (S,%,NonNegativeInteger) -> %
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R member? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R members : % -> List S if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S,S) -> S if $ has finiteAggregate and S has SETCAT
+--R remove : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (S,%) -> % if $ has finiteAggregate and S has SETCAT
+--R remove! : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R remove! : (S,%) -> % if $ has finiteAggregate
+--R removeDuplicates : % -> % if $ has finiteAggregate and S has SETCAT
+--R select : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R select! : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<ListMultiDictionary.help>>=
+====================================================================
+ListMultiDictionary examples
+====================================================================
+
+See Also:
+o )show ListMultiDictionary
+
+@
+
 \pagehead{ListMultiDictionary}{LMDICT}
 \pagepic{ps/v103listmultidictionary.ps}{LMDICT}{1.00}
 
@@ -58527,6 +69193,68 @@ ListMultiDictionary(S:SetCategory): EE == II where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain LA LocalAlgebra}
+
+<<LocalAlgebra.input>>=
+)set break resume
+)sys rm -f LocalAlgebra.output
+)spool LocalAlgebra.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show LocalAlgebra
+--R LocalAlgebra(A: Algebra R,R: CommutativeRing,S: SubsetCategory(Monoid,R))  is a domain constructor
+--R Abbreviation for LocalAlgebra is LA 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for LA 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?/? : (A,S) -> %
+--R ?/? : (%,S) -> %                      ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : R -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R denom : % -> S                        hash : % -> SingleInteger
+--R latex : % -> String                   numer : % -> A
+--R one? : % -> Boolean                   recip : % -> Union(%,"failed")
+--R sample : () -> %                      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?<? : (%,%) -> Boolean if A has ORDRING
+--R ?<=? : (%,%) -> Boolean if A has ORDRING
+--R ?>? : (%,%) -> Boolean if A has ORDRING
+--R ?>=? : (%,%) -> Boolean if A has ORDRING
+--R ?^? : (%,NonNegativeInteger) -> %
+--R abs : % -> % if A has ORDRING
+--R characteristic : () -> NonNegativeInteger
+--R max : (%,%) -> % if A has ORDRING
+--R min : (%,%) -> % if A has ORDRING
+--R negative? : % -> Boolean if A has ORDRING
+--R positive? : % -> Boolean if A has ORDRING
+--R sign : % -> Integer if A has ORDRING
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<LocalAlgebra.help>>=
+====================================================================
+LocalAlgebra examples
+====================================================================
+
+See Also:
+o )show LocalAlgebra
+
+@
+
 \pagehead{LocalAlgebra}{LA}
 \pagepic{ps/v103localalgebra.ps}{LA}{1.00}
 {\bf See}\\
@@ -58610,6 +69338,57 @@ LocalAlgebra(A: Algebra R,
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain LO Localize}
+
+<<Localize.input>>=
+)set break resume
+)sys rm -f Localize.output
+)spool Localize.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Localize
+--R Localize(M: Module R,R: CommutativeRing,S: SubsetCategory(Monoid,R))  is a domain constructor
+--R Abbreviation for Localize is LO 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for LO 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,R) -> %                      ?*? : (R,%) -> %
+--R ?*? : (Integer,%) -> %                ?*? : (PositiveInteger,%) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?/? : (M,S) -> %
+--R ?/? : (%,S) -> %                      ?=? : (%,%) -> Boolean
+--R 0 : () -> %                           coerce : % -> OutputForm
+--R denom : % -> S                        hash : % -> SingleInteger
+--R latex : % -> String                   numer : % -> M
+--R sample : () -> %                      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?<? : (%,%) -> Boolean if M has OAGROUP
+--R ?<=? : (%,%) -> Boolean if M has OAGROUP
+--R ?>? : (%,%) -> Boolean if M has OAGROUP
+--R ?>=? : (%,%) -> Boolean if M has OAGROUP
+--R max : (%,%) -> % if M has OAGROUP
+--R min : (%,%) -> % if M has OAGROUP
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Localize.help>>=
+====================================================================
+Localize examples
+====================================================================
+
+See Also:
+o )show Localize
+
+@
+
 \pagehead{Localize}{LO}
 \pagepic{ps/v103localize.ps}{LO}{1.00}
 {\bf See}\\
@@ -58718,6 +69497,7 @@ Localize(M:Module R,
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain LWORD LyndonWord}
+
 <<LyndonWord.input>>=
 )set break resume
 )sys rm -f LyndonWord.output
@@ -59262,6 +70042,224 @@ LyndonWord(VarSet:OrderedSet):Public == Private where
 \chapter{Chapter M}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MCMPLX MachineComplex}
+
+<<MachineComplex.input>>=
+)set break resume
+)sys rm -f MachineComplex.output
+)spool MachineComplex.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MachineComplex
+--R MachineComplex  is a domain constructor
+--R Abbreviation for MachineComplex is MCMPLX 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for MCMPLX 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,MachineFloat) -> %           ?*? : (MachineFloat,%) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?<? : (%,%) -> Boolean
+--R ?<=? : (%,%) -> Boolean               ?=? : (%,%) -> Boolean
+--R ?>? : (%,%) -> Boolean                ?>=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        associates? : (%,%) -> Boolean
+--R basis : () -> Vector %                coerce : % -> Complex Float
+--R coerce : Complex Integer -> %         coerce : Complex Float -> %
+--R coerce : MachineFloat -> %            coerce : Integer -> %
+--R coerce : % -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              conjugate : % -> %
+--R discriminant : () -> MachineFloat     generator : () -> %
+--R hash : % -> SingleInteger             imag : % -> MachineFloat
+--R imaginary : () -> %                   latex : % -> String
+--R max : (%,%) -> %                      min : (%,%) -> %
+--R norm : % -> MachineFloat              one? : % -> Boolean
+--R rank : () -> PositiveInteger          real : % -> MachineFloat
+--R recip : % -> Union(%,"failed")        retract : % -> MachineFloat
+--R retract : % -> Integer                sample : () -> %
+--R trace : % -> MachineFloat             unit? : % -> Boolean
+--R unitCanonical : % -> %                zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (%,Fraction Integer) -> % if MachineFloat has FIELD
+--R ?*? : (Fraction Integer,%) -> % if MachineFloat has FIELD
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,Integer) -> % if MachineFloat has FIELD
+--R ?**? : (%,Fraction Integer) -> % if MachineFloat has RADCAT and MachineFloat has TRANFUN
+--R ?**? : (%,%) -> % if MachineFloat has TRANFUN
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,%) -> % if MachineFloat has FIELD
+--R D : % -> % if MachineFloat has DIFRING
+--R D : (%,NonNegativeInteger) -> % if MachineFloat has DIFRING
+--R D : (%,Symbol) -> % if MachineFloat has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if MachineFloat has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if MachineFloat has PDRING SYMBOL
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if MachineFloat has PDRING SYMBOL
+--R D : (%,(MachineFloat -> MachineFloat),NonNegativeInteger) -> %
+--R D : (%,(MachineFloat -> MachineFloat)) -> %
+--R ?^? : (%,Integer) -> % if MachineFloat has FIELD
+--R ?^? : (%,NonNegativeInteger) -> %
+--R abs : % -> % if MachineFloat has RNS
+--R acos : % -> % if MachineFloat has TRANFUN
+--R acosh : % -> % if MachineFloat has TRANFUN
+--R acot : % -> % if MachineFloat has TRANFUN
+--R acoth : % -> % if MachineFloat has TRANFUN
+--R acsc : % -> % if MachineFloat has TRANFUN
+--R acsch : % -> % if MachineFloat has TRANFUN
+--R argument : % -> MachineFloat if MachineFloat has TRANFUN
+--R asec : % -> % if MachineFloat has TRANFUN
+--R asech : % -> % if MachineFloat has TRANFUN
+--R asin : % -> % if MachineFloat has TRANFUN
+--R asinh : % -> % if MachineFloat has TRANFUN
+--R atan : % -> % if MachineFloat has TRANFUN
+--R atanh : % -> % if MachineFloat has TRANFUN
+--R characteristic : () -> NonNegativeInteger
+--R characteristicPolynomial : % -> SparseUnivariatePolynomial MachineFloat
+--R charthRoot : % -> Union(%,"failed") if $ has CHARNZ and MachineFloat has EUCDOM and MachineFloat has PFECAT or MachineFloat has CHARNZ
+--R charthRoot : % -> % if MachineFloat has FFIELDC
+--R coerce : Fraction Integer -> % if MachineFloat has FIELD or MachineFloat has RETRACT FRAC INT
+--R coerce : Complex MachineInteger -> %
+--R coerce : Complex MachineFloat -> %
+--R complex : (MachineFloat,MachineFloat) -> %
+--R conditionP : Matrix % -> Union(Vector %,"failed") if $ has CHARNZ and MachineFloat has EUCDOM and MachineFloat has PFECAT or MachineFloat has FFIELDC
+--R convert : % -> Vector MachineFloat
+--R convert : Vector MachineFloat -> %
+--R convert : % -> SparseUnivariatePolynomial MachineFloat
+--R convert : SparseUnivariatePolynomial MachineFloat -> %
+--R convert : % -> Pattern Integer if MachineFloat has KONVERT PATTERN INT
+--R convert : % -> Pattern Float if MachineFloat has KONVERT PATTERN FLOAT
+--R convert : % -> Complex Float if MachineFloat has REAL
+--R convert : % -> Complex DoubleFloat if MachineFloat has REAL
+--R convert : % -> InputForm if MachineFloat has KONVERT INFORM
+--R coordinates : (%,Vector %) -> Vector MachineFloat
+--R coordinates : (Vector %,Vector %) -> Matrix MachineFloat
+--R coordinates : % -> Vector MachineFloat
+--R coordinates : Vector % -> Matrix MachineFloat
+--R cos : % -> % if MachineFloat has TRANFUN
+--R cosh : % -> % if MachineFloat has TRANFUN
+--R cot : % -> % if MachineFloat has TRANFUN
+--R coth : % -> % if MachineFloat has TRANFUN
+--R createPrimitiveElement : () -> % if MachineFloat has FFIELDC
+--R csc : % -> % if MachineFloat has TRANFUN
+--R csch : % -> % if MachineFloat has TRANFUN
+--R definingPolynomial : () -> SparseUnivariatePolynomial MachineFloat
+--R derivationCoordinates : (Vector %,(MachineFloat -> MachineFloat)) -> Matrix MachineFloat if MachineFloat has FIELD
+--R differentiate : % -> % if MachineFloat has DIFRING
+--R differentiate : (%,NonNegativeInteger) -> % if MachineFloat has DIFRING
+--R differentiate : (%,Symbol) -> % if MachineFloat has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if MachineFloat has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if MachineFloat has PDRING SYMBOL
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if MachineFloat has PDRING SYMBOL
+--R differentiate : (%,(MachineFloat -> MachineFloat),NonNegativeInteger) -> %
+--R differentiate : (%,(MachineFloat -> MachineFloat)) -> %
+--R discreteLog : % -> NonNegativeInteger if MachineFloat has FFIELDC
+--R discreteLog : (%,%) -> Union(NonNegativeInteger,"failed") if MachineFloat has FFIELDC
+--R discriminant : Vector % -> MachineFloat
+--R divide : (%,%) -> Record(quotient: %,remainder: %) if MachineFloat has EUCDOM
+--R ?.? : (%,MachineFloat) -> % if MachineFloat has ELTAB(MFLOAT,MFLOAT)
+--R euclideanSize : % -> NonNegativeInteger if MachineFloat has EUCDOM
+--R eval : (%,List MachineFloat,List MachineFloat) -> % if MachineFloat has EVALAB MFLOAT
+--R eval : (%,MachineFloat,MachineFloat) -> % if MachineFloat has EVALAB MFLOAT
+--R eval : (%,Equation MachineFloat) -> % if MachineFloat has EVALAB MFLOAT
+--R eval : (%,List Equation MachineFloat) -> % if MachineFloat has EVALAB MFLOAT
+--R eval : (%,List Symbol,List MachineFloat) -> % if MachineFloat has IEVALAB(SYMBOL,MFLOAT)
+--R eval : (%,Symbol,MachineFloat) -> % if MachineFloat has IEVALAB(SYMBOL,MFLOAT)
+--R exp : % -> % if MachineFloat has TRANFUN
+--R expressIdealMember : (List %,%) -> Union(List %,"failed") if MachineFloat has EUCDOM
+--R exquo : (%,MachineFloat) -> Union(%,"failed") if MachineFloat has INTDOM
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %) if MachineFloat has EUCDOM
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed") if MachineFloat has EUCDOM
+--R factor : % -> Factored % if MachineFloat has EUCDOM and MachineFloat has PFECAT or MachineFloat has FIELD
+--R factorPolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if MachineFloat has EUCDOM and MachineFloat has PFECAT
+--R factorSquareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if MachineFloat has EUCDOM and MachineFloat has PFECAT
+--R factorsOfCyclicGroupSize : () -> List Record(factor: Integer,exponent: Integer) if MachineFloat has FFIELDC
+--R gcd : (%,%) -> % if MachineFloat has EUCDOM
+--R gcd : List % -> % if MachineFloat has EUCDOM
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if MachineFloat has EUCDOM
+--R index : PositiveInteger -> % if MachineFloat has FINITE
+--R init : () -> % if MachineFloat has FFIELDC
+--R inv : % -> % if MachineFloat has FIELD
+--R lcm : (%,%) -> % if MachineFloat has EUCDOM
+--R lcm : List % -> % if MachineFloat has EUCDOM
+--R lift : % -> SparseUnivariatePolynomial MachineFloat
+--R log : % -> % if MachineFloat has TRANFUN
+--R lookup : % -> PositiveInteger if MachineFloat has FINITE
+--R map : ((MachineFloat -> MachineFloat),%) -> %
+--R minimalPolynomial : % -> SparseUnivariatePolynomial MachineFloat if MachineFloat has FIELD
+--R multiEuclidean : (List %,%) -> Union(List %,"failed") if MachineFloat has EUCDOM
+--R nextItem : % -> Union(%,"failed") if MachineFloat has FFIELDC
+--R nthRoot : (%,Integer) -> % if MachineFloat has RADCAT and MachineFloat has TRANFUN
+--R order : % -> PositiveInteger if MachineFloat has FFIELDC
+--R order : % -> OnePointCompletion PositiveInteger if MachineFloat has FFIELDC
+--R patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%) if MachineFloat has PATMAB INT
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%) if MachineFloat has PATMAB FLOAT
+--R pi : () -> % if MachineFloat has TRANFUN
+--R polarCoordinates : % -> Record(r: MachineFloat,phi: MachineFloat) if MachineFloat has RNS and MachineFloat has TRANFUN
+--R prime? : % -> Boolean if MachineFloat has EUCDOM and MachineFloat has PFECAT or MachineFloat has FIELD
+--R primeFrobenius : (%,NonNegativeInteger) -> % if MachineFloat has FFIELDC
+--R primeFrobenius : % -> % if MachineFloat has FFIELDC
+--R primitive? : % -> Boolean if MachineFloat has FFIELDC
+--R primitiveElement : () -> % if MachineFloat has FFIELDC
+--R principalIdeal : List % -> Record(coef: List %,generator: %) if MachineFloat has EUCDOM
+--R ?quo? : (%,%) -> % if MachineFloat has EUCDOM
+--R random : () -> % if MachineFloat has FINITE
+--R rational : % -> Fraction Integer if MachineFloat has INS
+--R rational? : % -> Boolean if MachineFloat has INS
+--R rationalIfCan : % -> Union(Fraction Integer,"failed") if MachineFloat has INS
+--R reduce : SparseUnivariatePolynomial MachineFloat -> %
+--R reduce : Fraction SparseUnivariatePolynomial MachineFloat -> Union(%,"failed") if MachineFloat has FIELD
+--R reducedSystem : Matrix % -> Matrix Integer if MachineFloat has LINEXP INT
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if MachineFloat has LINEXP INT
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix MachineFloat,vec: Vector MachineFloat)
+--R reducedSystem : Matrix % -> Matrix MachineFloat
+--R regularRepresentation : (%,Vector %) -> Matrix MachineFloat
+--R regularRepresentation : % -> Matrix MachineFloat
+--R ?rem? : (%,%) -> % if MachineFloat has EUCDOM
+--R representationType : () -> Union("prime",polynomial,normal,cyclic) if MachineFloat has FFIELDC
+--R represents : (Vector MachineFloat,Vector %) -> %
+--R represents : Vector MachineFloat -> %
+--R retract : % -> Fraction Integer if MachineFloat has RETRACT FRAC INT
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if MachineFloat has RETRACT FRAC INT
+--R retractIfCan : % -> Union(MachineFloat,"failed")
+--R retractIfCan : % -> Union(Integer,"failed")
+--R sec : % -> % if MachineFloat has TRANFUN
+--R sech : % -> % if MachineFloat has TRANFUN
+--R sin : % -> % if MachineFloat has TRANFUN
+--R sinh : % -> % if MachineFloat has TRANFUN
+--R size : () -> NonNegativeInteger if MachineFloat has FINITE
+--R sizeLess? : (%,%) -> Boolean if MachineFloat has EUCDOM
+--R solveLinearPolynomialEquation : (List SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> Union(List SparseUnivariatePolynomial %,"failed") if MachineFloat has EUCDOM and MachineFloat has PFECAT
+--R sqrt : % -> % if MachineFloat has RADCAT and MachineFloat has TRANFUN
+--R squareFree : % -> Factored % if MachineFloat has EUCDOM and MachineFloat has PFECAT or MachineFloat has FIELD
+--R squareFreePart : % -> % if MachineFloat has EUCDOM and MachineFloat has PFECAT or MachineFloat has FIELD
+--R squareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if MachineFloat has EUCDOM and MachineFloat has PFECAT
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tableForDiscreteLogarithm : Integer -> Table(PositiveInteger,NonNegativeInteger) if MachineFloat has FFIELDC
+--R tan : % -> % if MachineFloat has TRANFUN
+--R tanh : % -> % if MachineFloat has TRANFUN
+--R traceMatrix : Vector % -> Matrix MachineFloat
+--R traceMatrix : () -> Matrix MachineFloat
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<MachineComplex.help>>=
+====================================================================
+MachineComplex examples
+====================================================================
+
+See Also:
+o )show MachineComplex
+
+@
+
 \pagehead{MachineComplex}{MCMPLX}
 \pagepic{ps/v103machinecomplex.ps}{MCMPLX}{1.00}
 {\bf See}\\
@@ -59465,6 +70463,112 @@ MachineComplex():Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MFLOAT MachineFloat}
+
+<<MachineFloat.input>>=
+)set break resume
+)sys rm -f MachineFloat.output
+)spool MachineFloat.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MachineFloat
+--R MachineFloat  is a domain constructor
+--R Abbreviation for MachineFloat is MFLOAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for MFLOAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Fraction Integer,%) -> %       ?*? : (%,Fraction Integer) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Fraction Integer) -> %
+--R ?**? : (%,Integer) -> %               ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?/? : (%,%) -> %
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               1 : () -> %
+--R 0 : () -> %                           ?^? : (%,Integer) -> %
+--R ?^? : (%,PositiveInteger) -> %        abs : % -> %
+--R associates? : (%,%) -> Boolean        base : () -> PositiveInteger
+--R bits : () -> PositiveInteger          ceiling : % -> %
+--R coerce : MachineInteger -> %          coerce : % -> Float
+--R coerce : Float -> %                   coerce : Fraction Integer -> %
+--R coerce : Integer -> %                 coerce : Fraction Integer -> %
+--R coerce : % -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              convert : % -> Pattern Float
+--R convert : % -> DoubleFloat            convert : % -> Float
+--R digits : () -> PositiveInteger        exponent : % -> Integer
+--R factor : % -> Factored %              float : (Integer,Integer) -> %
+--R floor : % -> %                        fractionPart : % -> %
+--R gcd : List % -> %                     gcd : (%,%) -> %
+--R hash : % -> SingleInteger             inv : % -> %
+--R latex : % -> String                   lcm : List % -> %
+--R lcm : (%,%) -> %                      mantissa : % -> Integer
+--R max : (%,%) -> %                      maximumExponent : () -> Integer
+--R min : (%,%) -> %                      minimumExponent : () -> Integer
+--R negative? : % -> Boolean              norm : % -> %
+--R nthRoot : (%,Integer) -> %            one? : % -> Boolean
+--R order : % -> Integer                  positive? : % -> Boolean
+--R precision : () -> PositiveInteger     prime? : % -> Boolean
+--R ?quo? : (%,%) -> %                    recip : % -> Union(%,"failed")
+--R ?rem? : (%,%) -> %                    retract : % -> Float
+--R retract : % -> Fraction Integer       retract : % -> Integer
+--R round : % -> %                        sample : () -> %
+--R sign : % -> Integer                   sizeLess? : (%,%) -> Boolean
+--R sqrt : % -> %                         squareFree : % -> Factored %
+--R squareFreePart : % -> %               truncate : % -> %
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R wholePart : % -> Integer              zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R base : PositiveInteger -> PositiveInteger
+--R bits : PositiveInteger -> PositiveInteger if $ has arbitraryPrecision
+--R changeBase : (Integer,Integer,PositiveInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R decreasePrecision : Integer -> PositiveInteger if $ has arbitraryPrecision
+--R digits : PositiveInteger -> PositiveInteger if $ has arbitraryPrecision
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R float : (Integer,Integer,PositiveInteger) -> %
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R increasePrecision : Integer -> PositiveInteger if $ has arbitraryPrecision
+--R max : () -> % if not has($,arbitraryExponent) and not has($,arbitraryPrecision)
+--R maximumExponent : Integer -> Integer
+--R min : () -> % if not has($,arbitraryExponent) and not has($,arbitraryPrecision)
+--R minimumExponent : Integer -> Integer
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%)
+--R precision : PositiveInteger -> PositiveInteger
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R retractIfCan : % -> Union(Float,"failed")
+--R retractIfCan : % -> Union(Fraction Integer,"failed")
+--R retractIfCan : % -> Union(Integer,"failed")
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<MachineFloat.help>>=
+====================================================================
+MachineFloat examples
+====================================================================
+
+See Also:
+o )show MachineFloat
+
+@
+
 \pagehead{MachineFloat}{MFLOAT}
 \pagepic{ps/v103machinefloat.ps}{MFLOAT}{1.00}
 {\bf See}\\
@@ -59865,6 +70969,104 @@ MachineFloat(): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MINT MachineInteger}
+
+<<MachineInteger.input>>=
+)set break resume
+)sys rm -f MachineInteger.output
+)spool MachineInteger.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MachineInteger
+--R MachineInteger  is a domain constructor
+--R Abbreviation for MachineInteger is MINT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for MINT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?<? : (%,%) -> Boolean
+--R ?<=? : (%,%) -> Boolean               ?=? : (%,%) -> Boolean
+--R ?>? : (%,%) -> Boolean                ?>=? : (%,%) -> Boolean
+--R D : (%,NonNegativeInteger) -> %       D : % -> %
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        abs : % -> %
+--R addmod : (%,%,%) -> %                 associates? : (%,%) -> Boolean
+--R base : () -> %                        binomial : (%,%) -> %
+--R bit? : (%,%) -> Boolean               coerce : Integer -> %
+--R coerce : % -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              convert : % -> Integer
+--R convert : % -> InputForm              convert : % -> Pattern Integer
+--R convert : % -> Float                  convert : % -> DoubleFloat
+--R copy : % -> %                         dec : % -> %
+--R differentiate : % -> %                even? : % -> Boolean
+--R factor : % -> Factored %              factorial : % -> %
+--R gcd : (%,%) -> %                      gcd : List % -> %
+--R hash : % -> %                         hash : % -> SingleInteger
+--R inc : % -> %                          init : () -> %
+--R invmod : (%,%) -> %                   latex : % -> String
+--R lcm : (%,%) -> %                      lcm : List % -> %
+--R length : % -> %                       mask : % -> %
+--R max : (%,%) -> %                      maxint : () -> PositiveInteger
+--R min : (%,%) -> %                      mulmod : (%,%,%) -> %
+--R negative? : % -> Boolean              odd? : % -> Boolean
+--R one? : % -> Boolean                   permutation : (%,%) -> %
+--R positive? : % -> Boolean              positiveRemainder : (%,%) -> %
+--R powmod : (%,%,%) -> %                 prime? : % -> Boolean
+--R ?quo? : (%,%) -> %                    random : () -> %
+--R random : % -> %                       rational : % -> Fraction Integer
+--R rational? : % -> Boolean              recip : % -> Union(%,"failed")
+--R ?rem? : (%,%) -> %                    retract : % -> Integer
+--R sample : () -> %                      shift : (%,%) -> %
+--R sign : % -> Integer                   sizeLess? : (%,%) -> Boolean
+--R squareFree : % -> Factored %          squareFreePart : % -> %
+--R submod : (%,%,%) -> %                 symmetricRemainder : (%,%) -> %
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R coerce : Expression Integer -> Expression %
+--R differentiate : (%,NonNegativeInteger) -> %
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R maxint : PositiveInteger -> PositiveInteger
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R nextItem : % -> Union(%,"failed")
+--R patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%)
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R rationalIfCan : % -> Union(Fraction Integer,"failed")
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer)
+--R reducedSystem : Matrix % -> Matrix Integer
+--R retractIfCan : % -> Union(Integer,"failed")
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<MachineInteger.help>>=
+====================================================================
+MachineInteger examples
+====================================================================
+
+See Also:
+o )show MachineInteger
+
+@
+
 \pagehead{MachineInteger}{MINT}
 \pagepic{ps/v103machineinteger.ps}{MINT}{1.00}
 {\bf See}\\
@@ -60022,6 +71224,7 @@ MachineInteger(): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MAGMA Magma}
+
 <<Magma.input>>=
 )set break resume
 )sys rm -f Magma.output
@@ -60505,6 +71708,48 @@ Magma(VarSet:OrderedSet):Public == Private where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MKCHSET MakeCachableSet}
+
+<<MakeCachableSet.input>>=
+)set break resume
+)sys rm -f MakeCachableSet.output
+)spool MakeCachableSet.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MakeCachableSet
+--R MakeCachableSet S: SetCategory  is a domain constructor
+--R Abbreviation for MakeCachableSet is MKCHSET 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for MKCHSET 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               coerce : S -> %
+--R coerce : % -> S                       coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R max : (%,%) -> %                      min : (%,%) -> %
+--R ?~=? : (%,%) -> Boolean              
+--R position : % -> NonNegativeInteger
+--R setPosition : (%,NonNegativeInteger) -> Void
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<MakeCachableSet.help>>=
+====================================================================
+MakeCachableSet examples
+====================================================================
+
+See Also:
+o )show MakeCachableSet
+
+@
+
 \pagehead{MakeCachableSet}{MKCHSET}
 \pagepic{ps/v103makecachableset.ps}{MKCHSET}{1.00}
 {\bf See}\\
@@ -60573,6 +71818,44 @@ MakeCachableSet(S:SetCategory): Exports == Implementation where
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MMLFORM MathMLFormat}
 
+<<MathMLFormat.input>>=
+)set break resume
+)sys rm -f MathMLFormat.output
+)spool MathMLFormat.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MathMLFormat
+--R MathMLFormat  is a domain constructor
+--R Abbreviation for MathMLFormat is MMLFORM 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for MMLFORM 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : OutputForm -> String
+--R coerce : % -> OutputForm              coerceL : OutputForm -> String
+--R coerceS : OutputForm -> String        display : String -> Void
+--R exprex : OutputForm -> String         hash : % -> SingleInteger
+--R latex : % -> String                   ?~=? : (%,%) -> Boolean
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<MathMLFormat.help>>=
+====================================================================
+MathMLFormat examples
+====================================================================
+
+See Also:
+o )show MathMLFormat
+
+@
+
+
 Both this code and documentation are still under development and
 I don't pretend they are anywhere close to perfect or even finished.
 However the code does work and I hope it might be useful to somebody
@@ -62193,6 +73476,7 @@ o )show MathMLFormat
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MATRIX Matrix}
+
 <<Matrix.input>>=
 )set break resume
 )sys rm -f Matrix.output
@@ -63372,6 +74656,218 @@ Matrix(R): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MODMON ModMonic}
+
+<<ModMonic.input>>=
+)set break resume
+)sys rm -f ModMonic.output
+)spool ModMonic.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ModMonic
+--R ModMonic(R: Ring,Rep: UnivariatePolynomialCategory R)  is a domain constructor
+--R Abbreviation for ModMonic is MODMON 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for MODMON 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,R) -> %                      ?*? : (R,%) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R An : % -> Vector R                    D : (%,(R -> R)) -> %
+--R D : % -> %                            D : (%,NonNegativeInteger) -> %
+--R 1 : () -> %                           UnVectorise : Vector R -> %
+--R Vectorise : % -> Vector R             0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coefficients : % -> List R
+--R coerce : Rep -> %                     coerce : R -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R degree : % -> NonNegativeInteger      differentiate : % -> %
+--R ?.? : (%,%) -> %                      ?.? : (%,R) -> R
+--R eval : (%,List %,List %) -> %         eval : (%,%,%) -> %
+--R eval : (%,Equation %) -> %            eval : (%,List Equation %) -> %
+--R ground : % -> R                       ground? : % -> Boolean
+--R hash : % -> SingleInteger             init : () -> % if R has STEP
+--R latex : % -> String                   leadingCoefficient : % -> R
+--R leadingMonomial : % -> %              lift : % -> Rep
+--R map : ((R -> R),%) -> %               modulus : () -> Rep
+--R monomial? : % -> Boolean              monomials : % -> List %
+--R one? : % -> Boolean                   pow : () -> PrimitiveArray %
+--R primitiveMonomials : % -> List %      pseudoRemainder : (%,%) -> %
+--R recip : % -> Union(%,"failed")        reduce : Rep -> %
+--R reductum : % -> %                     retract : % -> R
+--R sample : () -> %                      setPoly : Rep -> Rep
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (Fraction Integer,%) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (%,Fraction Integer) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,R) -> % if R has FIELD
+--R ?<? : (%,%) -> Boolean if R has ORDSET
+--R ?<=? : (%,%) -> Boolean if R has ORDSET
+--R ?>? : (%,%) -> Boolean if R has ORDSET
+--R ?>=? : (%,%) -> Boolean if R has ORDSET
+--R D : (%,(R -> R),NonNegativeInteger) -> %
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if R has PDRING SYMBOL
+--R D : (%,Symbol) -> % if R has PDRING SYMBOL
+--R D : (%,List SingletonAsOrderedSet,List NonNegativeInteger) -> %
+--R D : (%,SingletonAsOrderedSet,NonNegativeInteger) -> %
+--R D : (%,List SingletonAsOrderedSet) -> %
+--R D : (%,SingletonAsOrderedSet) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R associates? : (%,%) -> Boolean if R has INTDOM
+--R binomThmExpt : (%,%,NonNegativeInteger) -> % if R has COMRING
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if $ has CHARNZ and R has PFECAT or R has CHARNZ
+--R coefficient : (%,List SingletonAsOrderedSet,List NonNegativeInteger) -> %
+--R coefficient : (%,SingletonAsOrderedSet,NonNegativeInteger) -> %
+--R coefficient : (%,NonNegativeInteger) -> R
+--R coerce : % -> % if R has INTDOM
+--R coerce : Fraction Integer -> % if R has ALGEBRA FRAC INT or R has RETRACT FRAC INT
+--R coerce : SingletonAsOrderedSet -> %
+--R composite : (Fraction %,%) -> Union(Fraction %,"failed") if R has INTDOM
+--R composite : (%,%) -> Union(%,"failed") if R has INTDOM
+--R computePowers : () -> PrimitiveArray %
+--R conditionP : Matrix % -> Union(Vector %,"failed") if $ has CHARNZ and R has PFECAT
+--R content : (%,SingletonAsOrderedSet) -> % if R has GCDDOM
+--R content : % -> R if R has GCDDOM
+--R convert : % -> InputForm if SingletonAsOrderedSet has KONVERT INFORM and R has KONVERT INFORM
+--R convert : % -> Pattern Integer if SingletonAsOrderedSet has KONVERT PATTERN INT and R has KONVERT PATTERN INT
+--R convert : % -> Pattern Float if SingletonAsOrderedSet has KONVERT PATTERN FLOAT and R has KONVERT PATTERN FLOAT
+--R degree : (%,List SingletonAsOrderedSet) -> List NonNegativeInteger
+--R degree : (%,SingletonAsOrderedSet) -> NonNegativeInteger
+--R differentiate : (%,(R -> R),%) -> %
+--R differentiate : (%,(R -> R)) -> %
+--R differentiate : (%,(R -> R),NonNegativeInteger) -> %
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if R has PDRING SYMBOL
+--R differentiate : (%,Symbol) -> % if R has PDRING SYMBOL
+--R differentiate : (%,NonNegativeInteger) -> %
+--R differentiate : (%,List SingletonAsOrderedSet,List NonNegativeInteger) -> %
+--R differentiate : (%,SingletonAsOrderedSet,NonNegativeInteger) -> %
+--R differentiate : (%,List SingletonAsOrderedSet) -> %
+--R differentiate : (%,SingletonAsOrderedSet) -> %
+--R discriminant : % -> R if R has COMRING
+--R discriminant : (%,SingletonAsOrderedSet) -> % if R has COMRING
+--R divide : (%,%) -> Record(quotient: %,remainder: %) if R has FIELD
+--R divideExponents : (%,NonNegativeInteger) -> Union(%,"failed")
+--R ?.? : (%,Fraction %) -> Fraction % if R has INTDOM
+--R elt : (Fraction %,R) -> R if R has FIELD
+--R elt : (Fraction %,Fraction %) -> Fraction % if R has INTDOM
+--R euclideanSize : % -> NonNegativeInteger if R has FIELD
+--R eval : (%,List SingletonAsOrderedSet,List %) -> %
+--R eval : (%,SingletonAsOrderedSet,%) -> %
+--R eval : (%,List SingletonAsOrderedSet,List R) -> %
+--R eval : (%,SingletonAsOrderedSet,R) -> %
+--R expressIdealMember : (List %,%) -> Union(List %,"failed") if R has FIELD
+--R exquo : (%,%) -> Union(%,"failed") if R has INTDOM
+--R exquo : (%,R) -> Union(%,"failed") if R has INTDOM
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %) if R has FIELD
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed") if R has FIELD
+--R factor : % -> Factored % if R has PFECAT
+--R factorPolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R factorSquareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R frobenius : % -> % if R has FFIELDC
+--R gcd : (%,%) -> % if R has GCDDOM
+--R gcd : List % -> % if R has GCDDOM
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if R has GCDDOM
+--R index : PositiveInteger -> % if R has FINITE
+--R integrate : % -> % if R has ALGEBRA FRAC INT
+--R isExpt : % -> Union(Record(var: SingletonAsOrderedSet,exponent: NonNegativeInteger),"failed")
+--R isPlus : % -> Union(List %,"failed")
+--R isTimes : % -> Union(List %,"failed")
+--R karatsubaDivide : (%,NonNegativeInteger) -> Record(quotient: %,remainder: %)
+--R lcm : (%,%) -> % if R has GCDDOM
+--R lcm : List % -> % if R has GCDDOM
+--R lookup : % -> PositiveInteger if R has FINITE
+--R mainVariable : % -> Union(SingletonAsOrderedSet,"failed")
+--R makeSUP : % -> SparseUnivariatePolynomial R
+--R mapExponents : ((NonNegativeInteger -> NonNegativeInteger),%) -> %
+--R max : (%,%) -> % if R has ORDSET
+--R min : (%,%) -> % if R has ORDSET
+--R minimumDegree : (%,List SingletonAsOrderedSet) -> List NonNegativeInteger
+--R minimumDegree : (%,SingletonAsOrderedSet) -> NonNegativeInteger
+--R minimumDegree : % -> NonNegativeInteger
+--R monicDivide : (%,%) -> Record(quotient: %,remainder: %)
+--R monicDivide : (%,%,SingletonAsOrderedSet) -> Record(quotient: %,remainder: %)
+--R monomial : (%,List SingletonAsOrderedSet,List NonNegativeInteger) -> %
+--R monomial : (%,SingletonAsOrderedSet,NonNegativeInteger) -> %
+--R monomial : (R,NonNegativeInteger) -> %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed") if R has FIELD
+--R multiplyExponents : (%,NonNegativeInteger) -> %
+--R multivariate : (SparseUnivariatePolynomial %,SingletonAsOrderedSet) -> %
+--R multivariate : (SparseUnivariatePolynomial R,SingletonAsOrderedSet) -> %
+--R nextItem : % -> Union(%,"failed") if R has STEP
+--R numberOfMonomials : % -> NonNegativeInteger
+--R order : (%,%) -> NonNegativeInteger if R has INTDOM
+--R patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%) if SingletonAsOrderedSet has PATMAB INT and R has PATMAB INT
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%) if SingletonAsOrderedSet has PATMAB FLOAT and R has PATMAB FLOAT
+--R pomopo! : (%,R,NonNegativeInteger,%) -> %
+--R prime? : % -> Boolean if R has PFECAT
+--R primitivePart : (%,SingletonAsOrderedSet) -> % if R has GCDDOM
+--R primitivePart : % -> % if R has GCDDOM
+--R principalIdeal : List % -> Record(coef: List %,generator: %) if R has FIELD
+--R pseudoDivide : (%,%) -> Record(coef: R,quotient: %,remainder: %) if R has INTDOM
+--R pseudoQuotient : (%,%) -> % if R has INTDOM
+--R ?quo? : (%,%) -> % if R has FIELD
+--R random : () -> % if R has FINITE
+--R reducedSystem : Matrix % -> Matrix R
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix R,vec: Vector R)
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if R has LINEXP INT
+--R reducedSystem : Matrix % -> Matrix Integer if R has LINEXP INT
+--R ?rem? : (%,%) -> % if R has FIELD
+--R resultant : (%,%) -> R if R has COMRING
+--R resultant : (%,%,SingletonAsOrderedSet) -> % if R has COMRING
+--R retract : % -> SingletonAsOrderedSet
+--R retract : % -> Integer if R has RETRACT INT
+--R retract : % -> Fraction Integer if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(SingletonAsOrderedSet,"failed")
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(R,"failed")
+--R separate : (%,%) -> Record(primePart: %,commonPart: %) if R has GCDDOM
+--R shiftLeft : (%,NonNegativeInteger) -> %
+--R shiftRight : (%,NonNegativeInteger) -> %
+--R size : () -> NonNegativeInteger if R has FINITE
+--R sizeLess? : (%,%) -> Boolean if R has FIELD
+--R solveLinearPolynomialEquation : (List SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> Union(List SparseUnivariatePolynomial %,"failed") if R has PFECAT
+--R squareFree : % -> Factored % if R has GCDDOM
+--R squareFreePart : % -> % if R has GCDDOM
+--R squareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R subResultantGcd : (%,%) -> % if R has INTDOM
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R totalDegree : (%,List SingletonAsOrderedSet) -> NonNegativeInteger
+--R totalDegree : % -> NonNegativeInteger
+--R unit? : % -> Boolean if R has INTDOM
+--R unitCanonical : % -> % if R has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if R has INTDOM
+--R univariate : % -> SparseUnivariatePolynomial R
+--R univariate : (%,SingletonAsOrderedSet) -> SparseUnivariatePolynomial %
+--R unmakeSUP : SparseUnivariatePolynomial R -> %
+--R variables : % -> List SingletonAsOrderedSet
+--R vectorise : (%,NonNegativeInteger) -> Vector R
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<ModMonic.help>>=
+====================================================================
+ModMonic examples
+====================================================================
+
+See Also:
+o )show ModMonic
+
+@
+
 \pagehead{ModMonic}{MODMON}
 \pagepic{ps/v103modmonic.ps}{MODMON}{1.00}
 
@@ -63683,6 +75179,78 @@ ModMonic(R,Rep): C == T
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MODFIELD ModularField}
+
+<<ModularField.input>>=
+)set break resume
+)sys rm -f ModularField.output
+)spool ModularField.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ModularField
+--R ModularField(R: CommutativeRing,Mod: AbelianMonoid,reduction: ((R,Mod) -> R),merge: ((Mod,Mod) -> Union(Mod,"failed")),exactQuo: ((R,R,Mod) -> Union(R,"failed")))  is a domain constructor
+--R Abbreviation for ModularField is MODFIELD 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for MODFIELD 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Fraction Integer,%) -> %       ?*? : (%,Fraction Integer) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?/? : (%,%) -> %                      ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,Integer) -> %                ?^? : (%,PositiveInteger) -> %
+--R associates? : (%,%) -> Boolean        coerce : % -> R
+--R coerce : Fraction Integer -> %        coerce : % -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R factor : % -> Factored %              gcd : List % -> %
+--R gcd : (%,%) -> %                      hash : % -> SingleInteger
+--R inv : % -> %                          latex : % -> String
+--R lcm : List % -> %                     lcm : (%,%) -> %
+--R modulus : % -> Mod                    one? : % -> Boolean
+--R prime? : % -> Boolean                 ?quo? : (%,%) -> %
+--R recip : % -> Union(%,"failed")        reduce : (R,Mod) -> %
+--R ?rem? : (%,%) -> %                    sample : () -> %
+--R sizeLess? : (%,%) -> Boolean          squareFree : % -> Factored %
+--R squareFreePart : % -> %               unit? : % -> Boolean
+--R unitCanonical : % -> %                zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R exQuo : (%,%) -> Union(%,"failed")
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<ModularField.help>>=
+====================================================================
+ModularField examples
+====================================================================
+
+See Also:
+o )show ModularField
+
+@
+
 \pagehead{ModularField}{MODFIELD}
 \pagepic{ps/v103modularfield.ps}{MODFIELD}{1.00}
 {\bf See}\\
@@ -63775,6 +75343,57 @@ ModularField(R,Mod,reduction:(R,Mod) -> R,
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MODRING ModularRing}
+
+<<ModularRing.input>>=
+)set break resume
+)sys rm -f ModularRing.output
+)spool ModularRing.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ModularRing
+--R ModularRing(R: CommutativeRing,Mod: AbelianMonoid,reduction: ((R,Mod) -> R),merge: ((Mod,Mod) -> Union(Mod,"failed")),exactQuo: ((R,R,Mod) -> Union(R,"failed")))  is a domain constructor
+--R Abbreviation for ModularRing is MODRING 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for MODRING 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : % -> R
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R hash : % -> SingleInteger             inv : % -> %
+--R latex : % -> String                   modulus : % -> Mod
+--R one? : % -> Boolean                   recip : % -> Union(%,"failed")
+--R reduce : (R,Mod) -> %                 sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R exQuo : (%,%) -> Union(%,"failed")
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<ModularRing.help>>=
+====================================================================
+ModularRing examples
+====================================================================
+
+See Also:
+o )show ModularRing
+
+@
+
 \pagehead{ModularRing}{MODRING}
 \pagepic{ps/v103modularring.ps}{MODRING}{1.00}
 {\bf See}\\
@@ -63907,6 +75526,48 @@ ModularRing(R,Mod,reduction:(R,Mod) -> R,
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MODMONOM ModuleMonomial}
+
+<<ModuleMonomial.input>>=
+)set break resume
+)sys rm -f ModuleMonomial.output
+)spool ModuleMonomial.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ModuleMonomial
+--R ModuleMonomial(IS: OrderedSet,E: SetCategory,ff: ((Record(index: IS,exponent: E),Record(index: IS,exponent: E)) -> Boolean))  is a domain constructor
+--R Abbreviation for ModuleMonomial is MODMONOM 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for MODMONOM 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               coerce : % -> OutputForm
+--R construct : (IS,E) -> %               exponent : % -> E
+--R hash : % -> SingleInteger             index : % -> IS
+--R latex : % -> String                   max : (%,%) -> %
+--R min : (%,%) -> %                      ?~=? : (%,%) -> Boolean
+--R coerce : % -> Record(index: IS,exponent: E)
+--R coerce : Record(index: IS,exponent: E) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<ModuleMonomial.help>>=
+====================================================================
+ModuleMonomial examples
+====================================================================
+
+See Also:
+o )show ModuleMonomial
+
+@
+
 \pagehead{ModuleMonomial}{MODMONOM}
 \pagepic{ps/v103modulemonomial.ps}{MODMONOM}{1.00}
 {\bf See}\\
@@ -63971,6 +75632,69 @@ ModuleMonomial(IS: OrderedSet,
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MODOP ModuleOperator}
+
+<<ModuleOperator.input>>=
+)set break resume
+)sys rm -f ModuleOperator.output
+)spool ModuleOperator.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ModuleOperator
+--R ModuleOperator(R: Ring,M: LeftModule R)  is a domain constructor
+--R Abbreviation for ModuleOperator is MODOP 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for MODOP 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?=? : (%,%) -> Boolean                1 : () -> %
+--R 0 : () -> %                           ?^? : (%,PositiveInteger) -> %
+--R coerce : BasicOperator -> %           coerce : R -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R ?.? : (%,M) -> M                      evaluate : (%,(M -> M)) -> %
+--R hash : % -> SingleInteger             latex : % -> String
+--R one? : % -> Boolean                   opeval : (BasicOperator,M) -> M
+--R recip : % -> Union(%,"failed")        retract : % -> BasicOperator
+--R retract : % -> R                      sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (%,R) -> % if R has COMRING
+--R ?*? : (R,%) -> % if R has COMRING
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (BasicOperator,Integer) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R adjoint : (%,%) -> % if R has COMRING
+--R adjoint : % -> % if R has COMRING
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if R has CHARNZ
+--R conjug : R -> R if R has COMRING
+--R evaluateInverse : (%,(M -> M)) -> %
+--R makeop : (R,FreeGroup BasicOperator) -> %
+--R retractIfCan : % -> Union(BasicOperator,"failed")
+--R retractIfCan : % -> Union(R,"failed")
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<ModuleOperator.help>>=
+====================================================================
+ModuleOperator examples
+====================================================================
+
+See Also:
+o )show ModuleOperator
+
+@
+
 \pagehead{ModuleOperator}{MODOP}
 \pagepic{ps/v103moduleoperator.ps}{MODOP}{1.00}
 {\bf See}\\
@@ -64247,6 +75971,55 @@ ModuleOperator(R: Ring, M:LeftModule(R)): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MOEBIUS MoebiusTransform}
+
+<<MoebiusTransform.input>>=
+)set break resume
+)sys rm -f MoebiusTransform.output
+)spool MoebiusTransform.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MoebiusTransform
+--R MoebiusTransform F: Field  is a domain constructor
+--R Abbreviation for MoebiusTransform is MOEBIUS 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for MOEBIUS 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?/? : (%,%) -> %
+--R ?=? : (%,%) -> Boolean                1 : () -> %
+--R ?^? : (%,Integer) -> %                ?^? : (%,PositiveInteger) -> %
+--R coerce : % -> OutputForm              commutator : (%,%) -> %
+--R conjugate : (%,%) -> %                eval : (%,F) -> F
+--R hash : % -> SingleInteger             inv : % -> %
+--R latex : % -> String                   moebius : (F,F,F,F) -> %
+--R one? : % -> Boolean                   recip : % -> %
+--R recip : () -> %                       recip : % -> Union(%,"failed")
+--R sample : () -> %                      scale : (%,F) -> %
+--R scale : F -> %                        shift : (%,F) -> %
+--R shift : F -> %                        ?~=? : (%,%) -> Boolean
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R eval : (%,OnePointCompletion F) -> OnePointCompletion F
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<MoebiusTransform.help>>=
+====================================================================
+MoebiusTransform examples
+====================================================================
+
+See Also:
+o )show MoebiusTransform
+
+@
+
 \pagehead{MoebiusTransform}{MOEBIUS}
 \pagepic{ps/v103moebiustransform.ps}{MOEBIUS}{1.00}
 
@@ -64385,6 +76158,74 @@ MoebiusTransform(F): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MRING MonoidRing}
+
+<<MonoidRing.input>>=
+)set break resume
+)sys rm -f MonoidRing.output
+)spool MonoidRing.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MonoidRing
+--R MonoidRing(R: Ring,M: Monoid)  is a domain constructor
+--R Abbreviation for MonoidRing is MRING 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for MRING 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coefficient : (%,M) -> R
+--R coefficients : % -> List R            coerce : R -> %
+--R coerce : M -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   map : ((R -> R),%) -> %
+--R monomial : (R,M) -> %                 monomial? : % -> Boolean
+--R monomials : % -> List %               one? : % -> Boolean
+--R recip : % -> Union(%,"failed")        retract : % -> R
+--R retract : % -> M                      sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (%,R) -> % if R has COMRING
+--R ?*? : (R,%) -> % if R has COMRING
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if R has CHARNZ
+--R coerce : List Record(coef: R,monom: M) -> %
+--R index : PositiveInteger -> % if M has FINITE and R has FINITE
+--R leadingCoefficient : % -> R if M has ORDSET
+--R leadingMonomial : % -> M if M has ORDSET
+--R lookup : % -> PositiveInteger if M has FINITE and R has FINITE
+--R numberOfMonomials : % -> NonNegativeInteger
+--R random : () -> % if M has FINITE and R has FINITE
+--R reductum : % -> % if M has ORDSET
+--R retractIfCan : % -> Union(R,"failed")
+--R retractIfCan : % -> Union(M,"failed")
+--R size : () -> NonNegativeInteger if M has FINITE and R has FINITE
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R terms : % -> List Record(coef: R,monom: M)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<MonoidRing.help>>=
+====================================================================
+MonoidRing examples
+====================================================================
+
+See Also:
+o )show MonoidRing
+
+@
+
 \pagehead{MonoidRing}{MRING}
 \pagepic{ps/v103monoidring.ps}{MRING}{1.00}
 
@@ -64757,6 +76598,7 @@ MonoidRing(R: Ring, M: Monoid): MRcategory == MRdefinition where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MSET Multiset}
+
 <<Multiset.input>>=
 )set break resume
 )sys rm -f Multiset.output
@@ -65320,6 +77162,7 @@ Multiset(S: SetCategory): MultisetAggregate S with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MPOLY MultivariatePolynomial}
+
 <<MultivariatePolynomial.input>>=
 )set break resume
 )sys rm -f MultivariatePolynomial.output
@@ -65645,6 +77488,200 @@ MultivariatePolynomial(vl:List Symbol, R:Ring)
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MYEXPR MyExpression}
+
+<<MyExpression.input>>=
+)set break resume
+)sys rm -f MyExpression.output
+)spool MyExpression.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MyExpression
+--R MyExpression(q: Symbol,R: Join(Ring,OrderedSet,IntegralDomain))  is a domain constructor
+--R Abbreviation for MyExpression is MYEXPR 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for MYEXPR 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (PositiveInteger,%) -> %        ?*? : (Integer,%) -> %
+--R ?*? : (%,%) -> %                      ?**? : (%,%) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R -? : % -> %                           ?-? : (%,%) -> %
+--R ?/? : (%,%) -> %                      ?<? : (%,%) -> Boolean
+--R ?<=? : (%,%) -> Boolean               ?=? : (%,%) -> Boolean
+--R ?>? : (%,%) -> Boolean                ?>=? : (%,%) -> Boolean
+--R D : (%,Symbol) -> %                   D : (%,List Symbol) -> %
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        applyQuote : (Symbol,%,%) -> %
+--R applyQuote : (Symbol,%) -> %          associates? : (%,%) -> Boolean
+--R belong? : BasicOperator -> Boolean    binomial : (%,%) -> %
+--R box : List % -> %                     box : % -> %
+--R coerce : Integer -> %                 coerce : % -> %
+--R coerce : R -> %                       coerce : Symbol -> %
+--R coerce : Kernel % -> %                coerce : % -> OutputForm
+--R denominator : % -> %                  differentiate : (%,Symbol) -> %
+--R distribute : (%,%) -> %               distribute : % -> %
+--R elt : (BasicOperator,%,%) -> %        elt : (BasicOperator,%) -> %
+--R eval : (%,List %,List %) -> %         eval : (%,%,%) -> %
+--R eval : (%,Equation %) -> %            eval : (%,List Equation %) -> %
+--R eval : (%,Kernel %,%) -> %            factorial : % -> %
+--R factorials : % -> %                   factorials : (%,Symbol) -> %
+--R freeOf? : (%,Symbol) -> Boolean       freeOf? : (%,%) -> Boolean
+--R ground : % -> R                       ground? : % -> Boolean
+--R hash : % -> SingleInteger             height : % -> NonNegativeInteger
+--R is? : (%,Symbol) -> Boolean           kernel : (BasicOperator,%) -> %
+--R kernels : % -> List Kernel %          latex : % -> String
+--R map : ((% -> %),Kernel %) -> %        max : (%,%) -> %
+--R min : (%,%) -> %                      numerator : % -> %
+--R one? : % -> Boolean                   paren : List % -> %
+--R paren : % -> %                        permutation : (%,%) -> %
+--R product : (%,Symbol) -> %             recip : % -> Union(%,"failed")
+--R retract : % -> Integer                retract : % -> R
+--R retract : % -> Symbol                 retract : % -> Kernel %
+--R sample : () -> %                      subst : (%,Equation %) -> %
+--R summation : (%,Symbol) -> %           tower : % -> List Kernel %
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R variables : % -> List Symbol          zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?*? : (%,R) -> % if R has COMRING
+--R ?*? : (R,%) -> % if R has COMRING
+--R ?*? : (%,Fraction Integer) -> % if R has INTDOM
+--R ?*? : (Fraction Integer,%) -> % if R has INTDOM
+--R ?**? : (%,Integer) -> % if R has GROUP or R has INTDOM
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (SparseMultivariatePolynomial(R,Kernel %),SparseMultivariatePolynomial(R,Kernel %)) -> % if R has INTDOM
+--R D : (%,Symbol,NonNegativeInteger) -> %
+--R D : (%,List Symbol,List NonNegativeInteger) -> %
+--R ?^? : (%,Integer) -> % if R has GROUP or R has INTDOM
+--R ?^? : (%,NonNegativeInteger) -> %
+--R applyQuote : (Symbol,List %) -> %
+--R applyQuote : (Symbol,%,%,%,%) -> %
+--R applyQuote : (Symbol,%,%,%) -> %
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if R has CHARNZ
+--R coerce : Fraction Integer -> % if R has INTDOM or R has RETRACT FRAC INT
+--R coerce : Fraction MyUnivariatePolynomial(q,R) -> %
+--R coerce : MyUnivariatePolynomial(q,R) -> %
+--R coerce : Polynomial R -> % if R has RING
+--R coerce : Fraction Polynomial R -> % if R has INTDOM
+--R coerce : Fraction Polynomial Fraction R -> % if R has INTDOM
+--R coerce : Polynomial Fraction R -> % if R has INTDOM
+--R coerce : Fraction R -> % if R has INTDOM
+--R coerce : SparseMultivariatePolynomial(R,Kernel %) -> % if R has RING
+--R commutator : (%,%) -> % if R has GROUP
+--R conjugate : (%,%) -> % if R has GROUP
+--R convert : % -> InputForm if R has KONVERT INFORM
+--R convert : Factored % -> % if R has INTDOM
+--R convert : % -> Pattern Float if R has KONVERT PATTERN FLOAT
+--R convert : % -> Pattern Integer if R has KONVERT PATTERN INT
+--R definingPolynomial : % -> % if $ has RING
+--R denom : % -> SparseMultivariatePolynomial(R,Kernel %) if R has INTDOM
+--R differentiate : (%,List Symbol) -> %
+--R differentiate : (%,Symbol,NonNegativeInteger) -> %
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> %
+--R divide : (%,%) -> Record(quotient: %,remainder: %) if R has INTDOM
+--R elt : (BasicOperator,List %) -> %
+--R elt : (BasicOperator,%,%,%,%) -> %
+--R elt : (BasicOperator,%,%,%) -> %
+--R euclideanSize : % -> NonNegativeInteger if R has INTDOM
+--R eval : (%,Symbol,NonNegativeInteger,(% -> %)) -> % if R has RING
+--R eval : (%,Symbol,NonNegativeInteger,(List % -> %)) -> % if R has RING
+--R eval : (%,List Symbol,List NonNegativeInteger,List (List % -> %)) -> % if R has RING
+--R eval : (%,List Symbol,List NonNegativeInteger,List (% -> %)) -> % if R has RING
+--R eval : (%,List BasicOperator,List %,Symbol) -> % if R has KONVERT INFORM
+--R eval : (%,BasicOperator,%,Symbol) -> % if R has KONVERT INFORM
+--R eval : % -> % if R has KONVERT INFORM
+--R eval : (%,List Symbol) -> % if R has KONVERT INFORM
+--R eval : (%,Symbol) -> % if R has KONVERT INFORM
+--R eval : (%,BasicOperator,(% -> %)) -> %
+--R eval : (%,BasicOperator,(List % -> %)) -> %
+--R eval : (%,List BasicOperator,List (List % -> %)) -> %
+--R eval : (%,List BasicOperator,List (% -> %)) -> %
+--R eval : (%,Symbol,(% -> %)) -> %
+--R eval : (%,Symbol,(List % -> %)) -> %
+--R eval : (%,List Symbol,List (List % -> %)) -> %
+--R eval : (%,List Symbol,List (% -> %)) -> %
+--R eval : (%,List Kernel %,List %) -> %
+--R even? : % -> Boolean if $ has RETRACT INT
+--R expressIdealMember : (List %,%) -> Union(List %,"failed") if R has INTDOM
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %) if R has INTDOM
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed") if R has INTDOM
+--R factor : % -> Factored % if R has INTDOM
+--R gcd : (%,%) -> % if R has INTDOM
+--R gcd : List % -> % if R has INTDOM
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if R has INTDOM
+--R inv : % -> % if R has GROUP or R has INTDOM
+--R is? : (%,BasicOperator) -> Boolean
+--R isExpt : (%,Symbol) -> Union(Record(var: Kernel %,exponent: Integer),"failed") if R has RING
+--R isExpt : (%,BasicOperator) -> Union(Record(var: Kernel %,exponent: Integer),"failed") if R has RING
+--R isExpt : % -> Union(Record(var: Kernel %,exponent: Integer),"failed") if R has SGROUP
+--R isMult : % -> Union(Record(coef: Integer,var: Kernel %),"failed") if R has ABELSG
+--R isPlus : % -> Union(List %,"failed") if R has ABELSG
+--R isPower : % -> Union(Record(val: %,exponent: Integer),"failed") if R has RING
+--R isTimes : % -> Union(List %,"failed") if R has SGROUP
+--R kernel : (BasicOperator,List %) -> %
+--R lcm : (%,%) -> % if R has INTDOM
+--R lcm : List % -> % if R has INTDOM
+--R mainKernel : % -> Union(Kernel %,"failed")
+--R minPoly : Kernel % -> SparseUnivariatePolynomial % if $ has RING
+--R multiEuclidean : (List %,%) -> Union(List %,"failed") if R has INTDOM
+--R numer : % -> SparseMultivariatePolynomial(R,Kernel %) if R has RING
+--R odd? : % -> Boolean if $ has RETRACT INT
+--R operator : BasicOperator -> BasicOperator
+--R operators : % -> List BasicOperator
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%) if R has PATMAB FLOAT
+--R patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%) if R has PATMAB INT
+--R prime? : % -> Boolean if R has INTDOM
+--R principalIdeal : List % -> Record(coef: List %,generator: %) if R has INTDOM
+--R product : (%,SegmentBinding %) -> %
+--R ?quo? : (%,%) -> % if R has INTDOM
+--R reducedSystem : Matrix % -> Matrix Integer if R has LINEXP INT and R has RING
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if R has LINEXP INT and R has RING
+--R reducedSystem : Matrix % -> Matrix R if R has RING
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix R,vec: Vector R) if R has RING
+--R ?rem? : (%,%) -> % if R has INTDOM
+--R retract : % -> Fraction Integer if R has INTDOM and R has RETRACT INT or R has RETRACT FRAC INT
+--R retract : % -> Fraction MyUnivariatePolynomial(q,R)
+--R retract : % -> MyUnivariatePolynomial(q,R)
+--R retract : % -> Polynomial R if R has RING
+--R retract : % -> Fraction Polynomial R if R has INTDOM
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has INTDOM and R has RETRACT INT or R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(Integer,"failed")
+--R retractIfCan : % -> Union(MyUnivariatePolynomial(q,R),"failed")
+--R retractIfCan : % -> Union(Polynomial R,"failed") if R has RING
+--R retractIfCan : % -> Union(Fraction Polynomial R,"failed") if R has INTDOM
+--R retractIfCan : % -> Union(R,"failed")
+--R retractIfCan : % -> Union(Symbol,"failed")
+--R retractIfCan : % -> Union(Kernel %,"failed")
+--R sizeLess? : (%,%) -> Boolean if R has INTDOM
+--R squareFree : % -> Factored % if R has INTDOM
+--R squareFreePart : % -> % if R has INTDOM
+--R subst : (%,List Kernel %,List %) -> %
+--R subst : (%,List Equation %) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R summation : (%,SegmentBinding %) -> %
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R univariate : (%,Kernel %) -> Fraction SparseUnivariatePolynomial % if R has INTDOM
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<MyExpression.help>>=
+====================================================================
+MyExpression examples
+====================================================================
+
+See Also:
+o )show MyExpression
+
+@
+
 \pagehead{MyExpression}{MYEXPR}
 \pagepic{ps/v103myexpression.ps}{MYEXPR}{1.00}
 {\bf See}\\
@@ -65817,6 +77854,212 @@ MyExpression(q: Symbol, R): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain MYUP MyUnivariatePolynomial}
+
+<<MyUnivariatePolynomial.input>>=
+)set break resume
+)sys rm -f MyUnivariatePolynomial.output
+)spool MyUnivariatePolynomial.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show MyUnivariatePolynomial
+--R MyUnivariatePolynomial(x: Symbol,R: Ring)  is a domain constructor
+--R Abbreviation for MyUnivariatePolynomial is MYUP 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for MYUP 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,R) -> %                      ?*? : (R,%) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R D : (%,(R -> R)) -> %                 D : % -> %
+--R D : (%,NonNegativeInteger) -> %       1 : () -> %
+--R 0 : () -> %                           ?^? : (%,PositiveInteger) -> %
+--R coefficients : % -> List R            coerce : Symbol -> %
+--R coerce : Polynomial R -> %            coerce : Variable x -> %
+--R coerce : R -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              degree : % -> NonNegativeInteger
+--R differentiate : % -> %                ?.? : (%,%) -> %
+--R ?.? : (%,R) -> R                      eval : (%,List %,List %) -> %
+--R eval : (%,%,%) -> %                   eval : (%,Equation %) -> %
+--R eval : (%,List Equation %) -> %       ground : % -> R
+--R ground? : % -> Boolean                hash : % -> SingleInteger
+--R init : () -> % if R has STEP          latex : % -> String
+--R leadingCoefficient : % -> R           leadingMonomial : % -> %
+--R map : ((R -> R),%) -> %               monomial? : % -> Boolean
+--R monomials : % -> List %               one? : % -> Boolean
+--R primitiveMonomials : % -> List %      pseudoRemainder : (%,%) -> %
+--R recip : % -> Union(%,"failed")        reductum : % -> %
+--R retract : % -> Symbol                 retract : % -> R
+--R sample : () -> %                      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (Fraction Integer,%) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (%,Fraction Integer) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,R) -> % if R has FIELD
+--R ?<? : (%,%) -> Boolean if R has ORDSET
+--R ?<=? : (%,%) -> Boolean if R has ORDSET
+--R ?>? : (%,%) -> Boolean if R has ORDSET
+--R ?>=? : (%,%) -> Boolean if R has ORDSET
+--R D : (%,(R -> R),NonNegativeInteger) -> %
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if R has PDRING SYMBOL
+--R D : (%,Symbol) -> % if R has PDRING SYMBOL
+--R D : (%,List SingletonAsOrderedSet,List NonNegativeInteger) -> %
+--R D : (%,SingletonAsOrderedSet,NonNegativeInteger) -> %
+--R D : (%,List SingletonAsOrderedSet) -> %
+--R D : (%,SingletonAsOrderedSet) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R associates? : (%,%) -> Boolean if R has INTDOM
+--R binomThmExpt : (%,%,NonNegativeInteger) -> % if R has COMRING
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if $ has CHARNZ and R has PFECAT or R has CHARNZ
+--R coefficient : (%,List SingletonAsOrderedSet,List NonNegativeInteger) -> %
+--R coefficient : (%,SingletonAsOrderedSet,NonNegativeInteger) -> %
+--R coefficient : (%,NonNegativeInteger) -> R
+--R coerce : % -> % if R has INTDOM
+--R coerce : Fraction Integer -> % if R has ALGEBRA FRAC INT or R has RETRACT FRAC INT
+--R coerce : SingletonAsOrderedSet -> %
+--R composite : (Fraction %,%) -> Union(Fraction %,"failed") if R has INTDOM
+--R composite : (%,%) -> Union(%,"failed") if R has INTDOM
+--R conditionP : Matrix % -> Union(Vector %,"failed") if $ has CHARNZ and R has PFECAT
+--R content : (%,SingletonAsOrderedSet) -> % if R has GCDDOM
+--R content : % -> R if R has GCDDOM
+--R convert : % -> InputForm if SingletonAsOrderedSet has KONVERT INFORM and R has KONVERT INFORM
+--R convert : % -> Pattern Integer if SingletonAsOrderedSet has KONVERT PATTERN INT and R has KONVERT PATTERN INT
+--R convert : % -> Pattern Float if SingletonAsOrderedSet has KONVERT PATTERN FLOAT and R has KONVERT PATTERN FLOAT
+--R degree : (%,List SingletonAsOrderedSet) -> List NonNegativeInteger
+--R degree : (%,SingletonAsOrderedSet) -> NonNegativeInteger
+--R differentiate : (%,(R -> R),%) -> %
+--R differentiate : (%,(R -> R)) -> %
+--R differentiate : (%,(R -> R),NonNegativeInteger) -> %
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if R has PDRING SYMBOL
+--R differentiate : (%,Symbol) -> % if R has PDRING SYMBOL
+--R differentiate : (%,NonNegativeInteger) -> %
+--R differentiate : (%,List SingletonAsOrderedSet,List NonNegativeInteger) -> %
+--R differentiate : (%,SingletonAsOrderedSet,NonNegativeInteger) -> %
+--R differentiate : (%,List SingletonAsOrderedSet) -> %
+--R differentiate : (%,SingletonAsOrderedSet) -> %
+--R discriminant : % -> R if R has COMRING
+--R discriminant : (%,SingletonAsOrderedSet) -> % if R has COMRING
+--R divide : (%,%) -> Record(quotient: %,remainder: %) if R has FIELD
+--R divideExponents : (%,NonNegativeInteger) -> Union(%,"failed")
+--R ?.? : (%,Fraction %) -> Fraction % if R has INTDOM
+--R elt : (Fraction %,R) -> R if R has FIELD
+--R elt : (Fraction %,Fraction %) -> Fraction % if R has INTDOM
+--R euclideanSize : % -> NonNegativeInteger if R has FIELD
+--R eval : (%,List SingletonAsOrderedSet,List %) -> %
+--R eval : (%,SingletonAsOrderedSet,%) -> %
+--R eval : (%,List SingletonAsOrderedSet,List R) -> %
+--R eval : (%,SingletonAsOrderedSet,R) -> %
+--R expressIdealMember : (List %,%) -> Union(List %,"failed") if R has FIELD
+--R exquo : (%,%) -> Union(%,"failed") if R has INTDOM
+--R exquo : (%,R) -> Union(%,"failed") if R has INTDOM
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %) if R has FIELD
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed") if R has FIELD
+--R factor : % -> Factored % if R has PFECAT
+--R factorPolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R factorSquareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R fmecg : (%,NonNegativeInteger,R,%) -> %
+--R gcd : (%,%) -> % if R has GCDDOM
+--R gcd : List % -> % if R has GCDDOM
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if R has GCDDOM
+--R integrate : % -> % if R has ALGEBRA FRAC INT
+--R isExpt : % -> Union(Record(var: SingletonAsOrderedSet,exponent: NonNegativeInteger),"failed")
+--R isPlus : % -> Union(List %,"failed")
+--R isTimes : % -> Union(List %,"failed")
+--R karatsubaDivide : (%,NonNegativeInteger) -> Record(quotient: %,remainder: %)
+--R lcm : (%,%) -> % if R has GCDDOM
+--R lcm : List % -> % if R has GCDDOM
+--R mainVariable : % -> Union(SingletonAsOrderedSet,"failed")
+--R makeSUP : % -> SparseUnivariatePolynomial R
+--R mapExponents : ((NonNegativeInteger -> NonNegativeInteger),%) -> %
+--R max : (%,%) -> % if R has ORDSET
+--R min : (%,%) -> % if R has ORDSET
+--R minimumDegree : (%,List SingletonAsOrderedSet) -> List NonNegativeInteger
+--R minimumDegree : (%,SingletonAsOrderedSet) -> NonNegativeInteger
+--R minimumDegree : % -> NonNegativeInteger
+--R monicDivide : (%,%) -> Record(quotient: %,remainder: %)
+--R monicDivide : (%,%,SingletonAsOrderedSet) -> Record(quotient: %,remainder: %)
+--R monomial : (%,List SingletonAsOrderedSet,List NonNegativeInteger) -> %
+--R monomial : (%,SingletonAsOrderedSet,NonNegativeInteger) -> %
+--R monomial : (R,NonNegativeInteger) -> %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed") if R has FIELD
+--R multiplyExponents : (%,NonNegativeInteger) -> %
+--R multivariate : (SparseUnivariatePolynomial %,SingletonAsOrderedSet) -> %
+--R multivariate : (SparseUnivariatePolynomial R,SingletonAsOrderedSet) -> %
+--R nextItem : % -> Union(%,"failed") if R has STEP
+--R numberOfMonomials : % -> NonNegativeInteger
+--R order : (%,%) -> NonNegativeInteger if R has INTDOM
+--R patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%) if SingletonAsOrderedSet has PATMAB INT and R has PATMAB INT
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%) if SingletonAsOrderedSet has PATMAB FLOAT and R has PATMAB FLOAT
+--R pomopo! : (%,R,NonNegativeInteger,%) -> %
+--R prime? : % -> Boolean if R has PFECAT
+--R primitivePart : (%,SingletonAsOrderedSet) -> % if R has GCDDOM
+--R primitivePart : % -> % if R has GCDDOM
+--R principalIdeal : List % -> Record(coef: List %,generator: %) if R has FIELD
+--R pseudoDivide : (%,%) -> Record(coef: R,quotient: %,remainder: %) if R has INTDOM
+--R pseudoQuotient : (%,%) -> % if R has INTDOM
+--R ?quo? : (%,%) -> % if R has FIELD
+--R reducedSystem : Matrix % -> Matrix R
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix R,vec: Vector R)
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if R has LINEXP INT
+--R reducedSystem : Matrix % -> Matrix Integer if R has LINEXP INT
+--R ?rem? : (%,%) -> % if R has FIELD
+--R resultant : (%,%) -> R if R has COMRING
+--R resultant : (%,%,SingletonAsOrderedSet) -> % if R has COMRING
+--R retract : % -> SingletonAsOrderedSet
+--R retract : % -> Integer if R has RETRACT INT
+--R retract : % -> Fraction Integer if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(Symbol,"failed")
+--R retractIfCan : % -> Union(SingletonAsOrderedSet,"failed")
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(R,"failed")
+--R separate : (%,%) -> Record(primePart: %,commonPart: %) if R has GCDDOM
+--R shiftLeft : (%,NonNegativeInteger) -> %
+--R shiftRight : (%,NonNegativeInteger) -> %
+--R sizeLess? : (%,%) -> Boolean if R has FIELD
+--R solveLinearPolynomialEquation : (List SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> Union(List SparseUnivariatePolynomial %,"failed") if R has PFECAT
+--R squareFree : % -> Factored % if R has GCDDOM
+--R squareFreePart : % -> % if R has GCDDOM
+--R squareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R subResultantGcd : (%,%) -> % if R has INTDOM
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R totalDegree : (%,List SingletonAsOrderedSet) -> NonNegativeInteger
+--R totalDegree : % -> NonNegativeInteger
+--R unit? : % -> Boolean if R has INTDOM
+--R unitCanonical : % -> % if R has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if R has INTDOM
+--R univariate : % -> SparseUnivariatePolynomial R
+--R univariate : (%,SingletonAsOrderedSet) -> SparseUnivariatePolynomial %
+--R unmakeSUP : SparseUnivariatePolynomial R -> %
+--R variables : % -> List SingletonAsOrderedSet
+--R vectorise : (%,NonNegativeInteger) -> Vector R
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<MyUnivariatePolynomial.help>>=
+====================================================================
+MyUnivariatePolynomial examples
+====================================================================
+
+See Also:
+o )show MyUnivariatePolynomial
+
+@
+
 \pagehead{MyUnivariatePolynomial}{MYUP}
 \pagepic{ps/v103myunivariatepolynomial.ps}{MYUP}{1.00}
 {\bf See}\\
@@ -65985,6 +78228,7 @@ MyUnivariatePolynomial(x:Symbol, R:Ring):
 \chapter{Chapter N}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain NSDPS NeitherSparseOrDensePowerSeries}
+
 <<NeitherSparseOrDensePowerSeries.input>>=
 )set break resume
 )sys rm -f NeitherSparseOrDensePowerSeries.output
@@ -66592,11 +78836,225 @@ NeitherSparseOrDensePowerSeries(K):Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain NSMP NewSparseMultivariatePolynomial}
+
 Based on the {\bf PseudoRemainderSequence} package, the domain
 constructor {\bf NewSparseMulitvariatePolynomial} extends
 the constructor {\bf SparseMultivariatePolynomial}. It also provides
 some additional operations related to polynomial system solving
 by means of triangular sets.
+
+<<NewSparseMultivariatePolynomial.input>>=
+)set break resume
+)sys rm -f NewSparseMultivariatePolynomial.output
+)spool NewSparseMultivariatePolynomial.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NewSparseMultivariatePolynomial
+--R NewSparseMultivariatePolynomial(R: Ring,VarSet: OrderedSet)  is a domain constructor
+--R Abbreviation for NewSparseMultivariatePolynomial is NSMP 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for NSMP 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,R) -> %                      ?*? : (R,%) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R D : (%,List VarSet) -> %              D : (%,VarSet) -> %
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coefficients : % -> List R
+--R coerce : VarSet -> %                  coerce : R -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R deepestInitial : % -> %               deepestTail : % -> %
+--R differentiate : (%,VarSet) -> %       eval : (%,VarSet,%) -> %
+--R eval : (%,VarSet,R) -> %              eval : (%,List %,List %) -> %
+--R eval : (%,%,%) -> %                   eval : (%,Equation %) -> %
+--R eval : (%,List Equation %) -> %       ground : % -> R
+--R ground? : % -> Boolean                hash : % -> SingleInteger
+--R head : % -> %                         headReduce : (%,%) -> %
+--R headReduced? : (%,%) -> Boolean       infRittWu? : (%,%) -> Boolean
+--R init : % -> %                         initiallyReduce : (%,%) -> %
+--R iteratedInitials : % -> List %        latex : % -> String
+--R lazyPquo : (%,%,VarSet) -> %          lazyPquo : (%,%) -> %
+--R lazyPrem : (%,%,VarSet) -> %          lazyPrem : (%,%) -> %
+--R leadingCoefficient : % -> R           leadingMonomial : % -> %
+--R leastMonomial : % -> %                mainCoefficients : % -> List %
+--R mainMonomial : % -> %                 mainMonomials : % -> List %
+--R map : ((R -> R),%) -> %               mdeg : % -> NonNegativeInteger
+--R monic? : % -> Boolean                 monicModulo : (%,%) -> %
+--R monomial? : % -> Boolean              monomials : % -> List %
+--R mvar : % -> VarSet                    normalized? : (%,%) -> Boolean
+--R one? : % -> Boolean                   pquo : (%,%,VarSet) -> %
+--R pquo : (%,%) -> %                     prem : (%,%,VarSet) -> %
+--R prem : (%,%) -> %                     primitiveMonomials : % -> List %
+--R quasiMonic? : % -> Boolean            recip : % -> Union(%,"failed")
+--R reduced? : (%,List %) -> Boolean      reduced? : (%,%) -> Boolean
+--R reductum : (%,VarSet) -> %            reductum : % -> %
+--R retract : % -> VarSet                 retract : % -> R
+--R sample : () -> %                      supRittWu? : (%,%) -> Boolean
+--R tail : % -> %                         variables : % -> List VarSet
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (Fraction Integer,%) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (%,Fraction Integer) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,R) -> % if R has FIELD
+--R ?<? : (%,%) -> Boolean if R has ORDSET
+--R ?<=? : (%,%) -> Boolean if R has ORDSET
+--R ?>? : (%,%) -> Boolean if R has ORDSET
+--R ?>=? : (%,%) -> Boolean if R has ORDSET
+--R D : (%,List VarSet,List NonNegativeInteger) -> %
+--R D : (%,VarSet,NonNegativeInteger) -> %
+--R LazardQuotient : (%,%,NonNegativeInteger) -> % if R has INTDOM
+--R LazardQuotient2 : (%,%,%,NonNegativeInteger) -> % if R has INTDOM
+--R RittWuCompare : (%,%) -> Union(Boolean,"failed")
+--R ?^? : (%,NonNegativeInteger) -> %
+--R associates? : (%,%) -> Boolean if R has INTDOM
+--R binomThmExpt : (%,%,NonNegativeInteger) -> % if R has COMRING
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if $ has CHARNZ and R has PFECAT or R has CHARNZ
+--R coefficient : (%,List VarSet,List NonNegativeInteger) -> %
+--R coefficient : (%,VarSet,NonNegativeInteger) -> %
+--R coefficient : (%,IndexedExponents VarSet) -> R
+--R coerce : % -> % if R has INTDOM
+--R coerce : Fraction Integer -> % if R has ALGEBRA FRAC INT or R has RETRACT FRAC INT
+--R coerce : SparseMultivariatePolynomial(R,VarSet) -> %
+--R coerce : % -> SparseMultivariatePolynomial(R,VarSet)
+--R coerce : % -> Polynomial R if VarSet has KONVERT SYMBOL
+--R conditionP : Matrix % -> Union(Vector %,"failed") if $ has CHARNZ and R has PFECAT
+--R content : (%,VarSet) -> % if R has GCDDOM
+--R content : % -> R if R has GCDDOM
+--R convert : % -> Polynomial R if VarSet has KONVERT SYMBOL
+--R convert : % -> String if R has RETRACT INT and VarSet has KONVERT SYMBOL
+--R convert : Polynomial R -> % if VarSet has KONVERT SYMBOL
+--R convert : Polynomial Integer -> % if R has ALGEBRA INT and VarSet has KONVERT SYMBOL and not has(R,Algebra Fraction Integer) or R has ALGEBRA FRAC INT and VarSet has KONVERT SYMBOL
+--R convert : Polynomial Fraction Integer -> % if R has ALGEBRA FRAC INT and VarSet has KONVERT SYMBOL
+--R convert : % -> InputForm if R has KONVERT INFORM and VarSet has KONVERT INFORM
+--R convert : % -> Pattern Integer if R has KONVERT PATTERN INT and VarSet has KONVERT PATTERN INT
+--R convert : % -> Pattern Float if R has KONVERT PATTERN FLOAT and VarSet has KONVERT PATTERN FLOAT
+--R degree : (%,List VarSet) -> List NonNegativeInteger
+--R degree : (%,VarSet) -> NonNegativeInteger
+--R degree : % -> IndexedExponents VarSet
+--R differentiate : (%,List VarSet,List NonNegativeInteger) -> %
+--R differentiate : (%,VarSet,NonNegativeInteger) -> %
+--R differentiate : (%,List VarSet) -> %
+--R discriminant : (%,VarSet) -> % if R has COMRING
+--R eval : (%,List VarSet,List %) -> %
+--R eval : (%,List VarSet,List R) -> %
+--R exactQuotient : (%,%) -> % if R has INTDOM
+--R exactQuotient : (%,R) -> % if R has INTDOM
+--R exactQuotient! : (%,%) -> % if R has INTDOM
+--R exactQuotient! : (%,R) -> % if R has INTDOM
+--R exquo : (%,%) -> Union(%,"failed") if R has INTDOM
+--R exquo : (%,R) -> Union(%,"failed") if R has INTDOM
+--R extendedSubResultantGcd : (%,%) -> Record(gcd: %,coef1: %,coef2: %) if R has INTDOM
+--R factor : % -> Factored % if R has PFECAT
+--R factorPolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R factorSquareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R gcd : (%,%) -> % if R has GCDDOM
+--R gcd : List % -> % if R has GCDDOM
+--R gcd : (R,%) -> R if R has GCDDOM
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if R has GCDDOM
+--R halfExtendedSubResultantGcd1 : (%,%) -> Record(gcd: %,coef1: %) if R has INTDOM
+--R halfExtendedSubResultantGcd2 : (%,%) -> Record(gcd: %,coef2: %) if R has INTDOM
+--R headReduced? : (%,List %) -> Boolean
+--R initiallyReduced? : (%,List %) -> Boolean
+--R initiallyReduced? : (%,%) -> Boolean
+--R isExpt : % -> Union(Record(var: VarSet,exponent: NonNegativeInteger),"failed")
+--R isPlus : % -> Union(List %,"failed")
+--R isTimes : % -> Union(List %,"failed")
+--R lastSubResultant : (%,%) -> % if R has INTDOM
+--R lazyPremWithDefault : (%,%,VarSet) -> Record(coef: %,gap: NonNegativeInteger,remainder: %)
+--R lazyPremWithDefault : (%,%) -> Record(coef: %,gap: NonNegativeInteger,remainder: %)
+--R lazyPseudoDivide : (%,%,VarSet) -> Record(coef: %,gap: NonNegativeInteger,quotient: %,remainder: %)
+--R lazyPseudoDivide : (%,%) -> Record(coef: %,gap: NonNegativeInteger,quotient: %,remainder: %)
+--R lazyResidueClass : (%,%) -> Record(polnum: %,polden: %,power: NonNegativeInteger)
+--R lcm : (%,%) -> % if R has GCDDOM
+--R lcm : List % -> % if R has GCDDOM
+--R leadingCoefficient : (%,VarSet) -> %
+--R mainContent : % -> % if R has GCDDOM
+--R mainPrimitivePart : % -> % if R has GCDDOM
+--R mainSquareFreePart : % -> % if R has GCDDOM
+--R mainVariable : % -> Union(VarSet,"failed")
+--R mapExponents : ((IndexedExponents VarSet -> IndexedExponents VarSet),%) -> %
+--R max : (%,%) -> % if R has ORDSET
+--R min : (%,%) -> % if R has ORDSET
+--R minimumDegree : (%,List VarSet) -> List NonNegativeInteger
+--R minimumDegree : (%,VarSet) -> NonNegativeInteger
+--R minimumDegree : % -> IndexedExponents VarSet
+--R monicDivide : (%,%,VarSet) -> Record(quotient: %,remainder: %)
+--R monomial : (%,List VarSet,List NonNegativeInteger) -> %
+--R monomial : (%,VarSet,NonNegativeInteger) -> %
+--R monomial : (R,IndexedExponents VarSet) -> %
+--R multivariate : (SparseUnivariatePolynomial %,VarSet) -> %
+--R multivariate : (SparseUnivariatePolynomial R,VarSet) -> %
+--R nextsubResultant2 : (%,%,%,%) -> % if R has INTDOM
+--R normalized? : (%,List %) -> Boolean
+--R numberOfMonomials : % -> NonNegativeInteger
+--R patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%) if R has PATMAB INT and VarSet has PATMAB INT
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%) if R has PATMAB FLOAT and VarSet has PATMAB FLOAT
+--R pomopo! : (%,R,IndexedExponents VarSet,%) -> %
+--R primPartElseUnitCanonical : % -> % if R has INTDOM
+--R primPartElseUnitCanonical! : % -> % if R has INTDOM
+--R prime? : % -> Boolean if R has PFECAT
+--R primitivePart : (%,VarSet) -> % if R has GCDDOM
+--R primitivePart : % -> % if R has GCDDOM
+--R primitivePart! : % -> % if R has GCDDOM
+--R pseudoDivide : (%,%) -> Record(quotient: %,remainder: %)
+--R reducedSystem : Matrix % -> Matrix R
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix R,vec: Vector R)
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if R has LINEXP INT
+--R reducedSystem : Matrix % -> Matrix Integer if R has LINEXP INT
+--R resultant : (%,%) -> % if R has INTDOM
+--R resultant : (%,%,VarSet) -> % if R has COMRING
+--R retract : % -> SparseMultivariatePolynomial(R,VarSet)
+--R retract : Polynomial R -> % if VarSet has KONVERT SYMBOL and not has(R,Algebra Fraction Integer) and not has(R,Algebra Integer) or R has ALGEBRA INT and VarSet has KONVERT SYMBOL and not has(R,Algebra Fraction Integer) and not has(R,IntegerNumberSystem) or R has ALGEBRA FRAC INT and VarSet has KONVERT SYMBOL and not has(R,QuotientFieldCategory Integer)
+--R retract : Polynomial Integer -> % if R has ALGEBRA INT and VarSet has KONVERT SYMBOL and not has(R,Algebra Fraction Integer) or R has ALGEBRA FRAC INT and VarSet has KONVERT SYMBOL
+--R retract : Polynomial Fraction Integer -> % if R has ALGEBRA FRAC INT and VarSet has KONVERT SYMBOL
+--R retract : % -> Integer if R has RETRACT INT
+--R retract : % -> Fraction Integer if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(SparseMultivariatePolynomial(R,VarSet),"failed")
+--R retractIfCan : Polynomial R -> Union(%,"failed") if VarSet has KONVERT SYMBOL and not has(R,Algebra Fraction Integer) and not has(R,Algebra Integer) or R has ALGEBRA INT and VarSet has KONVERT SYMBOL and not has(R,Algebra Fraction Integer) and not has(R,IntegerNumberSystem) or R has ALGEBRA FRAC INT and VarSet has KONVERT SYMBOL and not has(R,QuotientFieldCategory Integer)
+--R retractIfCan : Polynomial Integer -> Union(%,"failed") if R has ALGEBRA INT and VarSet has KONVERT SYMBOL and not has(R,Algebra Fraction Integer) or R has ALGEBRA FRAC INT and VarSet has KONVERT SYMBOL
+--R retractIfCan : Polynomial Fraction Integer -> Union(%,"failed") if R has ALGEBRA FRAC INT and VarSet has KONVERT SYMBOL
+--R retractIfCan : % -> Union(VarSet,"failed")
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(R,"failed")
+--R solveLinearPolynomialEquation : (List SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> Union(List SparseUnivariatePolynomial %,"failed") if R has PFECAT
+--R squareFree : % -> Factored % if R has GCDDOM
+--R squareFreePart : % -> % if R has GCDDOM
+--R squareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R subResultantChain : (%,%) -> List % if R has INTDOM
+--R subResultantGcd : (%,%) -> % if R has INTDOM
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R totalDegree : (%,List VarSet) -> NonNegativeInteger
+--R totalDegree : % -> NonNegativeInteger
+--R unit? : % -> Boolean if R has INTDOM
+--R unitCanonical : % -> % if R has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if R has INTDOM
+--R univariate : % -> SparseUnivariatePolynomial R
+--R univariate : (%,VarSet) -> SparseUnivariatePolynomial %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<NewSparseMultivariatePolynomial.help>>=
+====================================================================
+NewSparseMultivariatePolynomial examples
+====================================================================
+
+See Also:
+o )show NewSparseMultivariatePolynomial
+
+@
+
 \pagehead{NewSparseMultivariatePolynomial}{NSMP}
 \pagepic{ps/v103newsparsemultivariatepolynomial.ps}{NSMP}{1.00}
 {\bf See}\\
@@ -67151,9 +79609,229 @@ NewSparseMultivariatePolynomial(R,VarSet) : Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain NSUP NewSparseUnivariatePolynomial}
+
 Based on the {\bf PseudoRemainderSequence} package, the domain
 constructor {\bf NewSparseUnivariatePolynomial} extends the
 constructur {\bf SparseUnivariatePolynomial}. 
+
+<<NewSparseUnivariatePolynomial.input>>=
+)set break resume
+)sys rm -f NewSparseUnivariatePolynomial.output
+)spool NewSparseUnivariatePolynomial.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NewSparseUnivariatePolynomial
+--R NewSparseUnivariatePolynomial R: Ring  is a domain constructor
+--R Abbreviation for NewSparseUnivariatePolynomial is NSUP 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for NSUP 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,R) -> %                      ?*? : (R,%) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R D : (%,(R -> R)) -> %                 D : % -> %
+--R D : (%,NonNegativeInteger) -> %       1 : () -> %
+--R 0 : () -> %                           ?^? : (%,PositiveInteger) -> %
+--R coefficients : % -> List R            coerce : R -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R degree : % -> NonNegativeInteger      differentiate : % -> %
+--R ?.? : (%,%) -> %                      ?.? : (%,R) -> R
+--R eval : (%,List %,List %) -> %         eval : (%,%,%) -> %
+--R eval : (%,Equation %) -> %            eval : (%,List Equation %) -> %
+--R ground : % -> R                       ground? : % -> Boolean
+--R hash : % -> SingleInteger             init : () -> % if R has STEP
+--R latex : % -> String                   lazyPseudoQuotient : (%,%) -> %
+--R leadingCoefficient : % -> R           leadingMonomial : % -> %
+--R map : ((R -> R),%) -> %               monicModulo : (%,%) -> %
+--R monomial? : % -> Boolean              monomials : % -> List %
+--R one? : % -> Boolean                   primitiveMonomials : % -> List %
+--R pseudoRemainder : (%,%) -> %          recip : % -> Union(%,"failed")
+--R reductum : % -> %                     retract : % -> R
+--R sample : () -> %                      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (Fraction Integer,%) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (%,Fraction Integer) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,R) -> % if R has FIELD
+--R ?<? : (%,%) -> Boolean if R has ORDSET
+--R ?<=? : (%,%) -> Boolean if R has ORDSET
+--R ?>? : (%,%) -> Boolean if R has ORDSET
+--R ?>=? : (%,%) -> Boolean if R has ORDSET
+--R D : (%,(R -> R),NonNegativeInteger) -> %
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if R has PDRING SYMBOL
+--R D : (%,Symbol) -> % if R has PDRING SYMBOL
+--R D : (%,List SingletonAsOrderedSet,List NonNegativeInteger) -> %
+--R D : (%,SingletonAsOrderedSet,NonNegativeInteger) -> %
+--R D : (%,List SingletonAsOrderedSet) -> %
+--R D : (%,SingletonAsOrderedSet) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R associates? : (%,%) -> Boolean if R has INTDOM
+--R binomThmExpt : (%,%,NonNegativeInteger) -> % if R has COMRING
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if $ has CHARNZ and R has PFECAT or R has CHARNZ
+--R coefficient : (%,List SingletonAsOrderedSet,List NonNegativeInteger) -> %
+--R coefficient : (%,SingletonAsOrderedSet,NonNegativeInteger) -> %
+--R coefficient : (%,NonNegativeInteger) -> R
+--R coerce : % -> % if R has INTDOM
+--R coerce : Fraction Integer -> % if R has ALGEBRA FRAC INT or R has RETRACT FRAC INT
+--R coerce : SparseUnivariatePolynomial R -> %
+--R coerce : % -> SparseUnivariatePolynomial R
+--R coerce : SingletonAsOrderedSet -> %
+--R composite : (Fraction %,%) -> Union(Fraction %,"failed") if R has INTDOM
+--R composite : (%,%) -> Union(%,"failed") if R has INTDOM
+--R conditionP : Matrix % -> Union(Vector %,"failed") if $ has CHARNZ and R has PFECAT
+--R content : (%,SingletonAsOrderedSet) -> % if R has GCDDOM
+--R content : % -> R if R has GCDDOM
+--R convert : % -> InputForm if SingletonAsOrderedSet has KONVERT INFORM and R has KONVERT INFORM
+--R convert : % -> Pattern Integer if SingletonAsOrderedSet has KONVERT PATTERN INT and R has KONVERT PATTERN INT
+--R convert : % -> Pattern Float if SingletonAsOrderedSet has KONVERT PATTERN FLOAT and R has KONVERT PATTERN FLOAT
+--R degree : (%,List SingletonAsOrderedSet) -> List NonNegativeInteger
+--R degree : (%,SingletonAsOrderedSet) -> NonNegativeInteger
+--R differentiate : (%,(R -> R),%) -> %
+--R differentiate : (%,(R -> R)) -> %
+--R differentiate : (%,(R -> R),NonNegativeInteger) -> %
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if R has PDRING SYMBOL
+--R differentiate : (%,Symbol) -> % if R has PDRING SYMBOL
+--R differentiate : (%,NonNegativeInteger) -> %
+--R differentiate : (%,List SingletonAsOrderedSet,List NonNegativeInteger) -> %
+--R differentiate : (%,SingletonAsOrderedSet,NonNegativeInteger) -> %
+--R differentiate : (%,List SingletonAsOrderedSet) -> %
+--R differentiate : (%,SingletonAsOrderedSet) -> %
+--R discriminant : % -> R if R has COMRING
+--R discriminant : (%,SingletonAsOrderedSet) -> % if R has COMRING
+--R divide : (%,%) -> Record(quotient: %,remainder: %) if R has FIELD
+--R divideExponents : (%,NonNegativeInteger) -> Union(%,"failed")
+--R ?.? : (%,Fraction %) -> Fraction % if R has INTDOM
+--R elt : (Fraction %,R) -> R if R has FIELD
+--R elt : (Fraction %,Fraction %) -> Fraction % if R has INTDOM
+--R euclideanSize : % -> NonNegativeInteger if R has FIELD
+--R eval : (%,List SingletonAsOrderedSet,List %) -> %
+--R eval : (%,SingletonAsOrderedSet,%) -> %
+--R eval : (%,List SingletonAsOrderedSet,List R) -> %
+--R eval : (%,SingletonAsOrderedSet,R) -> %
+--R expressIdealMember : (List %,%) -> Union(List %,"failed") if R has FIELD
+--R exquo : (%,%) -> Union(%,"failed") if R has INTDOM
+--R exquo : (%,R) -> Union(%,"failed") if R has INTDOM
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %) if R has FIELD
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed") if R has FIELD
+--R extendedResultant : (%,%) -> Record(resultant: R,coef1: %,coef2: %) if R has INTDOM
+--R extendedSubResultantGcd : (%,%) -> Record(gcd: %,coef1: %,coef2: %) if R has INTDOM
+--R factor : % -> Factored % if R has PFECAT
+--R factorPolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R factorSquareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R fmecg : (%,NonNegativeInteger,R,%) -> %
+--R gcd : (%,%) -> % if R has GCDDOM
+--R gcd : List % -> % if R has GCDDOM
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if R has GCDDOM
+--R halfExtendedResultant1 : (%,%) -> Record(resultant: R,coef1: %) if R has INTDOM
+--R halfExtendedResultant2 : (%,%) -> Record(resultant: R,coef2: %) if R has INTDOM
+--R halfExtendedSubResultantGcd1 : (%,%) -> Record(gcd: %,coef1: %) if R has INTDOM
+--R halfExtendedSubResultantGcd2 : (%,%) -> Record(gcd: %,coef2: %) if R has INTDOM
+--R integrate : % -> % if R has ALGEBRA FRAC INT
+--R isExpt : % -> Union(Record(var: SingletonAsOrderedSet,exponent: NonNegativeInteger),"failed")
+--R isPlus : % -> Union(List %,"failed")
+--R isTimes : % -> Union(List %,"failed")
+--R karatsubaDivide : (%,NonNegativeInteger) -> Record(quotient: %,remainder: %)
+--R lastSubResultant : (%,%) -> % if R has INTDOM
+--R lazyPseudoDivide : (%,%) -> Record(coef: R,gap: NonNegativeInteger,quotient: %,remainder: %)
+--R lazyPseudoRemainder : (%,%) -> %
+--R lazyResidueClass : (%,%) -> Record(polnum: %,polden: R,power: NonNegativeInteger)
+--R lcm : (%,%) -> % if R has GCDDOM
+--R lcm : List % -> % if R has GCDDOM
+--R mainVariable : % -> Union(SingletonAsOrderedSet,"failed")
+--R makeSUP : % -> SparseUnivariatePolynomial R
+--R mapExponents : ((NonNegativeInteger -> NonNegativeInteger),%) -> %
+--R max : (%,%) -> % if R has ORDSET
+--R min : (%,%) -> % if R has ORDSET
+--R minimumDegree : (%,List SingletonAsOrderedSet) -> List NonNegativeInteger
+--R minimumDegree : (%,SingletonAsOrderedSet) -> NonNegativeInteger
+--R minimumDegree : % -> NonNegativeInteger
+--R monicDivide : (%,%) -> Record(quotient: %,remainder: %)
+--R monicDivide : (%,%,SingletonAsOrderedSet) -> Record(quotient: %,remainder: %)
+--R monomial : (%,List SingletonAsOrderedSet,List NonNegativeInteger) -> %
+--R monomial : (%,SingletonAsOrderedSet,NonNegativeInteger) -> %
+--R monomial : (R,NonNegativeInteger) -> %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed") if R has FIELD
+--R multiplyExponents : (%,NonNegativeInteger) -> %
+--R multivariate : (SparseUnivariatePolynomial %,SingletonAsOrderedSet) -> %
+--R multivariate : (SparseUnivariatePolynomial R,SingletonAsOrderedSet) -> %
+--R nextItem : % -> Union(%,"failed") if R has STEP
+--R numberOfMonomials : % -> NonNegativeInteger
+--R order : (%,%) -> NonNegativeInteger if R has INTDOM
+--R patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%) if SingletonAsOrderedSet has PATMAB INT and R has PATMAB INT
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%) if SingletonAsOrderedSet has PATMAB FLOAT and R has PATMAB FLOAT
+--R pomopo! : (%,R,NonNegativeInteger,%) -> %
+--R prime? : % -> Boolean if R has PFECAT
+--R primitivePart : (%,SingletonAsOrderedSet) -> % if R has GCDDOM
+--R primitivePart : % -> % if R has GCDDOM
+--R principalIdeal : List % -> Record(coef: List %,generator: %) if R has FIELD
+--R pseudoDivide : (%,%) -> Record(coef: R,quotient: %,remainder: %) if R has INTDOM
+--R pseudoQuotient : (%,%) -> % if R has INTDOM
+--R ?quo? : (%,%) -> % if R has FIELD
+--R reducedSystem : Matrix % -> Matrix R
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix R,vec: Vector R)
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if R has LINEXP INT
+--R reducedSystem : Matrix % -> Matrix Integer if R has LINEXP INT
+--R ?rem? : (%,%) -> % if R has FIELD
+--R resultant : (%,%) -> R if R has COMRING
+--R resultant : (%,%,SingletonAsOrderedSet) -> % if R has COMRING
+--R retract : % -> SparseUnivariatePolynomial R
+--R retract : % -> SingletonAsOrderedSet
+--R retract : % -> Integer if R has RETRACT INT
+--R retract : % -> Fraction Integer if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(SparseUnivariatePolynomial R,"failed")
+--R retractIfCan : % -> Union(SingletonAsOrderedSet,"failed")
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(R,"failed")
+--R separate : (%,%) -> Record(primePart: %,commonPart: %) if R has GCDDOM
+--R shiftLeft : (%,NonNegativeInteger) -> %
+--R shiftRight : (%,NonNegativeInteger) -> %
+--R sizeLess? : (%,%) -> Boolean if R has FIELD
+--R solveLinearPolynomialEquation : (List SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> Union(List SparseUnivariatePolynomial %,"failed") if R has PFECAT
+--R squareFree : % -> Factored % if R has GCDDOM
+--R squareFreePart : % -> % if R has GCDDOM
+--R squareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R subResultantGcd : (%,%) -> % if R has INTDOM
+--R subResultantsChain : (%,%) -> List % if R has INTDOM
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R totalDegree : (%,List SingletonAsOrderedSet) -> NonNegativeInteger
+--R totalDegree : % -> NonNegativeInteger
+--R unit? : % -> Boolean if R has INTDOM
+--R unitCanonical : % -> % if R has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if R has INTDOM
+--R univariate : % -> SparseUnivariatePolynomial R
+--R univariate : (%,SingletonAsOrderedSet) -> SparseUnivariatePolynomial %
+--R unmakeSUP : SparseUnivariatePolynomial R -> %
+--R variables : % -> List SingletonAsOrderedSet
+--R vectorise : (%,NonNegativeInteger) -> Vector R
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<NewSparseUnivariatePolynomial.help>>=
+====================================================================
+NewSparseUnivariatePolynomial examples
+====================================================================
+
+See Also:
+o )show NewSparseUnivariatePolynomial
+
+@
+
 \pagehead{NewSparseUnivariatePolynomial}{NSUP}
 \pagepic{ps/v103newsparseunivariatepolynomial.ps}{NSUP}{1.00}
 {\bf See}\\
@@ -67560,6 +80238,7 @@ NewSparseUnivariatePolynomial(R): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain NONE None}
+
 <<None.input>>=
 )set break resume
 )sys rm -f None.output
@@ -67670,6 +80349,59 @@ None():SetCategory == add
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain NNI NonNegativeInteger}
+
+<<NonNegativeInteger.input>>=
+)set break resume
+)sys rm -f NonNegativeInteger.output
+)spool NonNegativeInteger.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NonNegativeInteger
+--R NonNegativeInteger  is a domain constructor
+--R Abbreviation for NonNegativeInteger is NNI 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for NNI 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (PositiveInteger,%) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               1 : () -> %
+--R 0 : () -> %                           ?^? : (%,PositiveInteger) -> %
+--R coerce : % -> OutputForm              gcd : (%,%) -> %
+--R hash : % -> SingleInteger             latex : % -> String
+--R max : (%,%) -> %                      min : (%,%) -> %
+--R one? : % -> Boolean                   ?quo? : (%,%) -> %
+--R random : % -> %                       recip : % -> Union(%,"failed")
+--R ?rem? : (%,%) -> %                    sample : () -> %
+--R shift : (%,Integer) -> %              sup : (%,%) -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R exquo : (%,%) -> Union(%,"failed")
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<NonNegativeInteger.help>>=
+====================================================================
+NonNegativeInteger examples
+====================================================================
+
+See Also:
+o )show NonNegativeInteger
+
+@
+
 \pagehead{NonNegativeInteger}{NNI}
 \pagepic{ps/v103nonnegativeinteger.ps}{NNI}{1.00}
 {\bf See}\\
@@ -67763,6 +80495,7 @@ NonNegativeInteger: Join(OrderedAbelianMonoidSup,Monoid) with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain NOTTING NottinghamGroup}
+
 <<NottinghamGroup.input>>=
 )set break resume
 )sys rm -f NottinghamGroup.output
@@ -67960,6 +80693,46 @@ NottinghamGroup(F:FiniteFieldCategory): Group with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain NIPROB NumericalIntegrationProblem}
+
+<<NumericalIntegrationProblem.input>>=
+)set break resume
+)sys rm -f NumericalIntegrationProblem.output
+)spool NumericalIntegrationProblem.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NumericalIntegrationProblem
+--R NumericalIntegrationProblem  is a domain constructor
+--R Abbreviation for NumericalIntegrationProblem is NIPROB 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for NIPROB 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R coerce : Union(nia: Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),mdnia: Record(fn: Expression DoubleFloat,range: List Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)) -> %
+--R coerce : Record(fn: Expression DoubleFloat,range: List Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat) -> %
+--R coerce : Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat) -> %
+--R retract : % -> Union(nia: Record(var: Symbol,fn: Expression DoubleFloat,range: Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),mdnia: Record(fn: Expression DoubleFloat,range: List Segment OrderedCompletion DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat))
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<NumericalIntegrationProblem.help>>=
+====================================================================
+NumericalIntegrationProblem examples
+====================================================================
+
+See Also:
+o )show NumericalIntegrationProblem
+
+@
+
 \pagehead{NumericalIntegrationProblem}{NIPROB}
 \pagepic{ps/v103numericalintegrationproblem.ps}{NIPROB}{1.00}
 
@@ -68046,6 +80819,44 @@ NumericalIntegrationProblem(): EE == II where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ODEPROB NumericalODEProblem}
+
+<<NumericalODEProblem.input>>=
+)set break resume
+)sys rm -f NumericalODEProblem.output
+)spool NumericalODEProblem.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NumericalODEProblem
+--R NumericalODEProblem  is a domain constructor
+--R Abbreviation for NumericalODEProblem is ODEPROB 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ODEPROB 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R coerce : Record(xinit: DoubleFloat,xend: DoubleFloat,fn: Vector Expression DoubleFloat,yinit: List DoubleFloat,intvals: List DoubleFloat,g: Expression DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat) -> %
+--R retract : % -> Record(xinit: DoubleFloat,xend: DoubleFloat,fn: Vector Expression DoubleFloat,yinit: List DoubleFloat,intvals: List DoubleFloat,g: Expression DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<NumericalODEProblem.help>>=
+====================================================================
+NumericalODEProblem examples
+====================================================================
+
+See Also:
+o )show NumericalODEProblem
+
+@
+
 \pagehead{NumericalODEProblem}{ODEPROB}
 \pagepic{ps/v103numericalodeproblem.ps}{ODEPROB}{1.00}
 
@@ -68116,6 +80927,46 @@ NumericalODEProblem(): EE == II where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain OPTPROB NumericalOptimizationProblem}
+
+<<NumericalOptimizationProblem.input>>=
+)set break resume
+)sys rm -f NumericalOptimizationProblem.output
+)spool NumericalOptimizationProblem.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NumericalOptimizationProblem
+--R NumericalOptimizationProblem  is a domain constructor
+--R Abbreviation for NumericalOptimizationProblem is OPTPROB 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for OPTPROB 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R coerce : Union(noa: Record(fn: Expression DoubleFloat,init: List DoubleFloat,lb: List OrderedCompletion DoubleFloat,cf: List Expression DoubleFloat,ub: List OrderedCompletion DoubleFloat),lsa: Record(lfn: List Expression DoubleFloat,init: List DoubleFloat)) -> %
+--R coerce : Record(lfn: List Expression DoubleFloat,init: List DoubleFloat) -> %
+--R coerce : Record(fn: Expression DoubleFloat,init: List DoubleFloat,lb: List OrderedCompletion DoubleFloat,cf: List Expression DoubleFloat,ub: List OrderedCompletion DoubleFloat) -> %
+--R retract : % -> Union(noa: Record(fn: Expression DoubleFloat,init: List DoubleFloat,lb: List OrderedCompletion DoubleFloat,cf: List Expression DoubleFloat,ub: List OrderedCompletion DoubleFloat),lsa: Record(lfn: List Expression DoubleFloat,init: List DoubleFloat))
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<NumericalOptimizationProblem.help>>=
+====================================================================
+NumericalOptimizationProblem examples
+====================================================================
+
+See Also:
+o )show NumericalOptimizationProblem
+
+@
+
 \pagehead{NumericalOptimizationProblem}{OPTPROB}
 \pagepic{ps/v103numericaloptimizationproblem.ps}{OPTPROB}{1.00}
 
@@ -68203,6 +81054,44 @@ NumericalOptimizationProblem(): EE == II where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PDEPROB NumericalPDEProblem}
+
+<<NumericalPDEProblem.input>>=
+)set break resume
+)sys rm -f NumericalPDEProblem.output
+)spool NumericalPDEProblem.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show NumericalPDEProblem
+--R NumericalPDEProblem  is a domain constructor
+--R Abbreviation for NumericalPDEProblem is PDEPROB 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for PDEPROB 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R coerce : Record(pde: List Expression DoubleFloat,constraints: List Record(start: DoubleFloat,finish: DoubleFloat,grid: NonNegativeInteger,boundaryType: Integer,dStart: Matrix DoubleFloat,dFinish: Matrix DoubleFloat),f: List List Expression DoubleFloat,st: String,tol: DoubleFloat) -> %
+--R retract : % -> Record(pde: List Expression DoubleFloat,constraints: List Record(start: DoubleFloat,finish: DoubleFloat,grid: NonNegativeInteger,boundaryType: Integer,dStart: Matrix DoubleFloat,dFinish: Matrix DoubleFloat),f: List List Expression DoubleFloat,st: String,tol: DoubleFloat)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<NumericalPDEProblem.help>>=
+====================================================================
+NumericalPDEProblem examples
+====================================================================
+
+See Also:
+o )show NumericalPDEProblem
+
+@
+
 \pagehead{NumericalPDEProblem}{PDEPROB}
 \pagepic{ps/v103numericalpdeproblem.ps}{PDEPROB}{1.00}
 
@@ -68700,6 +81589,44 @@ Octonion(R:CommutativeRing): export == impl where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ODEIFTBL ODEIntensityFunctionsTable}
+
+<<ODEIntensityFunctionsTable.input>>=
+)set break resume
+)sys rm -f ODEIntensityFunctionsTable.output
+)spool ODEIntensityFunctionsTable.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ODEIntensityFunctionsTable
+--R ODEIntensityFunctionsTable  is a domain constructor
+--R Abbreviation for ODEIntensityFunctionsTable is ODEIFTBL 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ODEIFTBL 
+--R
+--R------------------------------- Operations --------------------------------
+--R clearTheIFTable : () -> Void          showTheIFTable : () -> %
+--R iFTable : List Record(key: Record(xinit: DoubleFloat,xend: DoubleFloat,fn: Vector Expression DoubleFloat,yinit: List DoubleFloat,intvals: List DoubleFloat,g: Expression DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),entry: Record(stiffness: Float,stability: Float,expense: Float,accuracy: Float,intermediateResults: Float)) -> %
+--R insert! : Record(key: Record(xinit: DoubleFloat,xend: DoubleFloat,fn: Vector Expression DoubleFloat,yinit: List DoubleFloat,intvals: List DoubleFloat,g: Expression DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat),entry: Record(stiffness: Float,stability: Float,expense: Float,accuracy: Float,intermediateResults: Float)) -> %
+--R keys : % -> List Record(xinit: DoubleFloat,xend: DoubleFloat,fn: Vector Expression DoubleFloat,yinit: List DoubleFloat,intvals: List DoubleFloat,g: Expression DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat)
+--R showIntensityFunctions : Record(xinit: DoubleFloat,xend: DoubleFloat,fn: Vector Expression DoubleFloat,yinit: List DoubleFloat,intvals: List DoubleFloat,g: Expression DoubleFloat,abserr: DoubleFloat,relerr: DoubleFloat) -> Union(Record(stiffness: Float,stability: Float,expense: Float,accuracy: Float,intermediateResults: Float),"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<ODEIntensityFunctionsTable.help>>=
+====================================================================
+ODEIntensityFunctionsTable examples
+====================================================================
+
+See Also:
+o )show ODEIntensityFunctionsTable
+
+@
+
 \pagehead{ODEIntensityFunctionsTable}{ODEIFTBL}
 \pagepic{ps/v103odeintensityfunctionstable.ps}{ODEIFTBL}{1.00}
 
@@ -68799,6 +81726,7 @@ ODEIntensityFunctionsTable(): E == I where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ARRAY1 OneDimensionalArray}
+
 <<OneDimensionalArray.input>>=
 )set break resume
 )sys rm -f OneDimensionalArray.output
@@ -69068,6 +81996,82 @@ OneDimensionalArray(S:Type): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ONECOMP OnePointCompletion}
+
+<<OnePointCompletion.input>>=
+)set break resume
+)sys rm -f OnePointCompletion.output
+)spool OnePointCompletion.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OnePointCompletion
+--R OnePointCompletion R: SetCategory  is a domain constructor
+--R Abbreviation for OnePointCompletion is ONECOMP 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ONECOMP 
+--R
+--R------------------------------- Operations --------------------------------
+--R -? : % -> % if R has ABELGRP          ?=? : (%,%) -> Boolean
+--R 1 : () -> % if R has ORDRING          0 : () -> % if R has ABELGRP
+--R coerce : R -> %                       coerce : % -> OutputForm
+--R finite? : % -> Boolean                hash : % -> SingleInteger
+--R infinite? : % -> Boolean              infinity : () -> %
+--R latex : % -> String                   retract : % -> R
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (PositiveInteger,%) -> % if R has ABELGRP
+--R ?*? : (NonNegativeInteger,%) -> % if R has ABELGRP
+--R ?*? : (Integer,%) -> % if R has ABELGRP
+--R ?*? : (%,%) -> % if R has ORDRING
+--R ?**? : (%,NonNegativeInteger) -> % if R has ORDRING
+--R ?**? : (%,PositiveInteger) -> % if R has ORDRING
+--R ?+? : (%,%) -> % if R has ABELGRP
+--R ?-? : (%,%) -> % if R has ABELGRP
+--R ?<? : (%,%) -> Boolean if R has ORDRING
+--R ?<=? : (%,%) -> Boolean if R has ORDRING
+--R ?>? : (%,%) -> Boolean if R has ORDRING
+--R ?>=? : (%,%) -> Boolean if R has ORDRING
+--R ?^? : (%,NonNegativeInteger) -> % if R has ORDRING
+--R ?^? : (%,PositiveInteger) -> % if R has ORDRING
+--R abs : % -> % if R has ORDRING
+--R characteristic : () -> NonNegativeInteger if R has ORDRING
+--R coerce : Integer -> % if R has ORDRING or R has RETRACT INT
+--R coerce : Fraction Integer -> % if R has RETRACT FRAC INT
+--R max : (%,%) -> % if R has ORDRING
+--R min : (%,%) -> % if R has ORDRING
+--R negative? : % -> Boolean if R has ORDRING
+--R one? : % -> Boolean if R has ORDRING
+--R positive? : % -> Boolean if R has ORDRING
+--R rational : % -> Fraction Integer if R has INS
+--R rational? : % -> Boolean if R has INS
+--R rationalIfCan : % -> Union(Fraction Integer,"failed") if R has INS
+--R recip : % -> Union(%,"failed") if R has ORDRING
+--R retract : % -> Fraction Integer if R has RETRACT FRAC INT
+--R retract : % -> Integer if R has RETRACT INT
+--R retractIfCan : % -> Union(R,"failed")
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R sample : () -> % if R has ABELGRP
+--R sign : % -> Integer if R has ORDRING
+--R subtractIfCan : (%,%) -> Union(%,"failed") if R has ABELGRP
+--R zero? : % -> Boolean if R has ABELGRP
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<OnePointCompletion.help>>=
+====================================================================
+OnePointCompletion examples
+====================================================================
+
+See Also:
+o )show OnePointCompletion
+
+@
+
 \pagehead{OnePointCompletion}{ONECOMP}
 \pagepic{ps/v103onepointcompletion.ps}{ONECOMP}{1.00}
 {\bf See}\\
@@ -69228,6 +82232,44 @@ OnePointCompletion(R:SetCategory): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain OMCONN OpenMathConnection}
+
+<<OpenMathConnection.input>>=
+)set break resume
+)sys rm -f OpenMathConnection.output
+)spool OpenMathConnection.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OpenMathConnection
+--R OpenMathConnection  is a domain constructor
+--R Abbreviation for OpenMathConnection is OMCONN 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for OMCONN 
+--R
+--R------------------------------- Operations --------------------------------
+--R OMcloseConn : % -> Void               OMmakeConn : SingleInteger -> %
+--R OMbindTCP : (%,SingleInteger) -> Boolean
+--R OMconnInDevice : % -> OpenMathDevice
+--R OMconnOutDevice : % -> OpenMathDevice
+--R OMconnectTCP : (%,String,SingleInteger) -> Boolean
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<OpenMathConnection.help>>=
+====================================================================
+OpenMathConnection examples
+====================================================================
+
+See Also:
+o )show OpenMathConnection
+
+@
+
 \pagehead{OpenMathConnection}{OMCONN}
 \pagepic{ps/v103openmathconnection.ps}{OMCONN}{1.00}
 {\bf See}\\
@@ -69289,6 +82331,65 @@ OpenMathConnection(): with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain OMDEV OpenMathDevice}
+
+<<OpenMathDevice.input>>=
+)set break resume
+)sys rm -f OpenMathDevice.output
+)spool OpenMathDevice.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OpenMathDevice
+--R OpenMathDevice  is a domain constructor
+--R Abbreviation for OpenMathDevice is OMDEV 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for OMDEV 
+--R
+--R------------------------------- Operations --------------------------------
+--R OMclose : % -> Void                   OMgetApp : % -> Void
+--R OMgetAtp : % -> Void                  OMgetAttr : % -> Void
+--R OMgetBVar : % -> Void                 OMgetBind : % -> Void
+--R OMgetEndApp : % -> Void               OMgetEndAtp : % -> Void
+--R OMgetEndAttr : % -> Void              OMgetEndBVar : % -> Void
+--R OMgetEndBind : % -> Void              OMgetEndError : % -> Void
+--R OMgetEndObject : % -> Void            OMgetError : % -> Void
+--R OMgetFloat : % -> DoubleFloat         OMgetInteger : % -> Integer
+--R OMgetObject : % -> Void               OMgetString : % -> String
+--R OMgetType : % -> Symbol               OMgetVariable : % -> Symbol
+--R OMputApp : % -> Void                  OMputAtp : % -> Void
+--R OMputAttr : % -> Void                 OMputBVar : % -> Void
+--R OMputBind : % -> Void                 OMputEndApp : % -> Void
+--R OMputEndAtp : % -> Void               OMputEndAttr : % -> Void
+--R OMputEndBVar : % -> Void              OMputEndBind : % -> Void
+--R OMputEndError : % -> Void             OMputEndObject : % -> Void
+--R OMputError : % -> Void                OMputObject : % -> Void
+--R OMputString : (%,String) -> Void     
+--R OMgetSymbol : % -> Record(cd: String,name: String)
+--R OMopenFile : (String,String,OpenMathEncoding) -> %
+--R OMopenString : (String,OpenMathEncoding) -> %
+--R OMputFloat : (%,DoubleFloat) -> Void
+--R OMputInteger : (%,Integer) -> Void
+--R OMputSymbol : (%,String,String) -> Void
+--R OMputVariable : (%,Symbol) -> Void
+--R OMsetEncoding : (%,OpenMathEncoding) -> Void
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<OpenMathDevice.help>>=
+====================================================================
+OpenMathDevice examples
+====================================================================
+
+See Also:
+o )show OpenMathDevice
+
+@
+
 \pagehead{OpenMathDevice}{OMDEV}
 \pagepic{ps/v103openmathdevice.ps}{OMDEV}{1.00}
 {\bf See}\\
@@ -69516,6 +82617,44 @@ OpenMathDevice(): with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain OMENC OpenMathEncoding}
+
+<<OpenMathEncoding.input>>=
+)set break resume
+)sys rm -f OpenMathEncoding.output
+)spool OpenMathEncoding.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OpenMathEncoding
+--R OpenMathEncoding  is a domain constructor
+--R Abbreviation for OpenMathEncoding is OMENC 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for OMENC 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                OMencodingBinary : () -> %
+--R OMencodingSGML : () -> %              OMencodingUnknown : () -> %
+--R OMencodingXML : () -> %               coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<OpenMathEncoding.help>>=
+====================================================================
+OpenMathEncoding examples
+====================================================================
+
+See Also:
+o )show OpenMathEncoding
+
+@
+
 \pagehead{OpenMathEncoding}{OMENC}
 \pagepic{ps/v103openmathencoding.ps}{OMENC}{1.00}
 {\bf See}\\
@@ -69590,6 +82729,44 @@ OpenMathEncoding(): SetCategory with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain OMERR OpenMathError}
+
+<<OpenMathError.input>>=
+)set break resume
+)sys rm -f OpenMathError.output
+)spool OpenMathError.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OpenMathError
+--R OpenMathError  is a domain constructor
+--R Abbreviation for OpenMathError is OMERR 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for OMERR 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R errorInfo : % -> List Symbol          hash : % -> SingleInteger
+--R latex : % -> String                   ?~=? : (%,%) -> Boolean
+--R errorKind : % -> OpenMathErrorKind
+--R omError : (OpenMathErrorKind,List Symbol) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<OpenMathError.help>>=
+====================================================================
+OpenMathError examples
+====================================================================
+
+See Also:
+o )show OpenMathError
+
+@
+
 \pagehead{OpenMathError}{OMERR}
 \pagepic{ps/v103openmatherror.ps}{OMERR}{1.00}
 {\bf See}\\
@@ -69662,6 +82839,44 @@ OpenMathError() : SetCategory with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain OMERRK OpenMathErrorKind}
+
+<<OpenMathErrorKind.input>>=
+)set break resume
+)sys rm -f OpenMathErrorKind.output
+)spool OpenMathErrorKind.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OpenMathErrorKind
+--R OpenMathErrorKind  is a domain constructor
+--R Abbreviation for OpenMathErrorKind is OMERRK 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for OMERRK 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                OMParseError? : % -> Boolean
+--R OMReadError? : % -> Boolean           OMUnknownCD? : % -> Boolean
+--R OMUnknownSymbol? : % -> Boolean       coerce : Symbol -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   ?~=? : (%,%) -> Boolean
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<OpenMathErrorKind.help>>=
+====================================================================
+OpenMathErrorKind examples
+====================================================================
+
+See Also:
+o )show OpenMathErrorKind
+
+@
+
 \pagehead{OpenMathErrorKind}{OMERRK}
 \pagepic{ps/v103openmatherrorkind.ps}{OMERRK}{1.00}
 {\bf See}\\
@@ -69739,6 +82954,7 @@ OpenMathErrorKind() : SetCategory with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain OP Operator}
+
 <<Operator.input>>=
 )set break resume
 )sys rm -f Operator.output
@@ -70182,6 +83398,65 @@ Operator(R: Ring) == ModuleOperator(R,R)
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain OMLO OppositeMonogenicLinearOperator}
+
+<<OppositeMonogenicLinearOperator.input>>=
+)set break resume
+)sys rm -f OppositeMonogenicLinearOperator.output
+)spool OppositeMonogenicLinearOperator.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OppositeMonogenicLinearOperator
+--R OppositeMonogenicLinearOperator(P: MonogenicLinearOperator R,R: Ring)  is a domain constructor
+--R Abbreviation for OppositeMonogenicLinearOperator is OMLO 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for OMLO 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R D : % -> % if P has DIFRING           1 : () -> %
+--R 0 : () -> %                           ?^? : (%,PositiveInteger) -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R degree : % -> NonNegativeInteger      hash : % -> SingleInteger
+--R latex : % -> String                   leadingCoefficient : % -> R
+--R one? : % -> Boolean                   op : P -> %
+--R po : % -> P                           recip : % -> Union(%,"failed")
+--R reductum : % -> %                     sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R D : (%,NonNegativeInteger) -> % if P has DIFRING
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R coefficient : (%,NonNegativeInteger) -> R
+--R coerce : R -> % if R has COMRING
+--R differentiate : % -> % if P has DIFRING
+--R differentiate : (%,NonNegativeInteger) -> % if P has DIFRING
+--R minimumDegree : % -> NonNegativeInteger
+--R monomial : (R,NonNegativeInteger) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<OppositeMonogenicLinearOperator.help>>=
+====================================================================
+OppositeMonogenicLinearOperator examples
+====================================================================
+
+See Also:
+o )show OppositeMonogenicLinearOperator
+
+@
+
 \pagehead{OppositeMonogenicLinearOperator}{OMLO}
 \pagepic{ps/v103oppositemonogeniclinearoperator.ps}{OMLO}{1.00}
 {\bf See}\\
@@ -70267,6 +83542,83 @@ OppositeMonogenicLinearOperator(P, R): OPRcat == OPRdef where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ORDCOMP OrderedCompletion}
+
+<<OrderedCompletion.input>>=
+)set break resume
+)sys rm -f OrderedCompletion.output
+)spool OrderedCompletion.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OrderedCompletion
+--R OrderedCompletion R: SetCategory  is a domain constructor
+--R Abbreviation for OrderedCompletion is ORDCOMP 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ORDCOMP 
+--R
+--R------------------------------- Operations --------------------------------
+--R -? : % -> % if R has ABELGRP          ?=? : (%,%) -> Boolean
+--R 1 : () -> % if R has ORDRING          0 : () -> % if R has ABELGRP
+--R coerce : R -> %                       coerce : % -> OutputForm
+--R finite? : % -> Boolean                hash : % -> SingleInteger
+--R infinite? : % -> Boolean              latex : % -> String
+--R minusInfinity : () -> %               plusInfinity : () -> %
+--R retract : % -> R                      whatInfinity : % -> SingleInteger
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (PositiveInteger,%) -> % if R has ABELGRP
+--R ?*? : (NonNegativeInteger,%) -> % if R has ABELGRP
+--R ?*? : (Integer,%) -> % if R has ABELGRP
+--R ?*? : (%,%) -> % if R has ORDRING
+--R ?**? : (%,NonNegativeInteger) -> % if R has ORDRING
+--R ?**? : (%,PositiveInteger) -> % if R has ORDRING
+--R ?+? : (%,%) -> % if R has ABELGRP
+--R ?-? : (%,%) -> % if R has ABELGRP
+--R ?<? : (%,%) -> Boolean if R has ORDRING
+--R ?<=? : (%,%) -> Boolean if R has ORDRING
+--R ?>? : (%,%) -> Boolean if R has ORDRING
+--R ?>=? : (%,%) -> Boolean if R has ORDRING
+--R ?^? : (%,NonNegativeInteger) -> % if R has ORDRING
+--R ?^? : (%,PositiveInteger) -> % if R has ORDRING
+--R abs : % -> % if R has ORDRING
+--R characteristic : () -> NonNegativeInteger if R has ORDRING
+--R coerce : Integer -> % if R has ORDRING or R has RETRACT INT
+--R coerce : Fraction Integer -> % if R has RETRACT FRAC INT
+--R max : (%,%) -> % if R has ORDRING
+--R min : (%,%) -> % if R has ORDRING
+--R negative? : % -> Boolean if R has ORDRING
+--R one? : % -> Boolean if R has ORDRING
+--R positive? : % -> Boolean if R has ORDRING
+--R rational : % -> Fraction Integer if R has INS
+--R rational? : % -> Boolean if R has INS
+--R rationalIfCan : % -> Union(Fraction Integer,"failed") if R has INS
+--R recip : % -> Union(%,"failed") if R has ORDRING
+--R retract : % -> Fraction Integer if R has RETRACT FRAC INT
+--R retract : % -> Integer if R has RETRACT INT
+--R retractIfCan : % -> Union(R,"failed")
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R sample : () -> % if R has ABELGRP
+--R sign : % -> Integer if R has ORDRING
+--R subtractIfCan : (%,%) -> Union(%,"failed") if R has ABELGRP
+--R zero? : % -> Boolean if R has ABELGRP
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<OrderedCompletion.help>>=
+====================================================================
+OrderedCompletion examples
+====================================================================
+
+See Also:
+o )show OrderedCompletion
+
+@
+
 \pagehead{OrderedCompletion}{ORDCOMP}
 \pagepic{ps/v103orderedcompletion.ps}{ORDCOMP}{1.00}
 {\bf See}\\
@@ -70454,6 +83806,142 @@ OrderedCompletion(R:SetCategory): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ODP OrderedDirectProduct}
+
+<<OrderedDirectProduct.input>>=
+)set break resume
+)sys rm -f OrderedDirectProduct.output
+)spool OrderedDirectProduct.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OrderedDirectProduct
+--R OrderedDirectProduct(dim: NonNegativeInteger,S: OrderedAbelianMonoidSup,f: ((Vector S,Vector S) -> Boolean))  is a domain constructor
+--R Abbreviation for OrderedDirectProduct is ODP 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ODP 
+--R
+--R------------------------------- Operations --------------------------------
+--R -? : % -> % if S has RING             1 : () -> % if S has MONOID
+--R 0 : () -> % if S has CABMON           coerce : % -> Vector S
+--R copy : % -> %                         directProduct : Vector S -> %
+--R ?.? : (%,Integer) -> S                elt : (%,Integer,S) -> S
+--R empty : () -> %                       empty? : % -> Boolean
+--R entries : % -> List S                 eq? : (%,%) -> Boolean
+--R index? : (Integer,%) -> Boolean       indices : % -> List Integer
+--R map : ((S -> S),%) -> %               qelt : (%,Integer) -> S
+--R sample : () -> %                     
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?*? : (PositiveInteger,%) -> % if S has ABELSG
+--R ?*? : (NonNegativeInteger,%) -> % if S has CABMON
+--R ?*? : (S,%) -> % if S has RING
+--R ?*? : (%,S) -> % if S has RING
+--R ?*? : (%,%) -> % if S has MONOID
+--R ?*? : (Integer,%) -> % if S has RING
+--R ?**? : (%,PositiveInteger) -> % if S has MONOID
+--R ?**? : (%,NonNegativeInteger) -> % if S has MONOID
+--R ?+? : (%,%) -> % if S has ABELSG
+--R ?-? : (%,%) -> % if S has RING
+--R ?/? : (%,S) -> % if S has FIELD
+--R ?<? : (%,%) -> Boolean if S has OAMONS or S has ORDRING
+--R ?<=? : (%,%) -> Boolean if S has OAMONS or S has ORDRING
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R ?>? : (%,%) -> Boolean if S has OAMONS or S has ORDRING
+--R ?>=? : (%,%) -> Boolean if S has OAMONS or S has ORDRING
+--R D : (%,(S -> S)) -> % if S has RING
+--R D : (%,(S -> S),NonNegativeInteger) -> % if S has RING
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if S has PDRING SYMBOL and S has RING
+--R D : (%,Symbol,NonNegativeInteger) -> % if S has PDRING SYMBOL and S has RING
+--R D : (%,List Symbol) -> % if S has PDRING SYMBOL and S has RING
+--R D : (%,Symbol) -> % if S has PDRING SYMBOL and S has RING
+--R D : (%,NonNegativeInteger) -> % if S has DIFRING and S has RING
+--R D : % -> % if S has DIFRING and S has RING
+--R ?^? : (%,PositiveInteger) -> % if S has MONOID
+--R ?^? : (%,NonNegativeInteger) -> % if S has MONOID
+--R abs : % -> % if S has ORDRING
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R characteristic : () -> NonNegativeInteger if S has RING
+--R coerce : S -> % if S has SETCAT
+--R coerce : Fraction Integer -> % if S has RETRACT FRAC INT and S has SETCAT
+--R coerce : Integer -> % if S has RETRACT INT and S has SETCAT or S has RING
+--R coerce : % -> OutputForm if S has SETCAT
+--R count : (S,%) -> NonNegativeInteger if $ has finiteAggregate and S has SETCAT
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R differentiate : (%,(S -> S)) -> % if S has RING
+--R differentiate : (%,(S -> S),NonNegativeInteger) -> % if S has RING
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if S has PDRING SYMBOL and S has RING
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if S has PDRING SYMBOL and S has RING
+--R differentiate : (%,List Symbol) -> % if S has PDRING SYMBOL and S has RING
+--R differentiate : (%,Symbol) -> % if S has PDRING SYMBOL and S has RING
+--R differentiate : (%,NonNegativeInteger) -> % if S has DIFRING and S has RING
+--R differentiate : % -> % if S has DIFRING and S has RING
+--R dimension : () -> CardinalNumber if S has FIELD
+--R dot : (%,%) -> S if S has RING
+--R entry? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R fill! : (%,S) -> % if $ has shallowlyMutable
+--R first : % -> S if Integer has ORDSET
+--R hash : % -> SingleInteger if S has SETCAT
+--R index : PositiveInteger -> % if S has FINITE
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R lookup : % -> PositiveInteger if S has FINITE
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R max : (%,%) -> % if S has OAMONS or S has ORDRING
+--R maxIndex : % -> Integer if Integer has ORDSET
+--R member? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R members : % -> List S if $ has finiteAggregate
+--R min : (%,%) -> % if S has OAMONS or S has ORDRING
+--R minIndex : % -> Integer if Integer has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R negative? : % -> Boolean if S has ORDRING
+--R one? : % -> Boolean if S has MONOID
+--R parts : % -> List S if $ has finiteAggregate
+--R positive? : % -> Boolean if S has ORDRING
+--R qsetelt! : (%,Integer,S) -> S if $ has shallowlyMutable
+--R random : () -> % if S has FINITE
+--R recip : % -> Union(%,"failed") if S has MONOID
+--R reducedSystem : Matrix % -> Matrix S if S has RING
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix S,vec: Vector S) if S has RING
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if S has LINEXP INT and S has RING
+--R reducedSystem : Matrix % -> Matrix Integer if S has LINEXP INT and S has RING
+--R retract : % -> S if S has SETCAT
+--R retract : % -> Fraction Integer if S has RETRACT FRAC INT and S has SETCAT
+--R retract : % -> Integer if S has RETRACT INT and S has SETCAT
+--R retractIfCan : % -> Union(S,"failed") if S has SETCAT
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if S has RETRACT FRAC INT and S has SETCAT
+--R retractIfCan : % -> Union(Integer,"failed") if S has RETRACT INT and S has SETCAT
+--R setelt : (%,Integer,S) -> S if $ has shallowlyMutable
+--R sign : % -> Integer if S has ORDRING
+--R size : () -> NonNegativeInteger if S has FINITE
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R subtractIfCan : (%,%) -> Union(%,"failed") if S has CABMON
+--R sup : (%,%) -> % if S has OAMONS
+--R swap! : (%,Integer,Integer) -> Void if $ has shallowlyMutable
+--R unitVector : PositiveInteger -> % if S has RING
+--R zero? : % -> Boolean if S has CABMON
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<OrderedDirectProduct.help>>=
+====================================================================
+OrderedDirectProduct examples
+====================================================================
+
+See Also:
+o )show OrderedDirectProduct
+
+@
+
 \pagehead{OrderedDirectProduct}{ODP}
 \pagepic{ps/v103ordereddirectproduct.ps}{ODP}{1.00}
 {\bf See}\\
@@ -70579,6 +84067,7 @@ OrderedDirectProduct(dim:NonNegativeInteger,
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain OFMONOID OrderedFreeMonoid}
+
 <<OrderedFreeMonoid.input>>=
 )set break resume
 )sys rm -f OrderedFreeMonoid.output
@@ -71388,6 +84877,7 @@ OrderedFreeMonoid(S: OrderedSet): OFMcategory == OFMdefinition where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain OVAR OrderedVariableList}
+
 <<OrderedVariableList.input>>=
 )set break resume
 )sys rm -f OrderedVariableList.output
@@ -71547,11 +85037,7 @@ OrderedVariableList(VariableList:List Symbol):
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ODPOL OrderlyDifferentialPolynomial}
-{\bf See}\\
-\pageto{OrderlyDifferentialVariable}{ODVAR}
-\pageto{SequentialDifferentialVariable}{SDVAR}
-\pageto{DifferentialSparseMultivariatePolynomial}{DSMP}
-\pageto{SequentialDifferentialPolynomial}{SDPOL}
+
 <<OrderlyDifferentialPolynomial.input>>=
 )set break resume
 )sys rm -f OrderlyDifferentialPolynomial.output
@@ -72204,9 +85690,16 @@ See Also:
 o )show OrderlyDifferentialPolynomial
 
 @
+
 \pagehead{OrderlyDifferentialPolynomial}{ODPOL}
 \pagepic{ps/v103orderlydifferentialpolynomial.ps}{ODPOL}{1.00}
 
+{\bf See}\\
+\pageto{OrderlyDifferentialVariable}{ODVAR}
+\pageto{SequentialDifferentialVariable}{SDVAR}
+\pageto{DifferentialSparseMultivariatePolynomial}{DSMP}
+\pageto{SequentialDifferentialPolynomial}{SDPOL}
+
 {\bf Exports:}\\
 \begin{tabular}{lll}
 \cross{ODPOL}{0} &
@@ -72344,6 +85837,51 @@ OrderlyDifferentialPolynomial(R):
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ODVAR OrderlyDifferentialVariable}
+
+<<OrderlyDifferentialVariable.input>>=
+)set break resume
+)sys rm -f OrderlyDifferentialVariable.output
+)spool OrderlyDifferentialVariable.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OrderlyDifferentialVariable
+--R OrderlyDifferentialVariable S: OrderedSet  is a domain constructor
+--R Abbreviation for OrderlyDifferentialVariable is ODVAR 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ODVAR 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               coerce : S -> %
+--R coerce : % -> OutputForm              differentiate : % -> %
+--R hash : % -> SingleInteger             latex : % -> String
+--R max : (%,%) -> %                      min : (%,%) -> %
+--R order : % -> NonNegativeInteger       retract : % -> S
+--R variable : % -> S                     weight : % -> NonNegativeInteger
+--R ?~=? : (%,%) -> Boolean              
+--R differentiate : (%,NonNegativeInteger) -> %
+--R makeVariable : (S,NonNegativeInteger) -> %
+--R retractIfCan : % -> Union(S,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<OrderlyDifferentialVariable.help>>=
+====================================================================
+OrderlyDifferentialVariable examples
+====================================================================
+
+See Also:
+o )show OrderlyDifferentialVariable
+
+@
+
 \pagehead{OrderlyDifferentialVariable}{ODVAR}
 \pagepic{ps/v103orderlydifferentialvariable.ps}{ODVAR}{1.00}
 {\bf See}\\
@@ -72417,6 +85955,90 @@ OrderlyDifferentialVariable(S:OrderedSet):DifferentialVariableCategory(S)
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ODR OrdinaryDifferentialRing}
+
+<<OrdinaryDifferentialRing.input>>=
+)set break resume
+)sys rm -f OrdinaryDifferentialRing.output
+)spool OrdinaryDifferentialRing.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OrdinaryDifferentialRing
+--R OrdinaryDifferentialRing(Kernels: SetCategory,R: PartialDifferentialRing Kernels,var: Kernels)  is a domain constructor
+--R Abbreviation for OrdinaryDifferentialRing is ODR 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ODR 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (%,%) -> %
+--R ?*? : (Integer,%) -> %                ?*? : (PositiveInteger,%) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?=? : (%,%) -> Boolean                D : % -> %
+--R D : (%,NonNegativeInteger) -> %       1 : () -> %
+--R 0 : () -> %                           ?^? : (%,PositiveInteger) -> %
+--R coerce : % -> R                       coerce : R -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R differentiate : % -> %                hash : % -> SingleInteger
+--R inv : % -> % if R has FIELD           latex : % -> String
+--R one? : % -> Boolean                   recip : % -> Union(%,"failed")
+--R sample : () -> %                      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (%,Fraction Integer) -> % if R has FIELD
+--R ?*? : (Fraction Integer,%) -> % if R has FIELD
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,Integer) -> % if R has FIELD
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,%) -> % if R has FIELD
+--R ?^? : (%,Integer) -> % if R has FIELD
+--R ?^? : (%,NonNegativeInteger) -> %
+--R associates? : (%,%) -> Boolean if R has FIELD
+--R characteristic : () -> NonNegativeInteger
+--R coerce : % -> % if R has FIELD
+--R coerce : Fraction Integer -> % if R has FIELD
+--R differentiate : (%,NonNegativeInteger) -> %
+--R divide : (%,%) -> Record(quotient: %,remainder: %) if R has FIELD
+--R euclideanSize : % -> NonNegativeInteger if R has FIELD
+--R expressIdealMember : (List %,%) -> Union(List %,"failed") if R has FIELD
+--R exquo : (%,%) -> Union(%,"failed") if R has FIELD
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %) if R has FIELD
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed") if R has FIELD
+--R factor : % -> Factored % if R has FIELD
+--R gcd : (%,%) -> % if R has FIELD
+--R gcd : List % -> % if R has FIELD
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if R has FIELD
+--R lcm : (%,%) -> % if R has FIELD
+--R lcm : List % -> % if R has FIELD
+--R multiEuclidean : (List %,%) -> Union(List %,"failed") if R has FIELD
+--R prime? : % -> Boolean if R has FIELD
+--R principalIdeal : List % -> Record(coef: List %,generator: %) if R has FIELD
+--R ?quo? : (%,%) -> % if R has FIELD
+--R ?rem? : (%,%) -> % if R has FIELD
+--R sizeLess? : (%,%) -> Boolean if R has FIELD
+--R squareFree : % -> Factored % if R has FIELD
+--R squareFreePart : % -> % if R has FIELD
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unit? : % -> Boolean if R has FIELD
+--R unitCanonical : % -> % if R has FIELD
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if R has FIELD
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<OrdinaryDifferentialRing.help>>=
+====================================================================
+OrdinaryDifferentialRing examples
+====================================================================
+
+See Also:
+o )show OrdinaryDifferentialRing
+
+@
+
 \pagehead{OrdinaryDifferentialRing}{ODR}
 \pagepic{ps/v103ordinarydifferentialring.ps}{ODR}{1.00}
 {\bf See}\\
@@ -72519,6 +86141,60 @@ OrdinaryDifferentialRing(Kernels,R,var): DRcategory == DRcapsule where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain OWP OrdinaryWeightedPolynomials}
+
+<<OrdinaryWeightedPolynomials.input>>=
+)set break resume
+)sys rm -f OrdinaryWeightedPolynomials.output
+)spool OrdinaryWeightedPolynomials.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OrdinaryWeightedPolynomials
+--R OrdinaryWeightedPolynomials(R: Ring,vl: List Symbol,wl: List NonNegativeInteger,wtlevel: NonNegativeInteger)  is a domain constructor
+--R Abbreviation for OrdinaryWeightedPolynomials is OWP 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for OWP 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : Polynomial R -> %
+--R coerce : % -> Polynomial R            coerce : Integer -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   one? : % -> Boolean
+--R recip : % -> Union(%,"failed")        sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (%,R) -> % if R has COMRING
+--R ?*? : (R,%) -> % if R has COMRING
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,%) -> Union(%,"failed") if R has FIELD
+--R ?^? : (%,NonNegativeInteger) -> %
+--R changeWeightLevel : NonNegativeInteger -> Void
+--R characteristic : () -> NonNegativeInteger
+--R coerce : R -> % if R has COMRING
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<OrdinaryWeightedPolynomials.help>>=
+====================================================================
+OrdinaryWeightedPolynomials examples
+====================================================================
+
+See Also:
+o )show OrdinaryWeightedPolynomials
+
+@
+
 \pagehead{OrdinaryWeightedPolynomials}{OWP}
 \pagepic{ps/v103ordinaryweightedpolynomials.ps}{OWP}{1.00}
 
@@ -72595,6 +86271,46 @@ OrdinaryWeightedPolynomials(R:Ring,
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain OSI OrdSetInts}
+
+<<OrdSetInts.input>>=
+)set break resume
+)sys rm -f OrdSetInts.output
+)spool OrdSetInts.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OrdSetInts
+--R OrdSetInts  is a domain constructor
+--R Abbreviation for OrdSetInts is OSI 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for OSI 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               coerce : Integer -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   max : (%,%) -> %
+--R min : (%,%) -> %                      value : % -> Integer
+--R ?~=? : (%,%) -> Boolean              
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<OrdSetInts.help>>=
+====================================================================
+OrdSetInts examples
+====================================================================
+
+See Also:
+o )show OrdSetInts
+
+@
+
 \pagehead{OrdSetInts}{OSI}
 \pagepic{ps/v103ordsetints.ps}{OSI}{1.00}
 {\bf See}\\
@@ -72661,6 +86377,93 @@ OrdSetInts: Export == Implement where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain OUTFORM OutputForm}
+
+<<OutputForm.input>>=
+)set break resume
+)sys rm -f OutputForm.output
+)spool OutputForm.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show OutputForm
+--R OutputForm  is a domain constructor
+--R Abbreviation for OutputForm is OUTFORM 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for OUTFORM 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?**? : (%,%) -> %
+--R ?+? : (%,%) -> %                      -? : % -> %
+--R ?-? : (%,%) -> %                      ?/? : (%,%) -> %
+--R ?<? : (%,%) -> %                      ?<=? : (%,%) -> %
+--R ?=? : (%,%) -> %                      ?=? : (%,%) -> Boolean
+--R ?>? : (%,%) -> %                      ?>=? : (%,%) -> %
+--R ?SEGMENT : % -> %                     ?..? : (%,%) -> %
+--R ?^=? : (%,%) -> %                     ?and? : (%,%) -> %
+--R assign : (%,%) -> %                   binomial : (%,%) -> %
+--R blankSeparate : List % -> %           box : % -> %
+--R brace : List % -> %                   brace : % -> %
+--R bracket : List % -> %                 bracket : % -> %
+--R center : % -> %                       center : (%,Integer) -> %
+--R coerce : % -> OutputForm              commaSeparate : List % -> %
+--R ?div? : (%,%) -> %                    dot : % -> %
+--R ?.? : (%,List %) -> %                 empty : () -> %
+--R exquo : (%,%) -> %                    hash : % -> SingleInteger
+--R hconcat : List % -> %                 hconcat : (%,%) -> %
+--R height : () -> Integer                height : % -> Integer
+--R hspace : Integer -> %                 infix : (%,%,%) -> %
+--R infix : (%,List %) -> %               infix? : % -> Boolean
+--R int : (%,%,%) -> %                    int : (%,%) -> %
+--R int : % -> %                          label : (%,%) -> %
+--R latex : % -> String                   left : % -> %
+--R left : (%,Integer) -> %               matrix : List List % -> %
+--R message : String -> %                 messagePrint : String -> Void
+--R not? : % -> %                         ?or? : (%,%) -> %
+--R outputForm : DoubleFloat -> %         outputForm : String -> %
+--R outputForm : Symbol -> %              outputForm : Integer -> %
+--R over : (%,%) -> %                     overbar : % -> %
+--R overlabel : (%,%) -> %                paren : List % -> %
+--R paren : % -> %                        pile : List % -> %
+--R postfix : (%,%) -> %                  prefix : (%,List %) -> %
+--R presub : (%,%) -> %                   presuper : (%,%) -> %
+--R prime : % -> %                        print : % -> Void
+--R prod : (%,%,%) -> %                   prod : (%,%) -> %
+--R prod : % -> %                         ?quo? : (%,%) -> %
+--R quote : % -> %                        rarrow : (%,%) -> %
+--R ?rem? : (%,%) -> %                    right : % -> %
+--R right : (%,Integer) -> %              root : (%,%) -> %
+--R root : % -> %                         rspace : (Integer,Integer) -> %
+--R scripts : (%,List %) -> %             semicolonSeparate : List % -> %
+--R slash : (%,%) -> %                    string : % -> %
+--R sub : (%,%) -> %                      subHeight : % -> Integer
+--R sum : (%,%,%) -> %                    sum : (%,%) -> %
+--R sum : % -> %                          super : (%,%) -> %
+--R superHeight : % -> Integer            supersub : (%,List %) -> %
+--R vconcat : List % -> %                 vconcat : (%,%) -> %
+--R vspace : Integer -> %                 width : () -> Integer
+--R width : % -> Integer                  zag : (%,%) -> %
+--R ?~=? : (%,%) -> Boolean              
+--R differentiate : (%,NonNegativeInteger) -> %
+--R dot : (%,NonNegativeInteger) -> %
+--R prime : (%,NonNegativeInteger) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<OutputForm.help>>=
+====================================================================
+OutputForm examples
+====================================================================
+
+See Also:
+o )show OutputForm
+
+@
+
 \pagehead{OutputForm}{OUTFORM}
 \pagepic{ps/v103outputform.ps}{OUTFORM}{1.00}
 
@@ -73213,6 +87016,76 @@ OutputForm(): SetCategory with
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PADIC PAdicInteger}
+
+<<PAdicInteger.input>>=
+)set break resume
+)sys rm -f PAdicInteger.output
+)spool PAdicInteger.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PAdicInteger
+--R PAdicInteger p: Integer  is a domain constructor
+--R Abbreviation for PAdicInteger is PADIC 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for PADIC 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        associates? : (%,%) -> Boolean
+--R coerce : % -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              complete : % -> %
+--R digits : % -> Stream Integer          extend : (%,Integer) -> %
+--R gcd : List % -> %                     gcd : (%,%) -> %
+--R hash : % -> SingleInteger             latex : % -> String
+--R lcm : List % -> %                     lcm : (%,%) -> %
+--R moduloP : % -> Integer                modulus : () -> Integer
+--R one? : % -> Boolean                   order : % -> NonNegativeInteger
+--R ?quo? : (%,%) -> %                    quotientByP : % -> %
+--R recip : % -> Union(%,"failed")        ?rem? : (%,%) -> %
+--R sample : () -> %                      sizeLess? : (%,%) -> Boolean
+--R sqrt : (%,Integer) -> %               unit? : % -> Boolean
+--R unitCanonical : % -> %                zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R approximate : (%,Integer) -> Integer
+--R characteristic : () -> NonNegativeInteger
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R root : (SparseUnivariatePolynomial Integer,Integer) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<PAdicInteger.help>>=
+====================================================================
+PAdicInteger examples
+====================================================================
+
+See Also:
+o )show PAdicInteger
+
+@
+
 \pagehead{PAdicInteger}{PADIC}
 \pagepic{ps/v103padicinteger.ps}{PADIC}{1.00}
 {\bf See}\\
@@ -73301,6 +87174,149 @@ PAdicInteger(p:Integer) == InnerPAdicInteger(p,true$Boolean)
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PADICRAT PAdicRational}
+
+<<PAdicRational.input>>=
+)set break resume
+)sys rm -f PAdicRational.output
+)spool PAdicRational.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PAdicRational
+--R PAdicRational p: Integer  is a domain constructor
+--R Abbreviation for PAdicRational is PADICRAT 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for PADICRAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,PAdicInteger p) -> %         ?*? : (PAdicInteger p,%) -> %
+--R ?*? : (Fraction Integer,%) -> %       ?*? : (%,Fraction Integer) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?/? : (%,%) -> %                      ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,Integer) -> %                ?^? : (%,PositiveInteger) -> %
+--R associates? : (%,%) -> Boolean        coerce : PAdicInteger p -> %
+--R coerce : Fraction Integer -> %        coerce : % -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R denom : % -> PAdicInteger p           denominator : % -> %
+--R factor : % -> Factored %              gcd : List % -> %
+--R gcd : (%,%) -> %                      hash : % -> SingleInteger
+--R inv : % -> %                          latex : % -> String
+--R lcm : List % -> %                     lcm : (%,%) -> %
+--R numer : % -> PAdicInteger p           numerator : % -> %
+--R one? : % -> Boolean                   prime? : % -> Boolean
+--R ?quo? : (%,%) -> %                    recip : % -> Union(%,"failed")
+--R ?rem? : (%,%) -> %                    removeZeroes : (Integer,%) -> %
+--R removeZeroes : % -> %                 retract : % -> PAdicInteger p
+--R sample : () -> %                      sizeLess? : (%,%) -> Boolean
+--R squareFree : % -> Factored %          squareFreePart : % -> %
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (PAdicInteger p,PAdicInteger p) -> %
+--R ?<? : (%,%) -> Boolean if PAdicInteger p has ORDSET
+--R ?<=? : (%,%) -> Boolean if PAdicInteger p has ORDSET
+--R ?>? : (%,%) -> Boolean if PAdicInteger p has ORDSET
+--R ?>=? : (%,%) -> Boolean if PAdicInteger p has ORDSET
+--R D : (%,(PAdicInteger p -> PAdicInteger p)) -> %
+--R D : (%,(PAdicInteger p -> PAdicInteger p),NonNegativeInteger) -> %
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if PAdicInteger p has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if PAdicInteger p has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if PAdicInteger p has PDRING SYMBOL
+--R D : (%,Symbol) -> % if PAdicInteger p has PDRING SYMBOL
+--R D : (%,NonNegativeInteger) -> % if PAdicInteger p has DIFRING
+--R D : % -> % if PAdicInteger p has DIFRING
+--R ?^? : (%,NonNegativeInteger) -> %
+--R abs : % -> % if PAdicInteger p has OINTDOM
+--R approximate : (%,Integer) -> Fraction Integer
+--R ceiling : % -> PAdicInteger p if PAdicInteger p has INS
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if $ has CHARNZ and PAdicInteger p has PFECAT or PAdicInteger p has CHARNZ
+--R coerce : Symbol -> % if PAdicInteger p has RETRACT SYMBOL
+--R conditionP : Matrix % -> Union(Vector %,"failed") if $ has CHARNZ and PAdicInteger p has PFECAT
+--R continuedFraction : % -> ContinuedFraction Fraction Integer
+--R convert : % -> DoubleFloat if PAdicInteger p has REAL
+--R convert : % -> Float if PAdicInteger p has REAL
+--R convert : % -> InputForm if PAdicInteger p has KONVERT INFORM
+--R convert : % -> Pattern Float if PAdicInteger p has KONVERT PATTERN FLOAT
+--R convert : % -> Pattern Integer if PAdicInteger p has KONVERT PATTERN INT
+--R differentiate : (%,(PAdicInteger p -> PAdicInteger p)) -> %
+--R differentiate : (%,(PAdicInteger p -> PAdicInteger p),NonNegativeInteger) -> %
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if PAdicInteger p has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if PAdicInteger p has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if PAdicInteger p has PDRING SYMBOL
+--R differentiate : (%,Symbol) -> % if PAdicInteger p has PDRING SYMBOL
+--R differentiate : (%,NonNegativeInteger) -> % if PAdicInteger p has DIFRING
+--R differentiate : % -> % if PAdicInteger p has DIFRING
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R ?.? : (%,PAdicInteger p) -> % if PAdicInteger p has ELTAB(PADIC p,PADIC p)
+--R euclideanSize : % -> NonNegativeInteger
+--R eval : (%,Symbol,PAdicInteger p) -> % if PAdicInteger p has IEVALAB(SYMBOL,PADIC p)
+--R eval : (%,List Symbol,List PAdicInteger p) -> % if PAdicInteger p has IEVALAB(SYMBOL,PADIC p)
+--R eval : (%,List Equation PAdicInteger p) -> % if PAdicInteger p has EVALAB PADIC p
+--R eval : (%,Equation PAdicInteger p) -> % if PAdicInteger p has EVALAB PADIC p
+--R eval : (%,PAdicInteger p,PAdicInteger p) -> % if PAdicInteger p has EVALAB PADIC p
+--R eval : (%,List PAdicInteger p,List PAdicInteger p) -> % if PAdicInteger p has EVALAB PADIC p
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R factorPolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if PAdicInteger p has PFECAT
+--R factorSquareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if PAdicInteger p has PFECAT
+--R floor : % -> PAdicInteger p if PAdicInteger p has INS
+--R fractionPart : % -> % if PAdicInteger p has EUCDOM
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R init : () -> % if PAdicInteger p has STEP
+--R map : ((PAdicInteger p -> PAdicInteger p),%) -> %
+--R max : (%,%) -> % if PAdicInteger p has ORDSET
+--R min : (%,%) -> % if PAdicInteger p has ORDSET
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R negative? : % -> Boolean if PAdicInteger p has OINTDOM
+--R nextItem : % -> Union(%,"failed") if PAdicInteger p has STEP
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%) if PAdicInteger p has PATMAB FLOAT
+--R patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%) if PAdicInteger p has PATMAB INT
+--R positive? : % -> Boolean if PAdicInteger p has OINTDOM
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R random : () -> % if PAdicInteger p has INS
+--R reducedSystem : Matrix % -> Matrix PAdicInteger p
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix PAdicInteger p,vec: Vector PAdicInteger p)
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if PAdicInteger p has LINEXP INT
+--R reducedSystem : Matrix % -> Matrix Integer if PAdicInteger p has LINEXP INT
+--R retract : % -> Integer if PAdicInteger p has RETRACT INT
+--R retract : % -> Fraction Integer if PAdicInteger p has RETRACT INT
+--R retract : % -> Symbol if PAdicInteger p has RETRACT SYMBOL
+--R retractIfCan : % -> Union(Integer,"failed") if PAdicInteger p has RETRACT INT
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if PAdicInteger p has RETRACT INT
+--R retractIfCan : % -> Union(Symbol,"failed") if PAdicInteger p has RETRACT SYMBOL
+--R retractIfCan : % -> Union(PAdicInteger p,"failed")
+--R sign : % -> Integer if PAdicInteger p has OINTDOM
+--R solveLinearPolynomialEquation : (List SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> Union(List SparseUnivariatePolynomial %,"failed") if PAdicInteger p has PFECAT
+--R squareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if PAdicInteger p has PFECAT
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R wholePart : % -> PAdicInteger p if PAdicInteger p has EUCDOM
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<PAdicRational.help>>=
+====================================================================
+PAdicRational examples
+====================================================================
+
+See Also:
+o )show PAdicRational
+
+@
+
 \pagehead{PAdicRational}{PADICRAT}
 \pagepic{ps/v103padicrational.ps}{PADICRAT}{1.00}
 {\bf See}\\
@@ -73424,6 +87440,148 @@ PAdicRational(p:Integer) == PAdicRationalConstructor(p,PAdicInteger p)
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PADICRC PAdicRationalConstructor}
+
+<<PAdicRationalConstructor.input>>=
+)set break resume
+)sys rm -f PAdicRationalConstructor.output
+)spool PAdicRationalConstructor.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PAdicRationalConstructor
+--R PAdicRationalConstructor(p: Integer,PADIC: PAdicIntegerCategory p)  is a domain constructor
+--R Abbreviation for PAdicRationalConstructor is PADICRC 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for PADICRC 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,PADIC) -> %                  ?*? : (PADIC,%) -> %
+--R ?*? : (Fraction Integer,%) -> %       ?*? : (%,Fraction Integer) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?/? : (PADIC,PADIC) -> %              ?/? : (%,%) -> %
+--R ?=? : (%,%) -> Boolean                D : (%,(PADIC -> PADIC)) -> %
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,Integer) -> %                ?^? : (%,PositiveInteger) -> %
+--R associates? : (%,%) -> Boolean        coerce : PADIC -> %
+--R coerce : Fraction Integer -> %        coerce : % -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R denom : % -> PADIC                    denominator : % -> %
+--R factor : % -> Factored %              gcd : List % -> %
+--R gcd : (%,%) -> %                      hash : % -> SingleInteger
+--R inv : % -> %                          latex : % -> String
+--R lcm : List % -> %                     lcm : (%,%) -> %
+--R map : ((PADIC -> PADIC),%) -> %       numer : % -> PADIC
+--R numerator : % -> %                    one? : % -> Boolean
+--R prime? : % -> Boolean                 ?quo? : (%,%) -> %
+--R recip : % -> Union(%,"failed")        ?rem? : (%,%) -> %
+--R removeZeroes : (Integer,%) -> %       removeZeroes : % -> %
+--R retract : % -> PADIC                  sample : () -> %
+--R sizeLess? : (%,%) -> Boolean          squareFree : % -> Factored %
+--R squareFreePart : % -> %               unit? : % -> Boolean
+--R unitCanonical : % -> %                zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?<? : (%,%) -> Boolean if PADIC has ORDSET
+--R ?<=? : (%,%) -> Boolean if PADIC has ORDSET
+--R ?>? : (%,%) -> Boolean if PADIC has ORDSET
+--R ?>=? : (%,%) -> Boolean if PADIC has ORDSET
+--R D : (%,(PADIC -> PADIC),NonNegativeInteger) -> %
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if PADIC has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if PADIC has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if PADIC has PDRING SYMBOL
+--R D : (%,Symbol) -> % if PADIC has PDRING SYMBOL
+--R D : (%,NonNegativeInteger) -> % if PADIC has DIFRING
+--R D : % -> % if PADIC has DIFRING
+--R ?^? : (%,NonNegativeInteger) -> %
+--R abs : % -> % if PADIC has OINTDOM
+--R approximate : (%,Integer) -> Fraction Integer
+--R ceiling : % -> PADIC if PADIC has INS
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if $ has CHARNZ and PADIC has PFECAT or PADIC has CHARNZ
+--R coerce : Symbol -> % if PADIC has RETRACT SYMBOL
+--R conditionP : Matrix % -> Union(Vector %,"failed") if $ has CHARNZ and PADIC has PFECAT
+--R continuedFraction : % -> ContinuedFraction Fraction Integer
+--R convert : % -> DoubleFloat if PADIC has REAL
+--R convert : % -> Float if PADIC has REAL
+--R convert : % -> InputForm if PADIC has KONVERT INFORM
+--R convert : % -> Pattern Float if PADIC has KONVERT PATTERN FLOAT
+--R convert : % -> Pattern Integer if PADIC has KONVERT PATTERN INT
+--R differentiate : (%,(PADIC -> PADIC)) -> %
+--R differentiate : (%,(PADIC -> PADIC),NonNegativeInteger) -> %
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if PADIC has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if PADIC has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if PADIC has PDRING SYMBOL
+--R differentiate : (%,Symbol) -> % if PADIC has PDRING SYMBOL
+--R differentiate : (%,NonNegativeInteger) -> % if PADIC has DIFRING
+--R differentiate : % -> % if PADIC has DIFRING
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R ?.? : (%,PADIC) -> % if PADIC has ELTAB(PADIC,PADIC)
+--R euclideanSize : % -> NonNegativeInteger
+--R eval : (%,Symbol,PADIC) -> % if PADIC has IEVALAB(SYMBOL,PADIC)
+--R eval : (%,List Symbol,List PADIC) -> % if PADIC has IEVALAB(SYMBOL,PADIC)
+--R eval : (%,List Equation PADIC) -> % if PADIC has EVALAB PADIC
+--R eval : (%,Equation PADIC) -> % if PADIC has EVALAB PADIC
+--R eval : (%,PADIC,PADIC) -> % if PADIC has EVALAB PADIC
+--R eval : (%,List PADIC,List PADIC) -> % if PADIC has EVALAB PADIC
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R factorPolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if PADIC has PFECAT
+--R factorSquareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if PADIC has PFECAT
+--R floor : % -> PADIC if PADIC has INS
+--R fractionPart : % -> % if PADIC has EUCDOM
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R init : () -> % if PADIC has STEP
+--R max : (%,%) -> % if PADIC has ORDSET
+--R min : (%,%) -> % if PADIC has ORDSET
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R negative? : % -> Boolean if PADIC has OINTDOM
+--R nextItem : % -> Union(%,"failed") if PADIC has STEP
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%) if PADIC has PATMAB FLOAT
+--R patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%) if PADIC has PATMAB INT
+--R positive? : % -> Boolean if PADIC has OINTDOM
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R random : () -> % if PADIC has INS
+--R reducedSystem : Matrix % -> Matrix PADIC
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix PADIC,vec: Vector PADIC)
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if PADIC has LINEXP INT
+--R reducedSystem : Matrix % -> Matrix Integer if PADIC has LINEXP INT
+--R retract : % -> Integer if PADIC has RETRACT INT
+--R retract : % -> Fraction Integer if PADIC has RETRACT INT
+--R retract : % -> Symbol if PADIC has RETRACT SYMBOL
+--R retractIfCan : % -> Union(Integer,"failed") if PADIC has RETRACT INT
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if PADIC has RETRACT INT
+--R retractIfCan : % -> Union(Symbol,"failed") if PADIC has RETRACT SYMBOL
+--R retractIfCan : % -> Union(PADIC,"failed")
+--R sign : % -> Integer if PADIC has OINTDOM
+--R solveLinearPolynomialEquation : (List SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> Union(List SparseUnivariatePolynomial %,"failed") if PADIC has PFECAT
+--R squareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if PADIC has PFECAT
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R wholePart : % -> PADIC if PADIC has EUCDOM
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<PAdicRationalConstructor.help>>=
+====================================================================
+PAdicRationalConstructor examples
+====================================================================
+
+See Also:
+o )show PAdicRationalConstructor
+
+@
+
 \pagehead{PAdicRationalConstructor}{PADICRC}
 \pagepic{ps/v103padicrationalconstructor.ps}{PADICRC}{1.00}
 {\bf See}\\
@@ -73712,6 +87870,46 @@ PAdicRationalConstructor(p,PADIC): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PALETTE Palette}
+
+<<Palette.input>>=
+)set break resume
+)sys rm -f Palette.output
+)spool Palette.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Palette
+--R Palette  is a domain constructor
+--R Abbreviation for Palette is PALETTE 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for PALETTE 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                bright : Color -> %
+--R coerce : Color -> %                   coerce : % -> OutputForm
+--R dark : Color -> %                     dim : Color -> %
+--R hash : % -> SingleInteger             hue : % -> Color
+--R latex : % -> String                   light : Color -> %
+--R pastel : Color -> %                   shade : % -> Integer
+--R ?~=? : (%,%) -> Boolean              
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Palette.help>>=
+====================================================================
+Palette examples
+====================================================================
+
+See Also:
+o )show Palette
+
+@
+
 \pagehead{Palette}{PALETTE}
 \pagepic{ps/v103palette.ps}{PALETTE}{1.00}
 {\bf See}\\
@@ -73798,6 +87996,41 @@ Palette(): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PARPCURV ParametricPlaneCurve}
+
+<<ParametricPlaneCurve.input>>=
+)set break resume
+)sys rm -f ParametricPlaneCurve.output
+)spool ParametricPlaneCurve.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ParametricPlaneCurve
+--R ParametricPlaneCurve ComponentFunction: Type  is a domain constructor
+--R Abbreviation for ParametricPlaneCurve is PARPCURV 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for PARPCURV 
+--R
+--R------------------------------- Operations --------------------------------
+--R coordinate : (%,NonNegativeInteger) -> ComponentFunction
+--R curve : (ComponentFunction,ComponentFunction) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<ParametricPlaneCurve.help>>=
+====================================================================
+ParametricPlaneCurve examples
+====================================================================
+
+See Also:
+o )show ParametricPlaneCurve
+
+@
+
 \pagehead{ParametricPlaneCurve}{PARPCURV}
 \pagepic{ps/v103parametricplanecurve.ps}{PARPCURV}{1.00}
 {\bf See}\\
@@ -73857,6 +88090,41 @@ ParametricPlaneCurve(ComponentFunction): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PARSCURV ParametricSpaceCurve}
+
+<<ParametricSpaceCurve.input>>=
+)set break resume
+)sys rm -f ParametricSpaceCurve.output
+)spool ParametricSpaceCurve.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ParametricSpaceCurve
+--R ParametricSpaceCurve ComponentFunction: Type  is a domain constructor
+--R Abbreviation for ParametricSpaceCurve is PARSCURV 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for PARSCURV 
+--R
+--R------------------------------- Operations --------------------------------
+--R coordinate : (%,NonNegativeInteger) -> ComponentFunction
+--R curve : (ComponentFunction,ComponentFunction,ComponentFunction) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<ParametricSpaceCurve.help>>=
+====================================================================
+ParametricSpaceCurve examples
+====================================================================
+
+See Also:
+o )show ParametricSpaceCurve
+
+@
+
 \pagehead{ParametricSpaceCurve}{PARSCURV}
 \pagepic{ps/v103parametricspacecurve.ps}{PARSCURV}{1.00}
 {\bf See}\\
@@ -73919,6 +88187,41 @@ ParametricSpaceCurve(ComponentFunction): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PARSURF ParametricSurface}
+
+<<ParametricSurface.input>>=
+)set break resume
+)sys rm -f ParametricSurface.output
+)spool ParametricSurface.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ParametricSurface
+--R ParametricSurface ComponentFunction: Type  is a domain constructor
+--R Abbreviation for ParametricSurface is PARSURF 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for PARSURF 
+--R
+--R------------------------------- Operations --------------------------------
+--R coordinate : (%,NonNegativeInteger) -> ComponentFunction
+--R surface : (ComponentFunction,ComponentFunction,ComponentFunction) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<ParametricSurface.help>>=
+====================================================================
+ParametricSurface examples
+====================================================================
+
+See Also:
+o )show ParametricSurface
+
+@
+
 \pagehead{ParametricSurface}{PARSURF}
 \pagepic{ps/v103parametricsurface.ps}{PARSURF}{1.00}
 {\bf See}\\
@@ -73981,6 +88284,7 @@ ParametricSurface(ComponentFunction): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PFR PartialFraction}
+
 <<PartialFraction.input>>=
 )set break resume
 )sys rm -f PartialFraction.output
@@ -74797,6 +89101,53 @@ PartialFraction(R: EuclideanDomain): Cat == Capsule where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PRTITION Partition}
+
+<<Partition.input>>=
+)set break resume
+)sys rm -f Partition.output
+)spool Partition.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Partition
+--R Partition  is a domain constructor
+--R Abbreviation for Partition is PRTITION 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for PRTITION 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (PositiveInteger,%) -> %        ?+? : (%,%) -> %
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               0 : () -> %
+--R coerce : % -> List Integer            coerce : % -> OutputForm
+--R conjugate : % -> %                    convert : % -> List Integer
+--R hash : % -> SingleInteger             latex : % -> String
+--R max : (%,%) -> %                      min : (%,%) -> %
+--R partition : List Integer -> %         pdct : % -> Integer
+--R sample : () -> %                      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R powers : List Integer -> List List Integer
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Partition.help>>=
+====================================================================
+Partition examples
+====================================================================
+
+See Also:
+o )show Partition
+
+@
+
 \pagehead{Partition}{PRTITION}
 \pagepic{ps/v103partition.ps}{PRTITION}{1.00}
 {\bf See}\\
@@ -74967,6 +89318,73 @@ Partition: Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PATTERN Pattern}
+
+<<Pattern.input>>=
+)set break resume
+)sys rm -f Pattern.output
+)spool Pattern.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Pattern
+--R Pattern R: SetCategory  is a domain constructor
+--R Abbreviation for Pattern is PATTERN 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for PATTERN 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?**? : (%,%) -> %
+--R ?+? : (%,%) -> %                      ?/? : (%,%) -> %
+--R ?=? : (%,%) -> Boolean                1 : () -> %
+--R 0 : () -> %                           addBadValue : (%,Any) -> %
+--R coerce : Symbol -> %                  coerce : R -> %
+--R coerce : % -> OutputForm              constant? : % -> Boolean
+--R convert : List % -> %                 copy : % -> %
+--R depth : % -> NonNegativeInteger       generic? : % -> Boolean
+--R getBadValues : % -> List Any          hasPredicate? : % -> Boolean
+--R hasTopPredicate? : % -> Boolean       hash : % -> SingleInteger
+--R inR? : % -> Boolean                   latex : % -> String
+--R multiple? : % -> Boolean              optional? : % -> Boolean
+--R predicates : % -> List Any            quoted? : % -> Boolean
+--R resetBadValues : % -> %               retract : % -> Symbol
+--R retract : % -> R                      symbol? : % -> Boolean
+--R variables : % -> List %               ?~=? : (%,%) -> Boolean
+--R ?**? : (%,NonNegativeInteger) -> %
+--R elt : (BasicOperator,List %) -> %
+--R isExpt : % -> Union(Record(val: %,exponent: NonNegativeInteger),"failed")
+--R isList : % -> Union(List %,"failed")
+--R isOp : % -> Union(Record(op: BasicOperator,arg: List %),"failed")
+--R isOp : (%,BasicOperator) -> Union(List %,"failed")
+--R isPlus : % -> Union(List %,"failed")
+--R isPower : % -> Union(Record(val: %,exponent: %),"failed")
+--R isQuotient : % -> Union(Record(num: %,den: %),"failed")
+--R isTimes : % -> Union(List %,"failed")
+--R optpair : List % -> Union(List %,"failed")
+--R patternVariable : (Symbol,Boolean,Boolean,Boolean) -> %
+--R retractIfCan : % -> Union(Symbol,"failed")
+--R retractIfCan : % -> Union(R,"failed")
+--R setPredicates : (%,List Any) -> %
+--R setTopPredicate : (%,List Symbol,Any) -> %
+--R topPredicate : % -> Record(var: List Symbol,pred: Any)
+--R withPredicates : (%,List Any) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Pattern.help>>=
+====================================================================
+Pattern examples
+====================================================================
+
+See Also:
+o )show Pattern
+
+@
+
 \pagehead{Pattern}{PATTERN}
 \pagepic{ps/v103pattern.ps}{PATTERN}{1.00}
 
@@ -75403,6 +89821,46 @@ Pattern(R:SetCategory): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PATLRES PatternMatchListResult}
+
+<<PatternMatchListResult.input>>=
+)set break resume
+)sys rm -f PatternMatchListResult.output
+)spool PatternMatchListResult.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PatternMatchListResult
+--R PatternMatchListResult(R: SetCategory,S: SetCategory,L: ListAggregate S)  is a domain constructor
+--R Abbreviation for PatternMatchListResult is PATLRES 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for PATLRES 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R failed : () -> %                      failed? : % -> Boolean
+--R hash : % -> SingleInteger             latex : % -> String
+--R new : () -> %                         ?~=? : (%,%) -> Boolean
+--R atoms : % -> PatternMatchResult(R,S)
+--R lists : % -> PatternMatchResult(R,L)
+--R makeResult : (PatternMatchResult(R,S),PatternMatchResult(R,L)) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<PatternMatchListResult.help>>=
+====================================================================
+PatternMatchListResult examples
+====================================================================
+
+See Also:
+o )show PatternMatchListResult
+
+@
+
 \pagehead{PatternMatchListResult}{PATLRES}
 \pagepic{ps/v103patternmatchlistresult.ps}{PATLRES}{1.00}
 {\bf See}\\
@@ -75478,6 +89936,50 @@ PatternMatchListResult(R:SetCategory, S:SetCategory, L:ListAggregate S):
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PATRES PatternMatchResult}
+
+<<PatternMatchResult.input>>=
+)set break resume
+)sys rm -f PatternMatchResult.output
+)spool PatternMatchResult.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PatternMatchResult
+--R PatternMatchResult(R: SetCategory,S: SetCategory)  is a domain constructor
+--R Abbreviation for PatternMatchResult is PATRES 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for PATRES 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                addMatch : (Pattern R,S,%) -> %
+--R coerce : % -> OutputForm              failed : () -> %
+--R failed? : % -> Boolean                hash : % -> SingleInteger
+--R latex : % -> String                   new : () -> %
+--R union : (%,%) -> %                    ?~=? : (%,%) -> Boolean
+--R addMatchRestricted : (Pattern R,S,%,S) -> %
+--R construct : List Record(key: Symbol,entry: S) -> %
+--R destruct : % -> List Record(key: Symbol,entry: S)
+--R getMatch : (Pattern R,%) -> Union(S,"failed")
+--R insertMatch : (Pattern R,S,%) -> %
+--R satisfy? : (%,Pattern R) -> Union(Boolean,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<PatternMatchResult.help>>=
+====================================================================
+PatternMatchResult examples
+====================================================================
+
+See Also:
+o )show PatternMatchResult
+
+@
+
 \pagehead{PatternMatchResult}{PATRES}
 \pagepic{ps/v103patternmatchresult.ps}{PATRES}{1.00}
 {\bf See}\\
@@ -75613,6 +90115,80 @@ PatternMatchResult(R:SetCategory, S:SetCategory): SetCategory with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PENDTREE PendantTree}
+
+<<PendantTree.input>>=
+)set break resume
+)sys rm -f PendantTree.output
+)spool PendantTree.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PendantTree
+--R PendantTree S: SetCategory  is a domain constructor
+--R Abbreviation for PendantTree is PENDTREE 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for PENDTREE 
+--R
+--R------------------------------- Operations --------------------------------
+--R children : % -> List %                coerce : % -> Tree S
+--R copy : % -> %                         cyclic? : % -> Boolean
+--R distance : (%,%) -> Integer           ?.right : (%,right) -> %
+--R ?.left : (%,left) -> %                ?.value : (%,value) -> S
+--R empty : () -> %                       empty? : % -> Boolean
+--R eq? : (%,%) -> Boolean                leaf? : % -> Boolean
+--R leaves : % -> List S                  left : % -> %
+--R map : ((S -> S),%) -> %               nodes : % -> List %
+--R ptree : (%,%) -> %                    ptree : S -> %
+--R right : % -> %                        sample : () -> %
+--R value : % -> S                       
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R child? : (%,%) -> Boolean if S has SETCAT
+--R coerce : % -> OutputForm if S has SETCAT
+--R count : (S,%) -> NonNegativeInteger if $ has finiteAggregate and S has SETCAT
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R hash : % -> SingleInteger if S has SETCAT
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R member? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R members : % -> List S if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R node? : (%,%) -> Boolean if S has SETCAT
+--R parts : % -> List S if $ has finiteAggregate
+--R setchildren! : (%,List %) -> % if $ has shallowlyMutable
+--R setelt : (%,right,%) -> % if $ has shallowlyMutable
+--R setelt : (%,left,%) -> % if $ has shallowlyMutable
+--R setelt : (%,value,S) -> S if $ has shallowlyMutable
+--R setleft! : (%,%) -> % if $ has shallowlyMutable
+--R setright! : (%,%) -> % if $ has shallowlyMutable
+--R setvalue! : (%,S) -> S if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<PendantTree.help>>=
+====================================================================
+PendantTree examples
+====================================================================
+
+See Also:
+o )show PendantTree
+
+@
+
 A PendantTree(S)is either a leaf? and is an S or has
 a left and a right both PendantTree(S)'s
 \pagehead{PendantTree}{PENDTREE}
@@ -75727,6 +90303,7 @@ PendantTree(S: SetCategory): T == C where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PERM Permutation}
+
 <<Permutation.input>>=
 )set break resume
 )sys rm -f Permutation.output
@@ -76297,6 +90874,59 @@ Permutation(S:SetCategory): public == private where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PERMGRP PermutationGroup}
+
+<<PermutationGroup.input>>=
+)set break resume
+)sys rm -f PermutationGroup.output
+)spool PermutationGroup.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PermutationGroup
+--R PermutationGroup S: SetCategory  is a domain constructor
+--R Abbreviation for PermutationGroup is PERMGRP 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for PERMGRP 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                base : % -> List S
+--R coerce : List Permutation S -> %      coerce : % -> List Permutation S
+--R coerce : % -> OutputForm              degree : % -> NonNegativeInteger
+--R hash : % -> SingleInteger             latex : % -> String
+--R movedPoints : % -> Set S              orbit : (%,List S) -> Set List S
+--R orbit : (%,Set S) -> Set Set S        orbit : (%,S) -> Set S
+--R orbits : % -> Set Set S               order : % -> NonNegativeInteger
+--R random : % -> Permutation S           ?~=? : (%,%) -> Boolean
+--R ?.? : (%,NonNegativeInteger) -> Permutation S
+--R generators : % -> List Permutation S
+--R initializeGroupForWordProblem : (%,Integer,Integer) -> Void
+--R initializeGroupForWordProblem : % -> Void
+--R member? : (Permutation S,%) -> Boolean
+--R permutationGroup : List Permutation S -> %
+--R random : (%,Integer) -> Permutation S
+--R strongGenerators : % -> List Permutation S
+--R wordInGenerators : (Permutation S,%) -> List NonNegativeInteger
+--R wordInStrongGenerators : (Permutation S,%) -> List NonNegativeInteger
+--R wordsForStrongGenerators : % -> List List NonNegativeInteger
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<PermutationGroup.help>>=
+====================================================================
+PermutationGroup examples
+====================================================================
+
+See Also:
+o )show PermutationGroup
+
+@
+
 \pagehead{PermutationGroup}{PERMGRP}
 \pagepic{ps/v103permutationgroup.ps}{PERMGRP}{1.00}
 
@@ -77094,6 +91724,82 @@ PermutationGroup(S:SetCategory): public == private where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain HACKPI Pi}
+
+<<Pi.input>>=
+)set break resume
+)sys rm -f Pi.output
+)spool Pi.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Pi
+--R Pi  is a domain constructor
+--R Abbreviation for Pi is HACKPI 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for HACKPI 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Fraction Integer,%) -> %       ?*? : (%,Fraction Integer) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?/? : (%,%) -> %                      ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,Integer) -> %                ?^? : (%,PositiveInteger) -> %
+--R associates? : (%,%) -> Boolean        coerce : % -> Float
+--R coerce : % -> DoubleFloat             coerce : Fraction Integer -> %
+--R coerce : % -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              convert : % -> InputForm
+--R convert : % -> DoubleFloat            convert : % -> Float
+--R factor : % -> Factored %              gcd : List % -> %
+--R gcd : (%,%) -> %                      hash : % -> SingleInteger
+--R inv : % -> %                          latex : % -> String
+--R lcm : List % -> %                     lcm : (%,%) -> %
+--R one? : % -> Boolean                   pi : () -> %
+--R prime? : % -> Boolean                 ?quo? : (%,%) -> %
+--R recip : % -> Union(%,"failed")        ?rem? : (%,%) -> %
+--R retract : % -> Fraction Integer       retract : % -> Integer
+--R sample : () -> %                      sizeLess? : (%,%) -> Boolean
+--R squareFree : % -> Factored %          squareFreePart : % -> %
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R convert : % -> Fraction SparseUnivariatePolynomial Integer
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R retractIfCan : % -> Union(Fraction Integer,"failed")
+--R retractIfCan : % -> Union(Integer,"failed")
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Pi.help>>=
+====================================================================
+Pi examples
+====================================================================
+
+See Also:
+o )show Pi
+
+@
+
 \pagehead{Pi}{HACKPI}
 \pagepic{ps/v103pi.ps}{HACKPI}{1.00}
 {\bf See}\\
@@ -77225,6 +91931,7 @@ Pi(): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ACPLOT PlaneAlgebraicCurvePlot}
+
 <<PlaneAlgebraicCurvePlot.input>>=
 )set break resume
 )sys rm -f PlaneAlgebraicCurvePlot.output
@@ -79080,6 +93787,7 @@ PlaneAlgebraicCurvePlot(): PlottablePlaneCurveCategory _
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PLACES Places}
+
 <<Places.input>>=
 )set break resume
 )sys rm -f Places.output
@@ -79181,6 +93889,7 @@ Places(K):Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PLACESPS PlacesOverPseudoAlgebraicClosureOfFiniteField}
+
 <<PlacesOverPseudoAlgebraicClosureOfFiniteField.input>>=
 )set break resume
 )sys rm -f PlacesOverPseudoAlgebraicClosureOfFiniteField.output
@@ -79284,6 +93993,7 @@ PlacesOverPseudoAlgebraicClosureOfFiniteField(K):Exports
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PLCS Plcs}
+
 <<Plcs.input>>=
 )set break resume
 )sys rm -f Plcs.output
@@ -79479,6 +94189,7 @@ Plcs(K:Field,PCS:LocalPowerSeriesCategory(K)):Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PLOT Plot}
+
 <<Plot.input>>=
 )set break resume
 )sys rm -f Plot.output
@@ -80179,6 +94890,58 @@ Plot(): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PLOT3D Plot3D}
+
+<<Plot3D.input>>=
+)set break resume
+)sys rm -f Plot3D.output
+)spool Plot3D.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Plot3D
+--R Plot3D  is a domain constructor
+--R Abbreviation for Plot3D is PLOT3D 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for PLOT3D 
+--R
+--R------------------------------- Operations --------------------------------
+--R adaptive3D? : () -> Boolean           coerce : % -> OutputForm
+--R debug3D : Boolean -> Boolean          maxPoints3D : () -> Integer
+--R minPoints3D : () -> Integer           numFunEvals3D : () -> Integer
+--R refine : % -> %                       screenResolution3D : () -> Integer
+--R setAdaptive3D : Boolean -> Boolean    tRange : % -> Segment DoubleFloat
+--R xRange : % -> Segment DoubleFloat     yRange : % -> Segment DoubleFloat
+--R zRange : % -> Segment DoubleFloat    
+--R listBranches : % -> List List Point DoubleFloat
+--R plot : (%,Segment DoubleFloat) -> %
+--R plot : ((DoubleFloat -> DoubleFloat),(DoubleFloat -> DoubleFloat),(DoubleFloat -> DoubleFloat),(DoubleFloat -> DoubleFloat),Segment DoubleFloat,Segment DoubleFloat,Segment DoubleFloat,Segment DoubleFloat) -> %
+--R plot : ((DoubleFloat -> DoubleFloat),(DoubleFloat -> DoubleFloat),(DoubleFloat -> DoubleFloat),(DoubleFloat -> DoubleFloat),Segment DoubleFloat) -> %
+--R pointPlot : ((DoubleFloat -> Point DoubleFloat),Segment DoubleFloat,Segment DoubleFloat,Segment DoubleFloat,Segment DoubleFloat) -> %
+--R pointPlot : ((DoubleFloat -> Point DoubleFloat),Segment DoubleFloat) -> %
+--R refine : (%,Segment DoubleFloat) -> %
+--R setMaxPoints3D : Integer -> Integer
+--R setMinPoints3D : Integer -> Integer
+--R setScreenResolution3D : Integer -> Integer
+--R tValues : % -> List List DoubleFloat
+--R zoom : (%,Segment DoubleFloat,Segment DoubleFloat,Segment DoubleFloat) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Plot3D.help>>=
+====================================================================
+Plot3D examples
+====================================================================
+
+See Also:
+o )show Plot3D
+
+@
+
 \pagehead{Plot3D}{PLOT3D}
 \pagepic{ps/v103plot3d.ps}{PLOT3D}{1.00}
 
@@ -80704,6 +95467,52 @@ Plot3D(): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PBWLB PoincareBirkhoffWittLyndonBasis}
+
+<<PoincareBirkhoffWittLyndonBasis.input>>=
+)set break resume
+)sys rm -f PoincareBirkhoffWittLyndonBasis.output
+)spool PoincareBirkhoffWittLyndonBasis.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PoincareBirkhoffWittLyndonBasis
+--R PoincareBirkhoffWittLyndonBasis VarSet: OrderedSet  is a domain constructor
+--R Abbreviation for PoincareBirkhoffWittLyndonBasis is PBWLB 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for PBWLB 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               1 : () -> %
+--R coerce : VarSet -> %                  coerce : LyndonWord VarSet -> %
+--R coerce : % -> OutputForm              first : % -> LyndonWord VarSet
+--R hash : % -> SingleInteger             latex : % -> String
+--R length : % -> NonNegativeInteger      max : (%,%) -> %
+--R min : (%,%) -> %                      rest : % -> %
+--R retract : % -> LyndonWord VarSet      retractable? : % -> Boolean
+--R varList : % -> List VarSet            ?~=? : (%,%) -> Boolean
+--R coerce : % -> OrderedFreeMonoid VarSet
+--R listOfTerms : % -> List LyndonWord VarSet
+--R retractIfCan : % -> Union(LyndonWord VarSet,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<PoincareBirkhoffWittLyndonBasis.help>>=
+====================================================================
+PoincareBirkhoffWittLyndonBasis examples
+====================================================================
+
+See Also:
+o )show PoincareBirkhoffWittLyndonBasis
+
+@
+
 \pagehead{PoincareBirkhoffWittLyndonBasis}{PBWLB}
 \pagepic{ps/v103poincarebirkhoffwittlyndonbasis.ps}{PBWLB}{1.00}
 
@@ -80849,6 +95658,124 @@ PoincareBirkhoffWittLyndonBasis(VarSet: OrderedSet): Public == Private where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain POINT Point}
+
+<<Point.input>>=
+)set break resume
+)sys rm -f Point.output
+)spool Point.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Point
+--R Point R: Ring  is a domain constructor
+--R Abbreviation for Point is POINT 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for POINT 
+--R
+--R------------------------------- Operations --------------------------------
+--R -? : % -> % if R has ABELGRP          concat : List % -> %
+--R concat : (%,%) -> %                   concat : (R,%) -> %
+--R concat : (%,R) -> %                   construct : List R -> %
+--R convert : List R -> %                 copy : % -> %
+--R cross : (%,%) -> %                    delete : (%,Integer) -> %
+--R dimension : % -> PositiveInteger      ?.? : (%,Integer) -> R
+--R elt : (%,Integer,R) -> R              empty : () -> %
+--R empty? : % -> Boolean                 entries : % -> List R
+--R eq? : (%,%) -> Boolean                extend : (%,List R) -> %
+--R index? : (Integer,%) -> Boolean       indices : % -> List Integer
+--R insert : (%,%,Integer) -> %           insert : (R,%,Integer) -> %
+--R map : (((R,R) -> R),%,%) -> %         map : ((R -> R),%) -> %
+--R new : (NonNegativeInteger,R) -> %     point : List R -> %
+--R qelt : (%,Integer) -> R               reverse : % -> %
+--R sample : () -> %                     
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?*? : (%,R) -> % if R has MONOID
+--R ?*? : (R,%) -> % if R has MONOID
+--R ?*? : (Integer,%) -> % if R has ABELGRP
+--R ?+? : (%,%) -> % if R has ABELSG
+--R ?-? : (%,%) -> % if R has ABELGRP
+--R ?<? : (%,%) -> Boolean if R has ORDSET
+--R ?<=? : (%,%) -> Boolean if R has ORDSET
+--R ?=? : (%,%) -> Boolean if R has SETCAT
+--R ?>? : (%,%) -> Boolean if R has ORDSET
+--R ?>=? : (%,%) -> Boolean if R has ORDSET
+--R any? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if R has SETCAT
+--R convert : % -> InputForm if R has KONVERT INFORM
+--R copyInto! : (%,%,Integer) -> % if $ has shallowlyMutable
+--R count : (R,%) -> NonNegativeInteger if $ has finiteAggregate and R has SETCAT
+--R count : ((R -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R delete : (%,UniversalSegment Integer) -> %
+--R dot : (%,%) -> R if R has RING
+--R ?.? : (%,UniversalSegment Integer) -> %
+--R entry? : (R,%) -> Boolean if $ has finiteAggregate and R has SETCAT
+--R eval : (%,List R,List R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,R,R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,Equation R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,List Equation R) -> % if R has EVALAB R and R has SETCAT
+--R every? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R fill! : (%,R) -> % if $ has shallowlyMutable
+--R find : ((R -> Boolean),%) -> Union(R,"failed")
+--R first : % -> R if Integer has ORDSET
+--R hash : % -> SingleInteger if R has SETCAT
+--R latex : % -> String if R has SETCAT
+--R length : % -> R if R has RADCAT and R has RING
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R magnitude : % -> R if R has RADCAT and R has RING
+--R map! : ((R -> R),%) -> % if $ has shallowlyMutable
+--R max : (%,%) -> % if R has ORDSET
+--R maxIndex : % -> Integer if Integer has ORDSET
+--R member? : (R,%) -> Boolean if $ has finiteAggregate and R has SETCAT
+--R members : % -> List R if $ has finiteAggregate
+--R merge : (%,%) -> % if R has ORDSET
+--R merge : (((R,R) -> Boolean),%,%) -> %
+--R min : (%,%) -> % if R has ORDSET
+--R minIndex : % -> Integer if Integer has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R outerProduct : (%,%) -> Matrix R if R has RING
+--R parts : % -> List R if $ has finiteAggregate
+--R position : (R,%,Integer) -> Integer if R has SETCAT
+--R position : (R,%) -> Integer if R has SETCAT
+--R position : ((R -> Boolean),%) -> Integer
+--R qsetelt! : (%,Integer,R) -> R if $ has shallowlyMutable
+--R reduce : (((R,R) -> R),%) -> R if $ has finiteAggregate
+--R reduce : (((R,R) -> R),%,R) -> R if $ has finiteAggregate
+--R reduce : (((R,R) -> R),%,R,R) -> R if $ has finiteAggregate and R has SETCAT
+--R remove : ((R -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (R,%) -> % if $ has finiteAggregate and R has SETCAT
+--R removeDuplicates : % -> % if $ has finiteAggregate and R has SETCAT
+--R reverse! : % -> % if $ has shallowlyMutable
+--R select : ((R -> Boolean),%) -> % if $ has finiteAggregate
+--R setelt : (%,UniversalSegment Integer,R) -> R if $ has shallowlyMutable
+--R setelt : (%,Integer,R) -> R if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R sort : % -> % if R has ORDSET
+--R sort : (((R,R) -> Boolean),%) -> %
+--R sort! : % -> % if $ has shallowlyMutable and R has ORDSET
+--R sort! : (((R,R) -> Boolean),%) -> % if $ has shallowlyMutable
+--R sorted? : % -> Boolean if R has ORDSET
+--R sorted? : (((R,R) -> Boolean),%) -> Boolean
+--R swap! : (%,Integer,Integer) -> Void if $ has shallowlyMutable
+--R zero : NonNegativeInteger -> % if R has ABELMON
+--R ?~=? : (%,%) -> Boolean if R has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Point.help>>=
+====================================================================
+Point examples
+====================================================================
+
+See Also:
+o )show Point
+
+@
+
 \pagehead{Point}{POINT}
 \pagepic{ps/v103point.ps}{POINT}{1.00}
 {\bf See}\\
@@ -80976,6 +95903,7 @@ Point(R:Ring) : Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain POLY Polynomial}
+
 <<Polynomial.input>>=
 )set break resume
 )sys rm -f Polynomial.output
@@ -81912,6 +96840,59 @@ Polynomial(R:Ring):
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain IDEAL PolynomialIdeals}
+
+<<PolynomialIdeals.input>>=
+)set break resume
+)sys rm -f PolynomialIdeals.output
+)spool PolynomialIdeals.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PolynomialIdeals
+--R PolynomialIdeals(F: Field,Expon: OrderedAbelianMonoidSup,VarSet: OrderedSet,DPoly: PolynomialCategory(F,Expon,VarSet))  is a domain constructor
+--R Abbreviation for PolynomialIdeals is IDEAL 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for IDEAL 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?+? : (%,%) -> %
+--R ?=? : (%,%) -> Boolean                coerce : List DPoly -> %
+--R coerce : % -> OutputForm              dimension : % -> Integer
+--R element? : (DPoly,%) -> Boolean       generators : % -> List DPoly
+--R groebner : % -> %                     groebner? : % -> Boolean
+--R groebnerIdeal : List DPoly -> %       hash : % -> SingleInteger
+--R ideal : List DPoly -> %               in? : (%,%) -> Boolean
+--R inRadical? : (DPoly,%) -> Boolean     intersect : List % -> %
+--R intersect : (%,%) -> %                latex : % -> String
+--R leadingIdeal : % -> %                 one? : % -> Boolean
+--R quotient : (%,DPoly) -> %             quotient : (%,%) -> %
+--R saturate : (%,DPoly) -> %             zero? : % -> Boolean
+--R zeroDim? : % -> Boolean               ?~=? : (%,%) -> Boolean
+--R ?**? : (%,NonNegativeInteger) -> %
+--R backOldPos : Record(mval: Matrix F,invmval: Matrix F,genIdeal: %) -> %
+--R dimension : (%,List VarSet) -> Integer
+--R generalPosition : (%,List VarSet) -> Record(mval: Matrix F,invmval: Matrix F,genIdeal: %)
+--R relationsIdeal : List DPoly -> SuchThat(List Polynomial F,List Equation Polynomial F) if VarSet has KONVERT SYMBOL
+--R saturate : (%,DPoly,List VarSet) -> %
+--R zeroDim? : (%,List VarSet) -> Boolean
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<PolynomialIdeals.help>>=
+====================================================================
+PolynomialIdeals examples
+====================================================================
+
+See Also:
+o )show PolynomialIdeals
+
+@
+
 \pagehead{PolynomialIdeals}{IDEAL}
 \pagepic{ps/v103polynomialideals.ps}{IDEAL}{1.00}
 
@@ -82379,6 +97360,85 @@ PolynomialIdeals(F,Expon,VarSet,DPoly) : C == T
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PR PolynomialRing}
+
+<<PolynomialRing.input>>=
+)set break resume
+)sys rm -f PolynomialRing.output
+)spool PolynomialRing.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PolynomialRing
+--R PolynomialRing(R: Ring,E: OrderedAbelianMonoid)  is a domain constructor
+--R Abbreviation for PolynomialRing is PR 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for PR 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coefficient : (%,E) -> R
+--R coefficients : % -> List R            coerce : R -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R degree : % -> E                       ground : % -> R
+--R ground? : % -> Boolean                hash : % -> SingleInteger
+--R latex : % -> String                   leadingCoefficient : % -> R
+--R leadingMonomial : % -> %              map : ((R -> R),%) -> %
+--R mapExponents : ((E -> E),%) -> %      minimumDegree : % -> E
+--R monomial : (R,E) -> %                 monomial? : % -> Boolean
+--R one? : % -> Boolean                   pomopo! : (%,R,E,%) -> %
+--R recip : % -> Union(%,"failed")        reductum : % -> %
+--R retract : % -> R                      sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (%,Fraction Integer) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (Fraction Integer,%) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,R) -> % if R has FIELD
+--R ?^? : (%,NonNegativeInteger) -> %
+--R associates? : (%,%) -> Boolean if R has INTDOM
+--R binomThmExpt : (%,%,NonNegativeInteger) -> % if R has COMRING
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if R has CHARNZ
+--R coerce : Fraction Integer -> % if R has ALGEBRA FRAC INT or R has RETRACT FRAC INT
+--R coerce : % -> % if R has INTDOM
+--R content : % -> R if R has GCDDOM
+--R exquo : (%,R) -> Union(%,"failed") if R has INTDOM
+--R exquo : (%,%) -> Union(%,"failed") if R has INTDOM
+--R fmecg : (%,E,R,%) -> % if E has CABMON and R has INTDOM
+--R numberOfMonomials : % -> NonNegativeInteger
+--R primitivePart : % -> % if R has GCDDOM
+--R retract : % -> Fraction Integer if R has RETRACT FRAC INT
+--R retract : % -> Integer if R has RETRACT INT
+--R retractIfCan : % -> Union(R,"failed")
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unit? : % -> Boolean if R has INTDOM
+--R unitCanonical : % -> % if R has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if R has INTDOM
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<PolynomialRing.help>>=
+====================================================================
+PolynomialRing examples
+====================================================================
+
+See Also:
+o )show PolynomialRing
+
+@
+
 \pagehead{PolynomialRing}{PR}
 \pagepic{ps/v103polynomialring.ps}{PR}{1.00}
 {\bf See}\\
@@ -82752,6 +97812,52 @@ PolynomialRing(R:Ring,E:OrderedAbelianMonoid): T == C
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PI PositiveInteger}
+
+<<PositiveInteger.input>>=
+)set break resume
+)sys rm -f PositiveInteger.output
+)spool PositiveInteger.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PositiveInteger
+--R PositiveInteger  is a domain constructor
+--R Abbreviation for PositiveInteger is PI 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for PI 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (PositiveInteger,%) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               1 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : % -> OutputForm
+--R gcd : (%,%) -> %                      hash : % -> SingleInteger
+--R latex : % -> String                   max : (%,%) -> %
+--R min : (%,%) -> %                      one? : % -> Boolean
+--R recip : % -> Union(%,"failed")        sample : () -> %
+--R ?~=? : (%,%) -> Boolean              
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<PositiveInteger.help>>=
+====================================================================
+PositiveInteger examples
+====================================================================
+
+See Also:
+o )show PositiveInteger
+
+@
+
 \pagehead{PositiveInteger}{PI}
 \pagepic{ps/v103positiveinteger.ps}{PI}{1.00}
 {\bf See}\\
@@ -82816,6 +97922,121 @@ PositiveInteger: Join(AbelianSemiGroup,OrderedSet,Monoid) with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PF PrimeField}
+
+<<PrimeField.input>>=
+)set break resume
+)sys rm -f PrimeField.output
+)spool PrimeField.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PrimeField
+--R PrimeField p: PositiveInteger  is a domain constructor
+--R Abbreviation for PrimeField is PF 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for PF 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Fraction Integer,%) -> %       ?*? : (%,Fraction Integer) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,Integer) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?/? : (%,%) -> %                      ?=? : (%,%) -> Boolean
+--R D : % -> %                            D : (%,NonNegativeInteger) -> %
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,Integer) -> %                ?^? : (%,PositiveInteger) -> %
+--R algebraic? : % -> Boolean             associates? : (%,%) -> Boolean
+--R basis : () -> Vector %                charthRoot : % -> %
+--R coerce : Fraction Integer -> %        coerce : % -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R convert : % -> Integer                coordinates : % -> Vector %
+--R createPrimitiveElement : () -> %      degree : % -> PositiveInteger
+--R differentiate : % -> %                dimension : () -> CardinalNumber
+--R factor : % -> Factored %              gcd : List % -> %
+--R gcd : (%,%) -> %                      hash : % -> SingleInteger
+--R inGroundField? : % -> Boolean         index : PositiveInteger -> %
+--R init : () -> %                        inv : % -> %
+--R latex : % -> String                   lcm : List % -> %
+--R lcm : (%,%) -> %                      lookup : % -> PositiveInteger
+--R norm : % -> %                         one? : % -> Boolean
+--R order : % -> PositiveInteger          prime? : % -> Boolean
+--R primeFrobenius : % -> %               primitive? : % -> Boolean
+--R primitiveElement : () -> %            ?quo? : (%,%) -> %
+--R random : () -> %                      recip : % -> Union(%,"failed")
+--R ?rem? : (%,%) -> %                    represents : Vector % -> %
+--R retract : % -> %                      sample : () -> %
+--R size : () -> NonNegativeInteger       sizeLess? : (%,%) -> Boolean
+--R squareFree : % -> Factored %          squareFreePart : % -> %
+--R trace : % -> %                        transcendent? : % -> Boolean
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R Frobenius : % -> % if $ has FINITE
+--R Frobenius : (%,NonNegativeInteger) -> % if $ has FINITE
+--R ?^? : (%,NonNegativeInteger) -> %
+--R basis : PositiveInteger -> Vector %
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed")
+--R conditionP : Matrix % -> Union(Vector %,"failed")
+--R coordinates : Vector % -> Matrix %
+--R createNormalElement : () -> % if $ has FINITE
+--R definingPolynomial : () -> SparseUnivariatePolynomial %
+--R degree : % -> OnePointCompletion PositiveInteger
+--R differentiate : (%,NonNegativeInteger) -> %
+--R discreteLog : % -> NonNegativeInteger
+--R discreteLog : (%,%) -> Union(NonNegativeInteger,"failed")
+--R divide : (%,%) -> Record(quotient: %,remainder: %)
+--R euclideanSize : % -> NonNegativeInteger
+--R expressIdealMember : (List %,%) -> Union(List %,"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed")
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %)
+--R extensionDegree : () -> OnePointCompletion PositiveInteger
+--R extensionDegree : () -> PositiveInteger
+--R factorsOfCyclicGroupSize : () -> List Record(factor: Integer,exponent: Integer)
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial %
+--R generator : () -> % if $ has FINITE
+--R linearAssociatedExp : (%,SparseUnivariatePolynomial %) -> % if $ has FINITE
+--R linearAssociatedLog : % -> SparseUnivariatePolynomial % if $ has FINITE
+--R linearAssociatedLog : (%,%) -> Union(SparseUnivariatePolynomial %,"failed") if $ has FINITE
+--R linearAssociatedOrder : % -> SparseUnivariatePolynomial % if $ has FINITE
+--R minimalPolynomial : % -> SparseUnivariatePolynomial %
+--R minimalPolynomial : (%,PositiveInteger) -> SparseUnivariatePolynomial % if $ has FINITE
+--R multiEuclidean : (List %,%) -> Union(List %,"failed")
+--R nextItem : % -> Union(%,"failed")
+--R norm : (%,PositiveInteger) -> % if $ has FINITE
+--R normal? : % -> Boolean if $ has FINITE
+--R normalElement : () -> % if $ has FINITE
+--R order : % -> OnePointCompletion PositiveInteger
+--R primeFrobenius : (%,NonNegativeInteger) -> %
+--R principalIdeal : List % -> Record(coef: List %,generator: %)
+--R representationType : () -> Union("prime",polynomial,normal,cyclic)
+--R retractIfCan : % -> Union(%,"failed")
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tableForDiscreteLogarithm : Integer -> Table(PositiveInteger,NonNegativeInteger)
+--R trace : (%,PositiveInteger) -> % if $ has FINITE
+--R transcendenceDegree : () -> NonNegativeInteger
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<PrimeField.help>>=
+====================================================================
+PrimeField examples
+====================================================================
+
+See Also:
+o )show PrimeField
+
+@
+
 \pagehead{PrimeField}{PF}
 \pagepic{ps/v103primefield.ps}{PF}{1.00}
 {\bf See}\\
@@ -82947,6 +98168,111 @@ PrimeField(p:PositiveInteger): Exp == Impl where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PRIMARR PrimitiveArray}
+
+<<PrimitiveArray.input>>=
+)set break resume
+)sys rm -f PrimitiveArray.output
+)spool PrimitiveArray.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show PrimitiveArray
+--R PrimitiveArray S: Type  is a domain constructor
+--R Abbreviation for PrimitiveArray is PRIMARR 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for PRIMARR 
+--R
+--R------------------------------- Operations --------------------------------
+--R concat : List % -> %                  concat : (%,%) -> %
+--R concat : (S,%) -> %                   concat : (%,S) -> %
+--R construct : List S -> %               copy : % -> %
+--R delete : (%,Integer) -> %             ?.? : (%,Integer) -> S
+--R elt : (%,Integer,S) -> S              empty : () -> %
+--R empty? : % -> Boolean                 entries : % -> List S
+--R eq? : (%,%) -> Boolean                index? : (Integer,%) -> Boolean
+--R indices : % -> List Integer           insert : (%,%,Integer) -> %
+--R insert : (S,%,Integer) -> %           map : (((S,S) -> S),%,%) -> %
+--R map : ((S -> S),%) -> %               new : (NonNegativeInteger,S) -> %
+--R qelt : (%,Integer) -> S               reverse : % -> %
+--R sample : () -> %                     
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?<? : (%,%) -> Boolean if S has ORDSET
+--R ?<=? : (%,%) -> Boolean if S has ORDSET
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R ?>? : (%,%) -> Boolean if S has ORDSET
+--R ?>=? : (%,%) -> Boolean if S has ORDSET
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if S has SETCAT
+--R convert : % -> InputForm if S has KONVERT INFORM
+--R copyInto! : (%,%,Integer) -> % if $ has shallowlyMutable
+--R count : (S,%) -> NonNegativeInteger if $ has finiteAggregate and S has SETCAT
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R delete : (%,UniversalSegment Integer) -> %
+--R ?.? : (%,UniversalSegment Integer) -> %
+--R entry? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R fill! : (%,S) -> % if $ has shallowlyMutable
+--R find : ((S -> Boolean),%) -> Union(S,"failed")
+--R first : % -> S if Integer has ORDSET
+--R hash : % -> SingleInteger if S has SETCAT
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R max : (%,%) -> % if S has ORDSET
+--R maxIndex : % -> Integer if Integer has ORDSET
+--R member? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R members : % -> List S if $ has finiteAggregate
+--R merge : (%,%) -> % if S has ORDSET
+--R merge : (((S,S) -> Boolean),%,%) -> %
+--R min : (%,%) -> % if S has ORDSET
+--R minIndex : % -> Integer if Integer has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List S if $ has finiteAggregate
+--R position : (S,%,Integer) -> Integer if S has SETCAT
+--R position : (S,%) -> Integer if S has SETCAT
+--R position : ((S -> Boolean),%) -> Integer
+--R qsetelt! : (%,Integer,S) -> S if $ has shallowlyMutable
+--R reduce : (((S,S) -> S),%) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S) -> S if $ has finiteAggregate
+--R reduce : (((S,S) -> S),%,S,S) -> S if $ has finiteAggregate and S has SETCAT
+--R remove : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (S,%) -> % if $ has finiteAggregate and S has SETCAT
+--R removeDuplicates : % -> % if $ has finiteAggregate and S has SETCAT
+--R reverse! : % -> % if $ has shallowlyMutable
+--R select : ((S -> Boolean),%) -> % if $ has finiteAggregate
+--R setelt : (%,UniversalSegment Integer,S) -> S if $ has shallowlyMutable
+--R setelt : (%,Integer,S) -> S if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R sort : % -> % if S has ORDSET
+--R sort : (((S,S) -> Boolean),%) -> %
+--R sort! : % -> % if $ has shallowlyMutable and S has ORDSET
+--R sort! : (((S,S) -> Boolean),%) -> % if $ has shallowlyMutable
+--R sorted? : % -> Boolean if S has ORDSET
+--R sorted? : (((S,S) -> Boolean),%) -> Boolean
+--R swap! : (%,Integer,Integer) -> Void if $ has shallowlyMutable
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<PrimitiveArray.help>>=
+====================================================================
+PrimitiveArray examples
+====================================================================
+
+See Also:
+o )show PrimitiveArray
+
+@
+
 \pagehead{PrimitiveArray}{PRIMARR}
 \pagepic{ps/v103primitivearray.ps}{PRIMARR}{1.00}
 {\bf See}\\
@@ -83059,6 +98385,7 @@ PrimitiveArray(S:Type): OneDimensionalArrayAggregate S == add
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PRODUCT Product}
+
 <<Product.input>>=
 )set break resume
 )sys rm -f Product.output
@@ -83302,6 +98629,7 @@ Product (A:SetCategory,B:SetCategory) : C == T
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PROJPL ProjectivePlane}
+
 <<ProjectivePlane.input>>=
 )set break resume
 )sys rm -f ProjectivePlane.output
@@ -83399,6 +98727,7 @@ ProjectivePlane(K):Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PROJPLPS ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField}
+
 <<ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField.input>>=
 )set break resume
 )sys rm -f ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField.output
@@ -83502,6 +98831,7 @@ ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField(K):Exp == Impl where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PROJSP ProjectiveSpace}
+
 <<ProjectiveSpace.input>>=
 )set break resume
 )sys rm -f ProjectiveSpace.output
@@ -83713,6 +99043,7 @@ ProjectiveSpace(dim,K):Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PACEXT PseudoAlgebraicClosureOfAlgExtOfRationalNumber}
+
 <<PseudoAlgebraicClosureOfAlgExtOfRationalNumber.input>>=
 )set break resume
 )sys rm -f PseudoAlgebraicClosureOfAlgExtOfRationalNumber.output
@@ -84052,6 +99383,7 @@ PseudoAlgebraicClosureOfAlgExtOfRationalNumber(downLevel:K):Exp == Impl where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PACOFF PseudoAlgebraicClosureOfFiniteField}
+
 <<PseudoAlgebraicClosureOfFiniteField.input>>=
 )set break resume
 )sys rm -f PseudoAlgebraicClosureOfFiniteField.output
@@ -84590,6 +99922,7 @@ PseudoAlgebraicClosureOfFiniteField(K):Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain PACRAT PseudoAlgebraicClosureOfRationalNumber}
+
 <<PseudoAlgebraicClosureOfRationalNumber.input>>=
 )set break resume
 )sys rm -f PseudoAlgebraicClosureOfRationalNumber.output
@@ -85064,6 +100397,50 @@ PseudoAlgebraicClosureOfRationalNumber:Exports == Implementation where
 \chapter{Chapter Q}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain QFORM QuadraticForm}
+
+<<QuadraticForm.input>>=
+)set break resume
+)sys rm -f QuadraticForm.output
+)spool QuadraticForm.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show QuadraticForm
+--R QuadraticForm(n: PositiveInteger,K: Field)  is a domain constructor
+--R Abbreviation for QuadraticForm is QFORM 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for QFORM 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Integer,%) -> %                ?*? : (PositiveInteger,%) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 0 : () -> %                           coerce : % -> OutputForm
+--R ?.? : (%,DirectProduct(n,K)) -> K     hash : % -> SingleInteger
+--R latex : % -> String                   matrix : % -> SquareMatrix(n,K)
+--R sample : () -> %                      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R quadraticForm : SquareMatrix(n,K) -> %
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<QuadraticForm.help>>=
+====================================================================
+QuadraticForm examples
+====================================================================
+
+See Also:
+o )show QuadraticForm
+
+@
+
 \pagehead{QuadraticForm}{QFORM}
 \pagepic{ps/v103quadraticform.ps}{QFORM}{1.00}
 {\bf See}\\
@@ -85140,6 +100517,49 @@ QuadraticForm(n, K): T == Impl where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain QALGSET QuasiAlgebraicSet}
+
+<<QuasiAlgebraicSet.input>>=
+)set break resume
+)sys rm -f QuasiAlgebraicSet.output
+)spool QuasiAlgebraicSet.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show QuasiAlgebraicSet
+--R QuasiAlgebraicSet(R: GcdDomain,Var: OrderedSet,Expon: OrderedAbelianMonoidSup,Dpoly: PolynomialCategory(R,Expon,Var))  is a domain constructor
+--R Abbreviation for QuasiAlgebraicSet is QALGSET 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for QALGSET 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R definingInequation : % -> Dpoly       empty : () -> %
+--R empty? : % -> Boolean                 hash : % -> SingleInteger
+--R idealSimplify : % -> %                latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R definingEquations : % -> List Dpoly
+--R quasiAlgebraicSet : (List Dpoly,Dpoly) -> %
+--R setStatus : (%,Union(Boolean,"failed")) -> %
+--R simplify : % -> % if R has CHARZ and R has EUCDOM
+--R status : % -> Union(Boolean,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<QuasiAlgebraicSet.help>>=
+====================================================================
+QuasiAlgebraicSet examples
+====================================================================
+
+See Also:
+o )show QuasiAlgebraicSet
+
+@
+
 \pagehead{QuasiAlgebraicSet}{QALGSET}
 \pagepic{ps/v103quasialgebraicset.ps}{QALGSET}{1.00}
 
@@ -85355,6 +100775,7 @@ QuasiAlgebraicSet(R, Var,Expon,Dpoly) : C == T
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain QUAT Quaternion}
+
 <<Quaternion.input>>=
 )set break resume
 )sys rm -f Quaternion.output
@@ -85697,6 +101118,41 @@ Quaternion(R:CommutativeRing): QuaternionCategory(R) == add
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain QEQUAT QueryEquation}
+
+<<QueryEquation.input>>=
+)set break resume
+)sys rm -f QueryEquation.output
+)spool QueryEquation.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show QueryEquation
+--R QueryEquation  is a domain constructor
+--R Abbreviation for QueryEquation is QEQUAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for QEQUAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : % -> OutputForm              equation : (Symbol,String) -> %
+--R value : % -> String                   variable : % -> Symbol
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<QueryEquation.help>>=
+====================================================================
+QueryEquation examples
+====================================================================
+
+See Also:
+o )show QueryEquation
+
+@
+
 \pagehead{QueryEquation}{QEQUAT}
 \pagepic{ps/v103queryequation.ps}{QEQUAT}{1.00}
 {\bf See}\\
@@ -85742,6 +101198,7 @@ QueryEquation(): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain QUEUE Queue}
+
 <<Queue.input>>=
 )set break resume
 )sys rm -f Queue.output
@@ -86645,6 +102102,187 @@ Queue(S:SetCategory): QueueAggregate S with
 \chapter{Chapter R}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain RADFF RadicalFunctionField}
+
+<<RadicalFunctionField.input>>=
+)set break resume
+)sys rm -f RadicalFunctionField.output
+)spool RadicalFunctionField.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RadicalFunctionField
+--R RadicalFunctionField(F: UniqueFactorizationDomain,UP: UnivariatePolynomialCategory F,UPUP: UnivariatePolynomialCategory Fraction UP,radicnd: Fraction UP,n: NonNegativeInteger)  is a domain constructor
+--R Abbreviation for RadicalFunctionField is RADFF 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for RADFF 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Fraction UP,%) -> %            ?*? : (%,Fraction UP) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        basis : () -> Vector %
+--R branchPoint? : UP -> Boolean          branchPoint? : F -> Boolean
+--R coerce : Fraction UP -> %             coerce : Integer -> %
+--R coerce : % -> OutputForm              convert : UPUP -> %
+--R convert : % -> UPUP                   convert : Vector Fraction UP -> %
+--R convert : % -> Vector Fraction UP     definingPolynomial : () -> UPUP
+--R discriminant : () -> Fraction UP      elt : (%,F,F) -> F
+--R generator : () -> %                   genus : () -> NonNegativeInteger
+--R hash : % -> SingleInteger             integral? : (%,UP) -> Boolean
+--R integral? : (%,F) -> Boolean          integral? : % -> Boolean
+--R integralBasis : () -> Vector %        latex : % -> String
+--R lift : % -> UPUP                      norm : % -> Fraction UP
+--R one? : % -> Boolean                   primitivePart : % -> %
+--R ramified? : UP -> Boolean             ramified? : F -> Boolean
+--R rank : () -> PositiveInteger          rationalPoint? : (F,F) -> Boolean
+--R recip : % -> Union(%,"failed")        reduce : UPUP -> %
+--R represents : (Vector UP,UP) -> %      retract : % -> Fraction UP
+--R sample : () -> %                      singular? : UP -> Boolean
+--R singular? : F -> Boolean              trace : % -> Fraction UP
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (%,Fraction Integer) -> % if Fraction UP has FIELD
+--R ?*? : (Fraction Integer,%) -> % if Fraction UP has FIELD
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,Integer) -> % if Fraction UP has FIELD
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,%) -> % if Fraction UP has FIELD
+--R D : % -> % if Fraction UP has DIFRING and Fraction UP has FIELD or Fraction UP has FFIELDC
+--R D : (%,NonNegativeInteger) -> % if Fraction UP has DIFRING and Fraction UP has FIELD or Fraction UP has FFIELDC
+--R D : (%,Symbol) -> % if Fraction UP has FIELD and Fraction UP has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if Fraction UP has FIELD and Fraction UP has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if Fraction UP has FIELD and Fraction UP has PDRING SYMBOL
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if Fraction UP has FIELD and Fraction UP has PDRING SYMBOL
+--R D : (%,(Fraction UP -> Fraction UP)) -> % if Fraction UP has FIELD
+--R D : (%,(Fraction UP -> Fraction UP),NonNegativeInteger) -> % if Fraction UP has FIELD
+--R ?^? : (%,Integer) -> % if Fraction UP has FIELD
+--R ?^? : (%,NonNegativeInteger) -> %
+--R absolutelyIrreducible? : () -> Boolean
+--R algSplitSimple : (%,(UP -> UP)) -> Record(num: %,den: UP,derivden: UP,gd: UP)
+--R associates? : (%,%) -> Boolean if Fraction UP has FIELD
+--R branchPointAtInfinity? : () -> Boolean
+--R characteristic : () -> NonNegativeInteger
+--R characteristicPolynomial : % -> UPUP
+--R charthRoot : % -> Union(%,"failed") if Fraction UP has CHARNZ
+--R charthRoot : % -> % if Fraction UP has FFIELDC
+--R coerce : % -> % if Fraction UP has FIELD
+--R coerce : Fraction Integer -> % if Fraction UP has FIELD or Fraction UP has RETRACT FRAC INT
+--R complementaryBasis : Vector % -> Vector %
+--R conditionP : Matrix % -> Union(Vector %,"failed") if Fraction UP has FFIELDC
+--R coordinates : Vector % -> Matrix Fraction UP
+--R coordinates : % -> Vector Fraction UP
+--R coordinates : (Vector %,Vector %) -> Matrix Fraction UP
+--R coordinates : (%,Vector %) -> Vector Fraction UP
+--R createPrimitiveElement : () -> % if Fraction UP has FFIELDC
+--R derivationCoordinates : (Vector %,(Fraction UP -> Fraction UP)) -> Matrix Fraction UP if Fraction UP has FIELD
+--R differentiate : % -> % if Fraction UP has DIFRING and Fraction UP has FIELD or Fraction UP has FFIELDC
+--R differentiate : (%,NonNegativeInteger) -> % if Fraction UP has DIFRING and Fraction UP has FIELD or Fraction UP has FFIELDC
+--R differentiate : (%,Symbol) -> % if Fraction UP has FIELD and Fraction UP has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if Fraction UP has FIELD and Fraction UP has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if Fraction UP has FIELD and Fraction UP has PDRING SYMBOL
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if Fraction UP has FIELD and Fraction UP has PDRING SYMBOL
+--R differentiate : (%,(UP -> UP)) -> %
+--R differentiate : (%,(Fraction UP -> Fraction UP)) -> % if Fraction UP has FIELD
+--R differentiate : (%,(Fraction UP -> Fraction UP),NonNegativeInteger) -> % if Fraction UP has FIELD
+--R discreteLog : (%,%) -> Union(NonNegativeInteger,"failed") if Fraction UP has FFIELDC
+--R discreteLog : % -> NonNegativeInteger if Fraction UP has FFIELDC
+--R discriminant : Vector % -> Fraction UP
+--R divide : (%,%) -> Record(quotient: %,remainder: %) if Fraction UP has FIELD
+--R elliptic : () -> Union(UP,"failed")
+--R euclideanSize : % -> NonNegativeInteger if Fraction UP has FIELD
+--R expressIdealMember : (List %,%) -> Union(List %,"failed") if Fraction UP has FIELD
+--R exquo : (%,%) -> Union(%,"failed") if Fraction UP has FIELD
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %) if Fraction UP has FIELD
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed") if Fraction UP has FIELD
+--R factor : % -> Factored % if Fraction UP has FIELD
+--R factorsOfCyclicGroupSize : () -> List Record(factor: Integer,exponent: Integer) if Fraction UP has FFIELDC
+--R gcd : (%,%) -> % if Fraction UP has FIELD
+--R gcd : List % -> % if Fraction UP has FIELD
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if Fraction UP has FIELD
+--R hyperelliptic : () -> Union(UP,"failed")
+--R index : PositiveInteger -> % if Fraction UP has FINITE
+--R init : () -> % if Fraction UP has FFIELDC
+--R integralAtInfinity? : % -> Boolean
+--R integralBasisAtInfinity : () -> Vector %
+--R integralCoordinates : % -> Record(num: Vector UP,den: UP)
+--R integralDerivationMatrix : (UP -> UP) -> Record(num: Matrix UP,den: UP)
+--R integralMatrix : () -> Matrix Fraction UP
+--R integralMatrixAtInfinity : () -> Matrix Fraction UP
+--R integralRepresents : (Vector UP,UP) -> %
+--R inv : % -> % if Fraction UP has FIELD
+--R inverseIntegralMatrix : () -> Matrix Fraction UP
+--R inverseIntegralMatrixAtInfinity : () -> Matrix Fraction UP
+--R lcm : (%,%) -> % if Fraction UP has FIELD
+--R lcm : List % -> % if Fraction UP has FIELD
+--R lookup : % -> PositiveInteger if Fraction UP has FINITE
+--R minimalPolynomial : % -> UPUP if Fraction UP has FIELD
+--R multiEuclidean : (List %,%) -> Union(List %,"failed") if Fraction UP has FIELD
+--R nextItem : % -> Union(%,"failed") if Fraction UP has FFIELDC
+--R nonSingularModel : Symbol -> List Polynomial F if F has FIELD
+--R normalizeAtInfinity : Vector % -> Vector %
+--R numberOfComponents : () -> NonNegativeInteger
+--R order : % -> OnePointCompletion PositiveInteger if Fraction UP has FFIELDC
+--R order : % -> PositiveInteger if Fraction UP has FFIELDC
+--R prime? : % -> Boolean if Fraction UP has FIELD
+--R primeFrobenius : % -> % if Fraction UP has FFIELDC
+--R primeFrobenius : (%,NonNegativeInteger) -> % if Fraction UP has FFIELDC
+--R primitive? : % -> Boolean if Fraction UP has FFIELDC
+--R primitiveElement : () -> % if Fraction UP has FFIELDC
+--R principalIdeal : List % -> Record(coef: List %,generator: %) if Fraction UP has FIELD
+--R ?quo? : (%,%) -> % if Fraction UP has FIELD
+--R ramifiedAtInfinity? : () -> Boolean
+--R random : () -> % if Fraction UP has FINITE
+--R rationalPoints : () -> List List F if F has FINITE
+--R reduce : Fraction UPUP -> Union(%,"failed") if Fraction UP has FIELD
+--R reduceBasisAtInfinity : Vector % -> Vector %
+--R reducedSystem : Matrix % -> Matrix Fraction UP
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Fraction UP,vec: Vector Fraction UP)
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if Fraction UP has LINEXP INT
+--R reducedSystem : Matrix % -> Matrix Integer if Fraction UP has LINEXP INT
+--R regularRepresentation : % -> Matrix Fraction UP
+--R regularRepresentation : (%,Vector %) -> Matrix Fraction UP
+--R ?rem? : (%,%) -> % if Fraction UP has FIELD
+--R representationType : () -> Union("prime",polynomial,normal,cyclic) if Fraction UP has FFIELDC
+--R represents : Vector Fraction UP -> %
+--R represents : (Vector Fraction UP,Vector %) -> %
+--R retract : % -> Fraction Integer if Fraction UP has RETRACT FRAC INT
+--R retract : % -> Integer if Fraction UP has RETRACT INT
+--R retractIfCan : % -> Union(Fraction UP,"failed")
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if Fraction UP has RETRACT FRAC INT
+--R retractIfCan : % -> Union(Integer,"failed") if Fraction UP has RETRACT INT
+--R singularAtInfinity? : () -> Boolean
+--R size : () -> NonNegativeInteger if Fraction UP has FINITE
+--R sizeLess? : (%,%) -> Boolean if Fraction UP has FIELD
+--R squareFree : % -> Factored % if Fraction UP has FIELD
+--R squareFreePart : % -> % if Fraction UP has FIELD
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tableForDiscreteLogarithm : Integer -> Table(PositiveInteger,NonNegativeInteger) if Fraction UP has FFIELDC
+--R traceMatrix : () -> Matrix Fraction UP
+--R traceMatrix : Vector % -> Matrix Fraction UP
+--R unit? : % -> Boolean if Fraction UP has FIELD
+--R unitCanonical : % -> % if Fraction UP has FIELD
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if Fraction UP has FIELD
+--R yCoordinates : % -> Record(num: Vector UP,den: UP)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<RadicalFunctionField.help>>=
+====================================================================
+RadicalFunctionField examples
+====================================================================
+
+See Also:
+o )show RadicalFunctionField
+
+@
+
 \pagehead{RadicalFunctionField}{RADFF}
 \pagepic{ps/v103radicalfunctionfield.ps}{RADFF}{1.00}
 {\bf See}\\
@@ -86977,6 +102615,7 @@ RadicalFunctionField(F, UP, UPUP, radicnd, n): Exports == Impl where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain RADIX RadixExpansion}
+
 <<RadixExpansion.input>>=
 )set break resume
 )sys rm -f RadixExpansion.output
@@ -87647,6 +103286,7 @@ particular problem to solve or want to use these versions.
 Be aware that approximations behave as post-processing and that all
 computations are done excatly. They can thus be quite time consuming when
 depending on several "real roots".
+
 <<RealClosure.input>>=
 )set break resume
 )sys rm -f RealClosure.output
@@ -89221,6 +104861,86 @@ RealClosure(TheField): PUB == PRIV where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain RMATRIX RectangularMatrix}
+
+<<RectangularMatrix.input>>=
+)set break resume
+)sys rm -f RectangularMatrix.output
+)spool RectangularMatrix.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RectangularMatrix
+--R RectangularMatrix(m: NonNegativeInteger,n: NonNegativeInteger,R: Ring)  is a domain constructor
+--R Abbreviation for RectangularMatrix is RMATRIX 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for RMATRIX 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,R) -> %                      ?*? : (R,%) -> %
+--R ?*? : (Integer,%) -> %                ?*? : (PositiveInteger,%) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 0 : () -> %                           antisymmetric? : % -> Boolean
+--R coerce : % -> Matrix R                coerce : % -> OutputForm
+--R copy : % -> %                         diagonal? : % -> Boolean
+--R elt : (%,Integer,Integer,R) -> R      elt : (%,Integer,Integer) -> R
+--R empty : () -> %                       empty? : % -> Boolean
+--R eq? : (%,%) -> Boolean                hash : % -> SingleInteger
+--R latex : % -> String                   listOfLists : % -> List List R
+--R map : (((R,R) -> R),%,%) -> %         map : ((R -> R),%) -> %
+--R matrix : List List R -> %             maxColIndex : % -> Integer
+--R maxRowIndex : % -> Integer            minColIndex : % -> Integer
+--R minRowIndex : % -> Integer            ncols : % -> NonNegativeInteger
+--R nrows : % -> NonNegativeInteger       qelt : (%,Integer,Integer) -> R
+--R rectangularMatrix : Matrix R -> %     sample : () -> %
+--R square? : % -> Boolean                symmetric? : % -> Boolean
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?/? : (%,R) -> % if R has FIELD
+--R any? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R column : (%,Integer) -> DirectProduct(m,R)
+--R convert : % -> InputForm if R has KONVERT INFORM
+--R count : ((R -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R count : (R,%) -> NonNegativeInteger if $ has finiteAggregate and R has SETCAT
+--R dimension : () -> CardinalNumber if R has FIELD
+--R eval : (%,List Equation R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,Equation R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,R,R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,List R,List R) -> % if R has EVALAB R and R has SETCAT
+--R every? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R exquo : (%,R) -> Union(%,"failed") if R has INTDOM
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((R -> R),%) -> % if $ has shallowlyMutable
+--R member? : (R,%) -> Boolean if $ has finiteAggregate and R has SETCAT
+--R members : % -> List R if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R nullSpace : % -> List DirectProduct(m,R) if R has INTDOM
+--R nullity : % -> NonNegativeInteger if R has INTDOM
+--R parts : % -> List R if $ has finiteAggregate
+--R rank : % -> NonNegativeInteger if R has INTDOM
+--R row : (%,Integer) -> DirectProduct(n,R)
+--R rowEchelon : % -> % if R has EUCDOM
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<RectangularMatrix.help>>=
+====================================================================
+RectangularMatrix examples
+====================================================================
+
+See Also:
+o )show RectangularMatrix
+
+@
+
 \pagehead{RectangularMatrix}{RMATRIX}
 \pagepic{ps/v103rectangularmatrix.ps}{RMATRIX}{1.00}
 {\bf See}\\
@@ -89385,6 +105105,46 @@ RectangularMatrix(m,n,R): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain REF Reference}
+
+<<Reference.input>>=
+)set break resume
+)sys rm -f Reference.output
+)spool Reference.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Reference
+--R Reference S: Type  is a domain constructor
+--R Abbreviation for Reference is REF 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for REF 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                deref : % -> S
+--R elt : % -> S                          ref : S -> %
+--R setelt : (%,S) -> S                   setref : (%,S) -> S
+--R coerce : % -> OutputForm if S has SETCAT
+--R hash : % -> SingleInteger if S has SETCAT
+--R latex : % -> String if S has SETCAT
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Reference.help>>=
+====================================================================
+Reference examples
+====================================================================
+
+See Also:
+o )show Reference
+
+@
+
 \pagehead{Reference}{REF}
 \pagepic{ps/v103reference.ps}{REF}{1.00}
 {\bf See}\\
@@ -89461,6 +105221,150 @@ Reference(S:Type): Type with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain RGCHAIN RegularChain}
+
+<<RegularChain.input>>=
+)set break resume
+)sys rm -f RegularChain.output
+)spool RegularChain.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RegularChain
+--R RegularChain(R: GcdDomain,ls: List Symbol)  is a domain constructor
+--R Abbreviation for RegularChain is RGCHAIN 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for RGCHAIN 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R collectQuasiMonic : % -> %            copy : % -> %
+--R degree : % -> NonNegativeInteger      empty : () -> %
+--R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
+--R hash : % -> SingleInteger             headReduced? : % -> Boolean
+--R infRittWu? : (%,%) -> Boolean         initiallyReduced? : % -> Boolean
+--R latex : % -> String                   normalized? : % -> Boolean
+--R purelyAlgebraic? : % -> Boolean       rest : % -> Union(%,"failed")
+--R sample : () -> %                      stronglyReduced? : % -> Boolean
+--R trivialIdeal? : % -> Boolean          ?~=? : (%,%) -> Boolean
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R algebraic? : (OrderedVariableList ls,%) -> Boolean
+--R algebraicCoefficients? : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> Boolean
+--R algebraicVariables : % -> List OrderedVariableList ls
+--R any? : ((NewSparseMultivariatePolynomial(R,OrderedVariableList ls) -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R augment : (List NewSparseMultivariatePolynomial(R,OrderedVariableList ls),List %) -> List %
+--R augment : (List NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> List %
+--R augment : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),List %) -> List %
+--R augment : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> List %
+--R autoReduced? : (%,((NewSparseMultivariatePolynomial(R,OrderedVariableList ls),List NewSparseMultivariatePolynomial(R,OrderedVariableList ls)) -> Boolean)) -> Boolean
+--R basicSet : (List NewSparseMultivariatePolynomial(R,OrderedVariableList ls),(NewSparseMultivariatePolynomial(R,OrderedVariableList ls) -> Boolean),((NewSparseMultivariatePolynomial(R,OrderedVariableList ls),NewSparseMultivariatePolynomial(R,OrderedVariableList ls)) -> Boolean)) -> Union(Record(bas: %,top: List NewSparseMultivariatePolynomial(R,OrderedVariableList ls)),"failed")
+--R basicSet : (List NewSparseMultivariatePolynomial(R,OrderedVariableList ls),((NewSparseMultivariatePolynomial(R,OrderedVariableList ls),NewSparseMultivariatePolynomial(R,OrderedVariableList ls)) -> Boolean)) -> Union(Record(bas: %,top: List NewSparseMultivariatePolynomial(R,OrderedVariableList ls)),"failed")
+--R coHeight : % -> NonNegativeInteger if OrderedVariableList ls has FINITE
+--R coerce : % -> List NewSparseMultivariatePolynomial(R,OrderedVariableList ls)
+--R collect : (%,OrderedVariableList ls) -> %
+--R collectUnder : (%,OrderedVariableList ls) -> %
+--R collectUpper : (%,OrderedVariableList ls) -> %
+--R construct : List NewSparseMultivariatePolynomial(R,OrderedVariableList ls) -> %
+--R convert : % -> InputForm if NewSparseMultivariatePolynomial(R,OrderedVariableList ls) has KONVERT INFORM
+--R count : ((NewSparseMultivariatePolynomial(R,OrderedVariableList ls) -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R count : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> NonNegativeInteger if $ has finiteAggregate and NewSparseMultivariatePolynomial(R,OrderedVariableList ls) has SETCAT
+--R eval : (%,List Equation NewSparseMultivariatePolynomial(R,OrderedVariableList ls)) -> % if NewSparseMultivariatePolynomial(R,OrderedVariableList ls) has EVALAB NSMP(R,OVAR ls) and NewSparseMultivariatePolynomial(R,OrderedVariableList ls) has SETCAT
+--R eval : (%,Equation NewSparseMultivariatePolynomial(R,OrderedVariableList ls)) -> % if NewSparseMultivariatePolynomial(R,OrderedVariableList ls) has EVALAB NSMP(R,OVAR ls) and NewSparseMultivariatePolynomial(R,OrderedVariableList ls) has SETCAT
+--R eval : (%,NewSparseMultivariatePolynomial(R,OrderedVariableList ls),NewSparseMultivariatePolynomial(R,OrderedVariableList ls)) -> % if NewSparseMultivariatePolynomial(R,OrderedVariableList ls) has EVALAB NSMP(R,OVAR ls) and NewSparseMultivariatePolynomial(R,OrderedVariableList ls) has SETCAT
+--R eval : (%,List NewSparseMultivariatePolynomial(R,OrderedVariableList ls),List NewSparseMultivariatePolynomial(R,OrderedVariableList ls)) -> % if NewSparseMultivariatePolynomial(R,OrderedVariableList ls) has EVALAB NSMP(R,OVAR ls) and NewSparseMultivariatePolynomial(R,OrderedVariableList ls) has SETCAT
+--R every? : ((NewSparseMultivariatePolynomial(R,OrderedVariableList ls) -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R extend : (List NewSparseMultivariatePolynomial(R,OrderedVariableList ls),List %) -> List %
+--R extend : (List NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> List %
+--R extend : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),List %) -> List %
+--R extend : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> List %
+--R extend : (%,NewSparseMultivariatePolynomial(R,OrderedVariableList ls)) -> %
+--R extendIfCan : (%,NewSparseMultivariatePolynomial(R,OrderedVariableList ls)) -> Union(%,"failed")
+--R find : ((NewSparseMultivariatePolynomial(R,OrderedVariableList ls) -> Boolean),%) -> Union(NewSparseMultivariatePolynomial(R,OrderedVariableList ls),"failed")
+--R first : % -> Union(NewSparseMultivariatePolynomial(R,OrderedVariableList ls),"failed")
+--R headReduce : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> NewSparseMultivariatePolynomial(R,OrderedVariableList ls)
+--R headReduced? : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> Boolean
+--R headRemainder : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> Record(num: NewSparseMultivariatePolynomial(R,OrderedVariableList ls),den: R) if R has INTDOM
+--R initiallyReduce : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> NewSparseMultivariatePolynomial(R,OrderedVariableList ls)
+--R initiallyReduced? : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> Boolean
+--R initials : % -> List NewSparseMultivariatePolynomial(R,OrderedVariableList ls)
+--R internalAugment : (List NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> %
+--R internalAugment : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> %
+--R intersect : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),List %) -> List %
+--R intersect : (List NewSparseMultivariatePolynomial(R,OrderedVariableList ls),List %) -> List %
+--R intersect : (List NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> List %
+--R intersect : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> List %
+--R invertible? : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> Boolean
+--R invertible? : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> List Record(val: Boolean,tower: %)
+--R invertibleElseSplit? : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> Union(Boolean,List %)
+--R invertibleSet : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> List %
+--R last : % -> Union(NewSparseMultivariatePolynomial(R,OrderedVariableList ls),"failed")
+--R lastSubResultant : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> List Record(val: NewSparseMultivariatePolynomial(R,OrderedVariableList ls),tower: %)
+--R lastSubResultantElseSplit : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> Union(NewSparseMultivariatePolynomial(R,OrderedVariableList ls),List %)
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R mainVariable? : (OrderedVariableList ls,%) -> Boolean
+--R mainVariables : % -> List OrderedVariableList ls
+--R map : ((NewSparseMultivariatePolynomial(R,OrderedVariableList ls) -> NewSparseMultivariatePolynomial(R,OrderedVariableList ls)),%) -> %
+--R map! : ((NewSparseMultivariatePolynomial(R,OrderedVariableList ls) -> NewSparseMultivariatePolynomial(R,OrderedVariableList ls)),%) -> % if $ has shallowlyMutable
+--R member? : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> Boolean if $ has finiteAggregate and NewSparseMultivariatePolynomial(R,OrderedVariableList ls) has SETCAT
+--R members : % -> List NewSparseMultivariatePolynomial(R,OrderedVariableList ls) if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R mvar : % -> OrderedVariableList ls
+--R normalized? : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> Boolean
+--R parts : % -> List NewSparseMultivariatePolynomial(R,OrderedVariableList ls) if $ has finiteAggregate
+--R purelyAlgebraic? : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> Boolean
+--R purelyAlgebraicLeadingMonomial? : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> Boolean
+--R purelyTranscendental? : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> Boolean
+--R quasiComponent : % -> Record(close: List NewSparseMultivariatePolynomial(R,OrderedVariableList ls),open: List NewSparseMultivariatePolynomial(R,OrderedVariableList ls))
+--R reduce : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%,((NewSparseMultivariatePolynomial(R,OrderedVariableList ls),NewSparseMultivariatePolynomial(R,OrderedVariableList ls)) -> NewSparseMultivariatePolynomial(R,OrderedVariableList ls)),((NewSparseMultivariatePolynomial(R,OrderedVariableList ls),NewSparseMultivariatePolynomial(R,OrderedVariableList ls)) -> Boolean)) -> NewSparseMultivariatePolynomial(R,OrderedVariableList ls)
+--R reduce : (((NewSparseMultivariatePolynomial(R,OrderedVariableList ls),NewSparseMultivariatePolynomial(R,OrderedVariableList ls)) -> NewSparseMultivariatePolynomial(R,OrderedVariableList ls)),%) -> NewSparseMultivariatePolynomial(R,OrderedVariableList ls) if $ has finiteAggregate
+--R reduce : (((NewSparseMultivariatePolynomial(R,OrderedVariableList ls),NewSparseMultivariatePolynomial(R,OrderedVariableList ls)) -> NewSparseMultivariatePolynomial(R,OrderedVariableList ls)),%,NewSparseMultivariatePolynomial(R,OrderedVariableList ls)) -> NewSparseMultivariatePolynomial(R,OrderedVariableList ls) if $ has finiteAggregate
+--R reduce : (((NewSparseMultivariatePolynomial(R,OrderedVariableList ls),NewSparseMultivariatePolynomial(R,OrderedVariableList ls)) -> NewSparseMultivariatePolynomial(R,OrderedVariableList ls)),%,NewSparseMultivariatePolynomial(R,OrderedVariableList ls),NewSparseMultivariatePolynomial(R,OrderedVariableList ls)) -> NewSparseMultivariatePolynomial(R,OrderedVariableList ls) if $ has finiteAggregate and NewSparseMultivariatePolynomial(R,OrderedVariableList ls) has SETCAT
+--R reduceByQuasiMonic : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> NewSparseMultivariatePolynomial(R,OrderedVariableList ls)
+--R reduced? : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%,((NewSparseMultivariatePolynomial(R,OrderedVariableList ls),NewSparseMultivariatePolynomial(R,OrderedVariableList ls)) -> Boolean)) -> Boolean
+--R remainder : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> Record(rnum: R,polnum: NewSparseMultivariatePolynomial(R,OrderedVariableList ls),den: R) if R has INTDOM
+--R remove : ((NewSparseMultivariatePolynomial(R,OrderedVariableList ls) -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> % if $ has finiteAggregate and NewSparseMultivariatePolynomial(R,OrderedVariableList ls) has SETCAT
+--R removeDuplicates : % -> % if $ has finiteAggregate and NewSparseMultivariatePolynomial(R,OrderedVariableList ls) has SETCAT
+--R removeZero : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> NewSparseMultivariatePolynomial(R,OrderedVariableList ls)
+--R retract : List NewSparseMultivariatePolynomial(R,OrderedVariableList ls) -> %
+--R retractIfCan : List NewSparseMultivariatePolynomial(R,OrderedVariableList ls) -> Union(%,"failed")
+--R rewriteIdealWithHeadRemainder : (List NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> List NewSparseMultivariatePolynomial(R,OrderedVariableList ls) if R has INTDOM
+--R rewriteIdealWithRemainder : (List NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> List NewSparseMultivariatePolynomial(R,OrderedVariableList ls) if R has INTDOM
+--R rewriteSetWithReduction : (List NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%,((NewSparseMultivariatePolynomial(R,OrderedVariableList ls),NewSparseMultivariatePolynomial(R,OrderedVariableList ls)) -> NewSparseMultivariatePolynomial(R,OrderedVariableList ls)),((NewSparseMultivariatePolynomial(R,OrderedVariableList ls),NewSparseMultivariatePolynomial(R,OrderedVariableList ls)) -> Boolean)) -> List NewSparseMultivariatePolynomial(R,OrderedVariableList ls)
+--R roughBase? : % -> Boolean if R has INTDOM
+--R roughEqualIdeals? : (%,%) -> Boolean if R has INTDOM
+--R roughSubIdeal? : (%,%) -> Boolean if R has INTDOM
+--R roughUnitIdeal? : % -> Boolean if R has INTDOM
+--R select : (%,OrderedVariableList ls) -> Union(NewSparseMultivariatePolynomial(R,OrderedVariableList ls),"failed")
+--R select : ((NewSparseMultivariatePolynomial(R,OrderedVariableList ls) -> Boolean),%) -> % if $ has finiteAggregate
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R sort : (%,OrderedVariableList ls) -> Record(under: %,floor: %,upper: %)
+--R squareFreePart : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> List Record(val: NewSparseMultivariatePolynomial(R,OrderedVariableList ls),tower: %)
+--R stronglyReduce : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> NewSparseMultivariatePolynomial(R,OrderedVariableList ls)
+--R stronglyReduced? : (NewSparseMultivariatePolynomial(R,OrderedVariableList ls),%) -> Boolean
+--R triangular? : % -> Boolean if R has INTDOM
+--R variables : % -> List OrderedVariableList ls
+--R zeroSetSplit : (List NewSparseMultivariatePolynomial(R,OrderedVariableList ls),Boolean,Boolean) -> List %
+--R zeroSetSplit : (List NewSparseMultivariatePolynomial(R,OrderedVariableList ls),Boolean) -> List %
+--R zeroSetSplit : List NewSparseMultivariatePolynomial(R,OrderedVariableList ls) -> List %
+--R zeroSetSplitIntoTriangularSystems : List NewSparseMultivariatePolynomial(R,OrderedVariableList ls) -> List Record(close: %,open: List NewSparseMultivariatePolynomial(R,OrderedVariableList ls))
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<RegularChain.help>>=
+====================================================================
+RegularChain examples
+====================================================================
+
+See Also:
+o )show RegularChain
+
+@
+
 \pagehead{RegularChain}{RGCHAIN}
 \pagepic{ps/v103regularchain.ps}{RGCHAIN}{1.00}
 
@@ -89607,6 +105511,7 @@ chains). Among them {\bf RegularTriangularSet} and
 by Marc Moreno Maza for computing triangular decompositions of polynomial
 systems. This method is refined in the package {\bf LazardSetSolvingPackage}
 in order to produce decompositions by means of Lazard triangular sets.
+
 <<RegularTriangularSet.input>>=
 )set break resume
 )sys rm -f RegularTriangularSet.output
@@ -91471,6 +107376,57 @@ RegularTriangularSet(R,E,V,P) : Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain RESRING ResidueRing}
+
+<<ResidueRing.input>>=
+)set break resume
+)sys rm -f ResidueRing.output
+)spool ResidueRing.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ResidueRing
+--R ResidueRing(F: Field,Expon: OrderedAbelianMonoidSup,VarSet: OrderedSet,FPol: PolynomialCategory(F,Expon,VarSet),LFPol: List FPol)  is a domain constructor
+--R Abbreviation for ResidueRing is RESRING 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for RESRING 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,F) -> %                      ?*? : (F,%) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : FPol -> %
+--R coerce : F -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   lift : % -> FPol
+--R one? : % -> Boolean                   recip : % -> Union(%,"failed")
+--R reduce : FPol -> %                    sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<ResidueRing.help>>=
+====================================================================
+ResidueRing examples
+====================================================================
+
+See Also:
+o )show ResidueRing
+
+@
+
 \pagehead{ResidueRing}{RESRING}
 \pagepic{ps/v103residuering.ps}{RESRING}{1.00}
 
@@ -91562,6 +107518,113 @@ ResidueRing(F,Expon,VarSet,FPol,LFPol) : Dom  == Body
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain RESULT Result}
+
+<<Result.input>>=
+)set break resume
+)sys rm -f Result.output
+)spool Result.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Result
+--R Result  is a domain constructor
+--R Abbreviation for Result is RESULT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for RESULT 
+--R
+--R------------------------------- Operations --------------------------------
+--R copy : % -> %                         dictionary : () -> %
+--R elt : (%,Symbol,Any) -> Any           ?.? : (%,Symbol) -> Any
+--R empty : () -> %                       empty? : % -> Boolean
+--R entries : % -> List Any               eq? : (%,%) -> Boolean
+--R index? : (Symbol,%) -> Boolean        indices : % -> List Symbol
+--R key? : (Symbol,%) -> Boolean          keys : % -> List Symbol
+--R map : ((Any -> Any),%) -> %           qelt : (%,Symbol) -> Any
+--R sample : () -> %                      setelt : (%,Symbol,Any) -> Any
+--R table : () -> %                      
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if Any has SETCAT or Record(key: Symbol,entry: Any) has SETCAT
+--R any? : ((Any -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R any? : ((Record(key: Symbol,entry: Any) -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R bag : List Record(key: Symbol,entry: Any) -> %
+--R coerce : % -> OutputForm if Any has SETCAT or Record(key: Symbol,entry: Any) has SETCAT
+--R construct : List Record(key: Symbol,entry: Any) -> %
+--R convert : % -> InputForm if Record(key: Symbol,entry: Any) has KONVERT INFORM
+--R count : ((Any -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R count : (Any,%) -> NonNegativeInteger if $ has finiteAggregate and Any has SETCAT
+--R count : (Record(key: Symbol,entry: Any),%) -> NonNegativeInteger if $ has finiteAggregate and Record(key: Symbol,entry: Any) has SETCAT
+--R count : ((Record(key: Symbol,entry: Any) -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R dictionary : List Record(key: Symbol,entry: Any) -> %
+--R entry? : (Any,%) -> Boolean if $ has finiteAggregate and Any has SETCAT
+--R eval : (%,List Equation Any) -> % if Any has EVALAB ANY and Any has SETCAT
+--R eval : (%,Equation Any) -> % if Any has EVALAB ANY and Any has SETCAT
+--R eval : (%,Any,Any) -> % if Any has EVALAB ANY and Any has SETCAT
+--R eval : (%,List Any,List Any) -> % if Any has EVALAB ANY and Any has SETCAT
+--R eval : (%,List Record(key: Symbol,entry: Any),List Record(key: Symbol,entry: Any)) -> % if Record(key: Symbol,entry: Any) has EVALAB Record(key: Symbol,entry: Any) and Record(key: Symbol,entry: Any) has SETCAT
+--R eval : (%,Record(key: Symbol,entry: Any),Record(key: Symbol,entry: Any)) -> % if Record(key: Symbol,entry: Any) has EVALAB Record(key: Symbol,entry: Any) and Record(key: Symbol,entry: Any) has SETCAT
+--R eval : (%,Equation Record(key: Symbol,entry: Any)) -> % if Record(key: Symbol,entry: Any) has EVALAB Record(key: Symbol,entry: Any) and Record(key: Symbol,entry: Any) has SETCAT
+--R eval : (%,List Equation Record(key: Symbol,entry: Any)) -> % if Record(key: Symbol,entry: Any) has EVALAB Record(key: Symbol,entry: Any) and Record(key: Symbol,entry: Any) has SETCAT
+--R every? : ((Any -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R every? : ((Record(key: Symbol,entry: Any) -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R extract! : % -> Record(key: Symbol,entry: Any)
+--R fill! : (%,Any) -> % if $ has shallowlyMutable
+--R find : ((Record(key: Symbol,entry: Any) -> Boolean),%) -> Union(Record(key: Symbol,entry: Any),"failed")
+--R first : % -> Any if Symbol has ORDSET
+--R hash : % -> SingleInteger if Any has SETCAT or Record(key: Symbol,entry: Any) has SETCAT
+--R insert! : (Record(key: Symbol,entry: Any),%) -> %
+--R inspect : % -> Record(key: Symbol,entry: Any)
+--R latex : % -> String if Any has SETCAT or Record(key: Symbol,entry: Any) has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map : (((Any,Any) -> Any),%,%) -> %
+--R map : ((Record(key: Symbol,entry: Any) -> Record(key: Symbol,entry: Any)),%) -> %
+--R map! : ((Any -> Any),%) -> % if $ has shallowlyMutable
+--R map! : ((Record(key: Symbol,entry: Any) -> Record(key: Symbol,entry: Any)),%) -> % if $ has shallowlyMutable
+--R maxIndex : % -> Symbol if Symbol has ORDSET
+--R member? : (Any,%) -> Boolean if $ has finiteAggregate and Any has SETCAT
+--R member? : (Record(key: Symbol,entry: Any),%) -> Boolean if $ has finiteAggregate and Record(key: Symbol,entry: Any) has SETCAT
+--R members : % -> List Any if $ has finiteAggregate
+--R members : % -> List Record(key: Symbol,entry: Any) if $ has finiteAggregate
+--R minIndex : % -> Symbol if Symbol has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List Any if $ has finiteAggregate
+--R parts : % -> List Record(key: Symbol,entry: Any) if $ has finiteAggregate
+--R qsetelt! : (%,Symbol,Any) -> Any if $ has shallowlyMutable
+--R reduce : (((Record(key: Symbol,entry: Any),Record(key: Symbol,entry: Any)) -> Record(key: Symbol,entry: Any)),%) -> Record(key: Symbol,entry: Any) if $ has finiteAggregate
+--R reduce : (((Record(key: Symbol,entry: Any),Record(key: Symbol,entry: Any)) -> Record(key: Symbol,entry: Any)),%,Record(key: Symbol,entry: Any)) -> Record(key: Symbol,entry: Any) if $ has finiteAggregate
+--R reduce : (((Record(key: Symbol,entry: Any),Record(key: Symbol,entry: Any)) -> Record(key: Symbol,entry: Any)),%,Record(key: Symbol,entry: Any),Record(key: Symbol,entry: Any)) -> Record(key: Symbol,entry: Any) if $ has finiteAggregate and Record(key: Symbol,entry: Any) has SETCAT
+--R remove : ((Record(key: Symbol,entry: Any) -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (Record(key: Symbol,entry: Any),%) -> % if $ has finiteAggregate and Record(key: Symbol,entry: Any) has SETCAT
+--R remove! : (Symbol,%) -> Union(Any,"failed")
+--R remove! : ((Record(key: Symbol,entry: Any) -> Boolean),%) -> % if $ has finiteAggregate
+--R remove! : (Record(key: Symbol,entry: Any),%) -> % if $ has finiteAggregate
+--R removeDuplicates : % -> % if $ has finiteAggregate and Record(key: Symbol,entry: Any) has SETCAT
+--R search : (Symbol,%) -> Union(Any,"failed")
+--R select : ((Record(key: Symbol,entry: Any) -> Boolean),%) -> % if $ has finiteAggregate
+--R select! : ((Record(key: Symbol,entry: Any) -> Boolean),%) -> % if $ has finiteAggregate
+--R showArrayValues : Boolean -> Boolean
+--R showScalarValues : Boolean -> Boolean
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R swap! : (%,Symbol,Symbol) -> Void if $ has shallowlyMutable
+--R table : List Record(key: Symbol,entry: Any) -> %
+--R ?~=? : (%,%) -> Boolean if Any has SETCAT or Record(key: Symbol,entry: Any) has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Result.help>>=
+====================================================================
+Result examples
+====================================================================
+
+See Also:
+o )show Result
+
+@
+
 \pagehead{Result}{RESULT}
 \pagepic{ps/v103result.ps}{RESULT}{1.00}
 {\bf See}\\
@@ -91712,6 +107775,49 @@ Result():Exports==Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain RULE RewriteRule}
+
+<<RewriteRule.input>>=
+)set break resume
+)sys rm -f RewriteRule.output
+)spool RewriteRule.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RewriteRule
+--R RewriteRule(Base: SetCategory,R: Join(Ring,PatternMatchable Base,OrderedSet,ConvertibleTo Pattern Base),F: Join(FunctionSpace R,PatternMatchable Base,ConvertibleTo Pattern Base))  is a domain constructor
+--R Abbreviation for RewriteRule is RULE 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for RULE 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : Equation F -> %
+--R coerce : % -> OutputForm              elt : (%,F,PositiveInteger) -> F
+--R ?.? : (%,F) -> F                      hash : % -> SingleInteger
+--R latex : % -> String                   lhs : % -> F
+--R pattern : % -> Pattern Base           retract : % -> Equation F
+--R rhs : % -> F                          rule : (F,F,List Symbol) -> %
+--R rule : (F,F) -> %                     ?~=? : (%,%) -> Boolean
+--R quotedOperators : % -> List Symbol
+--R retractIfCan : % -> Union(Equation F,"failed")
+--R suchThat : (%,List Symbol,(List F -> Boolean)) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<RewriteRule.help>>=
+====================================================================
+RewriteRule examples
+====================================================================
+
+See Also:
+o )show RewriteRule
+
+@
+
 \pagehead{RewriteRule}{RULE}
 \pagepic{ps/v103rewriterule.ps}{RULE}{1.00}
 {\bf See}\\
@@ -91909,8 +108015,56 @@ algorithms and cannot be distributed. Please contact the author if you have a
 particular problem to solve or want to use these versions.
 
 Be aware that approximations behave as post-processing and that all
-computations are done excatly. They can thus be quite time consuming when
+computations are done exactly. They can thus be quite time consuming when
 depending on several "real roots".
+
+<<RightOpenIntervalRootCharacterization.input>>=
+)set break resume
+)sys rm -f RightOpenIntervalRootCharacterization.output
+)spool RightOpenIntervalRootCharacterization.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RightOpenIntervalRootCharacterization
+--R RightOpenIntervalRootCharacterization(TheField: Join(OrderedRing,Field),ThePolDom: UnivariatePolynomialCategory TheField)  is a domain constructor
+--R Abbreviation for RightOpenIntervalRootCharacterization is ROIRC 
+--R This constructor is exposed in this frame.
+--R Issue )edit NIL to see algebra source code for ROIRC 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                allRootsOf : ThePolDom -> List %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   left : % -> TheField
+--R middle : % -> TheField                refine : % -> %
+--R right : % -> TheField                 sign : (ThePolDom,%) -> Integer
+--R size : % -> TheField                  zero? : (ThePolDom,%) -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R approximate : (ThePolDom,%,TheField) -> TheField
+--R definingPolynomial : % -> ThePolDom
+--R mightHaveRoots : (ThePolDom,%) -> Boolean
+--R negative? : (ThePolDom,%) -> Boolean
+--R positive? : (ThePolDom,%) -> Boolean
+--R recip : (ThePolDom,%) -> Union(ThePolDom,"failed")
+--R relativeApprox : (ThePolDom,%,TheField) -> TheField
+--R rootOf : (ThePolDom,PositiveInteger) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<RightOpenIntervalRootCharacterization.help>>=
+====================================================================
+RightOpenIntervalRootCharacterization examples
+====================================================================
+
+See Also:
+o )show RightOpenIntervalRootCharacterization
+
+@
+
 \pagehead{RightOpenIntervalRootCharacterization}{ROIRC}
 \pagepic{ps/v103rightopenintervalrootcharacterization.ps}{ROIRC}{1.00}
 {\bf See}\\
@@ -92412,6 +108566,7 @@ RightOpenIntervalRootCharacterization(TheField,ThePolDom) : PUB == PRIV where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ROMAN RomanNumeral}
+
 <<RomanNumeral.input>>=
 )set break resume
 )sys rm -f RomanNumeral.output
@@ -92838,6 +108993,123 @@ RomanNumeral(): IntegerNumberSystem with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ROUTINE RoutinesTable}
+
+<<RoutinesTable.input>>=
+)set break resume
+)sys rm -f RoutinesTable.output
+)spool RoutinesTable.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RoutinesTable
+--R RoutinesTable  is a domain constructor
+--R Abbreviation for RoutinesTable is ROUTINE 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ROUTINE 
+--R
+--R------------------------------- Operations --------------------------------
+--R concat : (%,%) -> %                   copy : % -> %
+--R deleteRoutine! : (%,Symbol) -> %      dictionary : () -> %
+--R elt : (%,Symbol,Any) -> Any           ?.? : (%,Symbol) -> Any
+--R empty : () -> %                       empty? : % -> Boolean
+--R entries : % -> List Any               eq? : (%,%) -> Boolean
+--R getMeasure : (%,Symbol) -> Float      index? : (Symbol,%) -> Boolean
+--R indices : % -> List Symbol            key? : (Symbol,%) -> Boolean
+--R keys : % -> List Symbol               map : ((Any -> Any),%) -> %
+--R qelt : (%,Symbol) -> Any              routines : () -> %
+--R sample : () -> %                      selectFiniteRoutines : % -> %
+--R selectNonFiniteRoutines : % -> %      selectODEIVPRoutines : % -> %
+--R selectPDERoutines : % -> %            setelt : (%,Symbol,Any) -> Any
+--R showTheRoutinesTable : () -> %        table : () -> %
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if Any has SETCAT or Record(key: Symbol,entry: Any) has SETCAT
+--R any? : ((Any -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R any? : ((Record(key: Symbol,entry: Any) -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R bag : List Record(key: Symbol,entry: Any) -> %
+--R changeMeasure : (%,Symbol,Float) -> %
+--R changeThreshhold : (%,Symbol,Float) -> %
+--R coerce : % -> OutputForm if Any has SETCAT or Record(key: Symbol,entry: Any) has SETCAT
+--R construct : List Record(key: Symbol,entry: Any) -> %
+--R convert : % -> InputForm if Record(key: Symbol,entry: Any) has KONVERT INFORM
+--R count : ((Any -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R count : (Any,%) -> NonNegativeInteger if $ has finiteAggregate and Any has SETCAT
+--R count : (Record(key: Symbol,entry: Any),%) -> NonNegativeInteger if $ has finiteAggregate and Record(key: Symbol,entry: Any) has SETCAT
+--R count : ((Record(key: Symbol,entry: Any) -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R dictionary : List Record(key: Symbol,entry: Any) -> %
+--R entry? : (Any,%) -> Boolean if $ has finiteAggregate and Any has SETCAT
+--R eval : (%,List Equation Any) -> % if Any has EVALAB ANY and Any has SETCAT
+--R eval : (%,Equation Any) -> % if Any has EVALAB ANY and Any has SETCAT
+--R eval : (%,Any,Any) -> % if Any has EVALAB ANY and Any has SETCAT
+--R eval : (%,List Any,List Any) -> % if Any has EVALAB ANY and Any has SETCAT
+--R eval : (%,List Record(key: Symbol,entry: Any),List Record(key: Symbol,entry: Any)) -> % if Record(key: Symbol,entry: Any) has EVALAB Record(key: Symbol,entry: Any) and Record(key: Symbol,entry: Any) has SETCAT
+--R eval : (%,Record(key: Symbol,entry: Any),Record(key: Symbol,entry: Any)) -> % if Record(key: Symbol,entry: Any) has EVALAB Record(key: Symbol,entry: Any) and Record(key: Symbol,entry: Any) has SETCAT
+--R eval : (%,Equation Record(key: Symbol,entry: Any)) -> % if Record(key: Symbol,entry: Any) has EVALAB Record(key: Symbol,entry: Any) and Record(key: Symbol,entry: Any) has SETCAT
+--R eval : (%,List Equation Record(key: Symbol,entry: Any)) -> % if Record(key: Symbol,entry: Any) has EVALAB Record(key: Symbol,entry: Any) and Record(key: Symbol,entry: Any) has SETCAT
+--R every? : ((Any -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R every? : ((Record(key: Symbol,entry: Any) -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R extract! : % -> Record(key: Symbol,entry: Any)
+--R fill! : (%,Any) -> % if $ has shallowlyMutable
+--R find : ((Record(key: Symbol,entry: Any) -> Boolean),%) -> Union(Record(key: Symbol,entry: Any),"failed")
+--R first : % -> Any if Symbol has ORDSET
+--R getExplanations : (%,String) -> List String
+--R hash : % -> SingleInteger if Any has SETCAT or Record(key: Symbol,entry: Any) has SETCAT
+--R insert! : (Record(key: Symbol,entry: Any),%) -> %
+--R inspect : % -> Record(key: Symbol,entry: Any)
+--R latex : % -> String if Any has SETCAT or Record(key: Symbol,entry: Any) has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map : (((Any,Any) -> Any),%,%) -> %
+--R map : ((Record(key: Symbol,entry: Any) -> Record(key: Symbol,entry: Any)),%) -> %
+--R map! : ((Any -> Any),%) -> % if $ has shallowlyMutable
+--R map! : ((Record(key: Symbol,entry: Any) -> Record(key: Symbol,entry: Any)),%) -> % if $ has shallowlyMutable
+--R maxIndex : % -> Symbol if Symbol has ORDSET
+--R member? : (Any,%) -> Boolean if $ has finiteAggregate and Any has SETCAT
+--R member? : (Record(key: Symbol,entry: Any),%) -> Boolean if $ has finiteAggregate and Record(key: Symbol,entry: Any) has SETCAT
+--R members : % -> List Any if $ has finiteAggregate
+--R members : % -> List Record(key: Symbol,entry: Any) if $ has finiteAggregate
+--R minIndex : % -> Symbol if Symbol has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List Any if $ has finiteAggregate
+--R parts : % -> List Record(key: Symbol,entry: Any) if $ has finiteAggregate
+--R qsetelt! : (%,Symbol,Any) -> Any if $ has shallowlyMutable
+--R recoverAfterFail : (%,String,Integer) -> Union(String,"failed")
+--R reduce : (((Record(key: Symbol,entry: Any),Record(key: Symbol,entry: Any)) -> Record(key: Symbol,entry: Any)),%) -> Record(key: Symbol,entry: Any) if $ has finiteAggregate
+--R reduce : (((Record(key: Symbol,entry: Any),Record(key: Symbol,entry: Any)) -> Record(key: Symbol,entry: Any)),%,Record(key: Symbol,entry: Any)) -> Record(key: Symbol,entry: Any) if $ has finiteAggregate
+--R reduce : (((Record(key: Symbol,entry: Any),Record(key: Symbol,entry: Any)) -> Record(key: Symbol,entry: Any)),%,Record(key: Symbol,entry: Any),Record(key: Symbol,entry: Any)) -> Record(key: Symbol,entry: Any) if $ has finiteAggregate and Record(key: Symbol,entry: Any) has SETCAT
+--R remove : ((Record(key: Symbol,entry: Any) -> Boolean),%) -> % if $ has finiteAggregate
+--R remove : (Record(key: Symbol,entry: Any),%) -> % if $ has finiteAggregate and Record(key: Symbol,entry: Any) has SETCAT
+--R remove! : (Symbol,%) -> Union(Any,"failed")
+--R remove! : ((Record(key: Symbol,entry: Any) -> Boolean),%) -> % if $ has finiteAggregate
+--R remove! : (Record(key: Symbol,entry: Any),%) -> % if $ has finiteAggregate
+--R removeDuplicates : % -> % if $ has finiteAggregate and Record(key: Symbol,entry: Any) has SETCAT
+--R search : (Symbol,%) -> Union(Any,"failed")
+--R select : ((Record(key: Symbol,entry: Any) -> Boolean),%) -> % if $ has finiteAggregate
+--R select! : ((Record(key: Symbol,entry: Any) -> Boolean),%) -> % if $ has finiteAggregate
+--R selectIntegrationRoutines : % -> %
+--R selectMultiDimensionalRoutines : % -> %
+--R selectOptimizationRoutines : % -> %
+--R selectSumOfSquaresRoutines : % -> %
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R swap! : (%,Symbol,Symbol) -> Void if $ has shallowlyMutable
+--R table : List Record(key: Symbol,entry: Any) -> %
+--R ?~=? : (%,%) -> Boolean if Any has SETCAT or Record(key: Symbol,entry: Any) has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<RoutinesTable.help>>=
+====================================================================
+RoutinesTable examples
+====================================================================
+
+See Also:
+o )show RoutinesTable
+
+@
+
 \pagehead{RoutinesTable}{ROUTINE}
 \pagepic{ps/v103routinestable.ps}{ROUTINE}{1.00}
 
@@ -93305,6 +109577,42 @@ RoutinesTable(): E == I where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain RULECOLD RuleCalled}
+
+<<RuleCalled.input>>=
+)set break resume
+)sys rm -f RuleCalled.output
+)spool RuleCalled.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show RuleCalled
+--R RuleCalled f: Symbol  is a domain constructor
+--R Abbreviation for RuleCalled is RULECOLD 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for RULECOLD 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R hash : % -> SingleInteger             latex : % -> String
+--R name : % -> Symbol                    ?~=? : (%,%) -> Boolean
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<RuleCalled.help>>=
+====================================================================
+RuleCalled examples
+====================================================================
+
+See Also:
+o )show RuleCalled
+
+@
+
 \pagehead{RuleCalled}{RULECOLD}
 \pagepic{ps/v103rulecalled.ps}{RULECOLD}{1.00}
 
@@ -93342,6 +109650,45 @@ RuleCalled(f:Symbol): SetCategory with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain RULESET Ruleset}
+
+<<Ruleset.input>>=
+)set break resume
+)sys rm -f Ruleset.output
+)spool Ruleset.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Ruleset
+--R Ruleset(Base: SetCategory,R: Join(Ring,PatternMatchable Base,OrderedSet,ConvertibleTo Pattern Base),F: Join(FunctionSpace R,PatternMatchable Base,ConvertibleTo Pattern Base))  is a domain constructor
+--R Abbreviation for Ruleset is RULESET 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for RULESET 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R elt : (%,F,PositiveInteger) -> F      ?.? : (%,F) -> F
+--R hash : % -> SingleInteger             latex : % -> String
+--R ?~=? : (%,%) -> Boolean              
+--R rules : % -> List RewriteRule(Base,R,F)
+--R ruleset : List RewriteRule(Base,R,F) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Ruleset.help>>=
+====================================================================
+Ruleset examples
+====================================================================
+
+See Also:
+o )show Ruleset
+
+@
+
 \pagehead{Ruleset}{RULESET}
 \pagepic{ps/v103ruleset.ps}{RULESET}{1.00}
 {\bf See}\\
@@ -93410,6 +109757,49 @@ Ruleset(Base, R, F): Exports == Implementation where
 \chapter{Chapter S}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain FORMULA ScriptFormulaFormat}
+
+<<ScriptFormulaFormat.input>>=
+)set break resume
+)sys rm -f ScriptFormulaFormat.output
+)spool ScriptFormulaFormat.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ScriptFormulaFormat
+--R ScriptFormulaFormat  is a domain constructor
+--R Abbreviation for ScriptFormulaFormat is FORMULA 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for FORMULA 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : OutputForm -> %
+--R coerce : % -> OutputForm              display : % -> Void
+--R display : (%,Integer) -> Void         epilogue : % -> List String
+--R formula : % -> List String            hash : % -> SingleInteger
+--R latex : % -> String                   new : () -> %
+--R prologue : % -> List String           ?~=? : (%,%) -> Boolean
+--R convert : (OutputForm,Integer) -> %
+--R setEpilogue! : (%,List String) -> List String
+--R setFormula! : (%,List String) -> List String
+--R setPrologue! : (%,List String) -> List String
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<ScriptFormulaFormat.help>>=
+====================================================================
+ScriptFormulaFormat examples
+====================================================================
+
+See Also:
+o )show ScriptFormulaFormat
+
+@
+
 \pagehead{ScriptFormulaFormat}{FORMULA}
 \pagepic{ps/v103scriptformulaformat.ps}{FORMULA}{1.00}
 
@@ -93867,6 +110257,7 @@ ScriptFormulaFormat(): public == private where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SEG Segment}
+
 <<Segment.input>>=
 )set break resume
 )sys rm -f Segment.output
@@ -94148,6 +110539,7 @@ Segment(S:Type): SegmentCategory(S) with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SEGBIND SegmentBinding}
+
 <<SegmentBinding.input>>=
 )set break resume
 )sys rm -f SegmentBinding.output
@@ -94331,6 +110723,7 @@ SegmentBinding(S:Type): Type with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SET Set}
+
 <<Set.input>>=
 )set break resume
 )sys rm -f Set.output
@@ -94888,6 +111281,50 @@ Set(S:SetCategory): FiniteSetAggregate S == add
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SETMN SetOfMIntegersInOneToN}
+
+<<SetOfMIntegersInOneToN.input>>=
+)set break resume
+)sys rm -f SetOfMIntegersInOneToN.output
+)spool SetOfMIntegersInOneToN.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SetOfMIntegersInOneToN
+--R SetOfMIntegersInOneToN(m: PositiveInteger,n: PositiveInteger)  is a domain constructor
+--R Abbreviation for SetOfMIntegersInOneToN is SETMN 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for SETMN 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R enumerate : () -> Vector %            hash : % -> SingleInteger
+--R index : PositiveInteger -> %          latex : % -> String
+--R lookup : % -> PositiveInteger         random : () -> %
+--R size : () -> NonNegativeInteger       ?~=? : (%,%) -> Boolean
+--R delta : (%,PositiveInteger,PositiveInteger) -> NonNegativeInteger
+--R elements : % -> List PositiveInteger
+--R incrementKthElement : (%,PositiveInteger) -> Union(%,"failed")
+--R member? : (PositiveInteger,%) -> Boolean
+--R replaceKthElement : (%,PositiveInteger,PositiveInteger) -> Union(%,"failed")
+--R setOfMinN : List PositiveInteger -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SetOfMIntegersInOneToN.help>>=
+====================================================================
+SetOfMIntegersInOneToN examples
+====================================================================
+
+See Also:
+o )show SetOfMIntegersInOneToN
+
+@
+
 \pagehead{SetOfMIntegersInOneToN}{SETMN}
 \pagepic{ps/v103setofmintegersinoneton.ps}{SETMN}{1.00}
 
@@ -95066,6 +111503,194 @@ SetOfMIntegersInOneToN(m, n): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SDPOL SequentialDifferentialPolynomial}
+
+<<SequentialDifferentialPolynomial.input>>=
+)set break resume
+)sys rm -f SequentialDifferentialPolynomial.output
+)spool SequentialDifferentialPolynomial.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SequentialDifferentialPolynomial
+--R SequentialDifferentialPolynomial R: Ring  is a domain constructor
+--R Abbreviation for SequentialDifferentialPolynomial is SDPOL 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for SDPOL 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,R) -> %                      ?*? : (R,%) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R D : (%,(R -> R)) -> %                 D : % -> % if R has DIFRING
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coefficients : % -> List R
+--R coerce : Symbol -> %                  coerce : R -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R eval : (%,List %,List %) -> %         eval : (%,%,%) -> %
+--R eval : (%,Equation %) -> %            eval : (%,List Equation %) -> %
+--R ground : % -> R                       ground? : % -> Boolean
+--R hash : % -> SingleInteger             initial : % -> %
+--R isobaric? : % -> Boolean              latex : % -> String
+--R leadingCoefficient : % -> R           leadingMonomial : % -> %
+--R map : ((R -> R),%) -> %               monomial? : % -> Boolean
+--R monomials : % -> List %               one? : % -> Boolean
+--R order : % -> NonNegativeInteger       primitiveMonomials : % -> List %
+--R recip : % -> Union(%,"failed")        reductum : % -> %
+--R retract : % -> Symbol                 retract : % -> R
+--R sample : () -> %                      separant : % -> %
+--R weight : % -> NonNegativeInteger      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (Fraction Integer,%) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (%,Fraction Integer) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,R) -> % if R has FIELD
+--R ?<? : (%,%) -> Boolean if R has ORDSET
+--R ?<=? : (%,%) -> Boolean if R has ORDSET
+--R ?>? : (%,%) -> Boolean if R has ORDSET
+--R ?>=? : (%,%) -> Boolean if R has ORDSET
+--R D : (%,(R -> R),NonNegativeInteger) -> %
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if R has PDRING SYMBOL
+--R D : (%,Symbol) -> % if R has PDRING SYMBOL
+--R D : (%,NonNegativeInteger) -> % if R has DIFRING
+--R D : (%,List SequentialDifferentialVariable Symbol,List NonNegativeInteger) -> %
+--R D : (%,SequentialDifferentialVariable Symbol,NonNegativeInteger) -> %
+--R D : (%,List SequentialDifferentialVariable Symbol) -> %
+--R D : (%,SequentialDifferentialVariable Symbol) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R associates? : (%,%) -> Boolean if R has INTDOM
+--R binomThmExpt : (%,%,NonNegativeInteger) -> % if R has COMRING
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if $ has CHARNZ and R has PFECAT or R has CHARNZ
+--R coefficient : (%,List SequentialDifferentialVariable Symbol,List NonNegativeInteger) -> %
+--R coefficient : (%,SequentialDifferentialVariable Symbol,NonNegativeInteger) -> %
+--R coefficient : (%,IndexedExponents SequentialDifferentialVariable Symbol) -> R
+--R coerce : % -> % if R has INTDOM
+--R coerce : Fraction Integer -> % if R has ALGEBRA FRAC INT or R has RETRACT FRAC INT
+--R coerce : SparseMultivariatePolynomial(R,Symbol) -> %
+--R coerce : SequentialDifferentialVariable Symbol -> %
+--R conditionP : Matrix % -> Union(Vector %,"failed") if $ has CHARNZ and R has PFECAT
+--R content : (%,SequentialDifferentialVariable Symbol) -> % if R has GCDDOM
+--R content : % -> R if R has GCDDOM
+--R convert : % -> InputForm if SequentialDifferentialVariable Symbol has KONVERT INFORM and R has KONVERT INFORM
+--R convert : % -> Pattern Integer if SequentialDifferentialVariable Symbol has KONVERT PATTERN INT and R has KONVERT PATTERN INT
+--R convert : % -> Pattern Float if SequentialDifferentialVariable Symbol has KONVERT PATTERN FLOAT and R has KONVERT PATTERN FLOAT
+--R degree : (%,Symbol) -> NonNegativeInteger
+--R degree : (%,List SequentialDifferentialVariable Symbol) -> List NonNegativeInteger
+--R degree : (%,SequentialDifferentialVariable Symbol) -> NonNegativeInteger
+--R degree : % -> IndexedExponents SequentialDifferentialVariable Symbol
+--R differentialVariables : % -> List Symbol
+--R differentiate : (%,(R -> R)) -> %
+--R differentiate : (%,(R -> R),NonNegativeInteger) -> %
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if R has PDRING SYMBOL
+--R differentiate : (%,Symbol) -> % if R has PDRING SYMBOL
+--R differentiate : (%,NonNegativeInteger) -> % if R has DIFRING
+--R differentiate : % -> % if R has DIFRING
+--R differentiate : (%,List SequentialDifferentialVariable Symbol,List NonNegativeInteger) -> %
+--R differentiate : (%,SequentialDifferentialVariable Symbol,NonNegativeInteger) -> %
+--R differentiate : (%,List SequentialDifferentialVariable Symbol) -> %
+--R differentiate : (%,SequentialDifferentialVariable Symbol) -> %
+--R discriminant : (%,SequentialDifferentialVariable Symbol) -> % if R has COMRING
+--R eval : (%,List Symbol,List R) -> % if R has DIFRING
+--R eval : (%,Symbol,R) -> % if R has DIFRING
+--R eval : (%,List Symbol,List %) -> % if R has DIFRING
+--R eval : (%,Symbol,%) -> % if R has DIFRING
+--R eval : (%,List SequentialDifferentialVariable Symbol,List %) -> %
+--R eval : (%,SequentialDifferentialVariable Symbol,%) -> %
+--R eval : (%,List SequentialDifferentialVariable Symbol,List R) -> %
+--R eval : (%,SequentialDifferentialVariable Symbol,R) -> %
+--R exquo : (%,%) -> Union(%,"failed") if R has INTDOM
+--R exquo : (%,R) -> Union(%,"failed") if R has INTDOM
+--R factor : % -> Factored % if R has PFECAT
+--R factorPolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R factorSquareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R gcd : (%,%) -> % if R has GCDDOM
+--R gcd : List % -> % if R has GCDDOM
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if R has GCDDOM
+--R isExpt : % -> Union(Record(var: SequentialDifferentialVariable Symbol,exponent: NonNegativeInteger),"failed")
+--R isPlus : % -> Union(List %,"failed")
+--R isTimes : % -> Union(List %,"failed")
+--R lcm : (%,%) -> % if R has GCDDOM
+--R lcm : List % -> % if R has GCDDOM
+--R leader : % -> SequentialDifferentialVariable Symbol
+--R mainVariable : % -> Union(SequentialDifferentialVariable Symbol,"failed")
+--R makeVariable : % -> (NonNegativeInteger -> %) if R has DIFRING
+--R makeVariable : Symbol -> (NonNegativeInteger -> %)
+--R mapExponents : ((IndexedExponents SequentialDifferentialVariable Symbol -> IndexedExponents SequentialDifferentialVariable Symbol),%) -> %
+--R max : (%,%) -> % if R has ORDSET
+--R min : (%,%) -> % if R has ORDSET
+--R minimumDegree : (%,List SequentialDifferentialVariable Symbol) -> List NonNegativeInteger
+--R minimumDegree : (%,SequentialDifferentialVariable Symbol) -> NonNegativeInteger
+--R minimumDegree : % -> IndexedExponents SequentialDifferentialVariable Symbol
+--R monicDivide : (%,%,SequentialDifferentialVariable Symbol) -> Record(quotient: %,remainder: %)
+--R monomial : (%,List SequentialDifferentialVariable Symbol,List NonNegativeInteger) -> %
+--R monomial : (%,SequentialDifferentialVariable Symbol,NonNegativeInteger) -> %
+--R monomial : (R,IndexedExponents SequentialDifferentialVariable Symbol) -> %
+--R multivariate : (SparseUnivariatePolynomial %,SequentialDifferentialVariable Symbol) -> %
+--R multivariate : (SparseUnivariatePolynomial R,SequentialDifferentialVariable Symbol) -> %
+--R numberOfMonomials : % -> NonNegativeInteger
+--R order : (%,Symbol) -> NonNegativeInteger
+--R patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%) if SequentialDifferentialVariable Symbol has PATMAB INT and R has PATMAB INT
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%) if SequentialDifferentialVariable Symbol has PATMAB FLOAT and R has PATMAB FLOAT
+--R pomopo! : (%,R,IndexedExponents SequentialDifferentialVariable Symbol,%) -> %
+--R prime? : % -> Boolean if R has PFECAT
+--R primitivePart : (%,SequentialDifferentialVariable Symbol) -> % if R has GCDDOM
+--R primitivePart : % -> % if R has GCDDOM
+--R reducedSystem : Matrix % -> Matrix R
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix R,vec: Vector R)
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if R has LINEXP INT
+--R reducedSystem : Matrix % -> Matrix Integer if R has LINEXP INT
+--R resultant : (%,%,SequentialDifferentialVariable Symbol) -> % if R has COMRING
+--R retract : % -> SparseMultivariatePolynomial(R,Symbol)
+--R retract : % -> SequentialDifferentialVariable Symbol
+--R retract : % -> Integer if R has RETRACT INT
+--R retract : % -> Fraction Integer if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(SparseMultivariatePolynomial(R,Symbol),"failed")
+--R retractIfCan : % -> Union(Symbol,"failed")
+--R retractIfCan : % -> Union(SequentialDifferentialVariable Symbol,"failed")
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(R,"failed")
+--R solveLinearPolynomialEquation : (List SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> Union(List SparseUnivariatePolynomial %,"failed") if R has PFECAT
+--R squareFree : % -> Factored % if R has GCDDOM
+--R squareFreePart : % -> % if R has GCDDOM
+--R squareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R totalDegree : (%,List SequentialDifferentialVariable Symbol) -> NonNegativeInteger
+--R totalDegree : % -> NonNegativeInteger
+--R unit? : % -> Boolean if R has INTDOM
+--R unitCanonical : % -> % if R has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if R has INTDOM
+--R univariate : % -> SparseUnivariatePolynomial R
+--R univariate : (%,SequentialDifferentialVariable Symbol) -> SparseUnivariatePolynomial %
+--R variables : % -> List SequentialDifferentialVariable Symbol
+--R weight : (%,Symbol) -> NonNegativeInteger
+--R weights : (%,Symbol) -> List NonNegativeInteger
+--R weights : % -> List NonNegativeInteger
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SequentialDifferentialPolynomial.help>>=
+====================================================================
+SequentialDifferentialPolynomial examples
+====================================================================
+
+See Also:
+o )show SequentialDifferentialPolynomial
+
+@
+
 \pagehead{SequentialDifferentialPolynomial}{SDPOL}
 \pagepic{ps/v103sequentialdifferentialpolynomial.ps}{SDPOL}{1.00}
 {\bf See}\\
@@ -95210,6 +111835,51 @@ SequentialDifferentialPolynomial(R):
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SDVAR SequentialDifferentialVariable}
+
+<<SequentialDifferentialVariable.input>>=
+)set break resume
+)sys rm -f SequentialDifferentialVariable.output
+)spool SequentialDifferentialVariable.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SequentialDifferentialVariable
+--R SequentialDifferentialVariable S: OrderedSet  is a domain constructor
+--R Abbreviation for SequentialDifferentialVariable is SDVAR 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for SDVAR 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               coerce : S -> %
+--R coerce : % -> OutputForm              differentiate : % -> %
+--R hash : % -> SingleInteger             latex : % -> String
+--R max : (%,%) -> %                      min : (%,%) -> %
+--R order : % -> NonNegativeInteger       retract : % -> S
+--R variable : % -> S                     weight : % -> NonNegativeInteger
+--R ?~=? : (%,%) -> Boolean              
+--R differentiate : (%,NonNegativeInteger) -> %
+--R makeVariable : (S,NonNegativeInteger) -> %
+--R retractIfCan : % -> Union(S,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SequentialDifferentialVariable.help>>=
+====================================================================
+SequentialDifferentialVariable examples
+====================================================================
+
+See Also:
+o )show SequentialDifferentialVariable
+
+@
+
 \pagehead{SequentialDifferentialVariable}{SDVAR}
 \pagepic{ps/v103sequentialdifferentialvariable.ps}{SDVAR}{1.00}
 {\bf See}\\
@@ -95286,6 +111956,55 @@ SequentialDifferentialVariable(S:OrderedSet):DifferentialVariableCategory(S)
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SEX SExpression}
+
+<<SExpression.input>>=
+)set break resume
+)sys rm -f SExpression.output
+)spool SExpression.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SExpression
+--R SExpression  is a domain constructor
+--R Abbreviation for SExpression is SEX 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for SEX 
+--R
+--R------------------------------- Operations --------------------------------
+--R #? : % -> Integer                     ?=? : (%,%) -> Boolean
+--R atom? : % -> Boolean                  car : % -> %
+--R cdr : % -> %                          coerce : % -> OutputForm
+--R convert : OutputForm -> %             convert : DoubleFloat -> %
+--R convert : Integer -> %                convert : Symbol -> %
+--R convert : String -> %                 convert : List % -> %
+--R destruct : % -> List %                ?.? : (%,List Integer) -> %
+--R ?.? : (%,Integer) -> %                eq : (%,%) -> Boolean
+--R expr : % -> OutputForm                float : % -> DoubleFloat
+--R float? : % -> Boolean                 hash : % -> SingleInteger
+--R integer : % -> Integer                integer? : % -> Boolean
+--R latex : % -> String                   list? : % -> Boolean
+--R null? : % -> Boolean                  pair? : % -> Boolean
+--R string : % -> String                  string? : % -> Boolean
+--R symbol : % -> Symbol                  symbol? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SExpression.help>>=
+====================================================================
+SExpression examples
+====================================================================
+
+See Also:
+o )show SExpression
+
+@
+
 \pagehead{SExpression}{SEX}
 \pagepic{ps/v103sexpression.ps}{SEX}{1.00}
 {\bf See}\\
@@ -95340,6 +112059,55 @@ SExpression()
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SEXOF SExpressionOf}
+
+<<SExpressionOf.input>>=
+)set break resume
+)sys rm -f SExpressionOf.output
+)spool SExpressionOf.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SExpressionOf
+--R SExpressionOf(Str: SetCategory,Sym: SetCategory,Int: SetCategory,Flt: SetCategory,Expr: SetCategory)  is a domain constructor
+--R Abbreviation for SExpressionOf is SEXOF 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for SEXOF 
+--R
+--R------------------------------- Operations --------------------------------
+--R #? : % -> Integer                     ?=? : (%,%) -> Boolean
+--R atom? : % -> Boolean                  car : % -> %
+--R cdr : % -> %                          coerce : % -> OutputForm
+--R convert : Expr -> %                   convert : Flt -> %
+--R convert : Int -> %                    convert : Sym -> %
+--R convert : Str -> %                    convert : List % -> %
+--R destruct : % -> List %                ?.? : (%,List Integer) -> %
+--R ?.? : (%,Integer) -> %                eq : (%,%) -> Boolean
+--R expr : % -> Expr                      float : % -> Flt
+--R float? : % -> Boolean                 hash : % -> SingleInteger
+--R integer : % -> Int                    integer? : % -> Boolean
+--R latex : % -> String                   list? : % -> Boolean
+--R null? : % -> Boolean                  pair? : % -> Boolean
+--R string : % -> Str                     string? : % -> Boolean
+--R symbol : % -> Sym                     symbol? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SExpressionOf.help>>=
+====================================================================
+SExpressionOf examples
+====================================================================
+
+See Also:
+o )show SExpressionOf
+
+@
+
 \pagehead{SExpressionOf}{SEXOF}
 \pagepic{ps/v103sexpressionof.ps}{SEXOF}{1.00}
 {\bf See}\\
@@ -95453,6 +112221,153 @@ SExpressionOf(Str, Sym, Int, Flt, Expr): Decl == Body where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SAE SimpleAlgebraicExtension}
+
+<<SimpleAlgebraicExtension.input>>=
+)set break resume
+)sys rm -f SimpleAlgebraicExtension.output
+)spool SimpleAlgebraicExtension.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SimpleAlgebraicExtension
+--R SimpleAlgebraicExtension(R: CommutativeRing,UP: UnivariatePolynomialCategory R,M: UP)  is a domain constructor
+--R Abbreviation for SimpleAlgebraicExtension is SAE 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for SAE 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        basis : () -> Vector %
+--R coerce : R -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              convert : UP -> %
+--R convert : % -> UP                     convert : Vector R -> %
+--R convert : % -> Vector R               coordinates : % -> Vector R
+--R definingPolynomial : () -> UP         discriminant : () -> R
+--R discriminant : Vector % -> R          generator : () -> %
+--R hash : % -> SingleInteger             inv : % -> % if R has FIELD
+--R latex : % -> String                   lift : % -> UP
+--R norm : % -> R                         one? : % -> Boolean
+--R rank : () -> PositiveInteger          recip : % -> Union(%,"failed")
+--R reduce : UP -> %                      represents : Vector R -> %
+--R retract : % -> R                      sample : () -> %
+--R trace : % -> R                        traceMatrix : () -> Matrix R
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (%,Fraction Integer) -> % if R has FIELD
+--R ?*? : (Fraction Integer,%) -> % if R has FIELD
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,Integer) -> % if R has FIELD
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,%) -> % if R has FIELD
+--R D : (%,(R -> R)) -> % if R has FIELD
+--R D : (%,(R -> R),NonNegativeInteger) -> % if R has FIELD
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if R has FIELD and R has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if R has FIELD and R has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if R has FIELD and R has PDRING SYMBOL
+--R D : (%,Symbol) -> % if R has FIELD and R has PDRING SYMBOL
+--R D : (%,NonNegativeInteger) -> % if R has DIFRING and R has FIELD or R has FFIELDC
+--R D : % -> % if R has DIFRING and R has FIELD or R has FFIELDC
+--R ?^? : (%,Integer) -> % if R has FIELD
+--R ?^? : (%,NonNegativeInteger) -> %
+--R associates? : (%,%) -> Boolean if R has FIELD
+--R characteristic : () -> NonNegativeInteger
+--R characteristicPolynomial : % -> UP
+--R charthRoot : % -> Union(%,"failed") if R has CHARNZ
+--R charthRoot : % -> % if R has FFIELDC
+--R coerce : Fraction Integer -> % if R has FIELD or R has RETRACT FRAC INT
+--R coerce : % -> % if R has FIELD
+--R conditionP : Matrix % -> Union(Vector %,"failed") if R has FFIELDC
+--R coordinates : Vector % -> Matrix R
+--R coordinates : (Vector %,Vector %) -> Matrix R
+--R coordinates : (%,Vector %) -> Vector R
+--R createPrimitiveElement : () -> % if R has FFIELDC
+--R derivationCoordinates : (Vector %,(R -> R)) -> Matrix R if R has FIELD
+--R differentiate : (%,(R -> R)) -> % if R has FIELD
+--R differentiate : (%,(R -> R),NonNegativeInteger) -> % if R has FIELD
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if R has FIELD and R has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if R has FIELD and R has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if R has FIELD and R has PDRING SYMBOL
+--R differentiate : (%,Symbol) -> % if R has FIELD and R has PDRING SYMBOL
+--R differentiate : (%,NonNegativeInteger) -> % if R has DIFRING and R has FIELD or R has FFIELDC
+--R differentiate : % -> % if R has DIFRING and R has FIELD or R has FFIELDC
+--R discreteLog : (%,%) -> Union(NonNegativeInteger,"failed") if R has FFIELDC
+--R discreteLog : % -> NonNegativeInteger if R has FFIELDC
+--R divide : (%,%) -> Record(quotient: %,remainder: %) if R has FIELD
+--R euclideanSize : % -> NonNegativeInteger if R has FIELD
+--R expressIdealMember : (List %,%) -> Union(List %,"failed") if R has FIELD
+--R exquo : (%,%) -> Union(%,"failed") if R has FIELD
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %) if R has FIELD
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed") if R has FIELD
+--R factor : % -> Factored % if R has FIELD
+--R factorsOfCyclicGroupSize : () -> List Record(factor: Integer,exponent: Integer) if R has FFIELDC
+--R gcd : (%,%) -> % if R has FIELD
+--R gcd : List % -> % if R has FIELD
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if R has FIELD
+--R index : PositiveInteger -> % if R has FINITE
+--R init : () -> % if R has FFIELDC
+--R lcm : (%,%) -> % if R has FIELD
+--R lcm : List % -> % if R has FIELD
+--R lookup : % -> PositiveInteger if R has FINITE
+--R minimalPolynomial : % -> UP if R has FIELD
+--R multiEuclidean : (List %,%) -> Union(List %,"failed") if R has FIELD
+--R nextItem : % -> Union(%,"failed") if R has FFIELDC
+--R order : % -> OnePointCompletion PositiveInteger if R has FFIELDC
+--R order : % -> PositiveInteger if R has FFIELDC
+--R prime? : % -> Boolean if R has FIELD
+--R primeFrobenius : % -> % if R has FFIELDC
+--R primeFrobenius : (%,NonNegativeInteger) -> % if R has FFIELDC
+--R primitive? : % -> Boolean if R has FFIELDC
+--R primitiveElement : () -> % if R has FFIELDC
+--R principalIdeal : List % -> Record(coef: List %,generator: %) if R has FIELD
+--R ?quo? : (%,%) -> % if R has FIELD
+--R random : () -> % if R has FINITE
+--R reduce : Fraction UP -> Union(%,"failed") if R has FIELD
+--R reducedSystem : Matrix % -> Matrix R
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix R,vec: Vector R)
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if R has LINEXP INT
+--R reducedSystem : Matrix % -> Matrix Integer if R has LINEXP INT
+--R regularRepresentation : % -> Matrix R
+--R regularRepresentation : (%,Vector %) -> Matrix R
+--R ?rem? : (%,%) -> % if R has FIELD
+--R representationType : () -> Union("prime",polynomial,normal,cyclic) if R has FFIELDC
+--R represents : (Vector R,Vector %) -> %
+--R retract : % -> Fraction Integer if R has RETRACT FRAC INT
+--R retract : % -> Integer if R has RETRACT INT
+--R retractIfCan : % -> Union(R,"failed")
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R size : () -> NonNegativeInteger if R has FINITE
+--R sizeLess? : (%,%) -> Boolean if R has FIELD
+--R squareFree : % -> Factored % if R has FIELD
+--R squareFreePart : % -> % if R has FIELD
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tableForDiscreteLogarithm : Integer -> Table(PositiveInteger,NonNegativeInteger) if R has FFIELDC
+--R traceMatrix : Vector % -> Matrix R
+--R unit? : % -> Boolean if R has FIELD
+--R unitCanonical : % -> % if R has FIELD
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if R has FIELD
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SimpleAlgebraicExtension.help>>=
+====================================================================
+SimpleAlgebraicExtension examples
+====================================================================
+
+See Also:
+o )show SimpleAlgebraicExtension
+
+@
+
 \pagehead{SimpleAlgebraicExtension}{SAE}
 \pagepic{ps/v103simplealgebraicextension.ps}{SAE}{1.00}
 
@@ -95729,6 +112644,41 @@ SimpleAlgebraicExtension(R:CommutativeRing,
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SFORT SimpleFortranProgram}
+
+<<SimpleFortranProgram.input>>=
+)set break resume
+)sys rm -f SimpleFortranProgram.output
+)spool SimpleFortranProgram.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SimpleFortranProgram
+--R SimpleFortranProgram(R: OrderedSet,FS: FunctionSpace R)  is a domain constructor
+--R Abbreviation for SimpleFortranProgram is SFORT 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for SFORT 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : % -> OutputForm              outputAsFortran : % -> Void
+--R fortran : (Symbol,FortranScalarType,FS) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SimpleFortranProgram.help>>=
+====================================================================
+SimpleFortranProgram examples
+====================================================================
+
+See Also:
+o )show SimpleFortranProgram
+
+@
+
 \pagehead{SimpleFortranProgram}{SFORT}
 \pagepic{ps/v103simplefortranprogram.ps}{SFORT}{1.00}
 {\bf See}\\
@@ -95822,6 +112772,7 @@ SimpleFortranProgram(R,FS): Exports == Implementation where
 The definition of {\bf one?} has been rewritten 
 as it relies on calling {\bf ONEP} which is a function specific
 to Codemist Common Lisp but is not defined in Common Lisp.
+
 <<SingleInteger.input>>=
 )set break resume
 )sys rm -f SingleInteger.output
@@ -96315,6 +113266,46 @@ SingleInteger(): Join(IntegerNumberSystem,Logic,OpenMath) with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SAOS SingletonAsOrderedSet}
+
+<<SingletonAsOrderedSet.input>>=
+)set break resume
+)sys rm -f SingletonAsOrderedSet.output
+)spool SingletonAsOrderedSet.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SingletonAsOrderedSet
+--R SingletonAsOrderedSet  is a domain constructor
+--R Abbreviation for SingletonAsOrderedSet is SAOS 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for SAOS 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?<? : (%,%) -> Boolean                ?<=? : (%,%) -> Boolean
+--R ?=? : (%,%) -> Boolean                ?>? : (%,%) -> Boolean
+--R ?>=? : (%,%) -> Boolean               coerce : % -> OutputForm
+--R convert : % -> Symbol                 create : () -> %
+--R hash : % -> SingleInteger             latex : % -> String
+--R max : (%,%) -> %                      min : (%,%) -> %
+--R ?~=? : (%,%) -> Boolean              
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SingletonAsOrderedSet.help>>=
+====================================================================
+SingletonAsOrderedSet examples
+====================================================================
+
+See Also:
+o )show SingletonAsOrderedSet
+
+@
+
 \pagehead{SingletonAsOrderedSet}{SAOS}
 \pagepic{ps/v103singletonasorderedset.ps}{SAOS}{1.00}
 
@@ -96363,6 +113354,154 @@ SingletonAsOrderedSet(): OrderedSet with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SMP SparseMultivariatePolynomial}
+
+<<SparseMultivariatePolynomial.input>>=
+)set break resume
+)sys rm -f SparseMultivariatePolynomial.output
+)spool SparseMultivariatePolynomial.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SparseMultivariatePolynomial
+--R SparseMultivariatePolynomial(R: Ring,VarSet: OrderedSet)  is a domain constructor
+--R Abbreviation for SparseMultivariatePolynomial is SMP 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for SMP 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,R) -> %                      ?*? : (R,%) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R D : (%,List VarSet) -> %              D : (%,VarSet) -> %
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coefficients : % -> List R
+--R coerce : VarSet -> %                  coerce : R -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R differentiate : (%,VarSet) -> %       eval : (%,VarSet,%) -> %
+--R eval : (%,VarSet,R) -> %              eval : (%,List %,List %) -> %
+--R eval : (%,%,%) -> %                   eval : (%,Equation %) -> %
+--R eval : (%,List Equation %) -> %       ground : % -> R
+--R ground? : % -> Boolean                hash : % -> SingleInteger
+--R latex : % -> String                   leadingCoefficient : % -> R
+--R leadingMonomial : % -> %              map : ((R -> R),%) -> %
+--R monomial? : % -> Boolean              monomials : % -> List %
+--R one? : % -> Boolean                   primitiveMonomials : % -> List %
+--R recip : % -> Union(%,"failed")        reductum : % -> %
+--R retract : % -> VarSet                 retract : % -> R
+--R sample : () -> %                      variables : % -> List VarSet
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (Fraction Integer,%) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (%,Fraction Integer) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,R) -> % if R has FIELD
+--R ?<? : (%,%) -> Boolean if R has ORDSET
+--R ?<=? : (%,%) -> Boolean if R has ORDSET
+--R ?>? : (%,%) -> Boolean if R has ORDSET
+--R ?>=? : (%,%) -> Boolean if R has ORDSET
+--R D : (%,List VarSet,List NonNegativeInteger) -> %
+--R D : (%,VarSet,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R associates? : (%,%) -> Boolean if R has INTDOM
+--R binomThmExpt : (%,%,NonNegativeInteger) -> % if R has COMRING
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if $ has CHARNZ and R has PFECAT or R has CHARNZ
+--R coefficient : (%,List VarSet,List NonNegativeInteger) -> %
+--R coefficient : (%,VarSet,NonNegativeInteger) -> %
+--R coefficient : (%,IndexedExponents VarSet) -> R
+--R coerce : Fraction Integer -> % if R has ALGEBRA FRAC INT or R has RETRACT FRAC INT
+--R coerce : % -> % if R has INTDOM
+--R conditionP : Matrix % -> Union(Vector %,"failed") if $ has CHARNZ and R has PFECAT
+--R content : (%,VarSet) -> % if R has GCDDOM
+--R content : % -> R if R has GCDDOM
+--R convert : % -> InputForm if R has KONVERT INFORM and VarSet has KONVERT INFORM
+--R convert : % -> Pattern Integer if R has KONVERT PATTERN INT and VarSet has KONVERT PATTERN INT
+--R convert : % -> Pattern Float if R has KONVERT PATTERN FLOAT and VarSet has KONVERT PATTERN FLOAT
+--R degree : (%,List VarSet) -> List NonNegativeInteger
+--R degree : (%,VarSet) -> NonNegativeInteger
+--R degree : % -> IndexedExponents VarSet
+--R differentiate : (%,List VarSet,List NonNegativeInteger) -> %
+--R differentiate : (%,VarSet,NonNegativeInteger) -> %
+--R differentiate : (%,List VarSet) -> %
+--R discriminant : (%,VarSet) -> % if R has COMRING
+--R eval : (%,List VarSet,List %) -> %
+--R eval : (%,List VarSet,List R) -> %
+--R exquo : (%,%) -> Union(%,"failed") if R has INTDOM
+--R exquo : (%,R) -> Union(%,"failed") if R has INTDOM
+--R factor : % -> Factored % if R has PFECAT
+--R factorPolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R factorSquareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R gcd : (%,%) -> % if R has GCDDOM
+--R gcd : List % -> % if R has GCDDOM
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if R has GCDDOM
+--R isExpt : % -> Union(Record(var: VarSet,exponent: NonNegativeInteger),"failed")
+--R isPlus : % -> Union(List %,"failed")
+--R isTimes : % -> Union(List %,"failed")
+--R lcm : (%,%) -> % if R has GCDDOM
+--R lcm : List % -> % if R has GCDDOM
+--R mainVariable : % -> Union(VarSet,"failed")
+--R mapExponents : ((IndexedExponents VarSet -> IndexedExponents VarSet),%) -> %
+--R max : (%,%) -> % if R has ORDSET
+--R min : (%,%) -> % if R has ORDSET
+--R minimumDegree : (%,List VarSet) -> List NonNegativeInteger
+--R minimumDegree : (%,VarSet) -> NonNegativeInteger
+--R minimumDegree : % -> IndexedExponents VarSet
+--R monicDivide : (%,%,VarSet) -> Record(quotient: %,remainder: %)
+--R monomial : (%,List VarSet,List NonNegativeInteger) -> %
+--R monomial : (%,VarSet,NonNegativeInteger) -> %
+--R monomial : (R,IndexedExponents VarSet) -> %
+--R multivariate : (SparseUnivariatePolynomial %,VarSet) -> %
+--R multivariate : (SparseUnivariatePolynomial R,VarSet) -> %
+--R numberOfMonomials : % -> NonNegativeInteger
+--R patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%) if R has PATMAB INT and VarSet has PATMAB INT
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%) if R has PATMAB FLOAT and VarSet has PATMAB FLOAT
+--R pomopo! : (%,R,IndexedExponents VarSet,%) -> %
+--R prime? : % -> Boolean if R has PFECAT
+--R primitivePart : (%,VarSet) -> % if R has GCDDOM
+--R primitivePart : % -> % if R has GCDDOM
+--R reducedSystem : Matrix % -> Matrix R
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix R,vec: Vector R)
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if R has LINEXP INT
+--R reducedSystem : Matrix % -> Matrix Integer if R has LINEXP INT
+--R resultant : (%,%,VarSet) -> % if R has COMRING
+--R retract : % -> Integer if R has RETRACT INT
+--R retract : % -> Fraction Integer if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(VarSet,"failed")
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(R,"failed")
+--R solveLinearPolynomialEquation : (List SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> Union(List SparseUnivariatePolynomial %,"failed") if R has PFECAT
+--R squareFree : % -> Factored % if R has GCDDOM
+--R squareFreePart : % -> % if R has GCDDOM
+--R squareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R totalDegree : (%,List VarSet) -> NonNegativeInteger
+--R totalDegree : % -> NonNegativeInteger
+--R unit? : % -> Boolean if R has INTDOM
+--R unitCanonical : % -> % if R has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if R has INTDOM
+--R univariate : % -> SparseUnivariatePolynomial R
+--R univariate : (%,VarSet) -> SparseUnivariatePolynomial %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SparseMultivariatePolynomial.help>>=
+====================================================================
+SparseMultivariatePolynomial examples
+====================================================================
+
+See Also:
+o )show SparseMultivariatePolynomial
+
+@
+
 \pagehead{SparseMultivariatePolynomial}{SMP}
 \pagepic{ps/v103sparsemultivariatepolynomial.ps}{SMP}{1.00}
 {\bf See}\\
@@ -97044,6 +114183,7 @@ SparseMultivariatePolynomial(R: Ring,VarSet: OrderedSet): C == T where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SMTS SparseMultivariateTaylorSeries}
+
 <<SparseMultivariateTaylorSeries.input>>=
 )set break resume
 )sys rm -f SparseMultivariateTaylorSeries.output
@@ -97659,6 +114799,7 @@ SparseMultivariateTaylorSeries(Coef,Var,SMP):_
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain STBL SparseTable}
+
 <<SparseTable.input>>=
 )set break resume
 )sys rm -f SparseTable.output
@@ -97878,6 +115019,226 @@ SparseTable(Key:SetCategory, Ent:SetCategory, dent:Ent) ==
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SULS SparseUnivariateLaurentSeries}
+
+<<SparseUnivariateLaurentSeries.input>>=
+)set break resume
+)sys rm -f SparseUnivariateLaurentSeries.output
+)spool SparseUnivariateLaurentSeries.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SparseUnivariateLaurentSeries
+--R SparseUnivariateLaurentSeries(Coef: Ring,var: Symbol,cen: Coef)  is a domain constructor
+--R Abbreviation for SparseUnivariateLaurentSeries is SULS 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for SULS 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Coef,%) -> %                   ?*? : (%,Coef) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        center : % -> Coef
+--R coefficient : (%,Integer) -> Coef     coerce : Variable var -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R complete : % -> %                     degree : % -> Integer
+--R ?.? : (%,Integer) -> Coef             extend : (%,Integer) -> %
+--R hash : % -> SingleInteger             latex : % -> String
+--R leadingCoefficient : % -> Coef        leadingMonomial : % -> %
+--R map : ((Coef -> Coef),%) -> %         monomial : (Coef,Integer) -> %
+--R monomial? : % -> Boolean              one? : % -> Boolean
+--R order : (%,Integer) -> Integer        order : % -> Integer
+--R pole? : % -> Boolean                  recip : % -> Union(%,"failed")
+--R reductum : % -> %                     removeZeroes : (Integer,%) -> %
+--R removeZeroes : % -> %                 sample : () -> %
+--R truncate : (%,Integer) -> %           variable : % -> Symbol
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (Fraction Integer,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (SparseUnivariateTaylorSeries(Coef,var,cen),%) -> % if Coef has FIELD
+--R ?*? : (%,SparseUnivariateTaylorSeries(Coef,var,cen)) -> % if Coef has FIELD
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,Integer) -> % if Coef has FIELD
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (SparseUnivariateTaylorSeries(Coef,var,cen),SparseUnivariateTaylorSeries(Coef,var,cen)) -> % if Coef has FIELD
+--R ?/? : (%,%) -> % if Coef has FIELD
+--R ?/? : (%,Coef) -> % if Coef has FIELD
+--R ?<? : (%,%) -> Boolean if SparseUnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD or SparseUnivariateTaylorSeries(Coef,var,cen) has ORDSET and Coef has FIELD
+--R ?<=? : (%,%) -> Boolean if SparseUnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD or SparseUnivariateTaylorSeries(Coef,var,cen) has ORDSET and Coef has FIELD
+--R ?>? : (%,%) -> Boolean if SparseUnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD or SparseUnivariateTaylorSeries(Coef,var,cen) has ORDSET and Coef has FIELD
+--R ?>=? : (%,%) -> Boolean if SparseUnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD or SparseUnivariateTaylorSeries(Coef,var,cen) has ORDSET and Coef has FIELD
+--R D : (%,Symbol) -> % if SparseUnivariateTaylorSeries(Coef,var,cen) has PDRING SYMBOL and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if SparseUnivariateTaylorSeries(Coef,var,cen) has PDRING SYMBOL and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if SparseUnivariateTaylorSeries(Coef,var,cen) has PDRING SYMBOL and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if SparseUnivariateTaylorSeries(Coef,var,cen) has PDRING SYMBOL and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : % -> % if SparseUnivariateTaylorSeries(Coef,var,cen) has DIFRING and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef
+--R D : (%,NonNegativeInteger) -> % if SparseUnivariateTaylorSeries(Coef,var,cen) has DIFRING and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef
+--R D : (%,(SparseUnivariateTaylorSeries(Coef,var,cen) -> SparseUnivariateTaylorSeries(Coef,var,cen)),NonNegativeInteger) -> % if Coef has FIELD
+--R D : (%,(SparseUnivariateTaylorSeries(Coef,var,cen) -> SparseUnivariateTaylorSeries(Coef,var,cen))) -> % if Coef has FIELD
+--R ?^? : (%,Integer) -> % if Coef has FIELD
+--R ?^? : (%,NonNegativeInteger) -> %
+--R abs : % -> % if SparseUnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD
+--R acos : % -> % if Coef has ALGEBRA FRAC INT
+--R acosh : % -> % if Coef has ALGEBRA FRAC INT
+--R acot : % -> % if Coef has ALGEBRA FRAC INT
+--R acoth : % -> % if Coef has ALGEBRA FRAC INT
+--R acsc : % -> % if Coef has ALGEBRA FRAC INT
+--R acsch : % -> % if Coef has ALGEBRA FRAC INT
+--R approximate : (%,Integer) -> Coef if Coef has **: (Coef,Integer) -> Coef and Coef has coerce: Symbol -> Coef
+--R asec : % -> % if Coef has ALGEBRA FRAC INT
+--R asech : % -> % if Coef has ALGEBRA FRAC INT
+--R asin : % -> % if Coef has ALGEBRA FRAC INT
+--R asinh : % -> % if Coef has ALGEBRA FRAC INT
+--R associates? : (%,%) -> Boolean if SparseUnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD or SparseUnivariateTaylorSeries(Coef,var,cen) has PFECAT and Coef has FIELD or Coef has INTDOM
+--R atan : % -> % if Coef has ALGEBRA FRAC INT
+--R atanh : % -> % if Coef has ALGEBRA FRAC INT
+--R ceiling : % -> SparseUnivariateTaylorSeries(Coef,var,cen) if SparseUnivariateTaylorSeries(Coef,var,cen) has INS and Coef has FIELD
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if $ has CHARNZ and SparseUnivariateTaylorSeries(Coef,var,cen) has PFECAT and Coef has FIELD or SparseUnivariateTaylorSeries(Coef,var,cen) has CHARNZ and Coef has FIELD or Coef has CHARNZ
+--R coerce : Fraction Integer -> % if SparseUnivariateTaylorSeries(Coef,var,cen) has RETRACT INT and Coef has FIELD or Coef has ALGEBRA FRAC INT
+--R coerce : % -> % if SparseUnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD or SparseUnivariateTaylorSeries(Coef,var,cen) has PFECAT and Coef has FIELD or Coef has INTDOM
+--R coerce : Symbol -> % if SparseUnivariateTaylorSeries(Coef,var,cen) has RETRACT SYMBOL and Coef has FIELD
+--R coerce : SparseUnivariateTaylorSeries(Coef,var,cen) -> %
+--R coerce : Coef -> % if Coef has COMRING
+--R conditionP : Matrix % -> Union(Vector %,"failed") if $ has CHARNZ and SparseUnivariateTaylorSeries(Coef,var,cen) has PFECAT and Coef has FIELD
+--R convert : % -> Pattern Integer if SparseUnivariateTaylorSeries(Coef,var,cen) has KONVERT PATTERN INT and Coef has FIELD
+--R convert : % -> Pattern Float if SparseUnivariateTaylorSeries(Coef,var,cen) has KONVERT PATTERN FLOAT and Coef has FIELD
+--R convert : % -> DoubleFloat if SparseUnivariateTaylorSeries(Coef,var,cen) has REAL and Coef has FIELD
+--R convert : % -> Float if SparseUnivariateTaylorSeries(Coef,var,cen) has REAL and Coef has FIELD
+--R convert : % -> InputForm if SparseUnivariateTaylorSeries(Coef,var,cen) has KONVERT INFORM and Coef has FIELD
+--R cos : % -> % if Coef has ALGEBRA FRAC INT
+--R cosh : % -> % if Coef has ALGEBRA FRAC INT
+--R cot : % -> % if Coef has ALGEBRA FRAC INT
+--R coth : % -> % if Coef has ALGEBRA FRAC INT
+--R csc : % -> % if Coef has ALGEBRA FRAC INT
+--R csch : % -> % if Coef has ALGEBRA FRAC INT
+--R denom : % -> SparseUnivariateTaylorSeries(Coef,var,cen) if Coef has FIELD
+--R denominator : % -> % if Coef has FIELD
+--R differentiate : (%,Symbol) -> % if SparseUnivariateTaylorSeries(Coef,var,cen) has PDRING SYMBOL and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if SparseUnivariateTaylorSeries(Coef,var,cen) has PDRING SYMBOL and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if SparseUnivariateTaylorSeries(Coef,var,cen) has PDRING SYMBOL and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if SparseUnivariateTaylorSeries(Coef,var,cen) has PDRING SYMBOL and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : % -> % if SparseUnivariateTaylorSeries(Coef,var,cen) has DIFRING and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef
+--R differentiate : (%,NonNegativeInteger) -> % if SparseUnivariateTaylorSeries(Coef,var,cen) has DIFRING and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef
+--R differentiate : (%,Variable var) -> %
+--R differentiate : (%,(SparseUnivariateTaylorSeries(Coef,var,cen) -> SparseUnivariateTaylorSeries(Coef,var,cen)),NonNegativeInteger) -> % if Coef has FIELD
+--R differentiate : (%,(SparseUnivariateTaylorSeries(Coef,var,cen) -> SparseUnivariateTaylorSeries(Coef,var,cen))) -> % if Coef has FIELD
+--R divide : (%,%) -> Record(quotient: %,remainder: %) if Coef has FIELD
+--R ?.? : (%,SparseUnivariateTaylorSeries(Coef,var,cen)) -> % if SparseUnivariateTaylorSeries(Coef,var,cen) has ELTAB(SUTS(Coef,var,cen),SUTS(Coef,var,cen)) and Coef has FIELD
+--R ?.? : (%,%) -> % if Integer has SGROUP
+--R euclideanSize : % -> NonNegativeInteger if Coef has FIELD
+--R eval : (%,List SparseUnivariateTaylorSeries(Coef,var,cen),List SparseUnivariateTaylorSeries(Coef,var,cen)) -> % if SparseUnivariateTaylorSeries(Coef,var,cen) has EVALAB SUTS(Coef,var,cen) and Coef has FIELD
+--R eval : (%,SparseUnivariateTaylorSeries(Coef,var,cen),SparseUnivariateTaylorSeries(Coef,var,cen)) -> % if SparseUnivariateTaylorSeries(Coef,var,cen) has EVALAB SUTS(Coef,var,cen) and Coef has FIELD
+--R eval : (%,Equation SparseUnivariateTaylorSeries(Coef,var,cen)) -> % if SparseUnivariateTaylorSeries(Coef,var,cen) has EVALAB SUTS(Coef,var,cen) and Coef has FIELD
+--R eval : (%,List Equation SparseUnivariateTaylorSeries(Coef,var,cen)) -> % if SparseUnivariateTaylorSeries(Coef,var,cen) has EVALAB SUTS(Coef,var,cen) and Coef has FIELD
+--R eval : (%,List Symbol,List SparseUnivariateTaylorSeries(Coef,var,cen)) -> % if SparseUnivariateTaylorSeries(Coef,var,cen) has IEVALAB(SYMBOL,SUTS(Coef,var,cen)) and Coef has FIELD
+--R eval : (%,Symbol,SparseUnivariateTaylorSeries(Coef,var,cen)) -> % if SparseUnivariateTaylorSeries(Coef,var,cen) has IEVALAB(SYMBOL,SUTS(Coef,var,cen)) and Coef has FIELD
+--R eval : (%,Coef) -> Stream Coef if Coef has **: (Coef,Integer) -> Coef
+--R exp : % -> % if Coef has ALGEBRA FRAC INT
+--R expressIdealMember : (List %,%) -> Union(List %,"failed") if Coef has FIELD
+--R exquo : (%,%) -> Union(%,"failed") if SparseUnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD or SparseUnivariateTaylorSeries(Coef,var,cen) has PFECAT and Coef has FIELD or Coef has INTDOM
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %) if Coef has FIELD
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed") if Coef has FIELD
+--R factor : % -> Factored % if Coef has FIELD
+--R factorPolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if SparseUnivariateTaylorSeries(Coef,var,cen) has PFECAT and Coef has FIELD
+--R factorSquareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if SparseUnivariateTaylorSeries(Coef,var,cen) has PFECAT and Coef has FIELD
+--R floor : % -> SparseUnivariateTaylorSeries(Coef,var,cen) if SparseUnivariateTaylorSeries(Coef,var,cen) has INS and Coef has FIELD
+--R fractionPart : % -> % if SparseUnivariateTaylorSeries(Coef,var,cen) has EUCDOM and Coef has FIELD
+--R gcd : (%,%) -> % if Coef has FIELD
+--R gcd : List % -> % if Coef has FIELD
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if Coef has FIELD
+--R init : () -> % if SparseUnivariateTaylorSeries(Coef,var,cen) has STEP and Coef has FIELD
+--R integrate : (%,Variable var) -> % if Coef has ALGEBRA FRAC INT
+--R integrate : (%,Symbol) -> % if Coef has integrate: (Coef,Symbol) -> Coef and Coef has variables: Coef -> List Symbol and Coef has ALGEBRA FRAC INT or Coef has ACFS INT and Coef has ALGEBRA FRAC INT and Coef has PRIMCAT and Coef has TRANFUN
+--R integrate : % -> % if Coef has ALGEBRA FRAC INT
+--R inv : % -> % if Coef has FIELD
+--R laurent : (Integer,SparseUnivariateTaylorSeries(Coef,var,cen)) -> %
+--R lcm : (%,%) -> % if Coef has FIELD
+--R lcm : List % -> % if Coef has FIELD
+--R log : % -> % if Coef has ALGEBRA FRAC INT
+--R map : ((SparseUnivariateTaylorSeries(Coef,var,cen) -> SparseUnivariateTaylorSeries(Coef,var,cen)),%) -> % if Coef has FIELD
+--R max : (%,%) -> % if SparseUnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD or SparseUnivariateTaylorSeries(Coef,var,cen) has ORDSET and Coef has FIELD
+--R min : (%,%) -> % if SparseUnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD or SparseUnivariateTaylorSeries(Coef,var,cen) has ORDSET and Coef has FIELD
+--R monomial : (%,List SingletonAsOrderedSet,List Integer) -> %
+--R monomial : (%,SingletonAsOrderedSet,Integer) -> %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed") if Coef has FIELD
+--R multiplyCoefficients : ((Integer -> Coef),%) -> %
+--R multiplyExponents : (%,PositiveInteger) -> %
+--R negative? : % -> Boolean if SparseUnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD
+--R nextItem : % -> Union(%,"failed") if SparseUnivariateTaylorSeries(Coef,var,cen) has STEP and Coef has FIELD
+--R nthRoot : (%,Integer) -> % if Coef has ALGEBRA FRAC INT
+--R numer : % -> SparseUnivariateTaylorSeries(Coef,var,cen) if Coef has FIELD
+--R numerator : % -> % if Coef has FIELD
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%) if SparseUnivariateTaylorSeries(Coef,var,cen) has PATMAB FLOAT and Coef has FIELD
+--R patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%) if SparseUnivariateTaylorSeries(Coef,var,cen) has PATMAB INT and Coef has FIELD
+--R pi : () -> % if Coef has ALGEBRA FRAC INT
+--R positive? : % -> Boolean if SparseUnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD
+--R prime? : % -> Boolean if Coef has FIELD
+--R principalIdeal : List % -> Record(coef: List %,generator: %) if Coef has FIELD
+--R ?quo? : (%,%) -> % if Coef has FIELD
+--R random : () -> % if SparseUnivariateTaylorSeries(Coef,var,cen) has INS and Coef has FIELD
+--R rationalFunction : (%,Integer,Integer) -> Fraction Polynomial Coef if Coef has INTDOM
+--R rationalFunction : (%,Integer) -> Fraction Polynomial Coef if Coef has INTDOM
+--R reducedSystem : Matrix % -> Matrix Integer if SparseUnivariateTaylorSeries(Coef,var,cen) has LINEXP INT and Coef has FIELD
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if SparseUnivariateTaylorSeries(Coef,var,cen) has LINEXP INT and Coef has FIELD
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix SparseUnivariateTaylorSeries(Coef,var,cen),vec: Vector SparseUnivariateTaylorSeries(Coef,var,cen)) if Coef has FIELD
+--R reducedSystem : Matrix % -> Matrix SparseUnivariateTaylorSeries(Coef,var,cen) if Coef has FIELD
+--R ?rem? : (%,%) -> % if Coef has FIELD
+--R retract : % -> Integer if SparseUnivariateTaylorSeries(Coef,var,cen) has RETRACT INT and Coef has FIELD
+--R retract : % -> Fraction Integer if SparseUnivariateTaylorSeries(Coef,var,cen) has RETRACT INT and Coef has FIELD
+--R retract : % -> Symbol if SparseUnivariateTaylorSeries(Coef,var,cen) has RETRACT SYMBOL and Coef has FIELD
+--R retract : % -> SparseUnivariateTaylorSeries(Coef,var,cen)
+--R retractIfCan : % -> Union(Integer,"failed") if SparseUnivariateTaylorSeries(Coef,var,cen) has RETRACT INT and Coef has FIELD
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if SparseUnivariateTaylorSeries(Coef,var,cen) has RETRACT INT and Coef has FIELD
+--R retractIfCan : % -> Union(Symbol,"failed") if SparseUnivariateTaylorSeries(Coef,var,cen) has RETRACT SYMBOL and Coef has FIELD
+--R retractIfCan : % -> Union(SparseUnivariateTaylorSeries(Coef,var,cen),"failed")
+--R sec : % -> % if Coef has ALGEBRA FRAC INT
+--R sech : % -> % if Coef has ALGEBRA FRAC INT
+--R series : Stream Record(k: Integer,c: Coef) -> %
+--R sign : % -> Integer if SparseUnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD
+--R sin : % -> % if Coef has ALGEBRA FRAC INT
+--R sinh : % -> % if Coef has ALGEBRA FRAC INT
+--R sizeLess? : (%,%) -> Boolean if Coef has FIELD
+--R solveLinearPolynomialEquation : (List SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> Union(List SparseUnivariatePolynomial %,"failed") if SparseUnivariateTaylorSeries(Coef,var,cen) has PFECAT and Coef has FIELD
+--R sqrt : % -> % if Coef has ALGEBRA FRAC INT
+--R squareFree : % -> Factored % if Coef has FIELD
+--R squareFreePart : % -> % if Coef has FIELD
+--R squareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if SparseUnivariateTaylorSeries(Coef,var,cen) has PFECAT and Coef has FIELD
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tan : % -> % if Coef has ALGEBRA FRAC INT
+--R tanh : % -> % if Coef has ALGEBRA FRAC INT
+--R taylor : % -> SparseUnivariateTaylorSeries(Coef,var,cen)
+--R taylorIfCan : % -> Union(SparseUnivariateTaylorSeries(Coef,var,cen),"failed")
+--R taylorRep : % -> SparseUnivariateTaylorSeries(Coef,var,cen)
+--R terms : % -> Stream Record(k: Integer,c: Coef)
+--R truncate : (%,Integer,Integer) -> %
+--R unit? : % -> Boolean if SparseUnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD or SparseUnivariateTaylorSeries(Coef,var,cen) has PFECAT and Coef has FIELD or Coef has INTDOM
+--R unitCanonical : % -> % if SparseUnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD or SparseUnivariateTaylorSeries(Coef,var,cen) has PFECAT and Coef has FIELD or Coef has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if SparseUnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD or SparseUnivariateTaylorSeries(Coef,var,cen) has PFECAT and Coef has FIELD or Coef has INTDOM
+--R variables : % -> List SingletonAsOrderedSet
+--R wholePart : % -> SparseUnivariateTaylorSeries(Coef,var,cen) if SparseUnivariateTaylorSeries(Coef,var,cen) has EUCDOM and Coef has FIELD
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SparseUnivariateLaurentSeries.help>>=
+====================================================================
+SparseUnivariateLaurentSeries examples
+====================================================================
+
+See Also:
+o )show SparseUnivariateLaurentSeries
+
+@
+
 \pagehead{SparseUnivariateLaurentSeries}{SULS}
 \pagepic{ps/v103sparseunivariatelaurentseries.ps}{SULS}{1.00}
 
@@ -98226,6 +115587,210 @@ SparseUnivariateLaurentSeries(Coef,var,cen): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SUP SparseUnivariatePolynomial}
+
+<<SparseUnivariatePolynomial.input>>=
+)set break resume
+)sys rm -f SparseUnivariatePolynomial.output
+)spool SparseUnivariatePolynomial.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SparseUnivariatePolynomial
+--R SparseUnivariatePolynomial R: Ring  is a domain constructor
+--R Abbreviation for SparseUnivariatePolynomial is SUP 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for SUP 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,R) -> %                      ?*? : (R,%) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R D : (%,(R -> R)) -> %                 D : % -> %
+--R D : (%,NonNegativeInteger) -> %       1 : () -> %
+--R 0 : () -> %                           ?^? : (%,PositiveInteger) -> %
+--R coefficients : % -> List R            coerce : R -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R degree : % -> NonNegativeInteger      differentiate : % -> %
+--R ?.? : (%,%) -> %                      ?.? : (%,R) -> R
+--R eval : (%,List %,List %) -> %         eval : (%,%,%) -> %
+--R eval : (%,Equation %) -> %            eval : (%,List Equation %) -> %
+--R ground : % -> R                       ground? : % -> Boolean
+--R hash : % -> SingleInteger             init : () -> % if R has STEP
+--R latex : % -> String                   leadingCoefficient : % -> R
+--R leadingMonomial : % -> %              map : ((R -> R),%) -> %
+--R monomial? : % -> Boolean              monomials : % -> List %
+--R one? : % -> Boolean                   primitiveMonomials : % -> List %
+--R pseudoRemainder : (%,%) -> %          recip : % -> Union(%,"failed")
+--R reductum : % -> %                     retract : % -> R
+--R sample : () -> %                      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (Fraction Integer,%) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (%,Fraction Integer) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,R) -> % if R has FIELD
+--R ?<? : (%,%) -> Boolean if R has ORDSET
+--R ?<=? : (%,%) -> Boolean if R has ORDSET
+--R ?>? : (%,%) -> Boolean if R has ORDSET
+--R ?>=? : (%,%) -> Boolean if R has ORDSET
+--R D : (%,(R -> R),NonNegativeInteger) -> %
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if R has PDRING SYMBOL
+--R D : (%,Symbol) -> % if R has PDRING SYMBOL
+--R D : (%,List SingletonAsOrderedSet,List NonNegativeInteger) -> %
+--R D : (%,SingletonAsOrderedSet,NonNegativeInteger) -> %
+--R D : (%,List SingletonAsOrderedSet) -> %
+--R D : (%,SingletonAsOrderedSet) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R associates? : (%,%) -> Boolean if R has INTDOM
+--R binomThmExpt : (%,%,NonNegativeInteger) -> % if R has COMRING
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if $ has CHARNZ and R has PFECAT or R has CHARNZ
+--R coefficient : (%,List SingletonAsOrderedSet,List NonNegativeInteger) -> %
+--R coefficient : (%,SingletonAsOrderedSet,NonNegativeInteger) -> %
+--R coefficient : (%,NonNegativeInteger) -> R
+--R coerce : % -> % if R has INTDOM
+--R coerce : Fraction Integer -> % if R has ALGEBRA FRAC INT or R has RETRACT FRAC INT
+--R coerce : SingletonAsOrderedSet -> %
+--R composite : (Fraction %,%) -> Union(Fraction %,"failed") if R has INTDOM
+--R composite : (%,%) -> Union(%,"failed") if R has INTDOM
+--R conditionP : Matrix % -> Union(Vector %,"failed") if $ has CHARNZ and R has PFECAT
+--R content : (%,SingletonAsOrderedSet) -> % if R has GCDDOM
+--R content : % -> R if R has GCDDOM
+--R convert : % -> InputForm if SingletonAsOrderedSet has KONVERT INFORM and R has KONVERT INFORM
+--R convert : % -> Pattern Integer if SingletonAsOrderedSet has KONVERT PATTERN INT and R has KONVERT PATTERN INT
+--R convert : % -> Pattern Float if SingletonAsOrderedSet has KONVERT PATTERN FLOAT and R has KONVERT PATTERN FLOAT
+--R degree : (%,List SingletonAsOrderedSet) -> List NonNegativeInteger
+--R degree : (%,SingletonAsOrderedSet) -> NonNegativeInteger
+--R differentiate : (%,(R -> R),%) -> %
+--R differentiate : (%,(R -> R)) -> %
+--R differentiate : (%,(R -> R),NonNegativeInteger) -> %
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if R has PDRING SYMBOL
+--R differentiate : (%,Symbol) -> % if R has PDRING SYMBOL
+--R differentiate : (%,NonNegativeInteger) -> %
+--R differentiate : (%,List SingletonAsOrderedSet,List NonNegativeInteger) -> %
+--R differentiate : (%,SingletonAsOrderedSet,NonNegativeInteger) -> %
+--R differentiate : (%,List SingletonAsOrderedSet) -> %
+--R differentiate : (%,SingletonAsOrderedSet) -> %
+--R discriminant : % -> R if R has COMRING
+--R discriminant : (%,SingletonAsOrderedSet) -> % if R has COMRING
+--R divide : (%,%) -> Record(quotient: %,remainder: %) if R has FIELD
+--R divideExponents : (%,NonNegativeInteger) -> Union(%,"failed")
+--R ?.? : (%,Fraction %) -> Fraction % if R has INTDOM
+--R elt : (Fraction %,R) -> R if R has FIELD
+--R elt : (Fraction %,Fraction %) -> Fraction % if R has INTDOM
+--R euclideanSize : % -> NonNegativeInteger if R has FIELD
+--R eval : (%,List SingletonAsOrderedSet,List %) -> %
+--R eval : (%,SingletonAsOrderedSet,%) -> %
+--R eval : (%,List SingletonAsOrderedSet,List R) -> %
+--R eval : (%,SingletonAsOrderedSet,R) -> %
+--R expressIdealMember : (List %,%) -> Union(List %,"failed") if R has FIELD
+--R exquo : (%,%) -> Union(%,"failed") if R has INTDOM
+--R exquo : (%,R) -> Union(%,"failed") if R has INTDOM
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %) if R has FIELD
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed") if R has FIELD
+--R factor : % -> Factored % if R has PFECAT
+--R factorPolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R factorSquareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R fmecg : (%,NonNegativeInteger,R,%) -> %
+--R gcd : (%,%) -> % if R has GCDDOM
+--R gcd : List % -> % if R has GCDDOM
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if R has GCDDOM
+--R integrate : % -> % if R has ALGEBRA FRAC INT
+--R isExpt : % -> Union(Record(var: SingletonAsOrderedSet,exponent: NonNegativeInteger),"failed")
+--R isPlus : % -> Union(List %,"failed")
+--R isTimes : % -> Union(List %,"failed")
+--R karatsubaDivide : (%,NonNegativeInteger) -> Record(quotient: %,remainder: %)
+--R lcm : (%,%) -> % if R has GCDDOM
+--R lcm : List % -> % if R has GCDDOM
+--R mainVariable : % -> Union(SingletonAsOrderedSet,"failed")
+--R makeSUP : % -> SparseUnivariatePolynomial R
+--R mapExponents : ((NonNegativeInteger -> NonNegativeInteger),%) -> %
+--R max : (%,%) -> % if R has ORDSET
+--R min : (%,%) -> % if R has ORDSET
+--R minimumDegree : (%,List SingletonAsOrderedSet) -> List NonNegativeInteger
+--R minimumDegree : (%,SingletonAsOrderedSet) -> NonNegativeInteger
+--R minimumDegree : % -> NonNegativeInteger
+--R monicDivide : (%,%) -> Record(quotient: %,remainder: %)
+--R monicDivide : (%,%,SingletonAsOrderedSet) -> Record(quotient: %,remainder: %)
+--R monomial : (%,List SingletonAsOrderedSet,List NonNegativeInteger) -> %
+--R monomial : (%,SingletonAsOrderedSet,NonNegativeInteger) -> %
+--R monomial : (R,NonNegativeInteger) -> %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed") if R has FIELD
+--R multiplyExponents : (%,NonNegativeInteger) -> %
+--R multivariate : (SparseUnivariatePolynomial %,SingletonAsOrderedSet) -> %
+--R multivariate : (SparseUnivariatePolynomial R,SingletonAsOrderedSet) -> %
+--R nextItem : % -> Union(%,"failed") if R has STEP
+--R numberOfMonomials : % -> NonNegativeInteger
+--R order : (%,%) -> NonNegativeInteger if R has INTDOM
+--R outputForm : (%,OutputForm) -> OutputForm
+--R patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%) if SingletonAsOrderedSet has PATMAB INT and R has PATMAB INT
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%) if SingletonAsOrderedSet has PATMAB FLOAT and R has PATMAB FLOAT
+--R pomopo! : (%,R,NonNegativeInteger,%) -> %
+--R prime? : % -> Boolean if R has PFECAT
+--R primitivePart : (%,SingletonAsOrderedSet) -> % if R has GCDDOM
+--R primitivePart : % -> % if R has GCDDOM
+--R principalIdeal : List % -> Record(coef: List %,generator: %) if R has FIELD
+--R pseudoDivide : (%,%) -> Record(coef: R,quotient: %,remainder: %) if R has INTDOM
+--R pseudoQuotient : (%,%) -> % if R has INTDOM
+--R ?quo? : (%,%) -> % if R has FIELD
+--R reducedSystem : Matrix % -> Matrix R
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix R,vec: Vector R)
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if R has LINEXP INT
+--R reducedSystem : Matrix % -> Matrix Integer if R has LINEXP INT
+--R ?rem? : (%,%) -> % if R has FIELD
+--R resultant : (%,%) -> R if R has COMRING
+--R resultant : (%,%,SingletonAsOrderedSet) -> % if R has COMRING
+--R retract : % -> SingletonAsOrderedSet
+--R retract : % -> Integer if R has RETRACT INT
+--R retract : % -> Fraction Integer if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(SingletonAsOrderedSet,"failed")
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(R,"failed")
+--R separate : (%,%) -> Record(primePart: %,commonPart: %) if R has GCDDOM
+--R shiftLeft : (%,NonNegativeInteger) -> %
+--R shiftRight : (%,NonNegativeInteger) -> %
+--R sizeLess? : (%,%) -> Boolean if R has FIELD
+--R solveLinearPolynomialEquation : (List SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> Union(List SparseUnivariatePolynomial %,"failed") if R has PFECAT
+--R squareFree : % -> Factored % if R has GCDDOM
+--R squareFreePart : % -> % if R has GCDDOM
+--R squareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R subResultantGcd : (%,%) -> % if R has INTDOM
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R totalDegree : (%,List SingletonAsOrderedSet) -> NonNegativeInteger
+--R totalDegree : % -> NonNegativeInteger
+--R unit? : % -> Boolean if R has INTDOM
+--R unitCanonical : % -> % if R has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if R has INTDOM
+--R univariate : % -> SparseUnivariatePolynomial R
+--R univariate : (%,SingletonAsOrderedSet) -> SparseUnivariatePolynomial %
+--R unmakeSUP : SparseUnivariatePolynomial R -> %
+--R variables : % -> List SingletonAsOrderedSet
+--R vectorise : (%,NonNegativeInteger) -> Vector R
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SparseUnivariatePolynomial.help>>=
+====================================================================
+SparseUnivariatePolynomial examples
+====================================================================
+
+See Also:
+o )show SparseUnivariatePolynomial
+
+@
+
 \pagehead{SparseUnivariatePolynomial}{SUP}
 \pagepic{ps/v103sparseunivariatepolynomial.ps}{SUP}{1.00}
 {\bf See}\\
@@ -98717,6 +116282,235 @@ domain, as long as the polynomials can be retracted to that domain, i.e., as
 long as they are just constants. I don't see another way to do this,
 unfortunately.
 
+<<SparseUnivariatePolynomialExpressions.input>>=
+)set break resume
+)sys rm -f SparseUnivariatePolynomialExpressions.output
+)spool SparseUnivariatePolynomialExpressions.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SparseUnivariatePolynomialExpressions
+--R SparseUnivariatePolynomialExpressions R: Ring  is a domain constructor
+--R Abbreviation for SparseUnivariatePolynomialExpressions is SUPEXPR 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for SUPEXPR 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,R) -> %                      ?*? : (R,%) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R D : (%,(R -> R)) -> %                 D : % -> %
+--R D : (%,NonNegativeInteger) -> %       1 : () -> %
+--R 0 : () -> %                           ?^? : (%,PositiveInteger) -> %
+--R coefficients : % -> List R            coerce : R -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R degree : % -> NonNegativeInteger      differentiate : % -> %
+--R ?.? : (%,%) -> %                      ?.? : (%,R) -> R
+--R eval : (%,List %,List %) -> %         eval : (%,%,%) -> %
+--R eval : (%,Equation %) -> %            eval : (%,List Equation %) -> %
+--R ground : % -> R                       ground? : % -> Boolean
+--R hash : % -> SingleInteger             init : () -> % if R has STEP
+--R latex : % -> String                   leadingCoefficient : % -> R
+--R leadingMonomial : % -> %              map : ((R -> R),%) -> %
+--R monomial? : % -> Boolean              monomials : % -> List %
+--R one? : % -> Boolean                   pi : () -> % if R has TRANFUN
+--R primitiveMonomials : % -> List %      pseudoRemainder : (%,%) -> %
+--R recip : % -> Union(%,"failed")        reductum : % -> %
+--R retract : % -> R                      sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (Fraction Integer,%) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (%,Fraction Integer) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,%) -> % if R has TRANFUN
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,R) -> % if R has FIELD
+--R ?<? : (%,%) -> Boolean if R has ORDSET
+--R ?<=? : (%,%) -> Boolean if R has ORDSET
+--R ?>? : (%,%) -> Boolean if R has ORDSET
+--R ?>=? : (%,%) -> Boolean if R has ORDSET
+--R D : (%,(R -> R),NonNegativeInteger) -> %
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if R has PDRING SYMBOL
+--R D : (%,Symbol) -> % if R has PDRING SYMBOL
+--R D : (%,List SingletonAsOrderedSet,List NonNegativeInteger) -> %
+--R D : (%,SingletonAsOrderedSet,NonNegativeInteger) -> %
+--R D : (%,List SingletonAsOrderedSet) -> %
+--R D : (%,SingletonAsOrderedSet) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R acos : % -> % if R has TRANFUN
+--R acosh : % -> % if R has TRANFUN
+--R acot : % -> % if R has TRANFUN
+--R acoth : % -> % if R has TRANFUN
+--R acsc : % -> % if R has TRANFUN
+--R acsch : % -> % if R has TRANFUN
+--R asec : % -> % if R has TRANFUN
+--R asech : % -> % if R has TRANFUN
+--R asin : % -> % if R has TRANFUN
+--R asinh : % -> % if R has TRANFUN
+--R associates? : (%,%) -> Boolean if R has INTDOM
+--R atan : % -> % if R has TRANFUN
+--R atanh : % -> % if R has TRANFUN
+--R binomThmExpt : (%,%,NonNegativeInteger) -> % if R has COMRING
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if $ has CHARNZ and R has PFECAT or R has CHARNZ
+--R coefficient : (%,List SingletonAsOrderedSet,List NonNegativeInteger) -> %
+--R coefficient : (%,SingletonAsOrderedSet,NonNegativeInteger) -> %
+--R coefficient : (%,NonNegativeInteger) -> R
+--R coerce : % -> % if R has INTDOM
+--R coerce : Fraction Integer -> % if R has ALGEBRA FRAC INT or R has RETRACT FRAC INT
+--R coerce : SingletonAsOrderedSet -> %
+--R composite : (Fraction %,%) -> Union(Fraction %,"failed") if R has INTDOM
+--R composite : (%,%) -> Union(%,"failed") if R has INTDOM
+--R conditionP : Matrix % -> Union(Vector %,"failed") if $ has CHARNZ and R has PFECAT
+--R content : (%,SingletonAsOrderedSet) -> % if R has GCDDOM
+--R content : % -> R if R has GCDDOM
+--R convert : % -> InputForm if SingletonAsOrderedSet has KONVERT INFORM and R has KONVERT INFORM
+--R convert : % -> Pattern Integer if SingletonAsOrderedSet has KONVERT PATTERN INT and R has KONVERT PATTERN INT
+--R convert : % -> Pattern Float if SingletonAsOrderedSet has KONVERT PATTERN FLOAT and R has KONVERT PATTERN FLOAT
+--R cos : % -> % if R has TRANFUN
+--R cosh : % -> % if R has TRANFUN
+--R cot : % -> % if R has TRANFUN
+--R coth : % -> % if R has TRANFUN
+--R csc : % -> % if R has TRANFUN
+--R csch : % -> % if R has TRANFUN
+--R degree : (%,List SingletonAsOrderedSet) -> List NonNegativeInteger
+--R degree : (%,SingletonAsOrderedSet) -> NonNegativeInteger
+--R differentiate : (%,(R -> R),%) -> %
+--R differentiate : (%,(R -> R)) -> %
+--R differentiate : (%,(R -> R),NonNegativeInteger) -> %
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if R has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if R has PDRING SYMBOL
+--R differentiate : (%,Symbol) -> % if R has PDRING SYMBOL
+--R differentiate : (%,NonNegativeInteger) -> %
+--R differentiate : (%,List SingletonAsOrderedSet,List NonNegativeInteger) -> %
+--R differentiate : (%,SingletonAsOrderedSet,NonNegativeInteger) -> %
+--R differentiate : (%,List SingletonAsOrderedSet) -> %
+--R differentiate : (%,SingletonAsOrderedSet) -> %
+--R discriminant : % -> R if R has COMRING
+--R discriminant : (%,SingletonAsOrderedSet) -> % if R has COMRING
+--R divide : (%,%) -> Record(quotient: %,remainder: %) if R has FIELD
+--R divideExponents : (%,NonNegativeInteger) -> Union(%,"failed")
+--R ?.? : (%,Fraction %) -> Fraction % if R has INTDOM
+--R elt : (Fraction %,R) -> R if R has FIELD
+--R elt : (Fraction %,Fraction %) -> Fraction % if R has INTDOM
+--R euclideanSize : % -> NonNegativeInteger if R has FIELD
+--R eval : (%,List SingletonAsOrderedSet,List %) -> %
+--R eval : (%,SingletonAsOrderedSet,%) -> %
+--R eval : (%,List SingletonAsOrderedSet,List R) -> %
+--R eval : (%,SingletonAsOrderedSet,R) -> %
+--R exp : % -> % if R has TRANFUN
+--R expressIdealMember : (List %,%) -> Union(List %,"failed") if R has FIELD
+--R exquo : (%,%) -> Union(%,"failed") if R has INTDOM
+--R exquo : (%,R) -> Union(%,"failed") if R has INTDOM
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %) if R has FIELD
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed") if R has FIELD
+--R factor : % -> Factored % if R has PFECAT
+--R factorPolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R factorSquareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R gcd : (%,%) -> % if R has GCDDOM
+--R gcd : List % -> % if R has GCDDOM
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if R has GCDDOM
+--R integrate : % -> % if R has ALGEBRA FRAC INT
+--R isExpt : % -> Union(Record(var: SingletonAsOrderedSet,exponent: NonNegativeInteger),"failed")
+--R isPlus : % -> Union(List %,"failed")
+--R isTimes : % -> Union(List %,"failed")
+--R karatsubaDivide : (%,NonNegativeInteger) -> Record(quotient: %,remainder: %)
+--R lcm : (%,%) -> % if R has GCDDOM
+--R lcm : List % -> % if R has GCDDOM
+--R log : % -> % if R has TRANFUN
+--R mainVariable : % -> Union(SingletonAsOrderedSet,"failed")
+--R makeSUP : % -> SparseUnivariatePolynomial R
+--R mapExponents : ((NonNegativeInteger -> NonNegativeInteger),%) -> %
+--R max : (%,%) -> % if R has ORDSET
+--R min : (%,%) -> % if R has ORDSET
+--R minimumDegree : (%,List SingletonAsOrderedSet) -> List NonNegativeInteger
+--R minimumDegree : (%,SingletonAsOrderedSet) -> NonNegativeInteger
+--R minimumDegree : % -> NonNegativeInteger
+--R monicDivide : (%,%) -> Record(quotient: %,remainder: %)
+--R monicDivide : (%,%,SingletonAsOrderedSet) -> Record(quotient: %,remainder: %)
+--R monomial : (%,List SingletonAsOrderedSet,List NonNegativeInteger) -> %
+--R monomial : (%,SingletonAsOrderedSet,NonNegativeInteger) -> %
+--R monomial : (R,NonNegativeInteger) -> %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed") if R has FIELD
+--R multiplyExponents : (%,NonNegativeInteger) -> %
+--R multivariate : (SparseUnivariatePolynomial %,SingletonAsOrderedSet) -> %
+--R multivariate : (SparseUnivariatePolynomial R,SingletonAsOrderedSet) -> %
+--R nextItem : % -> Union(%,"failed") if R has STEP
+--R numberOfMonomials : % -> NonNegativeInteger
+--R order : (%,%) -> NonNegativeInteger if R has INTDOM
+--R patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%) if SingletonAsOrderedSet has PATMAB INT and R has PATMAB INT
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%) if SingletonAsOrderedSet has PATMAB FLOAT and R has PATMAB FLOAT
+--R pomopo! : (%,R,NonNegativeInteger,%) -> %
+--R prime? : % -> Boolean if R has PFECAT
+--R primitivePart : (%,SingletonAsOrderedSet) -> % if R has GCDDOM
+--R primitivePart : % -> % if R has GCDDOM
+--R principalIdeal : List % -> Record(coef: List %,generator: %) if R has FIELD
+--R pseudoDivide : (%,%) -> Record(coef: R,quotient: %,remainder: %) if R has INTDOM
+--R pseudoQuotient : (%,%) -> % if R has INTDOM
+--R ?quo? : (%,%) -> % if R has FIELD
+--R reducedSystem : Matrix % -> Matrix R
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix R,vec: Vector R)
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if R has LINEXP INT
+--R reducedSystem : Matrix % -> Matrix Integer if R has LINEXP INT
+--R ?rem? : (%,%) -> % if R has FIELD
+--R resultant : (%,%) -> R if R has COMRING
+--R resultant : (%,%,SingletonAsOrderedSet) -> % if R has COMRING
+--R retract : % -> SingletonAsOrderedSet
+--R retract : % -> Integer if R has RETRACT INT
+--R retract : % -> Fraction Integer if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(SingletonAsOrderedSet,"failed")
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(R,"failed")
+--R sec : % -> % if R has TRANFUN
+--R sech : % -> % if R has TRANFUN
+--R separate : (%,%) -> Record(primePart: %,commonPart: %) if R has GCDDOM
+--R shiftLeft : (%,NonNegativeInteger) -> %
+--R shiftRight : (%,NonNegativeInteger) -> %
+--R sin : % -> % if R has TRANFUN
+--R sinh : % -> % if R has TRANFUN
+--R sizeLess? : (%,%) -> Boolean if R has FIELD
+--R solveLinearPolynomialEquation : (List SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> Union(List SparseUnivariatePolynomial %,"failed") if R has PFECAT
+--R squareFree : % -> Factored % if R has GCDDOM
+--R squareFreePart : % -> % if R has GCDDOM
+--R squareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if R has PFECAT
+--R subResultantGcd : (%,%) -> % if R has INTDOM
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tan : % -> % if R has TRANFUN
+--R tanh : % -> % if R has TRANFUN
+--R totalDegree : (%,List SingletonAsOrderedSet) -> NonNegativeInteger
+--R totalDegree : % -> NonNegativeInteger
+--R unit? : % -> Boolean if R has INTDOM
+--R unitCanonical : % -> % if R has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if R has INTDOM
+--R univariate : % -> SparseUnivariatePolynomial R
+--R univariate : (%,SingletonAsOrderedSet) -> SparseUnivariatePolynomial %
+--R unmakeSUP : SparseUnivariatePolynomial R -> %
+--R variables : % -> List SingletonAsOrderedSet
+--R vectorise : (%,NonNegativeInteger) -> Vector R
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SparseUnivariatePolynomialExpressions.help>>=
+====================================================================
+SparseUnivariatePolynomialExpressions examples
+====================================================================
+
+See Also:
+o )show SparseUnivariatePolynomialExpressions
+
+@
+
+
 \pagehead{SparseUnivariatePolynomialExpressions}{SUPEXPR}
 \pagepic{ps/v103sparseunivariatepolynomialexpressions.ps}{SUPEXPR}{1.00}
 
@@ -98913,6 +116707,171 @@ SparseUnivariatePolynomialExpressions(R: Ring): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SUPXS SparseUnivariatePuiseuxSeries}
+
+<<SparseUnivariatePuiseuxSeries.input>>=
+)set break resume
+)sys rm -f SparseUnivariatePuiseuxSeries.output
+)spool SparseUnivariatePuiseuxSeries.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SparseUnivariatePuiseuxSeries
+--R SparseUnivariatePuiseuxSeries(Coef: Ring,var: Symbol,cen: Coef)  is a domain constructor
+--R Abbreviation for SparseUnivariatePuiseuxSeries is SUPXS 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for SUPXS 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Coef,%) -> %                   ?*? : (%,Coef) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        center : % -> Coef
+--R coerce : Variable var -> %            coerce : Integer -> %
+--R coerce : % -> OutputForm              complete : % -> %
+--R degree : % -> Fraction Integer        hash : % -> SingleInteger
+--R latex : % -> String                   leadingCoefficient : % -> Coef
+--R leadingMonomial : % -> %              map : ((Coef -> Coef),%) -> %
+--R monomial? : % -> Boolean              one? : % -> Boolean
+--R order : % -> Fraction Integer         pole? : % -> Boolean
+--R recip : % -> Union(%,"failed")        reductum : % -> %
+--R sample : () -> %                      variable : % -> Symbol
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (Fraction Integer,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,Integer) -> % if Coef has FIELD
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,%) -> % if Coef has FIELD
+--R ?/? : (%,Coef) -> % if Coef has FIELD
+--R D : % -> % if Coef has *: (Fraction Integer,Coef) -> Coef
+--R D : (%,NonNegativeInteger) -> % if Coef has *: (Fraction Integer,Coef) -> Coef
+--R D : (%,Symbol) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R ?^? : (%,Integer) -> % if Coef has FIELD
+--R ?^? : (%,NonNegativeInteger) -> %
+--R acos : % -> % if Coef has ALGEBRA FRAC INT
+--R acosh : % -> % if Coef has ALGEBRA FRAC INT
+--R acot : % -> % if Coef has ALGEBRA FRAC INT
+--R acoth : % -> % if Coef has ALGEBRA FRAC INT
+--R acsc : % -> % if Coef has ALGEBRA FRAC INT
+--R acsch : % -> % if Coef has ALGEBRA FRAC INT
+--R approximate : (%,Fraction Integer) -> Coef if Coef has **: (Coef,Fraction Integer) -> Coef and Coef has coerce: Symbol -> Coef
+--R asec : % -> % if Coef has ALGEBRA FRAC INT
+--R asech : % -> % if Coef has ALGEBRA FRAC INT
+--R asin : % -> % if Coef has ALGEBRA FRAC INT
+--R asinh : % -> % if Coef has ALGEBRA FRAC INT
+--R associates? : (%,%) -> Boolean if Coef has INTDOM
+--R atan : % -> % if Coef has ALGEBRA FRAC INT
+--R atanh : % -> % if Coef has ALGEBRA FRAC INT
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if Coef has CHARNZ
+--R coefficient : (%,Fraction Integer) -> Coef
+--R coerce : % -> % if Coef has INTDOM
+--R coerce : Fraction Integer -> % if Coef has ALGEBRA FRAC INT
+--R coerce : SparseUnivariateTaylorSeries(Coef,var,cen) -> %
+--R coerce : SparseUnivariateLaurentSeries(Coef,var,cen) -> %
+--R coerce : Coef -> % if Coef has COMRING
+--R cos : % -> % if Coef has ALGEBRA FRAC INT
+--R cosh : % -> % if Coef has ALGEBRA FRAC INT
+--R cot : % -> % if Coef has ALGEBRA FRAC INT
+--R coth : % -> % if Coef has ALGEBRA FRAC INT
+--R csc : % -> % if Coef has ALGEBRA FRAC INT
+--R csch : % -> % if Coef has ALGEBRA FRAC INT
+--R differentiate : (%,Variable var) -> %
+--R differentiate : % -> % if Coef has *: (Fraction Integer,Coef) -> Coef
+--R differentiate : (%,NonNegativeInteger) -> % if Coef has *: (Fraction Integer,Coef) -> Coef
+--R differentiate : (%,Symbol) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R divide : (%,%) -> Record(quotient: %,remainder: %) if Coef has FIELD
+--R ?.? : (%,%) -> % if Fraction Integer has SGROUP
+--R ?.? : (%,Fraction Integer) -> Coef
+--R euclideanSize : % -> NonNegativeInteger if Coef has FIELD
+--R eval : (%,Coef) -> Stream Coef if Coef has **: (Coef,Fraction Integer) -> Coef
+--R exp : % -> % if Coef has ALGEBRA FRAC INT
+--R expressIdealMember : (List %,%) -> Union(List %,"failed") if Coef has FIELD
+--R exquo : (%,%) -> Union(%,"failed") if Coef has INTDOM
+--R extend : (%,Fraction Integer) -> %
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %) if Coef has FIELD
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed") if Coef has FIELD
+--R factor : % -> Factored % if Coef has FIELD
+--R gcd : (%,%) -> % if Coef has FIELD
+--R gcd : List % -> % if Coef has FIELD
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if Coef has FIELD
+--R integrate : (%,Variable var) -> % if Coef has ALGEBRA FRAC INT
+--R integrate : (%,Symbol) -> % if Coef has integrate: (Coef,Symbol) -> Coef and Coef has variables: Coef -> List Symbol and Coef has ALGEBRA FRAC INT or Coef has ACFS INT and Coef has ALGEBRA FRAC INT and Coef has PRIMCAT and Coef has TRANFUN
+--R integrate : % -> % if Coef has ALGEBRA FRAC INT
+--R inv : % -> % if Coef has FIELD
+--R laurent : % -> SparseUnivariateLaurentSeries(Coef,var,cen)
+--R laurentIfCan : % -> Union(SparseUnivariateLaurentSeries(Coef,var,cen),"failed")
+--R laurentRep : % -> SparseUnivariateLaurentSeries(Coef,var,cen)
+--R lcm : (%,%) -> % if Coef has FIELD
+--R lcm : List % -> % if Coef has FIELD
+--R log : % -> % if Coef has ALGEBRA FRAC INT
+--R monomial : (%,List SingletonAsOrderedSet,List Fraction Integer) -> %
+--R monomial : (%,SingletonAsOrderedSet,Fraction Integer) -> %
+--R monomial : (Coef,Fraction Integer) -> %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed") if Coef has FIELD
+--R multiplyExponents : (%,Fraction Integer) -> %
+--R multiplyExponents : (%,PositiveInteger) -> %
+--R nthRoot : (%,Integer) -> % if Coef has ALGEBRA FRAC INT
+--R order : (%,Fraction Integer) -> Fraction Integer
+--R pi : () -> % if Coef has ALGEBRA FRAC INT
+--R prime? : % -> Boolean if Coef has FIELD
+--R principalIdeal : List % -> Record(coef: List %,generator: %) if Coef has FIELD
+--R puiseux : (Fraction Integer,SparseUnivariateLaurentSeries(Coef,var,cen)) -> %
+--R ?quo? : (%,%) -> % if Coef has FIELD
+--R rationalPower : % -> Fraction Integer
+--R ?rem? : (%,%) -> % if Coef has FIELD
+--R retract : % -> SparseUnivariateTaylorSeries(Coef,var,cen)
+--R retract : % -> SparseUnivariateLaurentSeries(Coef,var,cen)
+--R retractIfCan : % -> Union(SparseUnivariateTaylorSeries(Coef,var,cen),"failed")
+--R retractIfCan : % -> Union(SparseUnivariateLaurentSeries(Coef,var,cen),"failed")
+--R sec : % -> % if Coef has ALGEBRA FRAC INT
+--R sech : % -> % if Coef has ALGEBRA FRAC INT
+--R series : (NonNegativeInteger,Stream Record(k: Fraction Integer,c: Coef)) -> %
+--R sin : % -> % if Coef has ALGEBRA FRAC INT
+--R sinh : % -> % if Coef has ALGEBRA FRAC INT
+--R sizeLess? : (%,%) -> Boolean if Coef has FIELD
+--R sqrt : % -> % if Coef has ALGEBRA FRAC INT
+--R squareFree : % -> Factored % if Coef has FIELD
+--R squareFreePart : % -> % if Coef has FIELD
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tan : % -> % if Coef has ALGEBRA FRAC INT
+--R tanh : % -> % if Coef has ALGEBRA FRAC INT
+--R terms : % -> Stream Record(k: Fraction Integer,c: Coef)
+--R truncate : (%,Fraction Integer,Fraction Integer) -> %
+--R truncate : (%,Fraction Integer) -> %
+--R unit? : % -> Boolean if Coef has INTDOM
+--R unitCanonical : % -> % if Coef has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if Coef has INTDOM
+--R variables : % -> List SingletonAsOrderedSet
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SparseUnivariatePuiseuxSeries.help>>=
+====================================================================
+SparseUnivariatePuiseuxSeries examples
+====================================================================
+
+See Also:
+o )show SparseUnivariatePuiseuxSeries
+
+@
+
 \pagehead{SparseUnivariatePuiseuxSeries}{SUPXS}
 \pagepic{ps/v103sparseunivariatepuiseuxseries.ps}{SUPXS}{1.00}
 
@@ -99121,6 +117080,88 @@ SparseUnivariatePuiseuxSeries(Coef,var,cen): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ORESUP SparseUnivariateSkewPolynomial}
+
+<<SparseUnivariateSkewPolynomial.input>>=
+)set break resume
+)sys rm -f SparseUnivariateSkewPolynomial.output
+)spool SparseUnivariateSkewPolynomial.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SparseUnivariateSkewPolynomial
+--R SparseUnivariateSkewPolynomial(R: Ring,sigma: Automorphism R,delta: (R -> R))  is a domain constructor
+--R Abbreviation for SparseUnivariateSkewPolynomial is ORESUP 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ORESUP 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        apply : (%,R,R) -> R
+--R coefficients : % -> List R            coerce : R -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R degree : % -> NonNegativeInteger      hash : % -> SingleInteger
+--R latex : % -> String                   leadingCoefficient : % -> R
+--R one? : % -> Boolean                   recip : % -> Union(%,"failed")
+--R reductum : % -> %                     retract : % -> R
+--R sample : () -> %                      zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R coefficient : (%,NonNegativeInteger) -> R
+--R coerce : Fraction Integer -> % if R has RETRACT FRAC INT
+--R content : % -> R if R has GCDDOM
+--R exquo : (%,R) -> Union(%,"failed") if R has INTDOM
+--R leftDivide : (%,%) -> Record(quotient: %,remainder: %) if R has FIELD
+--R leftExactQuotient : (%,%) -> Union(%,"failed") if R has FIELD
+--R leftExtendedGcd : (%,%) -> Record(coef1: %,coef2: %,generator: %) if R has FIELD
+--R leftGcd : (%,%) -> % if R has FIELD
+--R leftLcm : (%,%) -> % if R has FIELD
+--R leftQuotient : (%,%) -> % if R has FIELD
+--R leftRemainder : (%,%) -> % if R has FIELD
+--R minimumDegree : % -> NonNegativeInteger
+--R monicLeftDivide : (%,%) -> Record(quotient: %,remainder: %) if R has INTDOM
+--R monicRightDivide : (%,%) -> Record(quotient: %,remainder: %) if R has INTDOM
+--R monomial : (R,NonNegativeInteger) -> %
+--R outputForm : (%,OutputForm) -> OutputForm
+--R primitivePart : % -> % if R has GCDDOM
+--R retract : % -> Fraction Integer if R has RETRACT FRAC INT
+--R retract : % -> Integer if R has RETRACT INT
+--R retractIfCan : % -> Union(R,"failed")
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R rightDivide : (%,%) -> Record(quotient: %,remainder: %) if R has FIELD
+--R rightExactQuotient : (%,%) -> Union(%,"failed") if R has FIELD
+--R rightExtendedGcd : (%,%) -> Record(coef1: %,coef2: %,generator: %) if R has FIELD
+--R rightGcd : (%,%) -> % if R has FIELD
+--R rightLcm : (%,%) -> % if R has FIELD
+--R rightQuotient : (%,%) -> % if R has FIELD
+--R rightRemainder : (%,%) -> % if R has FIELD
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SparseUnivariateSkewPolynomial.help>>=
+====================================================================
+SparseUnivariateSkewPolynomial examples
+====================================================================
+
+See Also:
+o )show SparseUnivariateSkewPolynomial
+
+@
+
 \pagehead{SparseUnivariateSkewPolynomial}{ORESUP}
 \pagepic{ps/v103sparseunivariateskewpolynomial.ps}{ORESUP}{1.00}
 {\bf See}\\
@@ -99218,6 +117259,144 @@ SparseUnivariateSkewPolynomial(R:Ring, sigma:Automorphism R, delta: R -> R):
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SUTS SparseUnivariateTaylorSeries}
+
+<<SparseUnivariateTaylorSeries.input>>=
+)set break resume
+)sys rm -f SparseUnivariateTaylorSeries.output
+)spool SparseUnivariateTaylorSeries.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SparseUnivariateTaylorSeries
+--R SparseUnivariateTaylorSeries(Coef: Ring,var: Symbol,cen: Coef)  is a domain constructor
+--R Abbreviation for SparseUnivariateTaylorSeries is SUTS 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for SUTS 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Coef,%) -> %                   ?*? : (%,Coef) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        center : % -> Coef
+--R coefficients : % -> Stream Coef       coerce : Variable var -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R complete : % -> %                     degree : % -> NonNegativeInteger
+--R hash : % -> SingleInteger             latex : % -> String
+--R leadingCoefficient : % -> Coef        leadingMonomial : % -> %
+--R map : ((Coef -> Coef),%) -> %         monomial? : % -> Boolean
+--R one? : % -> Boolean                   order : % -> NonNegativeInteger
+--R pole? : % -> Boolean                  quoByVar : % -> %
+--R recip : % -> Union(%,"failed")        reductum : % -> %
+--R sample : () -> %                      series : Stream Coef -> %
+--R variable : % -> Symbol                zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (Fraction Integer,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,Coef) -> % if Coef has FIELD
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,Coef) -> % if Coef has FIELD
+--R D : % -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef
+--R D : (%,NonNegativeInteger) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef
+--R D : (%,Symbol) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef and Coef has PDRING SYMBOL
+--R ?^? : (%,NonNegativeInteger) -> %
+--R acos : % -> % if Coef has ALGEBRA FRAC INT
+--R acosh : % -> % if Coef has ALGEBRA FRAC INT
+--R acot : % -> % if Coef has ALGEBRA FRAC INT
+--R acoth : % -> % if Coef has ALGEBRA FRAC INT
+--R acsc : % -> % if Coef has ALGEBRA FRAC INT
+--R acsch : % -> % if Coef has ALGEBRA FRAC INT
+--R approximate : (%,NonNegativeInteger) -> Coef if Coef has **: (Coef,NonNegativeInteger) -> Coef and Coef has coerce: Symbol -> Coef
+--R asec : % -> % if Coef has ALGEBRA FRAC INT
+--R asech : % -> % if Coef has ALGEBRA FRAC INT
+--R asin : % -> % if Coef has ALGEBRA FRAC INT
+--R asinh : % -> % if Coef has ALGEBRA FRAC INT
+--R associates? : (%,%) -> Boolean if Coef has INTDOM
+--R atan : % -> % if Coef has ALGEBRA FRAC INT
+--R atanh : % -> % if Coef has ALGEBRA FRAC INT
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if Coef has CHARNZ
+--R coefficient : (%,NonNegativeInteger) -> Coef
+--R coerce : UnivariatePolynomial(var,Coef) -> %
+--R coerce : Coef -> % if Coef has COMRING
+--R coerce : % -> % if Coef has INTDOM
+--R coerce : Fraction Integer -> % if Coef has ALGEBRA FRAC INT
+--R cos : % -> % if Coef has ALGEBRA FRAC INT
+--R cosh : % -> % if Coef has ALGEBRA FRAC INT
+--R cot : % -> % if Coef has ALGEBRA FRAC INT
+--R coth : % -> % if Coef has ALGEBRA FRAC INT
+--R csc : % -> % if Coef has ALGEBRA FRAC INT
+--R csch : % -> % if Coef has ALGEBRA FRAC INT
+--R differentiate : (%,Variable var) -> %
+--R differentiate : % -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef
+--R differentiate : (%,NonNegativeInteger) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef
+--R differentiate : (%,Symbol) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef and Coef has PDRING SYMBOL
+--R ?.? : (%,%) -> % if NonNegativeInteger has SGROUP
+--R ?.? : (%,NonNegativeInteger) -> Coef
+--R eval : (%,Coef) -> Stream Coef if Coef has **: (Coef,NonNegativeInteger) -> Coef
+--R exp : % -> % if Coef has ALGEBRA FRAC INT
+--R exquo : (%,%) -> Union(%,"failed") if Coef has INTDOM
+--R extend : (%,NonNegativeInteger) -> %
+--R integrate : (%,Variable var) -> % if Coef has ALGEBRA FRAC INT
+--R integrate : (%,Symbol) -> % if Coef has integrate: (Coef,Symbol) -> Coef and Coef has variables: Coef -> List Symbol and Coef has ALGEBRA FRAC INT or Coef has ACFS INT and Coef has ALGEBRA FRAC INT and Coef has PRIMCAT and Coef has TRANFUN
+--R integrate : % -> % if Coef has ALGEBRA FRAC INT
+--R log : % -> % if Coef has ALGEBRA FRAC INT
+--R monomial : (%,List SingletonAsOrderedSet,List NonNegativeInteger) -> %
+--R monomial : (%,SingletonAsOrderedSet,NonNegativeInteger) -> %
+--R monomial : (Coef,NonNegativeInteger) -> %
+--R multiplyCoefficients : ((Integer -> Coef),%) -> %
+--R multiplyExponents : (%,PositiveInteger) -> %
+--R nthRoot : (%,Integer) -> % if Coef has ALGEBRA FRAC INT
+--R order : (%,NonNegativeInteger) -> NonNegativeInteger
+--R pi : () -> % if Coef has ALGEBRA FRAC INT
+--R polynomial : (%,NonNegativeInteger,NonNegativeInteger) -> Polynomial Coef
+--R polynomial : (%,NonNegativeInteger) -> Polynomial Coef
+--R sec : % -> % if Coef has ALGEBRA FRAC INT
+--R sech : % -> % if Coef has ALGEBRA FRAC INT
+--R series : Stream Record(k: NonNegativeInteger,c: Coef) -> %
+--R sin : % -> % if Coef has ALGEBRA FRAC INT
+--R sinh : % -> % if Coef has ALGEBRA FRAC INT
+--R sqrt : % -> % if Coef has ALGEBRA FRAC INT
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tan : % -> % if Coef has ALGEBRA FRAC INT
+--R tanh : % -> % if Coef has ALGEBRA FRAC INT
+--R terms : % -> Stream Record(k: NonNegativeInteger,c: Coef)
+--R truncate : (%,NonNegativeInteger,NonNegativeInteger) -> %
+--R truncate : (%,NonNegativeInteger) -> %
+--R unit? : % -> Boolean if Coef has INTDOM
+--R unitCanonical : % -> % if Coef has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if Coef has INTDOM
+--R univariatePolynomial : (%,NonNegativeInteger) -> UnivariatePolynomial(var,Coef)
+--R variables : % -> List SingletonAsOrderedSet
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SparseUnivariateTaylorSeries.help>>=
+====================================================================
+SparseUnivariateTaylorSeries examples
+====================================================================
+
+See Also:
+o )show SparseUnivariateTaylorSeries
+
+@
+
 \pagehead{SparseUnivariateTaylorSeries}{SUTS}
 \pagepic{ps/v103sparseunivariatetaylorseries.ps}{SUTS}{1.00}
 
@@ -99706,6 +117885,142 @@ SparseUnivariateTaylorSeries(Coef,var,cen): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SHDP SplitHomogeneousDirectProduct}
+
+<<SplitHomogeneousDirectProduct.input>>=
+)set break resume
+)sys rm -f SplitHomogeneousDirectProduct.output
+)spool SplitHomogeneousDirectProduct.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SplitHomogeneousDirectProduct
+--R SplitHomogeneousDirectProduct(dimtot: NonNegativeInteger,dim1: NonNegativeInteger,S: OrderedAbelianMonoidSup)  is a domain constructor
+--R Abbreviation for SplitHomogeneousDirectProduct is SHDP 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for SHDP 
+--R
+--R------------------------------- Operations --------------------------------
+--R -? : % -> % if S has RING             1 : () -> % if S has MONOID
+--R 0 : () -> % if S has CABMON           coerce : % -> Vector S
+--R copy : % -> %                         directProduct : Vector S -> %
+--R ?.? : (%,Integer) -> S                elt : (%,Integer,S) -> S
+--R empty : () -> %                       empty? : % -> Boolean
+--R entries : % -> List S                 eq? : (%,%) -> Boolean
+--R index? : (Integer,%) -> Boolean       indices : % -> List Integer
+--R map : ((S -> S),%) -> %               qelt : (%,Integer) -> S
+--R sample : () -> %                     
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?*? : (PositiveInteger,%) -> % if S has ABELSG
+--R ?*? : (NonNegativeInteger,%) -> % if S has CABMON
+--R ?*? : (S,%) -> % if S has RING
+--R ?*? : (%,S) -> % if S has RING
+--R ?*? : (%,%) -> % if S has MONOID
+--R ?*? : (Integer,%) -> % if S has RING
+--R ?**? : (%,PositiveInteger) -> % if S has MONOID
+--R ?**? : (%,NonNegativeInteger) -> % if S has MONOID
+--R ?+? : (%,%) -> % if S has ABELSG
+--R ?-? : (%,%) -> % if S has RING
+--R ?/? : (%,S) -> % if S has FIELD
+--R ?<? : (%,%) -> Boolean if S has OAMONS or S has ORDRING
+--R ?<=? : (%,%) -> Boolean if S has OAMONS or S has ORDRING
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R ?>? : (%,%) -> Boolean if S has OAMONS or S has ORDRING
+--R ?>=? : (%,%) -> Boolean if S has OAMONS or S has ORDRING
+--R D : (%,(S -> S)) -> % if S has RING
+--R D : (%,(S -> S),NonNegativeInteger) -> % if S has RING
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if S has PDRING SYMBOL and S has RING
+--R D : (%,Symbol,NonNegativeInteger) -> % if S has PDRING SYMBOL and S has RING
+--R D : (%,List Symbol) -> % if S has PDRING SYMBOL and S has RING
+--R D : (%,Symbol) -> % if S has PDRING SYMBOL and S has RING
+--R D : (%,NonNegativeInteger) -> % if S has DIFRING and S has RING
+--R D : % -> % if S has DIFRING and S has RING
+--R ?^? : (%,PositiveInteger) -> % if S has MONOID
+--R ?^? : (%,NonNegativeInteger) -> % if S has MONOID
+--R abs : % -> % if S has ORDRING
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R characteristic : () -> NonNegativeInteger if S has RING
+--R coerce : S -> % if S has SETCAT
+--R coerce : Fraction Integer -> % if S has RETRACT FRAC INT and S has SETCAT
+--R coerce : Integer -> % if S has RETRACT INT and S has SETCAT or S has RING
+--R coerce : % -> OutputForm if S has SETCAT
+--R count : (S,%) -> NonNegativeInteger if $ has finiteAggregate and S has SETCAT
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R differentiate : (%,(S -> S)) -> % if S has RING
+--R differentiate : (%,(S -> S),NonNegativeInteger) -> % if S has RING
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if S has PDRING SYMBOL and S has RING
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if S has PDRING SYMBOL and S has RING
+--R differentiate : (%,List Symbol) -> % if S has PDRING SYMBOL and S has RING
+--R differentiate : (%,Symbol) -> % if S has PDRING SYMBOL and S has RING
+--R differentiate : (%,NonNegativeInteger) -> % if S has DIFRING and S has RING
+--R differentiate : % -> % if S has DIFRING and S has RING
+--R dimension : () -> CardinalNumber if S has FIELD
+--R dot : (%,%) -> S if S has RING
+--R entry? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R fill! : (%,S) -> % if $ has shallowlyMutable
+--R first : % -> S if Integer has ORDSET
+--R hash : % -> SingleInteger if S has SETCAT
+--R index : PositiveInteger -> % if S has FINITE
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R lookup : % -> PositiveInteger if S has FINITE
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R max : (%,%) -> % if S has OAMONS or S has ORDRING
+--R maxIndex : % -> Integer if Integer has ORDSET
+--R member? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R members : % -> List S if $ has finiteAggregate
+--R min : (%,%) -> % if S has OAMONS or S has ORDRING
+--R minIndex : % -> Integer if Integer has ORDSET
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R negative? : % -> Boolean if S has ORDRING
+--R one? : % -> Boolean if S has MONOID
+--R parts : % -> List S if $ has finiteAggregate
+--R positive? : % -> Boolean if S has ORDRING
+--R qsetelt! : (%,Integer,S) -> S if $ has shallowlyMutable
+--R random : () -> % if S has FINITE
+--R recip : % -> Union(%,"failed") if S has MONOID
+--R reducedSystem : Matrix % -> Matrix S if S has RING
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix S,vec: Vector S) if S has RING
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if S has LINEXP INT and S has RING
+--R reducedSystem : Matrix % -> Matrix Integer if S has LINEXP INT and S has RING
+--R retract : % -> S if S has SETCAT
+--R retract : % -> Fraction Integer if S has RETRACT FRAC INT and S has SETCAT
+--R retract : % -> Integer if S has RETRACT INT and S has SETCAT
+--R retractIfCan : % -> Union(S,"failed") if S has SETCAT
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if S has RETRACT FRAC INT and S has SETCAT
+--R retractIfCan : % -> Union(Integer,"failed") if S has RETRACT INT and S has SETCAT
+--R setelt : (%,Integer,S) -> S if $ has shallowlyMutable
+--R sign : % -> Integer if S has ORDRING
+--R size : () -> NonNegativeInteger if S has FINITE
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R subtractIfCan : (%,%) -> Union(%,"failed") if S has CABMON
+--R sup : (%,%) -> % if S has OAMONS
+--R swap! : (%,Integer,Integer) -> Void if $ has shallowlyMutable
+--R unitVector : PositiveInteger -> % if S has RING
+--R zero? : % -> Boolean if S has CABMON
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SplitHomogeneousDirectProduct.help>>=
+====================================================================
+SplitHomogeneousDirectProduct examples
+====================================================================
+
+See Also:
+o )show SplitHomogeneousDirectProduct
+
+@
+
 \pagehead{SplitHomogeneousDirectProduct}{SHDP}
 \pagepic{ps/v103splithomogeneousdirectproduct.ps}{SHDP}{1.00}
 {\bf See}\\
@@ -99848,6 +118163,52 @@ SplitHomogeneousDirectProduct(dimtot,dim1,S) : T == C where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SPLNODE SplittingNode}
+
+<<SplittingNode.input>>=
+)set break resume
+)sys rm -f SplittingNode.output
+)spool SplittingNode.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SplittingNode
+--R SplittingNode(V: Join(SetCategory,Aggregate),C: Join(SetCategory,Aggregate))  is a domain constructor
+--R Abbreviation for SplittingNode is SPLNODE 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for SPLNODE 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R condition : % -> C                    construct : (V,List C) -> List %
+--R construct : (V,C) -> %                construct : (V,C,Boolean) -> %
+--R copy : % -> %                         empty : () -> %
+--R empty? : % -> Boolean                 hash : % -> SingleInteger
+--R latex : % -> String                   setCondition! : (%,C) -> %
+--R setEmpty! : % -> %                    setStatus! : (%,Boolean) -> %
+--R setValue! : (%,V) -> %                status : % -> Boolean
+--R value : % -> V                        ?~=? : (%,%) -> Boolean
+--R construct : List Record(val: V,tower: C) -> List %
+--R construct : Record(val: V,tower: C) -> %
+--R infLex? : (%,%,((V,V) -> Boolean),((C,C) -> Boolean)) -> Boolean
+--R subNode? : (%,%,((C,C) -> Boolean)) -> Boolean
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SplittingNode.help>>=
+====================================================================
+SplittingNode examples
+====================================================================
+
+See Also:
+o )show SplittingNode
+
+@
+
 \pagehead{SplittingNode}{SPLNODE}
 \pagepic{ps/v103splittingnode.ps}{SPLNODE}{1.00}
 {\bf See}\\
@@ -100038,6 +118399,86 @@ SplittingNode(V,C) : Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SPLTREE SplittingTree}
+
+<<SplittingTree.input>>=
+)set break resume
+)sys rm -f SplittingTree.output
+)spool SplittingTree.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SplittingTree
+--R SplittingTree(V: Join(SetCategory,Aggregate),C: Join(SetCategory,Aggregate))  is a domain constructor
+--R Abbreviation for SplittingTree is SPLTREE 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for SPLTREE 
+--R
+--R------------------------------- Operations --------------------------------
+--R children : % -> List %                conditions : % -> List C
+--R construct : (V,C,V,List C) -> %       construct : (V,C,List %) -> %
+--R copy : % -> %                         cyclic? : % -> Boolean
+--R distance : (%,%) -> Integer           empty : () -> %
+--R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
+--R leaf? : % -> Boolean                  nodes : % -> List %
+--R sample : () -> %                      updateStatus! : % -> %
+--R value : % -> SplittingNode(V,C)      
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if SplittingNode(V,C) has SETCAT
+--R any? : ((SplittingNode(V,C) -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R child? : (%,%) -> Boolean if SplittingNode(V,C) has SETCAT
+--R coerce : % -> OutputForm if SplittingNode(V,C) has SETCAT
+--R construct : (V,C,List SplittingNode(V,C)) -> %
+--R construct : SplittingNode(V,C) -> %
+--R count : (SplittingNode(V,C),%) -> NonNegativeInteger if $ has finiteAggregate and SplittingNode(V,C) has SETCAT
+--R count : ((SplittingNode(V,C) -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R ?.value : (%,value) -> SplittingNode(V,C)
+--R eval : (%,List SplittingNode(V,C),List SplittingNode(V,C)) -> % if SplittingNode(V,C) has EVALAB SPLNODE(V,C) and SplittingNode(V,C) has SETCAT
+--R eval : (%,SplittingNode(V,C),SplittingNode(V,C)) -> % if SplittingNode(V,C) has EVALAB SPLNODE(V,C) and SplittingNode(V,C) has SETCAT
+--R eval : (%,Equation SplittingNode(V,C)) -> % if SplittingNode(V,C) has EVALAB SPLNODE(V,C) and SplittingNode(V,C) has SETCAT
+--R eval : (%,List Equation SplittingNode(V,C)) -> % if SplittingNode(V,C) has EVALAB SPLNODE(V,C) and SplittingNode(V,C) has SETCAT
+--R every? : ((SplittingNode(V,C) -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R extractSplittingLeaf : % -> Union(%,"failed")
+--R hash : % -> SingleInteger if SplittingNode(V,C) has SETCAT
+--R latex : % -> String if SplittingNode(V,C) has SETCAT
+--R leaves : % -> List SplittingNode(V,C)
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map : ((SplittingNode(V,C) -> SplittingNode(V,C)),%) -> %
+--R map! : ((SplittingNode(V,C) -> SplittingNode(V,C)),%) -> % if $ has shallowlyMutable
+--R member? : (SplittingNode(V,C),%) -> Boolean if $ has finiteAggregate and SplittingNode(V,C) has SETCAT
+--R members : % -> List SplittingNode(V,C) if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R node? : (%,%) -> Boolean if SplittingNode(V,C) has SETCAT
+--R nodeOf? : (SplittingNode(V,C),%) -> Boolean
+--R parts : % -> List SplittingNode(V,C) if $ has finiteAggregate
+--R remove : (SplittingNode(V,C),%) -> %
+--R remove! : (SplittingNode(V,C),%) -> %
+--R result : % -> List Record(val: V,tower: C)
+--R setchildren! : (%,List %) -> % if $ has shallowlyMutable
+--R setelt : (%,value,SplittingNode(V,C)) -> SplittingNode(V,C) if $ has shallowlyMutable
+--R setvalue! : (%,SplittingNode(V,C)) -> SplittingNode(V,C) if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R splitNodeOf! : (%,%,List SplittingNode(V,C),((C,C) -> Boolean)) -> %
+--R splitNodeOf! : (%,%,List SplittingNode(V,C)) -> %
+--R subNodeOf? : (SplittingNode(V,C),%,((C,C) -> Boolean)) -> Boolean
+--R ?~=? : (%,%) -> Boolean if SplittingNode(V,C) has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SplittingTree.help>>=
+====================================================================
+SplittingTree examples
+====================================================================
+
+See Also:
+o )show SplittingTree
+
+@
+
 \pagehead{SplittingTree}{SPLTREE}
 \pagepic{ps/v103splittingtree.ps}{SPLTREE}{1.00}
 {\bf See}\\
@@ -100409,6 +118850,7 @@ SplittingTree(V,C) : Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SREGSET SquareFreeRegularTriangularSet}
+
 <<SquareFreeRegularTriangularSet.input>>=
 )set break resume
 )sys rm -f SquareFreeRegularTriangularSet.output
@@ -101384,6 +119826,7 @@ SquareFreeRegularTriangularSet(R,E,V,P) : Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SQMATRIX SquareMatrix}
+
 <<SquareMatrix.input>>=
 )set break resume
 )sys rm -f SquareMatrix.output
@@ -101760,6 +120203,7 @@ SquareMatrix(ndim,R): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain STACK Stack}
+
 <<Stack.input>>=
 )set break resume
 )sys rm -f Stack.output
@@ -102583,6 +121027,7 @@ Stack(S:SetCategory): StackAggregate S with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain STREAM Stream}
+
 <<Stream.input>>=
 )set break resume
 )sys rm -f Stream.output
@@ -103531,6 +121976,7 @@ Stream(S): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain STRING String}
+
 <<String.input>>=
 )set break resume
 )sys rm -f String.output
@@ -104177,6 +122623,7 @@ String(): StringCategory == IndexedString(1) add
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain STRTBL StringTable}
+
 <<StringTable.input>>=
 )set break resume
 )sys rm -f StringTable.output
@@ -104346,6 +122793,7 @@ StringTable(Entry: SetCategory) ==
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SUBSPACE SubSpace}
+
 The first argument n is the dimension of the subSpace
 
 The SubSpace domain is implemented as a tree. The root of the tree
@@ -104392,6 +122840,64 @@ extend a path to a leaf of depth 3 that points to the data held in p.
 The subspace s would now have a new component which has one child
 which, in turn, has one child (the leaf). The new component is then a 
 point.
+
+<<SubSpace.input>>=
+)set break resume
+)sys rm -f SubSpace.output
+)spool SubSpace.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SubSpace
+--R SubSpace(n: PositiveInteger,R: Ring)  is a domain constructor
+--R Abbreviation for SubSpace is SUBSPACE 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for SUBSPACE 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                addPoint2 : (%,Point R) -> %
+--R birth : % -> %                        children : % -> List %
+--R coerce : % -> OutputForm              deepCopy : % -> %
+--R extractClosed : % -> Boolean          extractPoint : % -> Point R
+--R hash : % -> SingleInteger             internal? : % -> Boolean
+--R latex : % -> String                   leaf? : % -> Boolean
+--R level : % -> NonNegativeInteger       merge : List % -> %
+--R merge : (%,%) -> %                    new : () -> %
+--R parent : % -> %                       pointData : % -> List Point R
+--R root? : % -> Boolean                  separate : % -> List %
+--R shallowCopy : % -> %                  subspace : () -> %
+--R ?~=? : (%,%) -> Boolean              
+--R addPoint : (%,Point R) -> NonNegativeInteger
+--R addPoint : (%,List NonNegativeInteger,NonNegativeInteger) -> %
+--R addPoint : (%,List NonNegativeInteger,Point R) -> %
+--R addPointLast : (%,%,Point R,NonNegativeInteger) -> %
+--R child : (%,NonNegativeInteger) -> %
+--R closeComponent : (%,List NonNegativeInteger,Boolean) -> %
+--R defineProperty : (%,List NonNegativeInteger,SubSpaceComponentProperty) -> %
+--R extractIndex : % -> NonNegativeInteger
+--R extractProperty : % -> SubSpaceComponentProperty
+--R modifyPoint : (%,NonNegativeInteger,Point R) -> %
+--R modifyPoint : (%,List NonNegativeInteger,NonNegativeInteger) -> %
+--R modifyPoint : (%,List NonNegativeInteger,Point R) -> %
+--R numberOfChildren : % -> NonNegativeInteger
+--R traverse : (%,List NonNegativeInteger) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SubSpace.help>>=
+====================================================================
+SubSpace examples
+====================================================================
+
+See Also:
+o )show SubSpace
+
+@
  
 \pagehead{SubSpace}{SUBSPACE}
 \pagepic{ps/v103subspace.ps}{SUBSPACE}{1.00}
@@ -104865,6 +123371,45 @@ SubSpace(n:PI,R:Ring) : Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain COMPPROP SubSpaceComponentProperty}
+
+<<SubSpaceComponentProperty.input>>=
+)set break resume
+)sys rm -f SubSpaceComponentProperty.output
+)spool SubSpaceComponentProperty.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SubSpaceComponentProperty
+--R SubSpaceComponentProperty  is a domain constructor
+--R Abbreviation for SubSpaceComponentProperty is COMPPROP 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for COMPPROP 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                close : (%,Boolean) -> Boolean
+--R closed? : % -> Boolean                coerce : % -> OutputForm
+--R copy : % -> %                         hash : % -> SingleInteger
+--R latex : % -> String                   new : () -> %
+--R solid : (%,Boolean) -> Boolean        solid? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SubSpaceComponentProperty.help>>=
+====================================================================
+SubSpaceComponentProperty examples
+====================================================================
+
+See Also:
+o )show SubSpaceComponentProperty
+
+@
+
 \pagehead{SubSpaceComponentProperty}{COMPPROP}
 \pagepic{ps/v103subspacecomponentproperty.ps}{COMPPROP}{1.00}
 {\bf See}\\
@@ -104943,6 +123488,43 @@ SubSpaceComponentProperty() : Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SUCH SuchThat}
+
+<<SuchThat.input>>=
+)set break resume
+)sys rm -f SuchThat.output
+)spool SuchThat.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SuchThat
+--R SuchThat(S1: SetCategory,S2: SetCategory)  is a domain constructor
+--R Abbreviation for SuchThat is SUCH 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for SUCH 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> OutputForm
+--R construct : (S1,S2) -> %              hash : % -> SingleInteger
+--R latex : % -> String                   lhs : % -> S1
+--R rhs : % -> S2                         ?~=? : (%,%) -> Boolean
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SuchThat.help>>=
+====================================================================
+SuchThat examples
+====================================================================
+
+See Also:
+o )show SuchThat
+
+@
+
 \pagehead{SuchThat}{SUCH}
 \pagepic{ps/v103suchthat.ps}{SUCH}{1.00}
 
@@ -104994,6 +123576,49 @@ SuchThat(S1, S2): Cat == Capsule where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SWITCH Switch}
+
+<<Switch.input>>=
+)set break resume
+)sys rm -f Switch.output
+)spool Switch.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Switch
+--R Switch  is a domain constructor
+--R Abbreviation for Switch is SWITCH 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for SWITCH 
+--R
+--R------------------------------- Operations --------------------------------
+--R NOT : % -> %                          coerce : Symbol -> %
+--R coerce : % -> OutputForm             
+--R AND : (Union(I: Expression Integer,F: Expression Float,CF: Expression Complex Float,switch: %),Union(I: Expression Integer,F: Expression Float,CF: Expression Complex Float,switch: %)) -> %
+--R EQ : (Union(I: Expression Integer,F: Expression Float,CF: Expression Complex Float,switch: %),Union(I: Expression Integer,F: Expression Float,CF: Expression Complex Float,switch: %)) -> %
+--R GE : (Union(I: Expression Integer,F: Expression Float,CF: Expression Complex Float,switch: %),Union(I: Expression Integer,F: Expression Float,CF: Expression Complex Float,switch: %)) -> %
+--R GT : (Union(I: Expression Integer,F: Expression Float,CF: Expression Complex Float,switch: %),Union(I: Expression Integer,F: Expression Float,CF: Expression Complex Float,switch: %)) -> %
+--R LE : (Union(I: Expression Integer,F: Expression Float,CF: Expression Complex Float,switch: %),Union(I: Expression Integer,F: Expression Float,CF: Expression Complex Float,switch: %)) -> %
+--R LT : (Union(I: Expression Integer,F: Expression Float,CF: Expression Complex Float,switch: %),Union(I: Expression Integer,F: Expression Float,CF: Expression Complex Float,switch: %)) -> %
+--R NOT : Union(I: Expression Integer,F: Expression Float,CF: Expression Complex Float,switch: %) -> %
+--R OR : (Union(I: Expression Integer,F: Expression Float,CF: Expression Complex Float,switch: %),Union(I: Expression Integer,F: Expression Float,CF: Expression Complex Float,switch: %)) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Switch.help>>=
+====================================================================
+Switch examples
+====================================================================
+
+See Also:
+o )show Switch
+
+@
+
 \pagehead{Switch}{SWITCH}
 \pagepic{ps/v103switch.ps}{SWITCH}{1.00}
 {\bf See}\\
@@ -105115,6 +123740,7 @@ Switch():public == private where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SYMBOL Symbol}
+
 <<Symbol.input>>=
 )set break resume
 )sys rm -f Symbol.output
@@ -105849,6 +124475,49 @@ Symbol(): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SYMTAB SymbolTable}
+
+<<SymbolTable.input>>=
+)set break resume
+)sys rm -f SymbolTable.output
+)spool SymbolTable.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SymbolTable
+--R SymbolTable  is a domain constructor
+--R Abbreviation for SymbolTable is SYMTAB 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for SYMTAB 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : % -> OutputForm              empty : () -> %
+--R externalList : % -> List Symbol       newTypeLists : % -> SExpression
+--R parametersOf : % -> List Symbol       printTypes : % -> Void
+--R coerce : % -> Table(Symbol,FortranType)
+--R declare! : (Symbol,FortranType,%) -> FortranType
+--R declare! : (List Symbol,FortranType,%) -> FortranType
+--R fortranTypeOf : (Symbol,%) -> FortranType
+--R symbolTable : List Record(key: Symbol,entry: FortranType) -> %
+--R typeList : (FortranScalarType,%) -> List Union(name: Symbol,bounds: List Union(S: Symbol,P: Polynomial Integer))
+--R typeLists : % -> List List Union(name: Symbol,bounds: List Union(S: Symbol,P: Polynomial Integer))
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SymbolTable.help>>=
+====================================================================
+SymbolTable examples
+====================================================================
+
+See Also:
+o )show SymbolTable
+
+@
+
 \pagehead{SymbolTable}{SYMTAB}
 \pagepic{ps/v103symboltable.ps}{SYMTAB}{1.00}
 {\bf See}\\
@@ -106062,6 +124731,86 @@ SymbolTable() : exports == implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SYMPOLY SymmetricPolynomial}
+
+<<SymmetricPolynomial.input>>=
+)set break resume
+)sys rm -f SymmetricPolynomial.output
+)spool SymmetricPolynomial.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show SymmetricPolynomial
+--R SymmetricPolynomial R: Ring  is a domain constructor
+--R Abbreviation for SymmetricPolynomial is SYMPOLY 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for SYMPOLY 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (R,%) -> %                      ?*? : (%,R) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coefficient : (%,Partition) -> R
+--R coefficients : % -> List R            coerce : R -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R degree : % -> Partition               ground : % -> R
+--R ground? : % -> Boolean                hash : % -> SingleInteger
+--R latex : % -> String                   leadingCoefficient : % -> R
+--R leadingMonomial : % -> %              map : ((R -> R),%) -> %
+--R minimumDegree : % -> Partition        monomial : (R,Partition) -> %
+--R monomial? : % -> Boolean              one? : % -> Boolean
+--R recip : % -> Union(%,"failed")        reductum : % -> %
+--R retract : % -> R                      sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (%,Fraction Integer) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (Fraction Integer,%) -> % if R has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,R) -> % if R has FIELD
+--R ?^? : (%,NonNegativeInteger) -> %
+--R associates? : (%,%) -> Boolean if R has INTDOM
+--R binomThmExpt : (%,%,NonNegativeInteger) -> % if R has COMRING
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if R has CHARNZ
+--R coerce : Fraction Integer -> % if R has ALGEBRA FRAC INT or R has RETRACT FRAC INT
+--R coerce : % -> % if R has INTDOM
+--R content : % -> R if R has GCDDOM
+--R exquo : (%,R) -> Union(%,"failed") if R has INTDOM
+--R exquo : (%,%) -> Union(%,"failed") if R has INTDOM
+--R fmecg : (%,Partition,R,%) -> % if Partition has CABMON and R has INTDOM
+--R mapExponents : ((Partition -> Partition),%) -> %
+--R numberOfMonomials : % -> NonNegativeInteger
+--R pomopo! : (%,R,Partition,%) -> %
+--R primitivePart : % -> % if R has GCDDOM
+--R retract : % -> Fraction Integer if R has RETRACT FRAC INT
+--R retract : % -> Integer if R has RETRACT INT
+--R retractIfCan : % -> Union(R,"failed")
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if R has RETRACT FRAC INT
+--R retractIfCan : % -> Union(Integer,"failed") if R has RETRACT INT
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unit? : % -> Boolean if R has INTDOM
+--R unitCanonical : % -> % if R has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if R has INTDOM
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<SymmetricPolynomial.help>>=
+====================================================================
+SymmetricPolynomial examples
+====================================================================
+
+See Also:
+o )show SymmetricPolynomial
+
+@
+
 \pagehead{SymmetricPolynomial}{SYMPOLY}
 \pagepic{ps/v103symmetricpolynomial.ps}{SYMPOLY}{1.00}
 {\bf See}\\
@@ -106165,6 +124914,7 @@ SymmetricPolynomial(R:Ring) == PolynomialRing(R,Partition) add
 \chapter{Chapter T}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain TABLE Table}
+
 <<Table.input>>=
 )set break resume
 )sys rm -f Table.output
@@ -106573,6 +125323,41 @@ Table(Key: SetCategory, Entry: SetCategory):Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain TABLEAU Tableau}
+
+<<Tableau.input>>=
+)set break resume
+)sys rm -f Tableau.output
+)spool Tableau.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Tableau
+--R Tableau S: SetCategory  is a domain constructor
+--R Abbreviation for Tableau is TABLEAU 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for TABLEAU 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : % -> OutputForm              listOfLists : % -> List List S
+--R tableau : List List S -> %           
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Tableau.help>>=
+====================================================================
+Tableau examples
+====================================================================
+
+See Also:
+o )show Tableau
+
+@
+
 \pagehead{Tableau}{TABLEAU}
 \pagepic{ps/v103tableau.ps}{TABLEAU}{1.00}
 
@@ -106642,6 +125427,131 @@ Tableau(S:SetCategory):Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain TS TaylorSeries}
+
+<<TaylorSeries.input>>=
+)set break resume
+)sys rm -f TaylorSeries.output
+)spool TaylorSeries.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TaylorSeries
+--R TaylorSeries Coef: Ring  is a domain constructor
+--R Abbreviation for TaylorSeries is TS 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for TS 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,Coef) -> %                   ?*? : (Coef,%) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R D : (%,List Symbol) -> %              D : (%,Symbol) -> %
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : Polynomial Coef -> %
+--R coerce : Symbol -> %                  coerce : Integer -> %
+--R coerce : % -> OutputForm              complete : % -> %
+--R differentiate : (%,Symbol) -> %       eval : (%,List %,List %) -> %
+--R eval : (%,%,%) -> %                   eval : (%,Equation %) -> %
+--R eval : (%,List Equation %) -> %       eval : (%,Symbol,%) -> %
+--R hash : % -> SingleInteger             latex : % -> String
+--R leadingCoefficient : % -> Coef        leadingMonomial : % -> %
+--R map : ((Coef -> Coef),%) -> %         monomial? : % -> Boolean
+--R one? : % -> Boolean                   pole? : % -> Boolean
+--R recip : % -> Union(%,"failed")        reductum : % -> %
+--R sample : () -> %                      variables : % -> List Symbol
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (Fraction Integer,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,Coef) -> % if Coef has FIELD
+--R D : (%,List Symbol,List NonNegativeInteger) -> %
+--R D : (%,Symbol,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R acos : % -> % if Coef has ALGEBRA FRAC INT
+--R acosh : % -> % if Coef has ALGEBRA FRAC INT
+--R acot : % -> % if Coef has ALGEBRA FRAC INT
+--R acoth : % -> % if Coef has ALGEBRA FRAC INT
+--R acsc : % -> % if Coef has ALGEBRA FRAC INT
+--R acsch : % -> % if Coef has ALGEBRA FRAC INT
+--R asec : % -> % if Coef has ALGEBRA FRAC INT
+--R asech : % -> % if Coef has ALGEBRA FRAC INT
+--R asin : % -> % if Coef has ALGEBRA FRAC INT
+--R asinh : % -> % if Coef has ALGEBRA FRAC INT
+--R associates? : (%,%) -> Boolean if Coef has INTDOM
+--R atan : % -> % if Coef has ALGEBRA FRAC INT
+--R atanh : % -> % if Coef has ALGEBRA FRAC INT
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if Coef has CHARNZ
+--R coefficient : (%,NonNegativeInteger) -> Polynomial Coef
+--R coefficient : (%,List Symbol,List NonNegativeInteger) -> %
+--R coefficient : (%,Symbol,NonNegativeInteger) -> %
+--R coefficient : (%,IndexedExponents Symbol) -> Coef
+--R coerce : Fraction Integer -> % if Coef has ALGEBRA FRAC INT
+--R coerce : % -> % if Coef has INTDOM
+--R coerce : Coef -> % if Coef has COMRING
+--R cos : % -> % if Coef has ALGEBRA FRAC INT
+--R cosh : % -> % if Coef has ALGEBRA FRAC INT
+--R cot : % -> % if Coef has ALGEBRA FRAC INT
+--R coth : % -> % if Coef has ALGEBRA FRAC INT
+--R csc : % -> % if Coef has ALGEBRA FRAC INT
+--R csch : % -> % if Coef has ALGEBRA FRAC INT
+--R degree : % -> IndexedExponents Symbol
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> %
+--R differentiate : (%,Symbol,NonNegativeInteger) -> %
+--R differentiate : (%,List Symbol) -> %
+--R eval : (%,List Symbol,List %) -> %
+--R exp : % -> % if Coef has ALGEBRA FRAC INT
+--R exquo : (%,%) -> Union(%,"failed") if Coef has INTDOM
+--R extend : (%,NonNegativeInteger) -> %
+--R fintegrate : ((() -> %),Symbol,Coef) -> % if Coef has ALGEBRA FRAC INT
+--R integrate : (%,Symbol,Coef) -> % if Coef has ALGEBRA FRAC INT
+--R integrate : (%,Symbol) -> % if Coef has ALGEBRA FRAC INT
+--R log : % -> % if Coef has ALGEBRA FRAC INT
+--R monomial : (%,List Symbol,List NonNegativeInteger) -> %
+--R monomial : (%,Symbol,NonNegativeInteger) -> %
+--R monomial : (Coef,IndexedExponents Symbol) -> %
+--R monomial : (%,Symbol,IndexedExponents Symbol) -> %
+--R monomial : (%,List Symbol,List IndexedExponents Symbol) -> %
+--R nthRoot : (%,Integer) -> % if Coef has ALGEBRA FRAC INT
+--R order : (%,Symbol,NonNegativeInteger) -> NonNegativeInteger
+--R order : (%,Symbol) -> NonNegativeInteger
+--R pi : () -> % if Coef has ALGEBRA FRAC INT
+--R polynomial : (%,NonNegativeInteger,NonNegativeInteger) -> Polynomial Coef
+--R polynomial : (%,NonNegativeInteger) -> Polynomial Coef
+--R sec : % -> % if Coef has ALGEBRA FRAC INT
+--R sech : % -> % if Coef has ALGEBRA FRAC INT
+--R sin : % -> % if Coef has ALGEBRA FRAC INT
+--R sinh : % -> % if Coef has ALGEBRA FRAC INT
+--R sqrt : % -> % if Coef has ALGEBRA FRAC INT
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tan : % -> % if Coef has ALGEBRA FRAC INT
+--R tanh : % -> % if Coef has ALGEBRA FRAC INT
+--R unit? : % -> Boolean if Coef has INTDOM
+--R unitCanonical : % -> % if Coef has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if Coef has INTDOM
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<TaylorSeries.help>>=
+====================================================================
+TaylorSeries examples
+====================================================================
+
+See Also:
+o )show TaylorSeries
+
+@
+
 \pagehead{TaylorSeries}{TS}
 \pagepic{ps/v103taylorseries.ps}{TS}{1.00}
 {\bf See}\\
@@ -107606,6 +126516,7 @@ TexFormat(): public == private where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain TEXTFILE TextFile}
+
 <<TextFile.input>>=
 )set break resume
 )sys rm -f TextFile.output
@@ -107897,6 +126808,59 @@ TextFile: Cat == Def where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SYMS TheSymbolTable}
+
+<<TheSymbolTable.input>>=
+)set break resume
+)sys rm -f TheSymbolTable.output
+)spool TheSymbolTable.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TheSymbolTable
+--R TheSymbolTable  is a domain constructor
+--R Abbreviation for TheSymbolTable is SYMS 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for SYMS 
+--R
+--R------------------------------- Operations --------------------------------
+--R clearTheSymbolTable : () -> Void      coerce : % -> OutputForm
+--R currentSubProgram : () -> Symbol      empty : () -> %
+--R endSubProgram : () -> Symbol          newSubProgram : Symbol -> Void
+--R printHeader : () -> Void              printHeader : Symbol -> Void
+--R printHeader : (Symbol,%) -> Void      printTypes : Symbol -> Void
+--R showTheSymbolTable : () -> %         
+--R argumentList! : List Symbol -> Void
+--R argumentList! : (Symbol,List Symbol) -> Void
+--R argumentList! : (Symbol,List Symbol,%) -> Void
+--R argumentListOf : (Symbol,%) -> List Symbol
+--R clearTheSymbolTable : Symbol -> Void
+--R declare! : (Symbol,FortranType,Symbol) -> FortranType
+--R declare! : (Symbol,FortranType) -> FortranType
+--R declare! : (List Symbol,FortranType,Symbol,%) -> FortranType
+--R declare! : (Symbol,FortranType,Symbol,%) -> FortranType
+--R returnType! : Union(fst: FortranScalarType,void: void) -> Void
+--R returnType! : (Symbol,Union(fst: FortranScalarType,void: void)) -> Void
+--R returnType! : (Symbol,Union(fst: FortranScalarType,void: void),%) -> Void
+--R returnTypeOf : (Symbol,%) -> Union(fst: FortranScalarType,void: void)
+--R symbolTableOf : (Symbol,%) -> SymbolTable
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<TheSymbolTable.help>>=
+====================================================================
+TheSymbolTable examples
+====================================================================
+
+See Also:
+o )show TheSymbolTable
+
+@
+
 \pagehead{TheSymbolTable}{SYMS}
 \pagepic{ps/v103thesymboltable.ps}{SYMS}{1.00}
 {\bf See}\\
@@ -108135,6 +127099,73 @@ TheSymbolTable() : Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain M3D ThreeDimensionalMatrix}
+
+<<ThreeDimensionalMatrix.input>>=
+)set break resume
+)sys rm -f ThreeDimensionalMatrix.output
+)spool ThreeDimensionalMatrix.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ThreeDimensionalMatrix
+--R ThreeDimensionalMatrix R: SetCategory  is a domain constructor
+--R Abbreviation for ThreeDimensionalMatrix is M3D 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for M3D 
+--R
+--R------------------------------- Operations --------------------------------
+--R construct : List List List R -> %     copy : % -> %
+--R empty : () -> %                       empty? : % -> Boolean
+--R eq? : (%,%) -> Boolean                map : ((R -> R),%) -> %
+--R sample : () -> %                     
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if R has SETCAT
+--R any? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> PrimitiveArray PrimitiveArray PrimitiveArray R
+--R coerce : PrimitiveArray PrimitiveArray PrimitiveArray R -> %
+--R coerce : % -> OutputForm if R has SETCAT
+--R count : (R,%) -> NonNegativeInteger if $ has finiteAggregate and R has SETCAT
+--R count : ((R -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R elt : (%,NonNegativeInteger,NonNegativeInteger,NonNegativeInteger) -> R
+--R eval : (%,List R,List R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,R,R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,Equation R) -> % if R has EVALAB R and R has SETCAT
+--R eval : (%,List Equation R) -> % if R has EVALAB R and R has SETCAT
+--R every? : ((R -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R hash : % -> SingleInteger if R has SETCAT
+--R identityMatrix : NonNegativeInteger -> % if R has RING
+--R latex : % -> String if R has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((R -> R),%) -> % if $ has shallowlyMutable
+--R matrixConcat3D : (Symbol,%,%) -> %
+--R matrixDimensions : % -> Vector NonNegativeInteger
+--R member? : (R,%) -> Boolean if $ has finiteAggregate and R has SETCAT
+--R members : % -> List R if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R parts : % -> List R if $ has finiteAggregate
+--R plus : (%,%) -> % if R has RING
+--R setelt! : (%,NonNegativeInteger,NonNegativeInteger,NonNegativeInteger,R) -> R
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R zeroMatrix : (NonNegativeInteger,NonNegativeInteger,NonNegativeInteger) -> % if R has RING
+--R ?~=? : (%,%) -> Boolean if R has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<ThreeDimensionalMatrix.help>>=
+====================================================================
+ThreeDimensionalMatrix examples
+====================================================================
+
+See Also:
+o )show ThreeDimensionalMatrix
+
+@
+
 \pagehead{ThreeDimensionalMatrix}{M3D}
 \pagepic{ps/v103threedimensionalmatrix.ps}{M3D}{1.00}
 {\bf See}\\
@@ -108438,6 +127469,81 @@ ThreeDimensionalMatrix(R) : Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain VIEW3D ThreeDimensionalViewport}
+
+<<ThreeDimensionalViewport.input>>=
+)set break resume
+)sys rm -f ThreeDimensionalViewport.output
+)spool ThreeDimensionalViewport.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ThreeDimensionalViewport
+--R ThreeDimensionalViewport  is a domain constructor
+--R Abbreviation for ThreeDimensionalViewport is VIEW3D 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for VIEW3D 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                axes : (%,String) -> Void
+--R clipSurface : (%,String) -> Void      close : % -> Void
+--R coerce : % -> OutputForm              controlPanel : (%,String) -> Void
+--R diagonals : (%,String) -> Void        drawStyle : (%,String) -> Void
+--R eyeDistance : (%,Float) -> Void       hash : % -> SingleInteger
+--R hitherPlane : (%,Float) -> Void       intensity : (%,Float) -> Void
+--R key : % -> Integer                    latex : % -> String
+--R makeViewport3D : % -> %               options : % -> List DrawOption
+--R perspective : (%,String) -> Void      reset : % -> Void
+--R rotate : (%,Float,Float) -> Void      showRegion : (%,String) -> Void
+--R title : (%,String) -> Void            viewDeltaXDefault : Float -> Float
+--R viewDeltaXDefault : () -> Float       viewDeltaYDefault : Float -> Float
+--R viewDeltaYDefault : () -> Float       viewPhiDefault : Float -> Float
+--R viewPhiDefault : () -> Float          viewThetaDefault : Float -> Float
+--R viewThetaDefault : () -> Float        viewZoomDefault : Float -> Float
+--R viewZoomDefault : () -> Float         viewport3D : () -> %
+--R write : (%,String) -> String          zoom : (%,Float) -> Void
+--R ?~=? : (%,%) -> Boolean              
+--R colorDef : (%,Color,Color) -> Void
+--R dimensions : (%,NonNegativeInteger,NonNegativeInteger,PositiveInteger,PositiveInteger) -> Void
+--R lighting : (%,Float,Float,Float) -> Void
+--R makeViewport3D : (ThreeSpace DoubleFloat,List DrawOption) -> %
+--R makeViewport3D : (ThreeSpace DoubleFloat,String) -> %
+--R modifyPointData : (%,NonNegativeInteger,Point DoubleFloat) -> Void
+--R move : (%,NonNegativeInteger,NonNegativeInteger) -> Void
+--R options : (%,List DrawOption) -> %
+--R outlineRender : (%,String) -> Void
+--R resize : (%,PositiveInteger,PositiveInteger) -> Void
+--R rotate : (%,Integer,Integer) -> Void
+--R showClipRegion : (%,String) -> Void
+--R subspace : (%,ThreeSpace DoubleFloat) -> %
+--R subspace : % -> ThreeSpace DoubleFloat
+--R translate : (%,Float,Float) -> Void
+--R viewpoint : (%,Float,Float,Float) -> Void
+--R viewpoint : (%,Float,Float) -> Void
+--R viewpoint : (%,Integer,Integer,Float,Float,Float) -> Void
+--R viewpoint : (%,Record(theta: DoubleFloat,phi: DoubleFloat,scale: DoubleFloat,scaleX: DoubleFloat,scaleY: DoubleFloat,scaleZ: DoubleFloat,deltaX: DoubleFloat,deltaY: DoubleFloat)) -> Void
+--R viewpoint : % -> Record(theta: DoubleFloat,phi: DoubleFloat,scale: DoubleFloat,scaleX: DoubleFloat,scaleY: DoubleFloat,scaleZ: DoubleFloat,deltaX: DoubleFloat,deltaY: DoubleFloat)
+--R viewpoint : (%,Float,Float,Float,Float,Float) -> Void
+--R write : (%,String,List String) -> String
+--R write : (%,String,String) -> String
+--R zoom : (%,Float,Float,Float) -> Void
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<ThreeDimensionalViewport.help>>=
+====================================================================
+ThreeDimensionalViewport examples
+====================================================================
+
+See Also:
+o )show ThreeDimensionalViewport
+
+@
+
 \pagehead{ThreeDimensionalViewport}{VIEW3D}
 \pagepic{ps/v103threedimensionalviewport.ps}{VIEW3D}{1.00}
 
@@ -109443,6 +128549,75 @@ ThreeDimensionalViewport(): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain SPACE3 ThreeSpace}
+
+<<ThreeSpace.input>>=
+)set break resume
+)sys rm -f ThreeSpace.output
+)spool ThreeSpace.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show ThreeSpace
+--R ThreeSpace R: Ring  is a domain constructor
+--R Abbreviation for ThreeSpace is SPACE3 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for SPACE3 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                check : % -> %
+--R closedCurve : % -> List Point R       closedCurve : List Point R -> %
+--R closedCurve? : % -> Boolean           coerce : % -> OutputForm
+--R components : % -> List %              composite : List % -> %
+--R composites : % -> List %              copy : % -> %
+--R create3Space : SubSpace(3,R) -> %     create3Space : () -> %
+--R curve : % -> List Point R             curve : List Point R -> %
+--R curve : (%,List List R) -> %          curve : (%,List Point R) -> %
+--R curve? : % -> Boolean                 hash : % -> SingleInteger
+--R latex : % -> String                   lp : % -> List Point R
+--R merge : (%,%) -> %                    merge : List % -> %
+--R mesh : % -> List List Point R         mesh : List List Point R -> %
+--R mesh? : % -> Boolean                  point : % -> Point R
+--R point : Point R -> %                  point : (%,List R) -> %
+--R point : (%,Point R) -> %              point? : % -> Boolean
+--R polygon : % -> List Point R           polygon : List Point R -> %
+--R polygon : (%,List List R) -> %        polygon : (%,List Point R) -> %
+--R polygon? : % -> Boolean               subspace : % -> SubSpace(3,R)
+--R ?~=? : (%,%) -> Boolean              
+--R closedCurve : (%,List List R) -> %
+--R closedCurve : (%,List Point R) -> %
+--R enterPointData : (%,List Point R) -> NonNegativeInteger
+--R lllip : % -> List List List NonNegativeInteger
+--R lllp : % -> List List List Point R
+--R llprop : % -> List List SubSpaceComponentProperty
+--R lprop : % -> List SubSpaceComponentProperty
+--R mesh : (List List Point R,Boolean,Boolean) -> %
+--R mesh : (%,List List List R,Boolean,Boolean) -> %
+--R mesh : (%,List List Point R,Boolean,Boolean) -> %
+--R mesh : (%,List List List R,List SubSpaceComponentProperty,SubSpaceComponentProperty) -> %
+--R mesh : (%,List List Point R,List SubSpaceComponentProperty,SubSpaceComponentProperty) -> %
+--R modifyPointData : (%,NonNegativeInteger,Point R) -> %
+--R numberOfComponents : % -> NonNegativeInteger
+--R numberOfComposites : % -> NonNegativeInteger
+--R objects : % -> Record(points: NonNegativeInteger,curves: NonNegativeInteger,polygons: NonNegativeInteger,constructs: NonNegativeInteger)
+--R point : (%,NonNegativeInteger) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<ThreeSpace.help>>=
+====================================================================
+ThreeSpace examples
+====================================================================
+
+See Also:
+o )show ThreeSpace
+
+@
+
 \pagehead{ThreeSpace}{SPACE3}
 \pagepic{ps/v103threespace.ps}{SPACE3}{1.00}
 
@@ -109835,6 +129010,76 @@ ThreeSpace(R:Ring):Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain TREE Tree}
+
+<<Tree.input>>=
+)set break resume
+)sys rm -f Tree.output
+)spool Tree.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Tree
+--R Tree S: SetCategory  is a domain constructor
+--R Abbreviation for Tree is TREE 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for TREE 
+--R
+--R------------------------------- Operations --------------------------------
+--R children : % -> List %                copy : % -> %
+--R cyclic? : % -> Boolean                cyclicCopy : % -> %
+--R cyclicEntries : % -> List %           cyclicEqual? : (%,%) -> Boolean
+--R cyclicParents : % -> List %           distance : (%,%) -> Integer
+--R ?.value : (%,value) -> S              empty : () -> %
+--R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
+--R leaf? : % -> Boolean                  leaves : % -> List S
+--R map : ((S -> S),%) -> %               nodes : % -> List %
+--R sample : () -> %                      tree : S -> %
+--R tree : List S -> %                    tree : (S,List %) -> %
+--R value : % -> S                       
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R any? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R child? : (%,%) -> Boolean if S has SETCAT
+--R coerce : % -> OutputForm if S has SETCAT
+--R count : (S,%) -> NonNegativeInteger if $ has finiteAggregate and S has SETCAT
+--R count : ((S -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R eval : (%,List S,List S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,S,S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,Equation S) -> % if S has EVALAB S and S has SETCAT
+--R eval : (%,List Equation S) -> % if S has EVALAB S and S has SETCAT
+--R every? : ((S -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R hash : % -> SingleInteger if S has SETCAT
+--R latex : % -> String if S has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R map! : ((S -> S),%) -> % if $ has shallowlyMutable
+--R member? : (S,%) -> Boolean if $ has finiteAggregate and S has SETCAT
+--R members : % -> List S if $ has finiteAggregate
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R node? : (%,%) -> Boolean if S has SETCAT
+--R parts : % -> List S if $ has finiteAggregate
+--R setchildren! : (%,List %) -> % if $ has shallowlyMutable
+--R setelt : (%,value,S) -> S if $ has shallowlyMutable
+--R setvalue! : (%,S) -> S if $ has shallowlyMutable
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Tree.help>>=
+====================================================================
+Tree examples
+====================================================================
+
+See Also:
+o )show Tree
+
+@
+
 \pagehead{Tree}{TREE}
 \pagepic{ps/v103tree.ps}{TREE}{1.00}
 {\bf See}\\
@@ -110234,6 +129479,44 @@ Tree(S: SetCategory): T==C where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain TUBE TubePlot}
+
+<<TubePlot.input>>=
+)set break resume
+)sys rm -f TubePlot.output
+)spool TubePlot.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show TubePlot
+--R TubePlot Curve: PlottableSpaceCurveCategory  is a domain constructor
+--R Abbreviation for TubePlot is TUBE 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for TUBE 
+--R
+--R------------------------------- Operations --------------------------------
+--R closed? : % -> Boolean                getCurve : % -> Curve
+--R open? : % -> Boolean                 
+--R listLoops : % -> List List Point DoubleFloat
+--R setClosed : (%,Boolean) -> Boolean
+--R tube : (Curve,List List Point DoubleFloat,Boolean) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<TubePlot.help>>=
+====================================================================
+TubePlot examples
+====================================================================
+
+See Also:
+o )show TubePlot
+
+@
+
 \pagehead{TubePlot}{TUBE}
 \pagepic{ps/v103tubeplot.ps}{TUBE}{1.00}
 
@@ -110312,6 +129595,47 @@ TubePlot(Curve): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain TUPLE Tuple}
+
+<<Tuple.input>>=
+)set break resume
+)sys rm -f Tuple.output
+)spool Tuple.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Tuple
+--R Tuple S: Type  is a domain constructor
+--R Abbreviation for Tuple is TUPLE 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for TUPLE 
+--R
+--R------------------------------- Operations --------------------------------
+--R coerce : PrimitiveArray S -> %        coerce : % -> PrimitiveArray S
+--R length : % -> NonNegativeInteger     
+--R ?=? : (%,%) -> Boolean if S has SETCAT
+--R coerce : % -> OutputForm if S has SETCAT
+--R hash : % -> SingleInteger if S has SETCAT
+--R latex : % -> String if S has SETCAT
+--R select : (%,NonNegativeInteger) -> S
+--R ?~=? : (%,%) -> Boolean if S has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Tuple.help>>=
+====================================================================
+Tuple examples
+====================================================================
+
+See Also:
+o )show Tuple
+
+@
+
 \pagehead{Tuple}{TUPLE}
 \pagepic{ps/v103tuple.ps}{TUPLE}{1.00}
 {\bf See}\\
@@ -110390,6 +129714,7 @@ Tuple(S:Type): CoercibleTo(PrimitiveArray S) with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ARRAY2 TwoDimensionalArray}
+
 <<TwoDimensionalArray.input>>=
 )set break resume
 )sys rm -f TwoDimensionalArray.output
@@ -110914,6 +130239,7 @@ TwoDimensionalArray(R):Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain VIEW2D TwoDimensionalViewport}
+
 <<TwoDimensionalViewport.help>>=
 ====================================================================
 TwoDimensionalViewport examples
@@ -111849,6 +131175,149 @@ TwoDimensionalViewport ():Exports == Implementation where
 \chapter{Chapter U}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain UFPS UnivariateFormalPowerSeries}
+
+<<UnivariateFormalPowerSeries.input>>=
+)set break resume
+)sys rm -f UnivariateFormalPowerSeries.output
+)spool UnivariateFormalPowerSeries.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UnivariateFormalPowerSeries
+--R UnivariateFormalPowerSeries Coef: Ring  is a domain constructor
+--R Abbreviation for UnivariateFormalPowerSeries is UFPS 
+--R This constructor is exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for UFPS 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Coef,%) -> %                   ?*? : (%,Coef) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        center : % -> Coef
+--R coefficients : % -> Stream Coef       coerce : Variable QUOTE x -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R complete : % -> %                     degree : % -> NonNegativeInteger
+--R evenlambert : % -> %                  hash : % -> SingleInteger
+--R lagrange : % -> %                     lambert : % -> %
+--R latex : % -> String                   leadingCoefficient : % -> Coef
+--R leadingMonomial : % -> %              map : ((Coef -> Coef),%) -> %
+--R monomial? : % -> Boolean              oddlambert : % -> %
+--R one? : % -> Boolean                   order : % -> NonNegativeInteger
+--R pole? : % -> Boolean                  quoByVar : % -> %
+--R recip : % -> Union(%,"failed")        reductum : % -> %
+--R revert : % -> %                       sample : () -> %
+--R series : Stream Coef -> %             variable : % -> Symbol
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (Fraction Integer,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,Coef) -> % if Coef has FIELD
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,Coef) -> % if Coef has FIELD
+--R D : % -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef
+--R D : (%,NonNegativeInteger) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef
+--R D : (%,Symbol) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef and Coef has PDRING SYMBOL
+--R ?^? : (%,NonNegativeInteger) -> %
+--R acos : % -> % if Coef has ALGEBRA FRAC INT
+--R acosh : % -> % if Coef has ALGEBRA FRAC INT
+--R acot : % -> % if Coef has ALGEBRA FRAC INT
+--R acoth : % -> % if Coef has ALGEBRA FRAC INT
+--R acsc : % -> % if Coef has ALGEBRA FRAC INT
+--R acsch : % -> % if Coef has ALGEBRA FRAC INT
+--R approximate : (%,NonNegativeInteger) -> Coef if Coef has **: (Coef,NonNegativeInteger) -> Coef and Coef has coerce: Symbol -> Coef
+--R asec : % -> % if Coef has ALGEBRA FRAC INT
+--R asech : % -> % if Coef has ALGEBRA FRAC INT
+--R asin : % -> % if Coef has ALGEBRA FRAC INT
+--R asinh : % -> % if Coef has ALGEBRA FRAC INT
+--R associates? : (%,%) -> Boolean if Coef has INTDOM
+--R atan : % -> % if Coef has ALGEBRA FRAC INT
+--R atanh : % -> % if Coef has ALGEBRA FRAC INT
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if Coef has CHARNZ
+--R coefficient : (%,NonNegativeInteger) -> Coef
+--R coerce : UnivariatePolynomial(QUOTE x,Coef) -> %
+--R coerce : Coef -> % if Coef has COMRING
+--R coerce : % -> % if Coef has INTDOM
+--R coerce : Fraction Integer -> % if Coef has ALGEBRA FRAC INT
+--R cos : % -> % if Coef has ALGEBRA FRAC INT
+--R cosh : % -> % if Coef has ALGEBRA FRAC INT
+--R cot : % -> % if Coef has ALGEBRA FRAC INT
+--R coth : % -> % if Coef has ALGEBRA FRAC INT
+--R csc : % -> % if Coef has ALGEBRA FRAC INT
+--R csch : % -> % if Coef has ALGEBRA FRAC INT
+--R differentiate : (%,Variable QUOTE x) -> %
+--R differentiate : % -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef
+--R differentiate : (%,NonNegativeInteger) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef
+--R differentiate : (%,Symbol) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef and Coef has PDRING SYMBOL
+--R ?.? : (%,%) -> % if NonNegativeInteger has SGROUP
+--R ?.? : (%,NonNegativeInteger) -> Coef
+--R eval : (%,Coef) -> Stream Coef if Coef has **: (Coef,NonNegativeInteger) -> Coef
+--R exp : % -> % if Coef has ALGEBRA FRAC INT
+--R exquo : (%,%) -> Union(%,"failed") if Coef has INTDOM
+--R extend : (%,NonNegativeInteger) -> %
+--R generalLambert : (%,Integer,Integer) -> %
+--R integrate : (%,Variable QUOTE x) -> % if Coef has ALGEBRA FRAC INT
+--R integrate : (%,Symbol) -> % if Coef has integrate: (Coef,Symbol) -> Coef and Coef has variables: Coef -> List Symbol and Coef has ALGEBRA FRAC INT or Coef has ACFS INT and Coef has ALGEBRA FRAC INT and Coef has PRIMCAT and Coef has TRANFUN
+--R integrate : % -> % if Coef has ALGEBRA FRAC INT
+--R invmultisect : (Integer,Integer,%) -> %
+--R log : % -> % if Coef has ALGEBRA FRAC INT
+--R monomial : (%,List SingletonAsOrderedSet,List NonNegativeInteger) -> %
+--R monomial : (%,SingletonAsOrderedSet,NonNegativeInteger) -> %
+--R monomial : (Coef,NonNegativeInteger) -> %
+--R multiplyCoefficients : ((Integer -> Coef),%) -> %
+--R multiplyExponents : (%,PositiveInteger) -> %
+--R multisect : (Integer,Integer,%) -> %
+--R nthRoot : (%,Integer) -> % if Coef has ALGEBRA FRAC INT
+--R order : (%,NonNegativeInteger) -> NonNegativeInteger
+--R pi : () -> % if Coef has ALGEBRA FRAC INT
+--R polynomial : (%,NonNegativeInteger,NonNegativeInteger) -> Polynomial Coef
+--R polynomial : (%,NonNegativeInteger) -> Polynomial Coef
+--R sec : % -> % if Coef has ALGEBRA FRAC INT
+--R sech : % -> % if Coef has ALGEBRA FRAC INT
+--R series : Stream Record(k: NonNegativeInteger,c: Coef) -> %
+--R sin : % -> % if Coef has ALGEBRA FRAC INT
+--R sinh : % -> % if Coef has ALGEBRA FRAC INT
+--R sqrt : % -> % if Coef has ALGEBRA FRAC INT
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tan : % -> % if Coef has ALGEBRA FRAC INT
+--R tanh : % -> % if Coef has ALGEBRA FRAC INT
+--R terms : % -> Stream Record(k: NonNegativeInteger,c: Coef)
+--R truncate : (%,NonNegativeInteger,NonNegativeInteger) -> %
+--R truncate : (%,NonNegativeInteger) -> %
+--R unit? : % -> Boolean if Coef has INTDOM
+--R unitCanonical : % -> % if Coef has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if Coef has INTDOM
+--R univariatePolynomial : (%,NonNegativeInteger) -> UnivariatePolynomial(QUOTE x,Coef)
+--R variables : % -> List SingletonAsOrderedSet
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<UnivariateFormalPowerSeries.help>>=
+====================================================================
+UnivariateFormalPowerSeries examples
+====================================================================
+
+See Also:
+o )show UnivariateFormalPowerSeries
+
+@
+
 \pagehead{UnivariateFormalPowerSeries}{UFPS}
 \pagepic{ps/v103univariateformalpowerseries.ps}{UFPS}{1.00}
 
@@ -111967,6 +131436,226 @@ UnivariateFormalPowerSeries(Coef: Ring) ==
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ULS UnivariateLaurentSeries}
+
+<<UnivariateLaurentSeries.input>>=
+)set break resume
+)sys rm -f UnivariateLaurentSeries.output
+)spool UnivariateLaurentSeries.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UnivariateLaurentSeries
+--R UnivariateLaurentSeries(Coef: Ring,var: Symbol,cen: Coef)  is a domain constructor
+--R Abbreviation for UnivariateLaurentSeries is ULS 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ULS 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Coef,%) -> %                   ?*? : (%,Coef) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        center : % -> Coef
+--R coefficient : (%,Integer) -> Coef     coerce : Variable var -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R complete : % -> %                     degree : % -> Integer
+--R ?.? : (%,Integer) -> Coef             extend : (%,Integer) -> %
+--R hash : % -> SingleInteger             latex : % -> String
+--R leadingCoefficient : % -> Coef        leadingMonomial : % -> %
+--R map : ((Coef -> Coef),%) -> %         monomial : (Coef,Integer) -> %
+--R monomial? : % -> Boolean              one? : % -> Boolean
+--R order : (%,Integer) -> Integer        order : % -> Integer
+--R pole? : % -> Boolean                  recip : % -> Union(%,"failed")
+--R reductum : % -> %                     removeZeroes : (Integer,%) -> %
+--R removeZeroes : % -> %                 sample : () -> %
+--R truncate : (%,Integer) -> %           variable : % -> Symbol
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (Fraction Integer,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (UnivariateTaylorSeries(Coef,var,cen),%) -> % if Coef has FIELD
+--R ?*? : (%,UnivariateTaylorSeries(Coef,var,cen)) -> % if Coef has FIELD
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,Integer) -> % if Coef has FIELD
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (UnivariateTaylorSeries(Coef,var,cen),UnivariateTaylorSeries(Coef,var,cen)) -> % if Coef has FIELD
+--R ?/? : (%,%) -> % if Coef has FIELD
+--R ?/? : (%,Coef) -> % if Coef has FIELD
+--R ?<? : (%,%) -> Boolean if UnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD or UnivariateTaylorSeries(Coef,var,cen) has ORDSET and Coef has FIELD
+--R ?<=? : (%,%) -> Boolean if UnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD or UnivariateTaylorSeries(Coef,var,cen) has ORDSET and Coef has FIELD
+--R ?>? : (%,%) -> Boolean if UnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD or UnivariateTaylorSeries(Coef,var,cen) has ORDSET and Coef has FIELD
+--R ?>=? : (%,%) -> Boolean if UnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD or UnivariateTaylorSeries(Coef,var,cen) has ORDSET and Coef has FIELD
+--R D : (%,Symbol) -> % if UnivariateTaylorSeries(Coef,var,cen) has PDRING SYMBOL and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if UnivariateTaylorSeries(Coef,var,cen) has PDRING SYMBOL and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if UnivariateTaylorSeries(Coef,var,cen) has PDRING SYMBOL and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if UnivariateTaylorSeries(Coef,var,cen) has PDRING SYMBOL and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : % -> % if UnivariateTaylorSeries(Coef,var,cen) has DIFRING and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef
+--R D : (%,NonNegativeInteger) -> % if UnivariateTaylorSeries(Coef,var,cen) has DIFRING and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef
+--R D : (%,(UnivariateTaylorSeries(Coef,var,cen) -> UnivariateTaylorSeries(Coef,var,cen)),NonNegativeInteger) -> % if Coef has FIELD
+--R D : (%,(UnivariateTaylorSeries(Coef,var,cen) -> UnivariateTaylorSeries(Coef,var,cen))) -> % if Coef has FIELD
+--R ?^? : (%,Integer) -> % if Coef has FIELD
+--R ?^? : (%,NonNegativeInteger) -> %
+--R abs : % -> % if UnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD
+--R acos : % -> % if Coef has ALGEBRA FRAC INT
+--R acosh : % -> % if Coef has ALGEBRA FRAC INT
+--R acot : % -> % if Coef has ALGEBRA FRAC INT
+--R acoth : % -> % if Coef has ALGEBRA FRAC INT
+--R acsc : % -> % if Coef has ALGEBRA FRAC INT
+--R acsch : % -> % if Coef has ALGEBRA FRAC INT
+--R approximate : (%,Integer) -> Coef if Coef has **: (Coef,Integer) -> Coef and Coef has coerce: Symbol -> Coef
+--R asec : % -> % if Coef has ALGEBRA FRAC INT
+--R asech : % -> % if Coef has ALGEBRA FRAC INT
+--R asin : % -> % if Coef has ALGEBRA FRAC INT
+--R asinh : % -> % if Coef has ALGEBRA FRAC INT
+--R associates? : (%,%) -> Boolean if UnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD or UnivariateTaylorSeries(Coef,var,cen) has PFECAT and Coef has FIELD or Coef has INTDOM
+--R atan : % -> % if Coef has ALGEBRA FRAC INT
+--R atanh : % -> % if Coef has ALGEBRA FRAC INT
+--R ceiling : % -> UnivariateTaylorSeries(Coef,var,cen) if UnivariateTaylorSeries(Coef,var,cen) has INS and Coef has FIELD
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if $ has CHARNZ and UnivariateTaylorSeries(Coef,var,cen) has PFECAT and Coef has FIELD or UnivariateTaylorSeries(Coef,var,cen) has CHARNZ and Coef has FIELD or Coef has CHARNZ
+--R coerce : Fraction Integer -> % if UnivariateTaylorSeries(Coef,var,cen) has RETRACT INT and Coef has FIELD or Coef has ALGEBRA FRAC INT
+--R coerce : % -> % if UnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD or UnivariateTaylorSeries(Coef,var,cen) has PFECAT and Coef has FIELD or Coef has INTDOM
+--R coerce : Symbol -> % if UnivariateTaylorSeries(Coef,var,cen) has RETRACT SYMBOL and Coef has FIELD
+--R coerce : UnivariateTaylorSeries(Coef,var,cen) -> %
+--R coerce : Coef -> % if Coef has COMRING
+--R conditionP : Matrix % -> Union(Vector %,"failed") if $ has CHARNZ and UnivariateTaylorSeries(Coef,var,cen) has PFECAT and Coef has FIELD
+--R convert : % -> Pattern Integer if UnivariateTaylorSeries(Coef,var,cen) has KONVERT PATTERN INT and Coef has FIELD
+--R convert : % -> Pattern Float if UnivariateTaylorSeries(Coef,var,cen) has KONVERT PATTERN FLOAT and Coef has FIELD
+--R convert : % -> DoubleFloat if UnivariateTaylorSeries(Coef,var,cen) has REAL and Coef has FIELD
+--R convert : % -> Float if UnivariateTaylorSeries(Coef,var,cen) has REAL and Coef has FIELD
+--R convert : % -> InputForm if UnivariateTaylorSeries(Coef,var,cen) has KONVERT INFORM and Coef has FIELD
+--R cos : % -> % if Coef has ALGEBRA FRAC INT
+--R cosh : % -> % if Coef has ALGEBRA FRAC INT
+--R cot : % -> % if Coef has ALGEBRA FRAC INT
+--R coth : % -> % if Coef has ALGEBRA FRAC INT
+--R csc : % -> % if Coef has ALGEBRA FRAC INT
+--R csch : % -> % if Coef has ALGEBRA FRAC INT
+--R denom : % -> UnivariateTaylorSeries(Coef,var,cen) if Coef has FIELD
+--R denominator : % -> % if Coef has FIELD
+--R differentiate : (%,Symbol) -> % if UnivariateTaylorSeries(Coef,var,cen) has PDRING SYMBOL and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if UnivariateTaylorSeries(Coef,var,cen) has PDRING SYMBOL and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if UnivariateTaylorSeries(Coef,var,cen) has PDRING SYMBOL and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if UnivariateTaylorSeries(Coef,var,cen) has PDRING SYMBOL and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : % -> % if UnivariateTaylorSeries(Coef,var,cen) has DIFRING and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef
+--R differentiate : (%,NonNegativeInteger) -> % if UnivariateTaylorSeries(Coef,var,cen) has DIFRING and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef
+--R differentiate : (%,Variable var) -> %
+--R differentiate : (%,(UnivariateTaylorSeries(Coef,var,cen) -> UnivariateTaylorSeries(Coef,var,cen)),NonNegativeInteger) -> % if Coef has FIELD
+--R differentiate : (%,(UnivariateTaylorSeries(Coef,var,cen) -> UnivariateTaylorSeries(Coef,var,cen))) -> % if Coef has FIELD
+--R divide : (%,%) -> Record(quotient: %,remainder: %) if Coef has FIELD
+--R ?.? : (%,UnivariateTaylorSeries(Coef,var,cen)) -> % if UnivariateTaylorSeries(Coef,var,cen) has ELTAB(UTS(Coef,var,cen),UTS(Coef,var,cen)) and Coef has FIELD
+--R ?.? : (%,%) -> % if Integer has SGROUP
+--R euclideanSize : % -> NonNegativeInteger if Coef has FIELD
+--R eval : (%,List UnivariateTaylorSeries(Coef,var,cen),List UnivariateTaylorSeries(Coef,var,cen)) -> % if UnivariateTaylorSeries(Coef,var,cen) has EVALAB UTS(Coef,var,cen) and Coef has FIELD
+--R eval : (%,UnivariateTaylorSeries(Coef,var,cen),UnivariateTaylorSeries(Coef,var,cen)) -> % if UnivariateTaylorSeries(Coef,var,cen) has EVALAB UTS(Coef,var,cen) and Coef has FIELD
+--R eval : (%,Equation UnivariateTaylorSeries(Coef,var,cen)) -> % if UnivariateTaylorSeries(Coef,var,cen) has EVALAB UTS(Coef,var,cen) and Coef has FIELD
+--R eval : (%,List Equation UnivariateTaylorSeries(Coef,var,cen)) -> % if UnivariateTaylorSeries(Coef,var,cen) has EVALAB UTS(Coef,var,cen) and Coef has FIELD
+--R eval : (%,List Symbol,List UnivariateTaylorSeries(Coef,var,cen)) -> % if UnivariateTaylorSeries(Coef,var,cen) has IEVALAB(SYMBOL,UTS(Coef,var,cen)) and Coef has FIELD
+--R eval : (%,Symbol,UnivariateTaylorSeries(Coef,var,cen)) -> % if UnivariateTaylorSeries(Coef,var,cen) has IEVALAB(SYMBOL,UTS(Coef,var,cen)) and Coef has FIELD
+--R eval : (%,Coef) -> Stream Coef if Coef has **: (Coef,Integer) -> Coef
+--R exp : % -> % if Coef has ALGEBRA FRAC INT
+--R expressIdealMember : (List %,%) -> Union(List %,"failed") if Coef has FIELD
+--R exquo : (%,%) -> Union(%,"failed") if UnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD or UnivariateTaylorSeries(Coef,var,cen) has PFECAT and Coef has FIELD or Coef has INTDOM
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %) if Coef has FIELD
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed") if Coef has FIELD
+--R factor : % -> Factored % if Coef has FIELD
+--R factorPolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if UnivariateTaylorSeries(Coef,var,cen) has PFECAT and Coef has FIELD
+--R factorSquareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if UnivariateTaylorSeries(Coef,var,cen) has PFECAT and Coef has FIELD
+--R floor : % -> UnivariateTaylorSeries(Coef,var,cen) if UnivariateTaylorSeries(Coef,var,cen) has INS and Coef has FIELD
+--R fractionPart : % -> % if UnivariateTaylorSeries(Coef,var,cen) has EUCDOM and Coef has FIELD
+--R gcd : (%,%) -> % if Coef has FIELD
+--R gcd : List % -> % if Coef has FIELD
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if Coef has FIELD
+--R init : () -> % if UnivariateTaylorSeries(Coef,var,cen) has STEP and Coef has FIELD
+--R integrate : (%,Variable var) -> % if Coef has ALGEBRA FRAC INT
+--R integrate : (%,Symbol) -> % if Coef has integrate: (Coef,Symbol) -> Coef and Coef has variables: Coef -> List Symbol and Coef has ALGEBRA FRAC INT or Coef has ACFS INT and Coef has ALGEBRA FRAC INT and Coef has PRIMCAT and Coef has TRANFUN
+--R integrate : % -> % if Coef has ALGEBRA FRAC INT
+--R inv : % -> % if Coef has FIELD
+--R laurent : (Integer,UnivariateTaylorSeries(Coef,var,cen)) -> %
+--R lcm : (%,%) -> % if Coef has FIELD
+--R lcm : List % -> % if Coef has FIELD
+--R log : % -> % if Coef has ALGEBRA FRAC INT
+--R map : ((UnivariateTaylorSeries(Coef,var,cen) -> UnivariateTaylorSeries(Coef,var,cen)),%) -> % if Coef has FIELD
+--R max : (%,%) -> % if UnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD or UnivariateTaylorSeries(Coef,var,cen) has ORDSET and Coef has FIELD
+--R min : (%,%) -> % if UnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD or UnivariateTaylorSeries(Coef,var,cen) has ORDSET and Coef has FIELD
+--R monomial : (%,List SingletonAsOrderedSet,List Integer) -> %
+--R monomial : (%,SingletonAsOrderedSet,Integer) -> %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed") if Coef has FIELD
+--R multiplyCoefficients : ((Integer -> Coef),%) -> %
+--R multiplyExponents : (%,PositiveInteger) -> %
+--R negative? : % -> Boolean if UnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD
+--R nextItem : % -> Union(%,"failed") if UnivariateTaylorSeries(Coef,var,cen) has STEP and Coef has FIELD
+--R nthRoot : (%,Integer) -> % if Coef has ALGEBRA FRAC INT
+--R numer : % -> UnivariateTaylorSeries(Coef,var,cen) if Coef has FIELD
+--R numerator : % -> % if Coef has FIELD
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%) if UnivariateTaylorSeries(Coef,var,cen) has PATMAB FLOAT and Coef has FIELD
+--R patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%) if UnivariateTaylorSeries(Coef,var,cen) has PATMAB INT and Coef has FIELD
+--R pi : () -> % if Coef has ALGEBRA FRAC INT
+--R positive? : % -> Boolean if UnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD
+--R prime? : % -> Boolean if Coef has FIELD
+--R principalIdeal : List % -> Record(coef: List %,generator: %) if Coef has FIELD
+--R ?quo? : (%,%) -> % if Coef has FIELD
+--R random : () -> % if UnivariateTaylorSeries(Coef,var,cen) has INS and Coef has FIELD
+--R rationalFunction : (%,Integer,Integer) -> Fraction Polynomial Coef if Coef has INTDOM
+--R rationalFunction : (%,Integer) -> Fraction Polynomial Coef if Coef has INTDOM
+--R reducedSystem : Matrix % -> Matrix Integer if UnivariateTaylorSeries(Coef,var,cen) has LINEXP INT and Coef has FIELD
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if UnivariateTaylorSeries(Coef,var,cen) has LINEXP INT and Coef has FIELD
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix UnivariateTaylorSeries(Coef,var,cen),vec: Vector UnivariateTaylorSeries(Coef,var,cen)) if Coef has FIELD
+--R reducedSystem : Matrix % -> Matrix UnivariateTaylorSeries(Coef,var,cen) if Coef has FIELD
+--R ?rem? : (%,%) -> % if Coef has FIELD
+--R retract : % -> Integer if UnivariateTaylorSeries(Coef,var,cen) has RETRACT INT and Coef has FIELD
+--R retract : % -> Fraction Integer if UnivariateTaylorSeries(Coef,var,cen) has RETRACT INT and Coef has FIELD
+--R retract : % -> Symbol if UnivariateTaylorSeries(Coef,var,cen) has RETRACT SYMBOL and Coef has FIELD
+--R retract : % -> UnivariateTaylorSeries(Coef,var,cen)
+--R retractIfCan : % -> Union(Integer,"failed") if UnivariateTaylorSeries(Coef,var,cen) has RETRACT INT and Coef has FIELD
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if UnivariateTaylorSeries(Coef,var,cen) has RETRACT INT and Coef has FIELD
+--R retractIfCan : % -> Union(Symbol,"failed") if UnivariateTaylorSeries(Coef,var,cen) has RETRACT SYMBOL and Coef has FIELD
+--R retractIfCan : % -> Union(UnivariateTaylorSeries(Coef,var,cen),"failed")
+--R sec : % -> % if Coef has ALGEBRA FRAC INT
+--R sech : % -> % if Coef has ALGEBRA FRAC INT
+--R series : Stream Record(k: Integer,c: Coef) -> %
+--R sign : % -> Integer if UnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD
+--R sin : % -> % if Coef has ALGEBRA FRAC INT
+--R sinh : % -> % if Coef has ALGEBRA FRAC INT
+--R sizeLess? : (%,%) -> Boolean if Coef has FIELD
+--R solveLinearPolynomialEquation : (List SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> Union(List SparseUnivariatePolynomial %,"failed") if UnivariateTaylorSeries(Coef,var,cen) has PFECAT and Coef has FIELD
+--R sqrt : % -> % if Coef has ALGEBRA FRAC INT
+--R squareFree : % -> Factored % if Coef has FIELD
+--R squareFreePart : % -> % if Coef has FIELD
+--R squareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if UnivariateTaylorSeries(Coef,var,cen) has PFECAT and Coef has FIELD
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tan : % -> % if Coef has ALGEBRA FRAC INT
+--R tanh : % -> % if Coef has ALGEBRA FRAC INT
+--R taylor : % -> UnivariateTaylorSeries(Coef,var,cen)
+--R taylorIfCan : % -> Union(UnivariateTaylorSeries(Coef,var,cen),"failed")
+--R taylorRep : % -> UnivariateTaylorSeries(Coef,var,cen)
+--R terms : % -> Stream Record(k: Integer,c: Coef)
+--R truncate : (%,Integer,Integer) -> %
+--R unit? : % -> Boolean if UnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD or UnivariateTaylorSeries(Coef,var,cen) has PFECAT and Coef has FIELD or Coef has INTDOM
+--R unitCanonical : % -> % if UnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD or UnivariateTaylorSeries(Coef,var,cen) has PFECAT and Coef has FIELD or Coef has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if UnivariateTaylorSeries(Coef,var,cen) has OINTDOM and Coef has FIELD or UnivariateTaylorSeries(Coef,var,cen) has PFECAT and Coef has FIELD or Coef has INTDOM
+--R variables : % -> List SingletonAsOrderedSet
+--R wholePart : % -> UnivariateTaylorSeries(Coef,var,cen) if UnivariateTaylorSeries(Coef,var,cen) has EUCDOM and Coef has FIELD
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<UnivariateLaurentSeries.help>>=
+====================================================================
+UnivariateLaurentSeries examples
+====================================================================
+
+See Also:
+o )show UnivariateLaurentSeries
+
+@
+
 \pagehead{UnivariateLaurentSeries}{ULS}
 \pagepic{ps/v103univariatelaurentseries.ps}{ULS}{1.00}
 {\bf See}\\
@@ -112179,6 +131868,221 @@ UnivariateLaurentSeries(Coef,var,cen): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain ULSCONS UnivariateLaurentSeriesConstructor}
+
+<<UnivariateLaurentSeriesConstructor.input>>=
+)set break resume
+)sys rm -f UnivariateLaurentSeriesConstructor.output
+)spool UnivariateLaurentSeriesConstructor.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UnivariateLaurentSeriesConstructor
+--R UnivariateLaurentSeriesConstructor(Coef: Ring,UTS: UnivariateTaylorSeriesCategory Coef)  is a domain constructor
+--R Abbreviation for UnivariateLaurentSeriesConstructor is ULSCONS 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for ULSCONS 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Coef,%) -> %                   ?*? : (%,Coef) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        center : % -> Coef
+--R coefficient : (%,Integer) -> Coef     coerce : UTS -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R complete : % -> %                     degree : % -> Integer
+--R ?.? : (%,Integer) -> Coef             extend : (%,Integer) -> %
+--R hash : % -> SingleInteger             latex : % -> String
+--R laurent : (Integer,UTS) -> %          leadingCoefficient : % -> Coef
+--R leadingMonomial : % -> %              map : ((Coef -> Coef),%) -> %
+--R monomial : (Coef,Integer) -> %        monomial? : % -> Boolean
+--R one? : % -> Boolean                   order : (%,Integer) -> Integer
+--R order : % -> Integer                  pole? : % -> Boolean
+--R recip : % -> Union(%,"failed")        reductum : % -> %
+--R removeZeroes : (Integer,%) -> %       removeZeroes : % -> %
+--R retract : % -> UTS                    sample : () -> %
+--R taylor : % -> UTS                     taylorRep : % -> UTS
+--R truncate : (%,Integer) -> %           variable : % -> Symbol
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (Fraction Integer,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (UTS,%) -> % if Coef has FIELD
+--R ?*? : (%,UTS) -> % if Coef has FIELD
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,Integer) -> % if Coef has FIELD
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (UTS,UTS) -> % if Coef has FIELD
+--R ?/? : (%,%) -> % if Coef has FIELD
+--R ?/? : (%,Coef) -> % if Coef has FIELD
+--R ?<? : (%,%) -> Boolean if UTS has ORDSET and Coef has FIELD
+--R ?<=? : (%,%) -> Boolean if UTS has ORDSET and Coef has FIELD
+--R ?>? : (%,%) -> Boolean if UTS has ORDSET and Coef has FIELD
+--R ?>=? : (%,%) -> Boolean if UTS has ORDSET and Coef has FIELD
+--R D : (%,Symbol) -> % if UTS has PDRING SYMBOL and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if UTS has PDRING SYMBOL and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if UTS has PDRING SYMBOL and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if UTS has PDRING SYMBOL and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : % -> % if UTS has DIFRING and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef
+--R D : (%,NonNegativeInteger) -> % if UTS has DIFRING and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef
+--R D : (%,(UTS -> UTS),NonNegativeInteger) -> % if Coef has FIELD
+--R D : (%,(UTS -> UTS)) -> % if Coef has FIELD
+--R ?^? : (%,Integer) -> % if Coef has FIELD
+--R ?^? : (%,NonNegativeInteger) -> %
+--R abs : % -> % if UTS has OINTDOM and Coef has FIELD
+--R acos : % -> % if Coef has ALGEBRA FRAC INT
+--R acosh : % -> % if Coef has ALGEBRA FRAC INT
+--R acot : % -> % if Coef has ALGEBRA FRAC INT
+--R acoth : % -> % if Coef has ALGEBRA FRAC INT
+--R acsc : % -> % if Coef has ALGEBRA FRAC INT
+--R acsch : % -> % if Coef has ALGEBRA FRAC INT
+--R approximate : (%,Integer) -> Coef if Coef has **: (Coef,Integer) -> Coef and Coef has coerce: Symbol -> Coef
+--R asec : % -> % if Coef has ALGEBRA FRAC INT
+--R asech : % -> % if Coef has ALGEBRA FRAC INT
+--R asin : % -> % if Coef has ALGEBRA FRAC INT
+--R asinh : % -> % if Coef has ALGEBRA FRAC INT
+--R associates? : (%,%) -> Boolean if Coef has INTDOM
+--R atan : % -> % if Coef has ALGEBRA FRAC INT
+--R atanh : % -> % if Coef has ALGEBRA FRAC INT
+--R ceiling : % -> UTS if UTS has INS and Coef has FIELD
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if $ has CHARNZ and UTS has PFECAT and Coef has FIELD or UTS has CHARNZ and Coef has FIELD or Coef has CHARNZ
+--R coerce : % -> % if Coef has INTDOM
+--R coerce : Fraction Integer -> % if Coef has ALGEBRA FRAC INT
+--R coerce : Symbol -> % if UTS has RETRACT SYMBOL and Coef has FIELD
+--R coerce : Coef -> % if Coef has COMRING
+--R conditionP : Matrix % -> Union(Vector %,"failed") if $ has CHARNZ and UTS has PFECAT and Coef has FIELD
+--R convert : % -> Pattern Integer if UTS has KONVERT PATTERN INT and Coef has FIELD
+--R convert : % -> Pattern Float if UTS has KONVERT PATTERN FLOAT and Coef has FIELD
+--R convert : % -> InputForm if UTS has KONVERT INFORM and Coef has FIELD
+--R convert : % -> Float if UTS has REAL and Coef has FIELD
+--R convert : % -> DoubleFloat if UTS has REAL and Coef has FIELD
+--R cos : % -> % if Coef has ALGEBRA FRAC INT
+--R cosh : % -> % if Coef has ALGEBRA FRAC INT
+--R cot : % -> % if Coef has ALGEBRA FRAC INT
+--R coth : % -> % if Coef has ALGEBRA FRAC INT
+--R csc : % -> % if Coef has ALGEBRA FRAC INT
+--R csch : % -> % if Coef has ALGEBRA FRAC INT
+--R denom : % -> UTS if Coef has FIELD
+--R denominator : % -> % if Coef has FIELD
+--R differentiate : (%,Symbol) -> % if UTS has PDRING SYMBOL and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if UTS has PDRING SYMBOL and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if UTS has PDRING SYMBOL and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if UTS has PDRING SYMBOL and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : % -> % if UTS has DIFRING and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef
+--R differentiate : (%,NonNegativeInteger) -> % if UTS has DIFRING and Coef has FIELD or Coef has *: (Integer,Coef) -> Coef
+--R differentiate : (%,(UTS -> UTS),NonNegativeInteger) -> % if Coef has FIELD
+--R differentiate : (%,(UTS -> UTS)) -> % if Coef has FIELD
+--R divide : (%,%) -> Record(quotient: %,remainder: %) if Coef has FIELD
+--R ?.? : (%,UTS) -> % if UTS has ELTAB(UTS,UTS) and Coef has FIELD
+--R ?.? : (%,%) -> % if Integer has SGROUP
+--R euclideanSize : % -> NonNegativeInteger if Coef has FIELD
+--R eval : (%,List UTS,List UTS) -> % if UTS has EVALAB UTS and Coef has FIELD
+--R eval : (%,UTS,UTS) -> % if UTS has EVALAB UTS and Coef has FIELD
+--R eval : (%,Equation UTS) -> % if UTS has EVALAB UTS and Coef has FIELD
+--R eval : (%,List Equation UTS) -> % if UTS has EVALAB UTS and Coef has FIELD
+--R eval : (%,List Symbol,List UTS) -> % if UTS has IEVALAB(SYMBOL,UTS) and Coef has FIELD
+--R eval : (%,Symbol,UTS) -> % if UTS has IEVALAB(SYMBOL,UTS) and Coef has FIELD
+--R eval : (%,Coef) -> Stream Coef if Coef has **: (Coef,Integer) -> Coef
+--R exp : % -> % if Coef has ALGEBRA FRAC INT
+--R expressIdealMember : (List %,%) -> Union(List %,"failed") if Coef has FIELD
+--R exquo : (%,%) -> Union(%,"failed") if Coef has INTDOM
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %) if Coef has FIELD
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed") if Coef has FIELD
+--R factor : % -> Factored % if Coef has FIELD
+--R factorPolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if UTS has PFECAT and Coef has FIELD
+--R factorSquareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if UTS has PFECAT and Coef has FIELD
+--R floor : % -> UTS if UTS has INS and Coef has FIELD
+--R fractionPart : % -> % if UTS has EUCDOM and Coef has FIELD
+--R gcd : (%,%) -> % if Coef has FIELD
+--R gcd : List % -> % if Coef has FIELD
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if Coef has FIELD
+--R init : () -> % if UTS has STEP and Coef has FIELD
+--R integrate : (%,Symbol) -> % if Coef has integrate: (Coef,Symbol) -> Coef and Coef has variables: Coef -> List Symbol and Coef has ALGEBRA FRAC INT or Coef has ACFS INT and Coef has ALGEBRA FRAC INT and Coef has PRIMCAT and Coef has TRANFUN
+--R integrate : % -> % if Coef has ALGEBRA FRAC INT
+--R inv : % -> % if Coef has FIELD
+--R lcm : (%,%) -> % if Coef has FIELD
+--R lcm : List % -> % if Coef has FIELD
+--R log : % -> % if Coef has ALGEBRA FRAC INT
+--R map : ((UTS -> UTS),%) -> % if Coef has FIELD
+--R max : (%,%) -> % if UTS has ORDSET and Coef has FIELD
+--R min : (%,%) -> % if UTS has ORDSET and Coef has FIELD
+--R monomial : (%,List SingletonAsOrderedSet,List Integer) -> %
+--R monomial : (%,SingletonAsOrderedSet,Integer) -> %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed") if Coef has FIELD
+--R multiplyCoefficients : ((Integer -> Coef),%) -> %
+--R multiplyExponents : (%,PositiveInteger) -> %
+--R negative? : % -> Boolean if UTS has OINTDOM and Coef has FIELD
+--R nextItem : % -> Union(%,"failed") if UTS has STEP and Coef has FIELD
+--R nthRoot : (%,Integer) -> % if Coef has ALGEBRA FRAC INT
+--R numer : % -> UTS if Coef has FIELD
+--R numerator : % -> % if Coef has FIELD
+--R patternMatch : (%,Pattern Integer,PatternMatchResult(Integer,%)) -> PatternMatchResult(Integer,%) if UTS has PATMAB INT and Coef has FIELD
+--R patternMatch : (%,Pattern Float,PatternMatchResult(Float,%)) -> PatternMatchResult(Float,%) if UTS has PATMAB FLOAT and Coef has FIELD
+--R pi : () -> % if Coef has ALGEBRA FRAC INT
+--R positive? : % -> Boolean if UTS has OINTDOM and Coef has FIELD
+--R prime? : % -> Boolean if Coef has FIELD
+--R principalIdeal : List % -> Record(coef: List %,generator: %) if Coef has FIELD
+--R ?quo? : (%,%) -> % if Coef has FIELD
+--R random : () -> % if UTS has INS and Coef has FIELD
+--R rationalFunction : (%,Integer,Integer) -> Fraction Polynomial Coef if Coef has INTDOM
+--R rationalFunction : (%,Integer) -> Fraction Polynomial Coef if Coef has INTDOM
+--R reducedSystem : Matrix % -> Matrix Integer if UTS has LINEXP INT and Coef has FIELD
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix Integer,vec: Vector Integer) if UTS has LINEXP INT and Coef has FIELD
+--R reducedSystem : (Matrix %,Vector %) -> Record(mat: Matrix UTS,vec: Vector UTS) if Coef has FIELD
+--R reducedSystem : Matrix % -> Matrix UTS if Coef has FIELD
+--R ?rem? : (%,%) -> % if Coef has FIELD
+--R retract : % -> Symbol if UTS has RETRACT SYMBOL and Coef has FIELD
+--R retract : % -> Fraction Integer if UTS has RETRACT INT and Coef has FIELD
+--R retract : % -> Integer if UTS has RETRACT INT and Coef has FIELD
+--R retractIfCan : % -> Union(Symbol,"failed") if UTS has RETRACT SYMBOL and Coef has FIELD
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if UTS has RETRACT INT and Coef has FIELD
+--R retractIfCan : % -> Union(Integer,"failed") if UTS has RETRACT INT and Coef has FIELD
+--R retractIfCan : % -> Union(UTS,"failed")
+--R sec : % -> % if Coef has ALGEBRA FRAC INT
+--R sech : % -> % if Coef has ALGEBRA FRAC INT
+--R series : Stream Record(k: Integer,c: Coef) -> %
+--R sign : % -> Integer if UTS has OINTDOM and Coef has FIELD
+--R sin : % -> % if Coef has ALGEBRA FRAC INT
+--R sinh : % -> % if Coef has ALGEBRA FRAC INT
+--R sizeLess? : (%,%) -> Boolean if Coef has FIELD
+--R solveLinearPolynomialEquation : (List SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> Union(List SparseUnivariatePolynomial %,"failed") if UTS has PFECAT and Coef has FIELD
+--R sqrt : % -> % if Coef has ALGEBRA FRAC INT
+--R squareFree : % -> Factored % if Coef has FIELD
+--R squareFreePart : % -> % if Coef has FIELD
+--R squareFreePolynomial : SparseUnivariatePolynomial % -> Factored SparseUnivariatePolynomial % if UTS has PFECAT and Coef has FIELD
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tan : % -> % if Coef has ALGEBRA FRAC INT
+--R tanh : % -> % if Coef has ALGEBRA FRAC INT
+--R taylorIfCan : % -> Union(UTS,"failed")
+--R terms : % -> Stream Record(k: Integer,c: Coef)
+--R truncate : (%,Integer,Integer) -> %
+--R unit? : % -> Boolean if Coef has INTDOM
+--R unitCanonical : % -> % if Coef has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if Coef has INTDOM
+--R variables : % -> List SingletonAsOrderedSet
+--R wholePart : % -> UTS if UTS has EUCDOM and Coef has FIELD
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<UnivariateLaurentSeriesConstructor.help>>=
+====================================================================
+UnivariateLaurentSeriesConstructor examples
+====================================================================
+
+See Also:
+o )show UnivariateLaurentSeriesConstructor
+
+@
+
 \pagehead{UnivariateLaurentSeriesConstructor}{ULSCONS}
 \pagepic{ps/v103univariatelaurentseriesconstructor.ps}{ULSCONS}{1.00}
 {\bf See}\\
@@ -112786,6 +132690,7 @@ UnivariateLaurentSeriesConstructor(Coef,UTS):_
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain UP UnivariatePolynomial}
+
 <<UnivariatePolynomial.input>>=
 )set break resume
 )sys rm -f UnivariatePolynomial.output
@@ -113578,6 +133483,171 @@ UnivariatePolynomial(x:Symbol, R:Ring):
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain UPXS UnivariatePuiseuxSeries}
+
+<<UnivariatePuiseuxSeries.input>>=
+)set break resume
+)sys rm -f UnivariatePuiseuxSeries.output
+)spool UnivariatePuiseuxSeries.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UnivariatePuiseuxSeries
+--R UnivariatePuiseuxSeries(Coef: Ring,var: Symbol,cen: Coef)  is a domain constructor
+--R Abbreviation for UnivariatePuiseuxSeries is UPXS 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for UPXS 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Coef,%) -> %                   ?*? : (%,Coef) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        center : % -> Coef
+--R coerce : Variable var -> %            coerce : Integer -> %
+--R coerce : % -> OutputForm              complete : % -> %
+--R degree : % -> Fraction Integer        hash : % -> SingleInteger
+--R latex : % -> String                   leadingCoefficient : % -> Coef
+--R leadingMonomial : % -> %              map : ((Coef -> Coef),%) -> %
+--R monomial? : % -> Boolean              one? : % -> Boolean
+--R order : % -> Fraction Integer         pole? : % -> Boolean
+--R recip : % -> Union(%,"failed")        reductum : % -> %
+--R sample : () -> %                      variable : % -> Symbol
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (Fraction Integer,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,Integer) -> % if Coef has FIELD
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,%) -> % if Coef has FIELD
+--R ?/? : (%,Coef) -> % if Coef has FIELD
+--R D : % -> % if Coef has *: (Fraction Integer,Coef) -> Coef
+--R D : (%,NonNegativeInteger) -> % if Coef has *: (Fraction Integer,Coef) -> Coef
+--R D : (%,Symbol) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R ?^? : (%,Integer) -> % if Coef has FIELD
+--R ?^? : (%,NonNegativeInteger) -> %
+--R acos : % -> % if Coef has ALGEBRA FRAC INT
+--R acosh : % -> % if Coef has ALGEBRA FRAC INT
+--R acot : % -> % if Coef has ALGEBRA FRAC INT
+--R acoth : % -> % if Coef has ALGEBRA FRAC INT
+--R acsc : % -> % if Coef has ALGEBRA FRAC INT
+--R acsch : % -> % if Coef has ALGEBRA FRAC INT
+--R approximate : (%,Fraction Integer) -> Coef if Coef has **: (Coef,Fraction Integer) -> Coef and Coef has coerce: Symbol -> Coef
+--R asec : % -> % if Coef has ALGEBRA FRAC INT
+--R asech : % -> % if Coef has ALGEBRA FRAC INT
+--R asin : % -> % if Coef has ALGEBRA FRAC INT
+--R asinh : % -> % if Coef has ALGEBRA FRAC INT
+--R associates? : (%,%) -> Boolean if Coef has INTDOM
+--R atan : % -> % if Coef has ALGEBRA FRAC INT
+--R atanh : % -> % if Coef has ALGEBRA FRAC INT
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if Coef has CHARNZ
+--R coefficient : (%,Fraction Integer) -> Coef
+--R coerce : % -> % if Coef has INTDOM
+--R coerce : Fraction Integer -> % if Coef has ALGEBRA FRAC INT
+--R coerce : UnivariateTaylorSeries(Coef,var,cen) -> %
+--R coerce : UnivariateLaurentSeries(Coef,var,cen) -> %
+--R coerce : Coef -> % if Coef has COMRING
+--R cos : % -> % if Coef has ALGEBRA FRAC INT
+--R cosh : % -> % if Coef has ALGEBRA FRAC INT
+--R cot : % -> % if Coef has ALGEBRA FRAC INT
+--R coth : % -> % if Coef has ALGEBRA FRAC INT
+--R csc : % -> % if Coef has ALGEBRA FRAC INT
+--R csch : % -> % if Coef has ALGEBRA FRAC INT
+--R differentiate : (%,Variable var) -> %
+--R differentiate : % -> % if Coef has *: (Fraction Integer,Coef) -> Coef
+--R differentiate : (%,NonNegativeInteger) -> % if Coef has *: (Fraction Integer,Coef) -> Coef
+--R differentiate : (%,Symbol) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R divide : (%,%) -> Record(quotient: %,remainder: %) if Coef has FIELD
+--R ?.? : (%,%) -> % if Fraction Integer has SGROUP
+--R ?.? : (%,Fraction Integer) -> Coef
+--R euclideanSize : % -> NonNegativeInteger if Coef has FIELD
+--R eval : (%,Coef) -> Stream Coef if Coef has **: (Coef,Fraction Integer) -> Coef
+--R exp : % -> % if Coef has ALGEBRA FRAC INT
+--R expressIdealMember : (List %,%) -> Union(List %,"failed") if Coef has FIELD
+--R exquo : (%,%) -> Union(%,"failed") if Coef has INTDOM
+--R extend : (%,Fraction Integer) -> %
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %) if Coef has FIELD
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed") if Coef has FIELD
+--R factor : % -> Factored % if Coef has FIELD
+--R gcd : (%,%) -> % if Coef has FIELD
+--R gcd : List % -> % if Coef has FIELD
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if Coef has FIELD
+--R integrate : (%,Variable var) -> % if Coef has ALGEBRA FRAC INT
+--R integrate : (%,Symbol) -> % if Coef has integrate: (Coef,Symbol) -> Coef and Coef has variables: Coef -> List Symbol and Coef has ALGEBRA FRAC INT or Coef has ACFS INT and Coef has ALGEBRA FRAC INT and Coef has PRIMCAT and Coef has TRANFUN
+--R integrate : % -> % if Coef has ALGEBRA FRAC INT
+--R inv : % -> % if Coef has FIELD
+--R laurent : % -> UnivariateLaurentSeries(Coef,var,cen)
+--R laurentIfCan : % -> Union(UnivariateLaurentSeries(Coef,var,cen),"failed")
+--R laurentRep : % -> UnivariateLaurentSeries(Coef,var,cen)
+--R lcm : (%,%) -> % if Coef has FIELD
+--R lcm : List % -> % if Coef has FIELD
+--R log : % -> % if Coef has ALGEBRA FRAC INT
+--R monomial : (%,List SingletonAsOrderedSet,List Fraction Integer) -> %
+--R monomial : (%,SingletonAsOrderedSet,Fraction Integer) -> %
+--R monomial : (Coef,Fraction Integer) -> %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed") if Coef has FIELD
+--R multiplyExponents : (%,Fraction Integer) -> %
+--R multiplyExponents : (%,PositiveInteger) -> %
+--R nthRoot : (%,Integer) -> % if Coef has ALGEBRA FRAC INT
+--R order : (%,Fraction Integer) -> Fraction Integer
+--R pi : () -> % if Coef has ALGEBRA FRAC INT
+--R prime? : % -> Boolean if Coef has FIELD
+--R principalIdeal : List % -> Record(coef: List %,generator: %) if Coef has FIELD
+--R puiseux : (Fraction Integer,UnivariateLaurentSeries(Coef,var,cen)) -> %
+--R ?quo? : (%,%) -> % if Coef has FIELD
+--R rationalPower : % -> Fraction Integer
+--R ?rem? : (%,%) -> % if Coef has FIELD
+--R retract : % -> UnivariateTaylorSeries(Coef,var,cen)
+--R retract : % -> UnivariateLaurentSeries(Coef,var,cen)
+--R retractIfCan : % -> Union(UnivariateTaylorSeries(Coef,var,cen),"failed")
+--R retractIfCan : % -> Union(UnivariateLaurentSeries(Coef,var,cen),"failed")
+--R sec : % -> % if Coef has ALGEBRA FRAC INT
+--R sech : % -> % if Coef has ALGEBRA FRAC INT
+--R series : (NonNegativeInteger,Stream Record(k: Fraction Integer,c: Coef)) -> %
+--R sin : % -> % if Coef has ALGEBRA FRAC INT
+--R sinh : % -> % if Coef has ALGEBRA FRAC INT
+--R sizeLess? : (%,%) -> Boolean if Coef has FIELD
+--R sqrt : % -> % if Coef has ALGEBRA FRAC INT
+--R squareFree : % -> Factored % if Coef has FIELD
+--R squareFreePart : % -> % if Coef has FIELD
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tan : % -> % if Coef has ALGEBRA FRAC INT
+--R tanh : % -> % if Coef has ALGEBRA FRAC INT
+--R terms : % -> Stream Record(k: Fraction Integer,c: Coef)
+--R truncate : (%,Fraction Integer,Fraction Integer) -> %
+--R truncate : (%,Fraction Integer) -> %
+--R unit? : % -> Boolean if Coef has INTDOM
+--R unitCanonical : % -> % if Coef has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if Coef has INTDOM
+--R variables : % -> List SingletonAsOrderedSet
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<UnivariatePuiseuxSeries.help>>=
+====================================================================
+UnivariatePuiseuxSeries examples
+====================================================================
+
+See Also:
+o )show UnivariatePuiseuxSeries
+
+@
+
 \pagehead{UnivariatePuiseuxSeries}{UPXS}
 \pagepic{ps/v103univariatepuiseuxseries.ps}{UPXS}{1.00}
 {\bf See}\\
@@ -113860,6 +133930,164 @@ UnivariatePuiseuxSeries(Coef,var,cen): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain UPXSCONS UnivariatePuiseuxSeriesConstructor}
+
+<<UnivariatePuiseuxSeriesConstructor.input>>=
+)set break resume
+)sys rm -f UnivariatePuiseuxSeriesConstructor.output
+)spool UnivariatePuiseuxSeriesConstructor.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UnivariatePuiseuxSeriesConstructor
+--R UnivariatePuiseuxSeriesConstructor(Coef: Ring,ULS: UnivariateLaurentSeriesCategory Coef)  is a domain constructor
+--R Abbreviation for UnivariatePuiseuxSeriesConstructor is UPXSCONS 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for UPXSCONS 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Coef,%) -> %                   ?*? : (%,Coef) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        center : % -> Coef
+--R coerce : ULS -> %                     coerce : Integer -> %
+--R coerce : % -> OutputForm              complete : % -> %
+--R degree : % -> Fraction Integer        hash : % -> SingleInteger
+--R latex : % -> String                   laurent : % -> ULS
+--R laurentRep : % -> ULS                 leadingCoefficient : % -> Coef
+--R leadingMonomial : % -> %              map : ((Coef -> Coef),%) -> %
+--R monomial? : % -> Boolean              one? : % -> Boolean
+--R order : % -> Fraction Integer         pole? : % -> Boolean
+--R recip : % -> Union(%,"failed")        reductum : % -> %
+--R retract : % -> ULS                    sample : () -> %
+--R variable : % -> Symbol                zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (Fraction Integer,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,Integer) -> % if Coef has FIELD
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,%) -> % if Coef has FIELD
+--R ?/? : (%,Coef) -> % if Coef has FIELD
+--R D : % -> % if Coef has *: (Fraction Integer,Coef) -> Coef
+--R D : (%,NonNegativeInteger) -> % if Coef has *: (Fraction Integer,Coef) -> Coef
+--R D : (%,Symbol) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R ?^? : (%,Integer) -> % if Coef has FIELD
+--R ?^? : (%,NonNegativeInteger) -> %
+--R acos : % -> % if Coef has ALGEBRA FRAC INT
+--R acosh : % -> % if Coef has ALGEBRA FRAC INT
+--R acot : % -> % if Coef has ALGEBRA FRAC INT
+--R acoth : % -> % if Coef has ALGEBRA FRAC INT
+--R acsc : % -> % if Coef has ALGEBRA FRAC INT
+--R acsch : % -> % if Coef has ALGEBRA FRAC INT
+--R approximate : (%,Fraction Integer) -> Coef if Coef has **: (Coef,Fraction Integer) -> Coef and Coef has coerce: Symbol -> Coef
+--R asec : % -> % if Coef has ALGEBRA FRAC INT
+--R asech : % -> % if Coef has ALGEBRA FRAC INT
+--R asin : % -> % if Coef has ALGEBRA FRAC INT
+--R asinh : % -> % if Coef has ALGEBRA FRAC INT
+--R associates? : (%,%) -> Boolean if Coef has INTDOM
+--R atan : % -> % if Coef has ALGEBRA FRAC INT
+--R atanh : % -> % if Coef has ALGEBRA FRAC INT
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if Coef has CHARNZ
+--R coefficient : (%,Fraction Integer) -> Coef
+--R coerce : % -> % if Coef has INTDOM
+--R coerce : Fraction Integer -> % if Coef has ALGEBRA FRAC INT
+--R coerce : Coef -> % if Coef has COMRING
+--R cos : % -> % if Coef has ALGEBRA FRAC INT
+--R cosh : % -> % if Coef has ALGEBRA FRAC INT
+--R cot : % -> % if Coef has ALGEBRA FRAC INT
+--R coth : % -> % if Coef has ALGEBRA FRAC INT
+--R csc : % -> % if Coef has ALGEBRA FRAC INT
+--R csch : % -> % if Coef has ALGEBRA FRAC INT
+--R differentiate : % -> % if Coef has *: (Fraction Integer,Coef) -> Coef
+--R differentiate : (%,NonNegativeInteger) -> % if Coef has *: (Fraction Integer,Coef) -> Coef
+--R differentiate : (%,Symbol) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if Coef has *: (Fraction Integer,Coef) -> Coef and Coef has PDRING SYMBOL
+--R divide : (%,%) -> Record(quotient: %,remainder: %) if Coef has FIELD
+--R ?.? : (%,%) -> % if Fraction Integer has SGROUP
+--R ?.? : (%,Fraction Integer) -> Coef
+--R euclideanSize : % -> NonNegativeInteger if Coef has FIELD
+--R eval : (%,Coef) -> Stream Coef if Coef has **: (Coef,Fraction Integer) -> Coef
+--R exp : % -> % if Coef has ALGEBRA FRAC INT
+--R expressIdealMember : (List %,%) -> Union(List %,"failed") if Coef has FIELD
+--R exquo : (%,%) -> Union(%,"failed") if Coef has INTDOM
+--R extend : (%,Fraction Integer) -> %
+--R extendedEuclidean : (%,%) -> Record(coef1: %,coef2: %,generator: %) if Coef has FIELD
+--R extendedEuclidean : (%,%,%) -> Union(Record(coef1: %,coef2: %),"failed") if Coef has FIELD
+--R factor : % -> Factored % if Coef has FIELD
+--R gcd : (%,%) -> % if Coef has FIELD
+--R gcd : List % -> % if Coef has FIELD
+--R gcdPolynomial : (SparseUnivariatePolynomial %,SparseUnivariatePolynomial %) -> SparseUnivariatePolynomial % if Coef has FIELD
+--R integrate : (%,Symbol) -> % if Coef has integrate: (Coef,Symbol) -> Coef and Coef has variables: Coef -> List Symbol and Coef has ALGEBRA FRAC INT or Coef has ACFS INT and Coef has ALGEBRA FRAC INT and Coef has PRIMCAT and Coef has TRANFUN
+--R integrate : % -> % if Coef has ALGEBRA FRAC INT
+--R inv : % -> % if Coef has FIELD
+--R laurentIfCan : % -> Union(ULS,"failed")
+--R lcm : (%,%) -> % if Coef has FIELD
+--R lcm : List % -> % if Coef has FIELD
+--R log : % -> % if Coef has ALGEBRA FRAC INT
+--R monomial : (%,List SingletonAsOrderedSet,List Fraction Integer) -> %
+--R monomial : (%,SingletonAsOrderedSet,Fraction Integer) -> %
+--R monomial : (Coef,Fraction Integer) -> %
+--R multiEuclidean : (List %,%) -> Union(List %,"failed") if Coef has FIELD
+--R multiplyExponents : (%,Fraction Integer) -> %
+--R multiplyExponents : (%,PositiveInteger) -> %
+--R nthRoot : (%,Integer) -> % if Coef has ALGEBRA FRAC INT
+--R order : (%,Fraction Integer) -> Fraction Integer
+--R pi : () -> % if Coef has ALGEBRA FRAC INT
+--R prime? : % -> Boolean if Coef has FIELD
+--R principalIdeal : List % -> Record(coef: List %,generator: %) if Coef has FIELD
+--R puiseux : (Fraction Integer,ULS) -> %
+--R ?quo? : (%,%) -> % if Coef has FIELD
+--R rationalPower : % -> Fraction Integer
+--R ?rem? : (%,%) -> % if Coef has FIELD
+--R retractIfCan : % -> Union(ULS,"failed")
+--R sec : % -> % if Coef has ALGEBRA FRAC INT
+--R sech : % -> % if Coef has ALGEBRA FRAC INT
+--R series : (NonNegativeInteger,Stream Record(k: Fraction Integer,c: Coef)) -> %
+--R sin : % -> % if Coef has ALGEBRA FRAC INT
+--R sinh : % -> % if Coef has ALGEBRA FRAC INT
+--R sizeLess? : (%,%) -> Boolean if Coef has FIELD
+--R sqrt : % -> % if Coef has ALGEBRA FRAC INT
+--R squareFree : % -> Factored % if Coef has FIELD
+--R squareFreePart : % -> % if Coef has FIELD
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tan : % -> % if Coef has ALGEBRA FRAC INT
+--R tanh : % -> % if Coef has ALGEBRA FRAC INT
+--R terms : % -> Stream Record(k: Fraction Integer,c: Coef)
+--R truncate : (%,Fraction Integer,Fraction Integer) -> %
+--R truncate : (%,Fraction Integer) -> %
+--R unit? : % -> Boolean if Coef has INTDOM
+--R unitCanonical : % -> % if Coef has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if Coef has INTDOM
+--R variables : % -> List SingletonAsOrderedSet
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<UnivariatePuiseuxSeriesConstructor.help>>=
+====================================================================
+UnivariatePuiseuxSeriesConstructor examples
+====================================================================
+
+See Also:
+o )show UnivariatePuiseuxSeriesConstructor
+
+@
+
 \pagehead{UnivariatePuiseuxSeriesConstructor}{UPXSCONS}
 \pagepic{ps/v103univariatepuiseuxseriesconstructor.ps}{UPXSCONS}{1.00}
 {\bf See}\\
@@ -114331,6 +134559,91 @@ UnivariatePuiseuxSeriesConstructor(Coef,ULS):_
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain UPXSSING UnivariatePuiseuxSeriesWithExponentialSingularity}
+
+<<UnivariatePuiseuxSeriesWithExponentialSingularity.input>>=
+)set break resume
+)sys rm -f UnivariatePuiseuxSeriesWithExponentialSingularity.output
+)spool UnivariatePuiseuxSeriesWithExponentialSingularity.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UnivariatePuiseuxSeriesWithExponentialSingularity
+--R UnivariatePuiseuxSeriesWithExponentialSingularity(R: Join(OrderedSet,RetractableTo Integer,LinearlyExplicitRingOver Integer,GcdDomain),FE: Join(AlgebraicallyClosedField,TranscendentalFunctionCategory,FunctionSpace R),var: Symbol,cen: FE)  is a domain constructor
+--R Abbreviation for UnivariatePuiseuxSeriesWithExponentialSingularity is UPXSSING 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for UPXSSING 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        associates? : (%,%) -> Boolean
+--R coerce : % -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              ground? : % -> Boolean
+--R hash : % -> SingleInteger             latex : % -> String
+--R leadingMonomial : % -> %              monomial? : % -> Boolean
+--R one? : % -> Boolean                   recip : % -> Union(%,"failed")
+--R reductum : % -> %                     sample : () -> %
+--R unit? : % -> Boolean                  unitCanonical : % -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (%,Fraction Integer) -> % if UnivariatePuiseuxSeries(FE,var,cen) has ALGEBRA FRAC INT
+--R ?*? : (Fraction Integer,%) -> % if UnivariatePuiseuxSeries(FE,var,cen) has ALGEBRA FRAC INT
+--R ?*? : (UnivariatePuiseuxSeries(FE,var,cen),%) -> %
+--R ?*? : (%,UnivariatePuiseuxSeries(FE,var,cen)) -> %
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,UnivariatePuiseuxSeries(FE,var,cen)) -> % if UnivariatePuiseuxSeries(FE,var,cen) has FIELD
+--R ?^? : (%,NonNegativeInteger) -> %
+--R binomThmExpt : (%,%,NonNegativeInteger) -> % if UnivariatePuiseuxSeries(FE,var,cen) has COMRING
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if UnivariatePuiseuxSeries(FE,var,cen) has CHARNZ
+--R coefficient : (%,ExponentialOfUnivariatePuiseuxSeries(FE,var,cen)) -> UnivariatePuiseuxSeries(FE,var,cen)
+--R coefficients : % -> List UnivariatePuiseuxSeries(FE,var,cen)
+--R coerce : Fraction Integer -> % if UnivariatePuiseuxSeries(FE,var,cen) has ALGEBRA FRAC INT or UnivariatePuiseuxSeries(FE,var,cen) has RETRACT FRAC INT
+--R coerce : UnivariatePuiseuxSeries(FE,var,cen) -> %
+--R content : % -> UnivariatePuiseuxSeries(FE,var,cen) if UnivariatePuiseuxSeries(FE,var,cen) has GCDDOM
+--R degree : % -> ExponentialOfUnivariatePuiseuxSeries(FE,var,cen)
+--R dominantTerm : % -> Union(Record(%term: Record(%coef: UnivariatePuiseuxSeries(FE,var,cen),%expon: ExponentialOfUnivariatePuiseuxSeries(FE,var,cen),%expTerms: List Record(k: Fraction Integer,c: FE)),%type: String),"failed")
+--R exquo : (%,%) -> Union(%,"failed")
+--R exquo : (%,UnivariatePuiseuxSeries(FE,var,cen)) -> Union(%,"failed") if UnivariatePuiseuxSeries(FE,var,cen) has INTDOM
+--R ground : % -> UnivariatePuiseuxSeries(FE,var,cen)
+--R leadingCoefficient : % -> UnivariatePuiseuxSeries(FE,var,cen)
+--R limitPlus : % -> Union(OrderedCompletion FE,"failed")
+--R map : ((UnivariatePuiseuxSeries(FE,var,cen) -> UnivariatePuiseuxSeries(FE,var,cen)),%) -> %
+--R mapExponents : ((ExponentialOfUnivariatePuiseuxSeries(FE,var,cen) -> ExponentialOfUnivariatePuiseuxSeries(FE,var,cen)),%) -> %
+--R minimumDegree : % -> ExponentialOfUnivariatePuiseuxSeries(FE,var,cen)
+--R monomial : (UnivariatePuiseuxSeries(FE,var,cen),ExponentialOfUnivariatePuiseuxSeries(FE,var,cen)) -> %
+--R numberOfMonomials : % -> NonNegativeInteger
+--R pomopo! : (%,UnivariatePuiseuxSeries(FE,var,cen),ExponentialOfUnivariatePuiseuxSeries(FE,var,cen),%) -> %
+--R primitivePart : % -> % if UnivariatePuiseuxSeries(FE,var,cen) has GCDDOM
+--R retract : % -> UnivariatePuiseuxSeries(FE,var,cen)
+--R retract : % -> Fraction Integer if UnivariatePuiseuxSeries(FE,var,cen) has RETRACT FRAC INT
+--R retract : % -> Integer if UnivariatePuiseuxSeries(FE,var,cen) has RETRACT INT
+--R retractIfCan : % -> Union(UnivariatePuiseuxSeries(FE,var,cen),"failed")
+--R retractIfCan : % -> Union(Fraction Integer,"failed") if UnivariatePuiseuxSeries(FE,var,cen) has RETRACT FRAC INT
+--R retractIfCan : % -> Union(Integer,"failed") if UnivariatePuiseuxSeries(FE,var,cen) has RETRACT INT
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %)
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<UnivariatePuiseuxSeriesWithExponentialSingularity.help>>=
+====================================================================
+UnivariatePuiseuxSeriesWithExponentialSingularity examples
+====================================================================
+
+See Also:
+o )show UnivariatePuiseuxSeriesWithExponentialSingularity
+
+@
+
 \pagehead{UnivariatePuiseuxSeriesWithExponentialSingularity}{UPXSSING}
 \pagepic{ps/v103univariatepuiseuxserieswithexponentialsingularity.ps}{UPXSSING}{1.00}
 {\bf See}\\
@@ -114679,6 +134992,7 @@ UnivariatePuiseuxSeriesWithExponentialSingularity(R,FE,var,cen):_
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain OREUP UnivariateSkewPolynomial}
+
 <<UnivariateSkewPolynomial.input>>=
 )set break resume
 )sys rm -f UnivariateSkewPolynomial.output
@@ -115443,6 +135757,149 @@ UnivariateSkewPolynomial(x:Symbol,R:Ring,sigma:Automorphism R,delta: R -> R):
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain UTS UnivariateTaylorSeries}
+
+<<UnivariateTaylorSeries.input>>=
+)set break resume
+)sys rm -f UnivariateTaylorSeries.output
+)spool UnivariateTaylorSeries.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show UnivariateTaylorSeries
+--R UnivariateTaylorSeries(Coef: Ring,var: Symbol,cen: Coef)  is a domain constructor
+--R Abbreviation for UnivariateTaylorSeries is UTS 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for UTS 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (Coef,%) -> %                   ?*? : (%,Coef) -> %
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        center : % -> Coef
+--R coefficients : % -> Stream Coef       coerce : Variable var -> %
+--R coerce : Integer -> %                 coerce : % -> OutputForm
+--R complete : % -> %                     degree : % -> NonNegativeInteger
+--R evenlambert : % -> %                  hash : % -> SingleInteger
+--R lagrange : % -> %                     lambert : % -> %
+--R latex : % -> String                   leadingCoefficient : % -> Coef
+--R leadingMonomial : % -> %              map : ((Coef -> Coef),%) -> %
+--R monomial? : % -> Boolean              oddlambert : % -> %
+--R one? : % -> Boolean                   order : % -> NonNegativeInteger
+--R pole? : % -> Boolean                  quoByVar : % -> %
+--R recip : % -> Union(%,"failed")        reductum : % -> %
+--R revert : % -> %                       sample : () -> %
+--R series : Stream Coef -> %             variable : % -> Symbol
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (Fraction Integer,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,Fraction Integer) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,%) -> % if Coef has ALGEBRA FRAC INT
+--R ?**? : (%,Coef) -> % if Coef has FIELD
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,Coef) -> % if Coef has FIELD
+--R D : % -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef
+--R D : (%,NonNegativeInteger) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef
+--R D : (%,Symbol) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,List Symbol) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,Symbol,NonNegativeInteger) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef and Coef has PDRING SYMBOL
+--R D : (%,List Symbol,List NonNegativeInteger) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef and Coef has PDRING SYMBOL
+--R ?^? : (%,NonNegativeInteger) -> %
+--R acos : % -> % if Coef has ALGEBRA FRAC INT
+--R acosh : % -> % if Coef has ALGEBRA FRAC INT
+--R acot : % -> % if Coef has ALGEBRA FRAC INT
+--R acoth : % -> % if Coef has ALGEBRA FRAC INT
+--R acsc : % -> % if Coef has ALGEBRA FRAC INT
+--R acsch : % -> % if Coef has ALGEBRA FRAC INT
+--R approximate : (%,NonNegativeInteger) -> Coef if Coef has **: (Coef,NonNegativeInteger) -> Coef and Coef has coerce: Symbol -> Coef
+--R asec : % -> % if Coef has ALGEBRA FRAC INT
+--R asech : % -> % if Coef has ALGEBRA FRAC INT
+--R asin : % -> % if Coef has ALGEBRA FRAC INT
+--R asinh : % -> % if Coef has ALGEBRA FRAC INT
+--R associates? : (%,%) -> Boolean if Coef has INTDOM
+--R atan : % -> % if Coef has ALGEBRA FRAC INT
+--R atanh : % -> % if Coef has ALGEBRA FRAC INT
+--R characteristic : () -> NonNegativeInteger
+--R charthRoot : % -> Union(%,"failed") if Coef has CHARNZ
+--R coefficient : (%,NonNegativeInteger) -> Coef
+--R coerce : UnivariatePolynomial(var,Coef) -> %
+--R coerce : Coef -> % if Coef has COMRING
+--R coerce : % -> % if Coef has INTDOM
+--R coerce : Fraction Integer -> % if Coef has ALGEBRA FRAC INT
+--R cos : % -> % if Coef has ALGEBRA FRAC INT
+--R cosh : % -> % if Coef has ALGEBRA FRAC INT
+--R cot : % -> % if Coef has ALGEBRA FRAC INT
+--R coth : % -> % if Coef has ALGEBRA FRAC INT
+--R csc : % -> % if Coef has ALGEBRA FRAC INT
+--R csch : % -> % if Coef has ALGEBRA FRAC INT
+--R differentiate : (%,Variable var) -> %
+--R differentiate : % -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef
+--R differentiate : (%,NonNegativeInteger) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef
+--R differentiate : (%,Symbol) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,List Symbol) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,Symbol,NonNegativeInteger) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef and Coef has PDRING SYMBOL
+--R differentiate : (%,List Symbol,List NonNegativeInteger) -> % if Coef has *: (NonNegativeInteger,Coef) -> Coef and Coef has PDRING SYMBOL
+--R ?.? : (%,%) -> % if NonNegativeInteger has SGROUP
+--R ?.? : (%,NonNegativeInteger) -> Coef
+--R eval : (%,Coef) -> Stream Coef if Coef has **: (Coef,NonNegativeInteger) -> Coef
+--R exp : % -> % if Coef has ALGEBRA FRAC INT
+--R exquo : (%,%) -> Union(%,"failed") if Coef has INTDOM
+--R extend : (%,NonNegativeInteger) -> %
+--R generalLambert : (%,Integer,Integer) -> %
+--R integrate : (%,Variable var) -> % if Coef has ALGEBRA FRAC INT
+--R integrate : (%,Symbol) -> % if Coef has integrate: (Coef,Symbol) -> Coef and Coef has variables: Coef -> List Symbol and Coef has ALGEBRA FRAC INT or Coef has ACFS INT and Coef has ALGEBRA FRAC INT and Coef has PRIMCAT and Coef has TRANFUN
+--R integrate : % -> % if Coef has ALGEBRA FRAC INT
+--R invmultisect : (Integer,Integer,%) -> %
+--R log : % -> % if Coef has ALGEBRA FRAC INT
+--R monomial : (%,List SingletonAsOrderedSet,List NonNegativeInteger) -> %
+--R monomial : (%,SingletonAsOrderedSet,NonNegativeInteger) -> %
+--R monomial : (Coef,NonNegativeInteger) -> %
+--R multiplyCoefficients : ((Integer -> Coef),%) -> %
+--R multiplyExponents : (%,PositiveInteger) -> %
+--R multisect : (Integer,Integer,%) -> %
+--R nthRoot : (%,Integer) -> % if Coef has ALGEBRA FRAC INT
+--R order : (%,NonNegativeInteger) -> NonNegativeInteger
+--R pi : () -> % if Coef has ALGEBRA FRAC INT
+--R polynomial : (%,NonNegativeInteger,NonNegativeInteger) -> Polynomial Coef
+--R polynomial : (%,NonNegativeInteger) -> Polynomial Coef
+--R sec : % -> % if Coef has ALGEBRA FRAC INT
+--R sech : % -> % if Coef has ALGEBRA FRAC INT
+--R series : Stream Record(k: NonNegativeInteger,c: Coef) -> %
+--R sin : % -> % if Coef has ALGEBRA FRAC INT
+--R sinh : % -> % if Coef has ALGEBRA FRAC INT
+--R sqrt : % -> % if Coef has ALGEBRA FRAC INT
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R tan : % -> % if Coef has ALGEBRA FRAC INT
+--R tanh : % -> % if Coef has ALGEBRA FRAC INT
+--R terms : % -> Stream Record(k: NonNegativeInteger,c: Coef)
+--R truncate : (%,NonNegativeInteger,NonNegativeInteger) -> %
+--R truncate : (%,NonNegativeInteger) -> %
+--R unit? : % -> Boolean if Coef has INTDOM
+--R unitCanonical : % -> % if Coef has INTDOM
+--R unitNormal : % -> Record(unit: %,canonical: %,associate: %) if Coef has INTDOM
+--R univariatePolynomial : (%,NonNegativeInteger) -> UnivariatePolynomial(var,Coef)
+--R variables : % -> List SingletonAsOrderedSet
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<UnivariateTaylorSeries.help>>=
+====================================================================
+UnivariateTaylorSeries examples
+====================================================================
+
+See Also:
+o )show UnivariateTaylorSeries
+
+@
+
 \pagehead{UnivariateTaylorSeries}{UTS}
 \pagepic{ps/v103univariatetaylorseries.ps}{UTS}{1.00}
 {\bf See}\\
@@ -115818,6 +136275,7 @@ UnivariateTaylorSeries(Coef,var,cen): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain UTSZ UnivariateTaylorSeriesCZero}
+
 <<UnivariateTaylorSeriesCZero.input>>=
 )set break resume
 )sys rm -f UnivariateTaylorSeriesCZero.output
@@ -116308,6 +136766,7 @@ UnivariateTaylorSeriesCZero(Coef,var): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain UNISEG UniversalSegment}
+
 <<UniversalSegment.input>>=
 )set break resume
 )sys rm -f UniversalSegment.output
@@ -116615,6 +137074,43 @@ UniversalSegment(S: Type): SegmentCategory(S) with
 \chapter{Chapter V}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain VARIABLE Variable}
+
+<<Variable.input>>=
+)set break resume
+)sys rm -f Variable.output
+)spool Variable.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show Variable
+--R Variable sym: Symbol  is a domain constructor
+--R Abbreviation for Variable is VARIABLE 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for VARIABLE 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?=? : (%,%) -> Boolean                coerce : % -> Symbol
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   variable : () -> Symbol
+--R ?~=? : (%,%) -> Boolean              
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<Variable.help>>=
+====================================================================
+Variable examples
+====================================================================
+
+See Also:
+o )show Variable
+
+@
+
 \pagehead{Variable}{VARIABLE}
 \pagepic{ps/v103variable.ps}{VARIABLE}{1.00}
 
@@ -116655,6 +137151,7 @@ Variable(sym:Symbol): Join(SetCategory, CoercibleTo Symbol) with
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain VECTOR Vector}
+
 <<Vector.input>>=
 )set break resume
 )sys rm -f Vector.output
@@ -116969,6 +137466,7 @@ Vector(R:Type): Exports == Implementation where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain VOID Void}
+
 <<Void.input>>=
 )set break resume
 )sys rm -f Void.output
@@ -117114,6 +137612,60 @@ Void: with
 \chapter{Chapter W}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain WP WeightedPolynomials}
+
+<<WeightedPolynomials.input>>=
+)set break resume
+)sys rm -f WeightedPolynomials.output
+)spool WeightedPolynomials.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show WeightedPolynomials
+--R WeightedPolynomials(R: Ring,VarSet: OrderedSet,E: OrderedAbelianMonoidSup,P: PolynomialCategory(R,E,VarSet),vl: List VarSet,wl: List NonNegativeInteger,wtlevel: NonNegativeInteger)  is a domain constructor
+--R Abbreviation for WeightedPolynomials is WP 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for WP 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (Integer,%) -> %
+--R ?*? : (PositiveInteger,%) -> %        ?**? : (%,PositiveInteger) -> %
+--R ?+? : (%,%) -> %                      ?-? : (%,%) -> %
+--R -? : % -> %                           ?=? : (%,%) -> Boolean
+--R 1 : () -> %                           0 : () -> %
+--R ?^? : (%,PositiveInteger) -> %        coerce : P -> %
+--R coerce : % -> P                       coerce : Integer -> %
+--R coerce : % -> OutputForm              hash : % -> SingleInteger
+--R latex : % -> String                   one? : % -> Boolean
+--R recip : % -> Union(%,"failed")        sample : () -> %
+--R zero? : % -> Boolean                  ?~=? : (%,%) -> Boolean
+--R ?*? : (%,R) -> % if R has COMRING
+--R ?*? : (R,%) -> % if R has COMRING
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,%) -> Union(%,"failed") if R has FIELD
+--R ?^? : (%,NonNegativeInteger) -> %
+--R changeWeightLevel : NonNegativeInteger -> Void
+--R characteristic : () -> NonNegativeInteger
+--R coerce : R -> % if R has COMRING
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<WeightedPolynomials.help>>=
+====================================================================
+WeightedPolynomials examples
+====================================================================
+
+See Also:
+o )show WeightedPolynomials
+
+@
+
 \pagehead{WeightedPolynomials}{WP}
 \pagepic{ps/v103weightedpolynomials.ps}{WP}{1.00}
 
@@ -117257,6 +137809,7 @@ WeightedPolynomials(R:Ring,VarSet: OrderedSet, E:OrderedAbelianMonoidSup,
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain WUTSET WuWenTsunTriangularSet}
+
 <<WuWenTsunTriangularSet.input>>=
 )set break resume
 )sys rm -f WuWenTsunTriangularSet.output
@@ -117911,6 +138464,7 @@ WuWenTsunTriangularSet(R,E,V,P) : Exports == Implementation where
 \chapter{Chapter X}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain XDPOLY XDistributedPolynomial}
+
 Polynomial arithmetic with non-commutative variables has been improved
 by a contribution of Michel Petitot (University of Lille I, France).
 The domain constructor
@@ -117918,6 +138472,85 @@ The domain constructor
 representation for these polynomials. It is the non-commutative
 equivalent for the 
 {\bf DistributedMultivariatePolynomial} constructor.
+
+<<XDistributedPolynomial.input>>=
+)set break resume
+)sys rm -f XDistributedPolynomial.output
+)spool XDistributedPolynomial.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show XDistributedPolynomial
+--R XDistributedPolynomial(vl: OrderedSet,R: Ring)  is a domain constructor
+--R Abbreviation for XDistributedPolynomial is XDPOLY 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for XDPOLY 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (%,%) -> %                      ?*? : (vl,%) -> %
+--R ?*? : (%,R) -> %                      ?*? : (R,%) -> %
+--R ?*? : (Integer,%) -> %                ?*? : (PositiveInteger,%) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?=? : (%,%) -> Boolean                1 : () -> %
+--R 0 : () -> %                           ?^? : (%,PositiveInteger) -> %
+--R coef : (%,%) -> R                     coefficients : % -> List R
+--R coerce : Integer -> %                 coerce : R -> %
+--R coerce : vl -> %                      coerce : % -> OutputForm
+--R constant : % -> R                     constant? : % -> Boolean
+--R degree : % -> NonNegativeInteger      hash : % -> SingleInteger
+--R latex : % -> String                   leadingCoefficient : % -> R
+--R lquo : (%,vl) -> %                    lquo : (%,%) -> %
+--R map : ((R -> R),%) -> %               mirror : % -> %
+--R monomial? : % -> Boolean              monomials : % -> List %
+--R one? : % -> Boolean                   quasiRegular : % -> %
+--R quasiRegular? : % -> Boolean          recip : % -> Union(%,"failed")
+--R reductum : % -> %                     rquo : (%,vl) -> %
+--R rquo : (%,%) -> %                     sample : () -> %
+--R varList : % -> List vl                zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (R,OrderedFreeMonoid vl) -> %
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R coef : (%,OrderedFreeMonoid vl) -> R
+--R coefficient : (%,OrderedFreeMonoid vl) -> R
+--R coerce : OrderedFreeMonoid vl -> %
+--R leadingMonomial : % -> OrderedFreeMonoid vl
+--R leadingTerm : % -> Record(k: OrderedFreeMonoid vl,c: R)
+--R listOfTerms : % -> List Record(k: OrderedFreeMonoid vl,c: R)
+--R lquo : (%,OrderedFreeMonoid vl) -> %
+--R maxdeg : % -> OrderedFreeMonoid vl
+--R mindeg : % -> OrderedFreeMonoid vl
+--R mindegTerm : % -> Record(k: OrderedFreeMonoid vl,c: R)
+--R monom : (OrderedFreeMonoid vl,R) -> %
+--R numberOfMonomials : % -> NonNegativeInteger
+--R retract : % -> OrderedFreeMonoid vl
+--R retractIfCan : % -> Union(OrderedFreeMonoid vl,"failed")
+--R rquo : (%,OrderedFreeMonoid vl) -> %
+--R sh : (%,%) -> % if R has COMRING
+--R sh : (%,NonNegativeInteger) -> % if R has COMRING
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R trunc : (%,NonNegativeInteger) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<XDistributedPolynomial.help>>=
+====================================================================
+XDistributedPolynomial examples
+====================================================================
+
+See Also:
+o )show XDistributedPolynomial
+
+@
+
 \pagehead{XDistributedPolynomial}{XDPOLY}
 \pagepic{ps/v103xdistributedpolynomial.ps}{XDPOLY}{1.00}
 
@@ -118087,6 +138720,7 @@ XDistributedPolynomial(vl:OrderedSet,R:Ring): XDPcat == XDPdef where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain XPBWPOLY XPBWPolynomial}
+
 <<XPBWPolynomial.input>>=
 )set break resume
 )sys rm -f XPBWPolynomial.output
@@ -119224,6 +139858,7 @@ XPBWPolynomial(VarSet:OrderedSet,R:CommutativeRing): XDPcat == XDPdef where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain XPOLY XPolynomial}
+
 <<XPolynomial.input>>=
 )set break resume
 )sys rm -f XPolynomial.output
@@ -119555,6 +140190,7 @@ XPolynomial(R:Ring) == XRecursivePolynomial(Symbol, R)
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain XPR XPolynomialRing}
+
 <<XPolynomialRing.input>>=
 )set break resume
 )sys rm -f XPolynomialRing.output
@@ -120155,6 +140791,80 @@ XPolynomialRing(R:Ring,E:OrderedMonoid): T == C where
 @
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain XRPOLY XRecursivePolynomial}
+
+<<XRecursivePolynomial.input>>=
+)set break resume
+)sys rm -f XRecursivePolynomial.output
+)spool XRecursivePolynomial.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show XRecursivePolynomial
+--R XRecursivePolynomial(VarSet: OrderedSet,R: Ring)  is a domain constructor
+--R Abbreviation for XRecursivePolynomial is XRPOLY 
+--R This constructor is not exposed in this frame.
+--R Issue )edit bookvol10.3.pamphlet to see algebra source code for XRPOLY 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (VarSet,%) -> %                 ?*? : (%,R) -> %
+--R ?*? : (R,%) -> %                      ?*? : (%,%) -> %
+--R ?*? : (Integer,%) -> %                ?*? : (PositiveInteger,%) -> %
+--R ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+--R ?-? : (%,%) -> %                      -? : % -> %
+--R ?=? : (%,%) -> Boolean                1 : () -> %
+--R 0 : () -> %                           ?^? : (%,PositiveInteger) -> %
+--R coef : (%,%) -> R                     coerce : VarSet -> %
+--R coerce : R -> %                       coerce : Integer -> %
+--R coerce : % -> OutputForm              constant : % -> R
+--R constant? : % -> Boolean              degree : % -> NonNegativeInteger
+--R hash : % -> SingleInteger             latex : % -> String
+--R lquo : (%,%) -> %                     lquo : (%,VarSet) -> %
+--R map : ((R -> R),%) -> %               mirror : % -> %
+--R monomial? : % -> Boolean              one? : % -> Boolean
+--R quasiRegular : % -> %                 quasiRegular? : % -> Boolean
+--R recip : % -> Union(%,"failed")        rquo : (%,%) -> %
+--R rquo : (%,VarSet) -> %                sample : () -> %
+--R varList : % -> List VarSet            zero? : % -> Boolean
+--R ?~=? : (%,%) -> Boolean              
+--R ?*? : (NonNegativeInteger,%) -> %
+--R ?**? : (%,NonNegativeInteger) -> %
+--R RemainderList : % -> List Record(k: VarSet,c: %)
+--R ?^? : (%,NonNegativeInteger) -> %
+--R characteristic : () -> NonNegativeInteger
+--R coef : (%,OrderedFreeMonoid VarSet) -> R
+--R coerce : OrderedFreeMonoid VarSet -> %
+--R expand : % -> XDistributedPolynomial(VarSet,R)
+--R lquo : (%,OrderedFreeMonoid VarSet) -> %
+--R maxdeg : % -> OrderedFreeMonoid VarSet
+--R mindeg : % -> OrderedFreeMonoid VarSet
+--R mindegTerm : % -> Record(k: OrderedFreeMonoid VarSet,c: R)
+--R monom : (OrderedFreeMonoid VarSet,R) -> %
+--R retract : % -> OrderedFreeMonoid VarSet
+--R retractIfCan : % -> Union(OrderedFreeMonoid VarSet,"failed")
+--R rquo : (%,OrderedFreeMonoid VarSet) -> %
+--R sh : (%,NonNegativeInteger) -> % if R has COMRING
+--R sh : (%,%) -> % if R has COMRING
+--R subtractIfCan : (%,%) -> Union(%,"failed")
+--R trunc : (%,NonNegativeInteger) -> %
+--R unexpand : XDistributedPolynomial(VarSet,R) -> %
+--R
+--E 1
+
+)spool
+)lisp (bye)
+@
+<<XRecursivePolynomial.help>>=
+====================================================================
+XRecursivePolynomial examples
+====================================================================
+
+See Also:
+o )show XRecursivePolynomial
+
+@
+
 Polynomial arithmetic with non-commutative variables has been improved
 by a contribution of Michel Petitot (University of Lille I, France).
 The domain constructors {\bf XRecursivePolynomial} 
diff --git a/changelog b/changelog
index 89d632c..cef5aab 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20100531 tpd src/axiom-website/patches.html 20100531.01.tpd.patch
+20100531 tpd src/algebra/Makefile add test and help files for all domains
+20100531 tpd books/bookvol10.3 add test and help files for all domains
 20100530 tpd src/axiom-website/patches.html 20100530.01.tpd.patch
 20100530 tpd src/axiom-website/download.html add additional binaries
 20100529 tpd src/axiom-website/patches.html 20100529.04.tpd.patch
diff --git a/src/algebra/Makefile.pamphlet b/src/algebra/Makefile.pamphlet
index 5914c28..6457c41 100644
--- a/src/algebra/Makefile.pamphlet
+++ b/src/algebra/Makefile.pamphlet
@@ -18058,31 +18058,77 @@ SPADHELP=\
  ${HELP}/AffineSpaceCategory.help \
  ${HELP}/Aggregate.help \
  ${HELP}/Algebra.help \
+ ${HELP}/AlgebraGivenByStructuralConstants.help \
  ${HELP}/AlgebraicallyClosedField.help \
  ${HELP}/AlgebraicallyClosedFunctionSpace.help \
+ ${HELP}/AlgebraicFunctionField.help \
+ ${HELP}/AlgebraicNumber.help \
+ ${HELP}/AnonymousFunction.help \
+ ${HELP}/AntiSymm.help \
  ${HELP}/Any.help \
  ${HELP}/ApplicationProgramInterface.help \
  ${HELP}/ArcHyperbolicFunctionCategory.help \
  ${HELP}/ArcTrigonometricFunctionCategory.help \
  ${HELP}/ArrayStack.help \
+ ${HELP}/Asp1.help \
+ ${HELP}/Asp10.help \
+ ${HELP}/Asp12.help \
+ ${HELP}/Asp19.help \
+ ${HELP}/Asp20.help \
+ ${HELP}/Asp24.help \
+ ${HELP}/Asp27.help \
+ ${HELP}/Asp28.help \
+ ${HELP}/Asp29.help \
+ ${HELP}/Asp30.help \
+ ${HELP}/Asp31.help \
+ ${HELP}/Asp33.help \
+ ${HELP}/Asp34.help \
+ ${HELP}/Asp35.help \
+ ${HELP}/Asp4.help \
+ ${HELP}/Asp41.help \
+ ${HELP}/Asp42.help \
+ ${HELP}/Asp49.help \
+ ${HELP}/Asp50.help \
+ ${HELP}/Asp55.help \
+ ${HELP}/Asp6.help \
+ ${HELP}/Asp7.help \
+ ${HELP}/Asp73.help \
+ ${HELP}/Asp74.help \
+ ${HELP}/Asp77.help \
+ ${HELP}/Asp78.help \
+ ${HELP}/Asp8.help \
+ ${HELP}/Asp80.help \
+ ${HELP}/Asp9.help \
+ ${HELP}/AssociatedJordanAlgebra.help \
+ ${HELP}/AssociatedLieAlgebra.help \
  ${HELP}/AssociationList.help \
  ${HELP}/AssociationListAggregate.help \
+ ${HELP}/AttributeButtons.help \
+ ${HELP}/Automorphism.help \
  ${HELP}/BalancedBinaryTree.help \
+ ${HELP}/BalancedPAdicInteger.help \
+ ${HELP}/BalancedPAdicRational.help \
  ${HELP}/BagAggregate.help \
+ ${HELP}/BasicFunctions.help \
  ${HELP}/BasicOperator.help \
  ${HELP}/BasicType.help \
  ${HELP}/Bezier.help \
  ${HELP}/BiModule.help \
  ${HELP}/BinaryExpansion.help \
+ ${HELP}/BinaryFile.help \
  ${HELP}/BinaryRecursiveAggregate.help \
  ${HELP}/BinarySearchTree.help \
+ ${HELP}/BinaryTournament.help \
+ ${HELP}/BinaryTree.help \
  ${HELP}/BinaryTreeCategory.help \
  ${HELP}/BitAggregate.help \
+ ${HELP}/Bits.help \
  ${HELP}/BlasLevelOne.help \
  ${HELP}/BlowUpMethodCategory.help \
  ${HELP}/BlowUpPackage.help \
  ${HELP}/BlowUpWithHamburgerNoether.help \
  ${HELP}/BlowUpWithQuadTrans.help \
+ ${HELP}/Boolean.help \
  ${HELP}/CachableSet.help \
  ${HELP}/CancellationAbelianMonoid.help \
  ${HELP}/CardinalNumber.help \
@@ -18094,15 +18140,19 @@ SPADHELP=\
  ${HELP}/CliffordAlgebra.help \
  ${HELP}/CoercibleTo.help \
  ${HELP}/Collection.help \
+ ${HELP}/Color.help \
  ${HELP}/CombinatorialFunction.help \
  ${HELP}/CombinatorialFunctionCategory.help \
  ${HELP}/CombinatorialOpsCategory.help \
  ${HELP}/CommutativeRing.help \
+ ${HELP}/Commutator.help \
  ${HELP}/Complex.help \
  ${HELP}/ComplexCategory.help \
  ${HELP}/ContinuedFraction.help \
  ${HELP}/ConvertibleTo.help \
  ${HELP}/CycleIndicators.help \
+ ${HELP}/Database.help \
+ ${HELP}/DataList.help \
  ${HELP}/DecimalExpansion.help \
  ${HELP}/Dequeue.help \
  ${HELP}/DequeueAggregate.help \
@@ -18115,14 +18165,36 @@ SPADHELP=\
  ${HELP}/DifferentialExtension.help \
  ${HELP}/DifferentialPolynomialCategory.help \
  ${HELP}/DifferentialRing.help \
+ ${HELP}/DifferentialSparseMultivariatePolynomial.help \
  ${HELP}/DifferentialVariableCategory.help \
+ ${HELP}/DirectProduct.help \
  ${HELP}/DirectProductCategory.help \
+ ${HELP}/DirectProductMatrixModule.help \
+ ${HELP}/DirectProductModule.help \
  ${HELP}/DistributedMultivariatePolynomial.help \
  ${HELP}/DivisionRing.help \
  ${HELP}/Divisor.help \
  ${HELP}/DivisorCategory.help \
  ${HELP}/DoubleFloat.help \
  ${HELP}/DoublyLinkedAggregate.help \
+ ${HELP}/DrawOption.help \
+ ${HELP}/d01ajfAnnaType.help \
+ ${HELP}/d01akfAnnaType.help \
+ ${HELP}/d01alfAnnaType.help \
+ ${HELP}/d01amfAnnaType.help \
+ ${HELP}/d01anfAnnaType.help \
+ ${HELP}/d01apfAnnaType.help \
+ ${HELP}/d01aqfAnnaType.help \
+ ${HELP}/d01asfAnnaType.help \
+ ${HELP}/d01fcfAnnaType.help \
+ ${HELP}/d01gbfAnnaType.help \
+ ${HELP}/d01TransformFunctionType.help \
+ ${HELP}/d02bbfAnnaType.help \
+ ${HELP}/d02bhfAnnaType.help \
+ ${HELP}/d02cjfAnnaType.help \
+ ${HELP}/d02ejfAnnaType.help \
+ ${HELP}/d03eefAnnaType.help \
+ ${HELP}/d03fafAnnaType.help \
  ${HELP}/ElementaryFunction.help \
  ${HELP}/ElementaryFunctionCategory.help \
  ${HELP}/Eltable.help \
@@ -18132,11 +18204,22 @@ SPADHELP=\
  ${HELP}/Equation.help \
  ${HELP}/EuclideanDomain.help \
  ${HELP}/EuclideanGroebnerBasisPackage.help \
+ ${HELP}/EuclideanModularRing.help \
  ${HELP}/Evalable.help \
  ${HELP}/Expression.help \
  ${HELP}/ExpressionSpace.help \
+ ${HELP}/ExponentialExpansion.help \
+ ${HELP}/ExponentialOfUnivariatePuiseuxSeries.help \
+ ${HELP}/ExtAlgBasis.help \
  ${HELP}/ExtensibleLinearAggregate.help \
  ${HELP}/ExtensionField.help \
+ ${HELP}/e04dgfAnnaType.help \
+ ${HELP}/e04fdfAnnaType.help \
+ ${HELP}/e04gcfAnnaType.help \
+ ${HELP}/e04jafAnnaType.help \
+ ${HELP}/e04mbfAnnaType.help \
+ ${HELP}/e04nafAnnaType.help \
+ ${HELP}/e04ucfAnnaType.help \
  ${HELP}/Factored.help \
  ${HELP}/FactoredFunctions2.help \
  ${HELP}/FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber.help \
@@ -18150,9 +18233,19 @@ SPADHELP=\
  ${HELP}/Finite.help \
  ${HELP}/FiniteAbelianMonoidRing.help \
  ${HELP}/FiniteAlgebraicExtensionField.help \
+ ${HELP}/FiniteDivisor.help \
  ${HELP}/FiniteDivisorCategory.help \
+ ${HELP}/FiniteField.help \
  ${HELP}/FiniteFieldCategory.help \
+ ${HELP}/FiniteFieldCyclicGroup.help \
+ ${HELP}/FiniteFieldCyclicGroupExtension.help \
+ ${HELP}/FiniteFieldCyclicGroupExtensionByPolynomial.help \
+ ${HELP}/FiniteFieldExtension.help \
+ ${HELP}/FiniteFieldExtensionByPolynomial.help \
  ${HELP}/FiniteFieldFactorizationWithSizeParseBySideEffect.help \
+ ${HELP}/FiniteFieldNormalBasis.help \
+ ${HELP}/FiniteFieldNormalBasisExtension.help \
+ ${HELP}/FiniteFieldNormalBasisExtensionByPolynomial.help \
  ${HELP}/FiniteFieldSquareFreeDecomposition.help \
  ${HELP}/FiniteLinearAggregate.help \
  ${HELP}/FiniteRankAlgebra.help \
@@ -18161,54 +18254,110 @@ SPADHELP=\
  ${HELP}/FlexibleArray.help \
  ${HELP}/Float.help \
  ${HELP}/FloatingPointSystem.help \
+ ${HELP}/FortranCode.help \
+ ${HELP}/FortranExpression.help \
  ${HELP}/FortranFunctionCategory.help \
  ${HELP}/FortranMachineTypeCategory.help \
  ${HELP}/FortranMatrixCategory.help \
  ${HELP}/FortranMatrixFunctionCategory.help \
+ ${HELP}/FortranProgram.help \
  ${HELP}/FortranProgramCategory.help \
+ ${HELP}/FortranScalarType.help \
+ ${HELP}/FortranTemplate.help \
+ ${HELP}/FortranType.help \
  ${HELP}/FortranVectorCategory.help \
  ${HELP}/FortranVectorFunctionCategory.help \
+ ${HELP}/FourierComponent.help \
+ ${HELP}/FourierSeries.help \
  ${HELP}/Fraction.help \
+ ${HELP}/FractionalIdeal.help \
  ${HELP}/FramedAlgebra.help \
+ ${HELP}/FramedModule.help \
  ${HELP}/FramedNonAssociativeAlgebra.help \
+ ${HELP}/FreeAbelianGroup.help \
+ ${HELP}/FreeAbelianMonoid.help \
  ${HELP}/FreeAbelianMonoidCategory.help \
+ ${HELP}/FreeGroup.help \
  ${HELP}/FreeLieAlgebra.help \
  ${HELP}/FreeModuleCat.help \
+ ${HELP}/FreeModule.help \
+ ${HELP}/FreeModule1.help \
+ ${HELP}/FreeMonoid.help \
+ ${HELP}/FreeNilpotentLie.help \
  ${HELP}/FullPartialFractionExpansion.help \
  ${HELP}/FullyEvalableOver.help \
  ${HELP}/FullyLinearlyExplicitRingOver.help \
  ${HELP}/FullyPatternMatchable.help \
  ${HELP}/FullyRetractableTo.help \
+ ${HELP}/FunctionCalled.help \
  ${HELP}/FunctionFieldCategory.help \
  ${HELP}/FunctionSpace.help \
  ${HELP}/GcdDomain.help \
  ${HELP}/GeneralDistributedMultivariatePolynomial.help \
+ ${HELP}/GeneralModulePolynomial.help \
  ${HELP}/GeneralPackageForAlgebraicFunctionField.help \
  ${HELP}/GeneralSparseTable.help \
+ ${HELP}/GenericNonAssociativeAlgebra.help \
+ ${HELP}/GeneralPolynomialSet.help \
+ ${HELP}/GeneralTriangularSet.help \
+ ${HELP}/GeneralUnivariatePowerSeries.help \
  ${HELP}/GradedAlgebra.help \
  ${HELP}/GradedModule.help \
+ ${HELP}/GraphImage.help \
  ${HELP}/GroebnerFactorizationPackage.help \
  ${HELP}/GroebnerPackage.help \
  ${HELP}/Group.help \
+ ${HELP}/GuessOption.help \
+ ${HELP}/HashTable.help \
  ${HELP}/Heap.help \
  ${HELP}/HexadecimalExpansion.help \
  ${HELP}/HomogeneousAggregate.help \
+ ${HELP}/HomogeneousDirectProduct.help \
  ${HELP}/HomogeneousDistributedMultivariatePolynomial.help \
  ${HELP}/HyperbolicFunctionCategory.help \
+ ${HELP}/HyperellipticFiniteDivisor.help \
+ ${HELP}/IndexCard.help \
  ${HELP}/IndexedAggregate.help \
  ${HELP}/IndexedBits.help \
+ ${HELP}/IndexedDirectProductAbelianGroup.help \
+ ${HELP}/IndexedDirectProductAbelianMonoid.help \
  ${HELP}/IndexedDirectProductCategory.help \
+ ${HELP}/IndexedDirectProductObject.help \
+ ${HELP}/IndexedDirectProductOrderedAbelianMonoid.help \
+ ${HELP}/IndexedDirectProductOrderedAbelianMonoidSup.help \
+ ${HELP}/IndexedExponents.help \
+ ${HELP}/IndexedFlexibleArray.help \
+ ${HELP}/IndexedList.help \
+ ${HELP}/IndexedMatrix.help \
+ ${HELP}/IndexedOneDimensionalArray.help \
+ ${HELP}/IndexedString.help \
+ ${HELP}/IndexedTwoDimensionalArray.help \
+ ${HELP}/IndexedVector.help \
  ${HELP}/InfClsPt.help \
+ ${HELP}/InfiniteTuple.help \
  ${HELP}/InfinitlyClosePoint.help \
  ${HELP}/InfinitlyClosePointCategory.help \
  ${HELP}/InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField.help \
+ ${HELP}/InnerAlgebraicNumber.help \
  ${HELP}/InnerEvalable.help \
+ ${HELP}/InnerFiniteField.help \
+ ${HELP}/InnerFreeAbelianMonoid.help \
+ ${HELP}/InnerIndexedTwoDimensionalArray.help \
+ ${HELP}/InnerPAdicInteger.help \
+ ${HELP}/InnerPrimeField.help \
+ ${HELP}/InnerSparseUnivariatePowerSeries.help \
+ ${HELP}/InnerTable.help \
+ ${HELP}/InnerTaylorSeries.help \
+ ${HELP}/InputForm.help \
  ${HELP}/Integer.help \
  ${HELP}/IntegerCombinatoricFunctions.help \
  ${HELP}/IntegerLinearDependence.help \
+ ${HELP}/IntegerMod.help \
  ${HELP}/IntegerNumberSystem.help \
  ${HELP}/IntegerNumberTheoryFunctions.help \
  ${HELP}/IntegralDomain.help \
+ ${HELP}/IntegrationFunctionsTable.help \
+ ${HELP}/IntegrationResult.help \
  ${HELP}/InterfaceGroebnerPackage.help \
  ${HELP}/InterpolateFormsPackage.help \
  ${HELP}/IntersectionDivisorPackage.help \
@@ -18217,6 +18366,7 @@ SPADHELP=\
  ${HELP}/Kernel.help \
  ${HELP}/KeyedAccessFile.help \
  ${HELP}/KeyedDictionary.help \
+ ${HELP}/LaurentPolynomial.help \
  ${HELP}/LazyStreamAggregate.help \
  ${HELP}/LazardSetSolvingPackage.help \
  ${HELP}/LeftAlgebra.help \
@@ -18226,6 +18376,7 @@ SPADHELP=\
  ${HELP}/LieAlgebra.help \
  ${HELP}/LieExponentials.help \
  ${HELP}/LiePolynomial.help \
+ ${HELP}/LieSquareMatrix.help \
  ${HELP}/LinearlyExplicitRingOver.help \
  ${HELP}/LinearAggregate.help \
  ${HELP}/LinearOrdinaryDifferentialOperator.help \
@@ -18234,32 +18385,50 @@ SPADHELP=\
  ${HELP}/LinearOrdinaryDifferentialOperatorCategory.help \
  ${HELP}/LinearSystemFromPowerSeriesPackage.help \
  ${HELP}/ListAggregate.help \
+ ${HELP}/ListMonoidOps.help \
+ ${HELP}/ListMultiDictionary.help \
  ${HELP}/LiouvillianFunctionCategory.help \
  ${HELP}/List.help \
  ${HELP}/LinesOpPack.help \
+ ${HELP}/LocalAlgebra.help \
+ ${HELP}/Localize.help \
  ${HELP}/LocalParametrizationOfSimplePointPackage.help \
  ${HELP}/LocalPowerSeriesCategory.help \
  ${HELP}/Logic.help \
  ${HELP}/LyndonWord.help \
+ ${HELP}/MachineComplex.help \
+ ${HELP}/MachineFloat.help \
+ ${HELP}/MachineInteger.help \
  ${HELP}/Magma.help \
+ ${HELP}/MakeCachableSet.help \
  ${HELP}/MakeFunction.help \
  ${HELP}/MathMLFormat.help \
  ${HELP}/MappingPackage1.help \
  ${HELP}/MappingPackage2.help \
  ${HELP}/MappingPackage3.help \
+ ${HELP}/MathMLFormat.help \
  ${HELP}/Matrix.help \
  ${HELP}/MatrixCategory.help \
+ ${HELP}/ModMonic.help \
+ ${HELP}/ModularField.help \
+ ${HELP}/ModularRing.help \
  ${HELP}/Module.help \
+ ${HELP}/ModuleMonomial.help \
+ ${HELP}/ModuleOperator.help \
+ ${HELP}/MoebiusTransform.help \
  ${HELP}/Monad.help \
  ${HELP}/MonadWithUnit.help \
  ${HELP}/MonogenicAlgebra.help \
  ${HELP}/MonogenicLinearOperator.help \
  ${HELP}/Monoid.help \
+ ${HELP}/MonoidRing.help \
  ${HELP}/MultiDictionary.help \
  ${HELP}/Multiset.help \
  ${HELP}/MultisetAggregate.help \
  ${HELP}/MultivariatePolynomial.help \
  ${HELP}/MultivariateTaylorSeriesCategory.help \
+ ${HELP}/MyExpression.help \
+ ${HELP}/MyUnivariatePolynomial.help \
  ${HELP}/NagEigenPackage.help \
  ${HELP}/NagFittingPackage.help \
  ${HELP}/NagLinearEquationSolvingPackage.help \
@@ -18275,26 +18444,43 @@ SPADHELP=\
  ${HELP}/NagSeriesSummationPackage.help \
  ${HELP}/NagSpecialFunctionsPackage.help \
  ${HELP}/NeitherSparseOrDensePowerSeries.help \
+ ${HELP}/NewSparseMultivariatePolynomial.help \
+ ${HELP}/NewSparseUnivariatePolynomial.help \
  ${HELP}/NewtonPolygon.help \
  ${HELP}/NonAssociativeAlgebra.help \
  ${HELP}/NonAssociativeRing.help \
  ${HELP}/NonAssociativeRng.help \
  ${HELP}/None.help \
+ ${HELP}/NonNegativeInteger.help \
  ${HELP}/NormalizedTriangularSetCategory.help \
  ${HELP}/NottinghamGroup.help \
  ${HELP}/NumericalIntegrationCategory.help \
+ ${HELP}/NumericalIntegrationProblem.help \
+ ${HELP}/NumericalODEProblem.help \
  ${HELP}/NumericalOptimizationCategory.help \
+ ${HELP}/NumericalOptimizationProblem.help \
+ ${HELP}/NumericalPDEProblem.help \
  ${HELP}/Octonion.help \
  ${HELP}/OctonionCategory.help \
+ ${HELP}/ODEIntensityFunctionsTable.help \
  ${HELP}/OneDimensionalArray.help \
  ${HELP}/OneDimensionalArrayAggregate.help \
+ ${HELP}/OnePointCompletion.help \
  ${HELP}/OpenMath.help \
+ ${HELP}/OpenMathConnection.help \
+ ${HELP}/OpenMathDevice.help \
+ ${HELP}/OpenMathEncoding.help \
+ ${HELP}/OpenMathError.help \
+ ${HELP}/OpenMathErrorKind.help \
  ${HELP}/Operator.help \
+ ${HELP}/OppositeMonogenicLinearOperator.help \
  ${HELP}/OrderedAbelianGroup.help \
  ${HELP}/OrderedAbelianMonoid.help \
  ${HELP}/OrderedAbelianMonoidSup.help \
  ${HELP}/OrderedAbelianSemiGroup.help \
  ${HELP}/OrderedCancellationAbelianMonoid.help \
+ ${HELP}/OrderedCompletion.help \
+ ${HELP}/OrderedDirectProduct.help \
  ${HELP}/OrderedFinite.help \
  ${HELP}/OrderedFreeMonoid.help \
  ${HELP}/OrderedIntegralDomain.help \
@@ -18304,37 +18490,64 @@ SPADHELP=\
  ${HELP}/OrderedSet.help \
  ${HELP}/OrderedVariableList.help \
  ${HELP}/OrderlyDifferentialPolynomial.help \
+ ${HELP}/OrderlyDifferentialVariable.help \
  ${HELP}/OrdinaryDifferentialEquationsSolverCategory.help \
+ ${HELP}/OrdinaryDifferentialRing.help \
+ ${HELP}/OrdinaryWeightedPolynomials.help \
+ ${HELP}/OrdSetInts.help \
+ ${HELP}/OutputForm.help \
  ${HELP}/PackageForAlgebraicFunctionField.help \
  ${HELP}/PackageForAlgebraicFunctionFieldOverFiniteField.help \
  ${HELP}/PackageForPoly.help \
+ ${HELP}/PAdicInteger.help \
  ${HELP}/PAdicIntegerCategory.help \
+ ${HELP}/PAdicRational.help \
+ ${HELP}/PAdicRationalConstructor.help \
+ ${HELP}/Palette.help \
+ ${HELP}/ParametricPlaneCurve.help \
+ ${HELP}/ParametricSpaceCurve.help \
+ ${HELP}/ParametricSurface.help \
  ${HELP}/ParametrizationPackage.help \
  ${HELP}/PartialDifferentialEquationsSolverCategory.help \
  ${HELP}/PartialDifferentialRing.help \
  ${HELP}/PartialFraction.help \
  ${HELP}/PartialFractionPackage.help \
  ${HELP}/PartialTranscendentalFunctions.help \
+ ${HELP}/Partition.help \
+ ${HELP}/Pattern.help \
  ${HELP}/Patternable.help \
  ${HELP}/PatternMatchable.help \
+ ${HELP}/PatternMatchListResult.help \
+ ${HELP}/PatternMatchResult.help \
+ ${HELP}/PendantTree.help \
  ${HELP}/Permanent.help \
  ${HELP}/Permutation.help \
  ${HELP}/PermutationCategory.help \
+ ${HELP}/PermutationGroup.help \
+ ${HELP}/Pi.help \
  ${HELP}/Places.help \
  ${HELP}/PlacesCategory.help \
  ${HELP}/PlacesOverPseudoAlgebraicClosureOfFiniteField.help \
  ${HELP}/PlaneAlgebraicCurvePlot.help \
  ${HELP}/Plcs.help \
  ${HELP}/Plot.help \
+ ${HELP}/Plot3D.help \
  ${HELP}/PlottablePlaneCurveCategory.help \
  ${HELP}/PlottableSpaceCurveCategory.help \
+ ${HELP}/PoincareBirkhoffWittLyndonBasis.help \
+ ${HELP}/Point.help \
  ${HELP}/PointCategory.help \
  ${HELP}/Polynomial.help \
  ${HELP}/PolynomialCategory.help \
  ${HELP}/PolynomialFactorizationExplicit.help \
+ ${HELP}/PolynomialIdeals.help \
  ${HELP}/PolynomialPackageForCurve.help \
+ ${HELP}/PolynomialRing.help \
  ${HELP}/PolynomialSetCategory.help \
+ ${HELP}/PositiveInteger.help \
  ${HELP}/PowerSeriesCategory.help \
+ ${HELP}/PrimeField.help \
+ ${HELP}/PrimitiveArray.help \
  ${HELP}/PrimitiveFunctionCategory.help \
  ${HELP}/PrincipalIdealDomain.help \
  ${HELP}/PriorityQueueAggregate.help \
@@ -18351,13 +18564,17 @@ SPADHELP=\
  ${HELP}/PseudoAlgebraicClosureOfPerfectFieldCategory.help \
  ${HELP}/PseudoAlgebraicClosureOfRationalNumber.help \
  ${HELP}/PseudoAlgebraicClosureOfRationalNumberCategory.help \
+ ${HELP}/QuadraticForm.help \
+ ${HELP}/QuasiAlgebraicSet.help \
  ${HELP}/Quaternion.help \
  ${HELP}/QuaternionCategory.help \
  ${HELP}/QuaternionCategoryFunctions2.help \
+ ${HELP}/QueryEquation.help \
  ${HELP}/Queue.help \
  ${HELP}/QueueAggregate.help \
  ${HELP}/QuotientFieldCategory.help \
  ${HELP}/RadicalCategory.help \
+ ${HELP}/RadicalFunctionField.help \
  ${HELP}/RadicalSolvePackage.help \
  ${HELP}/RadixExpansion.help \
  ${HELP}/RationalFunctionSum.help \
@@ -18367,17 +18584,28 @@ SPADHELP=\
  ${HELP}/RealNumberSystem.help \
  ${HELP}/RealRootCharacterizationCategory.help \
  ${HELP}/RealSolvePackage.help \
+ ${HELP}/RectangularMatrix.help \
  ${HELP}/RectangularMatrixCategory.help \
  ${HELP}/RecursiveAggregate.help \
  ${HELP}/RecursivePolynomialCategory.help \
+ ${HELP}/Reference.help \
+ ${HELP}/RegularChain.help \
  ${HELP}/RegularTriangularSet.help \
  ${HELP}/RegularTriangularSetCategory.help \
+ ${HELP}/ResidueRing.help \
+ ${HELP}/Result.help \
  ${HELP}/RetractableTo.help \
+ ${HELP}/RewriteRule.help \
  ${HELP}/RightModule.help \
+ ${HELP}/RightOpenIntervalRootCharacterization.help \
  ${HELP}/Ring.help \
  ${HELP}/Rng.help \
  ${HELP}/RomanNumeral.help \
  ${HELP}/RootsFindingPackage.help \
+ ${HELP}/RoutinesTable.help \
+ ${HELP}/RuleCalled.help \
+ ${HELP}/Ruleset.help \
+ ${HELP}/ScriptFormulaFormat.help \
  ${HELP}/Segment.help \
  ${HELP}/SegmentBinding.help \
  ${HELP}/SegmentCategory.help \
@@ -18387,11 +18615,29 @@ SPADHELP=\
  ${HELP}/SetAggregate.help \
  ${HELP}/SetCategory.help \
  ${HELP}/SetCategoryWithDegree.help \
+ ${HELP}/SetOfMIntegersInOneToN.help \
+ ${HELP}/SequentialDifferentialPolynomial.help \
+ ${HELP}/SequentialDifferentialVariable.help \
+ ${HELP}/SExpression.help \
  ${HELP}/SExpressionCategory.help \
+ ${HELP}/SExpressionOf.help \
+ ${HELP}/SimpleAlgebraicExtension.help \
+ ${HELP}/SimpleFortranProgram.help \
  ${HELP}/SingleInteger.help \
+ ${HELP}/SingletonAsOrderedSet.help \
  ${HELP}/SparseTable.help \
+ ${HELP}/SparseMultivariatePolynomial.help \
  ${HELP}/SparseMultivariateTaylorSeries.help \
+ ${HELP}/SparseUnivariateLaurentSeries.help \
+ ${HELP}/SparseUnivariatePolynomial.help \
+ ${HELP}/SparseUnivariatePolynomialExpressions.help \
+ ${HELP}/SparseUnivariatePuiseuxSeries.help \
+ ${HELP}/SparseUnivariateSkewPolynomial.help \
+ ${HELP}/SparseUnivariateTaylorSeries.help \
  ${HELP}/SpecialFunctionCategory.help \
+ ${HELP}/SplitHomogeneousDirectProduct.help \
+ ${HELP}/SplittingNode.help \
+ ${HELP}/SplittingTree.help \
  ${HELP}/SquareMatrix.help \
  ${HELP}/SquareFreeNormalizedTriangularSetCategory.help \
  ${HELP}/SquareFreeRegularTriangularSet.help \
@@ -18406,44 +18652,70 @@ SPADHELP=\
  ${HELP}/StringAggregate.help \
  ${HELP}/StringCategory.help \
  ${HELP}/StringTable.help \
+ ${HELP}/SubSpace.help \
+ ${HELP}/SubSpaceComponentProperty.help \
+ ${HELP}/SuchThat.help \
+ ${HELP}/Switch.help \
  ${HELP}/Symbol.help \
+ ${HELP}/SymbolTable.help \
+ ${HELP}/SymmetricPolynomial.help \
  ${HELP}/Table.help \
  ${HELP}/TableAggregate.help \
+ ${HELP}/Tableau.help \
+ ${HELP}/TaylorSeries.help \
  ${HELP}/TexFormat.help \
  ${HELP}/TextFile.help \
+ ${HELP}/TheSymbolTable.help \
+ ${HELP}/ThreeDimensionalMatrix.help \
+ ${HELP}/ThreeDimensionalViewport.help \
+ ${HELP}/ThreeSpace.help \
  ${HELP}/ThreeSpaceCategory.help \
  ${HELP}/TranscendentalFunctionCategory.help \
  ${HELP}/TransSolvePackage.help \
+ ${HELP}/Tree.help \
  ${HELP}/TriangularSetCategory.help \
  ${HELP}/TrigonometricFunctionCategory.help \
+ ${HELP}/TubePlot.help \
+ ${HELP}/Tuple.help \
  ${HELP}/TwoDimensionalArray.help   \
  ${HELP}/TwoDimensionalArrayCategory.help \
  ${HELP}/TwoDimensionalViewport.help \
  ${HELP}/UnaryRecursiveAggregate.help \
  ${HELP}/UniqueFactorizationDomain.help \
+ ${HELP}/UnivariateFormalPowerSeries.help \
+ ${HELP}/UnivariateLaurentSeries.help \
  ${HELP}/UnivariateLaurentSeriesCategory.help \
+ ${HELP}/UnivariateLaurentSeriesConstructor.help \
  ${HELP}/UnivariateLaurentSeriesConstructorCategory.help \
+ ${HELP}/UnivariatePolynomial.help \
  ${HELP}/UnivariatePolynomialCategory.help \
  ${HELP}/UnivariatePowerSeriesCategory.help \
+ ${HELP}/UnivariatePuiseuxSeries.help \
  ${HELP}/UnivariatePuiseuxSeriesCategory.help \
+ ${HELP}/UnivariatePuiseuxSeriesConstructor.help \
  ${HELP}/UnivariatePuiseuxSeriesConstructorCategory.help \
+ ${HELP}/UnivariatePuiseuxSeriesWithExponentialSingularity.help \
  ${HELP}/UnivariateSkewPolynomial.help \
  ${HELP}/UnivariateSkewPolynomialCategory.help \
- ${HELP}/UnivariatePolynomial.help \
+ ${HELP}/UnivariateTaylorSeries.help \
  ${HELP}/UnivariateTaylorSeriesCZero.help \
  ${HELP}/UnivariateTaylorSeriesCategory.help \
  ${HELP}/UniversalSegment.help \
+ ${HELP}/Variable.help \
  ${HELP}/Vector.help \
  ${HELP}/VectorCategory.help \
  ${HELP}/VectorSpace.help \
  ${HELP}/Void.help \
+ ${HELP}/WeightedPolynomials.help \
  ${HELP}/WuWenTsunTriangularSet.help \
  ${HELP}/XAlgebra.help \
+ ${HELP}/XDistributedPolynomial.help \
  ${HELP}/XFreeAlgebra.help \
  ${HELP}/XPBWPolynomial.help \
  ${HELP}/XPolynomial.help \
  ${HELP}/XPolynomialRing.help \
  ${HELP}/XPolynomialsCat.help \
+ ${HELP}/XRecursivePolynomial.help \
  ${HELP}/ZeroDimensionalSolvePackage.help \
  ${HELP}/dcabs1.help \
  ${HELP}/dasum.help \
@@ -18471,31 +18743,77 @@ REGRESS= \
  AffineSpaceCategory.regress \
  Aggregate.regress \
  Algebra.regress \
+ AlgebraGivenByStructuralConstants.regress \
  AlgebraicallyClosedField.regress \
  AlgebraicallyClosedFunctionSpace.regress \
+ AlgebraicFunctionField.regress \
+ AlgebraicNumber.regress \
+ AnonymousFunction.regress \
+ AntiSymm.regress \
  Any.regress \
  ApplicationProgramInterface.regress \
  ArcHyperbolicFunctionCategory.regress \
  ArcTrigonometricFunctionCategory.regress \
  ArrayStack.regress \
+ Asp1.regress \
+ Asp10.regress \
+ Asp12.regress \
+ Asp19.regress \
+ Asp20.regress \
+ Asp24.regress \
+ Asp27.regress \
+ Asp28.regress \
+ Asp29.regress \
+ Asp30.regress \
+ Asp31.regress \
+ Asp33.regress \
+ Asp34.regress \
+ Asp35.regress \
+ Asp4.regress \
+ Asp41.regress \
+ Asp42.regress \
+ Asp49.regress \
+ Asp50.regress \
+ Asp55.regress \
+ Asp6.regress \
+ Asp7.regress \
+ Asp73.regress \
+ Asp74.regress \
+ Asp77.regress \
+ Asp78.regress \
+ Asp8.regress \
+ Asp80.regress \
+ Asp9.regress \
+ AssociatedJordanAlgebra.regress \
+ AssociatedLieAlgebra.regress \
  AssociationList.regress \
  AssociationListAggregate.regress \
+ AttributeButtons.regress \
+ Automorphism.regress \
  BalancedBinaryTree.regress \
+ BalancedPAdicInteger.regress \
+ BalancedPAdicRational.regress \
  BagAggregate.regress \
+ BasicFunctions.regress \
  BasicOperator.regress \
  BasicType.regress \
  Bezier.regress \
  BiModule.regress \
  BinaryExpansion.regress \
+ BinaryFile.regress \
  BinaryRecursiveAggregate.regress \
  BinarySearchTree.regress \
+ BinaryTournament.regress \
+ BinaryTree.regress \
  BinaryTreeCategory.regress \
  BitAggregate.regress \
+ Bits.regress \
  BlasLevelOne.regress \
  BlowUpMethodCategory.regress \
  BlowUpPackage.regress \
  BlowUpWithHamburgerNoether.regress \
  BlowUpWithQuadTrans.regress \
+ Boolean.regress \
  CachableSet.regress \
  CancellationAbelianMonoid.regress \
  CardinalNumber.regress \
@@ -18507,10 +18825,12 @@ REGRESS= \
  CliffordAlgebra.regress \
  CoercibleTo.regress \
  Collection.regress \
+ Color.regress \
  CombinatorialFunction.regress \
  CombinatorialFunctionCategory.regress \
  CombinatorialOpsCategory.regress \
  CommutativeRing.regress \
+ Commutator.regress \
  Complex.regress \
  ComplexCategory.regress \
  ContinuedFraction.regress \
@@ -18519,6 +18839,8 @@ REGRESS= \
  Dequeue.regress \
  DequeueAggregate.regress \
  DeRhamComplex.regress \
+ Database.regress \
+ DataList.regress \
  DecimalExpansion.regress \
  DesingTree.regress \
  DesingTreeCategory.regress \
@@ -18528,14 +18850,36 @@ REGRESS= \
  DifferentialExtension.regress \
  DifferentialPolynomialCategory.regress \
  DifferentialRing.regress \
+ DifferentialSparseMultivariatePolynomial.regress \
  DifferentialVariableCategory.regress \
+ DirectProduct.regress \
  DirectProductCategory.regress \
+ DirectProductMatrixModule.regress \
+ DirectProductModule.regress \
  DistributedMultivariatePolynomial.regress \
  DivisionRing.regress \
  Divisor.regress \
  DivisorCategory.regress \
  DoubleFloat.regress \
  DoublyLinkedAggregate.regress \
+ DrawOption.regress \
+ d01ajfAnnaType.regress \
+ d01akfAnnaType.regress \
+ d01alfAnnaType.regress \
+ d01amfAnnaType.regress \
+ d01anfAnnaType.regress \
+ d01apfAnnaType.regress \
+ d01aqfAnnaType.regress \
+ d01asfAnnaType.regress \
+ d01fcfAnnaType.regress \
+ d01gbfAnnaType.regress \
+ d01TransformFunctionType.regress \
+ d02bbfAnnaType.regress \
+ d02bhfAnnaType.regress \
+ d02cjfAnnaType.regress \
+ d02ejfAnnaType.regress \
+ d03eefAnnaType.regress \
+ d03fafAnnaType.regress \
  ElementaryFunction.regress \
  ElementaryFunctionCategory.regress \
  Eltable.regress \
@@ -18545,11 +18889,22 @@ REGRESS= \
  Equation.regress \
  EuclideanDomain.regress \
  EuclideanGroebnerBasisPackage.regress \
+ EuclideanModularRing.regress \
  Evalable.regress \
  Expression.regress \
  ExpressionSpace.regress \
+ ExponentialExpansion.regress \
+ ExponentialOfUnivariatePuiseuxSeries.regress \
+ ExtAlgBasis.regress \
  ExtensibleLinearAggregate.regress \
  ExtensionField.regress \
+ e04dgfAnnaType.regress \
+ e04fdfAnnaType.regress \
+ e04gcfAnnaType.regress \
+ e04jafAnnaType.regress \
+ e04mbfAnnaType.regress \
+ e04nafAnnaType.regress \
+ e04ucfAnnaType.regress \
  Factored.regress \
  FactoredFunctions2.regress \
  FactorisationOverPseudoAlgebraicClosureOfAlgExtOfRationalNumber.regress \
@@ -18563,9 +18918,19 @@ REGRESS= \
  Finite.regress \
  FiniteAbelianMonoidRing.regress \
  FiniteAlgebraicExtensionField.regress \
+ FiniteDivisor.regress \
  FiniteDivisorCategory.regress \
+ FiniteField.regress \
  FiniteFieldCategory.regress \
+ FiniteFieldCyclicGroup.regress \
+ FiniteFieldCyclicGroupExtension.regress \
+ FiniteFieldCyclicGroupExtensionByPolynomial.regress \
+ FiniteFieldExtension.regress \
+ FiniteFieldExtensionByPolynomial.regress \
  FiniteFieldFactorizationWithSizeParseBySideEffect.regress \
+ FiniteFieldNormalBasis.regress \
+ FiniteFieldNormalBasisExtension.regress \
+ FiniteFieldNormalBasisExtensionByPolynomial.regress \
  FiniteFieldSquareFreeDecomposition.regress \
  FiniteLinearAggregate.regress \
  FiniteRankAlgebra.regress \
@@ -18574,54 +18939,110 @@ REGRESS= \
  FlexibleArray.regress \
  Float.regress \
  FloatingPointSystem.regress \
+ FortranCode.regress \
+ FortranExpression.regress \
  FortranFunctionCategory.regress \
  FortranMachineTypeCategory.regress \
  FortranMatrixCategory.regress \
  FortranMatrixFunctionCategory.regress \
+ FortranProgram.regress \
  FortranProgramCategory.regress \
+ FortranScalarType.regress \
+ FortranTemplate.regress \
+ FortranType.regress \
  FortranVectorCategory.regress \
  FortranVectorFunctionCategory.regress \
+ FourierComponent.regress \
+ FourierSeries.regress \
  Fraction.regress \
+ FractionalIdeal.regress \
  FramedAlgebra.regress \
+ FramedModule.regress \
  FramedNonAssociativeAlgebra.regress \
+ FreeAbelianGroup.regress \
+ FreeAbelianMonoid.regress \
  FreeAbelianMonoidCategory.regress \
+ FreeGroup.regress \
  FreeLieAlgebra.regress \
  FreeModuleCat.regress \
+ FreeModule.regress \
+ FreeModule1.regress \
+ FreeMonoid.regress \
+ FreeNilpotentLie.regress \
  FullPartialFractionExpansion.regress \
  FullyEvalableOver.regress \
  FullyLinearlyExplicitRingOver.regress \
  FullyPatternMatchable.regress \
  FullyRetractableTo.regress \
+ FunctionCalled.regress \
  FunctionFieldCategory.regress \
  FunctionSpace.regress \
  GcdDomain.regress \
  GeneralDistributedMultivariatePolynomial.regress \
+ GeneralModulePolynomial.regress \
  GeneralPackageForAlgebraicFunctionField.regress \
  GeneralSparseTable.regress \
+ GenericNonAssociativeAlgebra.regress \
+ GeneralPolynomialSet.regress \
+ GeneralTriangularSet.regress \
+ GeneralUnivariatePowerSeries.regress \
  GradedAlgebra.regress \
  GradedModule.regress \
+ GraphImage.regress \
  GroebnerFactorizationPackage.regress \
  GroebnerPackage.regress \
  Group.regress \
+ GuessOption.regress \
+ HashTable.regress \
  Heap.regress \
  HexadecimalExpansion.regress \
  HomogeneousAggregate.regress \
+ HomogeneousDirectProduct.regress \
  HomogeneousDistributedMultivariatePolynomial.regress \
  HyperbolicFunctionCategory.regress \
+ HyperellipticFiniteDivisor.regress \
+ IndexCard.regress \
  IndexedAggregate.regress \
  IndexedBits.regress \
+ IndexedDirectProductAbelianGroup.regress \
+ IndexedDirectProductAbelianMonoid.regress \
  IndexedDirectProductCategory.regress \
+ IndexedDirectProductObject.regress \
+ IndexedDirectProductOrderedAbelianMonoid.regress \
+ IndexedDirectProductOrderedAbelianMonoidSup.regress \
+ IndexedExponents.regress \
+ IndexedFlexibleArray.regress \
+ IndexedList.regress \
+ IndexedMatrix.regress \
+ IndexedOneDimensionalArray.regress \
+ IndexedString.regress \
+ IndexedTwoDimensionalArray.regress \
+ IndexedVector.regress \
  InfClsPt.regress \
+ InfiniteTuple.regress \
  InfinitlyClosePoint.regress \
  InfinitlyClosePointCategory.regress \
  InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField.regress \
+ InnerAlgebraicNumber.regress \
  InnerEvalable.regress \
+ InnerFiniteField.regress \
+ InnerFreeAbelianMonoid.regress \
+ InnerIndexedTwoDimensionalArray.regress \
+ InnerPAdicInteger.regress \
+ InnerPrimeField.regress \
+ InnerSparseUnivariatePowerSeries.regress \
+ InnerTable.regress \
+ InnerTaylorSeries.regress \
+ InputForm.regress \
  Integer.regress \
  IntegerCombinatoricFunctions.regress \
  IntegerLinearDependence.regress \
+ IntegerMod.regress \
  IntegerNumberSystem.regress \
  IntegerNumberTheoryFunctions.regress \
  IntegralDomain.regress \
+ IntegrationFunctionsTable.regress \
+ IntegrationResult.regress \
  InterfaceGroebnerPackage.regress \
  InterpolateFormsPackage.regress \
  IntersectionDivisorPackage.regress \
@@ -18630,6 +19051,7 @@ REGRESS= \
  Kernel.regress \
  KeyedAccessFile.regress \
  KeyedDictionary.regress \
+ LaurentPolynomial.regress \
  LazyStreamAggregate.regress \
  LazardSetSolvingPackage.regress \
  LeftAlgebra.regress \
@@ -18639,6 +19061,7 @@ REGRESS= \
  LieAlgebra.regress \
  LieExponentials.regress \
  LiePolynomial.regress \
+ LieSquareMatrix.regress \
  LinearlyExplicitRingOver.regress \
  LinearAggregate.regress \
  LinearOrdinaryDifferentialOperator.regress \
@@ -18647,53 +19070,88 @@ REGRESS= \
  LinearOrdinaryDifferentialOperatorCategory.regress \
  LinearSystemFromPowerSeriesPackage.regress \
  ListAggregate.regress \
+ ListMonoidOps.regress \
+ ListMultiDictionary.regress \
  LiouvillianFunctionCategory.regress \
  List.regress \
  LinesOpPack.regress \
+ LocalAlgebra.regress \
+ Localize.regress \
  LocalParametrizationOfSimplePointPackage.regress \
  LocalPowerSeriesCategory.regress \
  Logic.regress \
  LyndonWord.regress \
+ MachineComplex.regress \
+ MachineFloat.regress \
+ MachineInteger.regress \
  Magma.regress \
  MathMLFormat.regress \
+ MakeCachableSet.regress \
  MakeFunction.regress \
  MappingPackage1.regress \
  MappingPackage2.regress \
  MappingPackage3.regress \
+ MathMLFormat.regress \
  Matrix.regress \
  MatrixCategory.regress \
+ ModMonic.regress \
+ ModularField.regress \
+ ModularRing.regress \
  Module.regress \
+ ModuleMonomial.regress \
+ ModuleOperator.regress \
+ MoebiusTransform.regress \
  Monad.regress \
  MonadWithUnit.regress \
  MonogenicAlgebra.regress \
  MonogenicLinearOperator.regress \
  Monoid.regress \
+ MonoidRing.regress \
  MultiDictionary.regress \
  Multiset.regress \
  MultisetAggregate.regress \
  MultivariatePolynomial.regress \
  MultivariateTaylorSeriesCategory.regress \
+ MyExpression.regress \
+ MyUnivariatePolynomial.regress \
  NeitherSparseOrDensePowerSeries.regress \
+ NewSparseMultivariatePolynomial.regress \
+ NewSparseUnivariatePolynomial.regress \
  NewtonPolygon.regress \
  NonAssociativeAlgebra.regress \
  NonAssociativeRing.regress \
  NonAssociativeRng.regress \
  None.regress \
+ NonNegativeInteger.regress \
  NormalizedTriangularSetCategory.regress \
  NottinghamGroup.regress \
  NumericalIntegrationCategory.regress \
+ NumericalIntegrationProblem.regress \
+ NumericalODEProblem.regress \
  NumericalOptimizationCategory.regress \
+ NumericalOptimizationProblem.regress \
+ NumericalPDEProblem.regress \
  Octonion.regress \
  OctonionCategory.regress \
+ ODEIntensityFunctionsTable.regress \
  OneDimensionalArray.regress \
  OneDimensionalArrayAggregate.regress \
+ OnePointCompletion.regress \
  OpenMath.regress \
+ OpenMathConnection.regress \
+ OpenMathDevice.regress \
+ OpenMathEncoding.regress \
+ OpenMathError.regress \
+ OpenMathErrorKind.regress \
  Operator.regress \
+ OppositeMonogenicLinearOperator.regress \
  OrderedAbelianGroup.regress \
  OrderedAbelianMonoid.regress \
  OrderedAbelianMonoidSup.regress \
  OrderedAbelianSemiGroup.regress \
  OrderedCancellationAbelianMonoid.regress \
+ OrderedCompletion.regress \
+ OrderedDirectProduct.regress \
  OrderedFinite.regress \
  OrderedFreeMonoid.regress \
  OrderedIntegralDomain.regress \
@@ -18703,37 +19161,64 @@ REGRESS= \
  OrderedSet.regress \
  OrderedVariableList.regress \
  OrderlyDifferentialPolynomial.regress \
+ OrderlyDifferentialVariable.regress \
  OrdinaryDifferentialEquationsSolverCategory.regress \
+ OrdinaryDifferentialRing.regress \
+ OrdinaryWeightedPolynomials.regress \
+ OrdSetInts.regress \
+ OutputForm.regress \
  PackageForAlgebraicFunctionField.regress \
  PackageForAlgebraicFunctionFieldOverFiniteField.regress \
  PackageForPoly.regress \
+ PAdicInteger.regress \
  PAdicIntegerCategory.regress \
+ PAdicRational.regress \
+ PAdicRationalConstructor.regress \
+ Palette.regress \
+ ParametricPlaneCurve.regress \
+ ParametricSpaceCurve.regress \
+ ParametricSurface.regress \
  ParametrizationPackage.regress \
  PartialDifferentialEquationsSolverCategory.regress \
  PartialDifferentialRing.regress \
  PartialFraction.regress \
  PartialFractionPackage.regress \
  PartialTranscendentalFunctions.regress \
+ Partition.regress \
+ Pattern.regress \
  Patternable.regress \
  PatternMatchable.regress \
+ PatternMatchListResult.regress \
+ PatternMatchResult.regress \
+ PendantTree.regress \
  Permanent.regress \
  Permutation.regress \
  PermutationCategory.regress \
+ PermutationGroup.regress \
+ Pi.regress \
  Places.regress \
  PlacesCategory.regress \
  PlacesOverPseudoAlgebraicClosureOfFiniteField.regress \
  PlaneAlgebraicCurvePlot.regress \
  Plcs.regress \
  Plot.regress \
+ Plot3D.regress \
  PlottablePlaneCurveCategory.regress \
  PlottableSpaceCurveCategory.regress \
+ PoincareBirkhoffWittLyndonBasis.regress \
+ Point.regress \
  PointCategory.regress \
  Polynomial.regress \
  PolynomialCategory.regress \
  PolynomialFactorizationExplicit.regress \
+ PolynomialIdeals.regress \
  PolynomialPackageForCurve.regress \
+ PolynomialRing.regress \
  PolynomialSetCategory.regress \
+ PositiveInteger.regress \
  PowerSeriesCategory.regress \
+ PrimeField.regress \
+ PrimitiveArray.regress \
  PrimitiveFunctionCategory.regress \
  PrincipalIdealDomain.regress \
  PriorityQueueAggregate.regress \
@@ -18750,13 +19235,17 @@ REGRESS= \
  PseudoAlgebraicClosureOfPerfectFieldCategory.regress \
  PseudoAlgebraicClosureOfRationalNumber.regress \
  PseudoAlgebraicClosureOfRationalNumberCategory.regress \
+ QuadraticForm.regress \
+ QuasiAlgebraicSet.regress \
  Quaternion.regress \
  QuaternionCategory.regress \
  QuaternionCategoryFunctions2.regress \
+ QueryEquation.regress \
  Queue.regress \
  QueueAggregate.regress \
  QuotientFieldCategory.regress \
  RadicalCategory.regress \
+ RadicalFunctionField.regress \
  RadicalSolvePackage.regress \
  RadixExpansion.regress \
  RationalFunctionSum.regress \
@@ -18766,17 +19255,28 @@ REGRESS= \
  RealNumberSystem.regress \
  RealRootCharacterizationCategory.regress \
  RealSolvePackage.regress \
+ RectangularMatrix.regress \
  RectangularMatrixCategory.regress \
  RecursiveAggregate.regress \
  RecursivePolynomialCategory.regress \
+ Reference.regress \
+ RegularChain.regress \
  RegularTriangularSet.regress \
  RegularTriangularSetCategory.regress \
+ ResidueRing.regress \
+ Result.regress \
  RetractableTo.regress \
+ RewriteRule.regress \
  RightModule.regress \
+ RightOpenIntervalRootCharacterization.regress \
  Ring.regress \
  Rng.regress \
  RomanNumeral.regress \
  RootsFindingPackage.regress \
+ RoutinesTable.regress \
+ RuleCalled.regress \
+ Ruleset.regress \
+ ScriptFormulaFormat.regress \
  Segment.regress \
  SegmentCategory.regress \
  SegmentExpansionCategory.regress \
@@ -18785,11 +19285,29 @@ REGRESS= \
  SetAggregate.regress \
  SetCategory.regress \
  SetCategoryWithDegree.regress \
+ SetOfMIntegersInOneToN.regress \
+ SequentialDifferentialPolynomial.regress \
+ SequentialDifferentialVariable.regress \
+ SExpression.regress \
  SExpressionCategory.regress \
+ SExpressionOf.regress \
+ SimpleAlgebraicExtension.regress \
+ SimpleFortranProgram.regress \
  SingleInteger.regress \
+ SingletonAsOrderedSet.regress \
  SparseTable.regress \
+ SparseMultivariatePolynomial.regress \
  SparseMultivariateTaylorSeries.regress \
+ SparseUnivariateLaurentSeries.regress \
+ SparseUnivariatePolynomial.regress \
+ SparseUnivariatePolynomialExpressions.regress \
+ SparseUnivariatePuiseuxSeries.regress \
+ SparseUnivariateSkewPolynomial.regress \
+ SparseUnivariateTaylorSeries.regress \
  SpecialFunctionCategory.regress \
+ SplitHomogeneousDirectProduct.regress \
+ SplittingNode.regress \
+ SplittingTree.regress \
  SquareMatrix.regress \
  SquareFreeNormalizedTriangularSetCategory.regress \
  SquareFreeRegularTriangularSet.regress \
@@ -18804,43 +19322,69 @@ REGRESS= \
  StringAggregate.regress \
  StringCategory.regress \
  StringTable.regress \
+ SubSpace.regress \
+ SubSpaceComponentProperty.regress \
+ SuchThat.regress \
+ Switch.regress \
  Symbol.regress \
+ SymbolTable.regress \
+ SymmetricPolynomial.regress \
  Table.regress \
  TableAggregate.regress \
+ Tableau.regress \
+ TaylorSeries.regress \
  TexFormat.regress \
  TextFile.regress \
+ TheSymbolTable.regress \
+ ThreeDimensionalMatrix.regress \
+ ThreeDimensionalViewport.regress \
+ ThreeSpace.regress \
  ThreeSpaceCategory.regress \
  TranscendentalFunctionCategory.regress \
  TransSolvePackage.regress \
+ Tree.regress \
  TriangularSetCategory.regress \
  TrigonometricFunctionCategory.regress \
+ TubePlot.regress \
+ Tuple.regress \
  TwoDimensionalArray.regress \
  TwoDimensionalArrayCategory.regress \
  UnaryRecursiveAggregate.regress \
  UniqueFactorizationDomain.regress \
+ UnivariateFormalPowerSeries.regress \
+ UnivariateLaurentSeries.regress \
  UnivariateLaurentSeriesCategory.regress \
+ UnivariateLaurentSeriesConstructor.regress \
  UnivariateLaurentSeriesConstructorCategory.regress \
+ UnivariatePolynomial.regress \
  UnivariatePolynomialCategory.regress \
  UnivariatePowerSeriesCategory.regress \
+ UnivariatePuiseuxSeries.regress \
  UnivariatePuiseuxSeriesCategory.regress \
+ UnivariatePuiseuxSeriesConstructor.regress \
  UnivariatePuiseuxSeriesConstructorCategory.regress \
+ UnivariatePuiseuxSeriesWithExponentialSingularity.regress \
  UnivariateSkewPolynomial.regress \
  UnivariateSkewPolynomialCategory.regress \
- UnivariatePolynomial.regress \
+ UnivariateTaylorSeries.regress \
  UnivariateTaylorSeriesCZero.regress \
  UnivariateTaylorSeriesCategory.regress \
  UniversalSegment.regress \
+ Variable.regress \
  Vector.regress \
  VectorCategory.regress \
  VectorSpace.regress \
  Void.regress \
+ WeightedPolynomials.regress \
  WuWenTsunTriangularSet.regress \
  XAlgebra.regress \
+ XDistributedPolynomial.regress \
  XFreeAlgebra.regress \
  XPBWPolynomial.regress \
  XPolynomial.regress \
  XPolynomialRing.regress \
  XPolynomialsCat.regress \
+ XRecursivePolynomial.regress \
  ZeroDimensionalSolvePackage.regress \
  dcabs1.regress \
  dasum.regress \
@@ -19033,6 +19577,18 @@ ${HELP}/Algebra.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/Algebra.input
 	@echo "Algebra (ALGEBRA)" >>${HELPFILE}
 
+${HELP}/AlgebraGivenByStructuralConstants.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create AlgebraGivenByStructuralConstants.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"AlgebraGivenByStructuralConstants.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/AlgebraGivenByStructuralConstants.help
+	@cp ${HELP}/AlgebraGivenByStructuralConstants.help ${HELP}/ALGSC.help
+	@${TANGLE} -R"AlgebraGivenByStructuralConstants.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/AlgebraGivenByStructuralConstants.input
+	@echo "AlgebraGivenByStructuralConstants (ALGSC)" >>${HELPFILE}
+
 ${HELP}/AlgebraicallyClosedField.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 7006 create AlgebraicallyClosedField.help from \
             ${BOOKS}/bookvol10.2.pamphlet
@@ -19057,6 +19613,54 @@ ${HELP}/AlgebraicallyClosedFunctionSpace.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/AlgebraicallyClosedFunctionSpace.input
 	@echo "AlgebraicallyClosedFunctionSpace (ACFS)" >>${HELPFILE}
 
+${HELP}/AlgebraicFunctionField.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create AlgebraicFunctionField.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"AlgebraicFunctionField.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/AlgebraicFunctionField.help
+	@cp ${HELP}/AlgebraicFunctionField.help ${HELP}/ALGFF.help
+	@${TANGLE} -R"AlgebraicFunctionField.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/AlgebraicFunctionField.input
+	@echo "AlgebraicFunctionField (ALGFF)" >>${HELPFILE}
+
+${HELP}/AlgebraicNumber.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create AlgebraicNumber.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"AlgebraicNumber.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/AlgebraicNumber.help
+	@cp ${HELP}/AlgebraicNumber.help ${HELP}/AN.help
+	@${TANGLE} -R"AlgebraicNumber.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/AlgebraicNumber.input
+	@echo "AlgebraicNumber (AN)" >>${HELPFILE}
+
+${HELP}/AnonymousFunction.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create AnonymousFunction.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"AnonymousFunction.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/AnonymousFunction.help
+	@cp ${HELP}/AnonymousFunction.help ${HELP}/ANON.help
+	@${TANGLE} -R"AnonymousFunction.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/AnonymousFunction.input
+	@echo "AnonymousFunction (ANON)" >>${HELPFILE}
+
+${HELP}/AntiSymm.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create AntiSymm.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"AntiSymm.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/AntiSymm.help
+	@cp ${HELP}/AntiSymm.help ${HELP}/ANTISYM.help
+	@${TANGLE} -R"AntiSymm.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/AntiSymm.input
+	@echo "AntiSymm (ANTISYM)" >>${HELPFILE}
+
 ${HELP}/Any.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7007 create Any.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Any.help" ${BOOKS}/bookvol10.3.pamphlet >${HELP}/Any.help
@@ -19110,6 +19714,378 @@ ${HELP}/ArrayStack.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/ArrayStack.input
 	@echo "ArrayStack (ASTACK)" >>${HELPFILE}
 
+${HELP}/Asp1.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Asp1.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Asp1.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Asp1.help
+	@cp ${HELP}/Asp1.help ${HELP}/ASP1.help
+	@${TANGLE} -R"Asp1.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Asp1.input
+	@echo "Asp1 (ASP1)" >>${HELPFILE}
+
+${HELP}/Asp10.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Asp10.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Asp10.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Asp10.help
+	@cp ${HELP}/Asp10.help ${HELP}/ASP10.help
+	@${TANGLE} -R"Asp10.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Asp10.input
+	@echo "Asp10 (ASP10)" >>${HELPFILE}
+
+${HELP}/Asp12.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Asp12.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Asp12.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Asp12.help
+	@cp ${HELP}/Asp12.help ${HELP}/ASP12.help
+	@${TANGLE} -R"Asp12.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Asp12.input
+	@echo "Asp12 (ASP12)" >>${HELPFILE}
+
+${HELP}/Asp19.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Asp19.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Asp19.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Asp19.help
+	@cp ${HELP}/Asp19.help ${HELP}/ASP19.help
+	@${TANGLE} -R"Asp19.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Asp19.input
+	@echo "Asp19 (ASP19)" >>${HELPFILE}
+
+${HELP}/Asp20.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Asp20.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Asp20.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Asp20.help
+	@cp ${HELP}/Asp20.help ${HELP}/ASP20.help
+	@${TANGLE} -R"Asp20.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Asp20.input
+	@echo "Asp20 (ASP20)" >>${HELPFILE}
+
+${HELP}/Asp24.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Asp24.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Asp24.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Asp24.help
+	@cp ${HELP}/Asp24.help ${HELP}/ASP24.help
+	@${TANGLE} -R"Asp24.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Asp24.input
+	@echo "Asp24 (ASP24)" >>${HELPFILE}
+
+${HELP}/Asp27.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Asp27.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Asp27.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Asp27.help
+	@cp ${HELP}/Asp27.help ${HELP}/ASP27.help
+	@${TANGLE} -R"Asp27.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Asp27.input
+	@echo "Asp27 (ASP27)" >>${HELPFILE}
+
+${HELP}/Asp28.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Asp28.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Asp28.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Asp28.help
+	@cp ${HELP}/Asp28.help ${HELP}/ASP28.help
+	@${TANGLE} -R"Asp28.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Asp28.input
+	@echo "Asp28 (ASP28)" >>${HELPFILE}
+
+${HELP}/Asp29.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Asp29.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Asp29.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Asp29.help
+	@cp ${HELP}/Asp29.help ${HELP}/ASP29.help
+	@${TANGLE} -R"Asp29.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Asp29.input
+	@echo "Asp29 (ASP29)" >>${HELPFILE}
+
+${HELP}/Asp30.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Asp30.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Asp30.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Asp30.help
+	@cp ${HELP}/Asp30.help ${HELP}/ASP30.help
+	@${TANGLE} -R"Asp30.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Asp30.input
+	@echo "Asp30 (ASP30)" >>${HELPFILE}
+
+${HELP}/Asp31.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Asp31.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Asp31.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Asp31.help
+	@cp ${HELP}/Asp31.help ${HELP}/ASP31.help
+	@${TANGLE} -R"Asp31.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Asp31.input
+	@echo "Asp31 (ASP31)" >>${HELPFILE}
+
+${HELP}/Asp33.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Asp33.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Asp33.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Asp33.help
+	@cp ${HELP}/Asp33.help ${HELP}/ASP33.help
+	@${TANGLE} -R"Asp33.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Asp33.input
+	@echo "Asp33 (ASP33)" >>${HELPFILE}
+
+${HELP}/Asp34.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Asp34.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Asp34.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Asp34.help
+	@cp ${HELP}/Asp34.help ${HELP}/ASP34.help
+	@${TANGLE} -R"Asp34.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Asp34.input
+	@echo "Asp34 (ASP34)" >>${HELPFILE}
+
+${HELP}/Asp35.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Asp35.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Asp35.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Asp35.help
+	@cp ${HELP}/Asp35.help ${HELP}/ASP35.help
+	@${TANGLE} -R"Asp35.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Asp35.input
+	@echo "Asp35 (ASP35)" >>${HELPFILE}
+
+${HELP}/Asp4.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Asp4.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Asp4.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Asp4.help
+	@cp ${HELP}/Asp4.help ${HELP}/ASP4.help
+	@${TANGLE} -R"Asp4.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Asp4.input
+	@echo "Asp4 (ASP4)" >>${HELPFILE}
+
+${HELP}/Asp41.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Asp41.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Asp41.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Asp41.help
+	@cp ${HELP}/Asp41.help ${HELP}/ASP41.help
+	@${TANGLE} -R"Asp41.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Asp41.input
+	@echo "Asp41 (ASP41)" >>${HELPFILE}
+
+${HELP}/Asp42.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Asp42.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Asp42.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Asp42.help
+	@cp ${HELP}/Asp42.help ${HELP}/ASP42.help
+	@${TANGLE} -R"Asp42.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Asp42.input
+	@echo "Asp42 (ASP42)" >>${HELPFILE}
+
+${HELP}/Asp49.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Asp49.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Asp49.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Asp49.help
+	@cp ${HELP}/Asp49.help ${HELP}/ASP49.help
+	@${TANGLE} -R"Asp49.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Asp49.input
+	@echo "Asp49 (ASP49)" >>${HELPFILE}
+
+${HELP}/Asp50.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Asp50.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Asp50.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Asp50.help
+	@cp ${HELP}/Asp50.help ${HELP}/ASP50.help
+	@${TANGLE} -R"Asp50.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Asp50.input
+	@echo "Asp50 (ASP50)" >>${HELPFILE}
+
+${HELP}/Asp55.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Asp55.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Asp55.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Asp55.help
+	@cp ${HELP}/Asp55.help ${HELP}/ASP55.help
+	@${TANGLE} -R"Asp55.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Asp55.input
+	@echo "Asp55 (ASP55)" >>${HELPFILE}
+
+${HELP}/Asp6.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Asp6.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Asp6.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Asp6.help
+	@cp ${HELP}/Asp6.help ${HELP}/ASP6.help
+	@${TANGLE} -R"Asp6.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Asp6.input
+	@echo "Asp6 (ASP6)" >>${HELPFILE}
+
+${HELP}/Asp7.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Asp7.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Asp7.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Asp7.help
+	@cp ${HELP}/Asp7.help ${HELP}/ASP7.help
+	@${TANGLE} -R"Asp7.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Asp7.input
+	@echo "Asp7 (ASP7)" >>${HELPFILE}
+
+${HELP}/Asp73.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Asp73.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Asp73.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Asp73.help
+	@cp ${HELP}/Asp73.help ${HELP}/ASP73.help
+	@${TANGLE} -R"Asp73.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Asp73.input
+	@echo "Asp73 (ASP73)" >>${HELPFILE}
+
+${HELP}/Asp74.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Asp74.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Asp74.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Asp74.help
+	@cp ${HELP}/Asp74.help ${HELP}/ASP74.help
+	@${TANGLE} -R"Asp74.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Asp74.input
+	@echo "Asp74 (ASP74)" >>${HELPFILE}
+
+${HELP}/Asp77.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Asp77.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Asp77.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Asp77.help
+	@cp ${HELP}/Asp77.help ${HELP}/ASP77.help
+	@${TANGLE} -R"Asp77.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Asp77.input
+	@echo "Asp77 (ASP77)" >>${HELPFILE}
+
+${HELP}/Asp78.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Asp78.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Asp78.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Asp78.help
+	@cp ${HELP}/Asp78.help ${HELP}/ASP78.help
+	@${TANGLE} -R"Asp78.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Asp78.input
+	@echo "Asp78 (ASP78)" >>${HELPFILE}
+
+${HELP}/Asp8.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Asp8.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Asp8.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Asp8.help
+	@cp ${HELP}/Asp8.help ${HELP}/ASP8.help
+	@${TANGLE} -R"Asp8.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Asp8.input
+	@echo "Asp8 (ASP8)" >>${HELPFILE}
+
+${HELP}/Asp80.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Asp80.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Asp80.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Asp80.help
+	@cp ${HELP}/Asp80.help ${HELP}/ASP80.help
+	@${TANGLE} -R"Asp80.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Asp80.input
+	@echo "Asp80 (ASP80)" >>${HELPFILE}
+
+${HELP}/Asp9.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Asp9.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Asp9.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Asp9.help
+	@cp ${HELP}/Asp9.help ${HELP}/ASP9.help
+	@${TANGLE} -R"Asp9.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Asp9.input
+	@echo "Asp9 (ASP9)" >>${HELPFILE}
+
+${HELP}/AssociatedJordanAlgebra.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create AssociatedJordanAlgebra.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"AssociatedJordanAlgebra.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/AssociatedJordanAlgebra.help
+	@cp ${HELP}/AssociatedJordanAlgebra.help ${HELP}/JORDAN.help
+	@${TANGLE} -R"AssociatedJordanAlgebra.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/AssociatedJordanAlgebra.input
+	@echo "AssociatedJordanAlgebra (JORDAN)" >>${HELPFILE}
+
+${HELP}/AssociatedLieAlgebra.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create AssociatedLieAlgebra.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"AssociatedLieAlgebra.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/AssociatedLieAlgebra.help
+	@cp ${HELP}/AssociatedLieAlgebra.help ${HELP}/LIE.help
+	@${TANGLE} -R"AssociatedLieAlgebra.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/AssociatedLieAlgebra.input
+	@echo "AssociatedLieAlgebra (LIE)" >>${HELPFILE}
+
 ${HELP}/AssociationList.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7020 create AssociationList.help from \
            ${BOOKS}/bookvol10.3.pamphlet
@@ -19132,6 +20108,30 @@ ${HELP}/AssociationListAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/AssociationListAggregate.input
 	@echo "AssociationListAggregate (ALAGG)" >>${HELPFILE}
 
+${HELP}/AttributeButtons.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create AttributeButtons.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"AttributeButtons.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/AttributeButtons.help
+	@cp ${HELP}/AttributeButtons.help ${HELP}/ATTRBUT.help
+	@${TANGLE} -R"AttributeButtons.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/AttributeButtons.input
+	@echo "AttributeButtons (ATTRBUT)" >>${HELPFILE}
+
+${HELP}/Automorphism.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Automorphism.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Automorphism.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Automorphism.help
+	@cp ${HELP}/Automorphism.help ${HELP}/AUTOMOR.help
+	@${TANGLE} -R"Automorphism.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Automorphism.input
+	@echo "Automorphism (AUTOMOR)" >>${HELPFILE}
+
 ${HELP}/BalancedBinaryTree.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7030 create BalancedBinaryTree.help from \
             ${BOOKS}/bookvol10.3.pamphlet
@@ -19142,6 +20142,30 @@ ${HELP}/BalancedBinaryTree.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/BalancedBinaryTree.input
 	@echo "BalancedBinaryTree (BBTREE)" >>${HELPFILE}
 
+${HELP}/BalancedPAdicInteger.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create BalancedPAdicInteger.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"BalancedPAdicInteger.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/BalancedPAdicInteger.help
+	@cp ${HELP}/BalancedPAdicInteger.help ${HELP}/BPADIC.help
+	@${TANGLE} -R"BalancedPAdicInteger.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/BalancedPAdicInteger.input
+	@echo "BalancedPAdicInteger (BPADIC)" >>${HELPFILE}
+
+${HELP}/BalancedPAdicRational.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create BalancedPAdicRational.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"BalancedPAdicRational.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/BalancedPAdicRational.help
+	@cp ${HELP}/BalancedPAdicRational.help ${HELP}/BPADICRT.help
+	@${TANGLE} -R"BalancedPAdicRational.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/BalancedPAdicRational.input
+	@echo "BalancedPAdicRational (BPADICRT)" >>${HELPFILE}
+
 ${HELP}/BagAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create BagAggregate.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -19154,6 +20178,18 @@ ${HELP}/BagAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/BagAggregate.input
 	@echo "BagAggregate (BGAGG)" >>${HELPFILE}
 
+${HELP}/BasicFunctions.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create BasicFunctions.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"BasicFunctions.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/BasicFunctions.help
+	@cp ${HELP}/BasicFunctions.help ${HELP}/BFUNCT.help
+	@${TANGLE} -R"BasicFunctions.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/BasicFunctions.input
+	@echo "BasicFunctions (BFUNCT)" >>${HELPFILE}
+
 ${HELP}/BasicOperator.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7040 create BasicOperator.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"BasicOperator.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -19206,6 +20242,18 @@ ${HELP}/BinaryExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/BinaryExpansion.input
 	@echo "BinaryExpansion (BINARY)" >>${HELPFILE}
 
+${HELP}/BinaryFile.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create BinaryFile.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"BinaryFile.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/BinaryFile.help
+	@cp ${HELP}/BinaryFile.help ${HELP}/BINFILE.help
+	@${TANGLE} -R"BinaryFile.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/BinaryFile.input
+	@echo "BinaryFile (BINFILE)" >>${HELPFILE}
+
 ${HELP}/BinaryRecursiveAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create BinaryRecursiveAggregate.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -19228,6 +20276,30 @@ ${HELP}/BinarySearchTree.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/BinarySearchTree.input
 	@echo "BinarySearchTree (BSTREE)" >>${HELPFILE}
 
+${HELP}/BinaryTournament.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create BinaryTournament.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"BinaryTournament.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/BinaryTournament.help
+	@cp ${HELP}/BinaryTournament.help ${HELP}/BTOURN.help
+	@${TANGLE} -R"BinaryTournament.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/BinaryTournament.input
+	@echo "BinaryTournament (BTOURN)" >>${HELPFILE}
+
+${HELP}/BinaryTree.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create BinaryTree.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"BinaryTree.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/BinaryTree.help
+	@cp ${HELP}/BinaryTree.help ${HELP}/BTREE.help
+	@${TANGLE} -R"BinaryTree.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/BinaryTree.input
+	@echo "BinaryTree (BTREE)" >>${HELPFILE}
+
 ${HELP}/BinaryTreeCategory.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create BinaryTreeCategory.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -19252,6 +20324,18 @@ ${HELP}/BitAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/BitAggregate.input
 	@echo "BitAggregate (BTAGG)" >>${HELPFILE}
 
+${HELP}/Bits.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Bits.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Bits.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Bits.help
+	@cp ${HELP}/Bits.help ${HELP}/BITS.help
+	@${TANGLE} -R"Bits.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Bits.input
+	@echo "Bits (BITS)" >>${HELPFILE}
+
 ${HELP}/BlasLevelOne.help: ${BOOKS}/bookvol10.5.pamphlet
 	@echo 7080 create BlasLevelOne.help from \
                 ${BOOKS}/bookvol10.5.pamphlet
@@ -19310,6 +20394,18 @@ ${HELP}/BlowUpWithQuadTrans.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/BlowUpWithQuadTrans.input
 	@echo "BlowUpWithQuadTrans (BLQT)" >>${HELPFILE}
 
+${HELP}/Boolean.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Boolean.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Boolean.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Boolean.help
+	@cp ${HELP}/Boolean.help ${HELP}/BOOLEAN.help
+	@${TANGLE} -R"Boolean.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Boolean.input
+	@echo "Boolean (BOOLEAN)" >>${HELPFILE}
+
 ${HELP}/CachableSet.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create CachableSet.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -19431,6 +20527,18 @@ ${HELP}/Collection.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/Collection.input
 	@echo "Collection (CLAGG)" >>${HELPFILE}
 
+${HELP}/Color.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Color.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Color.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Color.help
+	@cp ${HELP}/Color.help ${HELP}/COLOR.help
+	@${TANGLE} -R"Color.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Color.input
+	@echo "Color (COLOR)" >>${HELPFILE}
+
 ${HELP}/CombinatorialFunction.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7130 create CombinatorialFunction.help from \
           ${BOOKS}/bookvol10.4.pamphlet
@@ -19479,6 +20587,18 @@ ${HELP}/CommutativeRing.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/CommutativeRing.input
 	@echo "CommutativeRing (COMRING)" >>${HELPFILE}
 
+${HELP}/Commutator.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Commutator.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Commutator.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Commutator.help
+	@cp ${HELP}/Commutator.help ${HELP}/COMM.help
+	@${TANGLE} -R"Commutator.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Commutator.input
+	@echo "Commutator (COMM)" >>${HELPFILE}
+
 ${HELP}/Complex.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7140 create Complex.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Complex.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -19562,6 +20682,30 @@ ${HELP}/DeRhamComplex.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/DeRhamComplex.input
 	@echo "DeRhamComplex (DERHAM)" >>${HELPFILE}
 
+${HELP}/Database.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Database.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Database.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Database.help
+	@cp ${HELP}/Database.help ${HELP}/DBASE.help
+	@${TANGLE} -R"Database.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Database.input
+	@echo "Database (DBASE)" >>${HELPFILE}
+
+${HELP}/DataList.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create DataList.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"DataList.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/DataList.help
+	@cp ${HELP}/DataList.help ${HELP}/DLIST.help
+	@${TANGLE} -R"DataList.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/DataList.input
+	@echo "DataList (DLIST)" >>${HELPFILE}
+
 ${HELP}/DecimalExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7180 create DecimalExpansion.help from \
             ${BOOKS}/bookvol10.3.pamphlet
@@ -19671,6 +20815,20 @@ ${HELP}/DifferentialRing.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/DifferentialRing.input
 	@echo "DifferentialRing (DIFRING)" >>${HELPFILE}
 
+${HELP}/DifferentialSparseMultivariatePolynomial.help: \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create DifferentialSparseMultivariatePolynomial.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"DifferentialSparseMultivariatePolynomial.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/DifferentialSparseMultivariatePolynomial.help
+	@cp ${HELP}/DifferentialSparseMultivariatePolynomial.help \
+            ${HELP}/DSMP.help
+	@${TANGLE} -R"DifferentialSparseMultivariatePolynomial.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/DifferentialSparseMultivariatePolynomial.input
+	@echo "DifferentialSparseMultivariatePolynomial (DSMP)" >>${HELPFILE}
+
 ${HELP}/DifferentialVariableCategory.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create DifferentialVariableCategory.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -19683,6 +20841,18 @@ ${HELP}/DifferentialVariableCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/DifferentialVariableCategory.input
 	@echo "DifferentialVariableCategory (DVARCAT)" >>${HELPFILE}
 
+${HELP}/DirectProduct.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create DirectProduct.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"DirectProduct.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/DirectProduct.help
+	@cp ${HELP}/DirectProduct.help ${HELP}/DIRPROD.help
+	@${TANGLE} -R"DirectProduct.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/DirectProduct.input
+	@echo "DirectProduct (DIRPROD)" >>${HELPFILE}
+
 ${HELP}/DirectProductCategory.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create DirectProductCategory.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -19695,6 +20865,30 @@ ${HELP}/DirectProductCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/DirectProductCategory.input
 	@echo "DirectProductCategory (DIRPCAT)" >>${HELPFILE}
 
+${HELP}/DirectProductMatrixModule.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create DirectProductMatrixModule.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"DirectProductMatrixModule.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/DirectProductMatrixModule.help
+	@cp ${HELP}/DirectProductMatrixModule.help ${HELP}/DPMM.help
+	@${TANGLE} -R"DirectProductMatrixModule.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/DirectProductMatrixModule.input
+	@echo "DirectProductMatrixModule (DPMM)" >>${HELPFILE}
+
+${HELP}/DirectProductModule.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create DirectProductModule.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"DirectProductModule.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/DirectProductModule.help
+	@cp ${HELP}/DirectProductModule.help ${HELP}/DPMO.help
+	@${TANGLE} -R"DirectProductModule.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/DirectProductModule.input
+	@echo "DirectProductModule (DPMO)" >>${HELPFILE}
+
 ${HELP}/DistributedMultivariatePolynomial.help: \
             ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7299 create DistributedMultivariatePolynomial.help \
@@ -19761,6 +20955,222 @@ ${HELP}/DoublyLinkedAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/DoublyLinkedAggregate.input
 	@echo "DoublyLinkedAggregate (DLAGG)" >>${HELPFILE}
 
+${HELP}/DrawOption.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create DrawOption.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"DrawOption.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/DrawOption.help
+	@cp ${HELP}/DrawOption.help ${HELP}/DROPT.help
+	@${TANGLE} -R"DrawOption.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/DrawOption.input
+	@echo "DrawOption (DROPT)" >>${HELPFILE}
+
+${HELP}/d01ajfAnnaType.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create d01ajfAnnaType.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"d01ajfAnnaType.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/d01ajfAnnaType.help
+	@cp ${HELP}/d01ajfAnnaType.help ${HELP}/D01AJFA.help
+	@${TANGLE} -R"d01ajfAnnaType.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/d01ajfAnnaType.input
+	@echo "d01ajfAnnaType (D01AJFA)" >>${HELPFILE}
+
+${HELP}/d01akfAnnaType.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create d01akfAnnaType.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"d01akfAnnaType.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/d01akfAnnaType.help
+	@cp ${HELP}/d01akfAnnaType.help ${HELP}/D01AKFA.help
+	@${TANGLE} -R"d01akfAnnaType.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/d01akfAnnaType.input
+	@echo "d01akfAnnaType (D01AKFA)" >>${HELPFILE}
+
+${HELP}/d01alfAnnaType.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create d01alfAnnaType.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"d01alfAnnaType.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/d01alfAnnaType.help
+	@cp ${HELP}/d01alfAnnaType.help ${HELP}/D01ALFA.help
+	@${TANGLE} -R"d01alfAnnaType.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/d01alfAnnaType.input
+	@echo "d01alfAnnaType (D01ALFA)" >>${HELPFILE}
+
+${HELP}/d01amfAnnaType.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create d01amfAnnaType.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"d01amfAnnaType.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/d01amfAnnaType.help
+	@cp ${HELP}/d01amfAnnaType.help ${HELP}/D01AMFA.help
+	@${TANGLE} -R"d01amfAnnaType.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/d01amfAnnaType.input
+	@echo "d01amfAnnaType (D01AMFA)" >>${HELPFILE}
+
+${HELP}/d01anfAnnaType.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create d01anfAnnaType.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"d01anfAnnaType.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/d01anfAnnaType.help
+	@cp ${HELP}/d01anfAnnaType.help ${HELP}/D01ANFA.help
+	@${TANGLE} -R"d01anfAnnaType.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/d01anfAnnaType.input
+	@echo "d01anfAnnaType (D01ANFA)" >>${HELPFILE}
+
+${HELP}/d01apfAnnaType.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create d01apfAnnaType.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"d01apfAnnaType.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/d01apfAnnaType.help
+	@cp ${HELP}/d01apfAnnaType.help ${HELP}/D01APFA.help
+	@${TANGLE} -R"d01apfAnnaType.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/d01apfAnnaType.input
+	@echo "d01apfAnnaType (D01APFA)" >>${HELPFILE}
+
+${HELP}/d01aqfAnnaType.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create d01aqfAnnaType.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"d01aqfAnnaType.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/d01aqfAnnaType.help
+	@cp ${HELP}/d01aqfAnnaType.help ${HELP}/D01AQFA.help
+	@${TANGLE} -R"d01aqfAnnaType.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/d01aqfAnnaType.input
+	@echo "d01aqfAnnaType (D01AQFA)" >>${HELPFILE}
+
+${HELP}/d01asfAnnaType.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create d01asfAnnaType.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"d01asfAnnaType.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/d01asfAnnaType.help
+	@cp ${HELP}/d01asfAnnaType.help ${HELP}/D01ASFA.help
+	@${TANGLE} -R"d01asfAnnaType.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/d01asfAnnaType.input
+	@echo "d01asfAnnaType (D01ASFA)" >>${HELPFILE}
+
+${HELP}/d01fcfAnnaType.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create d01fcfAnnaType.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"d01fcfAnnaType.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/d01fcfAnnaType.help
+	@cp ${HELP}/d01fcfAnnaType.help ${HELP}/D01FCFA.help
+	@${TANGLE} -R"d01fcfAnnaType.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/d01fcfAnnaType.input
+	@echo "d01fcfAnnaType (D01FCFA)" >>${HELPFILE}
+
+${HELP}/d01gbfAnnaType.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create d01gbfAnnaType.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"d01gbfAnnaType.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/d01gbfAnnaType.help
+	@cp ${HELP}/d01gbfAnnaType.help ${HELP}/D01GBFA.help
+	@${TANGLE} -R"d01gbfAnnaType.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/d01gbfAnnaType.input
+	@echo "d01gbfAnnaType (D01GBFA)" >>${HELPFILE}
+
+${HELP}/d01TransformFunctionType.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create d01TransformFunctionType.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"d01TransformFunctionType.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/d01TransformFunctionType.help
+	@cp ${HELP}/d01TransformFunctionType.help ${HELP}/D01TRNS.help
+	@${TANGLE} -R"d01TransformFunctionType.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/d01TransformFunctionType.input
+	@echo "d01TransformFunctionType (D01TRNS)" >>${HELPFILE}
+
+${HELP}/d02bbfAnnaType.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create d02bbfAnnaType.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"d02bbfAnnaType.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/d02bbfAnnaType.help
+	@cp ${HELP}/d02bbfAnnaType.help ${HELP}/D02BBFA.help
+	@${TANGLE} -R"d02bbfAnnaType.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/d02bbfAnnaType.input
+	@echo "d02bbfAnnaType (D02BBFA)" >>${HELPFILE}
+
+${HELP}/d02bhfAnnaType.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create d02bhfAnnaType.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"d02bhfAnnaType.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/d02bhfAnnaType.help
+	@cp ${HELP}/d02bhfAnnaType.help ${HELP}/D02BHFA.help
+	@${TANGLE} -R"d02bhfAnnaType.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/d02bhfAnnaType.input
+	@echo "d02bhfAnnaType (D02BHFA)" >>${HELPFILE}
+
+${HELP}/d02cjfAnnaType.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create d02cjfAnnaType.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"d02cjfAnnaType.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/d02cjfAnnaType.help
+	@cp ${HELP}/d02cjfAnnaType.help ${HELP}/D02CJFA.help
+	@${TANGLE} -R"d02cjfAnnaType.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/d02cjfAnnaType.input
+	@echo "d02cjfAnnaType (D02CJFA)" >>${HELPFILE}
+
+${HELP}/d02ejfAnnaType.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create d02ejfAnnaType.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"d02ejfAnnaType.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/d02ejfAnnaType.help
+	@cp ${HELP}/d02ejfAnnaType.help ${HELP}/D02EJFA.help
+	@${TANGLE} -R"d02ejfAnnaType.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/d02ejfAnnaType.input
+	@echo "d02ejfAnnaType (D02EJFA)" >>${HELPFILE}
+
+${HELP}/d03eefAnnaType.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create d03eefAnnaType.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"d03eefAnnaType.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/d03eefAnnaType.help
+	@cp ${HELP}/d03eefAnnaType.help ${HELP}/D03EEFA.help
+	@${TANGLE} -R"d03eefAnnaType.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/d03eefAnnaType.input
+	@echo "d03eefAnnaType (D03EEFA)" >>${HELPFILE}
+
+${HELP}/d03fafAnnaType.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create d03fafAnnaType.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"d03fafAnnaType.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/d03fafAnnaType.help
+	@cp ${HELP}/d03fafAnnaType.help ${HELP}/D03FAFA.help
+	@${TANGLE} -R"d03fafAnnaType.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/d03fafAnnaType.input
+	@echo "d03fafAnnaType (D03FAFA)" >>${HELPFILE}
+
 ${HELP}/ElementaryFunction.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7220 create ElementaryFunction.help from \
             ${BOOKS}/bookvol10.4.pamphlet
@@ -19885,6 +21295,18 @@ ${HELP}/EuclideanDomain.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/EuclideanDomain.input
 	@echo "EuclideanDomain (EUCDOM)" >>${HELPFILE}
 
+${HELP}/EuclideanModularRing.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create EuclideanModularRing.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"EuclideanModularRing.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/EuclideanModularRing.help
+	@cp ${HELP}/EuclideanModularRing.help ${HELP}/EMR.help
+	@${TANGLE} -R"EuclideanModularRing.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/EuclideanModularRing.input
+	@echo "EuclideanModularRing (EMR)" >>${HELPFILE}
+
 ${HELP}/Evalable.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create Evalable.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -19906,6 +21328,44 @@ ${HELP}/Expression.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/Expression.input
 	@echo "Expression (EXPR)" >>${HELPFILE}
 
+${HELP}/ExponentialExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create ExponentialExpansion.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"ExponentialExpansion.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/ExponentialExpansion.help
+	@cp ${HELP}/ExponentialExpansion.help ${HELP}/EXPEXPAN.help
+	@${TANGLE} -R"ExponentialExpansion.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/ExponentialExpansion.input
+	@echo "ExponentialExpansion (EXPEXPAN)" >>${HELPFILE}
+
+${HELP}/ExponentialOfUnivariatePuiseuxSeries.help: \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create ExponentialOfUnivariatePuiseuxSeries.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"ExponentialOfUnivariatePuiseuxSeries.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/ExponentialOfUnivariatePuiseuxSeries.help
+	@cp ${HELP}/ExponentialOfUnivariatePuiseuxSeries.help \
+           ${HELP}/EXPUPXS.help
+	@${TANGLE} -R"ExponentialOfUnivariatePuiseuxSeries.input" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${INPUT}/ExponentialOfUnivariatePuiseuxSeries.input
+	@echo "ExponentialOfUnivariatePuiseuxSeries (EXPUPXS)" >>${HELPFILE}
+
+${HELP}/ExtAlgBasis.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create ExtAlgBasis.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"ExtAlgBasis.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/ExtAlgBasis.help
+	@cp ${HELP}/ExtAlgBasis.help ${HELP}/EAB.help
+	@${TANGLE} -R"ExtAlgBasis.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/ExtAlgBasis.input
+	@echo "ExtAlgBasis (EAB)" >>${HELPFILE}
+
 ${HELP}/ExtensionField.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create ExtensionField.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -19918,6 +21378,90 @@ ${HELP}/ExtensionField.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/ExtensionField.input
 	@echo "ExtensionField (XF)" >>${HELPFILE}
 
+${HELP}/e04dgfAnnaType.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create e04dgfAnnaType.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"e04dgfAnnaType.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/e04dgfAnnaType.help
+	@cp ${HELP}/e04dgfAnnaType.help ${HELP}/E04DGFA.help
+	@${TANGLE} -R"e04dgfAnnaType.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/e04dgfAnnaType.input
+	@echo "e04dgfAnnaType (E04DGFA)" >>${HELPFILE}
+
+${HELP}/e04fdfAnnaType.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create e04fdfAnnaType.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"e04fdfAnnaType.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/e04fdfAnnaType.help
+	@cp ${HELP}/e04fdfAnnaType.help ${HELP}/E04FDFA.help
+	@${TANGLE} -R"e04fdfAnnaType.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/e04fdfAnnaType.input
+	@echo "e04fdfAnnaType (E04FDFA)" >>${HELPFILE}
+
+${HELP}/e04gcfAnnaType.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create e04gcfAnnaType.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"e04gcfAnnaType.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/e04gcfAnnaType.help
+	@cp ${HELP}/e04gcfAnnaType.help ${HELP}/E04GCFA.help
+	@${TANGLE} -R"e04gcfAnnaType.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/e04gcfAnnaType.input
+	@echo "e04gcfAnnaType (E04GCFA)" >>${HELPFILE}
+
+${HELP}/e04jafAnnaType.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create e04jafAnnaType.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"e04jafAnnaType.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/e04jafAnnaType.help
+	@cp ${HELP}/e04jafAnnaType.help ${HELP}/E04JAFA.help
+	@${TANGLE} -R"e04jafAnnaType.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/e04jafAnnaType.input
+	@echo "e04jafAnnaType (E04JAFA)" >>${HELPFILE}
+
+${HELP}/e04mbfAnnaType.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create e04mbfAnnaType.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"e04mbfAnnaType.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/e04mbfAnnaType.help
+	@cp ${HELP}/e04mbfAnnaType.help ${HELP}/E04MBFA.help
+	@${TANGLE} -R"e04mbfAnnaType.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/e04mbfAnnaType.input
+	@echo "e04mbfAnnaType (E04MBFA)" >>${HELPFILE}
+
+${HELP}/e04nafAnnaType.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create e04nafAnnaType.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"e04nafAnnaType.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/e04nafAnnaType.help
+	@cp ${HELP}/e04nafAnnaType.help ${HELP}/E04NAFA.help
+	@${TANGLE} -R"e04nafAnnaType.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/e04nafAnnaType.input
+	@echo "e04nafAnnaType (E04NAFA)" >>${HELPFILE}
+
+${HELP}/e04ucfAnnaType.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create e04ucfAnnaType.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"e04ucfAnnaType.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/e04ucfAnnaType.help
+	@cp ${HELP}/e04ucfAnnaType.help ${HELP}/E04UCFA.help
+	@${TANGLE} -R"e04ucfAnnaType.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/e04ucfAnnaType.input
+	@echo "e04ucfAnnaType (E04UCFA)" >>${HELPFILE}
+
 ${HELP}/Factored.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7270 create Factored.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Factored.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -20079,6 +21623,18 @@ ${HELP}/FiniteAlgebraicExtensionField.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/FiniteAlgebraicExtensionField.input
 	@echo "FiniteAlgebraicExtensionField (FAXF)" >>${HELPFILE}
 
+${HELP}/FiniteDivisor.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create FiniteDivisor.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"FiniteDivisor.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/FiniteDivisor.help
+	@cp ${HELP}/FiniteDivisor.help ${HELP}/FDIV.help
+	@${TANGLE} -R"FiniteDivisor.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/FiniteDivisor.input
+	@echo "FiniteDivisor (FDIV)" >>${HELPFILE}
+
 ${HELP}/FiniteDivisorCategory.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create FiniteDivisorCategory.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -20091,6 +21647,18 @@ ${HELP}/FiniteDivisorCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/FiniteDivisorCategory.input
 	@echo "FiniteDivisorCategory (FDIVCAT)" >>${HELPFILE}
 
+${HELP}/FiniteField.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create FiniteField.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"FiniteField.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/FiniteField.help
+	@cp ${HELP}/FiniteField.help ${HELP}/FF.help
+	@${TANGLE} -R"FiniteField.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/FiniteField.input
+	@echo "FiniteField (FF)" >>${HELPFILE}
+
 ${HELP}/FiniteFieldCategory.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create FiniteFieldCategory.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -20103,6 +21671,69 @@ ${HELP}/FiniteFieldCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/FiniteFieldCategory.input
 	@echo "FiniteFieldCategory (FFIELDC)" >>${HELPFILE}
 
+${HELP}/FiniteFieldCyclicGroup.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create FiniteFieldCyclicGroup.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"FiniteFieldCyclicGroup.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/FiniteFieldCyclicGroup.help
+	@cp ${HELP}/FiniteFieldCyclicGroup.help ${HELP}/FFCG.help
+	@${TANGLE} -R"FiniteFieldCyclicGroup.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/FiniteFieldCyclicGroup.input
+	@echo "FiniteFieldCyclicGroup (FFCG)" >>${HELPFILE}
+
+${HELP}/FiniteFieldCyclicGroupExtension.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create FiniteFieldCyclicGroupExtension.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"FiniteFieldCyclicGroupExtension.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/FiniteFieldCyclicGroupExtension.help
+	@cp ${HELP}/FiniteFieldCyclicGroupExtension.help ${HELP}/FFCGX.help
+	@${TANGLE} -R"FiniteFieldCyclicGroupExtension.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/FiniteFieldCyclicGroupExtension.input
+	@echo "FiniteFieldCyclicGroupExtension (FFCGX)" >>${HELPFILE}
+
+${HELP}/FiniteFieldCyclicGroupExtensionByPolynomial.help: \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create FiniteFieldCyclicGroupExtensionByPolynomial.help \
+           from ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"FiniteFieldCyclicGroupExtensionByPolynomial.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/FiniteFieldCyclicGroupExtensionByPolynomial.help
+	@cp ${HELP}/FiniteFieldCyclicGroupExtensionByPolynomial.help \
+           ${HELP}/FFCGP.help
+	@${TANGLE} -R"FiniteFieldCyclicGroupExtensionByPolynomial.input" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${INPUT}/FiniteFieldCyclicGroupExtensionByPolynomial.input
+	@echo "FiniteFieldCyclicGroupExtensionByPolynomial (FFCGP)" \
+           >>${HELPFILE}
+
+${HELP}/FiniteFieldExtension.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create FiniteFieldExtension.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"FiniteFieldExtension.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/FiniteFieldExtension.help
+	@cp ${HELP}/FiniteFieldExtension.help ${HELP}/FFX.help
+	@${TANGLE} -R"FiniteFieldExtension.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/FiniteFieldExtension.input
+	@echo "FiniteFieldExtension (FFX)" >>${HELPFILE}
+
+${HELP}/FiniteFieldExtensionByPolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create FiniteFieldExtensionByPolynomial.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"FiniteFieldExtensionByPolynomial.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/FiniteFieldExtensionByPolynomial.help
+	@cp ${HELP}/FiniteFieldExtensionByPolynomial.help ${HELP}/FFP.help
+	@${TANGLE} -R"FiniteFieldExtensionByPolynomial.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/FiniteFieldExtensionByPolynomial.input
+	@echo "FiniteFieldExtensionByPolynomial (FFP)" >>${HELPFILE}
+
 ${HELP}/FiniteFieldFactorizationWithSizeParseBySideEffect.help: \
            ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7303 create \
@@ -20120,6 +21751,45 @@ ${HELP}/FiniteFieldFactorizationWithSizeParseBySideEffect.help: \
 	@echo "FiniteFieldFactorizationWithSizeParseBySideEffect (FFFACTSE)"\
             >>${HELPFILE}
 
+${HELP}/FiniteFieldNormalBasis.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create FiniteFieldNormalBasis.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"FiniteFieldNormalBasis.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/FiniteFieldNormalBasis.help
+	@cp ${HELP}/FiniteFieldNormalBasis.help ${HELP}/FFNB.help
+	@${TANGLE} -R"FiniteFieldNormalBasis.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/FiniteFieldNormalBasis.input
+	@echo "FiniteFieldNormalBasis (FFNB)" >>${HELPFILE}
+
+${HELP}/FiniteFieldNormalBasisExtension.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create FiniteFieldNormalBasisExtension.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"FiniteFieldNormalBasisExtension.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/FiniteFieldNormalBasisExtension.help
+	@cp ${HELP}/FiniteFieldNormalBasisExtension.help ${HELP}/FFNBX.help
+	@${TANGLE} -R"FiniteFieldNormalBasisExtension.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/FiniteFieldNormalBasisExtension.input
+	@echo "FiniteFieldNormalBasisExtension (FFNBX)" >>${HELPFILE}
+
+${HELP}/FiniteFieldNormalBasisExtensionByPolynomial.help: \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create FiniteFieldNormalBasisExtensionByPolynomial.help \
+           from ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"FiniteFieldNormalBasisExtensionByPolynomial.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/FiniteFieldNormalBasisExtensionByPolynomial.help
+	@cp ${HELP}/FiniteFieldNormalBasisExtensionByPolynomial.help \
+           ${HELP}/FFNBP.help
+	@${TANGLE} -R"FiniteFieldNormalBasisExtensionByPolynomial.input" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${INPUT}/FiniteFieldNormalBasisExtensionByPolynomial.input
+	@echo "FiniteFieldNormalBasisExtensionByPolynomial (FFNBP)" \
+          >>${HELPFILE}
+
 ${HELP}/FiniteFieldSquareFreeDecomposition.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7305 create FiniteFieldSquareFreeDecomposition.help from \
            ${BOOKS}/bookvol10.4.pamphlet
@@ -20210,6 +21880,30 @@ ${HELP}/FloatingPointSystem.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/FloatingPointSystem.input
 	@echo "FloatingPointSystem (FPS)" >>${HELPFILE}
 
+${HELP}/FortranCode.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create FortranCode.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"FortranCode.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/FortranCode.help
+	@cp ${HELP}/FortranCode.help ${HELP}/FC.help
+	@${TANGLE} -R"FortranCode.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/FortranCode.input
+	@echo "FortranCode (FC)" >>${HELPFILE}
+
+${HELP}/FortranExpression.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create FortranExpression.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"FortranExpression.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/FortranExpression.help
+	@cp ${HELP}/FortranExpression.help ${HELP}/FEXPR.help
+	@${TANGLE} -R"FortranExpression.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/FortranExpression.input
+	@echo "FortranExpression (FEXPR)" >>${HELPFILE}
+
 ${HELP}/FortranFunctionCategory.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create FortranFunctionCategory.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -20258,6 +21952,18 @@ ${HELP}/FortranMatrixFunctionCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/FortranMatrixFunctionCategory.input
 	@echo "FortranMatrixFunctionCategory (FMFUN)" >>${HELPFILE}
 
+${HELP}/FortranProgram.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create FortranProgram.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"FortranProgram.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/FortranProgram.help
+	@cp ${HELP}/FortranProgram.help ${HELP}/FORTRAN.help
+	@${TANGLE} -R"FortranProgram.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/FortranProgram.input
+	@echo "FortranProgram (FORTRAN)" >>${HELPFILE}
+
 ${HELP}/FortranProgramCategory.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create FortranProgramCategory.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -20270,6 +21976,42 @@ ${HELP}/FortranProgramCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/FortranProgramCategory.input
 	@echo "FortranProgramCategory (FORTCAT)" >>${HELPFILE}
 
+${HELP}/FortranScalarType.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create FortranScalarType.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"FortranScalarType.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/FortranScalarType.help
+	@cp ${HELP}/FortranScalarType.help ${HELP}/FST.help
+	@${TANGLE} -R"FortranScalarType.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/FortranScalarType.input
+	@echo "FortranScalarType (FST)" >>${HELPFILE}
+
+${HELP}/FortranTemplate.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create FortranTemplate.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"FortranTemplate.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/FortranTemplate.help
+	@cp ${HELP}/FortranTemplate.help ${HELP}/FTEM.help
+	@${TANGLE} -R"FortranTemplate.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/FortranTemplate.input
+	@echo "FortranTemplate (FTEM)" >>${HELPFILE}
+
+${HELP}/FortranType.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create FortranType.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"FortranType.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/FortranType.help
+	@cp ${HELP}/FortranType.help ${HELP}/FT.help
+	@${TANGLE} -R"FortranType.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/FortranType.input
+	@echo "FortranType (FT)" >>${HELPFILE}
+
 ${HELP}/FortranVectorCategory.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create FortranVectorCategory.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -20294,6 +22036,30 @@ ${HELP}/FortranVectorFunctionCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/FortranVectorFunctionCategory.input
 	@echo "FortranVectorFunctionCategory (FVFUN)" >>${HELPFILE}
 
+${HELP}/FourierComponent.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create FourierComponent.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"FourierComponent.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/FourierComponent.help
+	@cp ${HELP}/FourierComponent.help ${HELP}/FCOMP.help
+	@${TANGLE} -R"FourierComponent.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/FourierComponent.input
+	@echo "FourierComponent (FCOMP)" >>${HELPFILE}
+
+${HELP}/FourierSeries.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create FourierSeries.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"FourierSeries.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/FourierSeries.help
+	@cp ${HELP}/FourierSeries.help ${HELP}/FSERIES.help
+	@${TANGLE} -R"FourierSeries.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/FourierSeries.input
+	@echo "FourierSeries (FSERIES)" >>${HELPFILE}
+
 ${HELP}/Fraction.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7330 create Fraction.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Fraction.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -20303,6 +22069,18 @@ ${HELP}/Fraction.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/Fraction.input
 	@echo "Fraction (FRAC)" >>${HELPFILE}
 
+${HELP}/FractionalIdeal.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create FractionalIdeal.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"FractionalIdeal.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/FractionalIdeal.help
+	@cp ${HELP}/FractionalIdeal.help ${HELP}/FRIDEAL.help
+	@${TANGLE} -R"FractionalIdeal.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/FractionalIdeal.input
+	@echo "FractionalIdeal (FRIDEAL)" >>${HELPFILE}
+
 ${HELP}/FramedAlgebra.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create FramedAlgebra.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -20315,6 +22093,18 @@ ${HELP}/FramedAlgebra.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/FramedAlgebra.input
 	@echo "FramedAlgebra (FRAMALG)" >>${HELPFILE}
 
+${HELP}/FramedModule.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create FramedModule.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"FramedModule.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/FramedModule.help
+	@cp ${HELP}/FramedModule.help ${HELP}/FRMOD.help
+	@${TANGLE} -R"FramedModule.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/FramedModule.input
+	@echo "FramedModule (FRMOD)" >>${HELPFILE}
+
 ${HELP}/FramedNonAssociativeAlgebra.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create FramedNonAssociativeAlgebra.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -20327,6 +22117,30 @@ ${HELP}/FramedNonAssociativeAlgebra.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/FramedNonAssociativeAlgebra.input
 	@echo "FramedNonAssociativeAlgebra (FRNAALG)" >>${HELPFILE}
 
+${HELP}/FreeAbelianGroup.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create FreeAbelianGroup.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"FreeAbelianGroup.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/FreeAbelianGroup.help
+	@cp ${HELP}/FreeAbelianGroup.help ${HELP}/FAGROUP.help
+	@${TANGLE} -R"FreeAbelianGroup.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/FreeAbelianGroup.input
+	@echo "FreeAbelianGroup (FAGROUP)" >>${HELPFILE}
+
+${HELP}/FreeAbelianMonoid.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create FreeAbelianMonoid.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"FreeAbelianMonoid.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/FreeAbelianMonoid.help
+	@cp ${HELP}/FreeAbelianMonoid.help ${HELP}/FAMONOID.help
+	@${TANGLE} -R"FreeAbelianMonoid.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/FreeAbelianMonoid.input
+	@echo "FreeAbelianMonoid (FAMONOID)" >>${HELPFILE}
+
 ${HELP}/FreeAbelianMonoidCategory.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create FreeAbelianMonoidCategory.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -20339,6 +22153,18 @@ ${HELP}/FreeAbelianMonoidCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/FreeAbelianMonoidCategory.input
 	@echo "FreeAbelianMonoidCategory (FAMONC)" >>${HELPFILE}
 
+${HELP}/FreeGroup.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create FreeGroup.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"FreeGroup.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/FreeGroup.help
+	@cp ${HELP}/FreeGroup.help ${HELP}/FGROUP.help
+	@${TANGLE} -R"FreeGroup.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/FreeGroup.input
+	@echo "FreeGroup (FGROUP)" >>${HELPFILE}
+
 ${HELP}/FreeLieAlgebra.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create FreeLieAlgebra.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -20363,6 +22189,54 @@ ${HELP}/FreeModuleCat.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/FreeModuleCat.input
 	@echo "FreeModuleCat (FMCAT)" >>${HELPFILE}
 
+${HELP}/FreeModule.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create FreeModule.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"FreeModule.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/FreeModule.help
+	@cp ${HELP}/FreeModule.help ${HELP}/FM.help
+	@${TANGLE} -R"FreeModule.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/FreeModule.input
+	@echo "FreeModule (FM)" >>${HELPFILE}
+
+${HELP}/FreeModule1.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create FreeModule1.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"FreeModule1.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/FreeModule1.help
+	@cp ${HELP}/FreeModule1.help ${HELP}/FM1.help
+	@${TANGLE} -R"FreeModule1.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/FreeModule1.input
+	@echo "FreeModule1 (FM1)" >>${HELPFILE}
+
+${HELP}/FreeMonoid.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create FreeMonoid.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"FreeMonoid.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/FreeMonoid.help
+	@cp ${HELP}/FreeMonoid.help ${HELP}/FMONOID.help
+	@${TANGLE} -R"FreeMonoid.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/FreeMonoid.input
+	@echo "FreeMonoid (FMONOID)" >>${HELPFILE}
+
+${HELP}/FreeNilpotentLie.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create FreeNilpotentLie.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"FreeNilpotentLie.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/FreeNilpotentLie.help
+	@cp ${HELP}/FreeNilpotentLie.help ${HELP}/FNLA.help
+	@${TANGLE} -R"FreeNilpotentLie.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/FreeNilpotentLie.input
+	@echo "FreeNilpotentLie (FNLA)" >>${HELPFILE}
+
 ${HELP}/FullPartialFractionExpansion.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7340 create FullPartialFractionExpansion.help from \
             ${BOOKS}/bookvol10.3.pamphlet
@@ -20423,6 +22297,18 @@ ${HELP}/FullyRetractableTo.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/FullyRetractableTo.input
 	@echo "FullyRetractableTo (FRETRCT)" >>${HELPFILE}
 
+${HELP}/FunctionCalled.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create FunctionCalled.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"FunctionCalled.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/FunctionCalled.help
+	@cp ${HELP}/FunctionCalled.help ${HELP}/FUNCTION.help
+	@${TANGLE} -R"FunctionCalled.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/FunctionCalled.input
+	@echo "FunctionCalled (FUNCTION)" >>${HELPFILE}
+
 ${HELP}/FunctionFieldCategory.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create FunctionFieldCategory.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -20473,6 +22359,18 @@ ${HELP}/GeneralDistributedMultivariatePolynomial.help: \
             >${INPUT}/GeneralDistributedMultivariatePolynomial.input
 	@echo "GeneralDistributedMultivariatePolynomial (GDMP)" >>${HELPFILE}
 
+${HELP}/GeneralModulePolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create GeneralModulePolynomial.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"GeneralModulePolynomial.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/GeneralModulePolynomial.help
+	@cp ${HELP}/GeneralModulePolynomial.help ${HELP}/GMODPOL.help
+	@${TANGLE} -R"GeneralModulePolynomial.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/GeneralModulePolynomial.input
+	@echo "GeneralModulePolynomial (GMODPOL)" >>${HELPFILE}
+
 ${HELP}/GeneralPackageForAlgebraicFunctionField.help: \
             ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7355 create GeneralPackageForAlgebraicFunctionField.help \
@@ -20497,6 +22395,54 @@ ${HELP}/GeneralSparseTable.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/GeneralSparseTable.input
 	@echo "GeneralSparseTable (GSTBL)" >>${HELPFILE}
 
+${HELP}/GenericNonAssociativeAlgebra.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create GenericNonAssociativeAlgebra.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"GenericNonAssociativeAlgebra.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/GenericNonAssociativeAlgebra.help
+	@cp ${HELP}/GenericNonAssociativeAlgebra.help ${HELP}/GCNAALG.help
+	@${TANGLE} -R"GenericNonAssociativeAlgebra.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/GenericNonAssociativeAlgebra.input
+	@echo "GenericNonAssociativeAlgebra (GCNAALG)" >>${HELPFILE}
+
+${HELP}/GeneralPolynomialSet.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create GeneralPolynomialSet.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"GeneralPolynomialSet.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/GeneralPolynomialSet.help
+	@cp ${HELP}/GeneralPolynomialSet.help ${HELP}/GPOLSET.help
+	@${TANGLE} -R"GeneralPolynomialSet.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/GeneralPolynomialSet.input
+	@echo "GeneralPolynomialSet (GPOLSET)" >>${HELPFILE}
+
+${HELP}/GeneralTriangularSet.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create GeneralTriangularSet.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"GeneralTriangularSet.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/GeneralTriangularSet.help
+	@cp ${HELP}/GeneralTriangularSet.help ${HELP}/GTSET.help
+	@${TANGLE} -R"GeneralTriangularSet.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/GeneralTriangularSet.input
+	@echo "GeneralTriangularSet (GTSET)" >>${HELPFILE}
+
+${HELP}/GeneralUnivariatePowerSeries.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create GeneralUnivariatePowerSeries.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"GeneralUnivariatePowerSeries.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/GeneralUnivariatePowerSeries.help
+	@cp ${HELP}/GeneralUnivariatePowerSeries.help ${HELP}/GSERIES.help
+	@${TANGLE} -R"GeneralUnivariatePowerSeries.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/GeneralUnivariatePowerSeries.input
+	@echo "GeneralUnivariatePowerSeries (GSERIES)" >>${HELPFILE}
+
 ${HELP}/GradedAlgebra.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create GradedAlgebra.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -20521,6 +22467,18 @@ ${HELP}/GradedModule.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/GradedModule.input
 	@echo "GradedModule (GRMOD)" >>${HELPFILE}
 
+${HELP}/GraphImage.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create GraphImage.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"GraphImage.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/GraphImage.help
+	@cp ${HELP}/GraphImage.help ${HELP}/GRIMAGE.help
+	@${TANGLE} -R"GraphImage.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/GraphImage.input
+	@echo "GraphImage (GRIMAGE)" >>${HELPFILE}
+
 ${HELP}/GroebnerFactorizationPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7370 create GroebnerFactorizationPackage.help \
             from ${BOOKS}/bookvol10.4.pamphlet
@@ -20555,6 +22513,30 @@ ${HELP}/Group.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/Group.input
 	@echo "Group (GROUP)" >>${HELPFILE}
 
+${HELP}/GuessOption.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create GuessOption.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"GuessOption.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/GuessOption.help
+	@cp ${HELP}/GuessOption.help ${HELP}/GOPT.help
+	@${TANGLE} -R"GuessOption.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/GuessOption.input
+	@echo "GuessOption (GOPT)" >>${HELPFILE}
+
+${HELP}/HashTable.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create HashTable.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"HashTable.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/HashTable.help
+	@cp ${HELP}/HashTable.help ${HELP}/HASHTBL.help
+	@${TANGLE} -R"HashTable.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/HashTable.input
+	@echo "HashTable (HASHTBL)" >>${HELPFILE}
+
 ${HELP}/Heap.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7390 create Heap.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Heap.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -20587,6 +22569,18 @@ ${HELP}/HomogeneousAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/HomogeneousAggregate.input
 	@echo "HomogeneousAggregate (HOAGG)" >>${HELPFILE}
 
+${HELP}/HomogeneousDirectProduct.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create HomogeneousDirectProduct.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"HomogeneousDirectProduct.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/HomogeneousDirectProduct.help
+	@cp ${HELP}/HomogeneousDirectProduct.help ${HELP}/HDP.help
+	@${TANGLE} -R"HomogeneousDirectProduct.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/HomogeneousDirectProduct.input
+	@echo "HomogeneousDirectProduct (HDP)" >>${HELPFILE}
+
 ${HELP}/HomogeneousDistributedMultivariatePolynomial.help: \
             ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7410 create HomogeneousDistributedMultivariatePolynomial.help \
@@ -20614,6 +22608,30 @@ ${HELP}/HyperbolicFunctionCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/HyperbolicFunctionCategory.input
 	@echo "HyperbolicFunctionCategory (HYPCAT)" >>${HELPFILE}
 
+${HELP}/HyperellipticFiniteDivisor.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create HyperellipticFiniteDivisor.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"HyperellipticFiniteDivisor.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/HyperellipticFiniteDivisor.help
+	@cp ${HELP}/HyperellipticFiniteDivisor.help ${HELP}/HELLFDIV.help
+	@${TANGLE} -R"HyperellipticFiniteDivisor.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/HyperellipticFiniteDivisor.input
+	@echo "HyperellipticFiniteDivisor (HELLFDIV)" >>${HELPFILE}
+
+${HELP}/IndexCard.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create IndexCard.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"IndexCard.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/IndexCard.help
+	@cp ${HELP}/IndexCard.help ${HELP}/ICARD.help
+	@${TANGLE} -R"IndexCard.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/IndexCard.input
+	@echo "IndexCard (ICARD)" >>${HELPFILE}
+
 ${HELP}/IndexedAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create IndexedAggregate.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -20635,6 +22653,30 @@ ${HELP}/IndexedBits.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/IndexedBits.input
 	@echo "IndexedBits (IBITS)" >>${HELPFILE}
 
+${HELP}/IndexedDirectProductAbelianGroup.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create IndexedDirectProductAbelianGroup.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"IndexedDirectProductAbelianGroup.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/IndexedDirectProductAbelianGroup.help
+	@cp ${HELP}/IndexedDirectProductAbelianGroup.help ${HELP}/IDPAG.help
+	@${TANGLE} -R"IndexedDirectProductAbelianGroup.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/IndexedDirectProductAbelianGroup.input
+	@echo "IndexedDirectProductAbelianGroup (IDPAG)" >>${HELPFILE}
+
+${HELP}/IndexedDirectProductAbelianMonoid.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create IndexedDirectProductAbelianMonoid.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"IndexedDirectProductAbelianMonoid.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/IndexedDirectProductAbelianMonoid.help
+	@cp ${HELP}/IndexedDirectProductAbelianMonoid.help ${HELP}/IDPAM.help
+	@${TANGLE} -R"IndexedDirectProductAbelianMonoid.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/IndexedDirectProductAbelianMonoid.input
+	@echo "IndexedDirectProductAbelianMonoid (IDPAM)" >>${HELPFILE}
+
 ${HELP}/IndexedDirectProductCategory.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create IndexedDirectProductCategory.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -20647,6 +22689,143 @@ ${HELP}/IndexedDirectProductCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/IndexedDirectProductCategory.input
 	@echo "IndexedDirectProductCategory (IDPC)" >>${HELPFILE}
 
+${HELP}/IndexedDirectProductObject.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create IndexedDirectProductObject.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"IndexedDirectProductObject.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/IndexedDirectProductObject.help
+	@cp ${HELP}/IndexedDirectProductObject.help ${HELP}/IDPO.help
+	@${TANGLE} -R"IndexedDirectProductObject.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/IndexedDirectProductObject.input
+	@echo "IndexedDirectProductObject (IDPO)" >>${HELPFILE}
+
+${HELP}/IndexedDirectProductOrderedAbelianMonoid.help: \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create IndexedDirectProductOrderedAbelianMonoid.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"IndexedDirectProductOrderedAbelianMonoid.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/IndexedDirectProductOrderedAbelianMonoid.help
+	@cp ${HELP}/IndexedDirectProductOrderedAbelianMonoid.help \
+           ${HELP}/IDPOAM.help
+	@${TANGLE} -R"IndexedDirectProductOrderedAbelianMonoid.input" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${INPUT}/IndexedDirectProductOrderedAbelianMonoid.input
+	@echo "IndexedDirectProductOrderedAbelianMonoid (IDPOAM)" >>${HELPFILE}
+
+${HELP}/IndexedDirectProductOrderedAbelianMonoidSup.help: \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create IndexedDirectProductOrderedAbelianMonoidSup.help \
+           from ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"IndexedDirectProductOrderedAbelianMonoidSup.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/IndexedDirectProductOrderedAbelianMonoidSup.help
+	@cp ${HELP}/IndexedDirectProductOrderedAbelianMonoidSup.help \
+           ${HELP}/IDPOAMS.help
+	@${TANGLE} -R"IndexedDirectProductOrderedAbelianMonoidSup.input" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${INPUT}/IndexedDirectProductOrderedAbelianMonoidSup.input
+	@echo "IndexedDirectProductOrderedAbelianMonoidSup (IDPOAMS)"\
+           >>${HELPFILE}
+
+${HELP}/IndexedExponents.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create IndexedExponents.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"IndexedExponents.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/IndexedExponents.help
+	@cp ${HELP}/IndexedExponents.help ${HELP}/INDE.help
+	@${TANGLE} -R"IndexedExponents.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/IndexedExponents.input
+	@echo "IndexedExponents (INDE)" >>${HELPFILE}
+
+${HELP}/IndexedFlexibleArray.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create IndexedFlexibleArray.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"IndexedFlexibleArray.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/IndexedFlexibleArray.help
+	@cp ${HELP}/IndexedFlexibleArray.help ${HELP}/IFARRAY.help
+	@${TANGLE} -R"IndexedFlexibleArray.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/IndexedFlexibleArray.input
+	@echo "IndexedFlexibleArray (IFARRAY)" >>${HELPFILE}
+
+${HELP}/IndexedList.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create IndexedList.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"IndexedList.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/IndexedList.help
+	@cp ${HELP}/IndexedList.help ${HELP}/ILIST.help
+	@${TANGLE} -R"IndexedList.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/IndexedList.input
+	@echo "IndexedList (ILIST)" >>${HELPFILE}
+
+${HELP}/IndexedMatrix.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create IndexedMatrix.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"IndexedMatrix.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/IndexedMatrix.help
+	@cp ${HELP}/IndexedMatrix.help ${HELP}/IMATRIX.help
+	@${TANGLE} -R"IndexedMatrix.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/IndexedMatrix.input
+	@echo "IndexedMatrix (IMATRIX)" >>${HELPFILE}
+
+${HELP}/IndexedOneDimensionalArray.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create IndexedOneDimensionalArray.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"IndexedOneDimensionalArray.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/IndexedOneDimensionalArray.help
+	@cp ${HELP}/IndexedOneDimensionalArray.help ${HELP}/IARRAY1.help
+	@${TANGLE} -R"IndexedOneDimensionalArray.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/IndexedOneDimensionalArray.input
+	@echo "IndexedOneDimensionalArray (IARRAY1)" >>${HELPFILE}
+
+${HELP}/IndexedString.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create IndexedString.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"IndexedString.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/IndexedString.help
+	@cp ${HELP}/IndexedString.help ${HELP}/ISTRING.help
+	@${TANGLE} -R"IndexedString.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/IndexedString.input
+	@echo "IndexedString (ISTRING)" >>${HELPFILE}
+
+${HELP}/IndexedTwoDimensionalArray.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create IndexedTwoDimensionalArray.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"IndexedTwoDimensionalArray.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/IndexedTwoDimensionalArray.help
+	@cp ${HELP}/IndexedTwoDimensionalArray.help ${HELP}/IARRAY2.help
+	@${TANGLE} -R"IndexedTwoDimensionalArray.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/IndexedTwoDimensionalArray.input
+	@echo "IndexedTwoDimensionalArray (IARRAY2)" >>${HELPFILE}
+
+${HELP}/IndexedVector.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create IndexedVector.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"IndexedVector.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/IndexedVector.help
+	@cp ${HELP}/IndexedVector.help ${HELP}/IVECTOR.help
+	@${TANGLE} -R"IndexedVector.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/IndexedVector.input
+	@echo "IndexedVector (IVECTOR)" >>${HELPFILE}
+
 ${HELP}/InfClsPt.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7417 create InfClsPt.help from \
            ${BOOKS}/bookvol10.3.pamphlet
@@ -20659,6 +22838,18 @@ ${HELP}/InfClsPt.help: ${BOOKS}/bookvol10.3.pamphlet
            >${INPUT}/InfClsPt.input
 	@echo "InfClsPt (ICP)" >>${HELPFILE}
 
+${HELP}/InfiniteTuple.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create InfiniteTuple.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"InfiniteTuple.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/InfiniteTuple.help
+	@cp ${HELP}/InfiniteTuple.help ${HELP}/ITUPLE.help
+	@${TANGLE} -R"InfiniteTuple.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/InfiniteTuple.input
+	@echo "InfiniteTuple (ITUPLE)" >>${HELPFILE}
+
 ${HELP}/InfinitlyClosePoint.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7418 create InfinitlyClosePoint.help from \
            ${BOOKS}/bookvol10.3.pamphlet
@@ -20703,6 +22894,18 @@ ${HELP}/InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField.help: \
       "InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField (INFCLSPS)" \
       >>${HELPFILE}
 
+${HELP}/InnerAlgebraicNumber.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create InnerAlgebraicNumber.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"InnerAlgebraicNumber.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/InnerAlgebraicNumber.help
+	@cp ${HELP}/InnerAlgebraicNumber.help ${HELP}/IAN.help
+	@${TANGLE} -R"InnerAlgebraicNumber.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/InnerAlgebraicNumber.input
+	@echo "InnerAlgebraicNumber (IAN)" >>${HELPFILE}
+
 ${HELP}/InnerEvalable.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create InnerEvalable.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -20715,6 +22918,114 @@ ${HELP}/InnerEvalable.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/InnerEvalable.input
 	@echo "InnerEvalable (IEVALAB)" >>${HELPFILE}
 
+${HELP}/InnerFiniteField.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create InnerFiniteField.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"InnerFiniteField.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/InnerFiniteField.help
+	@cp ${HELP}/InnerFiniteField.help ${HELP}/IFF.help
+	@${TANGLE} -R"InnerFiniteField.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/InnerFiniteField.input
+	@echo "InnerFiniteField (IFF)" >>${HELPFILE}
+
+${HELP}/InnerFreeAbelianMonoid.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create InnerFreeAbelianMonoid.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"InnerFreeAbelianMonoid.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/InnerFreeAbelianMonoid.help
+	@cp ${HELP}/InnerFreeAbelianMonoid.help ${HELP}/IFAMON.help
+	@${TANGLE} -R"InnerFreeAbelianMonoid.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/InnerFreeAbelianMonoid.input
+	@echo "InnerFreeAbelianMonoid (IFAMON)" >>${HELPFILE}
+
+${HELP}/InnerIndexedTwoDimensionalArray.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create InnerIndexedTwoDimensionalArray.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"InnerIndexedTwoDimensionalArray.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/InnerIndexedTwoDimensionalArray.help
+	@cp ${HELP}/InnerIndexedTwoDimensionalArray.help ${HELP}/IIARRAY2.help
+	@${TANGLE} -R"InnerIndexedTwoDimensionalArray.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/InnerIndexedTwoDimensionalArray.input
+	@echo "InnerIndexedTwoDimensionalArray (IIARRAY2)" >>${HELPFILE}
+
+${HELP}/InnerPAdicInteger.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create InnerPAdicInteger.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"InnerPAdicInteger.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/InnerPAdicInteger.help
+	@cp ${HELP}/InnerPAdicInteger.help ${HELP}/IPADIC.help
+	@${TANGLE} -R"InnerPAdicInteger.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/InnerPAdicInteger.input
+	@echo "InnerPAdicInteger (IPADIC)" >>${HELPFILE}
+
+${HELP}/InnerPrimeField.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create InnerPrimeField.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"InnerPrimeField.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/InnerPrimeField.help
+	@cp ${HELP}/InnerPrimeField.help ${HELP}/IPF.help
+	@${TANGLE} -R"InnerPrimeField.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/InnerPrimeField.input
+	@echo "InnerPrimeField (IPF)" >>${HELPFILE}
+
+${HELP}/InnerSparseUnivariatePowerSeries.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create InnerSparseUnivariatePowerSeries.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"InnerSparseUnivariatePowerSeries.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/InnerSparseUnivariatePowerSeries.help
+	@cp ${HELP}/InnerSparseUnivariatePowerSeries.help ${HELP}/ISUPS.help
+	@${TANGLE} -R"InnerSparseUnivariatePowerSeries.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/InnerSparseUnivariatePowerSeries.input
+	@echo "InnerSparseUnivariatePowerSeries (ISUPS)" >>${HELPFILE}
+
+${HELP}/InnerTable.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create InnerTable.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"InnerTable.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/InnerTable.help
+	@cp ${HELP}/InnerTable.help ${HELP}/INTABL.help
+	@${TANGLE} -R"InnerTable.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/InnerTable.input
+	@echo "InnerTable (INTABL)" >>${HELPFILE}
+
+${HELP}/InnerTaylorSeries.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create InnerTaylorSeries.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"InnerTaylorSeries.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/InnerTaylorSeries.help
+	@cp ${HELP}/InnerTaylorSeries.help ${HELP}/ITAYLOR.help
+	@${TANGLE} -R"InnerTaylorSeries.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/InnerTaylorSeries.input
+	@echo "InnerTaylorSeries (ITAYLOR)" >>${HELPFILE}
+
+${HELP}/InputForm.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create InputForm.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"InputForm.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/InputForm.help
+	@cp ${HELP}/InputForm.help ${HELP}/INFORM.help
+	@${TANGLE} -R"InputForm.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/InputForm.input
+	@echo "InputForm (INFORM)" >>${HELPFILE}
+
 ${HELP}/Integer.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7425 create Integer.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Integer.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -20748,6 +23059,18 @@ ${HELP}/IntegerLinearDependence.help: ${BOOKS}/bookvol10.4.pamphlet
             >${INPUT}/IntegerLinearDependence.input
 	@echo "IntegerLinearDependence (ZLINDEP)" >>${HELPFILE}
 
+${HELP}/IntegerMod.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create IntegerMod.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"IntegerMod.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/IntegerMod.help
+	@cp ${HELP}/IntegerMod.help ${HELP}/ZMOD.help
+	@${TANGLE} -R"IntegerMod.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/IntegerMod.input
+	@echo "IntegerMod (ZMOD)" >>${HELPFILE}
+
 ${HELP}/IntegerNumberSystem.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create IntegerNumberSystem.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -20785,6 +23108,30 @@ ${HELP}/IntegralDomain.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/IntegralDomain.input
 	@echo "IntegralDomain (INTDOM)" >>${HELPFILE}
 
+${HELP}/IntegrationFunctionsTable.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create IntegrationFunctionsTable.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"IntegrationFunctionsTable.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/IntegrationFunctionsTable.help
+	@cp ${HELP}/IntegrationFunctionsTable.help ${HELP}/INTFTBL.help
+	@${TANGLE} -R"IntegrationFunctionsTable.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/IntegrationFunctionsTable.input
+	@echo "IntegrationFunctionsTable (INTFTBL)" >>${HELPFILE}
+
+${HELP}/IntegrationResult.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create IntegrationResult.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"IntegrationResult.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/IntegrationResult.help
+	@cp ${HELP}/IntegrationResult.help ${HELP}/IR.help
+	@${TANGLE} -R"IntegrationResult.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/IntegrationResult.input
+	@echo "IntegrationResult (IR)" >>${HELPFILE}
+
 ${HELP}/InterfaceGroebnerPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7455 create InterfaceGroebnerPackage.help from \
            ${BOOKS}/bookvol10.4.pamphlet
@@ -20873,6 +23220,18 @@ ${HELP}/KeyedDictionary.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/KeyedDictionary.input
 	@echo "KeyedDictionary (KDAGG)" >>${HELPFILE}
 
+${HELP}/LaurentPolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create LaurentPolynomial.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"LaurentPolynomial.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/LaurentPolynomial.help
+	@cp ${HELP}/LaurentPolynomial.help ${HELP}/LAUPOL.help
+	@${TANGLE} -R"LaurentPolynomial.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/LaurentPolynomial.input
+	@echo "LaurentPolynomial (LAUPOL)" >>${HELPFILE}
+
 ${HELP}/LazyStreamAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create LazyStreamAggregate.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -20978,6 +23337,18 @@ ${HELP}/LiePolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/LiePolynomial.input
 	@echo "LiePolynomial (LPOLY)" >>${HELPFILE}
 
+${HELP}/LieSquareMatrix.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create LieSquareMatrix.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"LieSquareMatrix.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/LieSquareMatrix.help
+	@cp ${HELP}/LieSquareMatrix.help ${HELP}/LSQM.help
+	@${TANGLE} -R"LieSquareMatrix.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/LieSquareMatrix.input
+	@echo "LieSquareMatrix (LSQM)" >>${HELPFILE}
+
 ${HELP}/LinearlyExplicitRingOver.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create LinearlyExplicitRingOver.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -21080,6 +23451,30 @@ ${HELP}/ListAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/ListAggregate.input
 	@echo "ListAggregate (LSAGG)" >>${HELPFILE}
 
+${HELP}/ListMonoidOps.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create ListMonoidOps.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"ListMonoidOps.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/ListMonoidOps.help
+	@cp ${HELP}/ListMonoidOps.help ${HELP}/LMOPS.help
+	@${TANGLE} -R"ListMonoidOps.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/ListMonoidOps.input
+	@echo "ListMonoidOps (LMOPS)" >>${HELPFILE}
+
+${HELP}/ListMultiDictionary.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create ListMultiDictionary.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"ListMultiDictionary.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/ListMultiDictionary.help
+	@cp ${HELP}/ListMultiDictionary.help ${HELP}/LMDICT.help
+	@${TANGLE} -R"ListMultiDictionary.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/ListMultiDictionary.input
+	@echo "ListMultiDictionary (LMDICT)" >>${HELPFILE}
+
 ${HELP}/LiouvillianFunctionCategory.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create LiouvillianFunctionCategory.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -21110,6 +23505,30 @@ ${HELP}/LinesOpPack.help: ${BOOKS}/bookvol10.4.pamphlet
             >${INPUT}/LinesOpPack.input
 	@echo "LinesOpPack (LOP)" >>${HELPFILE}
 
+${HELP}/LocalAlgebra.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create LocalAlgebra.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"LocalAlgebra.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/LocalAlgebra.help
+	@cp ${HELP}/LocalAlgebra.help ${HELP}/LA.help
+	@${TANGLE} -R"LocalAlgebra.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/LocalAlgebra.input
+	@echo "LocalAlgebra (LA)" >>${HELPFILE}
+
+${HELP}/Localize.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Localize.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Localize.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Localize.help
+	@cp ${HELP}/Localize.help ${HELP}/LO.help
+	@${TANGLE} -R"Localize.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Localize.input
+	@echo "Localize (LO)" >>${HELPFILE}
+
 ${HELP}/LocalParametrizationOfSimplePointPackage.help: \
             ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7577 create LocalParametrizationOfSimplePointPackage.help from \
@@ -21161,6 +23580,42 @@ ${HELP}/LyndonWord.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/LyndonWord.input
 	@echo "LyndonWord (LWORD)" >>${HELPFILE}
 
+${HELP}/MachineComplex.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create MachineComplex.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"MachineComplex.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/MachineComplex.help
+	@cp ${HELP}/MachineComplex.help ${HELP}/MCMPLX.help
+	@${TANGLE} -R"MachineComplex.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/MachineComplex.input
+	@echo "MachineComplex (MCMPLX)" >>${HELPFILE}
+
+${HELP}/MachineFloat.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create MachineFloat.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"MachineFloat.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/MachineFloat.help
+	@cp ${HELP}/MachineFloat.help ${HELP}/MFLOAT.help
+	@${TANGLE} -R"MachineFloat.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/MachineFloat.input
+	@echo "MachineFloat (MFLOAT)" >>${HELPFILE}
+
+${HELP}/MachineInteger.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create MachineInteger.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"MachineInteger.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/MachineInteger.help
+	@cp ${HELP}/MachineInteger.help ${HELP}/MINT.help
+	@${TANGLE} -R"MachineInteger.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/MachineInteger.input
+	@echo "MachineInteger (MINT)" >>${HELPFILE}
+
 ${HELP}/Magma.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7580 create Magma.help from \
             ${BOOKS}/bookvol10.3.pamphlet
@@ -21173,6 +23628,18 @@ ${HELP}/Magma.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/Magma.input
 	@echo "Magma (MAGMA)" >>${HELPFILE}
 
+${HELP}/MakeCachableSet.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create MakeCachableSet.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"MakeCachableSet.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/MakeCachableSet.help
+	@cp ${HELP}/MakeCachableSet.help ${HELP}/MKCHSET.help
+	@${TANGLE} -R"MakeCachableSet.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/MakeCachableSet.input
+	@echo "MakeCachableSet (MKCHSET)" >>${HELPFILE}
+
 ${HELP}/MakeFunction.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7590 create MakeFunction.help from ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"MakeFunction.help" ${BOOKS}/bookvol10.4.pamphlet \
@@ -21221,6 +23688,18 @@ ${HELP}/MappingPackage3.help: ${BOOKS}/bookvol10.4.pamphlet
             >${INPUT}/MappingPackage3.input
 	@echo "MappingPackage3 (MAPPKG3)" >>${HELPFILE}
 
+${HELP}/MathMLFormat.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create MathMLFormat.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"MathMLFormat.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/MathMLFormat.help
+	@cp ${HELP}/MathMLFormat.help ${HELP}/MMLFORM.help
+	@${TANGLE} -R"MathMLFormat.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/MathMLFormat.input
+	@echo "MathMLFormat (MMLFORM)" >>${HELPFILE}
+
 ${HELP}/Matrix.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7630 create Matrix.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Matrix.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -21240,6 +23719,42 @@ ${HELP}/MatrixCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/MatrixCategory.input
 	@echo "MatrixCategory (MATCAT)" >>${HELPFILE}
 
+${HELP}/ModMonic.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create ModMonic.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"ModMonic.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/ModMonic.help
+	@cp ${HELP}/ModMonic.help ${HELP}/MODMON.help
+	@${TANGLE} -R"ModMonic.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/ModMonic.input
+	@echo "ModMonic (MODMON)" >>${HELPFILE}
+
+${HELP}/ModularField.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create ModularField.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"ModularField.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/ModularField.help
+	@cp ${HELP}/ModularField.help ${HELP}/MODFIELD.help
+	@${TANGLE} -R"ModularField.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/ModularField.input
+	@echo "ModularField (MODFIELD)" >>${HELPFILE}
+
+${HELP}/ModularRing.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create ModularRing.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"ModularRing.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/ModularRing.help
+	@cp ${HELP}/ModularRing.help ${HELP}/MODRING.help
+	@${TANGLE} -R"ModularRing.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/ModularRing.input
+	@echo "ModularRing (MODRING)" >>${HELPFILE}
+
 ${HELP}/Module.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create Module.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -21252,6 +23767,42 @@ ${HELP}/Module.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/Module.input
 	@echo "Module (MODULE)" >>${HELPFILE}
 
+${HELP}/ModuleMonomial.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create ModuleMonomial.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"ModuleMonomial.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/ModuleMonomial.help
+	@cp ${HELP}/ModuleMonomial.help ${HELP}/MODMONOM.help
+	@${TANGLE} -R"ModuleMonomial.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/ModuleMonomial.input
+	@echo "ModuleMonomial (MODMONOM)" >>${HELPFILE}
+
+${HELP}/ModuleOperator.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create ModuleOperator.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"ModuleOperator.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/ModuleOperator.help
+	@cp ${HELP}/ModuleOperator.help ${HELP}/MODOP.help
+	@${TANGLE} -R"ModuleOperator.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/ModuleOperator.input
+	@echo "ModuleOperator (MODOP)" >>${HELPFILE}
+
+${HELP}/MoebiusTransform.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create MoebiusTransform.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"MoebiusTransform.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/MoebiusTransform.help
+	@cp ${HELP}/MoebiusTransform.help ${HELP}/MOEBIUS.help
+	@${TANGLE} -R"MoebiusTransform.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/MoebiusTransform.input
+	@echo "MoebiusTransform (MOEBIUS)" >>${HELPFILE}
+
 ${HELP}/Monad.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create Monad.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -21300,6 +23851,18 @@ ${HELP}/MonogenicLinearOperator.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/MonogenicLinearOperator.input
 	@echo "MonogenicLinearOperator (MLO)" >>${HELPFILE}
 
+${HELP}/MonoidRing.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create MonoidRing.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"MonoidRing.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/MonoidRing.help
+	@cp ${HELP}/MonoidRing.help ${HELP}/MRING.help
+	@${TANGLE} -R"MonoidRing.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/MonoidRing.input
+	@echo "MonoidRing (MRING)" >>${HELPFILE}
+
 ${HELP}/Monoid.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create Monoid.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -21369,6 +23932,54 @@ ${HELP}/MultivariateTaylorSeriesCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/MultivariateTaylorSeriesCategory.input
 	@echo "MultivariateTaylorSeriesCategory (MTSCAT)" >>${HELPFILE}
 
+${HELP}/MyExpression.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create MyExpression.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"MyExpression.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/MyExpression.help
+	@cp ${HELP}/MyExpression.help ${HELP}/MYEXPR.help
+	@${TANGLE} -R"MyExpression.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/MyExpression.input
+	@echo "MyExpression (MYEXPR)" >>${HELPFILE}
+
+${HELP}/MyUnivariatePolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create MyUnivariatePolynomial.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"MyUnivariatePolynomial.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/MyUnivariatePolynomial.help
+	@cp ${HELP}/MyUnivariatePolynomial.help ${HELP}/MYUP.help
+	@${TANGLE} -R"MyUnivariatePolynomial.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/MyUnivariatePolynomial.input
+	@echo "MyUnivariatePolynomial (MYUP)" >>${HELPFILE}
+
+${HELP}/NewSparseMultivariatePolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create NewSparseMultivariatePolynomial.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"NewSparseMultivariatePolynomial.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/NewSparseMultivariatePolynomial.help
+	@cp ${HELP}/NewSparseMultivariatePolynomial.help ${HELP}/NSMP.help
+	@${TANGLE} -R"NewSparseMultivariatePolynomial.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/NewSparseMultivariatePolynomial.input
+	@echo "NewSparseMultivariatePolynomial (NSMP)" >>${HELPFILE}
+
+${HELP}/NewSparseUnivariatePolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create NewSparseUnivariatePolynomial.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"NewSparseUnivariatePolynomial.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/NewSparseUnivariatePolynomial.help
+	@cp ${HELP}/NewSparseUnivariatePolynomial.help ${HELP}/NSUP.help
+	@${TANGLE} -R"NewSparseUnivariatePolynomial.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/NewSparseUnivariatePolynomial.input
+	@echo "NewSparseUnivariatePolynomial (NSUP)" >>${HELPFILE}
+
 ${HELP}/NagEigenPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7670 create NagEigenPackage.help from \
              ${BOOKS}/bookvol10.4.pamphlet
@@ -21565,6 +24176,18 @@ ${HELP}/None.help: ${BOOKS}/bookvol10.3.pamphlet
              >${INPUT}/None.input
 	@echo "None (NONE)" >>${HELPFILE}
 
+${HELP}/NonNegativeInteger.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create NonNegativeInteger.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"NonNegativeInteger.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/NonNegativeInteger.help
+	@cp ${HELP}/NonNegativeInteger.help ${HELP}/NNI.help
+	@${TANGLE} -R"NonNegativeInteger.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/NonNegativeInteger.input
+	@echo "NonNegativeInteger (NNI)" >>${HELPFILE}
+
 ${HELP}/NormalizedTriangularSetCategory.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create NormalizedTriangularSetCategory.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -21599,6 +24222,30 @@ ${HELP}/NumericalIntegrationCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/NumericalIntegrationCategory.input
 	@echo "NumericalIntegrationCategory (NUMINT)" >>${HELPFILE}
 
+${HELP}/NumericalIntegrationProblem.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create NumericalIntegrationProblem.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"NumericalIntegrationProblem.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/NumericalIntegrationProblem.help
+	@cp ${HELP}/NumericalIntegrationProblem.help ${HELP}/NIPROB.help
+	@${TANGLE} -R"NumericalIntegrationProblem.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/NumericalIntegrationProblem.input
+	@echo "NumericalIntegrationProblem (NIPROB)" >>${HELPFILE}
+
+${HELP}/NumericalODEProblem.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create NumericalODEProblem.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"NumericalODEProblem.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/NumericalODEProblem.help
+	@cp ${HELP}/NumericalODEProblem.help ${HELP}/ODEPROB.help
+	@${TANGLE} -R"NumericalODEProblem.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/NumericalODEProblem.input
+	@echo "NumericalODEProblem (ODEPROB)" >>${HELPFILE}
+
 ${HELP}/NumericalOptimizationCategory.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create NumericalOptimizationCategory.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -21611,6 +24258,30 @@ ${HELP}/NumericalOptimizationCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/NumericalOptimizationCategory.input
 	@echo "NumericalOptimizationCategory (OPTCAT)" >>${HELPFILE}
 
+${HELP}/NumericalOptimizationProblem.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create NumericalOptimizationProblem.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"NumericalOptimizationProblem.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/NumericalOptimizationProblem.help
+	@cp ${HELP}/NumericalOptimizationProblem.help ${HELP}/OPTPROB.help
+	@${TANGLE} -R"NumericalOptimizationProblem.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/NumericalOptimizationProblem.input
+	@echo "NumericalOptimizationProblem (OPTPROB)" >>${HELPFILE}
+
+${HELP}/NumericalPDEProblem.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create NumericalPDEProblem.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"NumericalPDEProblem.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/NumericalPDEProblem.help
+	@cp ${HELP}/NumericalPDEProblem.help ${HELP}/PDEPROB.help
+	@${TANGLE} -R"NumericalPDEProblem.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/NumericalPDEProblem.input
+	@echo "NumericalPDEProblem (PDEPROB)" >>${HELPFILE}
+
 ${HELP}/Octonion.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7830 create Octonion.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Octonion.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -21632,6 +24303,18 @@ ${HELP}/OctonionCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/OctonionCategory.input
 	@echo "OctonionCategory (OC)" >>${HELPFILE}
 
+${HELP}/ODEIntensityFunctionsTable.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create ODEIntensityFunctionsTable.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"ODEIntensityFunctionsTable.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/ODEIntensityFunctionsTable.help
+	@cp ${HELP}/ODEIntensityFunctionsTable.help ${HELP}/ODEIFTBL.help
+	@${TANGLE} -R"ODEIntensityFunctionsTable.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/ODEIntensityFunctionsTable.input
+	@echo "ODEIntensityFunctionsTable (ODEIFTBL)" >>${HELPFILE}
+
 ${HELP}/OneDimensionalArray.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7840 create OneDimensionalArray.help from \
            ${BOOKS}/bookvol10.3.pamphlet
@@ -21655,6 +24338,18 @@ ${HELP}/OneDimensionalArrayAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/OneDimensionalArrayAggregate.input
 	@echo "OneDimensionalArrayAggregate (A1AGG)" >>${HELPFILE}
 
+${HELP}/OnePointCompletion.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create OnePointCompletion.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"OnePointCompletion.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/OnePointCompletion.help
+	@cp ${HELP}/OnePointCompletion.help ${HELP}/ONECOMP.help
+	@${TANGLE} -R"OnePointCompletion.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/OnePointCompletion.input
+	@echo "OnePointCompletion (ONECOMP)" >>${HELPFILE}
+
 ${HELP}/OpenMath.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create OpenMath.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -21667,6 +24362,66 @@ ${HELP}/OpenMath.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/OpenMath.input
 	@echo "OpenMath (OM)" >>${HELPFILE}
 
+${HELP}/OpenMathConnection.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create OpenMathConnection.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"OpenMathConnection.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/OpenMathConnection.help
+	@cp ${HELP}/OpenMathConnection.help ${HELP}/OMCONN.help
+	@${TANGLE} -R"OpenMathConnection.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/OpenMathConnection.input
+	@echo "OpenMathConnection (OMCONN)" >>${HELPFILE}
+
+${HELP}/OpenMathDevice.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create OpenMathDevice.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"OpenMathDevice.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/OpenMathDevice.help
+	@cp ${HELP}/OpenMathDevice.help ${HELP}/OMDEV.help
+	@${TANGLE} -R"OpenMathDevice.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/OpenMathDevice.input
+	@echo "OpenMathDevice (OMDEV)" >>${HELPFILE}
+
+${HELP}/OpenMathEncoding.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create OpenMathEncoding.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"OpenMathEncoding.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/OpenMathEncoding.help
+	@cp ${HELP}/OpenMathEncoding.help ${HELP}/OMENC.help
+	@${TANGLE} -R"OpenMathEncoding.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/OpenMathEncoding.input
+	@echo "OpenMathEncoding (OMENC)" >>${HELPFILE}
+
+${HELP}/OpenMathError.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create OpenMathError.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"OpenMathError.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/OpenMathError.help
+	@cp ${HELP}/OpenMathError.help ${HELP}/OMERR.help
+	@${TANGLE} -R"OpenMathError.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/OpenMathError.input
+	@echo "OpenMathError (OMERR)" >>${HELPFILE}
+
+${HELP}/OpenMathErrorKind.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create OpenMathErrorKind.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"OpenMathErrorKind.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/OpenMathErrorKind.help
+	@cp ${HELP}/OpenMathErrorKind.help ${HELP}/OMERRK.help
+	@${TANGLE} -R"OpenMathErrorKind.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/OpenMathErrorKind.input
+	@echo "OpenMathErrorKind (OMERRK)" >>${HELPFILE}
+
 ${HELP}/Operator.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7850 create Operator.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Operator.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -21676,6 +24431,18 @@ ${HELP}/Operator.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/Operator.input
 	@echo "Operator (OP)" >>${HELPFILE}
 
+${HELP}/OppositeMonogenicLinearOperator.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create OppositeMonogenicLinearOperator.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"OppositeMonogenicLinearOperator.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/OppositeMonogenicLinearOperator.help
+	@cp ${HELP}/OppositeMonogenicLinearOperator.help ${HELP}/OMLO.help
+	@${TANGLE} -R"OppositeMonogenicLinearOperator.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/OppositeMonogenicLinearOperator.input
+	@echo "OppositeMonogenicLinearOperator (OMLO)" >>${HELPFILE}
+
 ${HELP}/OrderedAbelianGroup.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create OrderedAbelianGroup.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -21736,6 +24503,30 @@ ${HELP}/OrderedCancellationAbelianMonoid.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/OrderedCancellationAbelianMonoid.input
 	@echo "OrderedCancellationAbelianMonoid (OCAMON)" >>${HELPFILE}
 
+${HELP}/OrderedCompletion.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create OrderedCompletion.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"OrderedCompletion.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/OrderedCompletion.help
+	@cp ${HELP}/OrderedCompletion.help ${HELP}/ORDCOMP.help
+	@${TANGLE} -R"OrderedCompletion.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/OrderedCompletion.input
+	@echo "OrderedCompletion (ORDCOMP)" >>${HELPFILE}
+
+${HELP}/OrderedDirectProduct.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create OrderedDirectProduct.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"OrderedDirectProduct.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/OrderedDirectProduct.help
+	@cp ${HELP}/OrderedDirectProduct.help ${HELP}/ODP.help
+	@${TANGLE} -R"OrderedDirectProduct.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/OrderedDirectProduct.input
+	@echo "OrderedDirectProduct (ODP)" >>${HELPFILE}
+
 ${HELP}/OrderedFinite.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create OrderedFinite.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -21842,6 +24633,18 @@ ${HELP}/OrderlyDifferentialPolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/OrderlyDifferentialPolynomial.input
 	@echo "OrderlyDifferentialPolynomial (ODPOL)" >>${HELPFILE}
 
+${HELP}/OrderlyDifferentialVariable.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create OrderlyDifferentialVariable.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"OrderlyDifferentialVariable.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/OrderlyDifferentialVariable.help
+	@cp ${HELP}/OrderlyDifferentialVariable.help ${HELP}/ODVAR.help
+	@${TANGLE} -R"OrderlyDifferentialVariable.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/OrderlyDifferentialVariable.input
+	@echo "OrderlyDifferentialVariable (ODVAR)" >>${HELPFILE}
+
 ${HELP}/OrdinaryDifferentialEquationsSolverCategory.help: \
            ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create \
@@ -21858,6 +24661,54 @@ ${HELP}/OrdinaryDifferentialEquationsSolverCategory.help: \
 	@echo "OrdinaryDifferentialEquationsSolverCategory (ODECAT)" \
            >>${HELPFILE}
 
+${HELP}/OrdinaryDifferentialRing.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create OrdinaryDifferentialRing.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"OrdinaryDifferentialRing.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/OrdinaryDifferentialRing.help
+	@cp ${HELP}/OrdinaryDifferentialRing.help ${HELP}/ODR.help
+	@${TANGLE} -R"OrdinaryDifferentialRing.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/OrdinaryDifferentialRing.input
+	@echo "OrdinaryDifferentialRing (ODR)" >>${HELPFILE}
+
+${HELP}/OrdinaryWeightedPolynomials.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create OrdinaryWeightedPolynomials.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"OrdinaryWeightedPolynomials.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/OrdinaryWeightedPolynomials.help
+	@cp ${HELP}/OrdinaryWeightedPolynomials.help ${HELP}/OWP.help
+	@${TANGLE} -R"OrdinaryWeightedPolynomials.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/OrdinaryWeightedPolynomials.input
+	@echo "OrdinaryWeightedPolynomials (OWP)" >>${HELPFILE}
+
+${HELP}/OrdSetInts.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create OrdSetInts.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"OrdSetInts.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/OrdSetInts.help
+	@cp ${HELP}/OrdSetInts.help ${HELP}/OSI.help
+	@${TANGLE} -R"OrdSetInts.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/OrdSetInts.input
+	@echo "OrdSetInts (OSI)" >>${HELPFILE}
+
+${HELP}/OutputForm.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create OutputForm.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"OutputForm.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/OutputForm.help
+	@cp ${HELP}/OutputForm.help ${HELP}/OUTFORM.help
+	@${TANGLE} -R"OutputForm.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/OutputForm.input
+	@echo "OutputForm (OUTFORM)" >>${HELPFILE}
+
 ${HELP}/PackageForAlgebraicFunctionField.help: \
            ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7875 make PackageForAlgebraicFunctionField.help \
@@ -21898,6 +24749,18 @@ ${HELP}/PackageForPoly.help: ${BOOKS}/bookvol10.4.pamphlet
             >${INPUT}/PackageForPoly.input
 	@echo "PackageForPoly (PFORP)" >>${HELPFILE}
 
+${HELP}/PAdicInteger.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create PAdicInteger.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"PAdicInteger.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/PAdicInteger.help
+	@cp ${HELP}/PAdicInteger.help ${HELP}/PADIC.help
+	@${TANGLE} -R"PAdicInteger.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/PAdicInteger.input
+	@echo "PAdicInteger (PADIC)" >>${HELPFILE}
+
 ${HELP}/PAdicIntegerCategory.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create PAdicIntegerCategory.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -21910,6 +24773,78 @@ ${HELP}/PAdicIntegerCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/PAdicIntegerCategory.input
 	@echo "PAdicIntegerCategory (PADICCT)" >>${HELPFILE}
 
+${HELP}/PAdicRational.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create PAdicRational.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"PAdicRational.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/PAdicRational.help
+	@cp ${HELP}/PAdicRational.help ${HELP}/PADICRAT.help
+	@${TANGLE} -R"PAdicRational.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/PAdicRational.input
+	@echo "PAdicRational (PADICRAT)" >>${HELPFILE}
+
+${HELP}/PAdicRationalConstructor.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create PAdicRationalConstructor.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"PAdicRationalConstructor.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/PAdicRationalConstructor.help
+	@cp ${HELP}/PAdicRationalConstructor.help ${HELP}/PADICRC.help
+	@${TANGLE} -R"PAdicRationalConstructor.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/PAdicRationalConstructor.input
+	@echo "PAdicRationalConstructor (PADICRC)" >>${HELPFILE}
+
+${HELP}/Palette.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Palette.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Palette.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Palette.help
+	@cp ${HELP}/Palette.help ${HELP}/PALETTE.help
+	@${TANGLE} -R"Palette.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Palette.input
+	@echo "Palette (PALETTE)" >>${HELPFILE}
+
+${HELP}/ParametricPlaneCurve.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create ParametricPlaneCurve.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"ParametricPlaneCurve.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/ParametricPlaneCurve.help
+	@cp ${HELP}/ParametricPlaneCurve.help ${HELP}/PARPCURV.help
+	@${TANGLE} -R"ParametricPlaneCurve.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/ParametricPlaneCurve.input
+	@echo "ParametricPlaneCurve (PARPCURV)" >>${HELPFILE}
+
+${HELP}/ParametricSpaceCurve.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create ParametricSpaceCurve.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"ParametricSpaceCurve.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/ParametricSpaceCurve.help
+	@cp ${HELP}/ParametricSpaceCurve.help ${HELP}/PARSCURV.help
+	@${TANGLE} -R"ParametricSpaceCurve.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/ParametricSpaceCurve.input
+	@echo "ParametricSpaceCurve (PARSCURV)" >>${HELPFILE}
+
+${HELP}/ParametricSurface.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create ParametricSurface.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"ParametricSurface.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/ParametricSurface.help
+	@cp ${HELP}/ParametricSurface.help ${HELP}/PARSURF.help
+	@${TANGLE} -R"ParametricSurface.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/ParametricSurface.input
+	@echo "ParametricSurface (PARSURF)" >>${HELPFILE}
+
 ${HELP}/ParametrizationPackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7882 create ParametrizationPackage.help from \
            ${BOOKS}/bookvol10.4.pamphlet
@@ -21984,6 +24919,30 @@ ${HELP}/PartialTranscendentalFunctions.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/PartialTranscendentalFunctions.input
 	@echo "PartialTranscendentalFunctions (PTRANFN)" >>${HELPFILE}
 
+${HELP}/Partition.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Partition.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Partition.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Partition.help
+	@cp ${HELP}/Partition.help ${HELP}/PRTITION.help
+	@${TANGLE} -R"Partition.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Partition.input
+	@echo "Partition (PRTITION)" >>${HELPFILE}
+
+${HELP}/Pattern.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Pattern.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Pattern.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Pattern.help
+	@cp ${HELP}/Pattern.help ${HELP}/PATTERN.help
+	@${TANGLE} -R"Pattern.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Pattern.input
+	@echo "Pattern (PATTERN)" >>${HELPFILE}
+
 ${HELP}/Patternable.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create Patternable.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -22008,6 +24967,42 @@ ${HELP}/PatternMatchable.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/PatternMatchable.input
 	@echo "PatternMatchable (PATMAB)" >>${HELPFILE}
 
+${HELP}/PatternMatchListResult.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create PatternMatchListResult.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"PatternMatchListResult.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/PatternMatchListResult.help
+	@cp ${HELP}/PatternMatchListResult.help ${HELP}/PATLRES.help
+	@${TANGLE} -R"PatternMatchListResult.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/PatternMatchListResult.input
+	@echo "PatternMatchListResult (PATLRES)" >>${HELPFILE}
+
+${HELP}/PatternMatchResult.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create PatternMatchResult.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"PatternMatchResult.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/PatternMatchResult.help
+	@cp ${HELP}/PatternMatchResult.help ${HELP}/PATRES.help
+	@${TANGLE} -R"PatternMatchResult.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/PatternMatchResult.input
+	@echo "PatternMatchResult (PATRES)" >>${HELPFILE}
+
+${HELP}/PendantTree.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create PendantTree.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"PendantTree.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/PendantTree.help
+	@cp ${HELP}/PendantTree.help ${HELP}/PENDTREE.help
+	@${TANGLE} -R"PendantTree.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/PendantTree.input
+	@echo "PendantTree (PENDTREE)" >>${HELPFILE}
+
 ${HELP}/Permanent.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7890 create Permanent.help from ${BOOKS}/bookvol10.4.pamphlet
 	@${TANGLE} -R"Permanent.help" ${BOOKS}/bookvol10.4.pamphlet \
@@ -22038,6 +25033,30 @@ ${HELP}/PermutationCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/PermutationCategory.input
 	@echo "PermutationCategory (PERMCAT)" >>${HELPFILE}
 
+${HELP}/PermutationGroup.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create PermutationGroup.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"PermutationGroup.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/PermutationGroup.help
+	@cp ${HELP}/PermutationGroup.help ${HELP}/PERMGRP.help
+	@${TANGLE} -R"PermutationGroup.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/PermutationGroup.input
+	@echo "PermutationGroup (PERMGRP)" >>${HELPFILE}
+
+${HELP}/Pi.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Pi.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Pi.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Pi.help
+	@cp ${HELP}/Pi.help ${HELP}/HACKPI.help
+	@${TANGLE} -R"Pi.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Pi.input
+	@echo "Pi (HACKPI)" >>${HELPFILE}
+
 ${HELP}/Places.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7905 create Places.help from \
             ${BOOKS}/bookvol10.3.pamphlet
@@ -22108,6 +25127,18 @@ ${HELP}/Plot.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/Plot.input
 	@echo "Plot (PLOT)" >>${HELPFILE}
 
+${HELP}/Plot3D.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Plot3D.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Plot3D.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Plot3D.help
+	@cp ${HELP}/Plot3D.help ${HELP}/PLOT3D.help
+	@${TANGLE} -R"Plot3D.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Plot3D.input
+	@echo "Plot3D (PLOT3D)" >>${HELPFILE}
+
 ${HELP}/PlottablePlaneCurveCategory.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create PlottablePlaneCurveCategory.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -22132,6 +25163,30 @@ ${HELP}/PlottableSpaceCurveCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/PlottableSpaceCurveCategory.input
 	@echo "PlottableSpaceCurveCategory (PSCURVE)" >>${HELPFILE}
 
+${HELP}/PoincareBirkhoffWittLyndonBasis.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create PoincareBirkhoffWittLyndonBasis.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"PoincareBirkhoffWittLyndonBasis.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/PoincareBirkhoffWittLyndonBasis.help
+	@cp ${HELP}/PoincareBirkhoffWittLyndonBasis.help ${HELP}/PBWLB.help
+	@${TANGLE} -R"PoincareBirkhoffWittLyndonBasis.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/PoincareBirkhoffWittLyndonBasis.input
+	@echo "PoincareBirkhoffWittLyndonBasis (PBWLB)" >>${HELPFILE}
+
+${HELP}/Point.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Point.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Point.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Point.help
+	@cp ${HELP}/Point.help ${HELP}/POINT.help
+	@${TANGLE} -R"Point.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Point.input
+	@echo "Point (POINT)" >>${HELPFILE}
+
 ${HELP}/PointCategory.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create PointCategory.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -22165,6 +25220,18 @@ ${HELP}/PolynomialCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/PolynomialCategory.input
 	@echo "PolynomialCategory (POLYCAT)" >>${HELPFILE}
 
+${HELP}/PolynomialIdeals.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create PolynomialIdeals.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"PolynomialIdeals.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/PolynomialIdeals.help
+	@cp ${HELP}/PolynomialIdeals.help ${HELP}/IDEAL.help
+	@${TANGLE} -R"PolynomialIdeals.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/PolynomialIdeals.input
+	@echo "PolynomialIdeals (IDEAL)" >>${HELPFILE}
+
 ${HELP}/PolynomialFactorizationExplicit.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create PolynomialFactorizationExplicit.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -22189,6 +25256,18 @@ ${HELP}/PolynomialPackageForCurve.help: ${BOOKS}/bookvol10.4.pamphlet
            >${INPUT}/PolynomialPackageForCurve.input
 	@echo "PolynomialPackageForCurve (PLPKCRV)" >>${HELPFILE}
 
+${HELP}/PolynomialRing.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create PolynomialRing.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"PolynomialRing.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/PolynomialRing.help
+	@cp ${HELP}/PolynomialRing.help ${HELP}/PR.help
+	@${TANGLE} -R"PolynomialRing.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/PolynomialRing.input
+	@echo "PolynomialRing (PR)" >>${HELPFILE}
+
 ${HELP}/PolynomialSetCategory.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create PolynomialSetCategory.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -22201,6 +25280,18 @@ ${HELP}/PolynomialSetCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/PolynomialSetCategory.input
 	@echo "PolynomialSetCategory (PSETCAT)" >>${HELPFILE}
 
+${HELP}/PositiveInteger.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create PositiveInteger.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"PositiveInteger.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/PositiveInteger.help
+	@cp ${HELP}/PositiveInteger.help ${HELP}/PI.help
+	@${TANGLE} -R"PositiveInteger.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/PositiveInteger.input
+	@echo "PositiveInteger (PI)" >>${HELPFILE}
+
 ${HELP}/PowerSeriesCategory.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create PowerSeriesCategory.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -22213,6 +25304,30 @@ ${HELP}/PowerSeriesCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/PowerSeriesCategory.input
 	@echo "PowerSeriesCategory (PSCAT)" >>${HELPFILE}
 
+${HELP}/PrimeField.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create PrimeField.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"PrimeField.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/PrimeField.help
+	@cp ${HELP}/PrimeField.help ${HELP}/PF.help
+	@${TANGLE} -R"PrimeField.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/PrimeField.input
+	@echo "PrimeField (PF)" >>${HELPFILE}
+
+${HELP}/PrimitiveArray.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create PrimitiveArray.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"PrimitiveArray.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/PrimitiveArray.help
+	@cp ${HELP}/PrimitiveArray.help ${HELP}/PRIMARR.help
+	@${TANGLE} -R"PrimitiveArray.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/PrimitiveArray.input
+	@echo "PrimitiveArray (PRIMARR)" >>${HELPFILE}
+
 ${HELP}/PrimitiveFunctionCategory.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create PrimitiveFunctionCategory.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -22449,6 +25564,30 @@ ${HELP}/PseudoAlgebraicClosureOfRationalNumberCategory.help: \
 	@echo "PseudoAlgebraicClosureOfRationalNumberCategory (PACRATC)" \
            >>${HELPFILE}
 
+${HELP}/QuadraticForm.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create QuadraticForm.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"QuadraticForm.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/QuadraticForm.help
+	@cp ${HELP}/QuadraticForm.help ${HELP}/QFORM.help
+	@${TANGLE} -R"QuadraticForm.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/QuadraticForm.input
+	@echo "QuadraticForm (QFORM)" >>${HELPFILE}
+
+${HELP}/QuasiAlgebraicSet.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create QuasiAlgebraicSet.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"QuasiAlgebraicSet.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/QuasiAlgebraicSet.help
+	@cp ${HELP}/QuasiAlgebraicSet.help ${HELP}/QALGSET.help
+	@${TANGLE} -R"QuasiAlgebraicSet.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/QuasiAlgebraicSet.input
+	@echo "QuasiAlgebraicSet (QALGSET)" >>${HELPFILE}
+
 ${HELP}/Quaternion.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7948 create Quaternion.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Quaternion.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -22482,6 +25621,18 @@ ${HELP}/QuaternionCategoryFunctions2.help: ${BOOKS}/bookvol10.4.pamphlet
             >${INPUT}/QuaternionCategoryFunctions2.input
 	@echo "QuaternionCategoryFunctions2 (QUATCT2)" >>${HELPFILE}
 
+${HELP}/QueryEquation.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create QueryEquation.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"QueryEquation.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/QueryEquation.help
+	@cp ${HELP}/QueryEquation.help ${HELP}/QEQUAT.help
+	@${TANGLE} -R"QueryEquation.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/QueryEquation.input
+	@echo "QueryEquation (QEQUAT)" >>${HELPFILE}
+
 ${HELP}/Queue.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7950 create Queue.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Queue.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -22527,6 +25678,18 @@ ${HELP}/RadicalCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/RadicalCategory.input
 	@echo "RadicalCategory (RADCAT)" >>${HELPFILE}
 
+${HELP}/RadicalFunctionField.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create RadicalFunctionField.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"RadicalFunctionField.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/RadicalFunctionField.help
+	@cp ${HELP}/RadicalFunctionField.help ${HELP}/RADFF.help
+	@${TANGLE} -R"RadicalFunctionField.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/RadicalFunctionField.input
+	@echo "RadicalFunctionField (RADFF)" >>${HELPFILE}
+
 ${HELP}/RadicalSolvePackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 7955 create RadicalSolvePackage.help from \
            ${BOOKS}/bookvol10.4.pamphlet
@@ -22628,6 +25791,18 @@ ${HELP}/RealSolvePackage.help: ${BOOKS}/bookvol10.4.pamphlet
             >${INPUT}/RealSolvePackage.input
 	@echo "RealSolvePackage (REALSOLV)" >>${HELPFILE}
 
+${HELP}/RectangularMatrix.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create RectangularMatrix.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"RectangularMatrix.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/RectangularMatrix.help
+	@cp ${HELP}/RectangularMatrix.help ${HELP}/RMATRIX.help
+	@${TANGLE} -R"RectangularMatrix.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/RectangularMatrix.input
+	@echo "RectangularMatrix (RMATRIX)" >>${HELPFILE}
+
 ${HELP}/RectangularMatrixCategory.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create RectangularMatrixCategory.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -22664,6 +25839,30 @@ ${HELP}/RecursiveAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/RecursiveAggregate.input
 	@echo "RecursiveAggregate (RCAGG)" >>${HELPFILE}
 
+${HELP}/Reference.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Reference.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Reference.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Reference.help
+	@cp ${HELP}/Reference.help ${HELP}/REF.help
+	@${TANGLE} -R"Reference.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Reference.input
+	@echo "Reference (REF)" >>${HELPFILE}
+
+${HELP}/RegularChain.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create RegularChain.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"RegularChain.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/RegularChain.help
+	@cp ${HELP}/RegularChain.help ${HELP}/RGCHAIN.help
+	@${TANGLE} -R"RegularChain.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/RegularChain.input
+	@echo "RegularChain (RGCHAIN)" >>${HELPFILE}
+
 ${HELP}/RegularTriangularSet.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 7990 create RegularTriangularSet.help from \
           ${BOOKS}/bookvol10.3.pamphlet
@@ -22688,6 +25887,30 @@ ${HELP}/RegularTriangularSetCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/RegularTriangularSetCategory.input
 	@echo "RegularTriangularSetCategory (RSETCAT)" >>${HELPFILE}
 
+${HELP}/ResidueRing.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create ResidueRing.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"ResidueRing.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/ResidueRing.help
+	@cp ${HELP}/ResidueRing.help ${HELP}/RESRING.help
+	@${TANGLE} -R"ResidueRing.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/ResidueRing.input
+	@echo "ResidueRing (RESRING)" >>${HELPFILE}
+
+${HELP}/Result.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Result.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Result.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Result.help
+	@cp ${HELP}/Result.help ${HELP}/RESULT.help
+	@${TANGLE} -R"Result.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Result.input
+	@echo "Result (RESULT)" >>${HELPFILE}
+
 ${HELP}/RetractableTo.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create RetractableTo.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -22700,6 +25923,18 @@ ${HELP}/RetractableTo.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/RetractableTo.input
 	@echo "RetractableTo (RETRACT)" >>${HELPFILE}
 
+${HELP}/RewriteRule.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create RewriteRule.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"RewriteRule.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/RewriteRule.help
+	@cp ${HELP}/RewriteRule.help ${HELP}/RULE.help
+	@${TANGLE} -R"RewriteRule.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/RewriteRule.input
+	@echo "RewriteRule (RULE)" >>${HELPFILE}
+
 ${HELP}/RightModule.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create RightModule.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -22712,6 +25947,20 @@ ${HELP}/RightModule.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/RightModule.input
 	@echo "RightModule (RMODULE)" >>${HELPFILE}
 
+${HELP}/RightOpenIntervalRootCharacterization.help: \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create RightOpenIntervalRootCharacterization.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"RightOpenIntervalRootCharacterization.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/RightOpenIntervalRootCharacterization.help
+	@cp ${HELP}/RightOpenIntervalRootCharacterization.help \
+           ${HELP}/ROIRC.help
+	@${TANGLE} -R"RightOpenIntervalRootCharacterization.input" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${INPUT}/RightOpenIntervalRootCharacterization.input
+	@echo "RightOpenIntervalRootCharacterization (ROIRC)" >>${HELPFILE}
+
 ${HELP}/Ring.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create Ring.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -22756,6 +26005,54 @@ ${HELP}/RootsFindingPackage.help: ${BOOKS}/bookvol10.4.pamphlet
            >${INPUT}/RootsFindingPackage.input
 	@echo "RootsFindingPackage (RFP)" >>${HELPFILE}
 
+${HELP}/RoutinesTable.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create RoutinesTable.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"RoutinesTable.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/RoutinesTable.help
+	@cp ${HELP}/RoutinesTable.help ${HELP}/ROUTINE.help
+	@${TANGLE} -R"RoutinesTable.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/RoutinesTable.input
+	@echo "RoutinesTable (ROUTINE)" >>${HELPFILE}
+
+${HELP}/RuleCalled.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create RuleCalled.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"RuleCalled.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/RuleCalled.help
+	@cp ${HELP}/RuleCalled.help ${HELP}/RULECOLD.help
+	@${TANGLE} -R"RuleCalled.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/RuleCalled.input
+	@echo "RuleCalled (RULECOLD)" >>${HELPFILE}
+
+${HELP}/Ruleset.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Ruleset.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Ruleset.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Ruleset.help
+	@cp ${HELP}/Ruleset.help ${HELP}/RULESET.help
+	@${TANGLE} -R"Ruleset.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Ruleset.input
+	@echo "Ruleset (RULESET)" >>${HELPFILE}
+
+${HELP}/ScriptFormulaFormat.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create ScriptFormulaFormat.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"ScriptFormulaFormat.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/ScriptFormulaFormat.help
+	@cp ${HELP}/ScriptFormulaFormat.help ${HELP}/FORMULA.help
+	@${TANGLE} -R"ScriptFormulaFormat.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/ScriptFormulaFormat.input
+	@echo "ScriptFormulaFormat (FORMULA)" >>${HELPFILE}
+
 ${HELP}/Segment.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8010 create Segment.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Segment.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -22856,6 +26153,54 @@ ${HELP}/SetCategoryWithDegree.help: ${BOOKS}/bookvol10.2.pamphlet
           >${INPUT}/SetCategoryWithDegree.input
 	@echo "SetCategoryWithDegree (SETCATD)" >>${HELPFILE}
 
+${HELP}/SetOfMIntegersInOneToN.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create SetOfMIntegersInOneToN.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"SetOfMIntegersInOneToN.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/SetOfMIntegersInOneToN.help
+	@cp ${HELP}/SetOfMIntegersInOneToN.help ${HELP}/SETMN.help
+	@${TANGLE} -R"SetOfMIntegersInOneToN.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/SetOfMIntegersInOneToN.input
+	@echo "SetOfMIntegersInOneToN (SETMN)" >>${HELPFILE}
+
+${HELP}/SequentialDifferentialPolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create SequentialDifferentialPolynomial.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"SequentialDifferentialPolynomial.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/SequentialDifferentialPolynomial.help
+	@cp ${HELP}/SequentialDifferentialPolynomial.help ${HELP}/SDPOL.help
+	@${TANGLE} -R"SequentialDifferentialPolynomial.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/SequentialDifferentialPolynomial.input
+	@echo "SequentialDifferentialPolynomial (SDPOL)" >>${HELPFILE}
+
+${HELP}/SequentialDifferentialVariable.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create SequentialDifferentialVariable.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"SequentialDifferentialVariable.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/SequentialDifferentialVariable.help
+	@cp ${HELP}/SequentialDifferentialVariable.help ${HELP}/SDVAR.help
+	@${TANGLE} -R"SequentialDifferentialVariable.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/SequentialDifferentialVariable.input
+	@echo "SequentialDifferentialVariable (SDVAR)" >>${HELPFILE}
+
+${HELP}/SExpression.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create SExpression.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"SExpression.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/SExpression.help
+	@cp ${HELP}/SExpression.help ${HELP}/SEX.help
+	@${TANGLE} -R"SExpression.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/SExpression.input
+	@echo "SExpression (SEX)" >>${HELPFILE}
+
 ${HELP}/SExpressionCategory.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create SExpressionCategory.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -22868,6 +26213,42 @@ ${HELP}/SExpressionCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/SExpressionCategory.input
 	@echo "SExpressionCategory (SEXCAT)" >>${HELPFILE}
 
+${HELP}/SExpressionOf.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create SExpressionOf.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"SExpressionOf.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/SExpressionOf.help
+	@cp ${HELP}/SExpressionOf.help ${HELP}/SEXOF.help
+	@${TANGLE} -R"SExpressionOf.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/SExpressionOf.input
+	@echo "SExpressionOf (SEXOF)" >>${HELPFILE}
+
+${HELP}/SimpleAlgebraicExtension.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create SimpleAlgebraicExtension.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"SimpleAlgebraicExtension.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/SimpleAlgebraicExtension.help
+	@cp ${HELP}/SimpleAlgebraicExtension.help ${HELP}/SAE.help
+	@${TANGLE} -R"SimpleAlgebraicExtension.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/SimpleAlgebraicExtension.input
+	@echo "SimpleAlgebraicExtension (SAE)" >>${HELPFILE}
+
+${HELP}/SimpleFortranProgram.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create SimpleFortranProgram.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"SimpleFortranProgram.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/SimpleFortranProgram.help
+	@cp ${HELP}/SimpleFortranProgram.help ${HELP}/SFORT.help
+	@${TANGLE} -R"SimpleFortranProgram.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/SimpleFortranProgram.input
+	@echo "SimpleFortranProgram (SFORT)" >>${HELPFILE}
+
 ${HELP}/SingleInteger.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8040 create SingleInteger.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"SingleInteger.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -22877,6 +26258,18 @@ ${HELP}/SingleInteger.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/SingleInteger.input
 	@echo "SingleInteger (SINT)" >>${HELPFILE}
 
+${HELP}/SingletonAsOrderedSet.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create SingletonAsOrderedSet.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"SingletonAsOrderedSet.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/SingletonAsOrderedSet.help
+	@cp ${HELP}/SingletonAsOrderedSet.help ${HELP}/SAOS.help
+	@${TANGLE} -R"SingletonAsOrderedSet.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/SingletonAsOrderedSet.input
+	@echo "SingletonAsOrderedSet (SAOS)" >>${HELPFILE}
+
 ${HELP}/SparseTable.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8050 create SparseTable.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"SparseTable.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -22886,6 +26279,18 @@ ${HELP}/SparseTable.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/SparseTable.input
 	@echo "SparseTable (STBL)" >>${HELPFILE}
 
+${HELP}/SparseMultivariatePolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create SparseMultivariatePolynomial.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"SparseMultivariatePolynomial.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/SparseMultivariatePolynomial.help
+	@cp ${HELP}/SparseMultivariatePolynomial.help ${HELP}/SMP.help
+	@${TANGLE} -R"SparseMultivariatePolynomial.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/SparseMultivariatePolynomial.input
+	@echo "SparseMultivariatePolynomial (SMP)" >>${HELPFILE}
+
 ${HELP}/SparseMultivariateTaylorSeries.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8060 create SparseMultivariateTaylorSeries.help from \
            ${BOOKS}/bookvol10.3.pamphlet
@@ -22898,6 +26303,80 @@ ${HELP}/SparseMultivariateTaylorSeries.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/SparseMultivariateTaylorSeries.input
 	@echo "SparseMultivariateTaylorSeries (SMTS)" >>${HELPFILE}
 
+${HELP}/SparseUnivariateLaurentSeries.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create SparseUnivariateLaurentSeries.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"SparseUnivariateLaurentSeries.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/SparseUnivariateLaurentSeries.help
+	@cp ${HELP}/SparseUnivariateLaurentSeries.help ${HELP}/SULS.help
+	@${TANGLE} -R"SparseUnivariateLaurentSeries.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/SparseUnivariateLaurentSeries.input
+	@echo "SparseUnivariateLaurentSeries (SULS)" >>${HELPFILE}
+
+${HELP}/SparseUnivariatePolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create SparseUnivariatePolynomial.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"SparseUnivariatePolynomial.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/SparseUnivariatePolynomial.help
+	@cp ${HELP}/SparseUnivariatePolynomial.help ${HELP}/SUP.help
+	@${TANGLE} -R"SparseUnivariatePolynomial.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/SparseUnivariatePolynomial.input
+	@echo "SparseUnivariatePolynomial (SUP)" >>${HELPFILE}
+
+${HELP}/SparseUnivariatePolynomialExpressions.help: \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create SparseUnivariatePolynomialExpressions.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"SparseUnivariatePolynomialExpressions.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/SparseUnivariatePolynomialExpressions.help
+	@cp ${HELP}/SparseUnivariatePolynomialExpressions.help \
+           ${HELP}/SUPEXPR.help
+	@${TANGLE} -R"SparseUnivariatePolynomialExpressions.input" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${INPUT}/SparseUnivariatePolynomialExpressions.input
+	@echo "SparseUnivariatePolynomialExpressions (SUPEXPR)" >>${HELPFILE}
+
+${HELP}/SparseUnivariatePuiseuxSeries.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create SparseUnivariatePuiseuxSeries.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"SparseUnivariatePuiseuxSeries.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/SparseUnivariatePuiseuxSeries.help
+	@cp ${HELP}/SparseUnivariatePuiseuxSeries.help ${HELP}/SUPXS.help
+	@${TANGLE} -R"SparseUnivariatePuiseuxSeries.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/SparseUnivariatePuiseuxSeries.input
+	@echo "SparseUnivariatePuiseuxSeries (SUPXS)" >>${HELPFILE}
+
+${HELP}/SparseUnivariateSkewPolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create SparseUnivariateSkewPolynomial.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"SparseUnivariateSkewPolynomial.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/SparseUnivariateSkewPolynomial.help
+	@cp ${HELP}/SparseUnivariateSkewPolynomial.help ${HELP}/ORESUP.help
+	@${TANGLE} -R"SparseUnivariateSkewPolynomial.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/SparseUnivariateSkewPolynomial.input
+	@echo "SparseUnivariateSkewPolynomial (ORESUP)" >>${HELPFILE}
+
+${HELP}/SparseUnivariateTaylorSeries.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create SparseUnivariateTaylorSeries.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"SparseUnivariateTaylorSeries.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/SparseUnivariateTaylorSeries.help
+	@cp ${HELP}/SparseUnivariateTaylorSeries.help ${HELP}/SUTS.help
+	@${TANGLE} -R"SparseUnivariateTaylorSeries.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/SparseUnivariateTaylorSeries.input
+	@echo "SparseUnivariateTaylorSeries (SUTS)" >>${HELPFILE}
+
 ${HELP}/SpecialFunctionCategory.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create SpecialFunctionCategory.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -22910,6 +26389,42 @@ ${HELP}/SpecialFunctionCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/SpecialFunctionCategory.input
 	@echo "SpecialFunctionCategory (SPFCAT)" >>${HELPFILE}
 
+${HELP}/SplitHomogeneousDirectProduct.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create SplitHomogeneousDirectProduct.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"SplitHomogeneousDirectProduct.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/SplitHomogeneousDirectProduct.help
+	@cp ${HELP}/SplitHomogeneousDirectProduct.help ${HELP}/SHDP.help
+	@${TANGLE} -R"SplitHomogeneousDirectProduct.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/SplitHomogeneousDirectProduct.input
+	@echo "SplitHomogeneousDirectProduct (SHDP)" >>${HELPFILE}
+
+${HELP}/SplittingNode.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create SplittingNode.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"SplittingNode.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/SplittingNode.help
+	@cp ${HELP}/SplittingNode.help ${HELP}/SPLNODE.help
+	@${TANGLE} -R"SplittingNode.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/SplittingNode.input
+	@echo "SplittingNode (SPLNODE)" >>${HELPFILE}
+
+${HELP}/SplittingTree.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create SplittingTree.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"SplittingTree.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/SplittingTree.help
+	@cp ${HELP}/SplittingTree.help ${HELP}/SPLTREE.help
+	@${TANGLE} -R"SplittingTree.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/SplittingTree.input
+	@echo "SplittingTree (SPLTREE)" >>${HELPFILE}
+
 ${HELP}/SquareMatrix.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8070 create SquareMatrix.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"SquareMatrix.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -23068,6 +26583,54 @@ ${HELP}/StringTable.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/StringTable.input
 	@echo "StringTable (STRTBL)" >>${HELPFILE}
 
+${HELP}/SubSpace.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create SubSpace.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"SubSpace.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/SubSpace.help
+	@cp ${HELP}/SubSpace.help ${HELP}/SUBSPACE.help
+	@${TANGLE} -R"SubSpace.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/SubSpace.input
+	@echo "SubSpace (SUBSPACE)" >>${HELPFILE}
+
+${HELP}/SubSpaceComponentProperty.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create SubSpaceComponentProperty.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"SubSpaceComponentProperty.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/SubSpaceComponentProperty.help
+	@cp ${HELP}/SubSpaceComponentProperty.help ${HELP}/COMPPROP.help
+	@${TANGLE} -R"SubSpaceComponentProperty.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/SubSpaceComponentProperty.input
+	@echo "SubSpaceComponentProperty (COMPPROP)" >>${HELPFILE}
+
+${HELP}/SuchThat.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create SuchThat.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"SuchThat.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/SuchThat.help
+	@cp ${HELP}/SuchThat.help ${HELP}/SUCH.help
+	@${TANGLE} -R"SuchThat.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/SuchThat.input
+	@echo "SuchThat (SUCH)" >>${HELPFILE}
+
+${HELP}/Switch.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Switch.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Switch.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Switch.help
+	@cp ${HELP}/Switch.help ${HELP}/SWITCH.help
+	@${TANGLE} -R"Switch.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Switch.input
+	@echo "Switch (SWITCH)" >>${HELPFILE}
+
 ${HELP}/Symbol.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8130 create Symbol.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Symbol.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -23077,6 +26640,30 @@ ${HELP}/Symbol.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/Symbol.input
 	@echo "Symbol (SYMBOL)" >>${HELPFILE}
 
+${HELP}/SymbolTable.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create SymbolTable.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"SymbolTable.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/SymbolTable.help
+	@cp ${HELP}/SymbolTable.help ${HELP}/SYMTAB.help
+	@${TANGLE} -R"SymbolTable.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/SymbolTable.input
+	@echo "SymbolTable (SYMTAB)" >>${HELPFILE}
+
+${HELP}/SymmetricPolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create SymmetricPolynomial.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"SymmetricPolynomial.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/SymmetricPolynomial.help
+	@cp ${HELP}/SymmetricPolynomial.help ${HELP}/SYMPOLY.help
+	@${TANGLE} -R"SymmetricPolynomial.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/SymmetricPolynomial.input
+	@echo "SymmetricPolynomial (SYMPOLY)" >>${HELPFILE}
+
 ${HELP}/Table.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8140 create Table.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Table.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -23098,6 +26685,30 @@ ${HELP}/TableAggregate.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/TableAggregate.input
 	@echo "TableAggregate (TBAGG)" >>${HELPFILE}
 
+${HELP}/Tableau.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Tableau.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Tableau.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Tableau.help
+	@cp ${HELP}/Tableau.help ${HELP}/TABLEAU.help
+	@${TANGLE} -R"Tableau.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Tableau.input
+	@echo "Tableau (TABLEAU)" >>${HELPFILE}
+
+${HELP}/TaylorSeries.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create TaylorSeries.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"TaylorSeries.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/TaylorSeries.help
+	@cp ${HELP}/TaylorSeries.help ${HELP}/TS.help
+	@${TANGLE} -R"TaylorSeries.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/TaylorSeries.input
+	@echo "TaylorSeries (TS)" >>${HELPFILE}
+
 ${HELP}/TexFormat.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8145 create TexFormat.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"TexFormat.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -23116,6 +26727,54 @@ ${HELP}/TextFile.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/TextFile.input
 	@echo "TextFile (TEXTFILE)" >>${HELPFILE}
 
+${HELP}/TheSymbolTable.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create TheSymbolTable.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"TheSymbolTable.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/TheSymbolTable.help
+	@cp ${HELP}/TheSymbolTable.help ${HELP}/SYMS.help
+	@${TANGLE} -R"TheSymbolTable.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/TheSymbolTable.input
+	@echo "TheSymbolTable (SYMS)" >>${HELPFILE}
+
+${HELP}/ThreeDimensionalMatrix.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create ThreeDimensionalMatrix.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"ThreeDimensionalMatrix.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/ThreeDimensionalMatrix.help
+	@cp ${HELP}/ThreeDimensionalMatrix.help ${HELP}/M3D.help
+	@${TANGLE} -R"ThreeDimensionalMatrix.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/ThreeDimensionalMatrix.input
+	@echo "ThreeDimensionalMatrix (M3D)" >>${HELPFILE}
+
+${HELP}/ThreeDimensionalViewport.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create ThreeDimensionalViewport.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"ThreeDimensionalViewport.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/ThreeDimensionalViewport.help
+	@cp ${HELP}/ThreeDimensionalViewport.help ${HELP}/VIEW3D.help
+	@${TANGLE} -R"ThreeDimensionalViewport.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/ThreeDimensionalViewport.input
+	@echo "ThreeDimensionalViewport (VIEW3D)" >>${HELPFILE}
+
+${HELP}/ThreeSpace.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create ThreeSpace.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"ThreeSpace.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/ThreeSpace.help
+	@cp ${HELP}/ThreeSpace.help ${HELP}/SPACE3.help
+	@${TANGLE} -R"ThreeSpace.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/ThreeSpace.input
+	@echo "ThreeSpace (SPACE3)" >>${HELPFILE}
+
 ${HELP}/ThreeSpaceCategory.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create ThreeSpaceCategory.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -23150,6 +26809,18 @@ ${HELP}/TransSolvePackage.help: ${BOOKS}/bookvol10.4.pamphlet
             >${INPUT}/TransSolvePackage.input
 	@echo "TransSolvePackage (SOLVETRA)" >>${HELPFILE}
 
+${HELP}/Tree.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Tree.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Tree.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Tree.help
+	@cp ${HELP}/Tree.help ${HELP}/TREE.help
+	@${TANGLE} -R"Tree.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Tree.input
+	@echo "Tree (TREE)" >>${HELPFILE}
+
 ${HELP}/TriangularSetCategory.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create TriangularSetCategory.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -23174,6 +26845,30 @@ ${HELP}/TrigonometricFunctionCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/TrigonometricFunctionCategory.input
 	@echo "TrigonometricFunctionCategory (TRIGCAT)" >>${HELPFILE}
 
+${HELP}/TubePlot.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create TubePlot.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"TubePlot.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/TubePlot.help
+	@cp ${HELP}/TubePlot.help ${HELP}/TUBE.help
+	@${TANGLE} -R"TubePlot.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/TubePlot.input
+	@echo "TubePlot (TUBE)" >>${HELPFILE}
+
+${HELP}/Tuple.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Tuple.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Tuple.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Tuple.help
+	@cp ${HELP}/Tuple.help ${HELP}/TUPLE.help
+	@${TANGLE} -R"Tuple.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Tuple.input
+	@echo "Tuple (TUPLE)" >>${HELPFILE}
+
 ${HELP}/TwoDimensionalArray.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8160 create TwoDimensionalArray.help from \
            ${BOOKS}/bookvol10.3.pamphlet
@@ -23231,6 +26926,30 @@ ${HELP}/UniqueFactorizationDomain.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/UniqueFactorizationDomain.input
 	@echo "UniqueFactorizationDomain (UFD)" >>${HELPFILE}
 
+${HELP}/UnivariateFormalPowerSeries.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create UnivariateFormalPowerSeries.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"UnivariateFormalPowerSeries.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/UnivariateFormalPowerSeries.help
+	@cp ${HELP}/UnivariateFormalPowerSeries.help ${HELP}/UFPS.help
+	@${TANGLE} -R"UnivariateFormalPowerSeries.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/UnivariateFormalPowerSeries.input
+	@echo "UnivariateFormalPowerSeries (UFPS)" >>${HELPFILE}
+
+${HELP}/UnivariateLaurentSeries.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create UnivariateLaurentSeries.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"UnivariateLaurentSeries.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/UnivariateLaurentSeries.help
+	@cp ${HELP}/UnivariateLaurentSeries.help ${HELP}/ULS.help
+	@${TANGLE} -R"UnivariateLaurentSeries.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/UnivariateLaurentSeries.input
+	@echo "UnivariateLaurentSeries (ULS)" >>${HELPFILE}
+
 ${HELP}/UnivariatePolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8180 create UnivariatePolynomial.help from \
            ${BOOKS}/bookvol10.3.pamphlet
@@ -23255,6 +26974,19 @@ ${HELP}/UnivariateLaurentSeriesCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/UnivariateLaurentSeriesCategory.input
 	@echo "UnivariateLaurentSeriesCategory (ULSCAT)" >>${HELPFILE}
 
+${HELP}/UnivariateLaurentSeriesConstructor.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create UnivariateLaurentSeriesConstructor.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"UnivariateLaurentSeriesConstructor.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/UnivariateLaurentSeriesConstructor.help
+	@cp ${HELP}/UnivariateLaurentSeriesConstructor.help \
+           ${HELP}/ULSCONS.help
+	@${TANGLE} -R"UnivariateLaurentSeriesConstructor.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/UnivariateLaurentSeriesConstructor.input
+	@echo "UnivariateLaurentSeriesConstructor (ULSCONS)" >>${HELPFILE}
+
 ${HELP}/UnivariateLaurentSeriesConstructorCategory.help: \
            ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create UnivariateLaurentSeriesConstructorCategory.help \
@@ -23294,6 +27026,18 @@ ${HELP}/UnivariatePowerSeriesCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/UnivariatePowerSeriesCategory.input
 	@echo "UnivariatePowerSeriesCategory (UPSCAT)" >>${HELPFILE}
 
+${HELP}/UnivariatePuiseuxSeries.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create UnivariatePuiseuxSeries.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"UnivariatePuiseuxSeries.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/UnivariatePuiseuxSeries.help
+	@cp ${HELP}/UnivariatePuiseuxSeries.help ${HELP}/UPXS.help
+	@${TANGLE} -R"UnivariatePuiseuxSeries.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/UnivariatePuiseuxSeries.input
+	@echo "UnivariatePuiseuxSeries (UPXS)" >>${HELPFILE}
+
 ${HELP}/UnivariatePuiseuxSeriesCategory.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create UnivariatePuiseuxSeriesCategory.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -23306,6 +27050,19 @@ ${HELP}/UnivariatePuiseuxSeriesCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/UnivariatePuiseuxSeriesCategory.input
 	@echo "UnivariatePuiseuxSeriesCategory (UPXSCAT)" >>${HELPFILE}
 
+${HELP}/UnivariatePuiseuxSeriesConstructor.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create UnivariatePuiseuxSeriesConstructor.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"UnivariatePuiseuxSeriesConstructor.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/UnivariatePuiseuxSeriesConstructor.help
+	@cp ${HELP}/UnivariatePuiseuxSeriesConstructor.help \
+           ${HELP}/UPXSCONS.help
+	@${TANGLE} -R"UnivariatePuiseuxSeriesConstructor.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/UnivariatePuiseuxSeriesConstructor.input
+	@echo "UnivariatePuiseuxSeriesConstructor (UPXSCONS)" >>${HELPFILE}
+
 ${HELP}/UnivariatePuiseuxSeriesConstructorCategory.help: \
            ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create UnivariatePuiseuxSeriesConstructorCategory.help \
@@ -23321,6 +27078,23 @@ ${HELP}/UnivariatePuiseuxSeriesConstructorCategory.help: \
 	@echo "UnivariatePuiseuxSeriesConstructorCategory (UPXSCCA)" \
            >>${HELPFILE}
 
+${HELP}/UnivariatePuiseuxSeriesWithExponentialSingularity.help: \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create \
+           UnivariatePuiseuxSeriesWithExponentialSingularity.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"UnivariatePuiseuxSeriesWithExponentialSingularity.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/UnivariatePuiseuxSeriesWithExponentialSingularity.help
+	@cp ${HELP}/UnivariatePuiseuxSeriesWithExponentialSingularity.help \
+           ${HELP}/UPXSSING.help
+	@${TANGLE} \
+           -R"UnivariatePuiseuxSeriesWithExponentialSingularity.input" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${INPUT}/UnivariatePuiseuxSeriesWithExponentialSingularity.input
+	@echo "UnivariatePuiseuxSeriesWithExponentialSingularity (UPXSSING)" \
+           >>${HELPFILE}
+
 ${HELP}/UnivariateSkewPolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8190 create UnivariateSkewPolynomial.help from \
            ${BOOKS}/bookvol10.3.pamphlet
@@ -23345,6 +27119,18 @@ ${HELP}/UnivariateSkewPolynomialCategory.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/UnivariateSkewPolynomialCategory.input
 	@echo "UnivariateSkewPolynomialCategory (OREPCAT)" >>${HELPFILE}
 
+${HELP}/UnivariateTaylorSeries.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create UnivariateTaylorSeries.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"UnivariateTaylorSeries.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/UnivariateTaylorSeries.help
+	@cp ${HELP}/UnivariateTaylorSeries.help ${HELP}/UTS.help
+	@${TANGLE} -R"UnivariateTaylorSeries.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/UnivariateTaylorSeries.input
+	@echo "UnivariateTaylorSeries (UTS)" >>${HELPFILE}
+
 ${HELP}/UnivariateTaylorSeriesCZero.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8195 create UnivariateTaylorSeriesCZero.help from \
            ${BOOKS}/bookvol10.3.pamphlet
@@ -23379,6 +27165,18 @@ ${HELP}/UniversalSegment.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/UniversalSegment.input
 	@echo "UniversalSegment (UNISEG)" >>${HELPFILE}
 
+${HELP}/Variable.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create Variable.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"Variable.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/Variable.help
+	@cp ${HELP}/Variable.help ${HELP}/VARIABLE.help
+	@${TANGLE} -R"Variable.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/Variable.input
+	@echo "Variable (VARIABLE)" >>${HELPFILE}
+
 ${HELP}/Vector.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8210 create Vector.help from ${BOOKS}/bookvol10.3.pamphlet
 	@${TANGLE} -R"Vector.help" ${BOOKS}/bookvol10.3.pamphlet \
@@ -23421,6 +27219,18 @@ ${HELP}/Void.help: ${BOOKS}/bookvol10.3.pamphlet
             >${INPUT}/Void.input
 	@echo "Void (VOID)" >>${HELPFILE}
 
+${HELP}/WeightedPolynomials.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create WeightedPolynomials.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"WeightedPolynomials.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/WeightedPolynomials.help
+	@cp ${HELP}/WeightedPolynomials.help ${HELP}/WP.help
+	@${TANGLE} -R"WeightedPolynomials.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/WeightedPolynomials.input
+	@echo "WeightedPolynomials (WP)" >>${HELPFILE}
+
 ${HELP}/WuWenTsunTriangularSet.help: ${BOOKS}/bookvol10.3.pamphlet
 	@echo 8230 create WuWenTsunTriangularSet.help from \
            ${BOOKS}/bookvol10.3.pamphlet
@@ -23445,6 +27255,18 @@ ${HELP}/XAlgebra.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/XAlgebra.input
 	@echo "XAlgebra (XALG)" >>${HELPFILE}
 
+${HELP}/XDistributedPolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create XDistributedPolynomial.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"XDistributedPolynomial.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/XDistributedPolynomial.help
+	@cp ${HELP}/XDistributedPolynomial.help ${HELP}/XDPOLY.help
+	@${TANGLE} -R"XDistributedPolynomial.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/XDistributedPolynomial.input
+	@echo "XDistributedPolynomial (XDPOLY)" >>${HELPFILE}
+
 ${HELP}/XFreeAlgebra.help: ${BOOKS}/bookvol10.2.pamphlet
 	@echo 5000 create XFreeAlgebra.help from \
            ${BOOKS}/bookvol10.2.pamphlet
@@ -23505,6 +27327,18 @@ ${HELP}/XPolynomialsCat.help: ${BOOKS}/bookvol10.2.pamphlet
             >${INPUT}/XPolynomialsCat.input
 	@echo "XPolynomialsCat (XPOLYC)" >>${HELPFILE}
 
+${HELP}/XRecursivePolynomial.help: ${BOOKS}/bookvol10.3.pamphlet
+	@echo 5000 create XRecursivePolynomial.help from \
+           ${BOOKS}/bookvol10.3.pamphlet
+	@${TANGLE} -R"XRecursivePolynomial.help" \
+           ${BOOKS}/bookvol10.3.pamphlet \
+           >${HELP}/XRecursivePolynomial.help
+	@cp ${HELP}/XRecursivePolynomial.help ${HELP}/XRPOLY.help
+	@${TANGLE} -R"XRecursivePolynomial.input" \
+            ${BOOKS}/bookvol10.3.pamphlet \
+            >${INPUT}/XRecursivePolynomial.input
+	@echo "XRecursivePolynomial (XRPOLY)" >>${HELPFILE}
+
 ${HELP}/ZeroDimensionalSolvePackage.help: ${BOOKS}/bookvol10.4.pamphlet
 	@echo 8270 create ZeroDimensionalSolvePackage.help from \
            ${BOOKS}/bookvol10.4.pamphlet
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 6034fff..945608c 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2830,5 +2830,9 @@ src/axiom-website/download.html add new binaries<br/>
 books/bookvolbib AL94 Adams, William W. and Loustaunau, Philippe<br/>
 <a href="patches/20100529.04.tpd.patch">20100529.04.tpd.patch</a>
 books/bookvol10.2 add test and help files for all categories<br/>
+<a href="patches/20100530.01.tpd.patch">20100530.01.tpd.patch</a>
+src/axiom-website/download.html add additional binaries<br/>
+<a href="patches/20100531.01.tpd.patch">20100531.01.tpd.patch</a>
+books/bookvol10.3 add test and help files for all domains<br/>
  </body>
 </html>
